#include <akonadi_includes.h>

#include <smoke.h>
#include <akonadi_smoke.h>

namespace __smokeakonadi {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //Akonadi::AbstractContactEditorWidget
      switch(to) {
        case 1: return (void*)(Akonadi::AbstractContactEditorWidget*)xptr;
        default: return xptr;
      }
    case 2:   //Akonadi::AbstractContactFormatter
      switch(to) {
        case 2: return (void*)(Akonadi::AbstractContactFormatter*)xptr;
        default: return xptr;
      }
    case 3:   //Akonadi::AbstractContactGroupFormatter
      switch(to) {
        case 3: return (void*)(Akonadi::AbstractContactGroupFormatter*)xptr;
        default: return xptr;
      }
    case 4:   //Akonadi::AddressAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::AddressAttribute*)xptr;
        case 4: return (void*)(Akonadi::AddressAttribute*)xptr;
        default: return xptr;
      }
    case 5:   //Akonadi::AgentBase
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::AgentBase*)xptr;
        case 160: return (void*)(QDBusContext*)(Akonadi::AgentBase*)xptr;
        case 5: return (void*)(Akonadi::AgentBase*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)(Akonadi::AgentBase*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)(Akonadi::AgentBase*)xptr;
        default: return xptr;
      }
    case 6:   //Akonadi::AgentBase::Observer
      switch(to) {
        case 6: return (void*)(Akonadi::AgentBase::Observer*)xptr;
        case 7: return (void*)(Akonadi::AgentBase::ObserverV2*)(Akonadi::AgentBase::Observer*)xptr;
        default: return xptr;
      }
    case 7:   //Akonadi::AgentBase::ObserverV2
      switch(to) {
        case 6: return (void*)(Akonadi::AgentBase::Observer*)(Akonadi::AgentBase::ObserverV2*)xptr;
        case 7: return (void*)(Akonadi::AgentBase::ObserverV2*)xptr;
        default: return xptr;
      }
    case 8:   //Akonadi::AgentBasePrivate
      switch(to) {
        case 8: return (void*)(Akonadi::AgentBasePrivate*)xptr;
        default: return xptr;
      }
    case 9:   //Akonadi::AgentFilterProxyModel
      switch(to) {
        case 203: return (void*)(QSortFilterProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 149: return (void*)(QAbstractProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 147: return (void*)(QAbstractItemModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 10:   //Akonadi::AgentInstance
      switch(to) {
        case 10: return (void*)(Akonadi::AgentInstance*)xptr;
        default: return xptr;
      }
    case 11:   //Akonadi::AgentInstanceCreateJob
      switch(to) {
        case 140: return (void*)(KJob*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 11: return (void*)(Akonadi::AgentInstanceCreateJob*)xptr;
        default: return xptr;
      }
    case 12:   //Akonadi::AgentInstanceModel
      switch(to) {
        case 147: return (void*)(QAbstractItemModel*)(Akonadi::AgentInstanceModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::AgentInstanceModel*)xptr;
        case 12: return (void*)(Akonadi::AgentInstanceModel*)xptr;
        default: return xptr;
      }
    case 13:   //Akonadi::AgentInstanceWidget
      switch(to) {
        case 213: return (void*)(QWidget*)(Akonadi::AgentInstanceWidget*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::AgentInstanceWidget*)xptr;
        case 13: return (void*)(Akonadi::AgentInstanceWidget*)xptr;
        default: return xptr;
      }
    case 14:   //Akonadi::AgentManager
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::AgentManager*)xptr;
        case 14: return (void*)(Akonadi::AgentManager*)xptr;
        default: return xptr;
      }
    case 15:   //Akonadi::AgentType
      switch(to) {
        case 15: return (void*)(Akonadi::AgentType*)xptr;
        default: return xptr;
      }
    case 16:   //Akonadi::AgentTypeDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 163: return (void*)(QDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::AgentTypeDialog*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::AgentTypeDialog*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)xptr;
        default: return xptr;
      }
    case 17:   //Akonadi::AgentTypeModel
      switch(to) {
        case 147: return (void*)(QAbstractItemModel*)(Akonadi::AgentTypeModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::AgentTypeModel*)xptr;
        case 17: return (void*)(Akonadi::AgentTypeModel*)xptr;
        default: return xptr;
      }
    case 18:   //Akonadi::AgentTypeWidget
      switch(to) {
        case 213: return (void*)(QWidget*)(Akonadi::AgentTypeWidget*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::AgentTypeWidget*)xptr;
        case 18: return (void*)(Akonadi::AgentTypeWidget*)xptr;
        default: return xptr;
      }
    case 19:   //Akonadi::Attribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)xptr;
        case 62: return (void*)(Akonadi::EntityDisplayAttribute*)(Akonadi::Attribute*)xptr;
        case 94: return (void*)(Akonadi::MessageThreadingAttribute*)(Akonadi::Attribute*)xptr;
        case 63: return (void*)(Akonadi::EntityHiddenAttribute*)(Akonadi::Attribute*)xptr;
        case 40: return (void*)(Akonadi::CollectionQuotaAttribute*)(Akonadi::Attribute*)xptr;
        case 4: return (void*)(Akonadi::AddressAttribute*)(Akonadi::Attribute*)xptr;
        case 91: return (void*)(Akonadi::MessageFolderAttribute*)(Akonadi::Attribute*)xptr;
        default: return xptr;
      }
    case 20:   //Akonadi::AttributeFactory
      switch(to) {
        case 20: return (void*)(Akonadi::AttributeFactory*)xptr;
        default: return xptr;
      }
    case 21:   //Akonadi::CachePolicy
      switch(to) {
        case 21: return (void*)(Akonadi::CachePolicy*)xptr;
        default: return xptr;
      }
    case 22:   //Akonadi::ChangeRecorder
      switch(to) {
        case 96: return (void*)(Akonadi::Monitor*)(Akonadi::ChangeRecorder*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ChangeRecorder*)xptr;
        case 22: return (void*)(Akonadi::ChangeRecorder*)xptr;
        default: return xptr;
      }
    case 23:   //Akonadi::ChangeRecorderPrivate
      switch(to) {
        case 23: return (void*)(Akonadi::ChangeRecorderPrivate*)xptr;
        default: return xptr;
      }
    case 24:   //Akonadi::Collection
      switch(to) {
        case 61: return (void*)(Akonadi::Entity*)(Akonadi::Collection*)xptr;
        case 24: return (void*)(Akonadi::Collection*)xptr;
        default: return xptr;
      }
    case 25:   //Akonadi::CollectionComboBox
      switch(to) {
        case 130: return (void*)(KComboBox*)(Akonadi::CollectionComboBox*)xptr;
        case 158: return (void*)(QComboBox*)(Akonadi::CollectionComboBox*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::CollectionComboBox*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionComboBox*)xptr;
        case 132: return (void*)(KCompletionBase*)(Akonadi::CollectionComboBox*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)xptr;
        default: return xptr;
      }
    case 26:   //Akonadi::CollectionCopyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionCopyJob*)xptr;
        case 134: return (void*)(KCompositeJob*)(Akonadi::CollectionCopyJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionCopyJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionCopyJob*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)xptr;
        default: return xptr;
      }
    case 27:   //Akonadi::CollectionCreateJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionCreateJob*)xptr;
        case 134: return (void*)(KCompositeJob*)(Akonadi::CollectionCreateJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionCreateJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionCreateJob*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)xptr;
        default: return xptr;
      }
    case 28:   //Akonadi::CollectionDeleteJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionDeleteJob*)xptr;
        case 134: return (void*)(KCompositeJob*)(Akonadi::CollectionDeleteJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionDeleteJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionDeleteJob*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)xptr;
        default: return xptr;
      }
    case 29:   //Akonadi::CollectionDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::CollectionDialog*)xptr;
        case 163: return (void*)(QDialog*)(Akonadi::CollectionDialog*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::CollectionDialog*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionDialog*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)xptr;
        default: return xptr;
      }
    case 30:   //Akonadi::CollectionFetchJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionFetchJob*)xptr;
        case 134: return (void*)(KCompositeJob*)(Akonadi::CollectionFetchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionFetchJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionFetchJob*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)xptr;
        default: return xptr;
      }
    case 31:   //Akonadi::CollectionFetchScope
      switch(to) {
        case 31: return (void*)(Akonadi::CollectionFetchScope*)xptr;
        default: return xptr;
      }
    case 32:   //Akonadi::CollectionFilterProxyModel
      switch(to) {
        case 203: return (void*)(QSortFilterProxyModel*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 149: return (void*)(QAbstractProxyModel*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 147: return (void*)(QAbstractItemModel*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 33:   //Akonadi::CollectionModel
      switch(to) {
        case 147: return (void*)(QAbstractItemModel*)(Akonadi::CollectionModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionModel*)xptr;
        case 33: return (void*)(Akonadi::CollectionModel*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)(Akonadi::CollectionModel*)xptr;
        default: return xptr;
      }
    case 34:   //Akonadi::CollectionModelPrivate
      switch(to) {
        case 34: return (void*)(Akonadi::CollectionModelPrivate*)xptr;
        default: return xptr;
      }
    case 35:   //Akonadi::CollectionModifyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionModifyJob*)xptr;
        case 134: return (void*)(KCompositeJob*)(Akonadi::CollectionModifyJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionModifyJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionModifyJob*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)xptr;
        default: return xptr;
      }
    case 36:   //Akonadi::CollectionMoveJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionMoveJob*)xptr;
        case 134: return (void*)(KCompositeJob*)(Akonadi::CollectionMoveJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionMoveJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionMoveJob*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)xptr;
        default: return xptr;
      }
    case 37:   //Akonadi::CollectionPropertiesDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 163: return (void*)(QDialog*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)xptr;
        default: return xptr;
      }
    case 38:   //Akonadi::CollectionPropertiesPage
      switch(to) {
        case 213: return (void*)(QWidget*)(Akonadi::CollectionPropertiesPage*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionPropertiesPage*)xptr;
        case 38: return (void*)(Akonadi::CollectionPropertiesPage*)xptr;
        default: return xptr;
      }
    case 39:   //Akonadi::CollectionPropertiesPageFactory
      switch(to) {
        case 39: return (void*)(Akonadi::CollectionPropertiesPageFactory*)xptr;
        default: return xptr;
      }
    case 40:   //Akonadi::CollectionQuotaAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::CollectionQuotaAttribute*)xptr;
        case 40: return (void*)(Akonadi::CollectionQuotaAttribute*)xptr;
        default: return xptr;
      }
    case 41:   //Akonadi::CollectionRequester
      switch(to) {
        case 138: return (void*)(KHBox*)(Akonadi::CollectionRequester*)xptr;
        case 171: return (void*)(QFrame*)(Akonadi::CollectionRequester*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::CollectionRequester*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionRequester*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)xptr;
        default: return xptr;
      }
    case 42:   //Akonadi::CollectionStatistics
      switch(to) {
        case 42: return (void*)(Akonadi::CollectionStatistics*)xptr;
        default: return xptr;
      }
    case 43:   //Akonadi::CollectionStatisticsDelegate
      switch(to) {
        case 206: return (void*)(QStyledItemDelegate*)(Akonadi::CollectionStatisticsDelegate*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionStatisticsDelegate*)xptr;
        case 43: return (void*)(Akonadi::CollectionStatisticsDelegate*)xptr;
        default: return xptr;
      }
    case 44:   //Akonadi::CollectionStatisticsJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 134: return (void*)(KCompositeJob*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)xptr;
        default: return xptr;
      }
    case 45:   //Akonadi::CollectionStatisticsModel
      switch(to) {
        case 33: return (void*)(Akonadi::CollectionModel*)(Akonadi::CollectionStatisticsModel*)xptr;
        case 147: return (void*)(QAbstractItemModel*)(Akonadi::CollectionStatisticsModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionStatisticsModel*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)xptr;
        default: return xptr;
      }
    case 46:   //Akonadi::CollectionView
      switch(to) {
        case 209: return (void*)(QTreeView*)(Akonadi::CollectionView*)xptr;
        case 148: return (void*)(QAbstractItemView*)(Akonadi::CollectionView*)xptr;
        case 150: return (void*)(QAbstractScrollArea*)(Akonadi::CollectionView*)xptr;
        case 171: return (void*)(QFrame*)(Akonadi::CollectionView*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::CollectionView*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionView*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)xptr;
        default: return xptr;
      }
    case 47:   //Akonadi::ContactDefaultActions
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::ContactDefaultActions*)xptr;
        case 47: return (void*)(Akonadi::ContactDefaultActions*)xptr;
        default: return xptr;
      }
    case 48:   //Akonadi::ContactEditor
      switch(to) {
        case 213: return (void*)(QWidget*)(Akonadi::ContactEditor*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactEditor*)xptr;
        case 48: return (void*)(Akonadi::ContactEditor*)xptr;
        default: return xptr;
      }
    case 49:   //Akonadi::ContactEditorDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::ContactEditorDialog*)xptr;
        case 163: return (void*)(QDialog*)(Akonadi::ContactEditorDialog*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::ContactEditorDialog*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactEditorDialog*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)xptr;
        default: return xptr;
      }
    case 50:   //Akonadi::ContactEditorPagePlugin
      switch(to) {
        case 213: return (void*)(QWidget*)(Akonadi::ContactEditorPagePlugin*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactEditorPagePlugin*)xptr;
        case 50: return (void*)(Akonadi::ContactEditorPagePlugin*)xptr;
        default: return xptr;
      }
    case 51:   //Akonadi::ContactGroupEditor
      switch(to) {
        case 213: return (void*)(QWidget*)(Akonadi::ContactGroupEditor*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactGroupEditor*)xptr;
        case 51: return (void*)(Akonadi::ContactGroupEditor*)xptr;
        default: return xptr;
      }
    case 52:   //Akonadi::ContactGroupEditorDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 163: return (void*)(QDialog*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)xptr;
        default: return xptr;
      }
    case 53:   //Akonadi::ContactGroupExpandJob
      switch(to) {
        case 140: return (void*)(KJob*)(Akonadi::ContactGroupExpandJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactGroupExpandJob*)xptr;
        case 53: return (void*)(Akonadi::ContactGroupExpandJob*)xptr;
        default: return xptr;
      }
    case 54:   //Akonadi::ContactGroupSearchJob
      switch(to) {
        case 83: return (void*)(Akonadi::ItemSearchJob*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 134: return (void*)(KCompositeJob*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)xptr;
        default: return xptr;
      }
    case 55:   //Akonadi::ContactGroupViewer
      switch(to) {
        case 213: return (void*)(QWidget*)(Akonadi::ContactGroupViewer*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactGroupViewer*)xptr;
        case 81: return (void*)(Akonadi::ItemMonitor*)(Akonadi::ContactGroupViewer*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)xptr;
        default: return xptr;
      }
    case 56:   //Akonadi::ContactGroupViewerDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 163: return (void*)(QDialog*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)xptr;
        default: return xptr;
      }
    case 57:   //Akonadi::ContactSearchJob
      switch(to) {
        case 83: return (void*)(Akonadi::ItemSearchJob*)(Akonadi::ContactSearchJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ContactSearchJob*)xptr;
        case 134: return (void*)(KCompositeJob*)(Akonadi::ContactSearchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ContactSearchJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactSearchJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)xptr;
        default: return xptr;
      }
    case 58:   //Akonadi::ContactViewer
      switch(to) {
        case 213: return (void*)(QWidget*)(Akonadi::ContactViewer*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactViewer*)xptr;
        case 81: return (void*)(Akonadi::ItemMonitor*)(Akonadi::ContactViewer*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)xptr;
        default: return xptr;
      }
    case 59:   //Akonadi::ContactViewerDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::ContactViewerDialog*)xptr;
        case 163: return (void*)(QDialog*)(Akonadi::ContactViewerDialog*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::ContactViewerDialog*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactViewerDialog*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)xptr;
        default: return xptr;
      }
    case 60:   //Akonadi::Control
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::Control*)xptr;
        case 60: return (void*)(Akonadi::Control*)xptr;
        default: return xptr;
      }
    case 61:   //Akonadi::Entity
      switch(to) {
        case 61: return (void*)(Akonadi::Entity*)xptr;
        case 73: return (void*)(Akonadi::Item*)(Akonadi::Entity*)xptr;
        case 24: return (void*)(Akonadi::Collection*)(Akonadi::Entity*)xptr;
        default: return xptr;
      }
    case 62:   //Akonadi::EntityDisplayAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::EntityDisplayAttribute*)xptr;
        case 62: return (void*)(Akonadi::EntityDisplayAttribute*)xptr;
        default: return xptr;
      }
    case 63:   //Akonadi::EntityHiddenAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::EntityHiddenAttribute*)xptr;
        case 63: return (void*)(Akonadi::EntityHiddenAttribute*)xptr;
        default: return xptr;
      }
    case 64:   //Akonadi::EntityListView
      switch(to) {
        case 182: return (void*)(QListView*)(Akonadi::EntityListView*)xptr;
        case 148: return (void*)(QAbstractItemView*)(Akonadi::EntityListView*)xptr;
        case 150: return (void*)(QAbstractScrollArea*)(Akonadi::EntityListView*)xptr;
        case 171: return (void*)(QFrame*)(Akonadi::EntityListView*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::EntityListView*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::EntityListView*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)xptr;
        default: return xptr;
      }
    case 65:   //Akonadi::EntityMimeTypeFilterModel
      switch(to) {
        case 203: return (void*)(QSortFilterProxyModel*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 149: return (void*)(QAbstractProxyModel*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 147: return (void*)(QAbstractItemModel*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        default: return xptr;
      }
    case 66:   //Akonadi::EntityPrivate
      switch(to) {
        case 66: return (void*)(Akonadi::EntityPrivate*)xptr;
        default: return xptr;
      }
    case 67:   //Akonadi::EntityTreeModel
      switch(to) {
        case 147: return (void*)(QAbstractItemModel*)(Akonadi::EntityTreeModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::EntityTreeModel*)xptr;
        case 67: return (void*)(Akonadi::EntityTreeModel*)xptr;
        default: return xptr;
      }
    case 68:   //Akonadi::EntityTreeModelPrivate
      switch(to) {
        case 68: return (void*)(Akonadi::EntityTreeModelPrivate*)xptr;
        default: return xptr;
      }
    case 69:   //Akonadi::EntityTreeView
      switch(to) {
        case 209: return (void*)(QTreeView*)(Akonadi::EntityTreeView*)xptr;
        case 148: return (void*)(QAbstractItemView*)(Akonadi::EntityTreeView*)xptr;
        case 150: return (void*)(QAbstractScrollArea*)(Akonadi::EntityTreeView*)xptr;
        case 171: return (void*)(QFrame*)(Akonadi::EntityTreeView*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::EntityTreeView*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::EntityTreeView*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)xptr;
        default: return xptr;
      }
    case 70:   //Akonadi::EntityTreeViewStateSaver
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::EntityTreeViewStateSaver*)xptr;
        case 70: return (void*)(Akonadi::EntityTreeViewStateSaver*)xptr;
        default: return xptr;
      }
    case 71:   //Akonadi::Exception
      switch(to) {
        case 71: return (void*)(Akonadi::Exception*)xptr;
        case 100: return (void*)(Akonadi::PayloadException*)(Akonadi::Exception*)xptr;
        default: return xptr;
      }
    case 72:   //Akonadi::FavoriteCollectionsModel
      switch(to) {
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 142: return (void*)(KSelectionProxyModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 149: return (void*)(QAbstractProxyModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 147: return (void*)(QAbstractItemModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)xptr;
        default: return xptr;
      }
    case 73:   //Akonadi::Item
      switch(to) {
        case 61: return (void*)(Akonadi::Entity*)(Akonadi::Item*)xptr;
        case 73: return (void*)(Akonadi::Item*)xptr;
        default: return xptr;
      }
    case 74:   //Akonadi::ItemCopyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemCopyJob*)xptr;
        case 134: return (void*)(KCompositeJob*)(Akonadi::ItemCopyJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemCopyJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemCopyJob*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)xptr;
        default: return xptr;
      }
    case 75:   //Akonadi::ItemCreateJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemCreateJob*)xptr;
        case 134: return (void*)(KCompositeJob*)(Akonadi::ItemCreateJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemCreateJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemCreateJob*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)xptr;
        default: return xptr;
      }
    case 76:   //Akonadi::ItemDeleteJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemDeleteJob*)xptr;
        case 134: return (void*)(KCompositeJob*)(Akonadi::ItemDeleteJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemDeleteJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemDeleteJob*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)xptr;
        default: return xptr;
      }
    case 77:   //Akonadi::ItemFetchJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemFetchJob*)xptr;
        case 134: return (void*)(KCompositeJob*)(Akonadi::ItemFetchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemFetchJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemFetchJob*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)xptr;
        default: return xptr;
      }
    case 78:   //Akonadi::ItemFetchScope
      switch(to) {
        case 78: return (void*)(Akonadi::ItemFetchScope*)xptr;
        default: return xptr;
      }
    case 79:   //Akonadi::ItemModel
      switch(to) {
        case 151: return (void*)(QAbstractTableModel*)(Akonadi::ItemModel*)xptr;
        case 147: return (void*)(QAbstractItemModel*)(Akonadi::ItemModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemModel*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(Akonadi::ItemModel*)xptr;
        default: return xptr;
      }
    case 80:   //Akonadi::ItemModifyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemModifyJob*)xptr;
        case 134: return (void*)(KCompositeJob*)(Akonadi::ItemModifyJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemModifyJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemModifyJob*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)xptr;
        default: return xptr;
      }
    case 81:   //Akonadi::ItemMonitor
      switch(to) {
        case 81: return (void*)(Akonadi::ItemMonitor*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)(Akonadi::ItemMonitor*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)(Akonadi::ItemMonitor*)xptr;
        default: return xptr;
      }
    case 82:   //Akonadi::ItemMoveJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemMoveJob*)xptr;
        case 134: return (void*)(KCompositeJob*)(Akonadi::ItemMoveJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemMoveJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemMoveJob*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)xptr;
        default: return xptr;
      }
    case 83:   //Akonadi::ItemSearchJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemSearchJob*)xptr;
        case 134: return (void*)(KCompositeJob*)(Akonadi::ItemSearchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemSearchJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemSearchJob*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(Akonadi::ItemSearchJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(Akonadi::ItemSearchJob*)xptr;
        default: return xptr;
      }
    case 84:   //Akonadi::ItemSerializerPlugin
      switch(to) {
        case 84: return (void*)(Akonadi::ItemSerializerPlugin*)xptr;
        case 85: return (void*)(Akonadi::ItemSerializerPluginV2*)(Akonadi::ItemSerializerPlugin*)xptr;
        default: return xptr;
      }
    case 85:   //Akonadi::ItemSerializerPluginV2
      switch(to) {
        case 84: return (void*)(Akonadi::ItemSerializerPlugin*)(Akonadi::ItemSerializerPluginV2*)xptr;
        case 85: return (void*)(Akonadi::ItemSerializerPluginV2*)xptr;
        default: return xptr;
      }
    case 86:   //Akonadi::ItemSync
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemSync*)xptr;
        case 134: return (void*)(KCompositeJob*)(Akonadi::ItemSync*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemSync*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemSync*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)xptr;
        default: return xptr;
      }
    case 87:   //Akonadi::ItemView
      switch(to) {
        case 209: return (void*)(QTreeView*)(Akonadi::ItemView*)xptr;
        case 148: return (void*)(QAbstractItemView*)(Akonadi::ItemView*)xptr;
        case 150: return (void*)(QAbstractScrollArea*)(Akonadi::ItemView*)xptr;
        case 171: return (void*)(QFrame*)(Akonadi::ItemView*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::ItemView*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemView*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)xptr;
        default: return xptr;
      }
    case 88:   //Akonadi::Job
      switch(to) {
        case 134: return (void*)(KCompositeJob*)(Akonadi::Job*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::Job*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::Job*)xptr;
        case 88: return (void*)(Akonadi::Job*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(Akonadi::Job*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(Akonadi::Job*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(Akonadi::Job*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(Akonadi::Job*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)(Akonadi::Job*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(Akonadi::Job*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)(Akonadi::Job*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)(Akonadi::Job*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(Akonadi::Job*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(Akonadi::Job*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(Akonadi::Job*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(Akonadi::Job*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(Akonadi::Job*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(Akonadi::Job*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(Akonadi::Job*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(Akonadi::Job*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)(Akonadi::Job*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(Akonadi::Job*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(Akonadi::Job*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)(Akonadi::Job*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(Akonadi::Job*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(Akonadi::Job*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(Akonadi::Job*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(Akonadi::Job*)xptr;
        default: return xptr;
      }
    case 89:   //Akonadi::JobPrivate
      switch(to) {
        case 89: return (void*)(Akonadi::JobPrivate*)xptr;
        default: return xptr;
      }
    case 90:   //Akonadi::LinkJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::LinkJob*)xptr;
        case 134: return (void*)(KCompositeJob*)(Akonadi::LinkJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::LinkJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::LinkJob*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)xptr;
        default: return xptr;
      }
    case 91:   //Akonadi::MessageFolderAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::MessageFolderAttribute*)xptr;
        case 91: return (void*)(Akonadi::MessageFolderAttribute*)xptr;
        default: return xptr;
      }
    case 92:   //Akonadi::MessageModel
      switch(to) {
        case 79: return (void*)(Akonadi::ItemModel*)(Akonadi::MessageModel*)xptr;
        case 151: return (void*)(QAbstractTableModel*)(Akonadi::MessageModel*)xptr;
        case 147: return (void*)(QAbstractItemModel*)(Akonadi::MessageModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::MessageModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)xptr;
        default: return xptr;
      }
    case 93:   //Akonadi::MessageThreaderProxyModel
      switch(to) {
        case 149: return (void*)(QAbstractProxyModel*)(Akonadi::MessageThreaderProxyModel*)xptr;
        case 147: return (void*)(QAbstractItemModel*)(Akonadi::MessageThreaderProxyModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::MessageThreaderProxyModel*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)xptr;
        default: return xptr;
      }
    case 94:   //Akonadi::MessageThreadingAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::MessageThreadingAttribute*)xptr;
        case 94: return (void*)(Akonadi::MessageThreadingAttribute*)xptr;
        default: return xptr;
      }
    case 95:   //Akonadi::MimeTypeChecker
      switch(to) {
        case 95: return (void*)(Akonadi::MimeTypeChecker*)xptr;
        default: return xptr;
      }
    case 96:   //Akonadi::Monitor
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::Monitor*)xptr;
        case 96: return (void*)(Akonadi::Monitor*)xptr;
        case 22: return (void*)(Akonadi::ChangeRecorder*)(Akonadi::Monitor*)xptr;
        default: return xptr;
      }
    case 97:   //Akonadi::MonitorPrivate
      switch(to) {
        case 97: return (void*)(Akonadi::MonitorPrivate*)xptr;
        default: return xptr;
      }
    case 98:   //Akonadi::PartFetcher
      switch(to) {
        case 140: return (void*)(KJob*)(Akonadi::PartFetcher*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::PartFetcher*)xptr;
        case 98: return (void*)(Akonadi::PartFetcher*)xptr;
        default: return xptr;
      }
    case 99:   //Akonadi::PayloadBase
      switch(to) {
        case 99: return (void*)(Akonadi::PayloadBase*)xptr;
        default: return xptr;
      }
    case 100:   //Akonadi::PayloadException
      switch(to) {
        case 71: return (void*)(Akonadi::Exception*)(Akonadi::PayloadException*)xptr;
        case 100: return (void*)(Akonadi::PayloadException*)xptr;
        default: return xptr;
      }
    case 101:   //Akonadi::PreprocessorBase
      switch(to) {
        case 5: return (void*)(Akonadi::AgentBase*)(Akonadi::PreprocessorBase*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::PreprocessorBase*)xptr;
        case 160: return (void*)(QDBusContext*)(Akonadi::PreprocessorBase*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)xptr;
        default: return xptr;
      }
    case 102:   //Akonadi::ResourceBase
      switch(to) {
        case 5: return (void*)(Akonadi::AgentBase*)(Akonadi::ResourceBase*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ResourceBase*)xptr;
        case 160: return (void*)(QDBusContext*)(Akonadi::ResourceBase*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)xptr;
        default: return xptr;
      }
    case 103:   //Akonadi::ResourceSynchronizationJob
      switch(to) {
        case 140: return (void*)(KJob*)(Akonadi::ResourceSynchronizationJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ResourceSynchronizationJob*)xptr;
        case 103: return (void*)(Akonadi::ResourceSynchronizationJob*)xptr;
        default: return xptr;
      }
    case 104:   //Akonadi::SearchCreateJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::SearchCreateJob*)xptr;
        case 134: return (void*)(KCompositeJob*)(Akonadi::SearchCreateJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::SearchCreateJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::SearchCreateJob*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)xptr;
        default: return xptr;
      }
    case 105:   //Akonadi::SelectionProxyModel
      switch(to) {
        case 142: return (void*)(KSelectionProxyModel*)(Akonadi::SelectionProxyModel*)xptr;
        case 149: return (void*)(QAbstractProxyModel*)(Akonadi::SelectionProxyModel*)xptr;
        case 147: return (void*)(QAbstractItemModel*)(Akonadi::SelectionProxyModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::SelectionProxyModel*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(Akonadi::SelectionProxyModel*)xptr;
        default: return xptr;
      }
    case 106:   //Akonadi::ServerManager
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::ServerManager*)xptr;
        case 106: return (void*)(Akonadi::ServerManager*)xptr;
        default: return xptr;
      }
    case 107:   //Akonadi::Session
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::Session*)xptr;
        case 107: return (void*)(Akonadi::Session*)xptr;
        default: return xptr;
      }
    case 108:   //Akonadi::SessionPrivate
      switch(to) {
        case 108: return (void*)(Akonadi::SessionPrivate*)xptr;
        default: return xptr;
      }
    case 109:   //Akonadi::StandardActionManager
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::StandardActionManager*)xptr;
        case 109: return (void*)(Akonadi::StandardActionManager*)xptr;
        default: return xptr;
      }
    case 110:   //Akonadi::StatisticsProxyModel
      switch(to) {
        case 203: return (void*)(QSortFilterProxyModel*)(Akonadi::StatisticsProxyModel*)xptr;
        case 149: return (void*)(QAbstractProxyModel*)(Akonadi::StatisticsProxyModel*)xptr;
        case 147: return (void*)(QAbstractItemModel*)(Akonadi::StatisticsProxyModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::StatisticsProxyModel*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)xptr;
        default: return xptr;
      }
    case 111:   //Akonadi::TransactionBeginJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionBeginJob*)xptr;
        case 134: return (void*)(KCompositeJob*)(Akonadi::TransactionBeginJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::TransactionBeginJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::TransactionBeginJob*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)xptr;
        default: return xptr;
      }
    case 112:   //Akonadi::TransactionCommitJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionCommitJob*)xptr;
        case 134: return (void*)(KCompositeJob*)(Akonadi::TransactionCommitJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::TransactionCommitJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::TransactionCommitJob*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)xptr;
        default: return xptr;
      }
    case 113:   //Akonadi::TransactionRollbackJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionRollbackJob*)xptr;
        case 134: return (void*)(KCompositeJob*)(Akonadi::TransactionRollbackJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::TransactionRollbackJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::TransactionRollbackJob*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)xptr;
        default: return xptr;
      }
    case 114:   //Akonadi::TransactionSequence
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionSequence*)xptr;
        case 134: return (void*)(KCompositeJob*)(Akonadi::TransactionSequence*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::TransactionSequence*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::TransactionSequence*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)xptr;
        default: return xptr;
      }
    case 115:   //Akonadi::TransportResourceBase
      switch(to) {
        case 115: return (void*)(Akonadi::TransportResourceBase*)xptr;
        default: return xptr;
      }
    case 116:   //Akonadi::UnlinkJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::UnlinkJob*)xptr;
        case 134: return (void*)(KCompositeJob*)(Akonadi::UnlinkJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::UnlinkJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::UnlinkJob*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)xptr;
        default: return xptr;
      }
    case 117:   //KABC::Address
      switch(to) {
        case 117: return (void*)(KABC::Address*)xptr;
        default: return xptr;
      }
    case 118:   //KABC::Addressee
      switch(to) {
        case 118: return (void*)(KABC::Addressee*)xptr;
        default: return xptr;
      }
    case 119:   //KABC::AddresseeList
      switch(to) {
        case 119: return (void*)(KABC::AddresseeList*)xptr;
        default: return xptr;
      }
    case 120:   //KABC::ContactGroup
      switch(to) {
        case 120: return (void*)(KABC::ContactGroup*)xptr;
        default: return xptr;
      }
    case 121:   //KABC::Geo
      switch(to) {
        case 121: return (void*)(KABC::Geo*)xptr;
        default: return xptr;
      }
    case 122:   //KABC::Key
      switch(to) {
        case 122: return (void*)(KABC::Key*)xptr;
        default: return xptr;
      }
    case 123:   //KABC::PhoneNumber
      switch(to) {
        case 123: return (void*)(KABC::PhoneNumber*)xptr;
        default: return xptr;
      }
    case 124:   //KABC::Picture
      switch(to) {
        case 124: return (void*)(KABC::Picture*)xptr;
        default: return xptr;
      }
    case 125:   //KABC::Secrecy
      switch(to) {
        case 125: return (void*)(KABC::Secrecy*)xptr;
        default: return xptr;
      }
    case 126:   //KABC::Sound
      switch(to) {
        case 126: return (void*)(KABC::Sound*)xptr;
        default: return xptr;
      }
    case 127:   //KABC::TimeZone
      switch(to) {
        case 127: return (void*)(KABC::TimeZone*)xptr;
        default: return xptr;
      }
    case 128:   //KAction
      switch(to) {
        case 128: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 129:   //KActionCollection
      switch(to) {
        case 129: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 130:   //KComboBox
      switch(to) {
        case 158: return (void*)(QComboBox*)(KComboBox*)xptr;
        case 213: return (void*)(QWidget*)(KComboBox*)xptr;
        case 190: return (void*)(QObject*)(KComboBox*)xptr;
        case 132: return (void*)(KCompletionBase*)(KComboBox*)xptr;
        case 130: return (void*)(KComboBox*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(KComboBox*)xptr;
        default: return xptr;
      }
    case 131:   //KCompletion
      switch(to) {
        case 190: return (void*)(QObject*)(KCompletion*)xptr;
        case 131: return (void*)(KCompletion*)xptr;
        default: return xptr;
      }
    case 132:   //KCompletionBase
      switch(to) {
        case 132: return (void*)(KCompletionBase*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(KCompletionBase*)xptr;
        default: return xptr;
      }
    case 133:   //KComponentData
      switch(to) {
        case 133: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 134:   //KCompositeJob
      switch(to) {
        case 140: return (void*)(KJob*)(KCompositeJob*)xptr;
        case 190: return (void*)(QObject*)(KCompositeJob*)xptr;
        case 134: return (void*)(KCompositeJob*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(KCompositeJob*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(KCompositeJob*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(KCompositeJob*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(KCompositeJob*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)(KCompositeJob*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(KCompositeJob*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)(KCompositeJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(KCompositeJob*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)(KCompositeJob*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(KCompositeJob*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(KCompositeJob*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(KCompositeJob*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(KCompositeJob*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(KCompositeJob*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(KCompositeJob*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(KCompositeJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(KCompositeJob*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)(KCompositeJob*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(KCompositeJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(KCompositeJob*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)(KCompositeJob*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(KCompositeJob*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(KCompositeJob*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(KCompositeJob*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(KCompositeJob*)xptr;
        default: return xptr;
      }
    case 135:   //KConfigGroup
      switch(to) {
        case 135: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 136:   //KDateTime
      switch(to) {
        case 136: return (void*)(KDateTime*)xptr;
        default: return xptr;
      }
    case 137:   //KDialog
      switch(to) {
        case 163: return (void*)(QDialog*)(KDialog*)xptr;
        case 213: return (void*)(QWidget*)(KDialog*)xptr;
        case 190: return (void*)(QObject*)(KDialog*)xptr;
        case 137: return (void*)(KDialog*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(KDialog*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(KDialog*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(KDialog*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(KDialog*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(KDialog*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(KDialog*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(KDialog*)xptr;
        default: return xptr;
      }
    case 138:   //KHBox
      switch(to) {
        case 171: return (void*)(QFrame*)(KHBox*)xptr;
        case 213: return (void*)(QWidget*)(KHBox*)xptr;
        case 190: return (void*)(QObject*)(KHBox*)xptr;
        case 138: return (void*)(KHBox*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(KHBox*)xptr;
        default: return xptr;
      }
    case 139:   //KIcon
      switch(to) {
        case 175: return (void*)(QIcon*)(KIcon*)xptr;
        case 139: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 140:   //KJob
      switch(to) {
        case 190: return (void*)(QObject*)(KJob*)xptr;
        case 140: return (void*)(KJob*)xptr;
        case 11: return (void*)(Akonadi::AgentInstanceCreateJob*)(KJob*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(KJob*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(KJob*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(KJob*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(KJob*)xptr;
        case 98: return (void*)(Akonadi::PartFetcher*)(KJob*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)(KJob*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(KJob*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)(KJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(KJob*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)(KJob*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(KJob*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(KJob*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(KJob*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(KJob*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(KJob*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(KJob*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(KJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(KJob*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)(KJob*)xptr;
        case 53: return (void*)(Akonadi::ContactGroupExpandJob*)(KJob*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(KJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(KJob*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)(KJob*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(KJob*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(KJob*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(KJob*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(KJob*)xptr;
        case 103: return (void*)(Akonadi::ResourceSynchronizationJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 141:   //KLocalizedString
      switch(to) {
        case 141: return (void*)(KLocalizedString*)xptr;
        default: return xptr;
      }
    case 142:   //KSelectionProxyModel
      switch(to) {
        case 149: return (void*)(QAbstractProxyModel*)(KSelectionProxyModel*)xptr;
        case 147: return (void*)(QAbstractItemModel*)(KSelectionProxyModel*)xptr;
        case 190: return (void*)(QObject*)(KSelectionProxyModel*)xptr;
        case 142: return (void*)(KSelectionProxyModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(KSelectionProxyModel*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(KSelectionProxyModel*)xptr;
        default: return xptr;
      }
    case 143:   //KSharedConfig
      switch(to) {
        case 143: return (void*)(KSharedConfig*)xptr;
        default: return xptr;
      }
    case 144:   //KUrl
      switch(to) {
        case 210: return (void*)(QUrl*)(KUrl*)xptr;
        case 144: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 145:   //KXMLGUIClient
      switch(to) {
        case 145: return (void*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 146:   //KXmlGuiWindow
      switch(to) {
        case 146: return (void*)(KXmlGuiWindow*)xptr;
        default: return xptr;
      }
    case 147:   //QAbstractItemModel
      switch(to) {
        case 190: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 147: return (void*)(QAbstractItemModel*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)(QAbstractItemModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QAbstractItemModel*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)(QAbstractItemModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QAbstractItemModel*)xptr;
        case 33: return (void*)(Akonadi::CollectionModel*)(QAbstractItemModel*)xptr;
        case 17: return (void*)(Akonadi::AgentTypeModel*)(QAbstractItemModel*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)(QAbstractItemModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(QAbstractItemModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(QAbstractItemModel*)xptr;
        case 67: return (void*)(Akonadi::EntityTreeModel*)(QAbstractItemModel*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)(QAbstractItemModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractItemModel*)xptr;
        case 12: return (void*)(Akonadi::AgentInstanceModel*)(QAbstractItemModel*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 148:   //QAbstractItemView
      switch(to) {
        case 150: return (void*)(QAbstractScrollArea*)(QAbstractItemView*)xptr;
        case 171: return (void*)(QFrame*)(QAbstractItemView*)xptr;
        case 213: return (void*)(QWidget*)(QAbstractItemView*)xptr;
        case 190: return (void*)(QObject*)(QAbstractItemView*)xptr;
        case 148: return (void*)(QAbstractItemView*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QAbstractItemView*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QAbstractItemView*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QAbstractItemView*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QAbstractItemView*)xptr;
        default: return xptr;
      }
    case 149:   //QAbstractProxyModel
      switch(to) {
        case 147: return (void*)(QAbstractItemModel*)(QAbstractProxyModel*)xptr;
        case 190: return (void*)(QObject*)(QAbstractProxyModel*)xptr;
        case 149: return (void*)(QAbstractProxyModel*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)(QAbstractProxyModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QAbstractProxyModel*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)(QAbstractProxyModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QAbstractProxyModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(QAbstractProxyModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractProxyModel*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(QAbstractProxyModel*)xptr;
        default: return xptr;
      }
    case 150:   //QAbstractScrollArea
      switch(to) {
        case 171: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 213: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 190: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 150: return (void*)(QAbstractScrollArea*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QAbstractScrollArea*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QAbstractScrollArea*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QAbstractScrollArea*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 151:   //QAbstractTableModel
      switch(to) {
        case 147: return (void*)(QAbstractItemModel*)(QAbstractTableModel*)xptr;
        case 190: return (void*)(QObject*)(QAbstractTableModel*)xptr;
        case 151: return (void*)(QAbstractTableModel*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)(QAbstractTableModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(QAbstractTableModel*)xptr;
        default: return xptr;
      }
    case 152:   //QActionEvent
      switch(to) {
        case 152: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 153:   //QBool
      switch(to) {
        case 153: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 154:   //QByteArray
      switch(to) {
        case 154: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 155:   //QChildEvent
      switch(to) {
        case 168: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 155: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 156:   //QCloseEvent
      switch(to) {
        case 156: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 157:   //QColor
      switch(to) {
        case 157: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 158:   //QComboBox
      switch(to) {
        case 213: return (void*)(QWidget*)(QComboBox*)xptr;
        case 190: return (void*)(QObject*)(QComboBox*)xptr;
        case 158: return (void*)(QComboBox*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(QComboBox*)xptr;
        default: return xptr;
      }
    case 159:   //QContextMenuEvent
      switch(to) {
        case 159: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 160:   //QDBusContext
      switch(to) {
        case 160: return (void*)(QDBusContext*)xptr;
        case 5: return (void*)(Akonadi::AgentBase*)(QDBusContext*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)(QDBusContext*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)(QDBusContext*)xptr;
        default: return xptr;
      }
    case 161:   //QDataStream
      switch(to) {
        case 161: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 162:   //QDateTime
      switch(to) {
        case 162: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 163:   //QDialog
      switch(to) {
        case 213: return (void*)(QWidget*)(QDialog*)xptr;
        case 190: return (void*)(QObject*)(QDialog*)xptr;
        case 163: return (void*)(QDialog*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(QDialog*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(QDialog*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(QDialog*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(QDialog*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(QDialog*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(QDialog*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(QDialog*)xptr;
        default: return xptr;
      }
    case 164:   //QDragEnterEvent
      switch(to) {
        case 164: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 165:   //QDragLeaveEvent
      switch(to) {
        case 165: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 166:   //QDragMoveEvent
      switch(to) {
        case 166: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 167:   //QDropEvent
      switch(to) {
        case 167: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 168:   //QEvent
      switch(to) {
        case 168: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 169:   //QFocusEvent
      switch(to) {
        case 169: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 170:   //QFont
      switch(to) {
        case 170: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 171:   //QFrame
      switch(to) {
        case 213: return (void*)(QWidget*)(QFrame*)xptr;
        case 190: return (void*)(QObject*)(QFrame*)xptr;
        case 171: return (void*)(QFrame*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QFrame*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(QFrame*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QFrame*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QFrame*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QFrame*)xptr;
        default: return xptr;
      }
    case 173:   //QHideEvent
      switch(to) {
        case 173: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 174:   //QIODevice
      switch(to) {
        case 190: return (void*)(QObject*)(QIODevice*)xptr;
        case 174: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 175:   //QIcon
      switch(to) {
        case 175: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 176:   //QIncompatibleFlag
      switch(to) {
        case 176: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 177:   //QInputMethodEvent
      switch(to) {
        case 177: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 178:   //QItemSelection
      switch(to) {
        case 178: return (void*)(QItemSelection*)xptr;
        default: return xptr;
      }
    case 179:   //QItemSelectionModel
      switch(to) {
        case 190: return (void*)(QObject*)(QItemSelectionModel*)xptr;
        case 179: return (void*)(QItemSelectionModel*)xptr;
        default: return xptr;
      }
    case 180:   //QKeyEvent
      switch(to) {
        case 180: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 181:   //QLineEdit
      switch(to) {
        case 181: return (void*)(QLineEdit*)xptr;
        default: return xptr;
      }
    case 182:   //QListView
      switch(to) {
        case 148: return (void*)(QAbstractItemView*)(QListView*)xptr;
        case 150: return (void*)(QAbstractScrollArea*)(QListView*)xptr;
        case 171: return (void*)(QFrame*)(QListView*)xptr;
        case 213: return (void*)(QWidget*)(QListView*)xptr;
        case 190: return (void*)(QObject*)(QListView*)xptr;
        case 182: return (void*)(QListView*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QListView*)xptr;
        default: return xptr;
      }
    case 183:   //QLocale
      switch(to) {
        case 183: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 184:   //QMenu
      switch(to) {
        case 184: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 185:   //QMetaObject
      switch(to) {
        case 185: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 186:   //QMimeData
      switch(to) {
        case 186: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 187:   //QModelIndex
      switch(to) {
        case 187: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 188:   //QMouseEvent
      switch(to) {
        case 188: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 189:   //QMoveEvent
      switch(to) {
        case 189: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 190:   //QObject
      switch(to) {
        case 190: return (void*)(QObject*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(QObject*)xptr;
        case 5: return (void*)(Akonadi::AgentBase*)(QObject*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(QObject*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QObject*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(QObject*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)(QObject*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)(QObject*)xptr;
        case 11: return (void*)(Akonadi::AgentInstanceCreateJob*)(QObject*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(QObject*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(QObject*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)(QObject*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(QObject*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(QObject*)xptr;
        case 47: return (void*)(Akonadi::ContactDefaultActions*)(QObject*)xptr;
        case 98: return (void*)(Akonadi::PartFetcher*)(QObject*)xptr;
        case 18: return (void*)(Akonadi::AgentTypeWidget*)(QObject*)xptr;
        case 50: return (void*)(Akonadi::ContactEditorPagePlugin*)(QObject*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)(QObject*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QObject*)xptr;
        case 22: return (void*)(Akonadi::ChangeRecorder*)(QObject*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(QObject*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)(QObject*)xptr;
        case 88: return (void*)(Akonadi::Job*)(QObject*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(QObject*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QObject*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QObject*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)(QObject*)xptr;
        case 70: return (void*)(Akonadi::EntityTreeViewStateSaver*)(QObject*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(QObject*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)(QObject*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QObject*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(QObject*)xptr;
        case 43: return (void*)(Akonadi::CollectionStatisticsDelegate*)(QObject*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(QObject*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(QObject*)xptr;
        case 33: return (void*)(Akonadi::CollectionModel*)(QObject*)xptr;
        case 48: return (void*)(Akonadi::ContactEditor*)(QObject*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(QObject*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(QObject*)xptr;
        case 17: return (void*)(Akonadi::AgentTypeModel*)(QObject*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)(QObject*)xptr;
        case 13: return (void*)(Akonadi::AgentInstanceWidget*)(QObject*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(QObject*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(QObject*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(QObject*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(QObject*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(QObject*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(QObject*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)(QObject*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(QObject*)xptr;
        case 67: return (void*)(Akonadi::EntityTreeModel*)(QObject*)xptr;
        case 106: return (void*)(Akonadi::ServerManager*)(QObject*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)(QObject*)xptr;
        case 14: return (void*)(Akonadi::AgentManager*)(QObject*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)(QObject*)xptr;
        case 53: return (void*)(Akonadi::ContactGroupExpandJob*)(QObject*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QObject*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(QObject*)xptr;
        case 107: return (void*)(Akonadi::Session*)(QObject*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)(QObject*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QObject*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(QObject*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(QObject*)xptr;
        case 96: return (void*)(Akonadi::Monitor*)(QObject*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(QObject*)xptr;
        case 109: return (void*)(Akonadi::StandardActionManager*)(QObject*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)(QObject*)xptr;
        case 51: return (void*)(Akonadi::ContactGroupEditor*)(QObject*)xptr;
        case 12: return (void*)(Akonadi::AgentInstanceModel*)(QObject*)xptr;
        case 60: return (void*)(Akonadi::Control*)(QObject*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(QObject*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(QObject*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(QObject*)xptr;
        case 38: return (void*)(Akonadi::CollectionPropertiesPage*)(QObject*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(QObject*)xptr;
        case 103: return (void*)(Akonadi::ResourceSynchronizationJob*)(QObject*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 191:   //QPaintEngine
      switch(to) {
        case 191: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 192:   //QPaintEvent
      switch(to) {
        case 192: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 193:   //QPainter
      switch(to) {
        case 193: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 194:   //QPalette
      switch(to) {
        case 194: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 195:   //QPoint
      switch(to) {
        case 195: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 196:   //QRect
      switch(to) {
        case 196: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 197:   //QRegExp
      switch(to) {
        case 197: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 198:   //QRegion
      switch(to) {
        case 198: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 199:   //QResizeEvent
      switch(to) {
        case 199: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 200:   //QSettings
      switch(to) {
        case 200: return (void*)(QSettings*)xptr;
        default: return xptr;
      }
    case 201:   //QShowEvent
      switch(to) {
        case 201: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 202:   //QSize
      switch(to) {
        case 202: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 203:   //QSortFilterProxyModel
      switch(to) {
        case 149: return (void*)(QAbstractProxyModel*)(QSortFilterProxyModel*)xptr;
        case 147: return (void*)(QAbstractItemModel*)(QSortFilterProxyModel*)xptr;
        case 190: return (void*)(QObject*)(QSortFilterProxyModel*)xptr;
        case 203: return (void*)(QSortFilterProxyModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QSortFilterProxyModel*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)(QSortFilterProxyModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QSortFilterProxyModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QSortFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 204:   //QStyle
      switch(to) {
        case 190: return (void*)(QObject*)(QStyle*)xptr;
        case 204: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 205:   //QStyleOptionViewItem
      switch(to) {
        case 205: return (void*)(QStyleOptionViewItem*)xptr;
        default: return xptr;
      }
    case 206:   //QStyledItemDelegate
      switch(to) {
        case 190: return (void*)(QObject*)(QStyledItemDelegate*)xptr;
        case 206: return (void*)(QStyledItemDelegate*)xptr;
        case 43: return (void*)(Akonadi::CollectionStatisticsDelegate*)(QStyledItemDelegate*)xptr;
        default: return xptr;
      }
    case 207:   //QTabletEvent
      switch(to) {
        case 207: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 208:   //QTimerEvent
      switch(to) {
        case 168: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 208: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 209:   //QTreeView
      switch(to) {
        case 148: return (void*)(QAbstractItemView*)(QTreeView*)xptr;
        case 150: return (void*)(QAbstractScrollArea*)(QTreeView*)xptr;
        case 171: return (void*)(QFrame*)(QTreeView*)xptr;
        case 213: return (void*)(QWidget*)(QTreeView*)xptr;
        case 190: return (void*)(QObject*)(QTreeView*)xptr;
        case 209: return (void*)(QTreeView*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QTreeView*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QTreeView*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QTreeView*)xptr;
        default: return xptr;
      }
    case 210:   //QUrl
      switch(to) {
        case 210: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 211:   //QVariant
      switch(to) {
        case 211: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 212:   //QWheelEvent
      switch(to) {
        case 212: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 213:   //QWidget
      switch(to) {
        case 190: return (void*)(QObject*)(QWidget*)xptr;
        case 213: return (void*)(QWidget*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(QWidget*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(QWidget*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QWidget*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(QWidget*)xptr;
        case 18: return (void*)(Akonadi::AgentTypeWidget*)(QWidget*)xptr;
        case 50: return (void*)(Akonadi::ContactEditorPagePlugin*)(QWidget*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QWidget*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(QWidget*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QWidget*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(QWidget*)xptr;
        case 48: return (void*)(Akonadi::ContactEditor*)(QWidget*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(QWidget*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(QWidget*)xptr;
        case 13: return (void*)(Akonadi::AgentInstanceWidget*)(QWidget*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)(QWidget*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(QWidget*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)(QWidget*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QWidget*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(QWidget*)xptr;
        case 51: return (void*)(Akonadi::ContactGroupEditor*)(QWidget*)xptr;
        case 38: return (void*)(Akonadi::CollectionPropertiesPage*)(QWidget*)xptr;
        default: return xptr;
      }
    case 214:   //boost::exception
      switch(to) {
        case 214: return (void*)(boost::exception*)xptr;
        default: return xptr;
      }
    case 215:   //boost::exception_detail::large_size
      switch(to) {
        case 215: return (void*)(boost::exception_detail::large_size*)xptr;
        default: return xptr;
      }
    case 216:   //boost::exception_detail::small_size
      switch(to) {
        case 216: return (void*)(boost::exception_detail::small_size*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    19, 0,	// 1: Akonadi::Attribute
    190, 160, 0,	// 3: QObject, QDBusContext
    6, 0,	// 6: Akonadi::AgentBase::Observer
    203, 0,	// 8: QSortFilterProxyModel
    140, 0,	// 10: KJob
    147, 0,	// 12: QAbstractItemModel
    213, 0,	// 14: QWidget
    190, 0,	// 16: QObject
    137, 0,	// 18: KDialog
    96, 0,	// 20: Akonadi::Monitor
    61, 0,	// 22: Akonadi::Entity
    130, 0,	// 24: KComboBox
    88, 0,	// 26: Akonadi::Job
    138, 0,	// 28: KHBox
    206, 0,	// 30: QStyledItemDelegate
    33, 0,	// 32: Akonadi::CollectionModel
    209, 0,	// 34: QTreeView
    83, 0,	// 36: Akonadi::ItemSearchJob
    213, 81, 0,	// 38: QWidget, Akonadi::ItemMonitor
    182, 0,	// 41: QListView
    105, 0,	// 43: Akonadi::SelectionProxyModel
    151, 0,	// 45: QAbstractTableModel
    84, 0,	// 47: Akonadi::ItemSerializerPlugin
    134, 0,	// 49: KCompositeJob
    79, 0,	// 51: Akonadi::ItemModel
    149, 0,	// 53: QAbstractProxyModel
    71, 0,	// 55: Akonadi::Exception
    5, 0,	// 57: Akonadi::AgentBase
    142, 0,	// 59: KSelectionProxyModel
};

// These are the xenum functions for manipulating enum pointers
void xenum_Akonadi__ItemModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__MessageModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__EntityTreeModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ItemSync(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ServerManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionFetchScope(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentInstanceModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Collection(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactEditor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__TransportResourceBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ResourceBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactSearchJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Entity(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__PreprocessorBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Item(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionStatisticsModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactGroupEditor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__StandardActionManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionFetchJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactGroupSearchJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionPropertiesDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactGroupEditorDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentTypeModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ItemFetchScope(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentInstance(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactEditorDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Job(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Akonadi__AddressAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__Observer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__ObserverV2(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentFilterProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstance(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentType(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Attribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AttributeFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CachePolicy(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ChangeRecorder(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Collection(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionComboBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionCopyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionDeleteJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionFetchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionFetchScope(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionFilterProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionModifyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionMoveJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionPropertiesDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionPropertiesPage(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionPropertiesPageFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionQuotaAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionRequester(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatistics(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatisticsDelegate(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatisticsJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatisticsModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactDefaultActions(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactEditor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactEditorDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactEditorPagePlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupEditor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupEditorDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupExpandJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupSearchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupViewer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupViewerDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactSearchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactViewer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactViewerDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Control(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityDisplayAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityHiddenAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityListView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityMimeTypeFilterModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityTreeModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityTreeView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityTreeViewStateSaver(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Exception(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__FavoriteCollectionsModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Item(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemCopyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemDeleteJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemFetchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemFetchScope(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemModifyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemMonitor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemMoveJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSearchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSerializerPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSerializerPluginV2(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSync(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Job(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__LinkJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageFolderAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageThreaderProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageThreadingAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MimeTypeChecker(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Monitor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PartFetcher(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PayloadBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PayloadException(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PreprocessorBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ResourceBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ResourceSynchronizationJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__SearchCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__SelectionProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ServerManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Session(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__StandardActionManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__StatisticsProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionBeginJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionCommitJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionRollbackJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionSequence(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransportResourceBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__UnlinkJob(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Akonadi::AbstractContactEditorWidget", true, 0, 0, 0, 0, 0 },	//1
    { "Akonadi::AbstractContactFormatter", true, 0, 0, 0, 0, 0 },	//2
    { "Akonadi::AbstractContactGroupFormatter", true, 0, 0, 0, 0, 0 },	//3
    { "Akonadi::AddressAttribute", false, 1, xcall_Akonadi__AddressAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AddressAttribute) },	//4
    { "Akonadi::AgentBase", false, 3, xcall_Akonadi__AgentBase, xenum_Akonadi__AgentBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentBase) },	//5
    { "Akonadi::AgentBase::Observer", false, 0, xcall_Akonadi__AgentBase__Observer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::Observer) },	//6
    { "Akonadi::AgentBase::ObserverV2", false, 6, xcall_Akonadi__AgentBase__ObserverV2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::ObserverV2) },	//7
    { "Akonadi::AgentBasePrivate", true, 0, 0, 0, 0, 0 },	//8
    { "Akonadi::AgentFilterProxyModel", false, 8, xcall_Akonadi__AgentFilterProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentFilterProxyModel) },	//9
    { "Akonadi::AgentInstance", false, 0, xcall_Akonadi__AgentInstance, xenum_Akonadi__AgentInstance, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentInstance) },	//10
    { "Akonadi::AgentInstanceCreateJob", false, 10, xcall_Akonadi__AgentInstanceCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceCreateJob) },	//11
    { "Akonadi::AgentInstanceModel", false, 12, xcall_Akonadi__AgentInstanceModel, xenum_Akonadi__AgentInstanceModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceModel) },	//12
    { "Akonadi::AgentInstanceWidget", false, 14, xcall_Akonadi__AgentInstanceWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceWidget) },	//13
    { "Akonadi::AgentManager", false, 16, xcall_Akonadi__AgentManager, 0, Smoke::cf_virtual, sizeof(Akonadi::AgentManager) },	//14
    { "Akonadi::AgentType", false, 0, xcall_Akonadi__AgentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentType) },	//15
    { "Akonadi::AgentTypeDialog", false, 18, xcall_Akonadi__AgentTypeDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeDialog) },	//16
    { "Akonadi::AgentTypeModel", false, 12, xcall_Akonadi__AgentTypeModel, xenum_Akonadi__AgentTypeModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeModel) },	//17
    { "Akonadi::AgentTypeWidget", false, 14, xcall_Akonadi__AgentTypeWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeWidget) },	//18
    { "Akonadi::Attribute", false, 0, xcall_Akonadi__Attribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Attribute) },	//19
    { "Akonadi::AttributeFactory", false, 0, xcall_Akonadi__AttributeFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AttributeFactory) },	//20
    { "Akonadi::CachePolicy", false, 0, xcall_Akonadi__CachePolicy, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CachePolicy) },	//21
    { "Akonadi::ChangeRecorder", false, 20, xcall_Akonadi__ChangeRecorder, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ChangeRecorder) },	//22
    { "Akonadi::ChangeRecorderPrivate", true, 0, 0, 0, 0, 0 },	//23
    { "Akonadi::Collection", false, 22, xcall_Akonadi__Collection, xenum_Akonadi__Collection, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Collection) },	//24
    { "Akonadi::CollectionComboBox", false, 24, xcall_Akonadi__CollectionComboBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionComboBox) },	//25
    { "Akonadi::CollectionCopyJob", false, 26, xcall_Akonadi__CollectionCopyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionCopyJob) },	//26
    { "Akonadi::CollectionCreateJob", false, 26, xcall_Akonadi__CollectionCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionCreateJob) },	//27
    { "Akonadi::CollectionDeleteJob", false, 26, xcall_Akonadi__CollectionDeleteJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionDeleteJob) },	//28
    { "Akonadi::CollectionDialog", false, 18, xcall_Akonadi__CollectionDialog, xenum_Akonadi__CollectionDialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionDialog) },	//29
    { "Akonadi::CollectionFetchJob", false, 26, xcall_Akonadi__CollectionFetchJob, xenum_Akonadi__CollectionFetchJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionFetchJob) },	//30
    { "Akonadi::CollectionFetchScope", false, 0, xcall_Akonadi__CollectionFetchScope, xenum_Akonadi__CollectionFetchScope, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CollectionFetchScope) },	//31
    { "Akonadi::CollectionFilterProxyModel", false, 8, xcall_Akonadi__CollectionFilterProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionFilterProxyModel) },	//32
    { "Akonadi::CollectionModel", false, 12, xcall_Akonadi__CollectionModel, xenum_Akonadi__CollectionModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionModel) },	//33
    { "Akonadi::CollectionModelPrivate", true, 0, 0, 0, 0, 0 },	//34
    { "Akonadi::CollectionModifyJob", false, 26, xcall_Akonadi__CollectionModifyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionModifyJob) },	//35
    { "Akonadi::CollectionMoveJob", false, 26, xcall_Akonadi__CollectionMoveJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionMoveJob) },	//36
    { "Akonadi::CollectionPropertiesDialog", false, 18, xcall_Akonadi__CollectionPropertiesDialog, xenum_Akonadi__CollectionPropertiesDialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionPropertiesDialog) },	//37
    { "Akonadi::CollectionPropertiesPage", false, 14, xcall_Akonadi__CollectionPropertiesPage, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionPropertiesPage) },	//38
    { "Akonadi::CollectionPropertiesPageFactory", false, 0, xcall_Akonadi__CollectionPropertiesPageFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::CollectionPropertiesPageFactory) },	//39
    { "Akonadi::CollectionQuotaAttribute", false, 1, xcall_Akonadi__CollectionQuotaAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::CollectionQuotaAttribute) },	//40
    { "Akonadi::CollectionRequester", false, 28, xcall_Akonadi__CollectionRequester, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionRequester) },	//41
    { "Akonadi::CollectionStatistics", false, 0, xcall_Akonadi__CollectionStatistics, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CollectionStatistics) },	//42
    { "Akonadi::CollectionStatisticsDelegate", false, 30, xcall_Akonadi__CollectionStatisticsDelegate, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionStatisticsDelegate) },	//43
    { "Akonadi::CollectionStatisticsJob", false, 26, xcall_Akonadi__CollectionStatisticsJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionStatisticsJob) },	//44
    { "Akonadi::CollectionStatisticsModel", false, 32, xcall_Akonadi__CollectionStatisticsModel, xenum_Akonadi__CollectionStatisticsModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionStatisticsModel) },	//45
    { "Akonadi::CollectionView", false, 34, xcall_Akonadi__CollectionView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionView) },	//46
    { "Akonadi::ContactDefaultActions", false, 16, xcall_Akonadi__ContactDefaultActions, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactDefaultActions) },	//47
    { "Akonadi::ContactEditor", false, 14, xcall_Akonadi__ContactEditor, xenum_Akonadi__ContactEditor, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactEditor) },	//48
    { "Akonadi::ContactEditorDialog", false, 18, xcall_Akonadi__ContactEditorDialog, xenum_Akonadi__ContactEditorDialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactEditorDialog) },	//49
    { "Akonadi::ContactEditorPagePlugin", false, 14, xcall_Akonadi__ContactEditorPagePlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactEditorPagePlugin) },	//50
    { "Akonadi::ContactGroupEditor", false, 14, xcall_Akonadi__ContactGroupEditor, xenum_Akonadi__ContactGroupEditor, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupEditor) },	//51
    { "Akonadi::ContactGroupEditorDialog", false, 18, xcall_Akonadi__ContactGroupEditorDialog, xenum_Akonadi__ContactGroupEditorDialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupEditorDialog) },	//52
    { "Akonadi::ContactGroupExpandJob", false, 10, xcall_Akonadi__ContactGroupExpandJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupExpandJob) },	//53
    { "Akonadi::ContactGroupSearchJob", false, 36, xcall_Akonadi__ContactGroupSearchJob, xenum_Akonadi__ContactGroupSearchJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupSearchJob) },	//54
    { "Akonadi::ContactGroupViewer", false, 38, xcall_Akonadi__ContactGroupViewer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupViewer) },	//55
    { "Akonadi::ContactGroupViewerDialog", false, 18, xcall_Akonadi__ContactGroupViewerDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupViewerDialog) },	//56
    { "Akonadi::ContactSearchJob", false, 36, xcall_Akonadi__ContactSearchJob, xenum_Akonadi__ContactSearchJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactSearchJob) },	//57
    { "Akonadi::ContactViewer", false, 38, xcall_Akonadi__ContactViewer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactViewer) },	//58
    { "Akonadi::ContactViewerDialog", false, 18, xcall_Akonadi__ContactViewerDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactViewerDialog) },	//59
    { "Akonadi::Control", false, 16, xcall_Akonadi__Control, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Control) },	//60
    { "Akonadi::Entity", false, 0, xcall_Akonadi__Entity, xenum_Akonadi__Entity, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Entity) },	//61
    { "Akonadi::EntityDisplayAttribute", false, 1, xcall_Akonadi__EntityDisplayAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::EntityDisplayAttribute) },	//62
    { "Akonadi::EntityHiddenAttribute", false, 1, xcall_Akonadi__EntityHiddenAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::EntityHiddenAttribute) },	//63
    { "Akonadi::EntityListView", false, 41, xcall_Akonadi__EntityListView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityListView) },	//64
    { "Akonadi::EntityMimeTypeFilterModel", false, 8, xcall_Akonadi__EntityMimeTypeFilterModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityMimeTypeFilterModel) },	//65
    { "Akonadi::EntityPrivate", true, 0, 0, 0, 0, 0 },	//66
    { "Akonadi::EntityTreeModel", false, 12, xcall_Akonadi__EntityTreeModel, xenum_Akonadi__EntityTreeModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityTreeModel) },	//67
    { "Akonadi::EntityTreeModelPrivate", true, 0, 0, 0, 0, 0 },	//68
    { "Akonadi::EntityTreeView", false, 34, xcall_Akonadi__EntityTreeView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityTreeView) },	//69
    { "Akonadi::EntityTreeViewStateSaver", false, 16, xcall_Akonadi__EntityTreeViewStateSaver, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityTreeViewStateSaver) },	//70
    { "Akonadi::Exception", false, 0, xcall_Akonadi__Exception, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Exception) },	//71
    { "Akonadi::FavoriteCollectionsModel", false, 43, xcall_Akonadi__FavoriteCollectionsModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::FavoriteCollectionsModel) },	//72
    { "Akonadi::Item", false, 22, xcall_Akonadi__Item, xenum_Akonadi__Item, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Item) },	//73
    { "Akonadi::ItemCopyJob", false, 26, xcall_Akonadi__ItemCopyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemCopyJob) },	//74
    { "Akonadi::ItemCreateJob", false, 26, xcall_Akonadi__ItemCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemCreateJob) },	//75
    { "Akonadi::ItemDeleteJob", false, 26, xcall_Akonadi__ItemDeleteJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemDeleteJob) },	//76
    { "Akonadi::ItemFetchJob", false, 26, xcall_Akonadi__ItemFetchJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemFetchJob) },	//77
    { "Akonadi::ItemFetchScope", false, 0, xcall_Akonadi__ItemFetchScope, xenum_Akonadi__ItemFetchScope, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::ItemFetchScope) },	//78
    { "Akonadi::ItemModel", false, 45, xcall_Akonadi__ItemModel, xenum_Akonadi__ItemModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemModel) },	//79
    { "Akonadi::ItemModifyJob", false, 26, xcall_Akonadi__ItemModifyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemModifyJob) },	//80
    { "Akonadi::ItemMonitor", false, 0, xcall_Akonadi__ItemMonitor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemMonitor) },	//81
    { "Akonadi::ItemMoveJob", false, 26, xcall_Akonadi__ItemMoveJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemMoveJob) },	//82
    { "Akonadi::ItemSearchJob", false, 26, xcall_Akonadi__ItemSearchJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemSearchJob) },	//83
    { "Akonadi::ItemSerializerPlugin", false, 0, xcall_Akonadi__ItemSerializerPlugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::ItemSerializerPlugin) },	//84
    { "Akonadi::ItemSerializerPluginV2", false, 47, xcall_Akonadi__ItemSerializerPluginV2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::ItemSerializerPluginV2) },	//85
    { "Akonadi::ItemSync", false, 26, xcall_Akonadi__ItemSync, xenum_Akonadi__ItemSync, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemSync) },	//86
    { "Akonadi::ItemView", false, 34, xcall_Akonadi__ItemView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemView) },	//87
    { "Akonadi::Job", false, 49, xcall_Akonadi__Job, xenum_Akonadi__Job, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Job) },	//88
    { "Akonadi::JobPrivate", true, 0, 0, 0, 0, 0 },	//89
    { "Akonadi::LinkJob", false, 26, xcall_Akonadi__LinkJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::LinkJob) },	//90
    { "Akonadi::MessageFolderAttribute", false, 1, xcall_Akonadi__MessageFolderAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::MessageFolderAttribute) },	//91
    { "Akonadi::MessageModel", false, 51, xcall_Akonadi__MessageModel, xenum_Akonadi__MessageModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::MessageModel) },	//92
    { "Akonadi::MessageThreaderProxyModel", false, 53, xcall_Akonadi__MessageThreaderProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::MessageThreaderProxyModel) },	//93
    { "Akonadi::MessageThreadingAttribute", false, 1, xcall_Akonadi__MessageThreadingAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::MessageThreadingAttribute) },	//94
    { "Akonadi::MimeTypeChecker", false, 0, xcall_Akonadi__MimeTypeChecker, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::MimeTypeChecker) },	//95
    { "Akonadi::Monitor", false, 16, xcall_Akonadi__Monitor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Monitor) },	//96
    { "Akonadi::MonitorPrivate", true, 0, 0, 0, 0, 0 },	//97
    { "Akonadi::PartFetcher", false, 10, xcall_Akonadi__PartFetcher, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::PartFetcher) },	//98
    { "Akonadi::PayloadBase", false, 0, xcall_Akonadi__PayloadBase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::PayloadBase) },	//99
    { "Akonadi::PayloadException", false, 55, xcall_Akonadi__PayloadException, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::PayloadException) },	//100
    { "Akonadi::PreprocessorBase", false, 57, xcall_Akonadi__PreprocessorBase, xenum_Akonadi__PreprocessorBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::PreprocessorBase) },	//101
    { "Akonadi::ResourceBase", false, 57, xcall_Akonadi__ResourceBase, xenum_Akonadi__ResourceBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ResourceBase) },	//102
    { "Akonadi::ResourceSynchronizationJob", false, 10, xcall_Akonadi__ResourceSynchronizationJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ResourceSynchronizationJob) },	//103
    { "Akonadi::SearchCreateJob", false, 26, xcall_Akonadi__SearchCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::SearchCreateJob) },	//104
    { "Akonadi::SelectionProxyModel", false, 59, xcall_Akonadi__SelectionProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::SelectionProxyModel) },	//105
    { "Akonadi::ServerManager", false, 16, xcall_Akonadi__ServerManager, xenum_Akonadi__ServerManager, Smoke::cf_virtual, sizeof(Akonadi::ServerManager) },	//106
    { "Akonadi::Session", false, 16, xcall_Akonadi__Session, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Session) },	//107
    { "Akonadi::SessionPrivate", true, 0, 0, 0, 0, 0 },	//108
    { "Akonadi::StandardActionManager", false, 16, xcall_Akonadi__StandardActionManager, xenum_Akonadi__StandardActionManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::StandardActionManager) },	//109
    { "Akonadi::StatisticsProxyModel", false, 8, xcall_Akonadi__StatisticsProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::StatisticsProxyModel) },	//110
    { "Akonadi::TransactionBeginJob", false, 26, xcall_Akonadi__TransactionBeginJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionBeginJob) },	//111
    { "Akonadi::TransactionCommitJob", false, 26, xcall_Akonadi__TransactionCommitJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionCommitJob) },	//112
    { "Akonadi::TransactionRollbackJob", false, 26, xcall_Akonadi__TransactionRollbackJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionRollbackJob) },	//113
    { "Akonadi::TransactionSequence", false, 26, xcall_Akonadi__TransactionSequence, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionSequence) },	//114
    { "Akonadi::TransportResourceBase", false, 0, xcall_Akonadi__TransportResourceBase, xenum_Akonadi__TransportResourceBase, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::TransportResourceBase) },	//115
    { "Akonadi::UnlinkJob", false, 26, xcall_Akonadi__UnlinkJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::UnlinkJob) },	//116
    { "KABC::Address", true, 0, 0, 0, 0, 0 },	//117
    { "KABC::Addressee", true, 0, 0, 0, 0, 0 },	//118
    { "KABC::AddresseeList", true, 0, 0, 0, 0, 0 },	//119
    { "KABC::ContactGroup", true, 0, 0, 0, 0, 0 },	//120
    { "KABC::Geo", true, 0, 0, 0, 0, 0 },	//121
    { "KABC::Key", true, 0, 0, 0, 0, 0 },	//122
    { "KABC::PhoneNumber", true, 0, 0, 0, 0, 0 },	//123
    { "KABC::Picture", true, 0, 0, 0, 0, 0 },	//124
    { "KABC::Secrecy", true, 0, 0, 0, 0, 0 },	//125
    { "KABC::Sound", true, 0, 0, 0, 0, 0 },	//126
    { "KABC::TimeZone", true, 0, 0, 0, 0, 0 },	//127
    { "KAction", true, 0, 0, 0, 0, 0 },	//128
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//129
    { "KComboBox", true, 0, 0, 0, 0, 0 },	//130
    { "KCompletion", true, 0, 0, 0, 0, 0 },	//131
    { "KCompletionBase", true, 0, 0, 0, 0, 0 },	//132
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//133
    { "KCompositeJob", true, 0, 0, 0, 0, 0 },	//134
    { "KConfigGroup", true, 0, 0, 0, 0, 0 },	//135
    { "KDateTime", true, 0, 0, 0, 0, 0 },	//136
    { "KDialog", true, 0, 0, 0, 0, 0 },	//137
    { "KHBox", true, 0, 0, 0, 0, 0 },	//138
    { "KIcon", true, 0, 0, 0, 0, 0 },	//139
    { "KJob", true, 0, 0, 0, 0, 0 },	//140
    { "KLocalizedString", true, 0, 0, 0, 0, 0 },	//141
    { "KSelectionProxyModel", true, 0, 0, 0, 0, 0 },	//142
    { "KSharedConfig", true, 0, 0, 0, 0, 0 },	//143
    { "KUrl", true, 0, 0, 0, 0, 0 },	//144
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//145
    { "KXmlGuiWindow", true, 0, 0, 0, 0, 0 },	//146
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//147
    { "QAbstractItemView", true, 0, 0, 0, 0, 0 },	//148
    { "QAbstractProxyModel", true, 0, 0, 0, 0, 0 },	//149
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//150
    { "QAbstractTableModel", true, 0, 0, 0, 0, 0 },	//151
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//152
    { "QBool", true, 0, 0, 0, 0, 0 },	//153
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//154
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//155
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//156
    { "QColor", true, 0, 0, 0, 0, 0 },	//157
    { "QComboBox", true, 0, 0, 0, 0, 0 },	//158
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//159
    { "QDBusContext", true, 0, 0, 0, 0, 0 },	//160
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//161
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//162
    { "QDialog", true, 0, 0, 0, 0, 0 },	//163
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//164
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//165
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//166
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//167
    { "QEvent", true, 0, 0, 0, 0, 0 },	//168
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//169
    { "QFont", true, 0, 0, 0, 0, 0 },	//170
    { "QFrame", true, 0, 0, 0, 0, 0 },	//171
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, 0, Smoke::cf_namespace, 0 },	//172
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//173
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//174
    { "QIcon", true, 0, 0, 0, 0, 0 },	//175
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//176
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//177
    { "QItemSelection", true, 0, 0, 0, 0, 0 },	//178
    { "QItemSelectionModel", true, 0, 0, 0, 0, 0 },	//179
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//180
    { "QLineEdit", true, 0, 0, 0, 0, 0 },	//181
    { "QListView", true, 0, 0, 0, 0, 0 },	//182
    { "QLocale", true, 0, 0, 0, 0, 0 },	//183
    { "QMenu", true, 0, 0, 0, 0, 0 },	//184
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//185
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//186
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//187
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//188
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//189
    { "QObject", true, 0, 0, 0, 0, 0 },	//190
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//191
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//192
    { "QPainter", true, 0, 0, 0, 0, 0 },	//193
    { "QPalette", true, 0, 0, 0, 0, 0 },	//194
    { "QPoint", true, 0, 0, 0, 0, 0 },	//195
    { "QRect", true, 0, 0, 0, 0, 0 },	//196
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//197
    { "QRegion", true, 0, 0, 0, 0, 0 },	//198
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//199
    { "QSettings", true, 0, 0, 0, 0, 0 },	//200
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//201
    { "QSize", true, 0, 0, 0, 0, 0 },	//202
    { "QSortFilterProxyModel", true, 0, 0, 0, 0, 0 },	//203
    { "QStyle", true, 0, 0, 0, 0, 0 },	//204
    { "QStyleOptionViewItem", true, 0, 0, 0, 0, 0 },	//205
    { "QStyledItemDelegate", true, 0, 0, 0, 0, 0 },	//206
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//207
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//208
    { "QTreeView", true, 0, 0, 0, 0, 0 },	//209
    { "QUrl", true, 0, 0, 0, 0, 0 },	//210
    { "QVariant", true, 0, 0, 0, 0, 0 },	//211
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//212
    { "QWidget", true, 0, 0, 0, 0, 0 },	//213
    { "boost::exception", true, 0, 0, 0, 0, 0 },	//214
    { "boost::exception_detail::large_size", true, 0, 0, 0, 0, 0 },	//215
    { "boost::exception_detail::small_size", true, 0, 0, 0, 0, 0 },	//216
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Akonadi::AbstractContactEditorWidget*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "Akonadi::AbstractContactFormatter*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "Akonadi::AbstractContactGroupFormatter*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "Akonadi::AddressAttribute*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "Akonadi::AgentBase*", 5, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Akonadi::AgentBase::Observer*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "Akonadi::AgentBase::ObserverV2*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "Akonadi::AgentBase::Status", 5, Smoke::t_enum|Smoke::tf_stack },	//8
    { "Akonadi::AgentBasePrivate*", 8, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Akonadi::AgentFilterProxyModel*", 9, Smoke::t_class|Smoke::tf_ptr },	//10
    { "Akonadi::AgentInstance", 10, Smoke::t_class|Smoke::tf_stack },	//11
    { "Akonadi::AgentInstance&", 10, Smoke::t_class|Smoke::tf_ref },	//12
    { "Akonadi::AgentInstance*", 10, Smoke::t_class|Smoke::tf_ptr },	//13
    { "Akonadi::AgentInstance::Status", 10, Smoke::t_enum|Smoke::tf_stack },	//14
    { "Akonadi::AgentInstanceCreateJob*", 11, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Akonadi::AgentInstanceModel*", 12, Smoke::t_class|Smoke::tf_ptr },	//16
    { "Akonadi::AgentInstanceModel::Roles", 12, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Akonadi::AgentInstanceWidget*", 13, Smoke::t_class|Smoke::tf_ptr },	//18
    { "Akonadi::AgentManager*", 14, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Akonadi::AgentType", 15, Smoke::t_class|Smoke::tf_stack },	//20
    { "Akonadi::AgentType&", 15, Smoke::t_class|Smoke::tf_ref },	//21
    { "Akonadi::AgentType*", 15, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Akonadi::AgentTypeDialog*", 16, Smoke::t_class|Smoke::tf_ptr },	//23
    { "Akonadi::AgentTypeModel*", 17, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Akonadi::AgentTypeModel::Roles", 17, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Akonadi::AgentTypeWidget*", 18, Smoke::t_class|Smoke::tf_ptr },	//26
    { "Akonadi::Attribute*", 19, Smoke::t_class|Smoke::tf_ptr },	//27
    { "Akonadi::AttributeFactory*", 20, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Akonadi::CachePolicy", 21, Smoke::t_class|Smoke::tf_stack },	//29
    { "Akonadi::CachePolicy&", 21, Smoke::t_class|Smoke::tf_ref },	//30
    { "Akonadi::CachePolicy*", 21, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Akonadi::ChangeRecorder*", 22, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Akonadi::ChangeRecorderPrivate*", 23, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Akonadi::Collection", 24, Smoke::t_class|Smoke::tf_stack },	//34
    { "Akonadi::Collection&", 24, Smoke::t_class|Smoke::tf_ref },	//35
    { "Akonadi::Collection*", 24, Smoke::t_class|Smoke::tf_ptr },	//36
    { "Akonadi::Collection::Id", 0, Smoke::t_voidp|Smoke::tf_stack },	//37
    { "Akonadi::Collection::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//38
    { "Akonadi::Collection::Right", 24, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Akonadi::Collection::UrlType", 24, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Akonadi::CollectionComboBox*", 25, Smoke::t_class|Smoke::tf_ptr },	//41
    { "Akonadi::CollectionCopyJob*", 26, Smoke::t_class|Smoke::tf_ptr },	//42
    { "Akonadi::CollectionCreateJob*", 27, Smoke::t_class|Smoke::tf_ptr },	//43
    { "Akonadi::CollectionDeleteJob*", 28, Smoke::t_class|Smoke::tf_ptr },	//44
    { "Akonadi::CollectionDialog*", 29, Smoke::t_class|Smoke::tf_ptr },	//45
    { "Akonadi::CollectionDialog::CollectionDialogOption", 29, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Akonadi::CollectionFetchJob*", 30, Smoke::t_class|Smoke::tf_ptr },	//47
    { "Akonadi::CollectionFetchJob::Type", 30, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Akonadi::CollectionFetchScope&", 31, Smoke::t_class|Smoke::tf_ref },	//49
    { "Akonadi::CollectionFetchScope*", 31, Smoke::t_class|Smoke::tf_ptr },	//50
    { "Akonadi::CollectionFetchScope::AncestorRetrieval", 31, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Akonadi::CollectionFilterProxyModel*", 32, Smoke::t_class|Smoke::tf_ptr },	//52
    { "Akonadi::CollectionModel*", 33, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Akonadi::CollectionModel::Roles", 33, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Akonadi::CollectionModelPrivate*", 34, Smoke::t_class|Smoke::tf_ptr },	//55
    { "Akonadi::CollectionModifyJob*", 35, Smoke::t_class|Smoke::tf_ptr },	//56
    { "Akonadi::CollectionMoveJob*", 36, Smoke::t_class|Smoke::tf_ptr },	//57
    { "Akonadi::CollectionPropertiesDialog*", 37, Smoke::t_class|Smoke::tf_ptr },	//58
    { "Akonadi::CollectionPropertiesDialog::DefaultPage", 37, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Akonadi::CollectionPropertiesPage*", 38, Smoke::t_class|Smoke::tf_ptr },	//60
    { "Akonadi::CollectionPropertiesPageFactory*", 39, Smoke::t_class|Smoke::tf_ptr },	//61
    { "Akonadi::CollectionQuotaAttribute*", 40, Smoke::t_class|Smoke::tf_ptr },	//62
    { "Akonadi::CollectionRequester*", 41, Smoke::t_class|Smoke::tf_ptr },	//63
    { "Akonadi::CollectionStatistics", 42, Smoke::t_class|Smoke::tf_stack },	//64
    { "Akonadi::CollectionStatistics&", 42, Smoke::t_class|Smoke::tf_ref },	//65
    { "Akonadi::CollectionStatistics*", 42, Smoke::t_class|Smoke::tf_ptr },	//66
    { "Akonadi::CollectionStatisticsDelegate*", 43, Smoke::t_class|Smoke::tf_ptr },	//67
    { "Akonadi::CollectionStatisticsJob*", 44, Smoke::t_class|Smoke::tf_ptr },	//68
    { "Akonadi::CollectionStatisticsModel*", 45, Smoke::t_class|Smoke::tf_ptr },	//69
    { "Akonadi::CollectionStatisticsModel::Roles", 45, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Akonadi::CollectionView*", 46, Smoke::t_class|Smoke::tf_ptr },	//71
    { "Akonadi::ContactDefaultActions*", 47, Smoke::t_class|Smoke::tf_ptr },	//72
    { "Akonadi::ContactEditor*", 48, Smoke::t_class|Smoke::tf_ptr },	//73
    { "Akonadi::ContactEditor::DisplayMode", 48, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Akonadi::ContactEditor::Mode", 48, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Akonadi::ContactEditorDialog*", 49, Smoke::t_class|Smoke::tf_ptr },	//76
    { "Akonadi::ContactEditorDialog::DisplayMode", 49, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Akonadi::ContactEditorDialog::Mode", 49, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Akonadi::ContactEditorPagePlugin*", 50, Smoke::t_class|Smoke::tf_ptr },	//79
    { "Akonadi::ContactGroupEditor*", 51, Smoke::t_class|Smoke::tf_ptr },	//80
    { "Akonadi::ContactGroupEditor::Mode", 51, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Akonadi::ContactGroupEditorDialog*", 52, Smoke::t_class|Smoke::tf_ptr },	//82
    { "Akonadi::ContactGroupEditorDialog::Mode", 52, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Akonadi::ContactGroupExpandJob*", 53, Smoke::t_class|Smoke::tf_ptr },	//84
    { "Akonadi::ContactGroupSearchJob*", 54, Smoke::t_class|Smoke::tf_ptr },	//85
    { "Akonadi::ContactGroupSearchJob::Criterion", 54, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Akonadi::ContactGroupSearchJob::Match", 54, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Akonadi::ContactGroupViewer*", 55, Smoke::t_class|Smoke::tf_ptr },	//88
    { "Akonadi::ContactGroupViewerDialog*", 56, Smoke::t_class|Smoke::tf_ptr },	//89
    { "Akonadi::ContactSearchJob*", 57, Smoke::t_class|Smoke::tf_ptr },	//90
    { "Akonadi::ContactSearchJob::Criterion", 57, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Akonadi::ContactSearchJob::Match", 57, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Akonadi::ContactViewer*", 58, Smoke::t_class|Smoke::tf_ptr },	//93
    { "Akonadi::ContactViewerDialog*", 59, Smoke::t_class|Smoke::tf_ptr },	//94
    { "Akonadi::Control*", 60, Smoke::t_class|Smoke::tf_ptr },	//95
    { "Akonadi::Entity&", 61, Smoke::t_class|Smoke::tf_ref },	//96
    { "Akonadi::Entity*", 61, Smoke::t_class|Smoke::tf_ptr },	//97
    { "Akonadi::Entity::CreateOption", 61, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Akonadi::EntityDisplayAttribute*", 62, Smoke::t_class|Smoke::tf_ptr },	//99
    { "Akonadi::EntityHiddenAttribute*", 63, Smoke::t_class|Smoke::tf_ptr },	//100
    { "Akonadi::EntityListView*", 64, Smoke::t_class|Smoke::tf_ptr },	//101
    { "Akonadi::EntityMimeTypeFilterModel*", 65, Smoke::t_class|Smoke::tf_ptr },	//102
    { "Akonadi::EntityPrivate*", 66, Smoke::t_class|Smoke::tf_ptr },	//103
    { "Akonadi::EntityTreeModel*", 67, Smoke::t_class|Smoke::tf_ptr },	//104
    { "Akonadi::EntityTreeModel::CollectionFetchStrategy", 67, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Akonadi::EntityTreeModel::FetchState", 67, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Akonadi::EntityTreeModel::HeaderGroup", 67, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Akonadi::EntityTreeModel::ItemPopulationStrategy", 67, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Akonadi::EntityTreeModel::Roles", 67, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Akonadi::EntityTreeModelPrivate*", 68, Smoke::t_class|Smoke::tf_ptr },	//110
    { "Akonadi::EntityTreeView*", 69, Smoke::t_class|Smoke::tf_ptr },	//111
    { "Akonadi::EntityTreeViewStateSaver*", 70, Smoke::t_class|Smoke::tf_ptr },	//112
    { "Akonadi::Exception*", 71, Smoke::t_class|Smoke::tf_ptr },	//113
    { "Akonadi::FavoriteCollectionsModel*", 72, Smoke::t_class|Smoke::tf_ptr },	//114
    { "Akonadi::Item", 73, Smoke::t_class|Smoke::tf_stack },	//115
    { "Akonadi::Item&", 73, Smoke::t_class|Smoke::tf_ref },	//116
    { "Akonadi::Item*", 73, Smoke::t_class|Smoke::tf_ptr },	//117
    { "Akonadi::Item::Id", 0, Smoke::t_voidp|Smoke::tf_stack },	//118
    { "Akonadi::Item::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//119
    { "Akonadi::Item::UrlType", 73, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Akonadi::ItemCopyJob*", 74, Smoke::t_class|Smoke::tf_ptr },	//121
    { "Akonadi::ItemCreateJob*", 75, Smoke::t_class|Smoke::tf_ptr },	//122
    { "Akonadi::ItemDeleteJob*", 76, Smoke::t_class|Smoke::tf_ptr },	//123
    { "Akonadi::ItemFetchJob*", 77, Smoke::t_class|Smoke::tf_ptr },	//124
    { "Akonadi::ItemFetchScope&", 78, Smoke::t_class|Smoke::tf_ref },	//125
    { "Akonadi::ItemFetchScope*", 78, Smoke::t_class|Smoke::tf_ptr },	//126
    { "Akonadi::ItemFetchScope::AncestorRetrieval", 78, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Akonadi::ItemModel*", 79, Smoke::t_class|Smoke::tf_ptr },	//128
    { "Akonadi::ItemModel::Column", 79, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Akonadi::ItemModel::Roles", 79, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Akonadi::ItemModifyJob*", 80, Smoke::t_class|Smoke::tf_ptr },	//131
    { "Akonadi::ItemMonitor*", 81, Smoke::t_class|Smoke::tf_ptr },	//132
    { "Akonadi::ItemMoveJob*", 82, Smoke::t_class|Smoke::tf_ptr },	//133
    { "Akonadi::ItemSearchJob*", 83, Smoke::t_class|Smoke::tf_ptr },	//134
    { "Akonadi::ItemSerializerPlugin*", 84, Smoke::t_class|Smoke::tf_ptr },	//135
    { "Akonadi::ItemSerializerPluginV2*", 85, Smoke::t_class|Smoke::tf_ptr },	//136
    { "Akonadi::ItemSync*", 86, Smoke::t_class|Smoke::tf_ptr },	//137
    { "Akonadi::ItemSync::TransactionMode", 86, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Akonadi::ItemView*", 87, Smoke::t_class|Smoke::tf_ptr },	//139
    { "Akonadi::Job*", 88, Smoke::t_class|Smoke::tf_ptr },	//140
    { "Akonadi::Job::Error", 88, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Akonadi::JobPrivate*", 89, Smoke::t_class|Smoke::tf_ptr },	//142
    { "Akonadi::LinkJob*", 90, Smoke::t_class|Smoke::tf_ptr },	//143
    { "Akonadi::MessageFolderAttribute*", 91, Smoke::t_class|Smoke::tf_ptr },	//144
    { "Akonadi::MessageModel*", 92, Smoke::t_class|Smoke::tf_ptr },	//145
    { "Akonadi::MessageModel::Column", 92, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Akonadi::MessageThreaderProxyModel*", 93, Smoke::t_class|Smoke::tf_ptr },	//147
    { "Akonadi::MessageThreadingAttribute*", 94, Smoke::t_class|Smoke::tf_ptr },	//148
    { "Akonadi::MimeTypeChecker&", 95, Smoke::t_class|Smoke::tf_ref },	//149
    { "Akonadi::MimeTypeChecker*", 95, Smoke::t_class|Smoke::tf_ptr },	//150
    { "Akonadi::Monitor*", 96, Smoke::t_class|Smoke::tf_ptr },	//151
    { "Akonadi::MonitorPrivate*", 97, Smoke::t_class|Smoke::tf_ptr },	//152
    { "Akonadi::PartFetcher*", 98, Smoke::t_class|Smoke::tf_ptr },	//153
    { "Akonadi::PayloadBase*", 99, Smoke::t_class|Smoke::tf_ptr },	//154
    { "Akonadi::PayloadException*", 100, Smoke::t_class|Smoke::tf_ptr },	//155
    { "Akonadi::PreprocessorBase*", 101, Smoke::t_class|Smoke::tf_ptr },	//156
    { "Akonadi::PreprocessorBase::ProcessingResult", 101, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Akonadi::ResourceBase*", 102, Smoke::t_class|Smoke::tf_ptr },	//158
    { "Akonadi::ResourceBase::SchedulePriority", 102, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Akonadi::ResourceSynchronizationJob*", 103, Smoke::t_class|Smoke::tf_ptr },	//160
    { "Akonadi::SearchCreateJob*", 104, Smoke::t_class|Smoke::tf_ptr },	//161
    { "Akonadi::SelectionProxyModel*", 105, Smoke::t_class|Smoke::tf_ptr },	//162
    { "Akonadi::ServerManager*", 106, Smoke::t_class|Smoke::tf_ptr },	//163
    { "Akonadi::ServerManager::ServiceAgentType", 106, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Akonadi::ServerManager::ServiceType", 106, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Akonadi::ServerManager::State", 106, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Akonadi::Session*", 107, Smoke::t_class|Smoke::tf_ptr },	//167
    { "Akonadi::SessionPrivate*", 108, Smoke::t_class|Smoke::tf_ptr },	//168
    { "Akonadi::StandardActionManager*", 109, Smoke::t_class|Smoke::tf_ptr },	//169
    { "Akonadi::StandardActionManager::TextContext", 109, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Akonadi::StandardActionManager::Type", 109, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Akonadi::StatisticsProxyModel*", 110, Smoke::t_class|Smoke::tf_ptr },	//172
    { "Akonadi::TransactionBeginJob*", 111, Smoke::t_class|Smoke::tf_ptr },	//173
    { "Akonadi::TransactionCommitJob*", 112, Smoke::t_class|Smoke::tf_ptr },	//174
    { "Akonadi::TransactionRollbackJob*", 113, Smoke::t_class|Smoke::tf_ptr },	//175
    { "Akonadi::TransactionSequence*", 114, Smoke::t_class|Smoke::tf_ptr },	//176
    { "Akonadi::TransportResourceBase*", 115, Smoke::t_class|Smoke::tf_ptr },	//177
    { "Akonadi::TransportResourceBase::TransportResult", 115, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Akonadi::UnlinkJob*", 116, Smoke::t_class|Smoke::tf_ptr },	//179
    { "KABC::Address", 117, Smoke::t_class|Smoke::tf_stack },	//180
    { "KABC::Address&", 117, Smoke::t_class|Smoke::tf_ref },	//181
    { "KABC::Address::Type::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//182
    { "KABC::Addressee", 118, Smoke::t_class|Smoke::tf_stack },	//183
    { "KABC::Addressee&", 118, Smoke::t_class|Smoke::tf_ref },	//184
    { "KABC::AddresseeList", 119, Smoke::t_class|Smoke::tf_stack },	//185
    { "KABC::ContactGroup", 120, Smoke::t_class|Smoke::tf_stack },	//186
    { "KABC::Geo&", 121, Smoke::t_class|Smoke::tf_ref },	//187
    { "KABC::Key&", 122, Smoke::t_class|Smoke::tf_ref },	//188
    { "KABC::PhoneNumber", 123, Smoke::t_class|Smoke::tf_stack },	//189
    { "KABC::PhoneNumber::Type::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//190
    { "KABC::Picture&", 124, Smoke::t_class|Smoke::tf_ref },	//191
    { "KABC::Secrecy&", 125, Smoke::t_class|Smoke::tf_ref },	//192
    { "KABC::SortingCriterion", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "KABC::Sound&", 126, Smoke::t_class|Smoke::tf_ref },	//194
    { "KABC::TimeZone&", 127, Smoke::t_class|Smoke::tf_ref },	//195
    { "KAction*", 128, Smoke::t_class|Smoke::tf_ptr },	//196
    { "KActionCollection*", 129, Smoke::t_class|Smoke::tf_ptr },	//197
    { "KCompletion*", 131, Smoke::t_class|Smoke::tf_ptr },	//198
    { "KComponentData", 133, Smoke::t_class|Smoke::tf_stack },	//199
    { "KConfigGroup&", 135, Smoke::t_class|Smoke::tf_ref },	//200
    { "KDateTime", 136, Smoke::t_class|Smoke::tf_stack },	//201
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "KGlobalSettings::Completion", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "KIcon", 139, Smoke::t_class|Smoke::tf_stack },	//204
    { "KJob*", 140, Smoke::t_class|Smoke::tf_ptr },	//205
    { "KSharedConfig", 143, Smoke::t_class|Smoke::tf_stack },	//206
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//207
    { "KUrl", 144, Smoke::t_class|Smoke::tf_stack },	//208
    { "KXMLGUIClient*", 145, Smoke::t_class|Smoke::tf_ptr },	//209
    { "KXmlGuiWindow*", 146, Smoke::t_class|Smoke::tf_ptr },	//210
    { "QAbstractItemDelegate::EndEditHint", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QAbstractItemModel*", 147, Smoke::t_class|Smoke::tf_ptr },	//212
    { "QAbstractItemView*", 148, Smoke::t_class|Smoke::tf_ptr },	//213
    { "QAbstractItemView::CursorAction", 148, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QAbstractItemView::EditTrigger", 148, Smoke::t_enum|Smoke::tf_stack },	//215
    { "QAbstractItemView::ScrollHint", 148, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QAbstractItemView::SelectionMode", 148, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QActionEvent*", 152, Smoke::t_class|Smoke::tf_ptr },	//218
    { "QBool", 153, Smoke::t_class|Smoke::tf_stack },	//219
    { "QByteArray", 154, Smoke::t_class|Smoke::tf_stack },	//220
    { "QChildEvent*", 155, Smoke::t_class|Smoke::tf_ptr },	//221
    { "QCloseEvent*", 156, Smoke::t_class|Smoke::tf_ptr },	//222
    { "QColor", 157, Smoke::t_class|Smoke::tf_stack },	//223
    { "QContextMenuEvent*", 159, Smoke::t_class|Smoke::tf_ptr },	//224
    { "QDBus::CallMode", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QDataStream&", 161, Smoke::t_class|Smoke::tf_ref },	//226
    { "QDateTime", 162, Smoke::t_class|Smoke::tf_stack },	//227
    { "QDragEnterEvent*", 164, Smoke::t_class|Smoke::tf_ptr },	//228
    { "QDragLeaveEvent*", 165, Smoke::t_class|Smoke::tf_ptr },	//229
    { "QDragMoveEvent*", 166, Smoke::t_class|Smoke::tf_ptr },	//230
    { "QDropEvent*", 167, Smoke::t_class|Smoke::tf_ptr },	//231
    { "QEvent*", 168, Smoke::t_class|Smoke::tf_ptr },	//232
    { "QFlags<Akonadi::Collection::Right>", 0, Smoke::t_uint|Smoke::tf_stack },	//233
    { "QFlags<Akonadi::CollectionDialog::CollectionDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//234
    { "QFlags<KABC::Address::Type::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//235
    { "QFlags<KABC::PhoneNumber::Type::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//236
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//237
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//238
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//239
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//240
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//241
    { "QFocusEvent*", 169, Smoke::t_class|Smoke::tf_ptr },	//242
    { "QHideEvent*", 173, Smoke::t_class|Smoke::tf_ptr },	//243
    { "QIODevice&", 174, Smoke::t_class|Smoke::tf_ref },	//244
    { "QIcon", 175, Smoke::t_class|Smoke::tf_stack },	//245
    { "QIncompatibleFlag", 176, Smoke::t_class|Smoke::tf_stack },	//246
    { "QInputMethodEvent*", 177, Smoke::t_class|Smoke::tf_ptr },	//247
    { "QItemSelection", 178, Smoke::t_class|Smoke::tf_stack },	//248
    { "QItemSelectionModel*", 179, Smoke::t_class|Smoke::tf_ptr },	//249
    { "QItemSelectionModel::SelectionFlag", 179, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QKeyEvent*", 180, Smoke::t_class|Smoke::tf_ptr },	//251
    { "QLineEdit*", 181, Smoke::t_class|Smoke::tf_ptr },	//252
    { "QList<Akonadi::AgentInstance>", 0, Smoke::t_voidp|Smoke::tf_stack },	//253
    { "QList<Akonadi::AgentType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//254
    { "QList<Akonadi::Attribute*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//255
    { "QList<Akonadi::Collection::Id>", 0, Smoke::t_voidp|Smoke::tf_stack },	//256
    { "QList<Akonadi::Collection>", 0, Smoke::t_voidp|Smoke::tf_stack },	//257
    { "QList<Akonadi::Item::Id>", 0, Smoke::t_voidp|Smoke::tf_stack },	//258
    { "QList<Akonadi::Item>", 0, Smoke::t_voidp|Smoke::tf_stack },	//259
    { "QList<KABC::ContactGroup>", 0, Smoke::t_voidp|Smoke::tf_stack },	//260
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//261
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//262
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//263
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//264
    { "QMenu*", 184, Smoke::t_class|Smoke::tf_ptr },	//265
    { "QMetaObject::Call", 185, Smoke::t_enum|Smoke::tf_stack },	//266
    { "QMimeData*", 186, Smoke::t_class|Smoke::tf_ptr },	//267
    { "QModelIndex", 187, Smoke::t_class|Smoke::tf_stack },	//268
    { "QMouseEvent*", 188, Smoke::t_class|Smoke::tf_ptr },	//269
    { "QMoveEvent*", 189, Smoke::t_class|Smoke::tf_ptr },	//270
    { "QObject*", 190, Smoke::t_class|Smoke::tf_ptr },	//271
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//272
    { "QPaintEngine*", 191, Smoke::t_class|Smoke::tf_ptr },	//273
    { "QPaintEvent*", 192, Smoke::t_class|Smoke::tf_ptr },	//274
    { "QPainter*", 193, Smoke::t_class|Smoke::tf_ptr },	//275
    { "QRect", 196, Smoke::t_class|Smoke::tf_stack },	//276
    { "QRegExp&", 197, Smoke::t_class|Smoke::tf_ref },	//277
    { "QRegion", 198, Smoke::t_class|Smoke::tf_stack },	//278
    { "QResizeEvent*", 199, Smoke::t_class|Smoke::tf_ptr },	//279
    { "QSet<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//280
    { "QSettings*", 200, Smoke::t_class|Smoke::tf_ptr },	//281
    { "QShowEvent*", 201, Smoke::t_class|Smoke::tf_ptr },	//282
    { "QSize", 202, Smoke::t_class|Smoke::tf_stack },	//283
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//284
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//285
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//286
    { "QStyle&", 204, Smoke::t_class|Smoke::tf_ref },	//287
    { "QStyleOptionViewItem", 205, Smoke::t_class|Smoke::tf_stack },	//288
    { "QStyleOptionViewItem*", 205, Smoke::t_class|Smoke::tf_ptr },	//289
    { "QTabletEvent*", 207, Smoke::t_class|Smoke::tf_ptr },	//290
    { "QTimerEvent*", 208, Smoke::t_class|Smoke::tf_ptr },	//291
    { "QTreeView*", 209, Smoke::t_class|Smoke::tf_ptr },	//292
    { "QUrl", 210, Smoke::t_class|Smoke::tf_stack },	//293
    { "QVariant", 211, Smoke::t_class|Smoke::tf_stack },	//294
    { "QVariantMap", 0, Smoke::t_voidp|Smoke::tf_stack },	//295
    { "QVector<Akonadi::Item::Id>", 0, Smoke::t_voidp|Smoke::tf_stack },	//296
    { "QVector<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//297
    { "QWheelEvent*", 212, Smoke::t_class|Smoke::tf_ptr },	//298
    { "QWidget*", 213, Smoke::t_class|Smoke::tf_ptr },	//299
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//365
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//366
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//367
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//368
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//369
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//370
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//371
    { "WId", 0, Smoke::t_ulong|Smoke::tf_stack },	//372
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//373
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//374
    { "boost::exception*", 214, Smoke::t_class|Smoke::tf_ptr },	//375
    { "boost::exception_detail::large_size", 215, Smoke::t_class|Smoke::tf_stack },	//376
    { "boost::exception_detail::small_size", 216, Smoke::t_class|Smoke::tf_stack },	//377
    { "boost::memory_order", 0, Smoke::t_enum|Smoke::tf_stack },	//378
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//379
    { "const Akonadi::AddressAttribute&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const Akonadi::AgentBase::Observer&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const Akonadi::AgentBase::ObserverV2&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const Akonadi::AgentInstance&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const Akonadi::AgentType&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const Akonadi::Attribute&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const Akonadi::AttributeFactory&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const Akonadi::CachePolicy&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const Akonadi::Collection&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const Akonadi::Collection::List&", 0, Smoke::t_voidp|Smoke::tf_stack },	//389
    { "const Akonadi::CollectionFetchScope&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const Akonadi::CollectionPropertiesPageFactory&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const Akonadi::CollectionQuotaAttribute&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const Akonadi::CollectionStatistics&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const Akonadi::Entity&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const Akonadi::EntityDisplayAttribute&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const Akonadi::EntityHiddenAttribute&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const Akonadi::EntityPrivate*", 66, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//397
    { "const Akonadi::EntityTreeModelPrivate*", 68, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//398
    { "const Akonadi::Exception&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const Akonadi::Item&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const Akonadi::Item::List&", 0, Smoke::t_voidp|Smoke::tf_stack },	//401
    { "const Akonadi::ItemFetchScope&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const Akonadi::ItemSerializerPlugin&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const Akonadi::ItemSerializerPluginV2&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const Akonadi::MessageFolderAttribute&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const Akonadi::MessageThreadingAttribute&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const Akonadi::MimeTypeChecker&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const Akonadi::PayloadBase&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const Akonadi::PayloadException&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const Akonadi::TransportResourceBase&", 115, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const KABC::Address&", 117, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const KABC::Addressee&", 118, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const KABC::ContactGroup&", 120, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const KABC::Geo&", 121, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const KABC::Key&", 122, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const KABC::PhoneNumber&", 123, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const KABC::Picture&", 124, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const KABC::Secrecy&", 125, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const KABC::Sound&", 126, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const KABC::TimeZone&", 127, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const KConfigGroup&", 135, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const KDateTime&", 136, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const KLocalizedString&", 141, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const KUrl&", 144, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const QAbstractItemModel*", 147, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//425
    { "const QByteArray&", 154, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const QColor&", 157, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QDateTime&", 162, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QEvent*", 168, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//429
    { "const QFont&", 170, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QItemSelection&", 178, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QList<Akonadi::Collection::Id>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QList<Akonadi::Collection>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QList<Akonadi::Item::Id>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QList<Akonadi::Item>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QLocale&", 183, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QMetaObject&", 185, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QMetaObject*", 185, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//440
    { "const QMimeData*", 186, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//441
    { "const QModelIndex&", 187, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QPalette&", 194, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QPoint&", 195, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QRect&", 196, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QRegExp&", 197, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QSet<QByteArray>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//450
    { "const QStyleOptionViewItem&", 205, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QVariant&", 211, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QVariantMap&", 0, Smoke::t_voidp|Smoke::tf_stack },	//453
    { "const boost::exception&", 214, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//454
    { "const boost::exception*", 214, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//455
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//456
    { "const int", 0, Smoke::t_int|Smoke::tf_stack|Smoke::tf_const },	//457
    { "const std::exception&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//459
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//460
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//461
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//462
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//463
    { "long*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//464
    { "qlonglong", 0, Smoke::t_voidp|Smoke::tf_stack },	//465
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//466
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//467
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//468
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//469
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//470
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    448, 449, 449, 449, 0,	//1  const QString&, const QStringList&, const QStringList&, const QStringList&
    426, 0,	//6  const QByteArray&
    448, 0,	//8  const QString&
    449, 0,	//10  const QStringList&
    380, 0,	//12  const Akonadi::AddressAttribute&
    448, 449, 0,	//14  const QString&, const QStringList&
    448, 449, 449, 0,	//17  const QString&, const QStringList&, const QStringList&
    456, 0,	//21  const char*
    456, 456, 0,	//23  const char*, const char*
    456, 456, 460, 0,	//26  const char*, const char*, int
    266, 460, 469, 0,	//30  QMetaObject::Call, int, void**
    372, 0,	//34  WId
    6, 0,	//36  Akonadi::AgentBase::Observer*
    460, 448, 0,	//38  int, const QString&
    460, 0,	//41  int
    453, 0,	//43  const QVariantMap&
    374, 0,	//45  bool
    9, 448, 0,	//47  Akonadi::AgentBasePrivate*, const QString&
    400, 388, 0,	//50  const Akonadi::Item&, const Akonadi::Collection&
    400, 447, 0,	//53  const Akonadi::Item&, const QSet<QByteArray>&
    400, 0,	//56  const Akonadi::Item&
    388, 388, 0,	//58  const Akonadi::Collection&, const Akonadi::Collection&
    388, 0,	//61  const Akonadi::Collection&
    381, 0,	//63  const Akonadi::AgentBase::Observer&
    400, 388, 388, 0,	//65  const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&
    388, 388, 388, 0,	//69  const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&
    388, 447, 0,	//73  const Akonadi::Collection&, const QSet<QByteArray>&
    382, 0,	//76  const Akonadi::AgentBase::ObserverV2&
    271, 0,	//78  QObject*
    460, 442, 0,	//80  int, const QModelIndex&
    383, 0,	//83  const Akonadi::AgentInstance&
    299, 0,	//85  QWidget*
    384, 271, 0,	//87  const Akonadi::AgentType&, QObject*
    448, 271, 0,	//90  const QString&, QObject*
    384, 0,	//93  const Akonadi::AgentType&
    442, 0,	//95  const QModelIndex&
    442, 460, 0,	//97  const QModelIndex&, int
    460, 346, 460, 0,	//100  int, Qt::Orientation, int
    460, 460, 442, 0,	//104  int, int, const QModelIndex&
    442, 452, 460, 0,	//108  const QModelIndex&, const QVariant&, int
    460, 346, 0,	//112  int, Qt::Orientation
    460, 460, 0,	//115  int, int
    383, 383, 0,	//118  const Akonadi::AgentInstance&, const Akonadi::AgentInstance&
    388, 374, 0,	//121  const Akonadi::Collection&, bool
    383, 448, 0,	//124  const Akonadi::AgentInstance&, const QString&
    383, 374, 0,	//127  const Akonadi::AgentInstance&, bool
    384, 384, 0,	//130  const Akonadi::AgentType&, const Akonadi::AgentType&
    385, 0,	//133  const Akonadi::Attribute&
    386, 0,	//135  const Akonadi::AttributeFactory&
    387, 0,	//137  const Akonadi::CachePolicy&
    281, 0,	//139  QSettings*
    33, 271, 0,	//141  Akonadi::ChangeRecorderPrivate*, QObject*
    33, 0,	//144  Akonadi::ChangeRecorderPrivate*
    463, 0,	//146  long long
    424, 0,	//148  const KUrl&
    233, 0,	//150  QFlags<Akonadi::Collection::Right>
    393, 0,	//152  const Akonadi::CollectionStatistics&
    40, 0,	//154  Akonadi::Collection::UrlType
    212, 299, 0,	//156  QAbstractItemModel*, QWidget*
    212, 0,	//159  QAbstractItemModel*
    388, 388, 271, 0,	//161  const Akonadi::Collection&, const Akonadi::Collection&, QObject*
    388, 271, 0,	//165  const Akonadi::Collection&, QObject*
    426, 426, 0,	//168  const QByteArray&, const QByteArray&
    234, 212, 299, 0,	//171  QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*, QWidget*
    217, 0,	//175  QAbstractItemView::SelectionMode
    234, 0,	//177  QFlags<Akonadi::CollectionDialog::CollectionDialogOption>
    234, 212, 0,	//179  QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*
    388, 48, 271, 0,	//182  const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type, QObject*
    433, 271, 0,	//186  const QList<Akonadi::Collection>&, QObject*
    433, 48, 271, 0,	//189  const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type, QObject*
    432, 48, 271, 0,	//193  const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type, QObject*
    390, 0,	//197  const Akonadi::CollectionFetchScope&
    389, 0,	//199  const Akonadi::Collection::List&
    205, 0,	//201  KJob*
    388, 48, 0,	//203  const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type
    433, 0,	//206  const QList<Akonadi::Collection>&
    433, 48, 0,	//208  const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type
    432, 0,	//211  const QList<Akonadi::Collection::Id>&
    432, 48, 0,	//213  const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type
    51, 0,	//216  Akonadi::CollectionFetchScope::AncestorRetrieval
    460, 346, 452, 460, 0,	//218  int, Qt::Orientation, const QVariant&, int
    436, 0,	//223  const QList<QModelIndex>&
    441, 322, 460, 460, 442, 0,	//225  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    37, 0,	//231  Akonadi::Collection::Id
    55, 271, 0,	//233  Akonadi::CollectionModelPrivate*, QObject*
    460, 346, 452, 0,	//236  int, Qt::Orientation, const QVariant&
    442, 452, 0,	//240  const QModelIndex&, const QVariant&
    55, 0,	//243  Akonadi::CollectionModelPrivate*
    388, 299, 0,	//245  const Akonadi::Collection&, QWidget*
    388, 449, 299, 0,	//248  const Akonadi::Collection&, const QStringList&, QWidget*
    61, 0,	//252  Akonadi::CollectionPropertiesPageFactory*
    59, 0,	//254  Akonadi::CollectionPropertiesDialog::DefaultPage
    388, 449, 0,	//256  const Akonadi::Collection&, const QStringList&
    35, 0,	//259  Akonadi::Collection&
    391, 0,	//261  const Akonadi::CollectionPropertiesPageFactory&
    463, 463, 0,	//263  long long, long long
    392, 0,	//266  const Akonadi::CollectionQuotaAttribute&
    213, 0,	//268  QAbstractItemView*
    292, 0,	//270  QTreeView*
    275, 451, 442, 0,	//272  QPainter*, const QStyleOptionViewItem&, const QModelIndex&
    289, 442, 0,	//276  QStyleOptionViewItem*, const QModelIndex&
    210, 299, 0,	//279  KXmlGuiWindow*, QWidget*
    209, 299, 0,	//282  KXMLGUIClient*, QWidget*
    210, 0,	//285  KXmlGuiWindow*
    209, 0,	//287  KXMLGUIClient*
    442, 442, 0,	//289  const QModelIndex&, const QModelIndex&
    230, 0,	//292  QDragMoveEvent*
    229, 0,	//294  QDragLeaveEvent*
    231, 0,	//296  QDropEvent*
    224, 0,	//298  QContextMenuEvent*
    448, 448, 0,	//300  const QString&, const QString&
    416, 0,	//303  const KABC::PhoneNumber&
    411, 0,	//305  const KABC::Address&
    75, 299, 0,	//307  Akonadi::ContactEditor::Mode, QWidget*
    75, 1, 299, 0,	//310  Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*
    75, 74, 299, 0,	//314  Akonadi::ContactEditor::Mode, Akonadi::ContactEditor::DisplayMode, QWidget*
    412, 0,	//318  const KABC::Addressee&
    75, 0,	//320  Akonadi::ContactEditor::Mode
    75, 1, 0,	//322  Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*
    75, 74, 0,	//325  Akonadi::ContactEditor::Mode, Akonadi::ContactEditor::DisplayMode
    78, 299, 0,	//328  Akonadi::ContactEditorDialog::Mode, QWidget*
    78, 1, 299, 0,	//331  Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*
    78, 77, 299, 0,	//335  Akonadi::ContactEditorDialog::Mode, Akonadi::ContactEditorDialog::DisplayMode, QWidget*
    78, 0,	//339  Akonadi::ContactEditorDialog::Mode
    78, 1, 0,	//341  Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*
    78, 77, 0,	//344  Akonadi::ContactEditorDialog::Mode, Akonadi::ContactEditorDialog::DisplayMode
    184, 0,	//347  KABC::Addressee&
    81, 299, 0,	//349  Akonadi::ContactGroupEditor::Mode, QWidget*
    413, 0,	//352  const KABC::ContactGroup&
    81, 0,	//354  Akonadi::ContactGroupEditor::Mode
    83, 299, 0,	//356  Akonadi::ContactGroupEditorDialog::Mode, QWidget*
    83, 0,	//359  Akonadi::ContactGroupEditorDialog::Mode
    413, 271, 0,	//361  const KABC::ContactGroup&, QObject*
    86, 448, 0,	//364  Akonadi::ContactGroupSearchJob::Criterion, const QString&
    86, 448, 87, 0,	//367  Akonadi::ContactGroupSearchJob::Criterion, const QString&, Akonadi::ContactGroupSearchJob::Match
    3, 0,	//371  Akonadi::AbstractContactGroupFormatter*
    91, 448, 0,	//373  Akonadi::ContactSearchJob::Criterion, const QString&
    91, 448, 92, 0,	//376  Akonadi::ContactSearchJob::Criterion, const QString&, Akonadi::ContactSearchJob::Match
    2, 0,	//380  Akonadi::AbstractContactFormatter*
    394, 0,	//382  const Akonadi::Entity&
    27, 0,	//384  Akonadi::Attribute*
    103, 0,	//386  Akonadi::EntityPrivate*
    427, 0,	//388  const QColor&
    395, 0,	//390  const Akonadi::EntityDisplayAttribute&
    396, 0,	//392  const Akonadi::EntityHiddenAttribute&
    238, 0,	//394  QFlags<Qt::DropAction>
    107, 0,	//396  Akonadi::EntityTreeModel::HeaderGroup
    442, 460, 452, 460, 241, 0,	//398  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    442, 460, 452, 0,	//404  const QModelIndex&, int, const QVariant&
    442, 460, 452, 460, 0,	//408  const QModelIndex&, int, const QVariant&, int
    32, 271, 0,	//413  Akonadi::ChangeRecorder*, QObject*
    108, 0,	//416  Akonadi::EntityTreeModel::ItemPopulationStrategy
    105, 0,	//418  Akonadi::EntityTreeModel::CollectionFetchStrategy
    425, 388, 0,	//420  const QAbstractItemModel*, const Akonadi::Collection&
    425, 400, 0,	//423  const QAbstractItemModel*, const Akonadi::Item&
    400, 460, 460, 0,	//426  const Akonadi::Item&, int, int
    388, 460, 460, 0,	//430  const Akonadi::Collection&, int, int
    460, 346, 460, 107, 0,	//434  int, Qt::Orientation, int, Akonadi::EntityTreeModel::HeaderGroup
    400, 452, 241, 0,	//439  const Akonadi::Item&, const QVariant&, QFlags<Qt::MatchFlag>
    388, 452, 241, 0,	//443  const Akonadi::Collection&, const QVariant&, QFlags<Qt::MatchFlag>
    32, 110, 271, 0,	//447  Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*, QObject*
    32, 0,	//451  Akonadi::ChangeRecorder*
    400, 460, 0,	//453  const Akonadi::Item&, int
    388, 460, 0,	//456  const Akonadi::Collection&, int
    32, 110, 0,	//459  Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*
    291, 0,	//462  QTimerEvent*
    200, 0,	//464  KConfigGroup&
    421, 0,	//466  const KConfigGroup&
    399, 0,	//468  const Akonadi::Exception&
    212, 421, 271, 0,	//470  QAbstractItemModel*, const KConfigGroup&, QObject*
    388, 448, 0,	//474  const Akonadi::Collection&, const QString&
    212, 421, 0,	//477  QAbstractItemModel*, const KConfigGroup&
    428, 0,	//480  const QDateTime&
    447, 0,	//482  const QSet<QByteArray>&
    120, 0,	//484  Akonadi::Item::UrlType
    400, 388, 271, 0,	//486  const Akonadi::Item&, const Akonadi::Collection&, QObject*
    435, 388, 271, 0,	//490  const QList<Akonadi::Item>&, const Akonadi::Collection&, QObject*
    435, 388, 0,	//494  const QList<Akonadi::Item>&, const Akonadi::Collection&
    400, 271, 0,	//497  const Akonadi::Item&, QObject*
    435, 271, 0,	//500  const QList<Akonadi::Item>&, QObject*
    435, 0,	//503  const QList<Akonadi::Item>&
    434, 271, 0,	//505  const QList<Akonadi::Item::Id>&, QObject*
    125, 0,	//508  Akonadi::ItemFetchScope&
    402, 0,	//510  const Akonadi::ItemFetchScope&
    401, 0,	//512  const Akonadi::Item::List&
    434, 0,	//514  const QList<Akonadi::Item::Id>&
    426, 374, 0,	//516  const QByteArray&, bool
    127, 0,	//519  Akonadi::ItemFetchScope::AncestorRetrieval
    422, 0,	//521  const KDateTime&
    400, 457, 0,	//523  const Akonadi::Item&, const int
    116, 426, 244, 460, 0,	//526  Akonadi::Item&, const QByteArray&, QIODevice&, int
    400, 426, 244, 461, 0,	//531  const Akonadi::Item&, const QByteArray&, QIODevice&, int&
    403, 0,	//536  const Akonadi::ItemSerializerPlugin&
    116, 400, 0,	//538  Akonadi::Item&, const Akonadi::Item&
    404, 0,	//541  const Akonadi::ItemSerializerPluginV2&
    435, 435, 0,	//543  const QList<Akonadi::Item>&, const QList<Akonadi::Item>&
    138, 0,	//546  Akonadi::ItemSync::TransactionMode
    400, 116, 0,	//548  const Akonadi::Item&, Akonadi::Item&
    140, 0,	//551  Akonadi::Job*
    142, 271, 0,	//553  Akonadi::JobPrivate*, QObject*
    388, 435, 271, 0,	//556  const Akonadi::Collection&, const QList<Akonadi::Item>&, QObject*
    388, 435, 0,	//560  const Akonadi::Collection&, const QList<Akonadi::Item>&
    405, 0,	//563  const Akonadi::MessageFolderAttribute&
    460, 460, 466, 0,	//565  int, int, unsigned int
    406, 0,	//569  const Akonadi::MessageThreadingAttribute&
    407, 0,	//571  const Akonadi::MimeTypeChecker&
    400, 448, 0,	//573  const Akonadi::Item&, const QString&
    400, 374, 0,	//576  const Akonadi::Item&, bool
    448, 374, 0,	//579  const QString&, bool
    167, 0,	//582  Akonadi::Session*
    401, 447, 447, 0,	//584  const Akonadi::Item::List&, const QSet<QByteArray>&, const QSet<QByteArray>&
    401, 388, 388, 0,	//588  const Akonadi::Item::List&, const Akonadi::Collection&, const Akonadi::Collection&
    401, 388, 0,	//592  const Akonadi::Item::List&, const Akonadi::Collection&
    37, 393, 0,	//595  Akonadi::Collection::Id, const Akonadi::CollectionStatistics&
    152, 271, 0,	//598  Akonadi::MonitorPrivate*, QObject*
    152, 0,	//601  Akonadi::MonitorPrivate*
    442, 426, 271, 0,	//603  const QModelIndex&, const QByteArray&, QObject*
    442, 426, 0,	//607  const QModelIndex&, const QByteArray&
    408, 0,	//610  const Akonadi::PayloadBase&
    409, 0,	//612  const Akonadi::PayloadException&
    157, 0,	//614  Akonadi::PreprocessorBase::ProcessingResult
    465, 0,	//616  qlonglong
    433, 433, 0,	//618  const QList<Akonadi::Collection>&, const QList<Akonadi::Collection>&
    463, 374, 0,	//621  long long, bool
    271, 456, 452, 159, 0,	//624  QObject*, const char*, const QVariant&, Akonadi::ResourceBase::SchedulePriority
    271, 456, 452, 0,	//629  QObject*, const char*, const QVariant&
    383, 271, 0,	//633  const Akonadi::AgentInstance&, QObject*
    448, 448, 271, 0,	//636  const QString&, const QString&, QObject*
    249, 271, 0,	//640  QItemSelectionModel*, QObject*
    249, 0,	//643  QItemSelectionModel*
    165, 0,	//645  Akonadi::ServerManager::ServiceType
    164, 448, 0,	//647  Akonadi::ServerManager::ServiceAgentType, const QString&
    166, 0,	//650  Akonadi::ServerManager::State
    426, 271, 0,	//652  const QByteArray&, QObject*
    168, 426, 271, 0,	//655  Akonadi::SessionPrivate*, const QByteArray&, QObject*
    168, 0,	//659  Akonadi::SessionPrivate*
    168, 426, 0,	//661  Akonadi::SessionPrivate*, const QByteArray&
    197, 299, 0,	//664  KActionCollection*, QWidget*
    114, 0,	//667  Akonadi::FavoriteCollectionsModel*
    171, 0,	//669  Akonadi::StandardActionManager::Type
    171, 423, 0,	//671  Akonadi::StandardActionManager::Type, const KLocalizedString&
    171, 374, 0,	//674  Akonadi::StandardActionManager::Type, bool
    171, 170, 448, 0,	//677  Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const QString&
    171, 170, 423, 0,	//681  Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const KLocalizedString&
    265, 171, 0,	//685  QMenu*, Akonadi::StandardActionManager::Type
    197, 0,	//688  KActionCollection*
    400, 178, 448, 0,	//690  const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult, const QString&
    410, 0,	//694  const Akonadi::TransportResourceBase&
    400, 178, 0,	//696  const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult
    271, 232, 0,	//699  QObject*, QEvent*
    252, 0,	//702  QLineEdit*
    449, 374, 0,	//704  const QStringList&, bool
    467, 374, 374, 0,	//707  unsigned long, bool, bool
    298, 0,	//711  QWheelEvent*
    198, 374, 0,	//713  KCompletion*, bool
    203, 0,	//716  KGlobalSettings::Completion
    460, 468, 0,	//718  int, void*
    205, 448, 448, 0,	//721  KJob*, const QString&, const QString&
    243, 0,	//725  QHideEvent*
    222, 0,	//727  QCloseEvent*
    251, 0,	//729  QKeyEvent*
    221, 0,	//731  QChildEvent*
    431, 0,	//733  const QItemSelection&
    442, 438, 0,	//735  const QModelIndex&, const QMap<int,QVariant>&
    460, 354, 0,	//738  int, Qt::SortOrder
    334, 0,	//741  Qt::InputMethodQuery
    299, 211, 0,	//743  QWidget*, QAbstractItemDelegate::EndEditHint
    442, 215, 232, 0,	//746  const QModelIndex&, QAbstractItemView::EditTrigger, QEvent*
    442, 429, 0,	//750  const QModelIndex&, const QEvent*
    232, 0,	//753  QEvent*
    269, 0,	//755  QMouseEvent*
    228, 0,	//757  QDragEnterEvent*
    242, 0,	//759  QFocusEvent*
    279, 0,	//761  QResizeEvent*
    247, 0,	//763  QInputMethodEvent*
    274, 0,	//765  QPaintEvent*
    282, 0,	//767  QShowEvent*
    442, 216, 0,	//769  const QModelIndex&, QAbstractItemView::ScrollHint
    444, 0,	//772  const QPoint&
    442, 460, 460, 0,	//774  const QModelIndex&, int, int
    214, 240, 0,	//778  QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>
    445, 237, 0,	//781  const QRect&, QFlags<QItemSelectionModel::SelectionFlag>
    431, 431, 0,	//784  const QItemSelection&, const QItemSelection&
    451, 442, 0,	//787  const QStyleOptionViewItem&, const QModelIndex&
    299, 451, 442, 0,	//790  QWidget*, const QStyleOptionViewItem&, const QModelIndex&
    299, 442, 0,	//794  QWidget*, const QModelIndex&
    299, 212, 442, 0,	//797  QWidget*, QAbstractItemModel*, const QModelIndex&
    452, 437, 0,	//801  const QVariant&, const QLocale&
    232, 212, 451, 442, 0,	//804  QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&
    275, 445, 442, 0,	//809  QPainter*, const QRect&, const QModelIndex&
    270, 0,	//813  QMoveEvent*
    290, 0,	//815  QTabletEvent*
    218, 0,	//817  QActionEvent*
    373, 0,	//819  _XEvent*
    272, 0,	//821  QPaintDevice::PaintDeviceMetric
    287, 0,	//823  QStyle&
    443, 0,	//825  const QPalette&
    430, 0,	//827  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AboveItem",	//1
    "Accepted",	//2
    "AddIfMissing",	//3
    "AddToFavoriteCollections",	//4
    "AddressAttribute",	//5
    "AddressAttribute#",	//6
    "AddressAttribute$",	//7
    "AddressAttribute$?",	//8
    "AddressAttribute$??",	//9
    "AddressAttribute$???",	//10
    "Adjust",	//11
    "AdjustToContents",	//12
    "AdjustToContentsOnFirstShow",	//13
    "AdjustToMinimumContentsLength",	//14
    "AdjustToMinimumContentsLengthWithIcon",	//15
    "AfterChangeReplay",	//16
    "Agent",	//17
    "AgentBase",	//18
    "AgentBase#$",	//19
    "AgentBase$",	//20
    "AgentFilterProxyModel",	//21
    "AgentFilterProxyModel#",	//22
    "AgentInstance",	//23
    "AgentInstance#",	//24
    "AgentInstanceCreateJob",	//25
    "AgentInstanceCreateJob#",	//26
    "AgentInstanceCreateJob##",	//27
    "AgentInstanceCreateJob$",	//28
    "AgentInstanceCreateJob$#",	//29
    "AgentInstanceModel",	//30
    "AgentInstanceModel#",	//31
    "AgentInstanceWidget",	//32
    "AgentInstanceWidget#",	//33
    "AgentType",	//34
    "AgentType#",	//35
    "AgentTypeDialog",	//36
    "AgentTypeDialog#",	//37
    "AgentTypeModel",	//38
    "AgentTypeModel#",	//39
    "AgentTypeWidget",	//40
    "AgentTypeWidget#",	//41
    "All",	//42
    "AllEditTriggers",	//43
    "AllRights",	//44
    "AllowToCreateNewChildCollection",	//45
    "AmazingCompletionRole",	//46
    "AnimatingState",	//47
    "AnyKeyPressed",	//48
    "AppNameCaption",	//49
    "Append",	//50
    "Apply",	//51
    "Attribute",	//52
    "Attribute#",	//53
    "AttributeFactory",	//54
    "AttributeFactory#",	//55
    "AvailablePartsRole",	//56
    "Base",	//57
    "Batched",	//58
    "BelowItem",	//59
    "Box",	//60
    "Broken",	//61
    "Bytes",	//62
    "CachePage",	//63
    "CachePolicy",	//64
    "CachePolicy#",	//65
    "CanChangeCollection",	//66
    "CanChangeItem",	//67
    "CanCreateCollection",	//68
    "CanCreateItem",	//69
    "CanDeleteCollection",	//70
    "CanDeleteItem",	//71
    "CanLinkItem",	//72
    "CanUnlinkItem",	//73
    "Cancel",	//74
    "CapabilitiesRole",	//75
    "ChangeRecorder",	//76
    "ChangeRecorder#",	//77
    "ChangeRecorder##",	//78
    "ChildrenOfExactSelection",	//79
    "Close",	//80
    "CollapsingState",	//81
    "Collection",	//82
    "Collection#",	//83
    "Collection$",	//84
    "CollectionChildOrderRole",	//85
    "CollectionComboBox",	//86
    "CollectionComboBox#",	//87
    "CollectionComboBox##",	//88
    "CollectionCopyJob",	//89
    "CollectionCopyJob##",	//90
    "CollectionCopyJob###",	//91
    "CollectionCreateJob",	//92
    "CollectionCreateJob#",	//93
    "CollectionCreateJob##",	//94
    "CollectionDeleteJob",	//95
    "CollectionDeleteJob#",	//96
    "CollectionDeleteJob##",	//97
    "CollectionDerefRole",	//98
    "CollectionDialog",	//99
    "CollectionDialog#",	//100
    "CollectionDialog##",	//101
    "CollectionDialog$",	//102
    "CollectionDialog$#",	//103
    "CollectionDialog$##",	//104
    "CollectionFetchJob",	//105
    "CollectionFetchJob#",	//106
    "CollectionFetchJob#$",	//107
    "CollectionFetchJob#$#",	//108
    "CollectionFetchJob?",	//109
    "CollectionFetchJob?#",	//110
    "CollectionFetchJob?$",	//111
    "CollectionFetchJob?$#",	//112
    "CollectionFetchScope",	//113
    "CollectionFetchScope#",	//114
    "CollectionFilterProxyModel",	//115
    "CollectionFilterProxyModel#",	//116
    "CollectionIdRole",	//117
    "CollectionModel",	//118
    "CollectionModel#",	//119
    "CollectionModel##",	//120
    "CollectionModifyJob",	//121
    "CollectionModifyJob#",	//122
    "CollectionModifyJob##",	//123
    "CollectionMoveJob",	//124
    "CollectionMoveJob##",	//125
    "CollectionMoveJob###",	//126
    "CollectionProperties",	//127
    "CollectionPropertiesDialog",	//128
    "CollectionPropertiesDialog#",	//129
    "CollectionPropertiesDialog##",	//130
    "CollectionPropertiesDialog#?",	//131
    "CollectionPropertiesDialog#?#",	//132
    "CollectionPropertiesPage",	//133
    "CollectionPropertiesPage#",	//134
    "CollectionPropertiesPageFactory",	//135
    "CollectionPropertiesPageFactory#",	//136
    "CollectionQuotaAttribute",	//137
    "CollectionQuotaAttribute#",	//138
    "CollectionQuotaAttribute$$",	//139
    "CollectionRefRole",	//140
    "CollectionRequester",	//141
    "CollectionRequester#",	//142
    "CollectionRequester##",	//143
    "CollectionRole",	//144
    "CollectionStatistics",	//145
    "CollectionStatistics#",	//146
    "CollectionStatisticsDelegate",	//147
    "CollectionStatisticsDelegate#",	//148
    "CollectionStatisticsJob",	//149
    "CollectionStatisticsJob#",	//150
    "CollectionStatisticsJob##",	//151
    "CollectionStatisticsModel",	//152
    "CollectionStatisticsModel#",	//153
    "CollectionSyncProgressRole",	//154
    "CollectionTreeHeaders",	//155
    "CollectionView",	//156
    "CollectionView#",	//157
    "CollectionView##",	//158
    "ColumnCountRole",	//159
    "ConnectionFailed",	//160
    "ContactDefaultActions",	//161
    "ContactDefaultActions#",	//162
    "ContactEditor",	//163
    "ContactEditor$",	//164
    "ContactEditor$#",	//165
    "ContactEditor$##",	//166
    "ContactEditor$$",	//167
    "ContactEditor$$#",	//168
    "ContactEditorDialog",	//169
    "ContactEditorDialog$",	//170
    "ContactEditorDialog$#",	//171
    "ContactEditorDialog$##",	//172
    "ContactEditorDialog$$",	//173
    "ContactEditorDialog$$#",	//174
    "ContactEditorPagePlugin",	//175
    "ContactGroupEditor",	//176
    "ContactGroupEditor$",	//177
    "ContactGroupEditor$#",	//178
    "ContactGroupEditorDialog",	//179
    "ContactGroupEditorDialog$",	//180
    "ContactGroupEditorDialog$#",	//181
    "ContactGroupExpandJob",	//182
    "ContactGroupExpandJob#",	//183
    "ContactGroupExpandJob##",	//184
    "ContactGroupExpandJob$",	//185
    "ContactGroupExpandJob$#",	//186
    "ContactGroupSearchJob",	//187
    "ContactGroupSearchJob#",	//188
    "ContactGroupViewer",	//189
    "ContactGroupViewer#",	//190
    "ContactGroupViewerDialog",	//191
    "ContactGroupViewerDialog#",	//192
    "ContactSearchJob",	//193
    "ContactSearchJob#",	//194
    "ContactUid",	//195
    "ContactViewer",	//196
    "ContactViewer#",	//197
    "ContactViewerDialog",	//198
    "ContactViewerDialog#",	//199
    "ContainsMatch",	//200
    "ContainsWordBoundaryMatch",	//201
    "ContiguousSelection",	//202
    "Control",	//203
    "ControlLock",	//204
    "CopyCollectionToDialog",	//205
    "CopyCollectionToMenu",	//206
    "CopyCollections",	//207
    "CopyItemToDialog",	//208
    "CopyItemToMenu",	//209
    "CopyItems",	//210
    "CreateCollection",	//211
    "CreateMode",	//212
    "CreateResource",	//213
    "CurrentChanged",	//214
    "CutCollections",	//215
    "CutItems",	//216
    "Date",	//217
    "Default",	//218
    "DelayedPopup",	//219
    "DeleteCollections",	//220
    "DeleteItems",	//221
    "DeleteResources",	//222
    "DescriptionRole",	//223
    "Details",	//224
    "DialogText",	//225
    "DialogTitle",	//226
    "Directories",	//227
    "DoubleClicked",	//228
    "DragDrop",	//229
    "DragOnly",	//230
    "DragSelectingState",	//231
    "DraggingState",	//232
    "DrawChildren",	//233
    "DrawWindowBackground",	//234
    "DropOnly",	//235
    "EditKeyPressed",	//236
    "EditMode",	//237
    "EditingState",	//238
    "Email",	//239
    "EmitResult",	//240
    "EndHeaderGroup",	//241
    "EndRole",	//242
    "EnsureVisible",	//243
    "Entity",	//244
    "Entity#",	//245
    "EntityDisplayAttribute",	//246
    "EntityDisplayAttribute#",	//247
    "EntityHiddenAttribute",	//248
    "EntityHiddenAttribute#",	//249
    "EntityListView",	//250
    "EntityListView#",	//251
    "EntityListView##",	//252
    "EntityMimeTypeFilterModel",	//253
    "EntityMimeTypeFilterModel#",	//254
    "EntityTreeHeaders",	//255
    "EntityTreeModel",	//256
    "EntityTreeModel#",	//257
    "EntityTreeModel##",	//258
    "EntityTreeModel###",	//259
    "EntityTreeView",	//260
    "EntityTreeView#",	//261
    "EntityTreeView##",	//262
    "EntityTreeViewStateSaver",	//263
    "EntityTreeViewStateSaver#",	//264
    "EntityUrlRole",	//265
    "ErrorMessageText",	//266
    "ErrorMessageTitle",	//267
    "ExactMatch",	//268
    "ExactSelection",	//269
    "Exception",	//270
    "Exception#",	//271
    "Exception$",	//272
    "ExpandingState",	//273
    "ExtendedSelection",	//274
    "FavoriteCollectionsModel",	//275
    "FavoriteCollectionsModel##",	//276
    "FavoriteCollectionsModel###",	//277
    "FetchCollectionsRecursive",	//278
    "FetchFirstLevelChildCollections",	//279
    "FetchNoCollections",	//280
    "FetchStateRole",	//281
    "FetchingState",	//282
    "Files",	//283
    "FirstLevel",	//284
    "Fixed",	//285
    "Free",	//286
    "FullMode",	//287
    "FullPayload",	//288
    "GeneralPage",	//289
    "HIGCompliantCaption",	//290
    "HLine",	//291
    "Help",	//292
    "IconMode",	//293
    "Id",	//294
    "IdRole",	//295
    "IdentifierRole",	//296
    "Idle",	//297
    "IdleState",	//298
    "IgnoreMask",	//299
    "ImmediatePopulation",	//300
    "InsertAfterCurrent",	//301
    "InsertAlphabetically",	//302
    "InsertAtBottom",	//303
    "InsertAtCurrent",	//304
    "InsertAtTop",	//305
    "InsertBeforeCurrent",	//306
    "InstanceIdentifierRole",	//307
    "InstanceRole",	//308
    "InstantPopup",	//309
    "InternalMove",	//310
    "InvisibleCollectionFetch",	//311
    "IsPopulatedRole",	//312
    "Item",	//313
    "Item#",	//314
    "Item$",	//315
    "ItemCopyJob",	//316
    "ItemCopyJob##",	//317
    "ItemCopyJob###",	//318
    "ItemCopyJob?#",	//319
    "ItemCopyJob?##",	//320
    "ItemCreateJob",	//321
    "ItemCreateJob##",	//322
    "ItemCreateJob###",	//323
    "ItemDeleteJob",	//324
    "ItemDeleteJob#",	//325
    "ItemDeleteJob##",	//326
    "ItemDeleteJob?",	//327
    "ItemDeleteJob?#",	//328
    "ItemFetchJob",	//329
    "ItemFetchJob#",	//330
    "ItemFetchJob##",	//331
    "ItemFetchJob?",	//332
    "ItemFetchJob?#",	//333
    "ItemFetchScope",	//334
    "ItemFetchScope#",	//335
    "ItemIdRole",	//336
    "ItemListHeaders",	//337
    "ItemModel",	//338
    "ItemModel#",	//339
    "ItemModifyJob",	//340
    "ItemModifyJob#",	//341
    "ItemModifyJob##",	//342
    "ItemModifyJob?",	//343
    "ItemModifyJob?#",	//344
    "ItemMonitor",	//345
    "ItemMoveJob",	//346
    "ItemMoveJob##",	//347
    "ItemMoveJob###",	//348
    "ItemMoveJob?#",	//349
    "ItemMoveJob?##",	//350
    "ItemRole",	//351
    "ItemSearchJob",	//352
    "ItemSearchJob$",	//353
    "ItemSearchJob$#",	//354
    "ItemSerializerPlugin",	//355
    "ItemSerializerPlugin#",	//356
    "ItemSerializerPluginV2",	//357
    "ItemSerializerPluginV2#",	//358
    "ItemSync",	//359
    "ItemSync#",	//360
    "ItemSync##",	//361
    "ItemView",	//362
    "ItemView#",	//363
    "ItemView##",	//364
    "Job",	//365
    "Job#",	//366
    "Job##",	//367
    "KeepTreeExpanded",	//368
    "Killable",	//369
    "KilledJobError",	//370
    "LastType",	//371
    "LazyPopulation",	//372
    "LeftToRight",	//373
    "LinkJob",	//374
    "LinkJob#?",	//375
    "LinkJob#?#",	//376
    "ListMode",	//377
    "LoadedPartsRole",	//378
    "ManageLocalSubscriptions",	//379
    "MessageBoxAlternativeText",	//380
    "MessageBoxText",	//381
    "MessageBoxTitle",	//382
    "MessageFolderAttribute",	//383
    "MessageFolderAttribute#",	//384
    "MessageModel",	//385
    "MessageModel#",	//386
    "MessageThreaderProxyModel",	//387
    "MessageThreaderProxyModel#",	//388
    "MessageThreadingAttribute",	//389
    "MessageThreadingAttribute#",	//390
    "MimeType",	//391
    "MimeTypeChecker",	//392
    "MimeTypeChecker#",	//393
    "MimeTypeRole",	//394
    "MimeTypesRole",	//395
    "ModifiedCaption",	//396
    "Monitor",	//397
    "Monitor#",	//398
    "Monitor##",	//399
    "MoveCollectionToDialog",	//400
    "MoveCollectionToMenu",	//401
    "MoveCollectionsToTrash",	//402
    "MoveDown",	//403
    "MoveEnd",	//404
    "MoveHome",	//405
    "MoveItemToDialog",	//406
    "MoveItemToMenu",	//407
    "MoveItemsToTrash",	//408
    "MoveLeft",	//409
    "MoveNext",	//410
    "MovePageDown",	//411
    "MovePageUp",	//412
    "MovePrevious",	//413
    "MoveRight",	//414
    "MoveToTrashRestoreCollection",	//415
    "MoveToTrashRestoreCollectionAlternative",	//416
    "MoveToTrashRestoreItem",	//417
    "MoveToTrashRestoreItemAlternative",	//418
    "MoveUp",	//419
    "MultiSelection",	//420
    "MultipleTransactions",	//421
    "Name",	//422
    "NameOrEmail",	//423
    "NextCompletionMatch",	//424
    "NickName",	//425
    "No",	//426
    "NoCapabilities",	//427
    "NoCaptionFlags",	//428
    "NoDefault",	//429
    "NoDragDrop",	//430
    "NoEditTriggers",	//431
    "NoError",	//432
    "NoFrame",	//433
    "NoInsert",	//434
    "NoItemPopulation",	//435
    "NoSelection",	//436
    "NoState",	//437
    "NoTransaction",	//438
    "NonOverlappingRoots",	//439
    "None",	//440
    "NotConfigured",	//441
    "NotRunning",	//442
    "Observer",	//443
    "Observer#",	//444
    "ObserverV2",	//445
    "ObserverV2#",	//446
    "Ok",	//447
    "OldCollectionIdRole",	//448
    "OldCollectionRole",	//449
    "OnItem",	//450
    "OnViewport",	//451
    "OnlineRole",	//452
    "Panel",	//453
    "Parent",	//454
    "ParentCollectionRole",	//455
    "PartFetcher",	//456
    "PartFetcher##",	//457
    "PartFetcher###",	//458
    "Paste",	//459
    "PayloadBase",	//460
    "PayloadBase#",	//461
    "PayloadException",	//462
    "PayloadException#",	//463
    "PayloadException$",	//464
    "PendingCutRole",	//465
    "Plain",	//466
    "PositionAtBottom",	//467
    "PositionAtCenter",	//468
    "PositionAtTop",	//469
    "Prepend",	//470
    "Preprocessor",	//471
    "PreprocessorBase",	//472
    "PreprocessorBase$",	//473
    "PrevCompletionMatch",	//474
    "ProcessingCompleted",	//475
    "ProcessingDelayed",	//476
    "ProcessingFailed",	//477
    "ProcessingRefused",	//478
    "ProgressRole",	//479
    "ProtocolVersionMismatch",	//480
    "Quietly",	//481
    "Raised",	//482
    "ReadOnly",	//483
    "Receiver",	//484
    "Recursive",	//485
    "RecursiveSizeRole",	//486
    "RecursiveStatisticsRole",	//487
    "RecursiveTotalRole",	//488
    "RecursiveUnreadRole",	//489
    "Rejected",	//490
    "RemoteId",	//491
    "RemoteIdRole",	//492
    "RemoveFromFavoriteCollections",	//493
    "RenameFavoriteCollection",	//494
    "Reset",	//495
    "Resource",	//496
    "ResourceBase",	//497
    "ResourceBase$",	//498
    "ResourceProperties",	//499
    "ResourceSynchronizationJob",	//500
    "ResourceSynchronizationJob#",	//501
    "ResourceSynchronizationJob##",	//502
    "RestoreCollectionsFromTrash",	//503
    "RestoreItemsFromTrash",	//504
    "Running",	//505
    "ScrollPerItem",	//506
    "ScrollPerPixel",	//507
    "SearchCreateJob",	//508
    "SearchCreateJob$$",	//509
    "SearchCreateJob$$#",	//510
    "SelectColumns",	//511
    "SelectItems",	//512
    "SelectRows",	//513
    "SelectedClicked",	//514
    "SelectionProxyModel",	//515
    "SelectionProxyModel#",	//516
    "SelectionProxyModel##",	//517
    "Sender",	//518
    "Server",	//519
    "Session",	//520
    "Session#",	//521
    "Session##",	//522
    "Session###",	//523
    "SessionRole",	//524
    "Shadow_Mask",	//525
    "Shape_Mask",	//526
    "SinglePass",	//527
    "SingleSelection",	//528
    "SingleTransaction",	//529
    "Size",	//530
    "SizeRole",	//531
    "Snap",	//532
    "StandardActionManager",	//533
    "StandardActionManager#",	//534
    "StandardActionManager##",	//535
    "Starting",	//536
    "StartsWithMatch",	//537
    "Static",	//538
    "StatisticsProxyModel",	//539
    "StatisticsProxyModel#",	//540
    "StatisticsRole",	//541
    "StatusMessageRole",	//542
    "StatusRole",	//543
    "Stopping",	//544
    "StyledPanel",	//545
    "SubTreeRoots",	//546
    "SubTrees",	//547
    "SubTreesWithoutRoots",	//548
    "Subject",	//549
    "SubstringCompletion",	//550
    "Sunken",	//551
    "Suspendable",	//552
    "SynchronizeCollections",	//553
    "SynchronizeCollectionsRecursive",	//554
    "SynchronizeFavoriteCollections",	//555
    "SynchronizeResources",	//556
    "TerminalUserRole",	//557
    "TextCompletion",	//558
    "ToggleWorkOffline",	//559
    "TopToBottom",	//560
    "TotalRole",	//561
    "TransactionBeginJob",	//562
    "TransactionBeginJob#",	//563
    "TransactionCommitJob",	//564
    "TransactionCommitJob#",	//565
    "TransactionRollbackJob",	//566
    "TransactionRollbackJob#",	//567
    "TransactionSequence",	//568
    "TransactionSequence#",	//569
    "TransportFailed",	//570
    "TransportResourceBase",	//571
    "TransportResourceBase#",	//572
    "TransportSucceeded",	//573
    "Try",	//574
    "TypeIdentifierRole",	//575
    "TypeRole",	//576
    "Unknown",	//577
    "UnlinkJob",	//578
    "UnlinkJob#?",	//579
    "UnlinkJob#?#",	//580
    "UnreadCountRole",	//581
    "UnreadRole",	//582
    "UpgradeIndicator",	//583
    "Upgrading",	//584
    "UrlShort",	//585
    "UrlWithMimeType",	//586
    "UrlWithName",	//587
    "User1",	//588
    "User2",	//589
    "User3",	//590
    "UserCanceled",	//591
    "UserDefinedError",	//592
    "UserError",	//593
    "UserHeaders",	//594
    "UserRole",	//595
    "VCardMode",	//596
    "VLine",	//597
    "WinPanel",	//598
    "Yes",	//599
    "_CS_GNU_LIBC_VERSION",	//600
    "_CS_GNU_LIBPTHREAD_VERSION",	//601
    "_CS_LFS64_CFLAGS",	//602
    "_CS_LFS64_LDFLAGS",	//603
    "_CS_LFS64_LIBS",	//604
    "_CS_LFS64_LINTFLAGS",	//605
    "_CS_LFS_CFLAGS",	//606
    "_CS_LFS_LDFLAGS",	//607
    "_CS_LFS_LIBS",	//608
    "_CS_LFS_LINTFLAGS",	//609
    "_CS_PATH",	//610
    "_CS_POSIX_V6_ILP32_OFF32_CFLAGS",	//611
    "_CS_POSIX_V6_ILP32_OFF32_LDFLAGS",	//612
    "_CS_POSIX_V6_ILP32_OFF32_LIBS",	//613
    "_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS",	//614
    "_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS",	//615
    "_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS",	//616
    "_CS_POSIX_V6_ILP32_OFFBIG_LIBS",	//617
    "_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS",	//618
    "_CS_POSIX_V6_LP64_OFF64_CFLAGS",	//619
    "_CS_POSIX_V6_LP64_OFF64_LDFLAGS",	//620
    "_CS_POSIX_V6_LP64_OFF64_LIBS",	//621
    "_CS_POSIX_V6_LP64_OFF64_LINTFLAGS",	//622
    "_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS",	//623
    "_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS",	//624
    "_CS_POSIX_V6_LPBIG_OFFBIG_LIBS",	//625
    "_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS",	//626
    "_CS_POSIX_V7_ILP32_OFF32_CFLAGS",	//627
    "_CS_POSIX_V7_ILP32_OFF32_LDFLAGS",	//628
    "_CS_POSIX_V7_ILP32_OFF32_LIBS",	//629
    "_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS",	//630
    "_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS",	//631
    "_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS",	//632
    "_CS_POSIX_V7_ILP32_OFFBIG_LIBS",	//633
    "_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS",	//634
    "_CS_POSIX_V7_LP64_OFF64_CFLAGS",	//635
    "_CS_POSIX_V7_LP64_OFF64_LDFLAGS",	//636
    "_CS_POSIX_V7_LP64_OFF64_LIBS",	//637
    "_CS_POSIX_V7_LP64_OFF64_LINTFLAGS",	//638
    "_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS",	//639
    "_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS",	//640
    "_CS_POSIX_V7_LPBIG_OFFBIG_LIBS",	//641
    "_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS",	//642
    "_CS_V5_WIDTH_RESTRICTED_ENVS",	//643
    "_CS_V6_ENV",	//644
    "_CS_V6_WIDTH_RESTRICTED_ENVS",	//645
    "_CS_V7_ENV",	//646
    "_CS_V7_WIDTH_RESTRICTED_ENVS",	//647
    "_CS_XBS5_ILP32_OFF32_CFLAGS",	//648
    "_CS_XBS5_ILP32_OFF32_LDFLAGS",	//649
    "_CS_XBS5_ILP32_OFF32_LIBS",	//650
    "_CS_XBS5_ILP32_OFF32_LINTFLAGS",	//651
    "_CS_XBS5_ILP32_OFFBIG_CFLAGS",	//652
    "_CS_XBS5_ILP32_OFFBIG_LDFLAGS",	//653
    "_CS_XBS5_ILP32_OFFBIG_LIBS",	//654
    "_CS_XBS5_ILP32_OFFBIG_LINTFLAGS",	//655
    "_CS_XBS5_LP64_OFF64_CFLAGS",	//656
    "_CS_XBS5_LP64_OFF64_LDFLAGS",	//657
    "_CS_XBS5_LP64_OFF64_LIBS",	//658
    "_CS_XBS5_LP64_OFF64_LINTFLAGS",	//659
    "_CS_XBS5_LPBIG_OFFBIG_CFLAGS",	//660
    "_CS_XBS5_LPBIG_OFFBIG_LDFLAGS",	//661
    "_CS_XBS5_LPBIG_OFFBIG_LIBS",	//662
    "_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS",	//663
    "abortActivity",	//664
    "abortCurrentTask",	//665
    "abortRequested",	//666
    "aboutToQuit",	//667
    "aboutToStart",	//668
    "aboutToStart#",	//669
    "accept",	//670
    "accessRightsFilter",	//671
    "action",	//672
    "action$",	//673
    "actionEvent",	//674
    "actionStateUpdated",	//675
    "activated",	//676
    "activated#",	//677
    "activeIcon",	//678
    "activeIconName",	//679
    "addAttribute",	//680
    "addAttribute#",	//681
    "addCapabilityFilter",	//682
    "addCapabilityFilter$",	//683
    "addCollection",	//684
    "addCollection#",	//685
    "addMimeTypeExclusionFilter",	//686
    "addMimeTypeExclusionFilter$",	//687
    "addMimeTypeExclusionFilters",	//688
    "addMimeTypeExclusionFilters?",	//689
    "addMimeTypeFilter",	//690
    "addMimeTypeFilter$",	//691
    "addMimeTypeFilters",	//692
    "addMimeTypeFilters?",	//693
    "addMimeTypeInclusionFilter",	//694
    "addMimeTypeInclusionFilter$",	//695
    "addMimeTypeInclusionFilters",	//696
    "addMimeTypeInclusionFilters?",	//697
    "addNamespace",	//698
    "addNamespace$",	//699
    "addSubjob",	//700
    "addSubjob#",	//701
    "addWantedMimeType",	//702
    "addWantedMimeType$",	//703
    "addressClicked",	//704
    "addressClicked#",	//705
    "advancedStatus",	//706
    "advancedStatus?",	//707
    "agentFilterProxyModel",	//708
    "agentName",	//709
    "agentNameChanged",	//710
    "agentNameChanged$",	//711
    "agentServiceName",	//712
    "agentServiceName$$",	//713
    "agentType",	//714
    "akonadiItemIdUri",	//715
    "allAttributes",	//716
    "allMonitored",	//717
    "allMonitored$",	//718
    "ancestorRetrieval",	//719
    "apply",	//720
    "apply#",	//721
    "apply##",	//722
    "attribute",	//723
    "attribute#",	//724
    "attributes",	//725
    "attributesSynchronized",	//726
    "attributesSynchronized$",	//727
    "availableParts",	//728
    "availableParts#",	//729
    "availablePayloadMetaTypeIds",	//730
    "availablePayloadParts",	//731
    "backgroundColor",	//732
    "bcc",	//733
    "buddy",	//734
    "cacheOnly",	//735
    "cachePolicy",	//736
    "cacheTimeout",	//737
    "cachedPayloadParts",	//738
    "canFetchMore",	//739
    "canFetchMore#",	//740
    "canHandle",	//741
    "canHandle#",	//742
    "cancelTask",	//743
    "cancelTask$",	//744
    "capabilities",	//745
    "cc",	//746
    "changeCollectionDialogOptions",	//747
    "changeCollectionDialogOptions$",	//748
    "changeCommitted",	//749
    "changeCommitted#",	//750
    "changeEvent",	//751
    "changeProcessed",	//752
    "changeRecorder",	//753
    "changesAdded",	//754
    "changesCommitted",	//755
    "changesCommitted?",	//756
    "checkForCachedPayloadPartsOnly",	//757
    "childEvent",	//758
    "cleanup",	//759
    "clear",	//760
    "clearAndReset",	//761
    "clearAttributes",	//762
    "clearCache",	//763
    "clearFilters",	//764
    "clearFlag",	//765
    "clearFlag#",	//766
    "clearFlags",	//767
    "clearItems",	//768
    "clearPayload",	//769
    "clicked",	//770
    "clicked#",	//771
    "clone",	//772
    "closeEditor",	//773
    "closeEvent",	//774
    "collection",	//775
    "collectionAdded",	//776
    "collectionAdded##",	//777
    "collectionAttributesRetrieved",	//778
    "collectionAttributesRetrieved#",	//779
    "collectionChanged",	//780
    "collectionChanged#",	//781
    "collectionChanged#?",	//782
    "collectionFetchScope",	//783
    "collectionFetchStrategy",	//784
    "collectionFetched",	//785
    "collectionFetched$",	//786
    "collectionForId",	//787
    "collectionForId?",	//788
    "collectionIds",	//789
    "collectionMonitored",	//790
    "collectionMonitored#$",	//791
    "collectionMoved",	//792
    "collectionMoved###",	//793
    "collectionPopulated",	//794
    "collectionPopulated?",	//795
    "collectionRemoved",	//796
    "collectionRemoved#",	//797
    "collectionStatisticsChanged",	//798
    "collectionStatisticsChanged?#",	//799
    "collectionSubscribed",	//800
    "collectionSubscribed##",	//801
    "collectionTreeFetched",	//802
    "collectionTreeFetched?",	//803
    "collectionTreeOnly",	//804
    "collectionTreeSynchronized",	//805
    "collectionUnsubscribed",	//806
    "collectionUnsubscribed#",	//807
    "collections",	//808
    "collectionsMonitored",	//809
    "collectionsReceived",	//810
    "collectionsReceived?",	//811
    "collectionsRetrievalDone",	//812
    "collectionsRetrieved",	//813
    "collectionsRetrieved?",	//814
    "collectionsRetrievedIncremental",	//815
    "collectionsRetrievedIncremental??",	//816
    "columnCount",	//817
    "columnCount#",	//818
    "commit",	//819
    "commitData",	//820
    "componentData",	//821
    "config",	//822
    "configurationDialogAccepted",	//823
    "configurationDialogRejected",	//824
    "configure",	//825
    "configure#",	//826
    "configure$",	//827
    "connectNotify",	//828
    "connectNotify$",	//829
    "connectToView",	//830
    "connectToView#",	//831
    "contact",	//832
    "contactGroup",	//833
    "contactGroupStored",	//834
    "contactGroupStored#",	//835
    "contactGroups",	//836
    "contactStored",	//837
    "contactStored#",	//838
    "contacts",	//839
    "containsWantedMimeType",	//840
    "containsWantedMimeType?",	//841
    "contentMimeTypes",	//842
    "contextMenuEvent",	//843
    "contextMenuEvent#",	//844
    "count",	//845
    "create",	//846
    "createAction",	//847
    "createAction$",	//848
    "createActionFolderMenu",	//849
    "createActionFolderMenu#$",	//850
    "createAllActions",	//851
    "createAttribute",	//852
    "createAttribute#",	//853
    "createEditor",	//854
    "createIndex",	//855
    "createIndex$$$",	//856
    "createWidget",	//857
    "createWidget#",	//858
    "createdCollection",	//859
    "currentAgentInstance",	//860
    "currentAgentType",	//861
    "currentChanged",	//862
    "currentChanged#",	//863
    "currentChanged##",	//864
    "currentCollection",	//865
    "currentItem",	//866
    "currentValue",	//867
    "customEvent",	//868
    "customProperties",	//869
    "d_func",	//870
    "data",	//871
    "data#",	//872
    "data#$",	//873
    "dataChanged",	//874
    "defaultPageObjectName",	//875
    "defaultPageObjectName$",	//876
    "defaultSession",	//877
    "deferTask",	//878
    "deletedItems",	//879
    "deliveryDone",	//880
    "description",	//881
    "deserialize",	//882
    "deserialize#",	//883
    "deserialize###$",	//884
    "destinationCollection",	//885
    "devType",	//886
    "dialPhoneNumber",	//887
    "dialPhoneNumber#",	//888
    "disableAutomaticConflictHandling",	//889
    "disableRevisionCheck",	//890
    "disconnectNotify",	//891
    "displayName",	//892
    "displayText",	//893
    "doHandleResponse",	//894
    "doHandleResponse##",	//895
    "doItemsLayout",	//896
    "doKill",	//897
    "doResume",	//898
    "doSetOnline",	//899
    "doSetOnline$",	//900
    "doStart",	//901
    "doSuspend",	//902
    "done",	//903
    "done$",	//904
    "doubleClicked",	//905
    "doubleClicked#",	//906
    "dragEnterEvent",	//907
    "dragLeaveEvent",	//908
    "dragLeaveEvent#",	//909
    "dragMoveEvent",	//910
    "dragMoveEvent#",	//911
    "drawBranches",	//912
    "drawRow",	//913
    "dropEvent",	//914
    "dropEvent#",	//915
    "dropMimeData",	//916
    "dropMimeData#$$$#",	//917
    "dumpMemoryInfo",	//918
    "dumpMemoryInfoToString",	//919
    "dumpNotificationListToString",	//920
    "dumpResourceToString",	//921
    "dumpSchedulerToString",	//922
    "edit",	//923
    "editor",	//924
    "editorDestroyed",	//925
    "editorEvent",	//926
    "emailClicked",	//927
    "emailClicked$$",	//928
    "emitWriteFinished",	//929
    "enabledChange",	//930
    "enterEvent",	//931
    "entityColumnCount",	//932
    "entityColumnCount$",	//933
    "entityData",	//934
    "entityData#$",	//935
    "entityData#$$",	//936
    "entityHeaderData",	//937
    "entityHeaderData$$$$",	//938
    "entityMatch",	//939
    "entityMatch##$",	//940
    "error",	//941
    "error$",	//942
    "errorString",	//943
    "event",	//944
    "eventFilter",	//945
    "excludeCapabilities",	//946
    "excludeCapabilities$",	//947
    "excludeVirtualCollections",	//948
    "favoriteLabel",	//949
    "favoriteLabel#",	//950
    "fetchAllAttributes",	//951
    "fetchAllAttributes$",	//952
    "fetchAttribute",	//953
    "fetchAttribute#",	//954
    "fetchAttribute#$",	//955
    "fetchChangedOnly",	//956
    "fetchChangedOnly$",	//957
    "fetchChangedSince",	//958
    "fetchCollection",	//959
    "fetchCollection$",	//960
    "fetchCollectionStatistics",	//961
    "fetchCollectionStatistics$",	//962
    "fetchFullPayload",	//963
    "fetchFullPayload$",	//964
    "fetchGid",	//965
    "fetchModificationTime",	//966
    "fetchMore",	//967
    "fetchMore#",	//968
    "fetchPayloadPart",	//969
    "fetchPayloadPart#",	//970
    "fetchPayloadPart#$",	//971
    "fetchRemoteIdentification",	//972
    "fetchScope",	//973
    "filterAcceptsColumn",	//974
    "filterAcceptsColumn$#",	//975
    "filterAcceptsRow",	//976
    "filterAcceptsRow$#",	//977
    "finishProcessing",	//978
    "finishProcessing$",	//979
    "finished",	//980
    "flags",	//981
    "flags#",	//982
    "focusInEvent",	//983
    "focusNextPrevChild",	//984
    "focusOutEvent",	//985
    "fontChange",	//986
    "from",	//987
    "fromUrl",	//988
    "fromUrl#",	//989
    "fullPayload",	//990
    "gid",	//991
    "groupNameIsValid",	//992
    "groupNameIsValid$",	//993
    "hasAttribute",	//994
    "hasAttribute#",	//995
    "hasChildren",	//996
    "hasChildren#",	//997
    "hasFlag",	//998
    "hasFlag#",	//999
    "hasInstanceIdentifier",	//1000
    "hasPayload",	//1001
    "headerData",	//1002
    "headerData$$",	//1003
    "headerData$$$",	//1004
    "heightForWidth",	//1005
    "hideEvent",	//1006
    "hidePopup",	//1007
    "horizontalOffset",	//1008
    "horizontalScrollbarAction",	//1009
    "horizontalScrollbarValueChanged",	//1010
    "icon",	//1011
    "iconName",	//1012
    "id",	//1013
    "identifier",	//1014
    "ignorePayload",	//1015
    "ignoreRetrievalErrors",	//1016
    "ignoreSession",	//1017
    "ignoreSession#",	//1018
    "includeRootCollection",	//1019
    "includeStatistics",	//1020
    "includeStatistics$",	//1021
    "includeUnsubscribed",	//1022
    "includeUnsubscribed$",	//1023
    "includeUnubscribed",	//1024
    "index",	//1025
    "index$$",	//1026
    "index$$#",	//1027
    "indexAt",	//1028
    "indexForItem",	//1029
    "indexForItem#$",	//1030
    "inheritFromParent",	//1031
    "initStyleOption",	//1032
    "initStyleOption##",	//1033
    "inputMethodEvent",	//1034
    "inputMethodQuery",	//1035
    "insertColumns",	//1036
    "insertRows",	//1037
    "instance",	//1038
    "instance$",	//1039
    "instanceAdded",	//1040
    "instanceAdded#",	//1041
    "instanceError",	//1042
    "instanceError#$",	//1043
    "instanceIdentifier",	//1044
    "instanceNameChanged",	//1045
    "instanceNameChanged#",	//1046
    "instanceOnline",	//1047
    "instanceOnline#$",	//1048
    "instanceProgressChanged",	//1049
    "instanceProgressChanged#",	//1050
    "instanceRemoved",	//1051
    "instanceRemoved#",	//1052
    "instanceStatusChanged",	//1053
    "instanceStatusChanged#",	//1054
    "instanceWarning",	//1055
    "instanceWarning#$",	//1056
    "instances",	//1057
    "interceptAction",	//1058
    "interceptAction$",	//1059
    "interceptAction$$",	//1060
    "intervalCheckTime",	//1061
    "invalidateCache",	//1062
    "invalidateCache#",	//1063
    "isAllMonitored",	//1064
    "isCollectionPopulated",	//1065
    "isCollectionPopulated?",	//1066
    "isCollectionTreeFetched",	//1067
    "isDropActionMenuEnabled",	//1068
    "isEmpty",	//1069
    "isExtraColumnsEnabled",	//1070
    "isIndexHidden",	//1071
    "isManualSortingActive",	//1072
    "isOnline",	//1073
    "isOutboundFolder",	//1074
    "isRunning",	//1075
    "isToolTipEnabled",	//1076
    "isValid",	//1077
    "isVirtual",	//1078
    "isWantedCollection",	//1079
    "isWantedCollection#",	//1080
    "isWantedCollection#$",	//1081
    "isWantedItem",	//1082
    "isWantedItem#",	//1083
    "isWantedItem#$",	//1084
    "isWantedMimeType",	//1085
    "isWantedMimeType$",	//1086
    "item",	//1087
    "itemAdded",	//1088
    "itemAdded##",	//1089
    "itemChanged",	//1090
    "itemChanged#",	//1091
    "itemChanged#?",	//1092
    "itemData",	//1093
    "itemFetchScope",	//1094
    "itemForIndex",	//1095
    "itemForIndex#",	//1096
    "itemLinked",	//1097
    "itemLinked##",	//1098
    "itemMonitored",	//1099
    "itemMonitored#$",	//1100
    "itemMoved",	//1101
    "itemMoved###",	//1102
    "itemPopulationStrategy",	//1103
    "itemRemoved",	//1104
    "itemRemoved#",	//1105
    "itemRetrieved",	//1106
    "itemRetrieved#",	//1107
    "itemSent",	//1108
    "itemSent#$",	//1109
    "itemSent#$$",	//1110
    "itemUnlinked",	//1111
    "itemUnlinked##",	//1112
    "items",	//1113
    "itemsFlagsChanged",	//1114
    "itemsFlagsChanged???",	//1115
    "itemsLinked",	//1116
    "itemsLinked?#",	//1117
    "itemsMonitored",	//1118
    "itemsMonitoredEx",	//1119
    "itemsMoved",	//1120
    "itemsMoved?##",	//1121
    "itemsReceived",	//1122
    "itemsReceived?",	//1123
    "itemsRemoved",	//1124
    "itemsRemoved?",	//1125
    "itemsRetrievalDone",	//1126
    "itemsRetrieved",	//1127
    "itemsRetrieved?",	//1128
    "itemsRetrievedIncremental",	//1129
    "itemsRetrievedIncremental??",	//1130
    "itemsUnlinked",	//1131
    "itemsUnlinked?#",	//1132
    "keyPressEvent",	//1133
    "keyReleaseEvent",	//1134
    "keyboardSearch",	//1135
    "languageChange",	//1136
    "leaveEvent",	//1137
    "lessThan",	//1138
    "load",	//1139
    "load#",	//1140
    "loadContact",	//1141
    "loadContact#",	//1142
    "loadContactGroup",	//1143
    "loadContactGroup#",	//1144
    "loadedPayloadParts",	//1145
    "localParts",	//1146
    "makeCompletion",	//1147
    "mapFromSource",	//1148
    "mapFromSource#",	//1149
    "mapSelectionFromSource",	//1150
    "mapSelectionToSource",	//1151
    "mapToSource",	//1152
    "mapToSource#",	//1153
    "match",	//1154
    "match#$#",	//1155
    "match#$#$",	//1156
    "match#$#$$",	//1157
    "maximumValue",	//1158
    "metaObject",	//1159
    "metric",	//1160
    "mimeData",	//1161
    "mimeData?",	//1162
    "mimeType",	//1163
    "mimeTypeExclusionFilters",	//1164
    "mimeTypeFilter",	//1165
    "mimeTypeFilters",	//1166
    "mimeTypeInclusionFilters",	//1167
    "mimeTypeMonitored",	//1168
    "mimeTypeMonitored$$",	//1169
    "mimeTypes",	//1170
    "mimeTypesMonitored",	//1171
    "minimumSizeHint",	//1172
    "modelIndexForCollection",	//1173
    "modelIndexForCollection##",	//1174
    "modelIndexesForItem",	//1175
    "modelIndexesForItem##",	//1176
    "modificationTime",	//1177
    "mouseDoubleClickEvent",	//1178
    "mouseMoveEvent",	//1179
    "mousePressEvent",	//1180
    "mouseReleaseEvent",	//1181
    "moveCursor",	//1182
    "moveEvent",	//1183
    "name",	//1184
    "nameChanged",	//1185
    "nameChanged$",	//1186
    "nothingToReplay",	//1187
    "onlineChanged",	//1188
    "onlineChanged$",	//1189
    "operator!=",	//1190
    "operator!=#",	//1191
    "operator<",	//1192
    "operator<#",	//1193
    "operator=",	//1194
    "operator=#",	//1195
    "operator==",	//1196
    "operator==#",	//1197
    "overridePluginLookup",	//1198
    "overridePluginLookup#",	//1199
    "pageTitle",	//1200
    "paint",	//1201
    "paint###",	//1202
    "paintEngine",	//1203
    "paintEvent",	//1204
    "paletteChange",	//1205
    "parent",	//1206
    "parent#",	//1207
    "parentCollection",	//1208
    "parentRemoteId",	//1209
    "partName",	//1210
    "parts",	//1211
    "parts#",	//1212
    "payloadData",	//1213
    "payloadParts",	//1214
    "percent",	//1215
    "percent$",	//1216
    "perfectParents",	//1217
    "phoneNumberClicked",	//1218
    "phoneNumberClicked#",	//1219
    "processItem",	//1220
    "processItem#",	//1221
    "progress",	//1222
    "progressAnimationEnabled",	//1223
    "progressMessage",	//1224
    "qt_metacall",	//1225
    "qt_metacall$$?",	//1226
    "qt_metacast",	//1227
    "qt_metacast$",	//1228
    "rawContact",	//1229
    "reconfigure",	//1230
    "reconnected",	//1231
    "registerObserver",	//1232
    "registerObserver#",	//1233
    "registerPage",	//1234
    "registerPage#",	//1235
    "reject",	//1236
    "reloadConfiguration",	//1237
    "remoteId",	//1238
    "remoteRevision",	//1239
    "removeAttribute",	//1240
    "removeAttribute#",	//1241
    "removeCollection",	//1242
    "removeCollection#",	//1243
    "removeColumns",	//1244
    "removeInstance",	//1245
    "removeInstance#",	//1246
    "removeRows",	//1247
    "removeSubjob",	//1248
    "removeSubjob#",	//1249
    "removeWantedMimeType",	//1250
    "removeWantedMimeType$",	//1251
    "replayNext",	//1252
    "reset",	//1253
    "resizeEvent",	//1254
    "resource",	//1255
    "resourceMonitored",	//1256
    "resourceMonitored#$",	//1257
    "resourcesMonitored",	//1258
    "restart",	//1259
    "restart#",	//1260
    "restoreState",	//1261
    "restoreState#",	//1262
    "retrieveCollectionAttributes",	//1263
    "retrieveCollectionAttributes#",	//1264
    "retrieveCollections",	//1265
    "retrieveItem",	//1266
    "retrieveItem#?",	//1267
    "retrieveItems",	//1268
    "retrieveItems#",	//1269
    "revert",	//1270
    "revision",	//1271
    "rights",	//1272
    "rollback",	//1273
    "root",	//1274
    "rootCollectionDisplayName",	//1275
    "rowCount",	//1276
    "rowCount#",	//1277
    "rowsAboutToBeRemoved",	//1278
    "rowsInserted",	//1279
    "save",	//1280
    "save#",	//1281
    "saveContact",	//1282
    "saveContactGroup",	//1283
    "saveContactInAddressBook",	//1284
    "saveState",	//1285
    "saveState#",	//1286
    "scheduleCustomTask",	//1287
    "scheduleCustomTask#$#",	//1288
    "scheduleCustomTask#$#$",	//1289
    "scrollContentsBy",	//1290
    "scrollTo",	//1291
    "selectAll",	//1292
    "selectedAgentInstances",	//1293
    "selectedCollection",	//1294
    "selectedCollections",	//1295
    "selectedIndexes",	//1296
    "selectedItems",	//1297
    "selectionChanged",	//1298
    "selectionCommand",	//1299
    "selectionMode",	//1300
    "self",	//1301
    "sendEmail",	//1302
    "sendEmail$$",	//1303
    "sendItem",	//1304
    "sendItem#",	//1305
    "sendSms",	//1306
    "sendSms#",	//1307
    "serialize",	//1308
    "serialize###$",	//1309
    "serialized",	//1310
    "serviceName",	//1311
    "serviceName$",	//1312
    "session",	//1313
    "sessionId",	//1314
    "setAccessRightsFilter",	//1315
    "setAccessRightsFilter$",	//1316
    "setActionText",	//1317
    "setActionText$#",	//1318
    "setActiveIconName",	//1319
    "setActiveIconName$",	//1320
    "setAgentName",	//1321
    "setAgentName$",	//1322
    "setAllMonitored",	//1323
    "setAllMonitored$",	//1324
    "setAncestorRetrieval",	//1325
    "setAncestorRetrieval$",	//1326
    "setAutoCompletion",	//1327
    "setAutomaticCommittingEnabled",	//1328
    "setAutomaticCommittingEnabled$",	//1329
    "setAutomaticProgressReporting",	//1330
    "setAutomaticProgressReporting$",	//1331
    "setBackgroundColor",	//1332
    "setBackgroundColor#",	//1333
    "setBcc",	//1334
    "setBcc?",	//1335
    "setCacheOnly",	//1336
    "setCacheOnly$",	//1337
    "setCachePolicy",	//1338
    "setCachePolicy#",	//1339
    "setCacheTimeout",	//1340
    "setCacheTimeout$",	//1341
    "setCachedPayloadParts",	//1342
    "setCachedPayloadParts?",	//1343
    "setCapabilityFilter",	//1344
    "setCapabilityFilter?",	//1345
    "setCaption",	//1346
    "setCc",	//1347
    "setCc?",	//1348
    "setChangeRecordingEnabled",	//1349
    "setChangeRecordingEnabled$",	//1350
    "setCheckForCachedPayloadPartsOnly",	//1351
    "setCheckForCachedPayloadPartsOnly$",	//1352
    "setCollection",	//1353
    "setCollection#",	//1354
    "setCollectionFetchScope",	//1355
    "setCollectionFetchScope#",	//1356
    "setCollectionFetchStrategy",	//1357
    "setCollectionFetchStrategy$",	//1358
    "setCollectionMonitored",	//1359
    "setCollectionMonitored#",	//1360
    "setCollectionMonitored#$",	//1361
    "setCollectionMoveTranslationEnabled",	//1362
    "setCollectionMoveTranslationEnabled$",	//1363
    "setCollectionPropertiesPageNames",	//1364
    "setCollectionPropertiesPageNames?",	//1365
    "setCollectionSelectionModel",	//1366
    "setCollectionSelectionModel#",	//1367
    "setCollectionStreamingEnabled",	//1368
    "setCollectionStreamingEnabled$",	//1369
    "setCollectionTreeOnly",	//1370
    "setCollectionTreeOnly$",	//1371
    "setCollections",	//1372
    "setCollections?",	//1373
    "setCompletedItems",	//1374
    "setCompletedText",	//1375
    "setCompletionMode",	//1376
    "setCompletionObject",	//1377
    "setConfig",	//1378
    "setConfig#",	//1379
    "setContact",	//1380
    "setContact#",	//1381
    "setContactFormatter",	//1382
    "setContactFormatter#",	//1383
    "setContactGroup",	//1384
    "setContactGroup#",	//1385
    "setContactGroupFormatter",	//1386
    "setContactGroupFormatter#",	//1387
    "setContactGroupTemplate",	//1388
    "setContactGroupTemplate#",	//1389
    "setContactTemplate",	//1390
    "setContactTemplate#",	//1391
    "setContentMimeTypes",	//1392
    "setContentMimeTypes?",	//1393
    "setContextMenuEnabled",	//1394
    "setContextText",	//1395
    "setContextText$$#",	//1396
    "setContextText$$$",	//1397
    "setCount",	//1398
    "setCount$",	//1399
    "setCurrentPage",	//1400
    "setCurrentPage$",	//1401
    "setCurrentValue",	//1402
    "setCurrentValue$",	//1403
    "setData",	//1404
    "setData##",	//1405
    "setData##$",	//1406
    "setDefaultAddressBook",	//1407
    "setDefaultAddressBook#",	//1408
    "setDefaultCollection",	//1409
    "setDefaultCollection#",	//1410
    "setDefaultPopupMenu",	//1411
    "setDefaultPopupMenu$",	//1412
    "setDescription",	//1413
    "setDescription$",	//1414
    "setDisplayName",	//1415
    "setDisplayName$",	//1416
    "setDropActionMenuEnabled",	//1417
    "setDropActionMenuEnabled$",	//1418
    "setEditorData",	//1419
    "setExcludeVirtualCollections",	//1420
    "setExcludeVirtualCollections$",	//1421
    "setExtraColumnsEnabled",	//1422
    "setExtraColumnsEnabled$",	//1423
    "setFavoriteCollectionsModel",	//1424
    "setFavoriteCollectionsModel#",	//1425
    "setFavoriteLabel",	//1426
    "setFavoriteLabel#$",	//1427
    "setFavoriteSelectionModel",	//1428
    "setFavoriteSelectionModel#",	//1429
    "setFetchChangedSince",	//1430
    "setFetchChangedSince#",	//1431
    "setFetchGid",	//1432
    "setFetchGid$",	//1433
    "setFetchModificationTime",	//1434
    "setFetchModificationTime$",	//1435
    "setFetchRemoteIdentification",	//1436
    "setFetchRemoteIdentification$",	//1437
    "setFetchScope",	//1438
    "setFetchScope#",	//1439
    "setFlag",	//1440
    "setFlag#",	//1441
    "setFlags",	//1442
    "setFlags?",	//1443
    "setFrom",	//1444
    "setFrom$",	//1445
    "setFullPayload",	//1446
    "setFullPayload$",	//1447
    "setFullSyncItems",	//1448
    "setFullSyncItems?",	//1449
    "setGid",	//1450
    "setGid$",	//1451
    "setHandleSignals",	//1452
    "setHeaderData",	//1453
    "setHeaderData$$#",	//1454
    "setHeaderData$$#$",	//1455
    "setHeaderGroup",	//1456
    "setHeaderGroup$",	//1457
    "setHierarchicalRemoteIdentifiersEnabled",	//1458
    "setHierarchicalRemoteIdentifiersEnabled$",	//1459
    "setIconName",	//1460
    "setIconName$",	//1461
    "setId",	//1462
    "setId$",	//1463
    "setIgnoreJobFailure",	//1464
    "setIgnoreJobFailure#",	//1465
    "setIgnorePayload",	//1466
    "setIgnorePayload$",	//1467
    "setIgnoreRetrievalErrors",	//1468
    "setIgnoreRetrievalErrors$",	//1469
    "setIncludeRootCollection",	//1470
    "setIncludeRootCollection$",	//1471
    "setIncludeStatistics",	//1472
    "setIncludeStatistics$",	//1473
    "setIncludeUnsubscribed",	//1474
    "setIncludeUnsubscribed$",	//1475
    "setIncrementalSyncItems",	//1476
    "setIncrementalSyncItems??",	//1477
    "setInheritFromParent",	//1478
    "setInheritFromParent$",	//1479
    "setIntervalCheckTime",	//1480
    "setIntervalCheckTime$",	//1481
    "setIsOnline",	//1482
    "setIsOnline$",	//1483
    "setItem",	//1484
    "setItem#",	//1485
    "setItemData",	//1486
    "setItemFetchScope",	//1487
    "setItemFetchScope#",	//1488
    "setItemMonitored",	//1489
    "setItemMonitored#",	//1490
    "setItemMonitored#$",	//1491
    "setItemPopulationStrategy",	//1492
    "setItemPopulationStrategy$",	//1493
    "setItemSelectionModel",	//1494
    "setItemSelectionModel#",	//1495
    "setItemStreamingEnabled",	//1496
    "setItemStreamingEnabled$",	//1497
    "setItemSynchronizationFetchScope",	//1498
    "setItemSynchronizationFetchScope#",	//1499
    "setItemTransactionMode",	//1500
    "setItemTransactionMode$",	//1501
    "setLimit",	//1502
    "setLimit$",	//1503
    "setLineEdit",	//1504
    "setLocalParts",	//1505
    "setLocalParts?",	//1506
    "setManualSortingActive",	//1507
    "setManualSortingActive$",	//1508
    "setMaximumValue",	//1509
    "setMaximumValue$",	//1510
    "setMimeType",	//1511
    "setMimeType$",	//1512
    "setMimeTypeFilter",	//1513
    "setMimeTypeFilter?",	//1514
    "setMimeTypeMonitored",	//1515
    "setMimeTypeMonitored$",	//1516
    "setMimeTypeMonitored$$",	//1517
    "setModel",	//1518
    "setModel#",	//1519
    "setModelData",	//1520
    "setModificationTime",	//1521
    "setModificationTime#",	//1522
    "setName",	//1523
    "setName$",	//1524
    "setNeedsNetwork",	//1525
    "setNeedsNetwork$",	//1526
    "setOnline",	//1527
    "setOnline$",	//1528
    "setOutboundFolder",	//1529
    "setOutboundFolder$",	//1530
    "setPageTitle",	//1531
    "setPageTitle$",	//1532
    "setParent",	//1533
    "setParent#",	//1534
    "setParent$",	//1535
    "setParentCollection",	//1536
    "setParentCollection#",	//1537
    "setParentRemoteId",	//1538
    "setParentRemoteId$",	//1539
    "setPayloadFromData",	//1540
    "setPayloadFromData#",	//1541
    "setPerfectParents",	//1542
    "setPerfectParents?",	//1543
    "setPlainCaption",	//1544
    "setProgressAnimationEnabled",	//1545
    "setProgressAnimationEnabled$",	//1546
    "setQuery",	//1547
    "setQuery$",	//1548
    "setQuery$$",	//1549
    "setQuery$$$",	//1550
    "setQueryLanguage",	//1551
    "setQueryLanguage$",	//1552
    "setRawContact",	//1553
    "setRawContact#",	//1554
    "setReadOnly",	//1555
    "setReadOnly$",	//1556
    "setRemoteId",	//1557
    "setRemoteId$",	//1558
    "setRemoteRevision",	//1559
    "setRemoteRevision$",	//1560
    "setResource",	//1561
    "setResource$",	//1562
    "setResourceMonitored",	//1563
    "setResourceMonitored#",	//1564
    "setResourceMonitored#$",	//1565
    "setRevision",	//1566
    "setRevision$",	//1567
    "setRights",	//1568
    "setRights$",	//1569
    "setRootCollectionDisplayName",	//1570
    "setRootCollectionDisplayName$",	//1571
    "setRootIndex",	//1572
    "setSelection",	//1573
    "setSelectionMode",	//1574
    "setSelectionMode$",	//1575
    "setSelectionModel",	//1576
    "setSession",	//1577
    "setSession#",	//1578
    "setShowSystemEntities",	//1579
    "setShowSystemEntities$",	//1580
    "setSize",	//1581
    "setSize$",	//1582
    "setSourceModel",	//1583
    "setSourceModel#",	//1584
    "setStatistics",	//1585
    "setStatistics#",	//1586
    "setStreamingEnabled",	//1587
    "setStreamingEnabled$",	//1588
    "setSubjectParents",	//1589
    "setSubjectParents?",	//1590
    "setSyncOnDemand",	//1591
    "setSyncOnDemand$",	//1592
    "setTo",	//1593
    "setTo?",	//1594
    "setToolTipEnabled",	//1595
    "setToolTipEnabled$",	//1596
    "setTotalItems",	//1597
    "setTotalItems$",	//1598
    "setTransactionMode",	//1599
    "setTransactionMode$",	//1600
    "setUnperfectParents",	//1601
    "setUnperfectParents?",	//1602
    "setUnreadCount",	//1603
    "setUnreadCount$",	//1604
    "setUnreadCountShown",	//1605
    "setUnreadCountShown$",	//1606
    "setUpdateGid",	//1607
    "setUpdateGid$",	//1608
    "setVirtual",	//1609
    "setVirtual$",	//1610
    "setVisible",	//1611
    "setWantedMimeTypes",	//1612
    "setWantedMimeTypes?",	//1613
    "setXmlGuiClient",	//1614
    "setXmlGuiClient#",	//1615
    "setXmlGuiWindow",	//1616
    "setXmlGuiWindow#",	//1617
    "showAddress",	//1618
    "showAddress#",	//1619
    "showEvent",	//1620
    "showPopup",	//1621
    "showSelfTestDialog",	//1622
    "showSelfTestDialog#",	//1623
    "showUrl",	//1624
    "showUrl#",	//1625
    "size",	//1626
    "sizeHint",	//1627
    "sizeHintForColumn",	//1628
    "sizeHintForRow",	//1629
    "slotButtonClicked",	//1630
    "slotButtonClicked$",	//1631
    "slotInfoMessage",	//1632
    "slotResult",	//1633
    "slotResult#",	//1634
    "smsClicked",	//1635
    "smsClicked#",	//1636
    "sort",	//1637
    "span",	//1638
    "start",	//1639
    "start#",	//1640
    "startDrag",	//1641
    "startDrag$",	//1642
    "started",	//1643
    "state",	//1644
    "stateChanged",	//1645
    "stateChanged$",	//1646
    "staticMetaObject",	//1647
    "statistics",	//1648
    "status",	//1649
    "status$",	//1650
    "status$$",	//1651
    "statusMessage",	//1652
    "stop",	//1653
    "stop#",	//1654
    "stopped",	//1655
    "storageCollectionId",	//1656
    "storeContact",	//1657
    "storeContact#",	//1658
    "styleChange",	//1659
    "subjectParents",	//1660
    "submit",	//1661
    "supportedDropActions",	//1662
    "syncOnDemand",	//1663
    "synchronize",	//1664
    "synchronizeCollection",	//1665
    "synchronizeCollection#",	//1666
    "synchronizeCollection#$",	//1667
    "synchronizeCollection$",	//1668
    "synchronizeCollection$$",	//1669
    "synchronizeCollectionAttributes",	//1670
    "synchronizeCollectionAttributes$",	//1671
    "synchronizeCollectionTree",	//1672
    "synchronized",	//1673
    "systemEntitiesShown",	//1674
    "tabletEvent",	//1675
    "taskDone",	//1676
    "timerEvent",	//1677
    "timerEvent#",	//1678
    "title",	//1679
    "to",	//1680
    "tr",	//1681
    "tr$",	//1682
    "tr$$",	//1683
    "tr$$$",	//1684
    "trUtf8",	//1685
    "trUtf8$",	//1686
    "trUtf8$$",	//1687
    "trUtf8$$$",	//1688
    "type",	//1689
    "type$",	//1690
    "typeAdded",	//1691
    "typeAdded#",	//1692
    "typeName",	//1693
    "typeRemoved",	//1694
    "typeRemoved#",	//1695
    "types",	//1696
    "unperfectParents",	//1697
    "unreadCount",	//1698
    "unreadCountShown",	//1699
    "updateEditorData",	//1700
    "updateEditorGeometries",	//1701
    "updateEditorGeometry",	//1702
    "updateGeometries",	//1703
    "updateGid",	//1704
    "updateItem",	//1705
    "updateItem##",	//1706
    "updatePalette",	//1707
    "url",	//1708
    "url$",	//1709
    "urlClicked",	//1710
    "urlClicked#",	//1711
    "useDefaultPage",	//1712
    "useDefaultPage$",	//1713
    "verticalOffset",	//1714
    "verticalScrollbarAction",	//1715
    "verticalScrollbarValueChanged",	//1716
    "view",	//1717
    "viewOptions",	//1718
    "viewer",	//1719
    "viewportEvent",	//1720
    "virtualMimeType",	//1721
    "virtual_hook",	//1722
    "visualRect",	//1723
    "visualRegionForSelection",	//1724
    "wantedMimeTypes",	//1725
    "warning",	//1726
    "warning$",	//1727
    "what",	//1728
    "wheelEvent",	//1729
    "widgetNeedsAkonadi",	//1730
    "widgetNeedsAkonadi#",	//1731
    "winIdForDialogs",	//1732
    "windowActivationChange",	//1733
    "writeFinished",	//1734
    "writeFinished#",	//1735
    "x11Event",	//1736
    "xmlGuiClient",	//1737
    "~AddressAttribute",	//1738
    "~AgentBase",	//1739
    "~AgentFilterProxyModel",	//1740
    "~AgentInstance",	//1741
    "~AgentInstanceCreateJob",	//1742
    "~AgentInstanceModel",	//1743
    "~AgentInstanceWidget",	//1744
    "~AgentManager",	//1745
    "~AgentType",	//1746
    "~AgentTypeDialog",	//1747
    "~AgentTypeModel",	//1748
    "~AgentTypeWidget",	//1749
    "~Attribute",	//1750
    "~AttributeFactory",	//1751
    "~CachePolicy",	//1752
    "~ChangeRecorder",	//1753
    "~Collection",	//1754
    "~CollectionComboBox",	//1755
    "~CollectionCopyJob",	//1756
    "~CollectionCreateJob",	//1757
    "~CollectionDeleteJob",	//1758
    "~CollectionDialog",	//1759
    "~CollectionFetchJob",	//1760
    "~CollectionFetchScope",	//1761
    "~CollectionFilterProxyModel",	//1762
    "~CollectionModel",	//1763
    "~CollectionModifyJob",	//1764
    "~CollectionMoveJob",	//1765
    "~CollectionPropertiesDialog",	//1766
    "~CollectionPropertiesPage",	//1767
    "~CollectionPropertiesPageFactory",	//1768
    "~CollectionQuotaAttribute",	//1769
    "~CollectionRequester",	//1770
    "~CollectionStatistics",	//1771
    "~CollectionStatisticsDelegate",	//1772
    "~CollectionStatisticsJob",	//1773
    "~CollectionStatisticsModel",	//1774
    "~CollectionView",	//1775
    "~ContactDefaultActions",	//1776
    "~ContactEditor",	//1777
    "~ContactEditorDialog",	//1778
    "~ContactEditorPagePlugin",	//1779
    "~ContactGroupEditor",	//1780
    "~ContactGroupEditorDialog",	//1781
    "~ContactGroupExpandJob",	//1782
    "~ContactGroupSearchJob",	//1783
    "~ContactGroupViewer",	//1784
    "~ContactGroupViewerDialog",	//1785
    "~ContactSearchJob",	//1786
    "~ContactViewer",	//1787
    "~ContactViewerDialog",	//1788
    "~Control",	//1789
    "~Entity",	//1790
    "~EntityDisplayAttribute",	//1791
    "~EntityHiddenAttribute",	//1792
    "~EntityListView",	//1793
    "~EntityMimeTypeFilterModel",	//1794
    "~EntityTreeModel",	//1795
    "~EntityTreeView",	//1796
    "~EntityTreeViewStateSaver",	//1797
    "~Exception",	//1798
    "~FavoriteCollectionsModel",	//1799
    "~Item",	//1800
    "~ItemCopyJob",	//1801
    "~ItemCreateJob",	//1802
    "~ItemDeleteJob",	//1803
    "~ItemFetchJob",	//1804
    "~ItemFetchScope",	//1805
    "~ItemModel",	//1806
    "~ItemModifyJob",	//1807
    "~ItemMonitor",	//1808
    "~ItemMoveJob",	//1809
    "~ItemSearchJob",	//1810
    "~ItemSerializerPlugin",	//1811
    "~ItemSerializerPluginV2",	//1812
    "~ItemSync",	//1813
    "~ItemView",	//1814
    "~Job",	//1815
    "~LinkJob",	//1816
    "~MessageFolderAttribute",	//1817
    "~MessageModel",	//1818
    "~MessageThreaderProxyModel",	//1819
    "~MessageThreadingAttribute",	//1820
    "~MimeTypeChecker",	//1821
    "~Monitor",	//1822
    "~Observer",	//1823
    "~ObserverV2",	//1824
    "~PartFetcher",	//1825
    "~PayloadBase",	//1826
    "~PayloadException",	//1827
    "~PreprocessorBase",	//1828
    "~ResourceBase",	//1829
    "~ResourceSynchronizationJob",	//1830
    "~SearchCreateJob",	//1831
    "~SelectionProxyModel",	//1832
    "~ServerManager",	//1833
    "~Session",	//1834
    "~StandardActionManager",	//1835
    "~StatisticsProxyModel",	//1836
    "~TransactionBeginJob",	//1837
    "~TransactionCommitJob",	//1838
    "~TransactionRollbackJob",	//1839
    "~TransactionSequence",	//1840
    "~TransportResourceBase",	//1841
    "~UnlinkJob",	//1842
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {4, 5, 1, 4, Smoke::mf_ctor, 4, 1},	//1 Akonadi::AddressAttribute::AddressAttribute(const QString&, const QStringList&, const QStringList&, const QStringList&)
    {4, 772, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 4, 2},	//2 Akonadi::AddressAttribute::clone() const
    {4, 1689, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 3},	//3 Akonadi::AddressAttribute::type() const
    {4, 1310, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 4},	//4 Akonadi::AddressAttribute::serialized() const
    {4, 882, 6, 1, Smoke::mf_virtual, 0, 5},	//5 Akonadi::AddressAttribute::deserialize(const QByteArray&)
    {4, 987, 0, 0, Smoke::mf_const, 284, 6},	//6 Akonadi::AddressAttribute::from() const
    {4, 1444, 8, 1, 0, 0, 7},	//7 Akonadi::AddressAttribute::setFrom(const QString&)
    {4, 1680, 0, 0, Smoke::mf_const, 285, 8},	//8 Akonadi::AddressAttribute::to() const
    {4, 1593, 10, 1, 0, 0, 9},	//9 Akonadi::AddressAttribute::setTo(const QStringList&)
    {4, 746, 0, 0, Smoke::mf_const, 285, 10},	//10 Akonadi::AddressAttribute::cc() const
    {4, 1347, 10, 1, 0, 0, 11},	//11 Akonadi::AddressAttribute::setCc(const QStringList&)
    {4, 733, 0, 0, Smoke::mf_const, 285, 12},	//12 Akonadi::AddressAttribute::bcc() const
    {4, 1334, 10, 1, 0, 0, 13},	//13 Akonadi::AddressAttribute::setBcc(const QStringList&)
    {4, 5, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 4, 14},	//14 Akonadi::AddressAttribute::AddressAttribute(const Akonadi::AddressAttribute&)
    {4, 5, 0, 0, Smoke::mf_ctor, 4, 15},	//15 Akonadi::AddressAttribute::AddressAttribute()
    {4, 5, 8, 1, Smoke::mf_ctor, 4, 16},	//16 Akonadi::AddressAttribute::AddressAttribute(const QString&)
    {4, 5, 14, 2, Smoke::mf_ctor, 4, 17},	//17 Akonadi::AddressAttribute::AddressAttribute(const QString&, const QStringList&)
    {4, 5, 17, 3, Smoke::mf_ctor, 4, 18},	//18 Akonadi::AddressAttribute::AddressAttribute(const QString&, const QStringList&, const QStringList&)
    {4, 1738, 0, 0, Smoke::mf_dtor, 0, 19 },	//19 Akonadi::AddressAttribute::~AddressAttribute()
    {5, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//20 Akonadi::AgentBase::metaObject() const
    {5, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//21 Akonadi::AgentBase::qt_metacast(const char*)
    {5, 1681, 23, 2, Smoke::mf_static, 284, 3},	//22 Akonadi::AgentBase::tr(const char*, const char*)
    {5, 1685, 23, 2, Smoke::mf_static, 284, 4},	//23 Akonadi::AgentBase::trUtf8(const char*, const char*)
    {5, 1681, 26, 3, Smoke::mf_static, 284, 5},	//24 Akonadi::AgentBase::tr(const char*, const char*, int)
    {5, 1685, 26, 3, Smoke::mf_static, 284, 6},	//25 Akonadi::AgentBase::trUtf8(const char*, const char*, int)
    {5, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//26 Akonadi::AgentBase::qt_metacall(QMetaObject::Call, int, void**)
    {5, 1649, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 460, 8},	//27 Akonadi::AgentBase::status() const
    {5, 1652, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 284, 9},	//28 Akonadi::AgentBase::statusMessage() const
    {5, 1222, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 460, 10},	//29 Akonadi::AgentBase::progress() const
    {5, 1224, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 284, 11},	//30 Akonadi::AgentBase::progressMessage() const
    {5, 825, 34, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 12},	//31 Akonadi::AgentBase::configure(WId)
    {5, 1732, 0, 0, Smoke::mf_const, 467, 13},	//32 Akonadi::AgentBase::winIdForDialogs() const
    {5, 1014, 0, 0, Smoke::mf_const, 284, 14},	//33 Akonadi::AgentBase::identifier() const
    {5, 759, 0, 0, Smoke::mf_virtual, 0, 15},	//34 Akonadi::AgentBase::cleanup()
    {5, 1232, 36, 1, 0, 0, 16},	//35 Akonadi::AgentBase::registerObserver(Akonadi::AgentBase::Observer*)
    {5, 1321, 8, 1, 0, 0, 17},	//36 Akonadi::AgentBase::setAgentName(const QString&)
    {5, 709, 0, 0, Smoke::mf_const, 284, 18},	//37 Akonadi::AgentBase::agentName() const
    {5, 821, 0, 0, Smoke::mf_static, 199, 19},	//38 Akonadi::AgentBase::componentData()
    {5, 710, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//39 Akonadi::AgentBase::agentNameChanged(const QString&)
    {5, 1649, 38, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//40 Akonadi::AgentBase::status(int, const QString&)
    {5, 1215, 41, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//41 Akonadi::AgentBase::percent(int)
    {5, 1726, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//42 Akonadi::AgentBase::warning(const QString&)
    {5, 941, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//43 Akonadi::AgentBase::error(const QString&)
    {5, 706, 43, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//44 Akonadi::AgentBase::advancedStatus(const QVariantMap&)
    {5, 666, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//45 Akonadi::AgentBase::abortRequested()
    {5, 1237, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//46 Akonadi::AgentBase::reloadConfiguration()
    {5, 1188, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//47 Akonadi::AgentBase::onlineChanged(bool)
    {5, 823, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//48 Akonadi::AgentBase::configurationDialogAccepted()
    {5, 824, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//49 Akonadi::AgentBase::configurationDialogRejected()
    {5, 18, 8, 1, Smoke::mf_ctor|Smoke::mf_protected, 5, 31},	//50 Akonadi::AgentBase::AgentBase(const QString&)
    {5, 667, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//51 Akonadi::AgentBase::aboutToQuit()
    {5, 753, 0, 0, Smoke::mf_const|Smoke::mf_protected, 32, 33},	//52 Akonadi::AgentBase::changeRecorder() const
    {5, 822, 0, 0, Smoke::mf_protected, 207, 34},	//53 Akonadi::AgentBase::config()
    {5, 752, 0, 0, Smoke::mf_protected, 0, 35},	//54 Akonadi::AgentBase::changeProcessed()
    {5, 1073, 0, 0, Smoke::mf_const|Smoke::mf_protected, 374, 36},	//55 Akonadi::AgentBase::isOnline() const
    {5, 1525, 45, 1, Smoke::mf_protected, 0, 37},	//56 Akonadi::AgentBase::setNeedsNetwork(bool)
    {5, 1527, 45, 1, Smoke::mf_protected, 0, 38},	//57 Akonadi::AgentBase::setOnline(bool)
    {5, 18, 47, 2, Smoke::mf_ctor|Smoke::mf_protected, 5, 39},	//58 Akonadi::AgentBase::AgentBase(Akonadi::AgentBasePrivate*, const QString&)
    {5, 899, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//59 Akonadi::AgentBase::doSetOnline(bool)
    {5, 1681, 21, 1, Smoke::mf_static, 284, 41},	//60 Akonadi::AgentBase::tr(const char*)
    {5, 1685, 21, 1, Smoke::mf_static, 284, 42},	//61 Akonadi::AgentBase::trUtf8(const char*)
    {5, 1649, 41, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//62 Akonadi::AgentBase::status(int)
    {5, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 44},	//63 Akonadi::AgentBase::staticMetaObject() const
    {5, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 45},	//64 Akonadi::AgentBase::Idle (enum)
    {5, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 46},	//65 Akonadi::AgentBase::Running (enum)
    {5, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 47},	//66 Akonadi::AgentBase::Broken (enum)
    {5, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 48},	//67 Akonadi::AgentBase::NotConfigured (enum)
    {5, 1739, 0, 0, Smoke::mf_dtor, 0, 49 },	//68 Akonadi::AgentBase::~AgentBase()
    {6, 443, 0, 0, Smoke::mf_ctor, 6, 1},	//69 Akonadi::AgentBase::Observer::Observer()
    {6, 1088, 50, 2, Smoke::mf_virtual, 0, 2},	//70 Akonadi::AgentBase::Observer::itemAdded(const Akonadi::Item&, const Akonadi::Collection&)
    {6, 1090, 53, 2, Smoke::mf_virtual, 0, 3},	//71 Akonadi::AgentBase::Observer::itemChanged(const Akonadi::Item&, const QSet<QByteArray>&)
    {6, 1104, 56, 1, Smoke::mf_virtual, 0, 4},	//72 Akonadi::AgentBase::Observer::itemRemoved(const Akonadi::Item&)
    {6, 776, 58, 2, Smoke::mf_virtual, 0, 5},	//73 Akonadi::AgentBase::Observer::collectionAdded(const Akonadi::Collection&, const Akonadi::Collection&)
    {6, 780, 61, 1, Smoke::mf_virtual, 0, 6},	//74 Akonadi::AgentBase::Observer::collectionChanged(const Akonadi::Collection&)
    {6, 796, 61, 1, Smoke::mf_virtual, 0, 7},	//75 Akonadi::AgentBase::Observer::collectionRemoved(const Akonadi::Collection&)
    {6, 443, 63, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 6, 8},	//76 Akonadi::AgentBase::Observer::Observer(const Akonadi::AgentBase::Observer&)
    {6, 1823, 0, 0, Smoke::mf_dtor, 0, 9 },	//77 Akonadi::AgentBase::Observer::~Observer()
    {7, 780, 61, 1, Smoke::mf_virtual, 0, 1},	//78 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&)
    {7, 1101, 65, 3, Smoke::mf_virtual, 0, 2},	//79 Akonadi::AgentBase::ObserverV2::itemMoved(const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&)
    {7, 1097, 50, 2, Smoke::mf_virtual, 0, 3},	//80 Akonadi::AgentBase::ObserverV2::itemLinked(const Akonadi::Item&, const Akonadi::Collection&)
    {7, 1111, 50, 2, Smoke::mf_virtual, 0, 4},	//81 Akonadi::AgentBase::ObserverV2::itemUnlinked(const Akonadi::Item&, const Akonadi::Collection&)
    {7, 792, 69, 3, Smoke::mf_virtual, 0, 5},	//82 Akonadi::AgentBase::ObserverV2::collectionMoved(const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&)
    {7, 780, 73, 2, Smoke::mf_virtual, 0, 6},	//83 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&, const QSet<QByteArray>&)
    {7, 445, 0, 0, Smoke::mf_ctor, 7, 7},	//84 Akonadi::AgentBase::ObserverV2::ObserverV2()
    {7, 445, 76, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 7, 8},	//85 Akonadi::AgentBase::ObserverV2::ObserverV2(const Akonadi::AgentBase::ObserverV2&)
    {7, 1824, 0, 0, Smoke::mf_dtor, 0, 9 },	//86 Akonadi::AgentBase::ObserverV2::~ObserverV2()
    {9, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//87 Akonadi::AgentFilterProxyModel::metaObject() const
    {9, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//88 Akonadi::AgentFilterProxyModel::qt_metacast(const char*)
    {9, 1681, 23, 2, Smoke::mf_static, 284, 3},	//89 Akonadi::AgentFilterProxyModel::tr(const char*, const char*)
    {9, 1685, 23, 2, Smoke::mf_static, 284, 4},	//90 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*)
    {9, 1681, 26, 3, Smoke::mf_static, 284, 5},	//91 Akonadi::AgentFilterProxyModel::tr(const char*, const char*, int)
    {9, 1685, 26, 3, Smoke::mf_static, 284, 6},	//92 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*, int)
    {9, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//93 Akonadi::AgentFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {9, 21, 78, 1, Smoke::mf_ctor, 10, 8},	//94 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel(QObject*)
    {9, 690, 8, 1, 0, 0, 9},	//95 Akonadi::AgentFilterProxyModel::addMimeTypeFilter(const QString&)
    {9, 682, 8, 1, 0, 0, 10},	//96 Akonadi::AgentFilterProxyModel::addCapabilityFilter(const QString&)
    {9, 764, 0, 0, 0, 0, 11},	//97 Akonadi::AgentFilterProxyModel::clearFilters()
    {9, 946, 8, 1, 0, 0, 12},	//98 Akonadi::AgentFilterProxyModel::excludeCapabilities(const QString&)
    {9, 976, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 374, 13},	//99 Akonadi::AgentFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {9, 1681, 21, 1, Smoke::mf_static, 284, 14},	//100 Akonadi::AgentFilterProxyModel::tr(const char*)
    {9, 1685, 21, 1, Smoke::mf_static, 284, 15},	//101 Akonadi::AgentFilterProxyModel::trUtf8(const char*)
    {9, 21, 0, 0, Smoke::mf_ctor, 10, 16},	//102 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel()
    {9, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 17},	//103 Akonadi::AgentFilterProxyModel::staticMetaObject() const
    {9, 1740, 0, 0, Smoke::mf_dtor, 0, 18 },	//104 Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel()
    {10, 23, 0, 0, Smoke::mf_ctor, 13, 1},	//105 Akonadi::AgentInstance::AgentInstance()
    {10, 23, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 13, 2},	//106 Akonadi::AgentInstance::AgentInstance(const Akonadi::AgentInstance&)
    {10, 1077, 0, 0, Smoke::mf_const, 374, 3},	//107 Akonadi::AgentInstance::isValid() const
    {10, 1689, 0, 0, Smoke::mf_const, 20, 4},	//108 Akonadi::AgentInstance::type() const
    {10, 1014, 0, 0, Smoke::mf_const, 284, 5},	//109 Akonadi::AgentInstance::identifier() const
    {10, 1184, 0, 0, Smoke::mf_const, 284, 6},	//110 Akonadi::AgentInstance::name() const
    {10, 1523, 8, 1, 0, 0, 7},	//111 Akonadi::AgentInstance::setName(const QString&)
    {10, 1649, 0, 0, Smoke::mf_const, 14, 8},	//112 Akonadi::AgentInstance::status() const
    {10, 1652, 0, 0, Smoke::mf_const, 284, 9},	//113 Akonadi::AgentInstance::statusMessage() const
    {10, 1222, 0, 0, Smoke::mf_const, 460, 10},	//114 Akonadi::AgentInstance::progress() const
    {10, 1073, 0, 0, Smoke::mf_const, 374, 11},	//115 Akonadi::AgentInstance::isOnline() const
    {10, 1482, 45, 1, 0, 0, 12},	//116 Akonadi::AgentInstance::setIsOnline(bool)
    {10, 825, 85, 1, 0, 0, 13},	//117 Akonadi::AgentInstance::configure(QWidget*)
    {10, 1664, 0, 0, 0, 0, 14},	//118 Akonadi::AgentInstance::synchronize()
    {10, 1672, 0, 0, 0, 0, 15},	//119 Akonadi::AgentInstance::synchronizeCollectionTree()
    {10, 1194, 83, 1, 0, 12, 16},	//120 Akonadi::AgentInstance::operator=(const Akonadi::AgentInstance&)
    {10, 1196, 83, 1, Smoke::mf_const, 374, 17},	//121 Akonadi::AgentInstance::operator==(const Akonadi::AgentInstance&) const
    {10, 665, 0, 0, Smoke::mf_const, 0, 18},	//122 Akonadi::AgentInstance::abortCurrentTask() const
    {10, 1230, 0, 0, Smoke::mf_const, 0, 19},	//123 Akonadi::AgentInstance::reconfigure() const
    {10, 1259, 0, 0, Smoke::mf_const, 0, 20},	//124 Akonadi::AgentInstance::restart() const
    {10, 825, 0, 0, 0, 0, 21},	//125 Akonadi::AgentInstance::configure()
    {10, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 22},	//126 Akonadi::AgentInstance::Idle (enum)
    {10, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 23},	//127 Akonadi::AgentInstance::Running (enum)
    {10, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 24},	//128 Akonadi::AgentInstance::Broken (enum)
    {10, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 25},	//129 Akonadi::AgentInstance::NotConfigured (enum)
    {10, 1741, 0, 0, Smoke::mf_dtor, 0, 26 },	//130 Akonadi::AgentInstance::~AgentInstance()
    {11, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//131 Akonadi::AgentInstanceCreateJob::metaObject() const
    {11, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//132 Akonadi::AgentInstanceCreateJob::qt_metacast(const char*)
    {11, 1681, 23, 2, Smoke::mf_static, 284, 3},	//133 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*)
    {11, 1685, 23, 2, Smoke::mf_static, 284, 4},	//134 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*)
    {11, 1681, 26, 3, Smoke::mf_static, 284, 5},	//135 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*, int)
    {11, 1685, 26, 3, Smoke::mf_static, 284, 6},	//136 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*, int)
    {11, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//137 Akonadi::AgentInstanceCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {11, 25, 87, 2, Smoke::mf_ctor, 15, 8},	//138 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&, QObject*)
    {11, 25, 90, 2, Smoke::mf_ctor, 15, 9},	//139 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const QString&, QObject*)
    {11, 825, 85, 1, 0, 0, 10},	//140 Akonadi::AgentInstanceCreateJob::configure(QWidget*)
    {11, 1038, 0, 0, Smoke::mf_const, 11, 11},	//141 Akonadi::AgentInstanceCreateJob::instance() const
    {11, 1639, 0, 0, Smoke::mf_virtual, 0, 12},	//142 Akonadi::AgentInstanceCreateJob::start()
    {11, 1681, 21, 1, Smoke::mf_static, 284, 13},	//143 Akonadi::AgentInstanceCreateJob::tr(const char*)
    {11, 1685, 21, 1, Smoke::mf_static, 284, 14},	//144 Akonadi::AgentInstanceCreateJob::trUtf8(const char*)
    {11, 25, 93, 1, Smoke::mf_ctor, 15, 15},	//145 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&)
    {11, 25, 8, 1, Smoke::mf_ctor, 15, 16},	//146 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const QString&)
    {11, 825, 0, 0, 0, 0, 17},	//147 Akonadi::AgentInstanceCreateJob::configure()
    {11, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 18},	//148 Akonadi::AgentInstanceCreateJob::staticMetaObject() const
    {11, 1742, 0, 0, Smoke::mf_dtor, 0, 19 },	//149 Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob()
    {12, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//150 Akonadi::AgentInstanceModel::metaObject() const
    {12, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//151 Akonadi::AgentInstanceModel::qt_metacast(const char*)
    {12, 1681, 23, 2, Smoke::mf_static, 284, 3},	//152 Akonadi::AgentInstanceModel::tr(const char*, const char*)
    {12, 1685, 23, 2, Smoke::mf_static, 284, 4},	//153 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*)
    {12, 1681, 26, 3, Smoke::mf_static, 284, 5},	//154 Akonadi::AgentInstanceModel::tr(const char*, const char*, int)
    {12, 1685, 26, 3, Smoke::mf_static, 284, 6},	//155 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*, int)
    {12, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//156 Akonadi::AgentInstanceModel::qt_metacall(QMetaObject::Call, int, void**)
    {12, 30, 78, 1, Smoke::mf_ctor, 16, 8},	//157 Akonadi::AgentInstanceModel::AgentInstanceModel(QObject*)
    {12, 817, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 460, 9},	//158 Akonadi::AgentInstanceModel::columnCount(const QModelIndex&) const
    {12, 1276, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 460, 10},	//159 Akonadi::AgentInstanceModel::rowCount(const QModelIndex&) const
    {12, 871, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 294, 11},	//160 Akonadi::AgentInstanceModel::data(const QModelIndex&, int) const
    {12, 1002, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 294, 12},	//161 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation, int) const
    {12, 1025, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 268, 13},	//162 Akonadi::AgentInstanceModel::index(int, int, const QModelIndex&) const
    {12, 1206, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 268, 14},	//163 Akonadi::AgentInstanceModel::parent(const QModelIndex&) const
    {12, 981, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 239, 15},	//164 Akonadi::AgentInstanceModel::flags(const QModelIndex&) const
    {12, 1404, 108, 3, Smoke::mf_virtual, 374, 16},	//165 Akonadi::AgentInstanceModel::setData(const QModelIndex&, const QVariant&, int)
    {12, 1681, 21, 1, Smoke::mf_static, 284, 17},	//166 Akonadi::AgentInstanceModel::tr(const char*)
    {12, 1685, 21, 1, Smoke::mf_static, 284, 18},	//167 Akonadi::AgentInstanceModel::trUtf8(const char*)
    {12, 30, 0, 0, Smoke::mf_ctor, 16, 19},	//168 Akonadi::AgentInstanceModel::AgentInstanceModel()
    {12, 817, 0, 0, Smoke::mf_const, 460, 20},	//169 Akonadi::AgentInstanceModel::columnCount() const
    {12, 1276, 0, 0, Smoke::mf_const, 460, 21},	//170 Akonadi::AgentInstanceModel::rowCount() const
    {12, 871, 95, 1, Smoke::mf_const, 294, 22},	//171 Akonadi::AgentInstanceModel::data(const QModelIndex&) const
    {12, 1002, 112, 2, Smoke::mf_const, 294, 23},	//172 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation) const
    {12, 1025, 115, 2, Smoke::mf_const, 268, 24},	//173 Akonadi::AgentInstanceModel::index(int, int) const
    {12, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 25},	//174 Akonadi::AgentInstanceModel::staticMetaObject() const
    {12, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 26},	//175 Akonadi::AgentInstanceModel::TypeRole (enum)
    {12, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 27},	//176 Akonadi::AgentInstanceModel::TypeIdentifierRole (enum)
    {12, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 28},	//177 Akonadi::AgentInstanceModel::DescriptionRole (enum)
    {12, 395, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 29},	//178 Akonadi::AgentInstanceModel::MimeTypesRole (enum)
    {12, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 30},	//179 Akonadi::AgentInstanceModel::CapabilitiesRole (enum)
    {12, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 31},	//180 Akonadi::AgentInstanceModel::InstanceRole (enum)
    {12, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 32},	//181 Akonadi::AgentInstanceModel::InstanceIdentifierRole (enum)
    {12, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 33},	//182 Akonadi::AgentInstanceModel::StatusRole (enum)
    {12, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 34},	//183 Akonadi::AgentInstanceModel::StatusMessageRole (enum)
    {12, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 35},	//184 Akonadi::AgentInstanceModel::ProgressRole (enum)
    {12, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 36},	//185 Akonadi::AgentInstanceModel::OnlineRole (enum)
    {12, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 37},	//186 Akonadi::AgentInstanceModel::UserRole (enum)
    {12, 1743, 0, 0, Smoke::mf_dtor, 0, 38 },	//187 Akonadi::AgentInstanceModel::~AgentInstanceModel()
    {13, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//188 Akonadi::AgentInstanceWidget::metaObject() const
    {13, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//189 Akonadi::AgentInstanceWidget::qt_metacast(const char*)
    {13, 1681, 23, 2, Smoke::mf_static, 284, 3},	//190 Akonadi::AgentInstanceWidget::tr(const char*, const char*)
    {13, 1685, 23, 2, Smoke::mf_static, 284, 4},	//191 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*)
    {13, 1681, 26, 3, Smoke::mf_static, 284, 5},	//192 Akonadi::AgentInstanceWidget::tr(const char*, const char*, int)
    {13, 1685, 26, 3, Smoke::mf_static, 284, 6},	//193 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*, int)
    {13, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//194 Akonadi::AgentInstanceWidget::qt_metacall(QMetaObject::Call, int, void**)
    {13, 32, 85, 1, Smoke::mf_ctor, 18, 8},	//195 Akonadi::AgentInstanceWidget::AgentInstanceWidget(QWidget*)
    {13, 860, 0, 0, Smoke::mf_const, 11, 9},	//196 Akonadi::AgentInstanceWidget::currentAgentInstance() const
    {13, 1293, 0, 0, Smoke::mf_const, 253, 10},	//197 Akonadi::AgentInstanceWidget::selectedAgentInstances() const
    {13, 708, 0, 0, Smoke::mf_const, 10, 11},	//198 Akonadi::AgentInstanceWidget::agentFilterProxyModel() const
    {13, 1717, 0, 0, Smoke::mf_const, 213, 12},	//199 Akonadi::AgentInstanceWidget::view() const
    {13, 862, 118, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//200 Akonadi::AgentInstanceWidget::currentChanged(const Akonadi::AgentInstance&, const Akonadi::AgentInstance&)
    {13, 905, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//201 Akonadi::AgentInstanceWidget::doubleClicked(const Akonadi::AgentInstance&)
    {13, 770, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//202 Akonadi::AgentInstanceWidget::clicked(const Akonadi::AgentInstance&)
    {13, 1681, 21, 1, Smoke::mf_static, 284, 16},	//203 Akonadi::AgentInstanceWidget::tr(const char*)
    {13, 1685, 21, 1, Smoke::mf_static, 284, 17},	//204 Akonadi::AgentInstanceWidget::trUtf8(const char*)
    {13, 32, 0, 0, Smoke::mf_ctor, 18, 18},	//205 Akonadi::AgentInstanceWidget::AgentInstanceWidget()
    {13, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 19},	//206 Akonadi::AgentInstanceWidget::staticMetaObject() const
    {13, 1744, 0, 0, Smoke::mf_dtor, 0, 20 },	//207 Akonadi::AgentInstanceWidget::~AgentInstanceWidget()
    {14, 1159, 0, 0, Smoke::mf_const, 440, 1},	//208 Akonadi::AgentManager::metaObject() const
    {14, 1227, 21, 1, 0, 468, 2},	//209 Akonadi::AgentManager::qt_metacast(const char*)
    {14, 1681, 23, 2, Smoke::mf_static, 284, 3},	//210 Akonadi::AgentManager::tr(const char*, const char*)
    {14, 1685, 23, 2, Smoke::mf_static, 284, 4},	//211 Akonadi::AgentManager::trUtf8(const char*, const char*)
    {14, 1681, 26, 3, Smoke::mf_static, 284, 5},	//212 Akonadi::AgentManager::tr(const char*, const char*, int)
    {14, 1685, 26, 3, Smoke::mf_static, 284, 6},	//213 Akonadi::AgentManager::trUtf8(const char*, const char*, int)
    {14, 1225, 30, 3, 0, 460, 7},	//214 Akonadi::AgentManager::qt_metacall(QMetaObject::Call, int, void**)
    {14, 1301, 0, 0, Smoke::mf_static, 19, 8},	//215 Akonadi::AgentManager::self()
    {14, 1696, 0, 0, Smoke::mf_const, 254, 9},	//216 Akonadi::AgentManager::types() const
    {14, 1689, 8, 1, Smoke::mf_const, 20, 10},	//217 Akonadi::AgentManager::type(const QString&) const
    {14, 1057, 0, 0, Smoke::mf_const, 253, 11},	//218 Akonadi::AgentManager::instances() const
    {14, 1038, 8, 1, Smoke::mf_const, 11, 12},	//219 Akonadi::AgentManager::instance(const QString&) const
    {14, 1245, 83, 1, 0, 0, 13},	//220 Akonadi::AgentManager::removeInstance(const Akonadi::AgentInstance&)
    {14, 1665, 61, 1, 0, 0, 14},	//221 Akonadi::AgentManager::synchronizeCollection(const Akonadi::Collection&)
    {14, 1665, 121, 2, 0, 0, 15},	//222 Akonadi::AgentManager::synchronizeCollection(const Akonadi::Collection&, bool)
    {14, 1691, 93, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//223 Akonadi::AgentManager::typeAdded(const Akonadi::AgentType&)
    {14, 1694, 93, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//224 Akonadi::AgentManager::typeRemoved(const Akonadi::AgentType&)
    {14, 1040, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//225 Akonadi::AgentManager::instanceAdded(const Akonadi::AgentInstance&)
    {14, 1051, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//226 Akonadi::AgentManager::instanceRemoved(const Akonadi::AgentInstance&)
    {14, 1053, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//227 Akonadi::AgentManager::instanceStatusChanged(const Akonadi::AgentInstance&)
    {14, 1049, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//228 Akonadi::AgentManager::instanceProgressChanged(const Akonadi::AgentInstance&)
    {14, 1045, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//229 Akonadi::AgentManager::instanceNameChanged(const Akonadi::AgentInstance&)
    {14, 1042, 124, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//230 Akonadi::AgentManager::instanceError(const Akonadi::AgentInstance&, const QString&)
    {14, 1055, 124, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//231 Akonadi::AgentManager::instanceWarning(const Akonadi::AgentInstance&, const QString&)
    {14, 1047, 127, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//232 Akonadi::AgentManager::instanceOnline(const Akonadi::AgentInstance&, bool)
    {14, 1681, 21, 1, Smoke::mf_static, 284, 26},	//233 Akonadi::AgentManager::tr(const char*)
    {14, 1685, 21, 1, Smoke::mf_static, 284, 27},	//234 Akonadi::AgentManager::trUtf8(const char*)
    {14, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 28},	//235 Akonadi::AgentManager::staticMetaObject() const
    {14, 1745, 0, 0, Smoke::mf_dtor, 0, 29 },	//236 Akonadi::AgentManager::~AgentManager()
    {15, 34, 0, 0, Smoke::mf_ctor, 22, 1},	//237 Akonadi::AgentType::AgentType()
    {15, 34, 93, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 2},	//238 Akonadi::AgentType::AgentType(const Akonadi::AgentType&)
    {15, 1077, 0, 0, Smoke::mf_const, 374, 3},	//239 Akonadi::AgentType::isValid() const
    {15, 1014, 0, 0, Smoke::mf_const, 284, 4},	//240 Akonadi::AgentType::identifier() const
    {15, 1184, 0, 0, Smoke::mf_const, 284, 5},	//241 Akonadi::AgentType::name() const
    {15, 881, 0, 0, Smoke::mf_const, 284, 6},	//242 Akonadi::AgentType::description() const
    {15, 1012, 0, 0, Smoke::mf_const, 284, 7},	//243 Akonadi::AgentType::iconName() const
    {15, 1011, 0, 0, Smoke::mf_const, 245, 8},	//244 Akonadi::AgentType::icon() const
    {15, 1170, 0, 0, Smoke::mf_const, 285, 9},	//245 Akonadi::AgentType::mimeTypes() const
    {15, 745, 0, 0, Smoke::mf_const, 285, 10},	//246 Akonadi::AgentType::capabilities() const
    {15, 869, 0, 0, Smoke::mf_const, 263, 11},	//247 Akonadi::AgentType::customProperties() const
    {15, 1194, 93, 1, 0, 21, 12},	//248 Akonadi::AgentType::operator=(const Akonadi::AgentType&)
    {15, 1196, 93, 1, Smoke::mf_const, 374, 13},	//249 Akonadi::AgentType::operator==(const Akonadi::AgentType&) const
    {15, 1746, 0, 0, Smoke::mf_dtor, 0, 14 },	//250 Akonadi::AgentType::~AgentType()
    {16, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//251 Akonadi::AgentTypeDialog::metaObject() const
    {16, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//252 Akonadi::AgentTypeDialog::qt_metacast(const char*)
    {16, 1681, 23, 2, Smoke::mf_static, 284, 3},	//253 Akonadi::AgentTypeDialog::tr(const char*, const char*)
    {16, 1685, 23, 2, Smoke::mf_static, 284, 4},	//254 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*)
    {16, 1681, 26, 3, Smoke::mf_static, 284, 5},	//255 Akonadi::AgentTypeDialog::tr(const char*, const char*, int)
    {16, 1685, 26, 3, Smoke::mf_static, 284, 6},	//256 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*, int)
    {16, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//257 Akonadi::AgentTypeDialog::qt_metacall(QMetaObject::Call, int, void**)
    {16, 36, 85, 1, Smoke::mf_ctor, 23, 8},	//258 Akonadi::AgentTypeDialog::AgentTypeDialog(QWidget*)
    {16, 714, 0, 0, Smoke::mf_const, 20, 9},	//259 Akonadi::AgentTypeDialog::agentType() const
    {16, 708, 0, 0, Smoke::mf_const, 10, 10},	//260 Akonadi::AgentTypeDialog::agentFilterProxyModel() const
    {16, 903, 41, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 11},	//261 Akonadi::AgentTypeDialog::done(int)
    {16, 1681, 21, 1, Smoke::mf_static, 284, 12},	//262 Akonadi::AgentTypeDialog::tr(const char*)
    {16, 1685, 21, 1, Smoke::mf_static, 284, 13},	//263 Akonadi::AgentTypeDialog::trUtf8(const char*)
    {16, 36, 0, 0, Smoke::mf_ctor, 23, 14},	//264 Akonadi::AgentTypeDialog::AgentTypeDialog()
    {16, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 15},	//265 Akonadi::AgentTypeDialog::staticMetaObject() const
    {16, 1747, 0, 0, Smoke::mf_dtor, 0, 16 },	//266 Akonadi::AgentTypeDialog::~AgentTypeDialog()
    {17, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//267 Akonadi::AgentTypeModel::metaObject() const
    {17, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//268 Akonadi::AgentTypeModel::qt_metacast(const char*)
    {17, 1681, 23, 2, Smoke::mf_static, 284, 3},	//269 Akonadi::AgentTypeModel::tr(const char*, const char*)
    {17, 1685, 23, 2, Smoke::mf_static, 284, 4},	//270 Akonadi::AgentTypeModel::trUtf8(const char*, const char*)
    {17, 1681, 26, 3, Smoke::mf_static, 284, 5},	//271 Akonadi::AgentTypeModel::tr(const char*, const char*, int)
    {17, 1685, 26, 3, Smoke::mf_static, 284, 6},	//272 Akonadi::AgentTypeModel::trUtf8(const char*, const char*, int)
    {17, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//273 Akonadi::AgentTypeModel::qt_metacall(QMetaObject::Call, int, void**)
    {17, 38, 78, 1, Smoke::mf_ctor, 24, 8},	//274 Akonadi::AgentTypeModel::AgentTypeModel(QObject*)
    {17, 817, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 460, 9},	//275 Akonadi::AgentTypeModel::columnCount(const QModelIndex&) const
    {17, 1276, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 460, 10},	//276 Akonadi::AgentTypeModel::rowCount(const QModelIndex&) const
    {17, 871, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 294, 11},	//277 Akonadi::AgentTypeModel::data(const QModelIndex&, int) const
    {17, 1025, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 268, 12},	//278 Akonadi::AgentTypeModel::index(int, int, const QModelIndex&) const
    {17, 1206, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 268, 13},	//279 Akonadi::AgentTypeModel::parent(const QModelIndex&) const
    {17, 981, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 239, 14},	//280 Akonadi::AgentTypeModel::flags(const QModelIndex&) const
    {17, 1681, 21, 1, Smoke::mf_static, 284, 15},	//281 Akonadi::AgentTypeModel::tr(const char*)
    {17, 1685, 21, 1, Smoke::mf_static, 284, 16},	//282 Akonadi::AgentTypeModel::trUtf8(const char*)
    {17, 38, 0, 0, Smoke::mf_ctor, 24, 17},	//283 Akonadi::AgentTypeModel::AgentTypeModel()
    {17, 817, 0, 0, Smoke::mf_const, 460, 18},	//284 Akonadi::AgentTypeModel::columnCount() const
    {17, 1276, 0, 0, Smoke::mf_const, 460, 19},	//285 Akonadi::AgentTypeModel::rowCount() const
    {17, 871, 95, 1, Smoke::mf_const, 294, 20},	//286 Akonadi::AgentTypeModel::data(const QModelIndex&) const
    {17, 1025, 115, 2, Smoke::mf_const, 268, 21},	//287 Akonadi::AgentTypeModel::index(int, int) const
    {17, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 22},	//288 Akonadi::AgentTypeModel::staticMetaObject() const
    {17, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 23},	//289 Akonadi::AgentTypeModel::TypeRole (enum)
    {17, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 24},	//290 Akonadi::AgentTypeModel::IdentifierRole (enum)
    {17, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 25},	//291 Akonadi::AgentTypeModel::DescriptionRole (enum)
    {17, 395, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 26},	//292 Akonadi::AgentTypeModel::MimeTypesRole (enum)
    {17, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 27},	//293 Akonadi::AgentTypeModel::CapabilitiesRole (enum)
    {17, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 28},	//294 Akonadi::AgentTypeModel::UserRole (enum)
    {17, 1748, 0, 0, Smoke::mf_dtor, 0, 29 },	//295 Akonadi::AgentTypeModel::~AgentTypeModel()
    {18, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//296 Akonadi::AgentTypeWidget::metaObject() const
    {18, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//297 Akonadi::AgentTypeWidget::qt_metacast(const char*)
    {18, 1681, 23, 2, Smoke::mf_static, 284, 3},	//298 Akonadi::AgentTypeWidget::tr(const char*, const char*)
    {18, 1685, 23, 2, Smoke::mf_static, 284, 4},	//299 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*)
    {18, 1681, 26, 3, Smoke::mf_static, 284, 5},	//300 Akonadi::AgentTypeWidget::tr(const char*, const char*, int)
    {18, 1685, 26, 3, Smoke::mf_static, 284, 6},	//301 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*, int)
    {18, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//302 Akonadi::AgentTypeWidget::qt_metacall(QMetaObject::Call, int, void**)
    {18, 40, 85, 1, Smoke::mf_ctor, 26, 8},	//303 Akonadi::AgentTypeWidget::AgentTypeWidget(QWidget*)
    {18, 861, 0, 0, Smoke::mf_const, 20, 9},	//304 Akonadi::AgentTypeWidget::currentAgentType() const
    {18, 708, 0, 0, Smoke::mf_const, 10, 10},	//305 Akonadi::AgentTypeWidget::agentFilterProxyModel() const
    {18, 862, 130, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//306 Akonadi::AgentTypeWidget::currentChanged(const Akonadi::AgentType&, const Akonadi::AgentType&)
    {18, 676, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//307 Akonadi::AgentTypeWidget::activated()
    {18, 1681, 21, 1, Smoke::mf_static, 284, 13},	//308 Akonadi::AgentTypeWidget::tr(const char*)
    {18, 1685, 21, 1, Smoke::mf_static, 284, 14},	//309 Akonadi::AgentTypeWidget::trUtf8(const char*)
    {18, 40, 0, 0, Smoke::mf_ctor, 26, 15},	//310 Akonadi::AgentTypeWidget::AgentTypeWidget()
    {18, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 16},	//311 Akonadi::AgentTypeWidget::staticMetaObject() const
    {18, 1749, 0, 0, Smoke::mf_dtor, 0, 17 },	//312 Akonadi::AgentTypeWidget::~AgentTypeWidget()
    {19, 1689, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 220, 1},	//313 Akonadi::Attribute::type() const [pure virtual]
    {19, 772, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 27, 2},	//314 Akonadi::Attribute::clone() const [pure virtual]
    {19, 1310, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 220, 3},	//315 Akonadi::Attribute::serialized() const [pure virtual]
    {19, 882, 6, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//316 Akonadi::Attribute::deserialize(const QByteArray&) [pure virtual]
    {19, 52, 0, 0, Smoke::mf_ctor, 27, 5},	//317 Akonadi::Attribute::Attribute()
    {19, 52, 133, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 27, 6},	//318 Akonadi::Attribute::Attribute(const Akonadi::Attribute&)
    {19, 1750, 0, 0, Smoke::mf_dtor, 0, 7 },	//319 Akonadi::Attribute::~Attribute()
    {20, 852, 6, 1, Smoke::mf_static, 27, 1},	//320 Akonadi::AttributeFactory::createAttribute(const QByteArray&)
    {20, 54, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 28, 2},	//321 Akonadi::AttributeFactory::AttributeFactory()
    {20, 54, 135, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 3},	//322 Akonadi::AttributeFactory::AttributeFactory(const Akonadi::AttributeFactory&)
    {20, 1751, 0, 0, Smoke::mf_dtor, 0, 4 },	//323 Akonadi::AttributeFactory::~AttributeFactory()
    {21, 64, 0, 0, Smoke::mf_ctor, 31, 1},	//324 Akonadi::CachePolicy::CachePolicy()
    {21, 64, 137, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 2},	//325 Akonadi::CachePolicy::CachePolicy(const Akonadi::CachePolicy&)
    {21, 1031, 0, 0, Smoke::mf_const, 374, 3},	//326 Akonadi::CachePolicy::inheritFromParent() const
    {21, 1478, 45, 1, 0, 0, 4},	//327 Akonadi::CachePolicy::setInheritFromParent(bool)
    {21, 1146, 0, 0, Smoke::mf_const, 285, 5},	//328 Akonadi::CachePolicy::localParts() const
    {21, 1505, 10, 1, 0, 0, 6},	//329 Akonadi::CachePolicy::setLocalParts(const QStringList&)
    {21, 737, 0, 0, Smoke::mf_const, 460, 7},	//330 Akonadi::CachePolicy::cacheTimeout() const
    {21, 1340, 41, 1, 0, 0, 8},	//331 Akonadi::CachePolicy::setCacheTimeout(int)
    {21, 1061, 0, 0, Smoke::mf_const, 460, 9},	//332 Akonadi::CachePolicy::intervalCheckTime() const
    {21, 1480, 41, 1, 0, 0, 10},	//333 Akonadi::CachePolicy::setIntervalCheckTime(int)
    {21, 1663, 0, 0, Smoke::mf_const, 374, 11},	//334 Akonadi::CachePolicy::syncOnDemand() const
    {21, 1591, 45, 1, 0, 0, 12},	//335 Akonadi::CachePolicy::setSyncOnDemand(bool)
    {21, 1194, 137, 1, 0, 30, 13},	//336 Akonadi::CachePolicy::operator=(const Akonadi::CachePolicy&)
    {21, 1196, 137, 1, Smoke::mf_const, 374, 14},	//337 Akonadi::CachePolicy::operator==(const Akonadi::CachePolicy&) const
    {21, 1752, 0, 0, Smoke::mf_dtor, 0, 15 },	//338 Akonadi::CachePolicy::~CachePolicy()
    {22, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//339 Akonadi::ChangeRecorder::metaObject() const
    {22, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//340 Akonadi::ChangeRecorder::qt_metacast(const char*)
    {22, 1681, 23, 2, Smoke::mf_static, 284, 3},	//341 Akonadi::ChangeRecorder::tr(const char*, const char*)
    {22, 1685, 23, 2, Smoke::mf_static, 284, 4},	//342 Akonadi::ChangeRecorder::trUtf8(const char*, const char*)
    {22, 1681, 26, 3, Smoke::mf_static, 284, 5},	//343 Akonadi::ChangeRecorder::tr(const char*, const char*, int)
    {22, 1685, 26, 3, Smoke::mf_static, 284, 6},	//344 Akonadi::ChangeRecorder::trUtf8(const char*, const char*, int)
    {22, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//345 Akonadi::ChangeRecorder::qt_metacall(QMetaObject::Call, int, void**)
    {22, 76, 78, 1, Smoke::mf_ctor, 32, 8},	//346 Akonadi::ChangeRecorder::ChangeRecorder(QObject*)
    {22, 1378, 139, 1, 0, 0, 9},	//347 Akonadi::ChangeRecorder::setConfig(QSettings*)
    {22, 1069, 0, 0, Smoke::mf_const, 374, 10},	//348 Akonadi::ChangeRecorder::isEmpty() const
    {22, 752, 0, 0, 0, 0, 11},	//349 Akonadi::ChangeRecorder::changeProcessed()
    {22, 1349, 45, 1, 0, 0, 12},	//350 Akonadi::ChangeRecorder::setChangeRecordingEnabled(bool)
    {22, 920, 0, 0, Smoke::mf_const, 284, 13},	//351 Akonadi::ChangeRecorder::dumpNotificationListToString() const
    {22, 1252, 0, 0, Smoke::mf_slot, 0, 14},	//352 Akonadi::ChangeRecorder::replayNext()
    {22, 754, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//353 Akonadi::ChangeRecorder::changesAdded()
    {22, 1187, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//354 Akonadi::ChangeRecorder::nothingToReplay()
    {22, 76, 141, 2, Smoke::mf_ctor|Smoke::mf_protected, 32, 17},	//355 Akonadi::ChangeRecorder::ChangeRecorder(Akonadi::ChangeRecorderPrivate*, QObject*)
    {22, 1681, 21, 1, Smoke::mf_static, 284, 18},	//356 Akonadi::ChangeRecorder::tr(const char*)
    {22, 1685, 21, 1, Smoke::mf_static, 284, 19},	//357 Akonadi::ChangeRecorder::trUtf8(const char*)
    {22, 76, 0, 0, Smoke::mf_ctor, 32, 20},	//358 Akonadi::ChangeRecorder::ChangeRecorder()
    {22, 76, 144, 1, Smoke::mf_ctor|Smoke::mf_protected, 32, 21},	//359 Akonadi::ChangeRecorder::ChangeRecorder(Akonadi::ChangeRecorderPrivate*)
    {22, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 22},	//360 Akonadi::ChangeRecorder::staticMetaObject() const
    {22, 1753, 0, 0, Smoke::mf_dtor, 0, 23 },	//361 Akonadi::ChangeRecorder::~ChangeRecorder()
    {24, 82, 0, 0, Smoke::mf_ctor, 36, 1},	//362 Akonadi::Collection::Collection()
    {24, 82, 146, 1, Smoke::mf_ctor, 36, 2},	//363 Akonadi::Collection::Collection(long long)
    {24, 82, 61, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 3},	//364 Akonadi::Collection::Collection(const Akonadi::Collection&)
    {24, 988, 148, 1, Smoke::mf_static, 34, 4},	//365 Akonadi::Collection::fromUrl(const KUrl&)
    {24, 1184, 0, 0, Smoke::mf_const, 284, 5},	//366 Akonadi::Collection::name() const
    {24, 892, 0, 0, Smoke::mf_const, 284, 6},	//367 Akonadi::Collection::displayName() const
    {24, 1523, 8, 1, 0, 0, 7},	//368 Akonadi::Collection::setName(const QString&)
    {24, 1272, 0, 0, Smoke::mf_const, 233, 8},	//369 Akonadi::Collection::rights() const
    {24, 1568, 150, 1, 0, 0, 9},	//370 Akonadi::Collection::setRights(QFlags<Akonadi::Collection::Right>)
    {24, 842, 0, 0, Smoke::mf_const, 285, 10},	//371 Akonadi::Collection::contentMimeTypes() const
    {24, 1392, 10, 1, 0, 0, 11},	//372 Akonadi::Collection::setContentMimeTypes(const QStringList&)
    {24, 1206, 0, 0, Smoke::mf_const, 463, 12},	//373 Akonadi::Collection::parent() const
    {24, 1533, 146, 1, 0, 0, 13},	//374 Akonadi::Collection::setParent(long long)
    {24, 1533, 61, 1, 0, 0, 14},	//375 Akonadi::Collection::setParent(const Akonadi::Collection&)
    {24, 1209, 0, 0, Smoke::mf_const, 284, 15},	//376 Akonadi::Collection::parentRemoteId() const
    {24, 1538, 8, 1, 0, 0, 16},	//377 Akonadi::Collection::setParentRemoteId(const QString&)
    {24, 1274, 0, 0, Smoke::mf_static, 34, 17},	//378 Akonadi::Collection::root()
    {24, 1163, 0, 0, Smoke::mf_static, 284, 18},	//379 Akonadi::Collection::mimeType()
    {24, 1721, 0, 0, Smoke::mf_static, 284, 19},	//380 Akonadi::Collection::virtualMimeType()
    {24, 1255, 0, 0, Smoke::mf_const, 284, 20},	//381 Akonadi::Collection::resource() const
    {24, 1561, 8, 1, 0, 0, 21},	//382 Akonadi::Collection::setResource(const QString&)
    {24, 736, 0, 0, Smoke::mf_const, 29, 22},	//383 Akonadi::Collection::cachePolicy() const
    {24, 1338, 137, 1, 0, 0, 23},	//384 Akonadi::Collection::setCachePolicy(const Akonadi::CachePolicy&)
    {24, 1648, 0, 0, Smoke::mf_const, 64, 24},	//385 Akonadi::Collection::statistics() const
    {24, 1585, 152, 1, 0, 0, 25},	//386 Akonadi::Collection::setStatistics(const Akonadi::CollectionStatistics&)
    {24, 1708, 0, 0, Smoke::mf_const, 208, 26},	//387 Akonadi::Collection::url() const
    {24, 1708, 154, 1, Smoke::mf_const, 208, 27},	//388 Akonadi::Collection::url(Akonadi::Collection::UrlType) const
    {24, 1078, 0, 0, Smoke::mf_const, 374, 28},	//389 Akonadi::Collection::isVirtual() const
    {24, 1609, 45, 1, 0, 0, 29},	//390 Akonadi::Collection::setVirtual(bool)
    {24, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 30},	//391 Akonadi::Collection::ReadOnly (enum)
    {24, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 31},	//392 Akonadi::Collection::CanChangeItem (enum)
    {24, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 32},	//393 Akonadi::Collection::CanCreateItem (enum)
    {24, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 33},	//394 Akonadi::Collection::CanDeleteItem (enum)
    {24, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 34},	//395 Akonadi::Collection::CanChangeCollection (enum)
    {24, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 35},	//396 Akonadi::Collection::CanCreateCollection (enum)
    {24, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 36},	//397 Akonadi::Collection::CanDeleteCollection (enum)
    {24, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 37},	//398 Akonadi::Collection::CanLinkItem (enum)
    {24, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 38},	//399 Akonadi::Collection::CanUnlinkItem (enum)
    {24, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 39},	//400 Akonadi::Collection::AllRights (enum)
    {24, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 40},	//401 Akonadi::Collection::UrlShort (enum)
    {24, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 41},	//402 Akonadi::Collection::UrlWithName (enum)
    {24, 1754, 0, 0, Smoke::mf_dtor, 0, 42 },	//403 Akonadi::Collection::~Collection()
    {25, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//404 Akonadi::CollectionComboBox::metaObject() const
    {25, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//405 Akonadi::CollectionComboBox::qt_metacast(const char*)
    {25, 1681, 23, 2, Smoke::mf_static, 284, 3},	//406 Akonadi::CollectionComboBox::tr(const char*, const char*)
    {25, 1685, 23, 2, Smoke::mf_static, 284, 4},	//407 Akonadi::CollectionComboBox::trUtf8(const char*, const char*)
    {25, 1681, 26, 3, Smoke::mf_static, 284, 5},	//408 Akonadi::CollectionComboBox::tr(const char*, const char*, int)
    {25, 1685, 26, 3, Smoke::mf_static, 284, 6},	//409 Akonadi::CollectionComboBox::trUtf8(const char*, const char*, int)
    {25, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//410 Akonadi::CollectionComboBox::qt_metacall(QMetaObject::Call, int, void**)
    {25, 86, 85, 1, Smoke::mf_ctor, 41, 8},	//411 Akonadi::CollectionComboBox::CollectionComboBox(QWidget*)
    {25, 86, 156, 2, Smoke::mf_ctor, 41, 9},	//412 Akonadi::CollectionComboBox::CollectionComboBox(QAbstractItemModel*, QWidget*)
    {25, 1513, 10, 1, 0, 0, 10},	//413 Akonadi::CollectionComboBox::setMimeTypeFilter(const QStringList&)
    {25, 1165, 0, 0, Smoke::mf_const, 285, 11},	//414 Akonadi::CollectionComboBox::mimeTypeFilter() const
    {25, 1315, 150, 1, 0, 0, 12},	//415 Akonadi::CollectionComboBox::setAccessRightsFilter(QFlags<Akonadi::Collection::Right>)
    {25, 671, 0, 0, Smoke::mf_const, 233, 13},	//416 Akonadi::CollectionComboBox::accessRightsFilter() const
    {25, 1409, 61, 1, 0, 0, 14},	//417 Akonadi::CollectionComboBox::setDefaultCollection(const Akonadi::Collection&)
    {25, 865, 0, 0, Smoke::mf_const, 34, 15},	//418 Akonadi::CollectionComboBox::currentCollection() const
    {25, 1420, 45, 1, 0, 0, 16},	//419 Akonadi::CollectionComboBox::setExcludeVirtualCollections(bool)
    {25, 948, 0, 0, Smoke::mf_const, 374, 17},	//420 Akonadi::CollectionComboBox::excludeVirtualCollections() const
    {25, 862, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//421 Akonadi::CollectionComboBox::currentChanged(const Akonadi::Collection&)
    {25, 1681, 21, 1, Smoke::mf_static, 284, 19},	//422 Akonadi::CollectionComboBox::tr(const char*)
    {25, 1685, 21, 1, Smoke::mf_static, 284, 20},	//423 Akonadi::CollectionComboBox::trUtf8(const char*)
    {25, 86, 0, 0, Smoke::mf_ctor, 41, 21},	//424 Akonadi::CollectionComboBox::CollectionComboBox()
    {25, 86, 159, 1, Smoke::mf_ctor, 41, 22},	//425 Akonadi::CollectionComboBox::CollectionComboBox(QAbstractItemModel*)
    {25, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 23},	//426 Akonadi::CollectionComboBox::staticMetaObject() const
    {25, 1755, 0, 0, Smoke::mf_dtor, 0, 24 },	//427 Akonadi::CollectionComboBox::~CollectionComboBox()
    {26, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//428 Akonadi::CollectionCopyJob::metaObject() const
    {26, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//429 Akonadi::CollectionCopyJob::qt_metacast(const char*)
    {26, 1681, 23, 2, Smoke::mf_static, 284, 3},	//430 Akonadi::CollectionCopyJob::tr(const char*, const char*)
    {26, 1685, 23, 2, Smoke::mf_static, 284, 4},	//431 Akonadi::CollectionCopyJob::trUtf8(const char*, const char*)
    {26, 1681, 26, 3, Smoke::mf_static, 284, 5},	//432 Akonadi::CollectionCopyJob::tr(const char*, const char*, int)
    {26, 1685, 26, 3, Smoke::mf_static, 284, 6},	//433 Akonadi::CollectionCopyJob::trUtf8(const char*, const char*, int)
    {26, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//434 Akonadi::CollectionCopyJob::qt_metacall(QMetaObject::Call, int, void**)
    {26, 89, 161, 3, Smoke::mf_ctor, 42, 8},	//435 Akonadi::CollectionCopyJob::CollectionCopyJob(const Akonadi::Collection&, const Akonadi::Collection&, QObject*)
    {26, 901, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//436 Akonadi::CollectionCopyJob::doStart()
    {26, 1681, 21, 1, Smoke::mf_static, 284, 10},	//437 Akonadi::CollectionCopyJob::tr(const char*)
    {26, 1685, 21, 1, Smoke::mf_static, 284, 11},	//438 Akonadi::CollectionCopyJob::trUtf8(const char*)
    {26, 89, 58, 2, Smoke::mf_ctor, 42, 12},	//439 Akonadi::CollectionCopyJob::CollectionCopyJob(const Akonadi::Collection&, const Akonadi::Collection&)
    {26, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 13},	//440 Akonadi::CollectionCopyJob::staticMetaObject() const
    {26, 1756, 0, 0, Smoke::mf_dtor, 0, 14 },	//441 Akonadi::CollectionCopyJob::~CollectionCopyJob()
    {27, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//442 Akonadi::CollectionCreateJob::metaObject() const
    {27, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//443 Akonadi::CollectionCreateJob::qt_metacast(const char*)
    {27, 1681, 23, 2, Smoke::mf_static, 284, 3},	//444 Akonadi::CollectionCreateJob::tr(const char*, const char*)
    {27, 1685, 23, 2, Smoke::mf_static, 284, 4},	//445 Akonadi::CollectionCreateJob::trUtf8(const char*, const char*)
    {27, 1681, 26, 3, Smoke::mf_static, 284, 5},	//446 Akonadi::CollectionCreateJob::tr(const char*, const char*, int)
    {27, 1685, 26, 3, Smoke::mf_static, 284, 6},	//447 Akonadi::CollectionCreateJob::trUtf8(const char*, const char*, int)
    {27, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//448 Akonadi::CollectionCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {27, 92, 165, 2, Smoke::mf_ctor, 43, 8},	//449 Akonadi::CollectionCreateJob::CollectionCreateJob(const Akonadi::Collection&, QObject*)
    {27, 775, 0, 0, Smoke::mf_const, 34, 9},	//450 Akonadi::CollectionCreateJob::collection() const
    {27, 901, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//451 Akonadi::CollectionCreateJob::doStart()
    {27, 894, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//452 Akonadi::CollectionCreateJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {27, 1681, 21, 1, Smoke::mf_static, 284, 12},	//453 Akonadi::CollectionCreateJob::tr(const char*)
    {27, 1685, 21, 1, Smoke::mf_static, 284, 13},	//454 Akonadi::CollectionCreateJob::trUtf8(const char*)
    {27, 92, 61, 1, Smoke::mf_ctor, 43, 14},	//455 Akonadi::CollectionCreateJob::CollectionCreateJob(const Akonadi::Collection&)
    {27, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 15},	//456 Akonadi::CollectionCreateJob::staticMetaObject() const
    {27, 1757, 0, 0, Smoke::mf_dtor, 0, 16 },	//457 Akonadi::CollectionCreateJob::~CollectionCreateJob()
    {28, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//458 Akonadi::CollectionDeleteJob::metaObject() const
    {28, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//459 Akonadi::CollectionDeleteJob::qt_metacast(const char*)
    {28, 1681, 23, 2, Smoke::mf_static, 284, 3},	//460 Akonadi::CollectionDeleteJob::tr(const char*, const char*)
    {28, 1685, 23, 2, Smoke::mf_static, 284, 4},	//461 Akonadi::CollectionDeleteJob::trUtf8(const char*, const char*)
    {28, 1681, 26, 3, Smoke::mf_static, 284, 5},	//462 Akonadi::CollectionDeleteJob::tr(const char*, const char*, int)
    {28, 1685, 26, 3, Smoke::mf_static, 284, 6},	//463 Akonadi::CollectionDeleteJob::trUtf8(const char*, const char*, int)
    {28, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//464 Akonadi::CollectionDeleteJob::qt_metacall(QMetaObject::Call, int, void**)
    {28, 95, 165, 2, Smoke::mf_ctor, 44, 8},	//465 Akonadi::CollectionDeleteJob::CollectionDeleteJob(const Akonadi::Collection&, QObject*)
    {28, 901, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//466 Akonadi::CollectionDeleteJob::doStart()
    {28, 1681, 21, 1, Smoke::mf_static, 284, 10},	//467 Akonadi::CollectionDeleteJob::tr(const char*)
    {28, 1685, 21, 1, Smoke::mf_static, 284, 11},	//468 Akonadi::CollectionDeleteJob::trUtf8(const char*)
    {28, 95, 61, 1, Smoke::mf_ctor, 44, 12},	//469 Akonadi::CollectionDeleteJob::CollectionDeleteJob(const Akonadi::Collection&)
    {28, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 13},	//470 Akonadi::CollectionDeleteJob::staticMetaObject() const
    {28, 1758, 0, 0, Smoke::mf_dtor, 0, 14 },	//471 Akonadi::CollectionDeleteJob::~CollectionDeleteJob()
    {29, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//472 Akonadi::CollectionDialog::metaObject() const
    {29, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//473 Akonadi::CollectionDialog::qt_metacast(const char*)
    {29, 1681, 23, 2, Smoke::mf_static, 284, 3},	//474 Akonadi::CollectionDialog::tr(const char*, const char*)
    {29, 1685, 23, 2, Smoke::mf_static, 284, 4},	//475 Akonadi::CollectionDialog::trUtf8(const char*, const char*)
    {29, 1681, 26, 3, Smoke::mf_static, 284, 5},	//476 Akonadi::CollectionDialog::tr(const char*, const char*, int)
    {29, 1685, 26, 3, Smoke::mf_static, 284, 6},	//477 Akonadi::CollectionDialog::trUtf8(const char*, const char*, int)
    {29, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//478 Akonadi::CollectionDialog::qt_metacall(QMetaObject::Call, int, void**)
    {29, 99, 85, 1, Smoke::mf_ctor, 45, 8},	//479 Akonadi::CollectionDialog::CollectionDialog(QWidget*)
    {29, 99, 156, 2, Smoke::mf_ctor, 45, 9},	//480 Akonadi::CollectionDialog::CollectionDialog(QAbstractItemModel*, QWidget*)
    {29, 99, 171, 3, Smoke::mf_ctor, 45, 10},	//481 Akonadi::CollectionDialog::CollectionDialog(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*, QWidget*)
    {29, 1513, 10, 1, 0, 0, 11},	//482 Akonadi::CollectionDialog::setMimeTypeFilter(const QStringList&)
    {29, 1165, 0, 0, Smoke::mf_const, 285, 12},	//483 Akonadi::CollectionDialog::mimeTypeFilter() const
    {29, 1315, 150, 1, 0, 0, 13},	//484 Akonadi::CollectionDialog::setAccessRightsFilter(QFlags<Akonadi::Collection::Right>)
    {29, 671, 0, 0, Smoke::mf_const, 233, 14},	//485 Akonadi::CollectionDialog::accessRightsFilter() const
    {29, 1413, 8, 1, 0, 0, 15},	//486 Akonadi::CollectionDialog::setDescription(const QString&)
    {29, 1409, 61, 1, 0, 0, 16},	//487 Akonadi::CollectionDialog::setDefaultCollection(const Akonadi::Collection&)
    {29, 1574, 175, 1, 0, 0, 17},	//488 Akonadi::CollectionDialog::setSelectionMode(QAbstractItemView::SelectionMode)
    {29, 1300, 0, 0, Smoke::mf_const, 217, 18},	//489 Akonadi::CollectionDialog::selectionMode() const
    {29, 1294, 0, 0, Smoke::mf_const, 34, 19},	//490 Akonadi::CollectionDialog::selectedCollection() const
    {29, 1295, 0, 0, Smoke::mf_const, 257, 20},	//491 Akonadi::CollectionDialog::selectedCollections() const
    {29, 747, 177, 1, 0, 0, 21},	//492 Akonadi::CollectionDialog::changeCollectionDialogOptions(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>)
    {29, 1681, 21, 1, Smoke::mf_static, 284, 22},	//493 Akonadi::CollectionDialog::tr(const char*)
    {29, 1685, 21, 1, Smoke::mf_static, 284, 23},	//494 Akonadi::CollectionDialog::trUtf8(const char*)
    {29, 99, 0, 0, Smoke::mf_ctor, 45, 24},	//495 Akonadi::CollectionDialog::CollectionDialog()
    {29, 99, 159, 1, Smoke::mf_ctor, 45, 25},	//496 Akonadi::CollectionDialog::CollectionDialog(QAbstractItemModel*)
    {29, 99, 177, 1, Smoke::mf_ctor, 45, 26},	//497 Akonadi::CollectionDialog::CollectionDialog(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>)
    {29, 99, 179, 2, Smoke::mf_ctor, 45, 27},	//498 Akonadi::CollectionDialog::CollectionDialog(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*)
    {29, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 28},	//499 Akonadi::CollectionDialog::staticMetaObject() const
    {29, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 29},	//500 Akonadi::CollectionDialog::None (enum)
    {29, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 30},	//501 Akonadi::CollectionDialog::AllowToCreateNewChildCollection (enum)
    {29, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 31},	//502 Akonadi::CollectionDialog::KeepTreeExpanded (enum)
    {29, 1759, 0, 0, Smoke::mf_dtor, 0, 32 },	//503 Akonadi::CollectionDialog::~CollectionDialog()
    {30, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//504 Akonadi::CollectionFetchJob::metaObject() const
    {30, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//505 Akonadi::CollectionFetchJob::qt_metacast(const char*)
    {30, 1681, 23, 2, Smoke::mf_static, 284, 3},	//506 Akonadi::CollectionFetchJob::tr(const char*, const char*)
    {30, 1685, 23, 2, Smoke::mf_static, 284, 4},	//507 Akonadi::CollectionFetchJob::trUtf8(const char*, const char*)
    {30, 1681, 26, 3, Smoke::mf_static, 284, 5},	//508 Akonadi::CollectionFetchJob::tr(const char*, const char*, int)
    {30, 1685, 26, 3, Smoke::mf_static, 284, 6},	//509 Akonadi::CollectionFetchJob::trUtf8(const char*, const char*, int)
    {30, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//510 Akonadi::CollectionFetchJob::qt_metacall(QMetaObject::Call, int, void**)
    {30, 105, 182, 3, Smoke::mf_ctor, 47, 8},	//511 Akonadi::CollectionFetchJob::CollectionFetchJob(const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type, QObject*)
    {30, 105, 186, 2, Smoke::mf_ctor, 47, 9},	//512 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, QObject*)
    {30, 105, 189, 3, Smoke::mf_ctor, 47, 10},	//513 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type, QObject*)
    {30, 105, 193, 3, Smoke::mf_ctor, 47, 11},	//514 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type, QObject*)
    {30, 808, 0, 0, Smoke::mf_const, 257, 12},	//515 Akonadi::CollectionFetchJob::collections() const
    {30, 1561, 8, 1, 0, 0, 13},	//516 Akonadi::CollectionFetchJob::setResource(const QString&)
    {30, 1022, 45, 1, 0, 0, 14},	//517 Akonadi::CollectionFetchJob::includeUnsubscribed(bool)
    {30, 1020, 45, 1, 0, 0, 15},	//518 Akonadi::CollectionFetchJob::includeStatistics(bool)
    {30, 1438, 197, 1, 0, 0, 16},	//519 Akonadi::CollectionFetchJob::setFetchScope(const Akonadi::CollectionFetchScope&)
    {30, 973, 0, 0, 0, 49, 17},	//520 Akonadi::CollectionFetchJob::fetchScope()
    {30, 810, 199, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//521 Akonadi::CollectionFetchJob::collectionsReceived(const Akonadi::Collection::List&)
    {30, 901, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//522 Akonadi::CollectionFetchJob::doStart()
    {30, 894, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//523 Akonadi::CollectionFetchJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {30, 1633, 201, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//524 Akonadi::CollectionFetchJob::slotResult(KJob*)
    {30, 1681, 21, 1, Smoke::mf_static, 284, 22},	//525 Akonadi::CollectionFetchJob::tr(const char*)
    {30, 1685, 21, 1, Smoke::mf_static, 284, 23},	//526 Akonadi::CollectionFetchJob::trUtf8(const char*)
    {30, 105, 61, 1, Smoke::mf_ctor, 47, 24},	//527 Akonadi::CollectionFetchJob::CollectionFetchJob(const Akonadi::Collection&)
    {30, 105, 203, 2, Smoke::mf_ctor, 47, 25},	//528 Akonadi::CollectionFetchJob::CollectionFetchJob(const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type)
    {30, 105, 206, 1, Smoke::mf_ctor, 47, 26},	//529 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&)
    {30, 105, 208, 2, Smoke::mf_ctor, 47, 27},	//530 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type)
    {30, 105, 211, 1, Smoke::mf_ctor, 47, 28},	//531 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&)
    {30, 105, 213, 2, Smoke::mf_ctor, 47, 29},	//532 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type)
    {30, 1022, 0, 0, 0, 0, 30},	//533 Akonadi::CollectionFetchJob::includeUnsubscribed()
    {30, 1020, 0, 0, 0, 0, 31},	//534 Akonadi::CollectionFetchJob::includeStatistics()
    {30, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 32},	//535 Akonadi::CollectionFetchJob::staticMetaObject() const
    {30, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 33},	//536 Akonadi::CollectionFetchJob::Base (enum)
    {30, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 34},	//537 Akonadi::CollectionFetchJob::FirstLevel (enum)
    {30, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 35},	//538 Akonadi::CollectionFetchJob::Recursive (enum)
    {30, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 36},	//539 Akonadi::CollectionFetchJob::NonOverlappingRoots (enum)
    {30, 1760, 0, 0, Smoke::mf_dtor, 0, 37 },	//540 Akonadi::CollectionFetchJob::~CollectionFetchJob()
    {31, 113, 0, 0, Smoke::mf_ctor, 50, 1},	//541 Akonadi::CollectionFetchScope::CollectionFetchScope()
    {31, 113, 197, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 50, 2},	//542 Akonadi::CollectionFetchScope::CollectionFetchScope(const Akonadi::CollectionFetchScope&)
    {31, 1194, 197, 1, 0, 49, 3},	//543 Akonadi::CollectionFetchScope::operator=(const Akonadi::CollectionFetchScope&)
    {31, 1024, 0, 0, Smoke::mf_const, 374, 4},	//544 Akonadi::CollectionFetchScope::includeUnubscribed() const
    {31, 1022, 0, 0, Smoke::mf_const, 374, 5},	//545 Akonadi::CollectionFetchScope::includeUnsubscribed() const
    {31, 1474, 45, 1, 0, 0, 6},	//546 Akonadi::CollectionFetchScope::setIncludeUnsubscribed(bool)
    {31, 1020, 0, 0, Smoke::mf_const, 374, 7},	//547 Akonadi::CollectionFetchScope::includeStatistics() const
    {31, 1472, 45, 1, 0, 0, 8},	//548 Akonadi::CollectionFetchScope::setIncludeStatistics(bool)
    {31, 1255, 0, 0, Smoke::mf_const, 284, 9},	//549 Akonadi::CollectionFetchScope::resource() const
    {31, 1561, 8, 1, 0, 0, 10},	//550 Akonadi::CollectionFetchScope::setResource(const QString&)
    {31, 1392, 10, 1, 0, 0, 11},	//551 Akonadi::CollectionFetchScope::setContentMimeTypes(const QStringList&)
    {31, 842, 0, 0, Smoke::mf_const, 285, 12},	//552 Akonadi::CollectionFetchScope::contentMimeTypes() const
    {31, 1325, 216, 1, 0, 0, 13},	//553 Akonadi::CollectionFetchScope::setAncestorRetrieval(Akonadi::CollectionFetchScope::AncestorRetrieval)
    {31, 719, 0, 0, Smoke::mf_const, 51, 14},	//554 Akonadi::CollectionFetchScope::ancestorRetrieval() const
    {31, 1069, 0, 0, Smoke::mf_const, 374, 15},	//555 Akonadi::CollectionFetchScope::isEmpty() const
    {31, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 16},	//556 Akonadi::CollectionFetchScope::None (enum)
    {31, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 17},	//557 Akonadi::CollectionFetchScope::Parent (enum)
    {31, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 18},	//558 Akonadi::CollectionFetchScope::All (enum)
    {31, 1761, 0, 0, Smoke::mf_dtor, 0, 19 },	//559 Akonadi::CollectionFetchScope::~CollectionFetchScope()
    {32, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//560 Akonadi::CollectionFilterProxyModel::metaObject() const
    {32, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//561 Akonadi::CollectionFilterProxyModel::qt_metacast(const char*)
    {32, 1681, 23, 2, Smoke::mf_static, 284, 3},	//562 Akonadi::CollectionFilterProxyModel::tr(const char*, const char*)
    {32, 1685, 23, 2, Smoke::mf_static, 284, 4},	//563 Akonadi::CollectionFilterProxyModel::trUtf8(const char*, const char*)
    {32, 1681, 26, 3, Smoke::mf_static, 284, 5},	//564 Akonadi::CollectionFilterProxyModel::tr(const char*, const char*, int)
    {32, 1685, 26, 3, Smoke::mf_static, 284, 6},	//565 Akonadi::CollectionFilterProxyModel::trUtf8(const char*, const char*, int)
    {32, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//566 Akonadi::CollectionFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {32, 115, 78, 1, Smoke::mf_ctor, 52, 8},	//567 Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel(QObject*)
    {32, 692, 10, 1, 0, 0, 9},	//568 Akonadi::CollectionFilterProxyModel::addMimeTypeFilters(const QStringList&)
    {32, 690, 8, 1, 0, 0, 10},	//569 Akonadi::CollectionFilterProxyModel::addMimeTypeFilter(const QString&)
    {32, 1166, 0, 0, Smoke::mf_const, 285, 11},	//570 Akonadi::CollectionFilterProxyModel::mimeTypeFilters() const
    {32, 1420, 45, 1, 0, 0, 12},	//571 Akonadi::CollectionFilterProxyModel::setExcludeVirtualCollections(bool)
    {32, 948, 0, 0, Smoke::mf_const, 374, 13},	//572 Akonadi::CollectionFilterProxyModel::excludeVirtualCollections() const
    {32, 764, 0, 0, 0, 0, 14},	//573 Akonadi::CollectionFilterProxyModel::clearFilters()
    {32, 981, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 239, 15},	//574 Akonadi::CollectionFilterProxyModel::flags(const QModelIndex&) const
    {32, 976, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 374, 16},	//575 Akonadi::CollectionFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {32, 1681, 21, 1, Smoke::mf_static, 284, 17},	//576 Akonadi::CollectionFilterProxyModel::tr(const char*)
    {32, 1685, 21, 1, Smoke::mf_static, 284, 18},	//577 Akonadi::CollectionFilterProxyModel::trUtf8(const char*)
    {32, 115, 0, 0, Smoke::mf_ctor, 52, 19},	//578 Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel()
    {32, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 20},	//579 Akonadi::CollectionFilterProxyModel::staticMetaObject() const
    {32, 1762, 0, 0, Smoke::mf_dtor, 0, 21 },	//580 Akonadi::CollectionFilterProxyModel::~CollectionFilterProxyModel()
    {33, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//581 Akonadi::CollectionModel::metaObject() const
    {33, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//582 Akonadi::CollectionModel::qt_metacast(const char*)
    {33, 1681, 23, 2, Smoke::mf_static, 284, 3},	//583 Akonadi::CollectionModel::tr(const char*, const char*)
    {33, 1685, 23, 2, Smoke::mf_static, 284, 4},	//584 Akonadi::CollectionModel::trUtf8(const char*, const char*)
    {33, 1681, 26, 3, Smoke::mf_static, 284, 5},	//585 Akonadi::CollectionModel::tr(const char*, const char*, int)
    {33, 1685, 26, 3, Smoke::mf_static, 284, 6},	//586 Akonadi::CollectionModel::trUtf8(const char*, const char*, int)
    {33, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//587 Akonadi::CollectionModel::qt_metacall(QMetaObject::Call, int, void**)
    {33, 118, 78, 1, Smoke::mf_ctor, 53, 8},	//588 Akonadi::CollectionModel::CollectionModel(QObject*)
    {33, 961, 45, 1, 0, 0, 9},	//589 Akonadi::CollectionModel::fetchCollectionStatistics(bool)
    {33, 1022, 45, 1, 0, 0, 10},	//590 Akonadi::CollectionModel::includeUnsubscribed(bool)
    {33, 817, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 460, 11},	//591 Akonadi::CollectionModel::columnCount(const QModelIndex&) const
    {33, 871, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 294, 12},	//592 Akonadi::CollectionModel::data(const QModelIndex&, int) const
    {33, 1025, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 268, 13},	//593 Akonadi::CollectionModel::index(int, int, const QModelIndex&) const
    {33, 1206, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 268, 14},	//594 Akonadi::CollectionModel::parent(const QModelIndex&) const
    {33, 1276, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 460, 15},	//595 Akonadi::CollectionModel::rowCount(const QModelIndex&) const
    {33, 1002, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 294, 16},	//596 Akonadi::CollectionModel::headerData(int, Qt::Orientation, int) const
    {33, 1453, 218, 4, Smoke::mf_virtual, 374, 17},	//597 Akonadi::CollectionModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {33, 1404, 108, 3, Smoke::mf_virtual, 374, 18},	//598 Akonadi::CollectionModel::setData(const QModelIndex&, const QVariant&, int)
    {33, 981, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 239, 19},	//599 Akonadi::CollectionModel::flags(const QModelIndex&) const
    {33, 1662, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 238, 20},	//600 Akonadi::CollectionModel::supportedDropActions() const
    {33, 1161, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 267, 21},	//601 Akonadi::CollectionModel::mimeData(const QList<QModelIndex>&) const
    {33, 916, 225, 5, Smoke::mf_virtual, 374, 22},	//602 Akonadi::CollectionModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {33, 1170, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 285, 23},	//603 Akonadi::CollectionModel::mimeTypes() const
    {33, 787, 231, 1, Smoke::mf_const|Smoke::mf_protected, 34, 24},	//604 Akonadi::CollectionModel::collectionForId(Akonadi::Collection::Id) const
    {33, 118, 233, 2, Smoke::mf_ctor|Smoke::mf_protected, 53, 25},	//605 Akonadi::CollectionModel::CollectionModel(Akonadi::CollectionModelPrivate*, QObject*)
    {33, 1681, 21, 1, Smoke::mf_static, 284, 26},	//606 Akonadi::CollectionModel::tr(const char*)
    {33, 1685, 21, 1, Smoke::mf_static, 284, 27},	//607 Akonadi::CollectionModel::trUtf8(const char*)
    {33, 118, 0, 0, Smoke::mf_ctor, 53, 28},	//608 Akonadi::CollectionModel::CollectionModel()
    {33, 1022, 0, 0, 0, 0, 29},	//609 Akonadi::CollectionModel::includeUnsubscribed()
    {33, 817, 0, 0, Smoke::mf_const, 460, 30},	//610 Akonadi::CollectionModel::columnCount() const
    {33, 871, 95, 1, Smoke::mf_const, 294, 31},	//611 Akonadi::CollectionModel::data(const QModelIndex&) const
    {33, 1025, 115, 2, Smoke::mf_const, 268, 32},	//612 Akonadi::CollectionModel::index(int, int) const
    {33, 1276, 0, 0, Smoke::mf_const, 460, 33},	//613 Akonadi::CollectionModel::rowCount() const
    {33, 1002, 112, 2, Smoke::mf_const, 294, 34},	//614 Akonadi::CollectionModel::headerData(int, Qt::Orientation) const
    {33, 1453, 236, 3, 0, 374, 35},	//615 Akonadi::CollectionModel::setHeaderData(int, Qt::Orientation, const QVariant&)
    {33, 1404, 240, 2, 0, 374, 36},	//616 Akonadi::CollectionModel::setData(const QModelIndex&, const QVariant&)
    {33, 118, 243, 1, Smoke::mf_ctor|Smoke::mf_protected, 53, 37},	//617 Akonadi::CollectionModel::CollectionModel(Akonadi::CollectionModelPrivate*)
    {33, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 38},	//618 Akonadi::CollectionModel::staticMetaObject() const
    {33, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 39},	//619 Akonadi::CollectionModel::OldCollectionIdRole (enum)
    {33, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 40},	//620 Akonadi::CollectionModel::OldCollectionRole (enum)
    {33, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 41},	//621 Akonadi::CollectionModel::CollectionIdRole (enum)
    {33, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 42},	//622 Akonadi::CollectionModel::CollectionRole (enum)
    {33, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 43},	//623 Akonadi::CollectionModel::UserRole (enum)
    {33, 1763, 0, 0, Smoke::mf_dtor, 0, 44 },	//624 Akonadi::CollectionModel::~CollectionModel()
    {35, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//625 Akonadi::CollectionModifyJob::metaObject() const
    {35, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//626 Akonadi::CollectionModifyJob::qt_metacast(const char*)
    {35, 1681, 23, 2, Smoke::mf_static, 284, 3},	//627 Akonadi::CollectionModifyJob::tr(const char*, const char*)
    {35, 1685, 23, 2, Smoke::mf_static, 284, 4},	//628 Akonadi::CollectionModifyJob::trUtf8(const char*, const char*)
    {35, 1681, 26, 3, Smoke::mf_static, 284, 5},	//629 Akonadi::CollectionModifyJob::tr(const char*, const char*, int)
    {35, 1685, 26, 3, Smoke::mf_static, 284, 6},	//630 Akonadi::CollectionModifyJob::trUtf8(const char*, const char*, int)
    {35, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//631 Akonadi::CollectionModifyJob::qt_metacall(QMetaObject::Call, int, void**)
    {35, 121, 165, 2, Smoke::mf_ctor, 56, 8},	//632 Akonadi::CollectionModifyJob::CollectionModifyJob(const Akonadi::Collection&, QObject*)
    {35, 775, 0, 0, Smoke::mf_const, 34, 9},	//633 Akonadi::CollectionModifyJob::collection() const
    {35, 901, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//634 Akonadi::CollectionModifyJob::doStart()
    {35, 1681, 21, 1, Smoke::mf_static, 284, 11},	//635 Akonadi::CollectionModifyJob::tr(const char*)
    {35, 1685, 21, 1, Smoke::mf_static, 284, 12},	//636 Akonadi::CollectionModifyJob::trUtf8(const char*)
    {35, 121, 61, 1, Smoke::mf_ctor, 56, 13},	//637 Akonadi::CollectionModifyJob::CollectionModifyJob(const Akonadi::Collection&)
    {35, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 14},	//638 Akonadi::CollectionModifyJob::staticMetaObject() const
    {35, 1764, 0, 0, Smoke::mf_dtor, 0, 15 },	//639 Akonadi::CollectionModifyJob::~CollectionModifyJob()
    {36, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//640 Akonadi::CollectionMoveJob::metaObject() const
    {36, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//641 Akonadi::CollectionMoveJob::qt_metacast(const char*)
    {36, 1681, 23, 2, Smoke::mf_static, 284, 3},	//642 Akonadi::CollectionMoveJob::tr(const char*, const char*)
    {36, 1685, 23, 2, Smoke::mf_static, 284, 4},	//643 Akonadi::CollectionMoveJob::trUtf8(const char*, const char*)
    {36, 1681, 26, 3, Smoke::mf_static, 284, 5},	//644 Akonadi::CollectionMoveJob::tr(const char*, const char*, int)
    {36, 1685, 26, 3, Smoke::mf_static, 284, 6},	//645 Akonadi::CollectionMoveJob::trUtf8(const char*, const char*, int)
    {36, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//646 Akonadi::CollectionMoveJob::qt_metacall(QMetaObject::Call, int, void**)
    {36, 124, 161, 3, Smoke::mf_ctor, 57, 8},	//647 Akonadi::CollectionMoveJob::CollectionMoveJob(const Akonadi::Collection&, const Akonadi::Collection&, QObject*)
    {36, 901, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//648 Akonadi::CollectionMoveJob::doStart()
    {36, 1681, 21, 1, Smoke::mf_static, 284, 10},	//649 Akonadi::CollectionMoveJob::tr(const char*)
    {36, 1685, 21, 1, Smoke::mf_static, 284, 11},	//650 Akonadi::CollectionMoveJob::trUtf8(const char*)
    {36, 124, 58, 2, Smoke::mf_ctor, 57, 12},	//651 Akonadi::CollectionMoveJob::CollectionMoveJob(const Akonadi::Collection&, const Akonadi::Collection&)
    {36, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 13},	//652 Akonadi::CollectionMoveJob::staticMetaObject() const
    {36, 1765, 0, 0, Smoke::mf_dtor, 0, 14 },	//653 Akonadi::CollectionMoveJob::~CollectionMoveJob()
    {37, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//654 Akonadi::CollectionPropertiesDialog::metaObject() const
    {37, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//655 Akonadi::CollectionPropertiesDialog::qt_metacast(const char*)
    {37, 1681, 23, 2, Smoke::mf_static, 284, 3},	//656 Akonadi::CollectionPropertiesDialog::tr(const char*, const char*)
    {37, 1685, 23, 2, Smoke::mf_static, 284, 4},	//657 Akonadi::CollectionPropertiesDialog::trUtf8(const char*, const char*)
    {37, 1681, 26, 3, Smoke::mf_static, 284, 5},	//658 Akonadi::CollectionPropertiesDialog::tr(const char*, const char*, int)
    {37, 1685, 26, 3, Smoke::mf_static, 284, 6},	//659 Akonadi::CollectionPropertiesDialog::trUtf8(const char*, const char*, int)
    {37, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//660 Akonadi::CollectionPropertiesDialog::qt_metacall(QMetaObject::Call, int, void**)
    {37, 128, 245, 2, Smoke::mf_ctor, 58, 8},	//661 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&, QWidget*)
    {37, 128, 248, 3, Smoke::mf_ctor, 58, 9},	//662 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&, const QStringList&, QWidget*)
    {37, 1234, 252, 1, Smoke::mf_static, 0, 10},	//663 Akonadi::CollectionPropertiesDialog::registerPage(Akonadi::CollectionPropertiesPageFactory*)
    {37, 1712, 45, 1, Smoke::mf_static, 0, 11},	//664 Akonadi::CollectionPropertiesDialog::useDefaultPage(bool)
    {37, 875, 254, 1, Smoke::mf_static, 284, 12},	//665 Akonadi::CollectionPropertiesDialog::defaultPageObjectName(Akonadi::CollectionPropertiesDialog::DefaultPage)
    {37, 1400, 8, 1, 0, 0, 13},	//666 Akonadi::CollectionPropertiesDialog::setCurrentPage(const QString&)
    {37, 1681, 21, 1, Smoke::mf_static, 284, 14},	//667 Akonadi::CollectionPropertiesDialog::tr(const char*)
    {37, 1685, 21, 1, Smoke::mf_static, 284, 15},	//668 Akonadi::CollectionPropertiesDialog::trUtf8(const char*)
    {37, 128, 61, 1, Smoke::mf_ctor, 58, 16},	//669 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&)
    {37, 128, 256, 2, Smoke::mf_ctor, 58, 17},	//670 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&, const QStringList&)
    {37, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 18},	//671 Akonadi::CollectionPropertiesDialog::staticMetaObject() const
    {37, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 19},	//672 Akonadi::CollectionPropertiesDialog::GeneralPage (enum)
    {37, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 20},	//673 Akonadi::CollectionPropertiesDialog::CachePage (enum)
    {37, 1766, 0, 0, Smoke::mf_dtor, 0, 21 },	//674 Akonadi::CollectionPropertiesDialog::~CollectionPropertiesDialog()
    {38, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//675 Akonadi::CollectionPropertiesPage::metaObject() const
    {38, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//676 Akonadi::CollectionPropertiesPage::qt_metacast(const char*)
    {38, 1681, 23, 2, Smoke::mf_static, 284, 3},	//677 Akonadi::CollectionPropertiesPage::tr(const char*, const char*)
    {38, 1685, 23, 2, Smoke::mf_static, 284, 4},	//678 Akonadi::CollectionPropertiesPage::trUtf8(const char*, const char*)
    {38, 1681, 26, 3, Smoke::mf_static, 284, 5},	//679 Akonadi::CollectionPropertiesPage::tr(const char*, const char*, int)
    {38, 1685, 26, 3, Smoke::mf_static, 284, 6},	//680 Akonadi::CollectionPropertiesPage::trUtf8(const char*, const char*, int)
    {38, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//681 Akonadi::CollectionPropertiesPage::qt_metacall(QMetaObject::Call, int, void**)
    {38, 133, 85, 1, Smoke::mf_ctor, 60, 8},	//682 Akonadi::CollectionPropertiesPage::CollectionPropertiesPage(QWidget*)
    {38, 1139, 61, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//683 Akonadi::CollectionPropertiesPage::load(const Akonadi::Collection&) [pure virtual]
    {38, 1280, 259, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//684 Akonadi::CollectionPropertiesPage::save(Akonadi::Collection&) [pure virtual]
    {38, 741, 61, 1, Smoke::mf_const|Smoke::mf_virtual, 374, 11},	//685 Akonadi::CollectionPropertiesPage::canHandle(const Akonadi::Collection&) const
    {38, 1531, 8, 1, 0, 0, 12},	//686 Akonadi::CollectionPropertiesPage::setPageTitle(const QString&)
    {38, 1200, 0, 0, Smoke::mf_const, 284, 13},	//687 Akonadi::CollectionPropertiesPage::pageTitle() const
    {38, 1681, 21, 1, Smoke::mf_static, 284, 14},	//688 Akonadi::CollectionPropertiesPage::tr(const char*)
    {38, 1685, 21, 1, Smoke::mf_static, 284, 15},	//689 Akonadi::CollectionPropertiesPage::trUtf8(const char*)
    {38, 133, 0, 0, Smoke::mf_ctor, 60, 16},	//690 Akonadi::CollectionPropertiesPage::CollectionPropertiesPage()
    {38, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 17},	//691 Akonadi::CollectionPropertiesPage::staticMetaObject() const
    {38, 1767, 0, 0, Smoke::mf_dtor, 0, 18 },	//692 Akonadi::CollectionPropertiesPage::~CollectionPropertiesPage()
    {39, 857, 85, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 60, 1},	//693 Akonadi::CollectionPropertiesPageFactory::createWidget(QWidget*) const [pure virtual]
    {39, 135, 0, 0, Smoke::mf_ctor, 61, 2},	//694 Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory()
    {39, 135, 261, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 3},	//695 Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory(const Akonadi::CollectionPropertiesPageFactory&)
    {39, 857, 0, 0, Smoke::mf_const, 60, 4},	//696 Akonadi::CollectionPropertiesPageFactory::createWidget() const
    {39, 1768, 0, 0, Smoke::mf_dtor, 0, 5 },	//697 Akonadi::CollectionPropertiesPageFactory::~CollectionPropertiesPageFactory()
    {40, 137, 0, 0, Smoke::mf_ctor, 62, 1},	//698 Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute()
    {40, 137, 263, 2, Smoke::mf_ctor, 62, 2},	//699 Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute(long long, long long)
    {40, 1402, 146, 1, 0, 0, 3},	//700 Akonadi::CollectionQuotaAttribute::setCurrentValue(long long)
    {40, 1509, 146, 1, 0, 0, 4},	//701 Akonadi::CollectionQuotaAttribute::setMaximumValue(long long)
    {40, 867, 0, 0, Smoke::mf_const, 463, 5},	//702 Akonadi::CollectionQuotaAttribute::currentValue() const
    {40, 1158, 0, 0, Smoke::mf_const, 463, 6},	//703 Akonadi::CollectionQuotaAttribute::maximumValue() const
    {40, 1689, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 7},	//704 Akonadi::CollectionQuotaAttribute::type() const
    {40, 772, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 8},	//705 Akonadi::CollectionQuotaAttribute::clone() const
    {40, 1310, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 9},	//706 Akonadi::CollectionQuotaAttribute::serialized() const
    {40, 882, 6, 1, Smoke::mf_virtual, 0, 10},	//707 Akonadi::CollectionQuotaAttribute::deserialize(const QByteArray&)
    {40, 137, 266, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 62, 11},	//708 Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute(const Akonadi::CollectionQuotaAttribute&)
    {40, 1769, 0, 0, Smoke::mf_dtor, 0, 12 },	//709 Akonadi::CollectionQuotaAttribute::~CollectionQuotaAttribute()
    {41, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//710 Akonadi::CollectionRequester::metaObject() const
    {41, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//711 Akonadi::CollectionRequester::qt_metacast(const char*)
    {41, 1681, 23, 2, Smoke::mf_static, 284, 3},	//712 Akonadi::CollectionRequester::tr(const char*, const char*)
    {41, 1685, 23, 2, Smoke::mf_static, 284, 4},	//713 Akonadi::CollectionRequester::trUtf8(const char*, const char*)
    {41, 1681, 26, 3, Smoke::mf_static, 284, 5},	//714 Akonadi::CollectionRequester::tr(const char*, const char*, int)
    {41, 1685, 26, 3, Smoke::mf_static, 284, 6},	//715 Akonadi::CollectionRequester::trUtf8(const char*, const char*, int)
    {41, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//716 Akonadi::CollectionRequester::qt_metacall(QMetaObject::Call, int, void**)
    {41, 141, 85, 1, Smoke::mf_ctor, 63, 8},	//717 Akonadi::CollectionRequester::CollectionRequester(QWidget*)
    {41, 141, 245, 2, Smoke::mf_ctor, 63, 9},	//718 Akonadi::CollectionRequester::CollectionRequester(const Akonadi::Collection&, QWidget*)
    {41, 775, 0, 0, Smoke::mf_const, 34, 10},	//719 Akonadi::CollectionRequester::collection() const
    {41, 1513, 10, 1, 0, 0, 11},	//720 Akonadi::CollectionRequester::setMimeTypeFilter(const QStringList&)
    {41, 1165, 0, 0, Smoke::mf_const, 285, 12},	//721 Akonadi::CollectionRequester::mimeTypeFilter() const
    {41, 1315, 150, 1, 0, 0, 13},	//722 Akonadi::CollectionRequester::setAccessRightsFilter(QFlags<Akonadi::Collection::Right>)
    {41, 671, 0, 0, Smoke::mf_const, 233, 14},	//723 Akonadi::CollectionRequester::accessRightsFilter() const
    {41, 747, 177, 1, 0, 0, 15},	//724 Akonadi::CollectionRequester::changeCollectionDialogOptions(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>)
    {41, 1353, 61, 1, Smoke::mf_slot, 0, 16},	//725 Akonadi::CollectionRequester::setCollection(const Akonadi::Collection&)
    {41, 780, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//726 Akonadi::CollectionRequester::collectionChanged(const Akonadi::Collection&)
    {41, 1681, 21, 1, Smoke::mf_static, 284, 18},	//727 Akonadi::CollectionRequester::tr(const char*)
    {41, 1685, 21, 1, Smoke::mf_static, 284, 19},	//728 Akonadi::CollectionRequester::trUtf8(const char*)
    {41, 141, 0, 0, Smoke::mf_ctor, 63, 20},	//729 Akonadi::CollectionRequester::CollectionRequester()
    {41, 141, 61, 1, Smoke::mf_ctor, 63, 21},	//730 Akonadi::CollectionRequester::CollectionRequester(const Akonadi::Collection&)
    {41, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 22},	//731 Akonadi::CollectionRequester::staticMetaObject() const
    {41, 1770, 0, 0, Smoke::mf_dtor, 0, 23 },	//732 Akonadi::CollectionRequester::~CollectionRequester()
    {42, 145, 0, 0, Smoke::mf_ctor, 66, 1},	//733 Akonadi::CollectionStatistics::CollectionStatistics()
    {42, 145, 152, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 66, 2},	//734 Akonadi::CollectionStatistics::CollectionStatistics(const Akonadi::CollectionStatistics&)
    {42, 845, 0, 0, Smoke::mf_const, 463, 3},	//735 Akonadi::CollectionStatistics::count() const
    {42, 1398, 146, 1, 0, 0, 4},	//736 Akonadi::CollectionStatistics::setCount(long long)
    {42, 1698, 0, 0, Smoke::mf_const, 463, 5},	//737 Akonadi::CollectionStatistics::unreadCount() const
    {42, 1603, 146, 1, 0, 0, 6},	//738 Akonadi::CollectionStatistics::setUnreadCount(long long)
    {42, 1626, 0, 0, Smoke::mf_const, 463, 7},	//739 Akonadi::CollectionStatistics::size() const
    {42, 1581, 146, 1, 0, 0, 8},	//740 Akonadi::CollectionStatistics::setSize(long long)
    {42, 1194, 152, 1, 0, 65, 9},	//741 Akonadi::CollectionStatistics::operator=(const Akonadi::CollectionStatistics&)
    {42, 1771, 0, 0, Smoke::mf_dtor, 0, 10 },	//742 Akonadi::CollectionStatistics::~CollectionStatistics()
    {43, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//743 Akonadi::CollectionStatisticsDelegate::metaObject() const
    {43, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//744 Akonadi::CollectionStatisticsDelegate::qt_metacast(const char*)
    {43, 1681, 23, 2, Smoke::mf_static, 284, 3},	//745 Akonadi::CollectionStatisticsDelegate::tr(const char*, const char*)
    {43, 1685, 23, 2, Smoke::mf_static, 284, 4},	//746 Akonadi::CollectionStatisticsDelegate::trUtf8(const char*, const char*)
    {43, 1681, 26, 3, Smoke::mf_static, 284, 5},	//747 Akonadi::CollectionStatisticsDelegate::tr(const char*, const char*, int)
    {43, 1685, 26, 3, Smoke::mf_static, 284, 6},	//748 Akonadi::CollectionStatisticsDelegate::trUtf8(const char*, const char*, int)
    {43, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//749 Akonadi::CollectionStatisticsDelegate::qt_metacall(QMetaObject::Call, int, void**)
    {43, 147, 268, 1, Smoke::mf_ctor, 67, 8},	//750 Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QAbstractItemView*)
    {43, 147, 270, 1, Smoke::mf_ctor, 67, 9},	//751 Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QTreeView*)
    {43, 1707, 0, 0, 0, 0, 10},	//752 Akonadi::CollectionStatisticsDelegate::updatePalette()
    {43, 1605, 45, 1, Smoke::mf_slot, 0, 11},	//753 Akonadi::CollectionStatisticsDelegate::setUnreadCountShown(bool)
    {43, 1699, 0, 0, Smoke::mf_const|Smoke::mf_slot, 374, 12},	//754 Akonadi::CollectionStatisticsDelegate::unreadCountShown() const
    {43, 1545, 45, 1, Smoke::mf_slot, 0, 13},	//755 Akonadi::CollectionStatisticsDelegate::setProgressAnimationEnabled(bool)
    {43, 1223, 0, 0, Smoke::mf_const|Smoke::mf_slot, 374, 14},	//756 Akonadi::CollectionStatisticsDelegate::progressAnimationEnabled() const
    {43, 1201, 272, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//757 Akonadi::CollectionStatisticsDelegate::paint(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {43, 1032, 276, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//758 Akonadi::CollectionStatisticsDelegate::initStyleOption(QStyleOptionViewItem*, const QModelIndex&) const
    {43, 1681, 21, 1, Smoke::mf_static, 284, 17},	//759 Akonadi::CollectionStatisticsDelegate::tr(const char*)
    {43, 1685, 21, 1, Smoke::mf_static, 284, 18},	//760 Akonadi::CollectionStatisticsDelegate::trUtf8(const char*)
    {43, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 19},	//761 Akonadi::CollectionStatisticsDelegate::staticMetaObject() const
    {43, 1772, 0, 0, Smoke::mf_dtor, 0, 20 },	//762 Akonadi::CollectionStatisticsDelegate::~CollectionStatisticsDelegate()
    {44, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//763 Akonadi::CollectionStatisticsJob::metaObject() const
    {44, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//764 Akonadi::CollectionStatisticsJob::qt_metacast(const char*)
    {44, 1681, 23, 2, Smoke::mf_static, 284, 3},	//765 Akonadi::CollectionStatisticsJob::tr(const char*, const char*)
    {44, 1685, 23, 2, Smoke::mf_static, 284, 4},	//766 Akonadi::CollectionStatisticsJob::trUtf8(const char*, const char*)
    {44, 1681, 26, 3, Smoke::mf_static, 284, 5},	//767 Akonadi::CollectionStatisticsJob::tr(const char*, const char*, int)
    {44, 1685, 26, 3, Smoke::mf_static, 284, 6},	//768 Akonadi::CollectionStatisticsJob::trUtf8(const char*, const char*, int)
    {44, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//769 Akonadi::CollectionStatisticsJob::qt_metacall(QMetaObject::Call, int, void**)
    {44, 149, 165, 2, Smoke::mf_ctor, 68, 8},	//770 Akonadi::CollectionStatisticsJob::CollectionStatisticsJob(const Akonadi::Collection&, QObject*)
    {44, 1648, 0, 0, Smoke::mf_const, 64, 9},	//771 Akonadi::CollectionStatisticsJob::statistics() const
    {44, 775, 0, 0, Smoke::mf_const, 34, 10},	//772 Akonadi::CollectionStatisticsJob::collection() const
    {44, 901, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//773 Akonadi::CollectionStatisticsJob::doStart()
    {44, 894, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//774 Akonadi::CollectionStatisticsJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {44, 1681, 21, 1, Smoke::mf_static, 284, 13},	//775 Akonadi::CollectionStatisticsJob::tr(const char*)
    {44, 1685, 21, 1, Smoke::mf_static, 284, 14},	//776 Akonadi::CollectionStatisticsJob::trUtf8(const char*)
    {44, 149, 61, 1, Smoke::mf_ctor, 68, 15},	//777 Akonadi::CollectionStatisticsJob::CollectionStatisticsJob(const Akonadi::Collection&)
    {44, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 16},	//778 Akonadi::CollectionStatisticsJob::staticMetaObject() const
    {44, 1773, 0, 0, Smoke::mf_dtor, 0, 17 },	//779 Akonadi::CollectionStatisticsJob::~CollectionStatisticsJob()
    {45, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//780 Akonadi::CollectionStatisticsModel::metaObject() const
    {45, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//781 Akonadi::CollectionStatisticsModel::qt_metacast(const char*)
    {45, 1681, 23, 2, Smoke::mf_static, 284, 3},	//782 Akonadi::CollectionStatisticsModel::tr(const char*, const char*)
    {45, 1685, 23, 2, Smoke::mf_static, 284, 4},	//783 Akonadi::CollectionStatisticsModel::trUtf8(const char*, const char*)
    {45, 1681, 26, 3, Smoke::mf_static, 284, 5},	//784 Akonadi::CollectionStatisticsModel::tr(const char*, const char*, int)
    {45, 1685, 26, 3, Smoke::mf_static, 284, 6},	//785 Akonadi::CollectionStatisticsModel::trUtf8(const char*, const char*, int)
    {45, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//786 Akonadi::CollectionStatisticsModel::qt_metacall(QMetaObject::Call, int, void**)
    {45, 152, 78, 1, Smoke::mf_ctor, 69, 8},	//787 Akonadi::CollectionStatisticsModel::CollectionStatisticsModel(QObject*)
    {45, 817, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 460, 9},	//788 Akonadi::CollectionStatisticsModel::columnCount(const QModelIndex&) const
    {45, 871, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 294, 10},	//789 Akonadi::CollectionStatisticsModel::data(const QModelIndex&, int) const
    {45, 1002, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 294, 11},	//790 Akonadi::CollectionStatisticsModel::headerData(int, Qt::Orientation, int) const
    {45, 1681, 21, 1, Smoke::mf_static, 284, 12},	//791 Akonadi::CollectionStatisticsModel::tr(const char*)
    {45, 1685, 21, 1, Smoke::mf_static, 284, 13},	//792 Akonadi::CollectionStatisticsModel::trUtf8(const char*)
    {45, 152, 0, 0, Smoke::mf_ctor, 69, 14},	//793 Akonadi::CollectionStatisticsModel::CollectionStatisticsModel()
    {45, 817, 0, 0, Smoke::mf_const, 460, 15},	//794 Akonadi::CollectionStatisticsModel::columnCount() const
    {45, 871, 95, 1, Smoke::mf_const, 294, 16},	//795 Akonadi::CollectionStatisticsModel::data(const QModelIndex&) const
    {45, 1002, 112, 2, Smoke::mf_const, 294, 17},	//796 Akonadi::CollectionStatisticsModel::headerData(int, Qt::Orientation) const
    {45, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 18},	//797 Akonadi::CollectionStatisticsModel::staticMetaObject() const
    {45, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 19},	//798 Akonadi::CollectionStatisticsModel::UnreadRole (enum)
    {45, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 20},	//799 Akonadi::CollectionStatisticsModel::TotalRole (enum)
    {45, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 21},	//800 Akonadi::CollectionStatisticsModel::StatisticsRole (enum)
    {45, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 22},	//801 Akonadi::CollectionStatisticsModel::RecursiveUnreadRole (enum)
    {45, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 23},	//802 Akonadi::CollectionStatisticsModel::RecursiveTotalRole (enum)
    {45, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 24},	//803 Akonadi::CollectionStatisticsModel::RecursiveStatisticsRole (enum)
    {45, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 25},	//804 Akonadi::CollectionStatisticsModel::SizeRole (enum)
    {45, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 26},	//805 Akonadi::CollectionStatisticsModel::RecursiveSizeRole (enum)
    {45, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 27},	//806 Akonadi::CollectionStatisticsModel::UserRole (enum)
    {45, 1774, 0, 0, Smoke::mf_dtor, 0, 28 },	//807 Akonadi::CollectionStatisticsModel::~CollectionStatisticsModel()
    {46, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//808 Akonadi::CollectionView::metaObject() const
    {46, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//809 Akonadi::CollectionView::qt_metacast(const char*)
    {46, 1681, 23, 2, Smoke::mf_static, 284, 3},	//810 Akonadi::CollectionView::tr(const char*, const char*)
    {46, 1685, 23, 2, Smoke::mf_static, 284, 4},	//811 Akonadi::CollectionView::trUtf8(const char*, const char*)
    {46, 1681, 26, 3, Smoke::mf_static, 284, 5},	//812 Akonadi::CollectionView::tr(const char*, const char*, int)
    {46, 1685, 26, 3, Smoke::mf_static, 284, 6},	//813 Akonadi::CollectionView::trUtf8(const char*, const char*, int)
    {46, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//814 Akonadi::CollectionView::qt_metacall(QMetaObject::Call, int, void**)
    {46, 156, 85, 1, Smoke::mf_ctor, 71, 8},	//815 Akonadi::CollectionView::CollectionView(QWidget*)
    {46, 156, 279, 2, Smoke::mf_ctor, 71, 9},	//816 Akonadi::CollectionView::CollectionView(KXmlGuiWindow*, QWidget*)
    {46, 156, 282, 2, Smoke::mf_ctor, 71, 10},	//817 Akonadi::CollectionView::CollectionView(KXMLGUIClient*, QWidget*)
    {46, 1616, 285, 1, 0, 0, 11},	//818 Akonadi::CollectionView::setXmlGuiWindow(KXmlGuiWindow*)
    {46, 1614, 287, 1, 0, 0, 12},	//819 Akonadi::CollectionView::setXmlGuiClient(KXMLGUIClient*)
    {46, 1518, 159, 1, Smoke::mf_virtual, 0, 13},	//820 Akonadi::CollectionView::setModel(QAbstractItemModel*)
    {46, 770, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//821 Akonadi::CollectionView::clicked(const Akonadi::Collection&)
    {46, 862, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//822 Akonadi::CollectionView::currentChanged(const Akonadi::Collection&)
    {46, 862, 289, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//823 Akonadi::CollectionView::currentChanged(const QModelIndex&, const QModelIndex&)
    {46, 910, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//824 Akonadi::CollectionView::dragMoveEvent(QDragMoveEvent*)
    {46, 908, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//825 Akonadi::CollectionView::dragLeaveEvent(QDragLeaveEvent*)
    {46, 914, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//826 Akonadi::CollectionView::dropEvent(QDropEvent*)
    {46, 843, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//827 Akonadi::CollectionView::contextMenuEvent(QContextMenuEvent*)
    {46, 1681, 21, 1, Smoke::mf_static, 284, 21},	//828 Akonadi::CollectionView::tr(const char*)
    {46, 1685, 21, 1, Smoke::mf_static, 284, 22},	//829 Akonadi::CollectionView::trUtf8(const char*)
    {46, 156, 0, 0, Smoke::mf_ctor, 71, 23},	//830 Akonadi::CollectionView::CollectionView()
    {46, 156, 285, 1, Smoke::mf_ctor, 71, 24},	//831 Akonadi::CollectionView::CollectionView(KXmlGuiWindow*)
    {46, 156, 287, 1, Smoke::mf_ctor, 71, 25},	//832 Akonadi::CollectionView::CollectionView(KXMLGUIClient*)
    {46, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 26},	//833 Akonadi::CollectionView::staticMetaObject() const
    {46, 1775, 0, 0, Smoke::mf_dtor, 0, 27 },	//834 Akonadi::CollectionView::~CollectionView()
    {47, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//835 Akonadi::ContactDefaultActions::metaObject() const
    {47, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//836 Akonadi::ContactDefaultActions::qt_metacast(const char*)
    {47, 1681, 23, 2, Smoke::mf_static, 284, 3},	//837 Akonadi::ContactDefaultActions::tr(const char*, const char*)
    {47, 1685, 23, 2, Smoke::mf_static, 284, 4},	//838 Akonadi::ContactDefaultActions::trUtf8(const char*, const char*)
    {47, 1681, 26, 3, Smoke::mf_static, 284, 5},	//839 Akonadi::ContactDefaultActions::tr(const char*, const char*, int)
    {47, 1685, 26, 3, Smoke::mf_static, 284, 6},	//840 Akonadi::ContactDefaultActions::trUtf8(const char*, const char*, int)
    {47, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//841 Akonadi::ContactDefaultActions::qt_metacall(QMetaObject::Call, int, void**)
    {47, 161, 78, 1, Smoke::mf_ctor, 72, 8},	//842 Akonadi::ContactDefaultActions::ContactDefaultActions(QObject*)
    {47, 830, 78, 1, 0, 0, 9},	//843 Akonadi::ContactDefaultActions::connectToView(QObject*)
    {47, 1624, 148, 1, Smoke::mf_slot, 0, 10},	//844 Akonadi::ContactDefaultActions::showUrl(const KUrl&)
    {47, 1302, 300, 2, Smoke::mf_slot, 0, 11},	//845 Akonadi::ContactDefaultActions::sendEmail(const QString&, const QString&)
    {47, 887, 303, 1, Smoke::mf_slot, 0, 12},	//846 Akonadi::ContactDefaultActions::dialPhoneNumber(const KABC::PhoneNumber&)
    {47, 1306, 303, 1, Smoke::mf_slot, 0, 13},	//847 Akonadi::ContactDefaultActions::sendSms(const KABC::PhoneNumber&)
    {47, 1618, 305, 1, Smoke::mf_slot, 0, 14},	//848 Akonadi::ContactDefaultActions::showAddress(const KABC::Address&)
    {47, 1681, 21, 1, Smoke::mf_static, 284, 15},	//849 Akonadi::ContactDefaultActions::tr(const char*)
    {47, 1685, 21, 1, Smoke::mf_static, 284, 16},	//850 Akonadi::ContactDefaultActions::trUtf8(const char*)
    {47, 161, 0, 0, Smoke::mf_ctor, 72, 17},	//851 Akonadi::ContactDefaultActions::ContactDefaultActions()
    {47, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 18},	//852 Akonadi::ContactDefaultActions::staticMetaObject() const
    {47, 1776, 0, 0, Smoke::mf_dtor, 0, 19 },	//853 Akonadi::ContactDefaultActions::~ContactDefaultActions()
    {48, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//854 Akonadi::ContactEditor::metaObject() const
    {48, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//855 Akonadi::ContactEditor::qt_metacast(const char*)
    {48, 1681, 23, 2, Smoke::mf_static, 284, 3},	//856 Akonadi::ContactEditor::tr(const char*, const char*)
    {48, 1685, 23, 2, Smoke::mf_static, 284, 4},	//857 Akonadi::ContactEditor::trUtf8(const char*, const char*)
    {48, 1681, 26, 3, Smoke::mf_static, 284, 5},	//858 Akonadi::ContactEditor::tr(const char*, const char*, int)
    {48, 1685, 26, 3, Smoke::mf_static, 284, 6},	//859 Akonadi::ContactEditor::trUtf8(const char*, const char*, int)
    {48, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//860 Akonadi::ContactEditor::qt_metacall(QMetaObject::Call, int, void**)
    {48, 163, 307, 2, Smoke::mf_ctor, 73, 8},	//861 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, QWidget*)
    {48, 163, 310, 3, Smoke::mf_ctor, 73, 9},	//862 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*)
    {48, 163, 314, 3, Smoke::mf_ctor, 73, 10},	//863 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, Akonadi::ContactEditor::DisplayMode, QWidget*)
    {48, 1390, 318, 1, 0, 0, 11},	//864 Akonadi::ContactEditor::setContactTemplate(const KABC::Addressee&)
    {48, 1407, 61, 1, 0, 0, 12},	//865 Akonadi::ContactEditor::setDefaultAddressBook(const Akonadi::Collection&)
    {48, 832, 0, 0, 0, 183, 13},	//866 Akonadi::ContactEditor::contact()
    {48, 1141, 56, 1, Smoke::mf_slot, 0, 14},	//867 Akonadi::ContactEditor::loadContact(const Akonadi::Item&)
    {48, 1282, 0, 0, Smoke::mf_slot, 374, 15},	//868 Akonadi::ContactEditor::saveContact()
    {48, 1284, 0, 0, Smoke::mf_slot, 0, 16},	//869 Akonadi::ContactEditor::saveContactInAddressBook()
    {48, 837, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//870 Akonadi::ContactEditor::contactStored(const Akonadi::Item&)
    {48, 941, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//871 Akonadi::ContactEditor::error(const QString&)
    {48, 980, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//872 Akonadi::ContactEditor::finished()
    {48, 1681, 21, 1, Smoke::mf_static, 284, 20},	//873 Akonadi::ContactEditor::tr(const char*)
    {48, 1685, 21, 1, Smoke::mf_static, 284, 21},	//874 Akonadi::ContactEditor::trUtf8(const char*)
    {48, 163, 320, 1, Smoke::mf_ctor, 73, 22},	//875 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode)
    {48, 163, 322, 2, Smoke::mf_ctor, 73, 23},	//876 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*)
    {48, 163, 325, 2, Smoke::mf_ctor, 73, 24},	//877 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, Akonadi::ContactEditor::DisplayMode)
    {48, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 25},	//878 Akonadi::ContactEditor::staticMetaObject() const
    {48, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 26},	//879 Akonadi::ContactEditor::CreateMode (enum)
    {48, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 27},	//880 Akonadi::ContactEditor::EditMode (enum)
    {48, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 28},	//881 Akonadi::ContactEditor::FullMode (enum)
    {48, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 29},	//882 Akonadi::ContactEditor::VCardMode (enum)
    {48, 1777, 0, 0, Smoke::mf_dtor, 0, 30 },	//883 Akonadi::ContactEditor::~ContactEditor()
    {49, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//884 Akonadi::ContactEditorDialog::metaObject() const
    {49, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//885 Akonadi::ContactEditorDialog::qt_metacast(const char*)
    {49, 1681, 23, 2, Smoke::mf_static, 284, 3},	//886 Akonadi::ContactEditorDialog::tr(const char*, const char*)
    {49, 1685, 23, 2, Smoke::mf_static, 284, 4},	//887 Akonadi::ContactEditorDialog::trUtf8(const char*, const char*)
    {49, 1681, 26, 3, Smoke::mf_static, 284, 5},	//888 Akonadi::ContactEditorDialog::tr(const char*, const char*, int)
    {49, 1685, 26, 3, Smoke::mf_static, 284, 6},	//889 Akonadi::ContactEditorDialog::trUtf8(const char*, const char*, int)
    {49, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//890 Akonadi::ContactEditorDialog::qt_metacall(QMetaObject::Call, int, void**)
    {49, 169, 328, 2, Smoke::mf_ctor, 76, 8},	//891 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, QWidget*)
    {49, 169, 331, 3, Smoke::mf_ctor, 76, 9},	//892 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*)
    {49, 169, 335, 3, Smoke::mf_ctor, 76, 10},	//893 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, Akonadi::ContactEditorDialog::DisplayMode, QWidget*)
    {49, 1380, 56, 1, 0, 0, 11},	//894 Akonadi::ContactEditorDialog::setContact(const Akonadi::Item&)
    {49, 1407, 61, 1, 0, 0, 12},	//895 Akonadi::ContactEditorDialog::setDefaultAddressBook(const Akonadi::Collection&)
    {49, 924, 0, 0, Smoke::mf_const, 73, 13},	//896 Akonadi::ContactEditorDialog::editor() const
    {49, 837, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//897 Akonadi::ContactEditorDialog::contactStored(const Akonadi::Item&)
    {49, 941, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//898 Akonadi::ContactEditorDialog::error(const QString&)
    {49, 670, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 16},	//899 Akonadi::ContactEditorDialog::accept()
    {49, 1681, 21, 1, Smoke::mf_static, 284, 17},	//900 Akonadi::ContactEditorDialog::tr(const char*)
    {49, 1685, 21, 1, Smoke::mf_static, 284, 18},	//901 Akonadi::ContactEditorDialog::trUtf8(const char*)
    {49, 169, 339, 1, Smoke::mf_ctor, 76, 19},	//902 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode)
    {49, 169, 341, 2, Smoke::mf_ctor, 76, 20},	//903 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*)
    {49, 169, 344, 2, Smoke::mf_ctor, 76, 21},	//904 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, Akonadi::ContactEditorDialog::DisplayMode)
    {49, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 22},	//905 Akonadi::ContactEditorDialog::staticMetaObject() const
    {49, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 23},	//906 Akonadi::ContactEditorDialog::CreateMode (enum)
    {49, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 24},	//907 Akonadi::ContactEditorDialog::EditMode (enum)
    {49, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 25},	//908 Akonadi::ContactEditorDialog::FullMode (enum)
    {49, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 26},	//909 Akonadi::ContactEditorDialog::VCardMode (enum)
    {49, 1778, 0, 0, Smoke::mf_dtor, 0, 27 },	//910 Akonadi::ContactEditorDialog::~ContactEditorDialog()
    {50, 1679, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 284, 1},	//911 Akonadi::ContactEditorPagePlugin::title() const [pure virtual]
    {50, 1141, 318, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//912 Akonadi::ContactEditorPagePlugin::loadContact(const KABC::Addressee&) [pure virtual]
    {50, 1657, 347, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//913 Akonadi::ContactEditorPagePlugin::storeContact(KABC::Addressee&) const [pure virtual]
    {50, 1555, 45, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//914 Akonadi::ContactEditorPagePlugin::setReadOnly(bool) [pure virtual]
    {50, 175, 0, 0, Smoke::mf_ctor, 79, 5},	//915 Akonadi::ContactEditorPagePlugin::ContactEditorPagePlugin()
    {50, 1779, 0, 0, Smoke::mf_dtor, 0, 6 },	//916 Akonadi::ContactEditorPagePlugin::~ContactEditorPagePlugin()
    {51, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//917 Akonadi::ContactGroupEditor::metaObject() const
    {51, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//918 Akonadi::ContactGroupEditor::qt_metacast(const char*)
    {51, 1681, 23, 2, Smoke::mf_static, 284, 3},	//919 Akonadi::ContactGroupEditor::tr(const char*, const char*)
    {51, 1685, 23, 2, Smoke::mf_static, 284, 4},	//920 Akonadi::ContactGroupEditor::trUtf8(const char*, const char*)
    {51, 1681, 26, 3, Smoke::mf_static, 284, 5},	//921 Akonadi::ContactGroupEditor::tr(const char*, const char*, int)
    {51, 1685, 26, 3, Smoke::mf_static, 284, 6},	//922 Akonadi::ContactGroupEditor::trUtf8(const char*, const char*, int)
    {51, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//923 Akonadi::ContactGroupEditor::qt_metacall(QMetaObject::Call, int, void**)
    {51, 176, 349, 2, Smoke::mf_ctor, 80, 8},	//924 Akonadi::ContactGroupEditor::ContactGroupEditor(Akonadi::ContactGroupEditor::Mode, QWidget*)
    {51, 1388, 352, 1, 0, 0, 9},	//925 Akonadi::ContactGroupEditor::setContactGroupTemplate(const KABC::ContactGroup&)
    {51, 1407, 61, 1, 0, 0, 10},	//926 Akonadi::ContactGroupEditor::setDefaultAddressBook(const Akonadi::Collection&)
    {51, 992, 45, 1, 0, 0, 11},	//927 Akonadi::ContactGroupEditor::groupNameIsValid(bool)
    {51, 1143, 56, 1, Smoke::mf_slot, 0, 12},	//928 Akonadi::ContactGroupEditor::loadContactGroup(const Akonadi::Item&)
    {51, 1283, 0, 0, Smoke::mf_slot, 374, 13},	//929 Akonadi::ContactGroupEditor::saveContactGroup()
    {51, 834, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//930 Akonadi::ContactGroupEditor::contactGroupStored(const Akonadi::Item&)
    {51, 941, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//931 Akonadi::ContactGroupEditor::error(const QString&)
    {51, 1681, 21, 1, Smoke::mf_static, 284, 16},	//932 Akonadi::ContactGroupEditor::tr(const char*)
    {51, 1685, 21, 1, Smoke::mf_static, 284, 17},	//933 Akonadi::ContactGroupEditor::trUtf8(const char*)
    {51, 176, 354, 1, Smoke::mf_ctor, 80, 18},	//934 Akonadi::ContactGroupEditor::ContactGroupEditor(Akonadi::ContactGroupEditor::Mode)
    {51, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 19},	//935 Akonadi::ContactGroupEditor::staticMetaObject() const
    {51, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 20},	//936 Akonadi::ContactGroupEditor::CreateMode (enum)
    {51, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 21},	//937 Akonadi::ContactGroupEditor::EditMode (enum)
    {51, 1780, 0, 0, Smoke::mf_dtor, 0, 22 },	//938 Akonadi::ContactGroupEditor::~ContactGroupEditor()
    {52, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//939 Akonadi::ContactGroupEditorDialog::metaObject() const
    {52, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//940 Akonadi::ContactGroupEditorDialog::qt_metacast(const char*)
    {52, 1681, 23, 2, Smoke::mf_static, 284, 3},	//941 Akonadi::ContactGroupEditorDialog::tr(const char*, const char*)
    {52, 1685, 23, 2, Smoke::mf_static, 284, 4},	//942 Akonadi::ContactGroupEditorDialog::trUtf8(const char*, const char*)
    {52, 1681, 26, 3, Smoke::mf_static, 284, 5},	//943 Akonadi::ContactGroupEditorDialog::tr(const char*, const char*, int)
    {52, 1685, 26, 3, Smoke::mf_static, 284, 6},	//944 Akonadi::ContactGroupEditorDialog::trUtf8(const char*, const char*, int)
    {52, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//945 Akonadi::ContactGroupEditorDialog::qt_metacall(QMetaObject::Call, int, void**)
    {52, 179, 356, 2, Smoke::mf_ctor, 82, 8},	//946 Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog(Akonadi::ContactGroupEditorDialog::Mode, QWidget*)
    {52, 1384, 56, 1, 0, 0, 9},	//947 Akonadi::ContactGroupEditorDialog::setContactGroup(const Akonadi::Item&)
    {52, 1407, 61, 1, 0, 0, 10},	//948 Akonadi::ContactGroupEditorDialog::setDefaultAddressBook(const Akonadi::Collection&)
    {52, 924, 0, 0, Smoke::mf_const, 80, 11},	//949 Akonadi::ContactGroupEditorDialog::editor() const
    {52, 834, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//950 Akonadi::ContactGroupEditorDialog::contactGroupStored(const Akonadi::Item&)
    {52, 1630, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//951 Akonadi::ContactGroupEditorDialog::slotButtonClicked(int)
    {52, 1681, 21, 1, Smoke::mf_static, 284, 14},	//952 Akonadi::ContactGroupEditorDialog::tr(const char*)
    {52, 1685, 21, 1, Smoke::mf_static, 284, 15},	//953 Akonadi::ContactGroupEditorDialog::trUtf8(const char*)
    {52, 179, 359, 1, Smoke::mf_ctor, 82, 16},	//954 Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog(Akonadi::ContactGroupEditorDialog::Mode)
    {52, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 17},	//955 Akonadi::ContactGroupEditorDialog::staticMetaObject() const
    {52, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 18},	//956 Akonadi::ContactGroupEditorDialog::CreateMode (enum)
    {52, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 19},	//957 Akonadi::ContactGroupEditorDialog::EditMode (enum)
    {52, 1781, 0, 0, Smoke::mf_dtor, 0, 20 },	//958 Akonadi::ContactGroupEditorDialog::~ContactGroupEditorDialog()
    {53, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//959 Akonadi::ContactGroupExpandJob::metaObject() const
    {53, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//960 Akonadi::ContactGroupExpandJob::qt_metacast(const char*)
    {53, 1681, 23, 2, Smoke::mf_static, 284, 3},	//961 Akonadi::ContactGroupExpandJob::tr(const char*, const char*)
    {53, 1685, 23, 2, Smoke::mf_static, 284, 4},	//962 Akonadi::ContactGroupExpandJob::trUtf8(const char*, const char*)
    {53, 1681, 26, 3, Smoke::mf_static, 284, 5},	//963 Akonadi::ContactGroupExpandJob::tr(const char*, const char*, int)
    {53, 1685, 26, 3, Smoke::mf_static, 284, 6},	//964 Akonadi::ContactGroupExpandJob::trUtf8(const char*, const char*, int)
    {53, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//965 Akonadi::ContactGroupExpandJob::qt_metacall(QMetaObject::Call, int, void**)
    {53, 182, 361, 2, Smoke::mf_ctor, 84, 8},	//966 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const KABC::ContactGroup&, QObject*)
    {53, 182, 90, 2, Smoke::mf_ctor, 84, 9},	//967 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const QString&, QObject*)
    {53, 839, 0, 0, Smoke::mf_const, 185, 10},	//968 Akonadi::ContactGroupExpandJob::contacts() const
    {53, 1639, 0, 0, Smoke::mf_virtual, 0, 11},	//969 Akonadi::ContactGroupExpandJob::start()
    {53, 1681, 21, 1, Smoke::mf_static, 284, 12},	//970 Akonadi::ContactGroupExpandJob::tr(const char*)
    {53, 1685, 21, 1, Smoke::mf_static, 284, 13},	//971 Akonadi::ContactGroupExpandJob::trUtf8(const char*)
    {53, 182, 352, 1, Smoke::mf_ctor, 84, 14},	//972 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const KABC::ContactGroup&)
    {53, 182, 8, 1, Smoke::mf_ctor, 84, 15},	//973 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const QString&)
    {53, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 16},	//974 Akonadi::ContactGroupExpandJob::staticMetaObject() const
    {53, 1782, 0, 0, Smoke::mf_dtor, 0, 17 },	//975 Akonadi::ContactGroupExpandJob::~ContactGroupExpandJob()
    {54, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//976 Akonadi::ContactGroupSearchJob::metaObject() const
    {54, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//977 Akonadi::ContactGroupSearchJob::qt_metacast(const char*)
    {54, 1681, 23, 2, Smoke::mf_static, 284, 3},	//978 Akonadi::ContactGroupSearchJob::tr(const char*, const char*)
    {54, 1685, 23, 2, Smoke::mf_static, 284, 4},	//979 Akonadi::ContactGroupSearchJob::trUtf8(const char*, const char*)
    {54, 1681, 26, 3, Smoke::mf_static, 284, 5},	//980 Akonadi::ContactGroupSearchJob::tr(const char*, const char*, int)
    {54, 1685, 26, 3, Smoke::mf_static, 284, 6},	//981 Akonadi::ContactGroupSearchJob::trUtf8(const char*, const char*, int)
    {54, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//982 Akonadi::ContactGroupSearchJob::qt_metacall(QMetaObject::Call, int, void**)
    {54, 187, 78, 1, Smoke::mf_ctor, 85, 8},	//983 Akonadi::ContactGroupSearchJob::ContactGroupSearchJob(QObject*)
    {54, 1547, 364, 2, 0, 0, 9},	//984 Akonadi::ContactGroupSearchJob::setQuery(Akonadi::ContactGroupSearchJob::Criterion, const QString&)
    {54, 1547, 367, 3, 0, 0, 10},	//985 Akonadi::ContactGroupSearchJob::setQuery(Akonadi::ContactGroupSearchJob::Criterion, const QString&, Akonadi::ContactGroupSearchJob::Match)
    {54, 1502, 41, 1, 0, 0, 11},	//986 Akonadi::ContactGroupSearchJob::setLimit(int)
    {54, 836, 0, 0, Smoke::mf_const, 260, 12},	//987 Akonadi::ContactGroupSearchJob::contactGroups() const
    {54, 1681, 21, 1, Smoke::mf_static, 284, 13},	//988 Akonadi::ContactGroupSearchJob::tr(const char*)
    {54, 1685, 21, 1, Smoke::mf_static, 284, 14},	//989 Akonadi::ContactGroupSearchJob::trUtf8(const char*)
    {54, 187, 0, 0, Smoke::mf_ctor, 85, 15},	//990 Akonadi::ContactGroupSearchJob::ContactGroupSearchJob()
    {54, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 16},	//991 Akonadi::ContactGroupSearchJob::staticMetaObject() const
    {54, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 17},	//992 Akonadi::ContactGroupSearchJob::Name (enum)
    {54, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 18},	//993 Akonadi::ContactGroupSearchJob::ExactMatch (enum)
    {54, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 19},	//994 Akonadi::ContactGroupSearchJob::StartsWithMatch (enum)
    {54, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 20},	//995 Akonadi::ContactGroupSearchJob::ContainsMatch (enum)
    {54, 1783, 0, 0, Smoke::mf_dtor, 0, 21 },	//996 Akonadi::ContactGroupSearchJob::~ContactGroupSearchJob()
    {55, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//997 Akonadi::ContactGroupViewer::metaObject() const
    {55, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//998 Akonadi::ContactGroupViewer::qt_metacast(const char*)
    {55, 1681, 23, 2, Smoke::mf_static, 284, 3},	//999 Akonadi::ContactGroupViewer::tr(const char*, const char*)
    {55, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1000 Akonadi::ContactGroupViewer::trUtf8(const char*, const char*)
    {55, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1001 Akonadi::ContactGroupViewer::tr(const char*, const char*, int)
    {55, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1002 Akonadi::ContactGroupViewer::trUtf8(const char*, const char*, int)
    {55, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1003 Akonadi::ContactGroupViewer::qt_metacall(QMetaObject::Call, int, void**)
    {55, 189, 85, 1, Smoke::mf_ctor, 88, 8},	//1004 Akonadi::ContactGroupViewer::ContactGroupViewer(QWidget*)
    {55, 833, 0, 0, Smoke::mf_const, 115, 9},	//1005 Akonadi::ContactGroupViewer::contactGroup() const
    {55, 1386, 371, 1, 0, 0, 10},	//1006 Akonadi::ContactGroupViewer::setContactGroupFormatter(Akonadi::AbstractContactGroupFormatter*)
    {55, 1384, 56, 1, Smoke::mf_slot, 0, 11},	//1007 Akonadi::ContactGroupViewer::setContactGroup(const Akonadi::Item&)
    {55, 927, 300, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//1008 Akonadi::ContactGroupViewer::emailClicked(const QString&, const QString&)
    {55, 1681, 21, 1, Smoke::mf_static, 284, 13},	//1009 Akonadi::ContactGroupViewer::tr(const char*)
    {55, 1685, 21, 1, Smoke::mf_static, 284, 14},	//1010 Akonadi::ContactGroupViewer::trUtf8(const char*)
    {55, 189, 0, 0, Smoke::mf_ctor, 88, 15},	//1011 Akonadi::ContactGroupViewer::ContactGroupViewer()
    {55, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 16},	//1012 Akonadi::ContactGroupViewer::staticMetaObject() const
    {55, 1784, 0, 0, Smoke::mf_dtor, 0, 17 },	//1013 Akonadi::ContactGroupViewer::~ContactGroupViewer()
    {56, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1014 Akonadi::ContactGroupViewerDialog::metaObject() const
    {56, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1015 Akonadi::ContactGroupViewerDialog::qt_metacast(const char*)
    {56, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1016 Akonadi::ContactGroupViewerDialog::tr(const char*, const char*)
    {56, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1017 Akonadi::ContactGroupViewerDialog::trUtf8(const char*, const char*)
    {56, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1018 Akonadi::ContactGroupViewerDialog::tr(const char*, const char*, int)
    {56, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1019 Akonadi::ContactGroupViewerDialog::trUtf8(const char*, const char*, int)
    {56, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1020 Akonadi::ContactGroupViewerDialog::qt_metacall(QMetaObject::Call, int, void**)
    {56, 191, 85, 1, Smoke::mf_ctor, 89, 8},	//1021 Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog(QWidget*)
    {56, 833, 0, 0, Smoke::mf_const, 115, 9},	//1022 Akonadi::ContactGroupViewerDialog::contactGroup() const
    {56, 1719, 0, 0, Smoke::mf_const, 88, 10},	//1023 Akonadi::ContactGroupViewerDialog::viewer() const
    {56, 1384, 56, 1, Smoke::mf_slot, 0, 11},	//1024 Akonadi::ContactGroupViewerDialog::setContactGroup(const Akonadi::Item&)
    {56, 1681, 21, 1, Smoke::mf_static, 284, 12},	//1025 Akonadi::ContactGroupViewerDialog::tr(const char*)
    {56, 1685, 21, 1, Smoke::mf_static, 284, 13},	//1026 Akonadi::ContactGroupViewerDialog::trUtf8(const char*)
    {56, 191, 0, 0, Smoke::mf_ctor, 89, 14},	//1027 Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog()
    {56, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 15},	//1028 Akonadi::ContactGroupViewerDialog::staticMetaObject() const
    {56, 1785, 0, 0, Smoke::mf_dtor, 0, 16 },	//1029 Akonadi::ContactGroupViewerDialog::~ContactGroupViewerDialog()
    {57, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1030 Akonadi::ContactSearchJob::metaObject() const
    {57, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1031 Akonadi::ContactSearchJob::qt_metacast(const char*)
    {57, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1032 Akonadi::ContactSearchJob::tr(const char*, const char*)
    {57, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1033 Akonadi::ContactSearchJob::trUtf8(const char*, const char*)
    {57, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1034 Akonadi::ContactSearchJob::tr(const char*, const char*, int)
    {57, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1035 Akonadi::ContactSearchJob::trUtf8(const char*, const char*, int)
    {57, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1036 Akonadi::ContactSearchJob::qt_metacall(QMetaObject::Call, int, void**)
    {57, 193, 78, 1, Smoke::mf_ctor, 90, 8},	//1037 Akonadi::ContactSearchJob::ContactSearchJob(QObject*)
    {57, 1547, 373, 2, 0, 0, 9},	//1038 Akonadi::ContactSearchJob::setQuery(Akonadi::ContactSearchJob::Criterion, const QString&)
    {57, 1547, 376, 3, 0, 0, 10},	//1039 Akonadi::ContactSearchJob::setQuery(Akonadi::ContactSearchJob::Criterion, const QString&, Akonadi::ContactSearchJob::Match)
    {57, 1502, 41, 1, 0, 0, 11},	//1040 Akonadi::ContactSearchJob::setLimit(int)
    {57, 839, 0, 0, Smoke::mf_const, 185, 12},	//1041 Akonadi::ContactSearchJob::contacts() const
    {57, 1681, 21, 1, Smoke::mf_static, 284, 13},	//1042 Akonadi::ContactSearchJob::tr(const char*)
    {57, 1685, 21, 1, Smoke::mf_static, 284, 14},	//1043 Akonadi::ContactSearchJob::trUtf8(const char*)
    {57, 193, 0, 0, Smoke::mf_ctor, 90, 15},	//1044 Akonadi::ContactSearchJob::ContactSearchJob()
    {57, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 16},	//1045 Akonadi::ContactSearchJob::staticMetaObject() const
    {57, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 17},	//1046 Akonadi::ContactSearchJob::Name (enum)
    {57, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 18},	//1047 Akonadi::ContactSearchJob::Email (enum)
    {57, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 19},	//1048 Akonadi::ContactSearchJob::NickName (enum)
    {57, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 20},	//1049 Akonadi::ContactSearchJob::NameOrEmail (enum)
    {57, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 21},	//1050 Akonadi::ContactSearchJob::ContactUid (enum)
    {57, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 22},	//1051 Akonadi::ContactSearchJob::ExactMatch (enum)
    {57, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 23},	//1052 Akonadi::ContactSearchJob::StartsWithMatch (enum)
    {57, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 24},	//1053 Akonadi::ContactSearchJob::ContainsMatch (enum)
    {57, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 25},	//1054 Akonadi::ContactSearchJob::ContainsWordBoundaryMatch (enum)
    {57, 1786, 0, 0, Smoke::mf_dtor, 0, 26 },	//1055 Akonadi::ContactSearchJob::~ContactSearchJob()
    {58, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1056 Akonadi::ContactViewer::metaObject() const
    {58, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1057 Akonadi::ContactViewer::qt_metacast(const char*)
    {58, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1058 Akonadi::ContactViewer::tr(const char*, const char*)
    {58, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1059 Akonadi::ContactViewer::trUtf8(const char*, const char*)
    {58, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1060 Akonadi::ContactViewer::tr(const char*, const char*, int)
    {58, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1061 Akonadi::ContactViewer::trUtf8(const char*, const char*, int)
    {58, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1062 Akonadi::ContactViewer::qt_metacall(QMetaObject::Call, int, void**)
    {58, 196, 85, 1, Smoke::mf_ctor, 93, 8},	//1063 Akonadi::ContactViewer::ContactViewer(QWidget*)
    {58, 832, 0, 0, Smoke::mf_const, 115, 9},	//1064 Akonadi::ContactViewer::contact() const
    {58, 1229, 0, 0, Smoke::mf_const, 183, 10},	//1065 Akonadi::ContactViewer::rawContact() const
    {58, 1382, 380, 1, 0, 0, 11},	//1066 Akonadi::ContactViewer::setContactFormatter(Akonadi::AbstractContactFormatter*)
    {58, 1380, 56, 1, Smoke::mf_slot, 0, 12},	//1067 Akonadi::ContactViewer::setContact(const Akonadi::Item&)
    {58, 1553, 318, 1, Smoke::mf_slot, 0, 13},	//1068 Akonadi::ContactViewer::setRawContact(const KABC::Addressee&)
    {58, 1710, 148, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1069 Akonadi::ContactViewer::urlClicked(const KUrl&)
    {58, 927, 300, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1070 Akonadi::ContactViewer::emailClicked(const QString&, const QString&)
    {58, 1218, 303, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1071 Akonadi::ContactViewer::phoneNumberClicked(const KABC::PhoneNumber&)
    {58, 1635, 303, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1072 Akonadi::ContactViewer::smsClicked(const KABC::PhoneNumber&)
    {58, 704, 305, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1073 Akonadi::ContactViewer::addressClicked(const KABC::Address&)
    {58, 1681, 21, 1, Smoke::mf_static, 284, 19},	//1074 Akonadi::ContactViewer::tr(const char*)
    {58, 1685, 21, 1, Smoke::mf_static, 284, 20},	//1075 Akonadi::ContactViewer::trUtf8(const char*)
    {58, 196, 0, 0, Smoke::mf_ctor, 93, 21},	//1076 Akonadi::ContactViewer::ContactViewer()
    {58, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 22},	//1077 Akonadi::ContactViewer::staticMetaObject() const
    {58, 1787, 0, 0, Smoke::mf_dtor, 0, 23 },	//1078 Akonadi::ContactViewer::~ContactViewer()
    {59, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1079 Akonadi::ContactViewerDialog::metaObject() const
    {59, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1080 Akonadi::ContactViewerDialog::qt_metacast(const char*)
    {59, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1081 Akonadi::ContactViewerDialog::tr(const char*, const char*)
    {59, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1082 Akonadi::ContactViewerDialog::trUtf8(const char*, const char*)
    {59, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1083 Akonadi::ContactViewerDialog::tr(const char*, const char*, int)
    {59, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1084 Akonadi::ContactViewerDialog::trUtf8(const char*, const char*, int)
    {59, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1085 Akonadi::ContactViewerDialog::qt_metacall(QMetaObject::Call, int, void**)
    {59, 198, 85, 1, Smoke::mf_ctor, 94, 8},	//1086 Akonadi::ContactViewerDialog::ContactViewerDialog(QWidget*)
    {59, 832, 0, 0, Smoke::mf_const, 115, 9},	//1087 Akonadi::ContactViewerDialog::contact() const
    {59, 1719, 0, 0, Smoke::mf_const, 93, 10},	//1088 Akonadi::ContactViewerDialog::viewer() const
    {59, 1380, 56, 1, Smoke::mf_slot, 0, 11},	//1089 Akonadi::ContactViewerDialog::setContact(const Akonadi::Item&)
    {59, 1681, 21, 1, Smoke::mf_static, 284, 12},	//1090 Akonadi::ContactViewerDialog::tr(const char*)
    {59, 1685, 21, 1, Smoke::mf_static, 284, 13},	//1091 Akonadi::ContactViewerDialog::trUtf8(const char*)
    {59, 198, 0, 0, Smoke::mf_ctor, 94, 14},	//1092 Akonadi::ContactViewerDialog::ContactViewerDialog()
    {59, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 15},	//1093 Akonadi::ContactViewerDialog::staticMetaObject() const
    {59, 1788, 0, 0, Smoke::mf_dtor, 0, 16 },	//1094 Akonadi::ContactViewerDialog::~ContactViewerDialog()
    {60, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1095 Akonadi::Control::metaObject() const
    {60, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1096 Akonadi::Control::qt_metacast(const char*)
    {60, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1097 Akonadi::Control::tr(const char*, const char*)
    {60, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1098 Akonadi::Control::trUtf8(const char*, const char*)
    {60, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1099 Akonadi::Control::tr(const char*, const char*, int)
    {60, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1100 Akonadi::Control::trUtf8(const char*, const char*, int)
    {60, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1101 Akonadi::Control::qt_metacall(QMetaObject::Call, int, void**)
    {60, 1639, 0, 0, Smoke::mf_static, 374, 8},	//1102 Akonadi::Control::start()
    {60, 1639, 85, 1, Smoke::mf_static, 374, 9},	//1103 Akonadi::Control::start(QWidget*)
    {60, 1653, 0, 0, Smoke::mf_static, 374, 10},	//1104 Akonadi::Control::stop()
    {60, 1653, 85, 1, Smoke::mf_static, 374, 11},	//1105 Akonadi::Control::stop(QWidget*)
    {60, 1259, 0, 0, Smoke::mf_static, 374, 12},	//1106 Akonadi::Control::restart()
    {60, 1259, 85, 1, Smoke::mf_static, 374, 13},	//1107 Akonadi::Control::restart(QWidget*)
    {60, 1730, 85, 1, Smoke::mf_static, 0, 14},	//1108 Akonadi::Control::widgetNeedsAkonadi(QWidget*)
    {60, 203, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 95, 15},	//1109 Akonadi::Control::Control()
    {60, 1681, 21, 1, Smoke::mf_static, 284, 16},	//1110 Akonadi::Control::tr(const char*)
    {60, 1685, 21, 1, Smoke::mf_static, 284, 17},	//1111 Akonadi::Control::trUtf8(const char*)
    {60, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 18},	//1112 Akonadi::Control::staticMetaObject() const
    {60, 1789, 0, 0, Smoke::mf_dtor, 0, 19 },	//1113 Akonadi::Control::~Control()
    {61, 1462, 146, 1, 0, 0, 1},	//1114 Akonadi::Entity::setId(long long)
    {61, 1013, 0, 0, Smoke::mf_const, 463, 2},	//1115 Akonadi::Entity::id() const
    {61, 1557, 8, 1, 0, 0, 3},	//1116 Akonadi::Entity::setRemoteId(const QString&)
    {61, 1238, 0, 0, Smoke::mf_const, 284, 4},	//1117 Akonadi::Entity::remoteId() const
    {61, 1559, 8, 1, 0, 0, 5},	//1118 Akonadi::Entity::setRemoteRevision(const QString&)
    {61, 1239, 0, 0, Smoke::mf_const, 284, 6},	//1119 Akonadi::Entity::remoteRevision() const
    {61, 1077, 0, 0, Smoke::mf_const, 374, 7},	//1120 Akonadi::Entity::isValid() const
    {61, 1196, 382, 1, Smoke::mf_const, 374, 8},	//1121 Akonadi::Entity::operator==(const Akonadi::Entity&) const
    {61, 1190, 382, 1, Smoke::mf_const, 374, 9},	//1122 Akonadi::Entity::operator!=(const Akonadi::Entity&) const
    {61, 1194, 382, 1, 0, 96, 10},	//1123 Akonadi::Entity::operator=(const Akonadi::Entity&)
    {61, 1192, 382, 1, Smoke::mf_const, 374, 11},	//1124 Akonadi::Entity::operator<(const Akonadi::Entity&) const
    {61, 1208, 0, 0, Smoke::mf_const, 34, 12},	//1125 Akonadi::Entity::parentCollection() const
    {61, 1208, 0, 0, 0, 35, 13},	//1126 Akonadi::Entity::parentCollection()
    {61, 1536, 61, 1, 0, 0, 14},	//1127 Akonadi::Entity::setParentCollection(const Akonadi::Collection&)
    {61, 680, 384, 1, 0, 0, 15},	//1128 Akonadi::Entity::addAttribute(Akonadi::Attribute*)
    {61, 1240, 6, 1, 0, 0, 16},	//1129 Akonadi::Entity::removeAttribute(const QByteArray&)
    {61, 994, 6, 1, Smoke::mf_const, 374, 17},	//1130 Akonadi::Entity::hasAttribute(const QByteArray&) const
    {61, 725, 0, 0, Smoke::mf_const, 255, 18},	//1131 Akonadi::Entity::attributes() const
    {61, 762, 0, 0, 0, 0, 19},	//1132 Akonadi::Entity::clearAttributes()
    {61, 723, 6, 1, Smoke::mf_const, 27, 20},	//1133 Akonadi::Entity::attribute(const QByteArray&) const
    {61, 244, 382, 1, Smoke::mf_ctor|Smoke::mf_protected|Smoke::mf_copyctor, 97, 21},	//1134 Akonadi::Entity::Entity(const Akonadi::Entity&)
    {61, 244, 386, 1, Smoke::mf_ctor|Smoke::mf_protected, 97, 22},	//1135 Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    {61, 870, 0, 0, Smoke::mf_protected, 103, 23},	//1136 Akonadi::Entity::d_func()
    {61, 870, 0, 0, Smoke::mf_const|Smoke::mf_protected, 397, 24},	//1137 Akonadi::Entity::d_func() const
    {61, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 25},	//1138 Akonadi::Entity::AddIfMissing (enum)
    {61, 1790, 0, 0, Smoke::mf_dtor, 0, 26 },	//1139 Akonadi::Entity::~Entity()
    {62, 246, 0, 0, Smoke::mf_ctor, 99, 1},	//1140 Akonadi::EntityDisplayAttribute::EntityDisplayAttribute()
    {62, 1415, 8, 1, 0, 0, 2},	//1141 Akonadi::EntityDisplayAttribute::setDisplayName(const QString&)
    {62, 892, 0, 0, Smoke::mf_const, 284, 3},	//1142 Akonadi::EntityDisplayAttribute::displayName() const
    {62, 1460, 8, 1, 0, 0, 4},	//1143 Akonadi::EntityDisplayAttribute::setIconName(const QString&)
    {62, 1011, 0, 0, Smoke::mf_const, 204, 5},	//1144 Akonadi::EntityDisplayAttribute::icon() const
    {62, 1012, 0, 0, Smoke::mf_const, 284, 6},	//1145 Akonadi::EntityDisplayAttribute::iconName() const
    {62, 1319, 8, 1, 0, 0, 7},	//1146 Akonadi::EntityDisplayAttribute::setActiveIconName(const QString&)
    {62, 678, 0, 0, Smoke::mf_const, 204, 8},	//1147 Akonadi::EntityDisplayAttribute::activeIcon() const
    {62, 679, 0, 0, Smoke::mf_const, 284, 9},	//1148 Akonadi::EntityDisplayAttribute::activeIconName() const
    {62, 732, 0, 0, Smoke::mf_const, 223, 10},	//1149 Akonadi::EntityDisplayAttribute::backgroundColor() const
    {62, 1332, 388, 1, 0, 0, 11},	//1150 Akonadi::EntityDisplayAttribute::setBackgroundColor(const QColor&)
    {62, 1689, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 12},	//1151 Akonadi::EntityDisplayAttribute::type() const
    {62, 772, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 99, 13},	//1152 Akonadi::EntityDisplayAttribute::clone() const
    {62, 1310, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 14},	//1153 Akonadi::EntityDisplayAttribute::serialized() const
    {62, 882, 6, 1, Smoke::mf_virtual, 0, 15},	//1154 Akonadi::EntityDisplayAttribute::deserialize(const QByteArray&)
    {62, 246, 390, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 99, 16},	//1155 Akonadi::EntityDisplayAttribute::EntityDisplayAttribute(const Akonadi::EntityDisplayAttribute&)
    {62, 1791, 0, 0, Smoke::mf_dtor, 0, 17 },	//1156 Akonadi::EntityDisplayAttribute::~EntityDisplayAttribute()
    {63, 248, 0, 0, Smoke::mf_ctor, 100, 1},	//1157 Akonadi::EntityHiddenAttribute::EntityHiddenAttribute()
    {63, 1689, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 2},	//1158 Akonadi::EntityHiddenAttribute::type() const
    {63, 772, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 100, 3},	//1159 Akonadi::EntityHiddenAttribute::clone() const
    {63, 1310, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 4},	//1160 Akonadi::EntityHiddenAttribute::serialized() const
    {63, 882, 6, 1, Smoke::mf_virtual, 0, 5},	//1161 Akonadi::EntityHiddenAttribute::deserialize(const QByteArray&)
    {63, 248, 392, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 100, 6},	//1162 Akonadi::EntityHiddenAttribute::EntityHiddenAttribute(const Akonadi::EntityHiddenAttribute&)
    {63, 1792, 0, 0, Smoke::mf_dtor, 0, 7 },	//1163 Akonadi::EntityHiddenAttribute::~EntityHiddenAttribute()
    {64, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1164 Akonadi::EntityListView::metaObject() const
    {64, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1165 Akonadi::EntityListView::qt_metacast(const char*)
    {64, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1166 Akonadi::EntityListView::tr(const char*, const char*)
    {64, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1167 Akonadi::EntityListView::trUtf8(const char*, const char*)
    {64, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1168 Akonadi::EntityListView::tr(const char*, const char*, int)
    {64, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1169 Akonadi::EntityListView::trUtf8(const char*, const char*, int)
    {64, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1170 Akonadi::EntityListView::qt_metacall(QMetaObject::Call, int, void**)
    {64, 250, 85, 1, Smoke::mf_ctor, 101, 8},	//1171 Akonadi::EntityListView::EntityListView(QWidget*)
    {64, 250, 282, 2, Smoke::mf_ctor, 101, 9},	//1172 Akonadi::EntityListView::EntityListView(KXMLGUIClient*, QWidget*)
    {64, 1614, 287, 1, 0, 0, 10},	//1173 Akonadi::EntityListView::setXmlGuiClient(KXMLGUIClient*)
    {64, 1737, 0, 0, Smoke::mf_const, 209, 11},	//1174 Akonadi::EntityListView::xmlGuiClient() const
    {64, 1518, 159, 1, Smoke::mf_virtual, 0, 12},	//1175 Akonadi::EntityListView::setModel(QAbstractItemModel*)
    {64, 1417, 45, 1, 0, 0, 13},	//1176 Akonadi::EntityListView::setDropActionMenuEnabled(bool)
    {64, 1068, 0, 0, Smoke::mf_const, 374, 14},	//1177 Akonadi::EntityListView::isDropActionMenuEnabled() const
    {64, 770, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1178 Akonadi::EntityListView::clicked(const Akonadi::Collection&)
    {64, 770, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1179 Akonadi::EntityListView::clicked(const Akonadi::Item&)
    {64, 905, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1180 Akonadi::EntityListView::doubleClicked(const Akonadi::Collection&)
    {64, 905, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1181 Akonadi::EntityListView::doubleClicked(const Akonadi::Item&)
    {64, 862, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//1182 Akonadi::EntityListView::currentChanged(const Akonadi::Collection&)
    {64, 862, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//1183 Akonadi::EntityListView::currentChanged(const Akonadi::Item&)
    {64, 862, 289, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1184 Akonadi::EntityListView::currentChanged(const QModelIndex&, const QModelIndex&)
    {64, 1641, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1185 Akonadi::EntityListView::startDrag(QFlags<Qt::DropAction>)
    {64, 914, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1186 Akonadi::EntityListView::dropEvent(QDropEvent*)
    {64, 910, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1187 Akonadi::EntityListView::dragMoveEvent(QDragMoveEvent*)
    {64, 843, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1188 Akonadi::EntityListView::contextMenuEvent(QContextMenuEvent*)
    {64, 1681, 21, 1, Smoke::mf_static, 284, 26},	//1189 Akonadi::EntityListView::tr(const char*)
    {64, 1685, 21, 1, Smoke::mf_static, 284, 27},	//1190 Akonadi::EntityListView::trUtf8(const char*)
    {64, 250, 0, 0, Smoke::mf_ctor, 101, 28},	//1191 Akonadi::EntityListView::EntityListView()
    {64, 250, 287, 1, Smoke::mf_ctor, 101, 29},	//1192 Akonadi::EntityListView::EntityListView(KXMLGUIClient*)
    {64, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 30},	//1193 Akonadi::EntityListView::staticMetaObject() const
    {64, 1793, 0, 0, Smoke::mf_dtor, 0, 31 },	//1194 Akonadi::EntityListView::~EntityListView()
    {65, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1195 Akonadi::EntityMimeTypeFilterModel::metaObject() const
    {65, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1196 Akonadi::EntityMimeTypeFilterModel::qt_metacast(const char*)
    {65, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1197 Akonadi::EntityMimeTypeFilterModel::tr(const char*, const char*)
    {65, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1198 Akonadi::EntityMimeTypeFilterModel::trUtf8(const char*, const char*)
    {65, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1199 Akonadi::EntityMimeTypeFilterModel::tr(const char*, const char*, int)
    {65, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1200 Akonadi::EntityMimeTypeFilterModel::trUtf8(const char*, const char*, int)
    {65, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1201 Akonadi::EntityMimeTypeFilterModel::qt_metacall(QMetaObject::Call, int, void**)
    {65, 253, 78, 1, Smoke::mf_ctor, 102, 8},	//1202 Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel(QObject*)
    {65, 696, 10, 1, 0, 0, 9},	//1203 Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilters(const QStringList&)
    {65, 688, 10, 1, 0, 0, 10},	//1204 Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilters(const QStringList&)
    {65, 694, 8, 1, 0, 0, 11},	//1205 Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilter(const QString&)
    {65, 686, 8, 1, 0, 0, 12},	//1206 Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilter(const QString&)
    {65, 1167, 0, 0, Smoke::mf_const, 285, 13},	//1207 Akonadi::EntityMimeTypeFilterModel::mimeTypeInclusionFilters() const
    {65, 1164, 0, 0, Smoke::mf_const, 285, 14},	//1208 Akonadi::EntityMimeTypeFilterModel::mimeTypeExclusionFilters() const
    {65, 764, 0, 0, 0, 0, 15},	//1209 Akonadi::EntityMimeTypeFilterModel::clearFilters()
    {65, 1456, 396, 1, 0, 0, 16},	//1210 Akonadi::EntityMimeTypeFilterModel::setHeaderGroup(Akonadi::EntityTreeModel::HeaderGroup)
    {65, 1002, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 294, 17},	//1211 Akonadi::EntityMimeTypeFilterModel::headerData(int, Qt::Orientation, int) const
    {65, 996, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 374, 18},	//1212 Akonadi::EntityMimeTypeFilterModel::hasChildren(const QModelIndex&) const
    {65, 739, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 374, 19},	//1213 Akonadi::EntityMimeTypeFilterModel::canFetchMore(const QModelIndex&) const
    {65, 1154, 398, 5, Smoke::mf_const|Smoke::mf_virtual, 262, 20},	//1214 Akonadi::EntityMimeTypeFilterModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {65, 817, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 460, 21},	//1215 Akonadi::EntityMimeTypeFilterModel::columnCount(const QModelIndex&) const
    {65, 976, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 374, 22},	//1216 Akonadi::EntityMimeTypeFilterModel::filterAcceptsRow(int, const QModelIndex&) const
    {65, 974, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 374, 23},	//1217 Akonadi::EntityMimeTypeFilterModel::filterAcceptsColumn(int, const QModelIndex&) const
    {65, 1681, 21, 1, Smoke::mf_static, 284, 24},	//1218 Akonadi::EntityMimeTypeFilterModel::tr(const char*)
    {65, 1685, 21, 1, Smoke::mf_static, 284, 25},	//1219 Akonadi::EntityMimeTypeFilterModel::trUtf8(const char*)
    {65, 253, 0, 0, Smoke::mf_ctor, 102, 26},	//1220 Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel()
    {65, 1002, 112, 2, Smoke::mf_const, 294, 27},	//1221 Akonadi::EntityMimeTypeFilterModel::headerData(int, Qt::Orientation) const
    {65, 996, 0, 0, Smoke::mf_const, 374, 28},	//1222 Akonadi::EntityMimeTypeFilterModel::hasChildren() const
    {65, 1154, 404, 3, Smoke::mf_const, 262, 29},	//1223 Akonadi::EntityMimeTypeFilterModel::match(const QModelIndex&, int, const QVariant&) const
    {65, 1154, 408, 4, Smoke::mf_const, 262, 30},	//1224 Akonadi::EntityMimeTypeFilterModel::match(const QModelIndex&, int, const QVariant&, int) const
    {65, 817, 0, 0, Smoke::mf_const, 460, 31},	//1225 Akonadi::EntityMimeTypeFilterModel::columnCount() const
    {65, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 32},	//1226 Akonadi::EntityMimeTypeFilterModel::staticMetaObject() const
    {65, 1794, 0, 0, Smoke::mf_dtor, 0, 33 },	//1227 Akonadi::EntityMimeTypeFilterModel::~EntityMimeTypeFilterModel()
    {67, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1228 Akonadi::EntityTreeModel::metaObject() const
    {67, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1229 Akonadi::EntityTreeModel::qt_metacast(const char*)
    {67, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1230 Akonadi::EntityTreeModel::tr(const char*, const char*)
    {67, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1231 Akonadi::EntityTreeModel::trUtf8(const char*, const char*)
    {67, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1232 Akonadi::EntityTreeModel::tr(const char*, const char*, int)
    {67, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1233 Akonadi::EntityTreeModel::trUtf8(const char*, const char*, int)
    {67, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1234 Akonadi::EntityTreeModel::qt_metacall(QMetaObject::Call, int, void**)
    {67, 256, 413, 2, Smoke::mf_ctor, 104, 8},	//1235 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, QObject*)
    {67, 1579, 45, 1, 0, 0, 9},	//1236 Akonadi::EntityTreeModel::setShowSystemEntities(bool)
    {67, 1674, 0, 0, Smoke::mf_const, 374, 10},	//1237 Akonadi::EntityTreeModel::systemEntitiesShown() const
    {67, 1022, 0, 0, Smoke::mf_const, 374, 11},	//1238 Akonadi::EntityTreeModel::includeUnsubscribed() const
    {67, 1474, 45, 1, 0, 0, 12},	//1239 Akonadi::EntityTreeModel::setIncludeUnsubscribed(bool)
    {67, 1492, 416, 1, 0, 0, 13},	//1240 Akonadi::EntityTreeModel::setItemPopulationStrategy(Akonadi::EntityTreeModel::ItemPopulationStrategy)
    {67, 1103, 0, 0, Smoke::mf_const, 108, 14},	//1241 Akonadi::EntityTreeModel::itemPopulationStrategy() const
    {67, 1470, 45, 1, 0, 0, 15},	//1242 Akonadi::EntityTreeModel::setIncludeRootCollection(bool)
    {67, 1019, 0, 0, Smoke::mf_const, 374, 16},	//1243 Akonadi::EntityTreeModel::includeRootCollection() const
    {67, 1570, 8, 1, 0, 0, 17},	//1244 Akonadi::EntityTreeModel::setRootCollectionDisplayName(const QString&)
    {67, 1275, 0, 0, Smoke::mf_const, 284, 18},	//1245 Akonadi::EntityTreeModel::rootCollectionDisplayName() const
    {67, 1357, 418, 1, 0, 0, 19},	//1246 Akonadi::EntityTreeModel::setCollectionFetchStrategy(Akonadi::EntityTreeModel::CollectionFetchStrategy)
    {67, 784, 0, 0, Smoke::mf_const, 105, 20},	//1247 Akonadi::EntityTreeModel::collectionFetchStrategy() const
    {67, 817, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 460, 21},	//1248 Akonadi::EntityTreeModel::columnCount(const QModelIndex&) const
    {67, 1276, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 460, 22},	//1249 Akonadi::EntityTreeModel::rowCount(const QModelIndex&) const
    {67, 871, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 294, 23},	//1250 Akonadi::EntityTreeModel::data(const QModelIndex&, int) const
    {67, 1002, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 294, 24},	//1251 Akonadi::EntityTreeModel::headerData(int, Qt::Orientation, int) const
    {67, 981, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 239, 25},	//1252 Akonadi::EntityTreeModel::flags(const QModelIndex&) const
    {67, 1170, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 285, 26},	//1253 Akonadi::EntityTreeModel::mimeTypes() const
    {67, 1662, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 238, 27},	//1254 Akonadi::EntityTreeModel::supportedDropActions() const
    {67, 1161, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 267, 28},	//1255 Akonadi::EntityTreeModel::mimeData(const QList<QModelIndex>&) const
    {67, 916, 225, 5, Smoke::mf_virtual, 374, 29},	//1256 Akonadi::EntityTreeModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {67, 1404, 108, 3, Smoke::mf_virtual, 374, 30},	//1257 Akonadi::EntityTreeModel::setData(const QModelIndex&, const QVariant&, int)
    {67, 1025, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 268, 31},	//1258 Akonadi::EntityTreeModel::index(int, int, const QModelIndex&) const
    {67, 1206, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 268, 32},	//1259 Akonadi::EntityTreeModel::parent(const QModelIndex&) const
    {67, 739, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 374, 33},	//1260 Akonadi::EntityTreeModel::canFetchMore(const QModelIndex&) const
    {67, 967, 95, 1, Smoke::mf_virtual, 0, 34},	//1261 Akonadi::EntityTreeModel::fetchMore(const QModelIndex&)
    {67, 996, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 374, 35},	//1262 Akonadi::EntityTreeModel::hasChildren(const QModelIndex&) const
    {67, 1067, 0, 0, Smoke::mf_const, 374, 36},	//1263 Akonadi::EntityTreeModel::isCollectionTreeFetched() const
    {67, 1065, 231, 1, Smoke::mf_const, 374, 37},	//1264 Akonadi::EntityTreeModel::isCollectionPopulated(Akonadi::Collection::Id) const
    {67, 1154, 398, 5, Smoke::mf_const|Smoke::mf_virtual, 262, 38},	//1265 Akonadi::EntityTreeModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {67, 1173, 420, 2, Smoke::mf_static, 268, 39},	//1266 Akonadi::EntityTreeModel::modelIndexForCollection(const QAbstractItemModel*, const Akonadi::Collection&)
    {67, 1175, 423, 2, Smoke::mf_static, 262, 40},	//1267 Akonadi::EntityTreeModel::modelIndexesForItem(const QAbstractItemModel*, const Akonadi::Item&)
    {67, 802, 199, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//1268 Akonadi::EntityTreeModel::collectionTreeFetched(const Akonadi::Collection::List&)
    {67, 794, 231, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//1269 Akonadi::EntityTreeModel::collectionPopulated(Akonadi::Collection::Id)
    {67, 785, 41, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//1270 Akonadi::EntityTreeModel::collectionFetched(int)
    {67, 761, 0, 0, Smoke::mf_protected, 0, 44},	//1271 Akonadi::EntityTreeModel::clearAndReset()
    {67, 934, 426, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 294, 45},	//1272 Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int, int) const
    {67, 934, 430, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 294, 46},	//1273 Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int, int) const
    {67, 937, 434, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 294, 47},	//1274 Akonadi::EntityTreeModel::entityHeaderData(int, Qt::Orientation, int, Akonadi::EntityTreeModel::HeaderGroup) const
    {67, 932, 396, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 460, 48},	//1275 Akonadi::EntityTreeModel::entityColumnCount(Akonadi::EntityTreeModel::HeaderGroup) const
    {67, 939, 439, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 374, 49},	//1276 Akonadi::EntityTreeModel::entityMatch(const Akonadi::Item&, const QVariant&, QFlags<Qt::MatchFlag>) const
    {67, 939, 443, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 374, 50},	//1277 Akonadi::EntityTreeModel::entityMatch(const Akonadi::Collection&, const QVariant&, QFlags<Qt::MatchFlag>) const
    {67, 870, 0, 0, Smoke::mf_protected, 110, 51},	//1278 Akonadi::EntityTreeModel::d_func()
    {67, 870, 0, 0, Smoke::mf_const|Smoke::mf_protected, 398, 52},	//1279 Akonadi::EntityTreeModel::d_func() const
    {67, 256, 447, 3, Smoke::mf_ctor|Smoke::mf_protected, 104, 53},	//1280 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*, QObject*)
    {67, 1681, 21, 1, Smoke::mf_static, 284, 54},	//1281 Akonadi::EntityTreeModel::tr(const char*)
    {67, 1685, 21, 1, Smoke::mf_static, 284, 55},	//1282 Akonadi::EntityTreeModel::trUtf8(const char*)
    {67, 256, 451, 1, Smoke::mf_ctor, 104, 56},	//1283 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*)
    {67, 817, 0, 0, Smoke::mf_const, 460, 57},	//1284 Akonadi::EntityTreeModel::columnCount() const
    {67, 1276, 0, 0, Smoke::mf_const, 460, 58},	//1285 Akonadi::EntityTreeModel::rowCount() const
    {67, 871, 95, 1, Smoke::mf_const, 294, 59},	//1286 Akonadi::EntityTreeModel::data(const QModelIndex&) const
    {67, 1002, 112, 2, Smoke::mf_const, 294, 60},	//1287 Akonadi::EntityTreeModel::headerData(int, Qt::Orientation) const
    {67, 1404, 240, 2, 0, 374, 61},	//1288 Akonadi::EntityTreeModel::setData(const QModelIndex&, const QVariant&)
    {67, 1025, 115, 2, Smoke::mf_const, 268, 62},	//1289 Akonadi::EntityTreeModel::index(int, int) const
    {67, 996, 0, 0, Smoke::mf_const, 374, 63},	//1290 Akonadi::EntityTreeModel::hasChildren() const
    {67, 1154, 404, 3, Smoke::mf_const, 262, 64},	//1291 Akonadi::EntityTreeModel::match(const QModelIndex&, int, const QVariant&) const
    {67, 1154, 408, 4, Smoke::mf_const, 262, 65},	//1292 Akonadi::EntityTreeModel::match(const QModelIndex&, int, const QVariant&, int) const
    {67, 934, 453, 2, Smoke::mf_const|Smoke::mf_protected, 294, 66},	//1293 Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int) const
    {67, 934, 456, 2, Smoke::mf_const|Smoke::mf_protected, 294, 67},	//1294 Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int) const
    {67, 256, 459, 2, Smoke::mf_ctor|Smoke::mf_protected, 104, 68},	//1295 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*)
    {67, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 69},	//1296 Akonadi::EntityTreeModel::staticMetaObject() const
    {67, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 70},	//1297 Akonadi::EntityTreeModel::ItemIdRole (enum)
    {67, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 71},	//1298 Akonadi::EntityTreeModel::ItemRole (enum)
    {67, 394, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 72},	//1299 Akonadi::EntityTreeModel::MimeTypeRole (enum)
    {67, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 73},	//1300 Akonadi::EntityTreeModel::CollectionIdRole (enum)
    {67, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 74},	//1301 Akonadi::EntityTreeModel::CollectionRole (enum)
    {67, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 75},	//1302 Akonadi::EntityTreeModel::RemoteIdRole (enum)
    {67, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 76},	//1303 Akonadi::EntityTreeModel::CollectionChildOrderRole (enum)
    {67, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 77},	//1304 Akonadi::EntityTreeModel::AmazingCompletionRole (enum)
    {67, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 78},	//1305 Akonadi::EntityTreeModel::ParentCollectionRole (enum)
    {67, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 79},	//1306 Akonadi::EntityTreeModel::ColumnCountRole (enum)
    {67, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 80},	//1307 Akonadi::EntityTreeModel::LoadedPartsRole (enum)
    {67, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 81},	//1308 Akonadi::EntityTreeModel::AvailablePartsRole (enum)
    {67, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 82},	//1309 Akonadi::EntityTreeModel::SessionRole (enum)
    {67, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 83},	//1310 Akonadi::EntityTreeModel::CollectionRefRole (enum)
    {67, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 84},	//1311 Akonadi::EntityTreeModel::CollectionDerefRole (enum)
    {67, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 85},	//1312 Akonadi::EntityTreeModel::PendingCutRole (enum)
    {67, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 86},	//1313 Akonadi::EntityTreeModel::EntityUrlRole (enum)
    {67, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 87},	//1314 Akonadi::EntityTreeModel::UnreadCountRole (enum)
    {67, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 88},	//1315 Akonadi::EntityTreeModel::FetchStateRole (enum)
    {67, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 89},	//1316 Akonadi::EntityTreeModel::CollectionSyncProgressRole (enum)
    {67, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 90},	//1317 Akonadi::EntityTreeModel::IsPopulatedRole (enum)
    {67, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 91},	//1318 Akonadi::EntityTreeModel::UserRole (enum)
    {67, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 92},	//1319 Akonadi::EntityTreeModel::TerminalUserRole (enum)
    {67, 242, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 93},	//1320 Akonadi::EntityTreeModel::EndRole (enum)
    {67, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 94},	//1321 Akonadi::EntityTreeModel::IdleState (enum)
    {67, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 95},	//1322 Akonadi::EntityTreeModel::FetchingState (enum)
    {67, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 96},	//1323 Akonadi::EntityTreeModel::EntityTreeHeaders (enum)
    {67, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 97},	//1324 Akonadi::EntityTreeModel::CollectionTreeHeaders (enum)
    {67, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 98},	//1325 Akonadi::EntityTreeModel::ItemListHeaders (enum)
    {67, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 99},	//1326 Akonadi::EntityTreeModel::UserHeaders (enum)
    {67, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 100},	//1327 Akonadi::EntityTreeModel::EndHeaderGroup (enum)
    {67, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 101},	//1328 Akonadi::EntityTreeModel::NoItemPopulation (enum)
    {67, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 102},	//1329 Akonadi::EntityTreeModel::ImmediatePopulation (enum)
    {67, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 103},	//1330 Akonadi::EntityTreeModel::LazyPopulation (enum)
    {67, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 104},	//1331 Akonadi::EntityTreeModel::FetchNoCollections (enum)
    {67, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 105},	//1332 Akonadi::EntityTreeModel::FetchFirstLevelChildCollections (enum)
    {67, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 106},	//1333 Akonadi::EntityTreeModel::FetchCollectionsRecursive (enum)
    {67, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 107},	//1334 Akonadi::EntityTreeModel::InvisibleCollectionFetch (enum)
    {67, 1795, 0, 0, Smoke::mf_dtor, 0, 108 },	//1335 Akonadi::EntityTreeModel::~EntityTreeModel()
    {69, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1336 Akonadi::EntityTreeView::metaObject() const
    {69, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1337 Akonadi::EntityTreeView::qt_metacast(const char*)
    {69, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1338 Akonadi::EntityTreeView::tr(const char*, const char*)
    {69, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1339 Akonadi::EntityTreeView::trUtf8(const char*, const char*)
    {69, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1340 Akonadi::EntityTreeView::tr(const char*, const char*, int)
    {69, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1341 Akonadi::EntityTreeView::trUtf8(const char*, const char*, int)
    {69, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1342 Akonadi::EntityTreeView::qt_metacall(QMetaObject::Call, int, void**)
    {69, 260, 85, 1, Smoke::mf_ctor, 111, 8},	//1343 Akonadi::EntityTreeView::EntityTreeView(QWidget*)
    {69, 260, 282, 2, Smoke::mf_ctor, 111, 9},	//1344 Akonadi::EntityTreeView::EntityTreeView(KXMLGUIClient*, QWidget*)
    {69, 1614, 287, 1, 0, 0, 10},	//1345 Akonadi::EntityTreeView::setXmlGuiClient(KXMLGUIClient*)
    {69, 1737, 0, 0, Smoke::mf_const, 209, 11},	//1346 Akonadi::EntityTreeView::xmlGuiClient() const
    {69, 1518, 159, 1, Smoke::mf_virtual, 0, 12},	//1347 Akonadi::EntityTreeView::setModel(QAbstractItemModel*)
    {69, 1417, 45, 1, 0, 0, 13},	//1348 Akonadi::EntityTreeView::setDropActionMenuEnabled(bool)
    {69, 1068, 0, 0, Smoke::mf_const, 374, 14},	//1349 Akonadi::EntityTreeView::isDropActionMenuEnabled() const
    {69, 1072, 0, 0, Smoke::mf_const, 374, 15},	//1350 Akonadi::EntityTreeView::isManualSortingActive() const
    {69, 1507, 45, 1, 0, 0, 16},	//1351 Akonadi::EntityTreeView::setManualSortingActive(bool)
    {69, 1411, 8, 1, 0, 0, 17},	//1352 Akonadi::EntityTreeView::setDefaultPopupMenu(const QString&)
    {69, 770, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1353 Akonadi::EntityTreeView::clicked(const Akonadi::Collection&)
    {69, 770, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//1354 Akonadi::EntityTreeView::clicked(const Akonadi::Item&)
    {69, 905, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//1355 Akonadi::EntityTreeView::doubleClicked(const Akonadi::Collection&)
    {69, 905, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//1356 Akonadi::EntityTreeView::doubleClicked(const Akonadi::Item&)
    {69, 862, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//1357 Akonadi::EntityTreeView::currentChanged(const Akonadi::Collection&)
    {69, 862, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//1358 Akonadi::EntityTreeView::currentChanged(const Akonadi::Item&)
    {69, 862, 289, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1359 Akonadi::EntityTreeView::currentChanged(const QModelIndex&, const QModelIndex&)
    {69, 1641, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1360 Akonadi::EntityTreeView::startDrag(QFlags<Qt::DropAction>)
    {69, 910, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//1361 Akonadi::EntityTreeView::dragMoveEvent(QDragMoveEvent*)
    {69, 914, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1362 Akonadi::EntityTreeView::dropEvent(QDropEvent*)
    {69, 1677, 462, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1363 Akonadi::EntityTreeView::timerEvent(QTimerEvent*)
    {69, 843, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1364 Akonadi::EntityTreeView::contextMenuEvent(QContextMenuEvent*)
    {69, 1681, 21, 1, Smoke::mf_static, 284, 30},	//1365 Akonadi::EntityTreeView::tr(const char*)
    {69, 1685, 21, 1, Smoke::mf_static, 284, 31},	//1366 Akonadi::EntityTreeView::trUtf8(const char*)
    {69, 260, 0, 0, Smoke::mf_ctor, 111, 32},	//1367 Akonadi::EntityTreeView::EntityTreeView()
    {69, 260, 287, 1, Smoke::mf_ctor, 111, 33},	//1368 Akonadi::EntityTreeView::EntityTreeView(KXMLGUIClient*)
    {69, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 34},	//1369 Akonadi::EntityTreeView::staticMetaObject() const
    {69, 1796, 0, 0, Smoke::mf_dtor, 0, 35 },	//1370 Akonadi::EntityTreeView::~EntityTreeView()
    {70, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1371 Akonadi::EntityTreeViewStateSaver::metaObject() const
    {70, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1372 Akonadi::EntityTreeViewStateSaver::qt_metacast(const char*)
    {70, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1373 Akonadi::EntityTreeViewStateSaver::tr(const char*, const char*)
    {70, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1374 Akonadi::EntityTreeViewStateSaver::trUtf8(const char*, const char*)
    {70, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1375 Akonadi::EntityTreeViewStateSaver::tr(const char*, const char*, int)
    {70, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1376 Akonadi::EntityTreeViewStateSaver::trUtf8(const char*, const char*, int)
    {70, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1377 Akonadi::EntityTreeViewStateSaver::qt_metacall(QMetaObject::Call, int, void**)
    {70, 263, 270, 1, Smoke::mf_ctor, 112, 8},	//1378 Akonadi::EntityTreeViewStateSaver::EntityTreeViewStateSaver(QTreeView*)
    {70, 1285, 464, 1, Smoke::mf_const, 0, 9},	//1379 Akonadi::EntityTreeViewStateSaver::saveState(KConfigGroup&) const
    {70, 1261, 466, 1, Smoke::mf_const, 0, 10},	//1380 Akonadi::EntityTreeViewStateSaver::restoreState(const KConfigGroup&) const
    {70, 1681, 21, 1, Smoke::mf_static, 284, 11},	//1381 Akonadi::EntityTreeViewStateSaver::tr(const char*)
    {70, 1685, 21, 1, Smoke::mf_static, 284, 12},	//1382 Akonadi::EntityTreeViewStateSaver::trUtf8(const char*)
    {70, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 13},	//1383 Akonadi::EntityTreeViewStateSaver::staticMetaObject() const
    {70, 1797, 0, 0, Smoke::mf_dtor, 0, 14 },	//1384 Akonadi::EntityTreeViewStateSaver::~EntityTreeViewStateSaver()
    {71, 270, 21, 1, Smoke::mf_ctor, 113, 1},	//1385 Akonadi::Exception::Exception(const char*)
    {71, 270, 6, 1, Smoke::mf_ctor, 113, 2},	//1386 Akonadi::Exception::Exception(const QByteArray&)
    {71, 270, 8, 1, Smoke::mf_ctor, 113, 3},	//1387 Akonadi::Exception::Exception(const QString&)
    {71, 270, 468, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 113, 4},	//1388 Akonadi::Exception::Exception(const Akonadi::Exception&)
    {71, 1728, 0, 0, Smoke::mf_const, 456, 5},	//1389 Akonadi::Exception::what() const
    {71, 1689, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 6},	//1390 Akonadi::Exception::type() const
    {71, 1798, 0, 0, Smoke::mf_dtor, 0, 7 },	//1391 Akonadi::Exception::~Exception()
    {72, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1392 Akonadi::FavoriteCollectionsModel::metaObject() const
    {72, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1393 Akonadi::FavoriteCollectionsModel::qt_metacast(const char*)
    {72, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1394 Akonadi::FavoriteCollectionsModel::tr(const char*, const char*)
    {72, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1395 Akonadi::FavoriteCollectionsModel::trUtf8(const char*, const char*)
    {72, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1396 Akonadi::FavoriteCollectionsModel::tr(const char*, const char*, int)
    {72, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1397 Akonadi::FavoriteCollectionsModel::trUtf8(const char*, const char*, int)
    {72, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1398 Akonadi::FavoriteCollectionsModel::qt_metacall(QMetaObject::Call, int, void**)
    {72, 275, 470, 3, Smoke::mf_ctor, 114, 8},	//1399 Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel(QAbstractItemModel*, const KConfigGroup&, QObject*)
    {72, 808, 0, 0, Smoke::mf_const, 257, 9},	//1400 Akonadi::FavoriteCollectionsModel::collections() const
    {72, 789, 0, 0, Smoke::mf_const, 256, 10},	//1401 Akonadi::FavoriteCollectionsModel::collectionIds() const
    {72, 949, 61, 1, 0, 284, 11},	//1402 Akonadi::FavoriteCollectionsModel::favoriteLabel(const Akonadi::Collection&)
    {72, 871, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 294, 12},	//1403 Akonadi::FavoriteCollectionsModel::data(const QModelIndex&, int) const
    {72, 1404, 108, 3, Smoke::mf_virtual, 374, 13},	//1404 Akonadi::FavoriteCollectionsModel::setData(const QModelIndex&, const QVariant&, int)
    {72, 1002, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 294, 14},	//1405 Akonadi::FavoriteCollectionsModel::headerData(int, Qt::Orientation, int) const
    {72, 916, 225, 5, Smoke::mf_virtual, 374, 15},	//1406 Akonadi::FavoriteCollectionsModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {72, 1170, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 285, 16},	//1407 Akonadi::FavoriteCollectionsModel::mimeTypes() const
    {72, 981, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 239, 17},	//1408 Akonadi::FavoriteCollectionsModel::flags(const QModelIndex&) const
    {72, 1372, 199, 1, Smoke::mf_slot, 0, 18},	//1409 Akonadi::FavoriteCollectionsModel::setCollections(const Akonadi::Collection::List&)
    {72, 684, 61, 1, Smoke::mf_slot, 0, 19},	//1410 Akonadi::FavoriteCollectionsModel::addCollection(const Akonadi::Collection&)
    {72, 1242, 61, 1, Smoke::mf_slot, 0, 20},	//1411 Akonadi::FavoriteCollectionsModel::removeCollection(const Akonadi::Collection&)
    {72, 1426, 474, 2, Smoke::mf_slot, 0, 21},	//1412 Akonadi::FavoriteCollectionsModel::setFavoriteLabel(const Akonadi::Collection&, const QString&)
    {72, 1681, 21, 1, Smoke::mf_static, 284, 22},	//1413 Akonadi::FavoriteCollectionsModel::tr(const char*)
    {72, 1685, 21, 1, Smoke::mf_static, 284, 23},	//1414 Akonadi::FavoriteCollectionsModel::trUtf8(const char*)
    {72, 275, 477, 2, Smoke::mf_ctor, 114, 24},	//1415 Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel(QAbstractItemModel*, const KConfigGroup&)
    {72, 871, 95, 1, Smoke::mf_const, 294, 25},	//1416 Akonadi::FavoriteCollectionsModel::data(const QModelIndex&) const
    {72, 1404, 240, 2, 0, 374, 26},	//1417 Akonadi::FavoriteCollectionsModel::setData(const QModelIndex&, const QVariant&)
    {72, 1002, 112, 2, Smoke::mf_const, 294, 27},	//1418 Akonadi::FavoriteCollectionsModel::headerData(int, Qt::Orientation) const
    {72, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 28},	//1419 Akonadi::FavoriteCollectionsModel::staticMetaObject() const
    {72, 1799, 0, 0, Smoke::mf_dtor, 0, 29 },	//1420 Akonadi::FavoriteCollectionsModel::~FavoriteCollectionsModel()
    {73, 313, 0, 0, Smoke::mf_ctor, 117, 1},	//1421 Akonadi::Item::Item()
    {73, 313, 146, 1, Smoke::mf_ctor, 117, 2},	//1422 Akonadi::Item::Item(long long)
    {73, 313, 8, 1, Smoke::mf_ctor, 117, 3},	//1423 Akonadi::Item::Item(const QString&)
    {73, 313, 56, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 117, 4},	//1424 Akonadi::Item::Item(const Akonadi::Item&)
    {73, 988, 148, 1, Smoke::mf_static, 115, 5},	//1425 Akonadi::Item::fromUrl(const KUrl&)
    {73, 981, 0, 0, Smoke::mf_const, 280, 6},	//1426 Akonadi::Item::flags() const
    {73, 1177, 0, 0, Smoke::mf_const, 227, 7},	//1427 Akonadi::Item::modificationTime() const
    {73, 1521, 480, 1, 0, 0, 8},	//1428 Akonadi::Item::setModificationTime(const QDateTime&)
    {73, 998, 6, 1, Smoke::mf_const, 374, 9},	//1429 Akonadi::Item::hasFlag(const QByteArray&) const
    {73, 1440, 6, 1, 0, 0, 10},	//1430 Akonadi::Item::setFlag(const QByteArray&)
    {73, 765, 6, 1, 0, 0, 11},	//1431 Akonadi::Item::clearFlag(const QByteArray&)
    {73, 1442, 482, 1, 0, 0, 12},	//1432 Akonadi::Item::setFlags(const QSet<QByteArray>&)
    {73, 767, 0, 0, 0, 0, 13},	//1433 Akonadi::Item::clearFlags()
    {73, 1540, 6, 1, 0, 0, 14},	//1434 Akonadi::Item::setPayloadFromData(const QByteArray&)
    {73, 1213, 0, 0, Smoke::mf_const, 220, 15},	//1435 Akonadi::Item::payloadData() const
    {73, 1145, 0, 0, Smoke::mf_const, 280, 16},	//1436 Akonadi::Item::loadedPayloadParts() const
    {73, 769, 0, 0, 0, 0, 17},	//1437 Akonadi::Item::clearPayload()
    {73, 1566, 41, 1, 0, 0, 18},	//1438 Akonadi::Item::setRevision(int)
    {73, 1271, 0, 0, Smoke::mf_const, 460, 19},	//1439 Akonadi::Item::revision() const
    {73, 1656, 0, 0, Smoke::mf_const, 463, 20},	//1440 Akonadi::Item::storageCollectionId() const
    {73, 1581, 146, 1, 0, 0, 21},	//1441 Akonadi::Item::setSize(long long)
    {73, 1626, 0, 0, Smoke::mf_const, 463, 22},	//1442 Akonadi::Item::size() const
    {73, 1511, 8, 1, 0, 0, 23},	//1443 Akonadi::Item::setMimeType(const QString&)
    {73, 1163, 0, 0, Smoke::mf_const, 284, 24},	//1444 Akonadi::Item::mimeType() const
    {73, 1450, 8, 1, 0, 0, 25},	//1445 Akonadi::Item::setGid(const QString&)
    {73, 991, 0, 0, Smoke::mf_const, 284, 26},	//1446 Akonadi::Item::gid() const
    {73, 730, 0, 0, Smoke::mf_const, 297, 27},	//1447 Akonadi::Item::availablePayloadMetaTypeIds() const
    {73, 1001, 0, 0, Smoke::mf_const, 374, 28},	//1448 Akonadi::Item::hasPayload() const
    {73, 1708, 484, 1, Smoke::mf_const, 208, 29},	//1449 Akonadi::Item::url(Akonadi::Item::UrlType) const
    {73, 731, 0, 0, Smoke::mf_const, 280, 30},	//1450 Akonadi::Item::availablePayloadParts() const
    {73, 738, 0, 0, Smoke::mf_const, 280, 31},	//1451 Akonadi::Item::cachedPayloadParts() const
    {73, 720, 56, 1, 0, 0, 32},	//1452 Akonadi::Item::apply(const Akonadi::Item&)
    {73, 1342, 482, 1, 0, 0, 33},	//1453 Akonadi::Item::setCachedPayloadParts(const QSet<QByteArray>&)
    {73, 1708, 0, 0, Smoke::mf_const, 208, 34},	//1454 Akonadi::Item::url() const
    {73, 288, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 456, 35},	//1455 Akonadi::Item::FullPayload() const
    {73, 1446, 21, 1, Smoke::mf_static|Smoke::mf_attribute, 0, 36},	//1456 Akonadi::Item::setFullPayload(const char*)
    {73, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 37},	//1457 Akonadi::Item::UrlShort (enum)
    {73, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 38},	//1458 Akonadi::Item::UrlWithMimeType (enum)
    {73, 1800, 0, 0, Smoke::mf_dtor, 0, 39 },	//1459 Akonadi::Item::~Item()
    {74, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1460 Akonadi::ItemCopyJob::metaObject() const
    {74, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1461 Akonadi::ItemCopyJob::qt_metacast(const char*)
    {74, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1462 Akonadi::ItemCopyJob::tr(const char*, const char*)
    {74, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1463 Akonadi::ItemCopyJob::trUtf8(const char*, const char*)
    {74, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1464 Akonadi::ItemCopyJob::tr(const char*, const char*, int)
    {74, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1465 Akonadi::ItemCopyJob::trUtf8(const char*, const char*, int)
    {74, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1466 Akonadi::ItemCopyJob::qt_metacall(QMetaObject::Call, int, void**)
    {74, 316, 486, 3, Smoke::mf_ctor, 121, 8},	//1467 Akonadi::ItemCopyJob::ItemCopyJob(const Akonadi::Item&, const Akonadi::Collection&, QObject*)
    {74, 316, 490, 3, Smoke::mf_ctor, 121, 9},	//1468 Akonadi::ItemCopyJob::ItemCopyJob(const QList<Akonadi::Item>&, const Akonadi::Collection&, QObject*)
    {74, 901, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//1469 Akonadi::ItemCopyJob::doStart()
    {74, 1681, 21, 1, Smoke::mf_static, 284, 11},	//1470 Akonadi::ItemCopyJob::tr(const char*)
    {74, 1685, 21, 1, Smoke::mf_static, 284, 12},	//1471 Akonadi::ItemCopyJob::trUtf8(const char*)
    {74, 316, 50, 2, Smoke::mf_ctor, 121, 13},	//1472 Akonadi::ItemCopyJob::ItemCopyJob(const Akonadi::Item&, const Akonadi::Collection&)
    {74, 316, 494, 2, Smoke::mf_ctor, 121, 14},	//1473 Akonadi::ItemCopyJob::ItemCopyJob(const QList<Akonadi::Item>&, const Akonadi::Collection&)
    {74, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 15},	//1474 Akonadi::ItemCopyJob::staticMetaObject() const
    {74, 1801, 0, 0, Smoke::mf_dtor, 0, 16 },	//1475 Akonadi::ItemCopyJob::~ItemCopyJob()
    {75, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1476 Akonadi::ItemCreateJob::metaObject() const
    {75, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1477 Akonadi::ItemCreateJob::qt_metacast(const char*)
    {75, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1478 Akonadi::ItemCreateJob::tr(const char*, const char*)
    {75, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1479 Akonadi::ItemCreateJob::trUtf8(const char*, const char*)
    {75, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1480 Akonadi::ItemCreateJob::tr(const char*, const char*, int)
    {75, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1481 Akonadi::ItemCreateJob::trUtf8(const char*, const char*, int)
    {75, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1482 Akonadi::ItemCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {75, 321, 486, 3, Smoke::mf_ctor, 122, 8},	//1483 Akonadi::ItemCreateJob::ItemCreateJob(const Akonadi::Item&, const Akonadi::Collection&, QObject*)
    {75, 1087, 0, 0, Smoke::mf_const, 115, 9},	//1484 Akonadi::ItemCreateJob::item() const
    {75, 901, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//1485 Akonadi::ItemCreateJob::doStart()
    {75, 894, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//1486 Akonadi::ItemCreateJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {75, 1681, 21, 1, Smoke::mf_static, 284, 12},	//1487 Akonadi::ItemCreateJob::tr(const char*)
    {75, 1685, 21, 1, Smoke::mf_static, 284, 13},	//1488 Akonadi::ItemCreateJob::trUtf8(const char*)
    {75, 321, 50, 2, Smoke::mf_ctor, 122, 14},	//1489 Akonadi::ItemCreateJob::ItemCreateJob(const Akonadi::Item&, const Akonadi::Collection&)
    {75, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 15},	//1490 Akonadi::ItemCreateJob::staticMetaObject() const
    {75, 1802, 0, 0, Smoke::mf_dtor, 0, 16 },	//1491 Akonadi::ItemCreateJob::~ItemCreateJob()
    {76, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1492 Akonadi::ItemDeleteJob::metaObject() const
    {76, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1493 Akonadi::ItemDeleteJob::qt_metacast(const char*)
    {76, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1494 Akonadi::ItemDeleteJob::tr(const char*, const char*)
    {76, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1495 Akonadi::ItemDeleteJob::trUtf8(const char*, const char*)
    {76, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1496 Akonadi::ItemDeleteJob::tr(const char*, const char*, int)
    {76, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1497 Akonadi::ItemDeleteJob::trUtf8(const char*, const char*, int)
    {76, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1498 Akonadi::ItemDeleteJob::qt_metacall(QMetaObject::Call, int, void**)
    {76, 324, 497, 2, Smoke::mf_ctor, 123, 8},	//1499 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&, QObject*)
    {76, 324, 500, 2, Smoke::mf_ctor, 123, 9},	//1500 Akonadi::ItemDeleteJob::ItemDeleteJob(const QList<Akonadi::Item>&, QObject*)
    {76, 324, 165, 2, Smoke::mf_ctor, 123, 10},	//1501 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&, QObject*)
    {76, 879, 0, 0, Smoke::mf_const, 259, 11},	//1502 Akonadi::ItemDeleteJob::deletedItems() const
    {76, 901, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//1503 Akonadi::ItemDeleteJob::doStart()
    {76, 1681, 21, 1, Smoke::mf_static, 284, 13},	//1504 Akonadi::ItemDeleteJob::tr(const char*)
    {76, 1685, 21, 1, Smoke::mf_static, 284, 14},	//1505 Akonadi::ItemDeleteJob::trUtf8(const char*)
    {76, 324, 56, 1, Smoke::mf_ctor, 123, 15},	//1506 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&)
    {76, 324, 503, 1, Smoke::mf_ctor, 123, 16},	//1507 Akonadi::ItemDeleteJob::ItemDeleteJob(const QList<Akonadi::Item>&)
    {76, 324, 61, 1, Smoke::mf_ctor, 123, 17},	//1508 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&)
    {76, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 18},	//1509 Akonadi::ItemDeleteJob::staticMetaObject() const
    {76, 1803, 0, 0, Smoke::mf_dtor, 0, 19 },	//1510 Akonadi::ItemDeleteJob::~ItemDeleteJob()
    {77, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1511 Akonadi::ItemFetchJob::metaObject() const
    {77, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1512 Akonadi::ItemFetchJob::qt_metacast(const char*)
    {77, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1513 Akonadi::ItemFetchJob::tr(const char*, const char*)
    {77, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1514 Akonadi::ItemFetchJob::trUtf8(const char*, const char*)
    {77, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1515 Akonadi::ItemFetchJob::tr(const char*, const char*, int)
    {77, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1516 Akonadi::ItemFetchJob::trUtf8(const char*, const char*, int)
    {77, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1517 Akonadi::ItemFetchJob::qt_metacall(QMetaObject::Call, int, void**)
    {77, 329, 165, 2, Smoke::mf_ctor, 124, 8},	//1518 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&, QObject*)
    {77, 329, 497, 2, Smoke::mf_ctor, 124, 9},	//1519 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&, QObject*)
    {77, 329, 500, 2, Smoke::mf_ctor, 124, 10},	//1520 Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item>&, QObject*)
    {77, 329, 505, 2, Smoke::mf_ctor, 124, 11},	//1521 Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item::Id>&, QObject*)
    {77, 1113, 0, 0, Smoke::mf_const, 259, 12},	//1522 Akonadi::ItemFetchJob::items() const
    {77, 768, 0, 0, 0, 0, 13},	//1523 Akonadi::ItemFetchJob::clearItems()
    {77, 1438, 508, 1, 0, 0, 14},	//1524 Akonadi::ItemFetchJob::setFetchScope(Akonadi::ItemFetchScope&)
    {77, 1438, 510, 1, 0, 0, 15},	//1525 Akonadi::ItemFetchJob::setFetchScope(const Akonadi::ItemFetchScope&)
    {77, 973, 0, 0, 0, 125, 16},	//1526 Akonadi::ItemFetchJob::fetchScope()
    {77, 1353, 61, 1, 0, 0, 17},	//1527 Akonadi::ItemFetchJob::setCollection(const Akonadi::Collection&)
    {77, 1122, 512, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1528 Akonadi::ItemFetchJob::itemsReceived(const Akonadi::Item::List&)
    {77, 901, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1529 Akonadi::ItemFetchJob::doStart()
    {77, 894, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1530 Akonadi::ItemFetchJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {77, 1681, 21, 1, Smoke::mf_static, 284, 21},	//1531 Akonadi::ItemFetchJob::tr(const char*)
    {77, 1685, 21, 1, Smoke::mf_static, 284, 22},	//1532 Akonadi::ItemFetchJob::trUtf8(const char*)
    {77, 329, 61, 1, Smoke::mf_ctor, 124, 23},	//1533 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&)
    {77, 329, 56, 1, Smoke::mf_ctor, 124, 24},	//1534 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&)
    {77, 329, 503, 1, Smoke::mf_ctor, 124, 25},	//1535 Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item>&)
    {77, 329, 514, 1, Smoke::mf_ctor, 124, 26},	//1536 Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item::Id>&)
    {77, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 27},	//1537 Akonadi::ItemFetchJob::staticMetaObject() const
    {77, 1804, 0, 0, Smoke::mf_dtor, 0, 28 },	//1538 Akonadi::ItemFetchJob::~ItemFetchJob()
    {78, 334, 0, 0, Smoke::mf_ctor, 126, 1},	//1539 Akonadi::ItemFetchScope::ItemFetchScope()
    {78, 334, 510, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 126, 2},	//1540 Akonadi::ItemFetchScope::ItemFetchScope(const Akonadi::ItemFetchScope&)
    {78, 1194, 510, 1, 0, 125, 3},	//1541 Akonadi::ItemFetchScope::operator=(const Akonadi::ItemFetchScope&)
    {78, 1214, 0, 0, Smoke::mf_const, 280, 4},	//1542 Akonadi::ItemFetchScope::payloadParts() const
    {78, 969, 516, 2, 0, 0, 5},	//1543 Akonadi::ItemFetchScope::fetchPayloadPart(const QByteArray&, bool)
    {78, 990, 0, 0, Smoke::mf_const, 374, 6},	//1544 Akonadi::ItemFetchScope::fullPayload() const
    {78, 963, 45, 1, 0, 0, 7},	//1545 Akonadi::ItemFetchScope::fetchFullPayload(bool)
    {78, 725, 0, 0, Smoke::mf_const, 280, 8},	//1546 Akonadi::ItemFetchScope::attributes() const
    {78, 953, 516, 2, 0, 0, 9},	//1547 Akonadi::ItemFetchScope::fetchAttribute(const QByteArray&, bool)
    {78, 716, 0, 0, Smoke::mf_const, 374, 10},	//1548 Akonadi::ItemFetchScope::allAttributes() const
    {78, 951, 45, 1, 0, 0, 11},	//1549 Akonadi::ItemFetchScope::fetchAllAttributes(bool)
    {78, 735, 0, 0, Smoke::mf_const, 374, 12},	//1550 Akonadi::ItemFetchScope::cacheOnly() const
    {78, 1336, 45, 1, 0, 0, 13},	//1551 Akonadi::ItemFetchScope::setCacheOnly(bool)
    {78, 1351, 45, 1, 0, 0, 14},	//1552 Akonadi::ItemFetchScope::setCheckForCachedPayloadPartsOnly(bool)
    {78, 757, 0, 0, Smoke::mf_const, 374, 15},	//1553 Akonadi::ItemFetchScope::checkForCachedPayloadPartsOnly() const
    {78, 1325, 519, 1, 0, 0, 16},	//1554 Akonadi::ItemFetchScope::setAncestorRetrieval(Akonadi::ItemFetchScope::AncestorRetrieval)
    {78, 719, 0, 0, Smoke::mf_const, 127, 17},	//1555 Akonadi::ItemFetchScope::ancestorRetrieval() const
    {78, 1434, 45, 1, 0, 0, 18},	//1556 Akonadi::ItemFetchScope::setFetchModificationTime(bool)
    {78, 966, 0, 0, Smoke::mf_const, 374, 19},	//1557 Akonadi::ItemFetchScope::fetchModificationTime() const
    {78, 1432, 45, 1, 0, 0, 20},	//1558 Akonadi::ItemFetchScope::setFetchGid(bool)
    {78, 965, 0, 0, Smoke::mf_const, 374, 21},	//1559 Akonadi::ItemFetchScope::fetchGid() const
    {78, 1468, 45, 1, 0, 0, 22},	//1560 Akonadi::ItemFetchScope::setIgnoreRetrievalErrors(bool)
    {78, 1016, 0, 0, Smoke::mf_const, 374, 23},	//1561 Akonadi::ItemFetchScope::ignoreRetrievalErrors() const
    {78, 1069, 0, 0, Smoke::mf_const, 374, 24},	//1562 Akonadi::ItemFetchScope::isEmpty() const
    {78, 1430, 521, 1, 0, 0, 25},	//1563 Akonadi::ItemFetchScope::setFetchChangedSince(const KDateTime&)
    {78, 958, 0, 0, Smoke::mf_const, 201, 26},	//1564 Akonadi::ItemFetchScope::fetchChangedSince() const
    {78, 1436, 45, 1, 0, 0, 27},	//1565 Akonadi::ItemFetchScope::setFetchRemoteIdentification(bool)
    {78, 972, 0, 0, Smoke::mf_const, 374, 28},	//1566 Akonadi::ItemFetchScope::fetchRemoteIdentification() const
    {78, 969, 6, 1, 0, 0, 29},	//1567 Akonadi::ItemFetchScope::fetchPayloadPart(const QByteArray&)
    {78, 963, 0, 0, 0, 0, 30},	//1568 Akonadi::ItemFetchScope::fetchFullPayload()
    {78, 953, 6, 1, 0, 0, 31},	//1569 Akonadi::ItemFetchScope::fetchAttribute(const QByteArray&)
    {78, 951, 0, 0, 0, 0, 32},	//1570 Akonadi::ItemFetchScope::fetchAllAttributes()
    {78, 1351, 0, 0, 0, 0, 33},	//1571 Akonadi::ItemFetchScope::setCheckForCachedPayloadPartsOnly()
    {78, 440, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 34},	//1572 Akonadi::ItemFetchScope::None (enum)
    {78, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 35},	//1573 Akonadi::ItemFetchScope::Parent (enum)
    {78, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 36},	//1574 Akonadi::ItemFetchScope::All (enum)
    {78, 1805, 0, 0, Smoke::mf_dtor, 0, 37 },	//1575 Akonadi::ItemFetchScope::~ItemFetchScope()
    {79, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1576 Akonadi::ItemModel::metaObject() const
    {79, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1577 Akonadi::ItemModel::qt_metacast(const char*)
    {79, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1578 Akonadi::ItemModel::tr(const char*, const char*)
    {79, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1579 Akonadi::ItemModel::trUtf8(const char*, const char*)
    {79, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1580 Akonadi::ItemModel::tr(const char*, const char*, int)
    {79, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1581 Akonadi::ItemModel::trUtf8(const char*, const char*, int)
    {79, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1582 Akonadi::ItemModel::qt_metacall(QMetaObject::Call, int, void**)
    {79, 338, 78, 1, Smoke::mf_ctor, 128, 8},	//1583 Akonadi::ItemModel::ItemModel(QObject*)
    {79, 817, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 460, 9},	//1584 Akonadi::ItemModel::columnCount(const QModelIndex&) const
    {79, 871, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 294, 10},	//1585 Akonadi::ItemModel::data(const QModelIndex&, int) const
    {79, 1276, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 460, 11},	//1586 Akonadi::ItemModel::rowCount(const QModelIndex&) const
    {79, 1002, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 294, 12},	//1587 Akonadi::ItemModel::headerData(int, Qt::Orientation, int) const
    {79, 981, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 239, 13},	//1588 Akonadi::ItemModel::flags(const QModelIndex&) const
    {79, 1161, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 267, 14},	//1589 Akonadi::ItemModel::mimeData(const QList<QModelIndex>&) const
    {79, 1170, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 285, 15},	//1590 Akonadi::ItemModel::mimeTypes() const
    {79, 1662, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 238, 16},	//1591 Akonadi::ItemModel::supportedDropActions() const
    {79, 1438, 510, 1, 0, 0, 17},	//1592 Akonadi::ItemModel::setFetchScope(const Akonadi::ItemFetchScope&)
    {79, 973, 0, 0, 0, 125, 18},	//1593 Akonadi::ItemModel::fetchScope()
    {79, 1095, 95, 1, Smoke::mf_const, 115, 19},	//1594 Akonadi::ItemModel::itemForIndex(const QModelIndex&) const
    {79, 1029, 523, 2, Smoke::mf_const, 268, 20},	//1595 Akonadi::ItemModel::indexForItem(const Akonadi::Item&, const int) const
    {79, 916, 225, 5, Smoke::mf_virtual, 374, 21},	//1596 Akonadi::ItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {79, 775, 0, 0, Smoke::mf_const, 34, 22},	//1597 Akonadi::ItemModel::collection() const
    {79, 1353, 61, 1, Smoke::mf_slot, 0, 23},	//1598 Akonadi::ItemModel::setCollection(const Akonadi::Collection&)
    {79, 780, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1599 Akonadi::ItemModel::collectionChanged(const Akonadi::Collection&)
    {79, 1313, 0, 0, Smoke::mf_const|Smoke::mf_protected, 167, 25},	//1600 Akonadi::ItemModel::session() const
    {79, 1681, 21, 1, Smoke::mf_static, 284, 26},	//1601 Akonadi::ItemModel::tr(const char*)
    {79, 1685, 21, 1, Smoke::mf_static, 284, 27},	//1602 Akonadi::ItemModel::trUtf8(const char*)
    {79, 338, 0, 0, Smoke::mf_ctor, 128, 28},	//1603 Akonadi::ItemModel::ItemModel()
    {79, 817, 0, 0, Smoke::mf_const, 460, 29},	//1604 Akonadi::ItemModel::columnCount() const
    {79, 871, 95, 1, Smoke::mf_const, 294, 30},	//1605 Akonadi::ItemModel::data(const QModelIndex&) const
    {79, 1276, 0, 0, Smoke::mf_const, 460, 31},	//1606 Akonadi::ItemModel::rowCount() const
    {79, 1002, 112, 2, Smoke::mf_const, 294, 32},	//1607 Akonadi::ItemModel::headerData(int, Qt::Orientation) const
    {79, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 33},	//1608 Akonadi::ItemModel::staticMetaObject() const
    {79, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 34},	//1609 Akonadi::ItemModel::Id (enum)
    {79, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 35},	//1610 Akonadi::ItemModel::RemoteId (enum)
    {79, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 36},	//1611 Akonadi::ItemModel::MimeType (enum)
    {79, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 37},	//1612 Akonadi::ItemModel::IdRole (enum)
    {79, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 38},	//1613 Akonadi::ItemModel::ItemRole (enum)
    {79, 394, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 39},	//1614 Akonadi::ItemModel::MimeTypeRole (enum)
    {79, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 40},	//1615 Akonadi::ItemModel::UserRole (enum)
    {79, 1806, 0, 0, Smoke::mf_dtor, 0, 41 },	//1616 Akonadi::ItemModel::~ItemModel()
    {80, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1617 Akonadi::ItemModifyJob::metaObject() const
    {80, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1618 Akonadi::ItemModifyJob::qt_metacast(const char*)
    {80, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1619 Akonadi::ItemModifyJob::tr(const char*, const char*)
    {80, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1620 Akonadi::ItemModifyJob::trUtf8(const char*, const char*)
    {80, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1621 Akonadi::ItemModifyJob::tr(const char*, const char*, int)
    {80, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1622 Akonadi::ItemModifyJob::trUtf8(const char*, const char*, int)
    {80, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1623 Akonadi::ItemModifyJob::qt_metacall(QMetaObject::Call, int, void**)
    {80, 340, 497, 2, Smoke::mf_ctor, 131, 8},	//1624 Akonadi::ItemModifyJob::ItemModifyJob(const Akonadi::Item&, QObject*)
    {80, 340, 500, 2, Smoke::mf_ctor, 131, 9},	//1625 Akonadi::ItemModifyJob::ItemModifyJob(const QList<Akonadi::Item>&, QObject*)
    {80, 1466, 45, 1, 0, 0, 10},	//1626 Akonadi::ItemModifyJob::setIgnorePayload(bool)
    {80, 1015, 0, 0, Smoke::mf_const, 374, 11},	//1627 Akonadi::ItemModifyJob::ignorePayload() const
    {80, 1607, 45, 1, 0, 0, 12},	//1628 Akonadi::ItemModifyJob::setUpdateGid(bool)
    {80, 1704, 0, 0, Smoke::mf_const, 374, 13},	//1629 Akonadi::ItemModifyJob::updateGid() const
    {80, 890, 0, 0, 0, 0, 14},	//1630 Akonadi::ItemModifyJob::disableRevisionCheck()
    {80, 1087, 0, 0, Smoke::mf_const, 115, 15},	//1631 Akonadi::ItemModifyJob::item() const
    {80, 1113, 0, 0, Smoke::mf_const, 259, 16},	//1632 Akonadi::ItemModifyJob::items() const
    {80, 889, 0, 0, 0, 0, 17},	//1633 Akonadi::ItemModifyJob::disableAutomaticConflictHandling()
    {80, 901, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1634 Akonadi::ItemModifyJob::doStart()
    {80, 894, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1635 Akonadi::ItemModifyJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {80, 1681, 21, 1, Smoke::mf_static, 284, 20},	//1636 Akonadi::ItemModifyJob::tr(const char*)
    {80, 1685, 21, 1, Smoke::mf_static, 284, 21},	//1637 Akonadi::ItemModifyJob::trUtf8(const char*)
    {80, 340, 56, 1, Smoke::mf_ctor, 131, 22},	//1638 Akonadi::ItemModifyJob::ItemModifyJob(const Akonadi::Item&)
    {80, 340, 503, 1, Smoke::mf_ctor, 131, 23},	//1639 Akonadi::ItemModifyJob::ItemModifyJob(const QList<Akonadi::Item>&)
    {80, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 24},	//1640 Akonadi::ItemModifyJob::staticMetaObject() const
    {80, 1807, 0, 0, Smoke::mf_dtor, 0, 25 },	//1641 Akonadi::ItemModifyJob::~ItemModifyJob()
    {81, 345, 0, 0, Smoke::mf_ctor, 132, 1},	//1642 Akonadi::ItemMonitor::ItemMonitor()
    {81, 1484, 56, 1, 0, 0, 2},	//1643 Akonadi::ItemMonitor::setItem(const Akonadi::Item&)
    {81, 1087, 0, 0, Smoke::mf_const, 115, 3},	//1644 Akonadi::ItemMonitor::item() const
    {81, 1090, 56, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 4},	//1645 Akonadi::ItemMonitor::itemChanged(const Akonadi::Item&)
    {81, 1104, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 5},	//1646 Akonadi::ItemMonitor::itemRemoved()
    {81, 1438, 510, 1, Smoke::mf_protected, 0, 6},	//1647 Akonadi::ItemMonitor::setFetchScope(const Akonadi::ItemFetchScope&)
    {81, 973, 0, 0, Smoke::mf_protected, 125, 7},	//1648 Akonadi::ItemMonitor::fetchScope()
    {81, 1808, 0, 0, Smoke::mf_dtor, 0, 8 },	//1649 Akonadi::ItemMonitor::~ItemMonitor()
    {82, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1650 Akonadi::ItemMoveJob::metaObject() const
    {82, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1651 Akonadi::ItemMoveJob::qt_metacast(const char*)
    {82, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1652 Akonadi::ItemMoveJob::tr(const char*, const char*)
    {82, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1653 Akonadi::ItemMoveJob::trUtf8(const char*, const char*)
    {82, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1654 Akonadi::ItemMoveJob::tr(const char*, const char*, int)
    {82, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1655 Akonadi::ItemMoveJob::trUtf8(const char*, const char*, int)
    {82, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1656 Akonadi::ItemMoveJob::qt_metacall(QMetaObject::Call, int, void**)
    {82, 346, 486, 3, Smoke::mf_ctor, 133, 8},	//1657 Akonadi::ItemMoveJob::ItemMoveJob(const Akonadi::Item&, const Akonadi::Collection&, QObject*)
    {82, 346, 490, 3, Smoke::mf_ctor, 133, 9},	//1658 Akonadi::ItemMoveJob::ItemMoveJob(const QList<Akonadi::Item>&, const Akonadi::Collection&, QObject*)
    {82, 885, 0, 0, Smoke::mf_const, 34, 10},	//1659 Akonadi::ItemMoveJob::destinationCollection() const
    {82, 1113, 0, 0, Smoke::mf_const, 259, 11},	//1660 Akonadi::ItemMoveJob::items() const
    {82, 901, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//1661 Akonadi::ItemMoveJob::doStart()
    {82, 1681, 21, 1, Smoke::mf_static, 284, 13},	//1662 Akonadi::ItemMoveJob::tr(const char*)
    {82, 1685, 21, 1, Smoke::mf_static, 284, 14},	//1663 Akonadi::ItemMoveJob::trUtf8(const char*)
    {82, 346, 50, 2, Smoke::mf_ctor, 133, 15},	//1664 Akonadi::ItemMoveJob::ItemMoveJob(const Akonadi::Item&, const Akonadi::Collection&)
    {82, 346, 494, 2, Smoke::mf_ctor, 133, 16},	//1665 Akonadi::ItemMoveJob::ItemMoveJob(const QList<Akonadi::Item>&, const Akonadi::Collection&)
    {82, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 17},	//1666 Akonadi::ItemMoveJob::staticMetaObject() const
    {82, 1809, 0, 0, Smoke::mf_dtor, 0, 18 },	//1667 Akonadi::ItemMoveJob::~ItemMoveJob()
    {83, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1668 Akonadi::ItemSearchJob::metaObject() const
    {83, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1669 Akonadi::ItemSearchJob::qt_metacast(const char*)
    {83, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1670 Akonadi::ItemSearchJob::tr(const char*, const char*)
    {83, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1671 Akonadi::ItemSearchJob::trUtf8(const char*, const char*)
    {83, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1672 Akonadi::ItemSearchJob::tr(const char*, const char*, int)
    {83, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1673 Akonadi::ItemSearchJob::trUtf8(const char*, const char*, int)
    {83, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1674 Akonadi::ItemSearchJob::qt_metacall(QMetaObject::Call, int, void**)
    {83, 352, 90, 2, Smoke::mf_ctor, 134, 8},	//1675 Akonadi::ItemSearchJob::ItemSearchJob(const QString&, QObject*)
    {83, 1547, 8, 1, 0, 0, 9},	//1676 Akonadi::ItemSearchJob::setQuery(const QString&)
    {83, 1438, 510, 1, 0, 0, 10},	//1677 Akonadi::ItemSearchJob::setFetchScope(const Akonadi::ItemFetchScope&)
    {83, 973, 0, 0, 0, 125, 11},	//1678 Akonadi::ItemSearchJob::fetchScope()
    {83, 1113, 0, 0, Smoke::mf_const, 259, 12},	//1679 Akonadi::ItemSearchJob::items() const
    {83, 715, 0, 0, Smoke::mf_static, 293, 13},	//1680 Akonadi::ItemSearchJob::akonadiItemIdUri()
    {83, 1122, 512, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1681 Akonadi::ItemSearchJob::itemsReceived(const Akonadi::Item::List&)
    {83, 901, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//1682 Akonadi::ItemSearchJob::doStart()
    {83, 894, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//1683 Akonadi::ItemSearchJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {83, 1681, 21, 1, Smoke::mf_static, 284, 17},	//1684 Akonadi::ItemSearchJob::tr(const char*)
    {83, 1685, 21, 1, Smoke::mf_static, 284, 18},	//1685 Akonadi::ItemSearchJob::trUtf8(const char*)
    {83, 352, 8, 1, Smoke::mf_ctor, 134, 19},	//1686 Akonadi::ItemSearchJob::ItemSearchJob(const QString&)
    {83, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 20},	//1687 Akonadi::ItemSearchJob::staticMetaObject() const
    {83, 1810, 0, 0, Smoke::mf_dtor, 0, 21 },	//1688 Akonadi::ItemSearchJob::~ItemSearchJob()
    {84, 882, 526, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 374, 1},	//1689 Akonadi::ItemSerializerPlugin::deserialize(Akonadi::Item&, const QByteArray&, QIODevice&, int) [pure virtual]
    {84, 1308, 531, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//1690 Akonadi::ItemSerializerPlugin::serialize(const Akonadi::Item&, const QByteArray&, QIODevice&, int&) [pure virtual]
    {84, 1211, 56, 1, Smoke::mf_const|Smoke::mf_virtual, 280, 3},	//1691 Akonadi::ItemSerializerPlugin::parts(const Akonadi::Item&) const
    {84, 1198, 78, 1, Smoke::mf_static, 0, 4},	//1692 Akonadi::ItemSerializerPlugin::overridePluginLookup(QObject*)
    {84, 355, 0, 0, Smoke::mf_ctor, 135, 5},	//1693 Akonadi::ItemSerializerPlugin::ItemSerializerPlugin()
    {84, 355, 536, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 135, 6},	//1694 Akonadi::ItemSerializerPlugin::ItemSerializerPlugin(const Akonadi::ItemSerializerPlugin&)
    {84, 1811, 0, 0, Smoke::mf_dtor, 0, 7 },	//1695 Akonadi::ItemSerializerPlugin::~ItemSerializerPlugin()
    {85, 720, 538, 2, Smoke::mf_virtual, 0, 1},	//1696 Akonadi::ItemSerializerPluginV2::apply(Akonadi::Item&, const Akonadi::Item&)
    {85, 728, 56, 1, Smoke::mf_const|Smoke::mf_virtual, 280, 2},	//1697 Akonadi::ItemSerializerPluginV2::availableParts(const Akonadi::Item&) const
    {85, 357, 0, 0, Smoke::mf_ctor, 136, 3},	//1698 Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2()
    {85, 357, 541, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 136, 4},	//1699 Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2(const Akonadi::ItemSerializerPluginV2&)
    {85, 1812, 0, 0, Smoke::mf_dtor, 0, 5 },	//1700 Akonadi::ItemSerializerPluginV2::~ItemSerializerPluginV2()
    {86, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1701 Akonadi::ItemSync::metaObject() const
    {86, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1702 Akonadi::ItemSync::qt_metacast(const char*)
    {86, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1703 Akonadi::ItemSync::tr(const char*, const char*)
    {86, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1704 Akonadi::ItemSync::trUtf8(const char*, const char*)
    {86, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1705 Akonadi::ItemSync::tr(const char*, const char*, int)
    {86, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1706 Akonadi::ItemSync::trUtf8(const char*, const char*, int)
    {86, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1707 Akonadi::ItemSync::qt_metacall(QMetaObject::Call, int, void**)
    {86, 359, 165, 2, Smoke::mf_ctor, 137, 8},	//1708 Akonadi::ItemSync::ItemSync(const Akonadi::Collection&, QObject*)
    {86, 1448, 503, 1, 0, 0, 9},	//1709 Akonadi::ItemSync::setFullSyncItems(const QList<Akonadi::Item>&)
    {86, 1597, 41, 1, 0, 0, 10},	//1710 Akonadi::ItemSync::setTotalItems(int)
    {86, 1587, 45, 1, 0, 0, 11},	//1711 Akonadi::ItemSync::setStreamingEnabled(bool)
    {86, 880, 0, 0, 0, 0, 12},	//1712 Akonadi::ItemSync::deliveryDone()
    {86, 1476, 543, 2, 0, 0, 13},	//1713 Akonadi::ItemSync::setIncrementalSyncItems(const QList<Akonadi::Item>&, const QList<Akonadi::Item>&)
    {86, 1438, 508, 1, 0, 0, 14},	//1714 Akonadi::ItemSync::setFetchScope(Akonadi::ItemFetchScope&)
    {86, 973, 0, 0, 0, 125, 15},	//1715 Akonadi::ItemSync::fetchScope()
    {86, 1273, 0, 0, 0, 0, 16},	//1716 Akonadi::ItemSync::rollback()
    {86, 1599, 546, 1, 0, 0, 17},	//1717 Akonadi::ItemSync::setTransactionMode(Akonadi::ItemSync::TransactionMode)
    {86, 901, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1718 Akonadi::ItemSync::doStart()
    {86, 1633, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1719 Akonadi::ItemSync::slotResult(KJob*)
    {86, 1705, 548, 2, Smoke::mf_protected|Smoke::mf_virtual, 374, 20},	//1720 Akonadi::ItemSync::updateItem(const Akonadi::Item&, Akonadi::Item&)
    {86, 1681, 21, 1, Smoke::mf_static, 284, 21},	//1721 Akonadi::ItemSync::tr(const char*)
    {86, 1685, 21, 1, Smoke::mf_static, 284, 22},	//1722 Akonadi::ItemSync::trUtf8(const char*)
    {86, 359, 61, 1, Smoke::mf_ctor, 137, 23},	//1723 Akonadi::ItemSync::ItemSync(const Akonadi::Collection&)
    {86, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 24},	//1724 Akonadi::ItemSync::staticMetaObject() const
    {86, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 25},	//1725 Akonadi::ItemSync::SingleTransaction (enum)
    {86, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 26},	//1726 Akonadi::ItemSync::MultipleTransactions (enum)
    {86, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 27},	//1727 Akonadi::ItemSync::NoTransaction (enum)
    {86, 1813, 0, 0, Smoke::mf_dtor, 0, 28 },	//1728 Akonadi::ItemSync::~ItemSync()
    {87, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1729 Akonadi::ItemView::metaObject() const
    {87, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1730 Akonadi::ItemView::qt_metacast(const char*)
    {87, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1731 Akonadi::ItemView::tr(const char*, const char*)
    {87, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1732 Akonadi::ItemView::trUtf8(const char*, const char*)
    {87, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1733 Akonadi::ItemView::tr(const char*, const char*, int)
    {87, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1734 Akonadi::ItemView::trUtf8(const char*, const char*, int)
    {87, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1735 Akonadi::ItemView::qt_metacall(QMetaObject::Call, int, void**)
    {87, 362, 85, 1, Smoke::mf_ctor, 139, 8},	//1736 Akonadi::ItemView::ItemView(QWidget*)
    {87, 362, 279, 2, Smoke::mf_ctor, 139, 9},	//1737 Akonadi::ItemView::ItemView(KXmlGuiWindow*, QWidget*)
    {87, 362, 282, 2, Smoke::mf_ctor, 139, 10},	//1738 Akonadi::ItemView::ItemView(KXMLGUIClient*, QWidget*)
    {87, 1616, 285, 1, 0, 0, 11},	//1739 Akonadi::ItemView::setXmlGuiWindow(KXmlGuiWindow*)
    {87, 1614, 287, 1, 0, 0, 12},	//1740 Akonadi::ItemView::setXmlGuiClient(KXMLGUIClient*)
    {87, 1518, 159, 1, Smoke::mf_virtual, 0, 13},	//1741 Akonadi::ItemView::setModel(QAbstractItemModel*)
    {87, 676, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1742 Akonadi::ItemView::activated(const Akonadi::Item&)
    {87, 862, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1743 Akonadi::ItemView::currentChanged(const Akonadi::Item&)
    {87, 770, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1744 Akonadi::ItemView::clicked(const Akonadi::Item&)
    {87, 905, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1745 Akonadi::ItemView::doubleClicked(const Akonadi::Item&)
    {87, 862, 289, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1746 Akonadi::ItemView::currentChanged(const QModelIndex&, const QModelIndex&)
    {87, 843, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1747 Akonadi::ItemView::contextMenuEvent(QContextMenuEvent*)
    {87, 1681, 21, 1, Smoke::mf_static, 284, 20},	//1748 Akonadi::ItemView::tr(const char*)
    {87, 1685, 21, 1, Smoke::mf_static, 284, 21},	//1749 Akonadi::ItemView::trUtf8(const char*)
    {87, 362, 0, 0, Smoke::mf_ctor, 139, 22},	//1750 Akonadi::ItemView::ItemView()
    {87, 362, 285, 1, Smoke::mf_ctor, 139, 23},	//1751 Akonadi::ItemView::ItemView(KXmlGuiWindow*)
    {87, 362, 287, 1, Smoke::mf_ctor, 139, 24},	//1752 Akonadi::ItemView::ItemView(KXMLGUIClient*)
    {87, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 25},	//1753 Akonadi::ItemView::staticMetaObject() const
    {87, 1814, 0, 0, Smoke::mf_dtor, 0, 26 },	//1754 Akonadi::ItemView::~ItemView()
    {88, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1755 Akonadi::Job::metaObject() const
    {88, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1756 Akonadi::Job::qt_metacast(const char*)
    {88, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1757 Akonadi::Job::tr(const char*, const char*)
    {88, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1758 Akonadi::Job::trUtf8(const char*, const char*)
    {88, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1759 Akonadi::Job::tr(const char*, const char*, int)
    {88, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1760 Akonadi::Job::trUtf8(const char*, const char*, int)
    {88, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1761 Akonadi::Job::qt_metacall(QMetaObject::Call, int, void**)
    {88, 365, 78, 1, Smoke::mf_ctor, 140, 8},	//1762 Akonadi::Job::Job(QObject*)
    {88, 1639, 0, 0, Smoke::mf_virtual, 0, 9},	//1763 Akonadi::Job::start()
    {88, 943, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 284, 10},	//1764 Akonadi::Job::errorString() const
    {88, 668, 551, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//1765 Akonadi::Job::aboutToStart(Akonadi::Job*)
    {88, 1734, 551, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//1766 Akonadi::Job::writeFinished(Akonadi::Job*)
    {88, 901, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//1767 Akonadi::Job::doStart() [pure virtual]
    {88, 894, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1768 Akonadi::Job::doHandleResponse(const QByteArray&, const QByteArray&)
    {88, 700, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 374, 15},	//1769 Akonadi::Job::addSubjob(KJob*)
    {88, 1248, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 374, 16},	//1770 Akonadi::Job::removeSubjob(KJob*)
    {88, 897, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 374, 17},	//1771 Akonadi::Job::doKill()
    {88, 929, 0, 0, Smoke::mf_protected, 0, 18},	//1772 Akonadi::Job::emitWriteFinished()
    {88, 1633, 201, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1773 Akonadi::Job::slotResult(KJob*)
    {88, 365, 553, 2, Smoke::mf_ctor|Smoke::mf_protected, 140, 20},	//1774 Akonadi::Job::Job(Akonadi::JobPrivate*, QObject*)
    {88, 1681, 21, 1, Smoke::mf_static, 284, 21},	//1775 Akonadi::Job::tr(const char*)
    {88, 1685, 21, 1, Smoke::mf_static, 284, 22},	//1776 Akonadi::Job::trUtf8(const char*)
    {88, 365, 0, 0, Smoke::mf_ctor, 140, 23},	//1777 Akonadi::Job::Job()
    {88, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 24},	//1778 Akonadi::Job::staticMetaObject() const
    {88, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 25},	//1779 Akonadi::Job::ConnectionFailed (enum)
    {88, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 26},	//1780 Akonadi::Job::ProtocolVersionMismatch (enum)
    {88, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 27},	//1781 Akonadi::Job::UserCanceled (enum)
    {88, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 28},	//1782 Akonadi::Job::Unknown (enum)
    {88, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 29},	//1783 Akonadi::Job::UserError (enum)
    {88, 1815, 0, 0, Smoke::mf_dtor, 0, 30 },	//1784 Akonadi::Job::~Job()
    {90, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1785 Akonadi::LinkJob::metaObject() const
    {90, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1786 Akonadi::LinkJob::qt_metacast(const char*)
    {90, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1787 Akonadi::LinkJob::tr(const char*, const char*)
    {90, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1788 Akonadi::LinkJob::trUtf8(const char*, const char*)
    {90, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1789 Akonadi::LinkJob::tr(const char*, const char*, int)
    {90, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1790 Akonadi::LinkJob::trUtf8(const char*, const char*, int)
    {90, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1791 Akonadi::LinkJob::qt_metacall(QMetaObject::Call, int, void**)
    {90, 374, 556, 3, Smoke::mf_ctor, 143, 8},	//1792 Akonadi::LinkJob::LinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&, QObject*)
    {90, 901, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//1793 Akonadi::LinkJob::doStart()
    {90, 1681, 21, 1, Smoke::mf_static, 284, 10},	//1794 Akonadi::LinkJob::tr(const char*)
    {90, 1685, 21, 1, Smoke::mf_static, 284, 11},	//1795 Akonadi::LinkJob::trUtf8(const char*)
    {90, 374, 560, 2, Smoke::mf_ctor, 143, 12},	//1796 Akonadi::LinkJob::LinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&)
    {90, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 13},	//1797 Akonadi::LinkJob::staticMetaObject() const
    {90, 1816, 0, 0, Smoke::mf_dtor, 0, 14 },	//1798 Akonadi::LinkJob::~LinkJob()
    {91, 383, 0, 0, Smoke::mf_ctor, 144, 1},	//1799 Akonadi::MessageFolderAttribute::MessageFolderAttribute()
    {91, 383, 563, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 144, 2},	//1800 Akonadi::MessageFolderAttribute::MessageFolderAttribute(const Akonadi::MessageFolderAttribute&)
    {91, 1074, 0, 0, Smoke::mf_const, 374, 3},	//1801 Akonadi::MessageFolderAttribute::isOutboundFolder() const
    {91, 1529, 45, 1, 0, 0, 4},	//1802 Akonadi::MessageFolderAttribute::setOutboundFolder(bool)
    {91, 1689, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 5},	//1803 Akonadi::MessageFolderAttribute::type() const
    {91, 772, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 144, 6},	//1804 Akonadi::MessageFolderAttribute::clone() const
    {91, 1310, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 7},	//1805 Akonadi::MessageFolderAttribute::serialized() const
    {91, 882, 6, 1, Smoke::mf_virtual, 0, 8},	//1806 Akonadi::MessageFolderAttribute::deserialize(const QByteArray&)
    {91, 1817, 0, 0, Smoke::mf_dtor, 0, 9 },	//1807 Akonadi::MessageFolderAttribute::~MessageFolderAttribute()
    {92, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1808 Akonadi::MessageModel::metaObject() const
    {92, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1809 Akonadi::MessageModel::qt_metacast(const char*)
    {92, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1810 Akonadi::MessageModel::tr(const char*, const char*)
    {92, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1811 Akonadi::MessageModel::trUtf8(const char*, const char*)
    {92, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1812 Akonadi::MessageModel::tr(const char*, const char*, int)
    {92, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1813 Akonadi::MessageModel::trUtf8(const char*, const char*, int)
    {92, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1814 Akonadi::MessageModel::qt_metacall(QMetaObject::Call, int, void**)
    {92, 385, 78, 1, Smoke::mf_ctor, 145, 8},	//1815 Akonadi::MessageModel::MessageModel(QObject*)
    {92, 1276, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 460, 9},	//1816 Akonadi::MessageModel::rowCount(const QModelIndex&) const
    {92, 817, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 460, 10},	//1817 Akonadi::MessageModel::columnCount(const QModelIndex&) const
    {92, 871, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 294, 11},	//1818 Akonadi::MessageModel::data(const QModelIndex&, int) const
    {92, 1002, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 294, 12},	//1819 Akonadi::MessageModel::headerData(int, Qt::Orientation, int) const
    {92, 1170, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 285, 13},	//1820 Akonadi::MessageModel::mimeTypes() const
    {92, 1681, 21, 1, Smoke::mf_static, 284, 14},	//1821 Akonadi::MessageModel::tr(const char*)
    {92, 1685, 21, 1, Smoke::mf_static, 284, 15},	//1822 Akonadi::MessageModel::trUtf8(const char*)
    {92, 385, 0, 0, Smoke::mf_ctor, 145, 16},	//1823 Akonadi::MessageModel::MessageModel()
    {92, 1276, 0, 0, Smoke::mf_const, 460, 17},	//1824 Akonadi::MessageModel::rowCount() const
    {92, 817, 0, 0, Smoke::mf_const, 460, 18},	//1825 Akonadi::MessageModel::columnCount() const
    {92, 871, 95, 1, Smoke::mf_const, 294, 19},	//1826 Akonadi::MessageModel::data(const QModelIndex&) const
    {92, 1002, 112, 2, Smoke::mf_const, 294, 20},	//1827 Akonadi::MessageModel::headerData(int, Qt::Orientation) const
    {92, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 21},	//1828 Akonadi::MessageModel::staticMetaObject() const
    {92, 549, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 22},	//1829 Akonadi::MessageModel::Subject (enum)
    {92, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 23},	//1830 Akonadi::MessageModel::Sender (enum)
    {92, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 24},	//1831 Akonadi::MessageModel::Receiver (enum)
    {92, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 25},	//1832 Akonadi::MessageModel::Date (enum)
    {92, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 26},	//1833 Akonadi::MessageModel::Size (enum)
    {92, 1818, 0, 0, Smoke::mf_dtor, 0, 27 },	//1834 Akonadi::MessageModel::~MessageModel()
    {93, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1835 Akonadi::MessageThreaderProxyModel::metaObject() const
    {93, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1836 Akonadi::MessageThreaderProxyModel::qt_metacast(const char*)
    {93, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1837 Akonadi::MessageThreaderProxyModel::tr(const char*, const char*)
    {93, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1838 Akonadi::MessageThreaderProxyModel::trUtf8(const char*, const char*)
    {93, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1839 Akonadi::MessageThreaderProxyModel::tr(const char*, const char*, int)
    {93, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1840 Akonadi::MessageThreaderProxyModel::trUtf8(const char*, const char*, int)
    {93, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1841 Akonadi::MessageThreaderProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {93, 387, 78, 1, Smoke::mf_ctor, 147, 8},	//1842 Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel(QObject*)
    {93, 1206, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 268, 9},	//1843 Akonadi::MessageThreaderProxyModel::parent(const QModelIndex&) const
    {93, 1276, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 460, 10},	//1844 Akonadi::MessageThreaderProxyModel::rowCount(const QModelIndex&) const
    {93, 1025, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 268, 11},	//1845 Akonadi::MessageThreaderProxyModel::index(int, int, const QModelIndex&) const
    {93, 996, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 374, 12},	//1846 Akonadi::MessageThreaderProxyModel::hasChildren(const QModelIndex&) const
    {93, 855, 565, 3, Smoke::mf_const, 268, 13},	//1847 Akonadi::MessageThreaderProxyModel::createIndex(int, int, unsigned int) const
    {93, 817, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 460, 14},	//1848 Akonadi::MessageThreaderProxyModel::columnCount(const QModelIndex&) const
    {93, 1170, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 285, 15},	//1849 Akonadi::MessageThreaderProxyModel::mimeTypes() const
    {93, 1161, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 267, 16},	//1850 Akonadi::MessageThreaderProxyModel::mimeData(const QList<QModelIndex>&) const
    {93, 1148, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 268, 17},	//1851 Akonadi::MessageThreaderProxyModel::mapFromSource(const QModelIndex&) const
    {93, 1152, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 268, 18},	//1852 Akonadi::MessageThreaderProxyModel::mapToSource(const QModelIndex&) const
    {93, 1583, 159, 1, Smoke::mf_virtual, 0, 19},	//1853 Akonadi::MessageThreaderProxyModel::setSourceModel(QAbstractItemModel*)
    {93, 1681, 21, 1, Smoke::mf_static, 284, 20},	//1854 Akonadi::MessageThreaderProxyModel::tr(const char*)
    {93, 1685, 21, 1, Smoke::mf_static, 284, 21},	//1855 Akonadi::MessageThreaderProxyModel::trUtf8(const char*)
    {93, 387, 0, 0, Smoke::mf_ctor, 147, 22},	//1856 Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel()
    {93, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 23},	//1857 Akonadi::MessageThreaderProxyModel::staticMetaObject() const
    {93, 1819, 0, 0, Smoke::mf_dtor, 0, 24 },	//1858 Akonadi::MessageThreaderProxyModel::~MessageThreaderProxyModel()
    {94, 389, 0, 0, Smoke::mf_ctor, 148, 1},	//1859 Akonadi::MessageThreadingAttribute::MessageThreadingAttribute()
    {94, 389, 569, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 2},	//1860 Akonadi::MessageThreadingAttribute::MessageThreadingAttribute(const Akonadi::MessageThreadingAttribute&)
    {94, 1217, 0, 0, Smoke::mf_const, 258, 3},	//1861 Akonadi::MessageThreadingAttribute::perfectParents() const
    {94, 1542, 514, 1, 0, 0, 4},	//1862 Akonadi::MessageThreadingAttribute::setPerfectParents(const QList<Akonadi::Item::Id>&)
    {94, 1697, 0, 0, Smoke::mf_const, 258, 5},	//1863 Akonadi::MessageThreadingAttribute::unperfectParents() const
    {94, 1601, 514, 1, 0, 0, 6},	//1864 Akonadi::MessageThreadingAttribute::setUnperfectParents(const QList<Akonadi::Item::Id>&)
    {94, 1660, 0, 0, Smoke::mf_const, 258, 7},	//1865 Akonadi::MessageThreadingAttribute::subjectParents() const
    {94, 1589, 514, 1, 0, 0, 8},	//1866 Akonadi::MessageThreadingAttribute::setSubjectParents(const QList<Akonadi::Item::Id>&)
    {94, 1689, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 9},	//1867 Akonadi::MessageThreadingAttribute::type() const
    {94, 772, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 148, 10},	//1868 Akonadi::MessageThreadingAttribute::clone() const
    {94, 1310, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 11},	//1869 Akonadi::MessageThreadingAttribute::serialized() const
    {94, 882, 6, 1, Smoke::mf_virtual, 0, 12},	//1870 Akonadi::MessageThreadingAttribute::deserialize(const QByteArray&)
    {94, 1820, 0, 0, Smoke::mf_dtor, 0, 13 },	//1871 Akonadi::MessageThreadingAttribute::~MessageThreadingAttribute()
    {95, 392, 0, 0, Smoke::mf_ctor, 150, 1},	//1872 Akonadi::MimeTypeChecker::MimeTypeChecker()
    {95, 392, 571, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 150, 2},	//1873 Akonadi::MimeTypeChecker::MimeTypeChecker(const Akonadi::MimeTypeChecker&)
    {95, 1194, 571, 1, 0, 149, 3},	//1874 Akonadi::MimeTypeChecker::operator=(const Akonadi::MimeTypeChecker&)
    {95, 1725, 0, 0, Smoke::mf_const, 285, 4},	//1875 Akonadi::MimeTypeChecker::wantedMimeTypes() const
    {95, 1612, 10, 1, 0, 0, 5},	//1876 Akonadi::MimeTypeChecker::setWantedMimeTypes(const QStringList&)
    {95, 702, 8, 1, 0, 0, 6},	//1877 Akonadi::MimeTypeChecker::addWantedMimeType(const QString&)
    {95, 1250, 8, 1, 0, 0, 7},	//1878 Akonadi::MimeTypeChecker::removeWantedMimeType(const QString&)
    {95, 1082, 56, 1, Smoke::mf_const, 374, 8},	//1879 Akonadi::MimeTypeChecker::isWantedItem(const Akonadi::Item&) const
    {95, 1079, 61, 1, Smoke::mf_const, 374, 9},	//1880 Akonadi::MimeTypeChecker::isWantedCollection(const Akonadi::Collection&) const
    {95, 1085, 8, 1, Smoke::mf_const, 374, 10},	//1881 Akonadi::MimeTypeChecker::isWantedMimeType(const QString&) const
    {95, 840, 10, 1, Smoke::mf_const, 374, 11},	//1882 Akonadi::MimeTypeChecker::containsWantedMimeType(const QStringList&) const
    {95, 1082, 573, 2, Smoke::mf_static, 374, 12},	//1883 Akonadi::MimeTypeChecker::isWantedItem(const Akonadi::Item&, const QString&)
    {95, 1079, 474, 2, Smoke::mf_static, 374, 13},	//1884 Akonadi::MimeTypeChecker::isWantedCollection(const Akonadi::Collection&, const QString&)
    {95, 1821, 0, 0, Smoke::mf_dtor, 0, 14 },	//1885 Akonadi::MimeTypeChecker::~MimeTypeChecker()
    {96, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1886 Akonadi::Monitor::metaObject() const
    {96, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1887 Akonadi::Monitor::qt_metacast(const char*)
    {96, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1888 Akonadi::Monitor::tr(const char*, const char*)
    {96, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1889 Akonadi::Monitor::trUtf8(const char*, const char*)
    {96, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1890 Akonadi::Monitor::tr(const char*, const char*, int)
    {96, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1891 Akonadi::Monitor::trUtf8(const char*, const char*, int)
    {96, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1892 Akonadi::Monitor::qt_metacall(QMetaObject::Call, int, void**)
    {96, 397, 78, 1, Smoke::mf_ctor, 151, 8},	//1893 Akonadi::Monitor::Monitor(QObject*)
    {96, 1359, 121, 2, 0, 0, 9},	//1894 Akonadi::Monitor::setCollectionMonitored(const Akonadi::Collection&, bool)
    {96, 1489, 576, 2, 0, 0, 10},	//1895 Akonadi::Monitor::setItemMonitored(const Akonadi::Item&, bool)
    {96, 1563, 516, 2, 0, 0, 11},	//1896 Akonadi::Monitor::setResourceMonitored(const QByteArray&, bool)
    {96, 1515, 579, 2, 0, 0, 12},	//1897 Akonadi::Monitor::setMimeTypeMonitored(const QString&, bool)
    {96, 1323, 45, 1, 0, 0, 13},	//1898 Akonadi::Monitor::setAllMonitored(bool)
    {96, 1017, 582, 1, 0, 0, 14},	//1899 Akonadi::Monitor::ignoreSession(Akonadi::Session*)
    {96, 959, 45, 1, 0, 0, 15},	//1900 Akonadi::Monitor::fetchCollection(bool)
    {96, 961, 45, 1, 0, 0, 16},	//1901 Akonadi::Monitor::fetchCollectionStatistics(bool)
    {96, 1487, 510, 1, 0, 0, 17},	//1902 Akonadi::Monitor::setItemFetchScope(const Akonadi::ItemFetchScope&)
    {96, 956, 45, 1, 0, 0, 18},	//1903 Akonadi::Monitor::fetchChangedOnly(bool)
    {96, 1094, 0, 0, 0, 125, 19},	//1904 Akonadi::Monitor::itemFetchScope()
    {96, 1355, 197, 1, 0, 0, 20},	//1905 Akonadi::Monitor::setCollectionFetchScope(const Akonadi::CollectionFetchScope&)
    {96, 783, 0, 0, 0, 49, 21},	//1906 Akonadi::Monitor::collectionFetchScope()
    {96, 809, 0, 0, Smoke::mf_const, 257, 22},	//1907 Akonadi::Monitor::collectionsMonitored() const
    {96, 1118, 0, 0, Smoke::mf_const, 258, 23},	//1908 Akonadi::Monitor::itemsMonitored() const
    {96, 1119, 0, 0, Smoke::mf_const, 296, 24},	//1909 Akonadi::Monitor::itemsMonitoredEx() const
    {96, 1171, 0, 0, Smoke::mf_const, 285, 25},	//1910 Akonadi::Monitor::mimeTypesMonitored() const
    {96, 1258, 0, 0, Smoke::mf_const, 261, 26},	//1911 Akonadi::Monitor::resourcesMonitored() const
    {96, 1064, 0, 0, Smoke::mf_const, 374, 27},	//1912 Akonadi::Monitor::isAllMonitored() const
    {96, 1577, 582, 1, 0, 0, 28},	//1913 Akonadi::Monitor::setSession(Akonadi::Session*)
    {96, 1313, 0, 0, Smoke::mf_const, 167, 29},	//1914 Akonadi::Monitor::session() const
    {96, 1362, 45, 1, 0, 0, 30},	//1915 Akonadi::Monitor::setCollectionMoveTranslationEnabled(bool)
    {96, 1090, 53, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1916 Akonadi::Monitor::itemChanged(const Akonadi::Item&, const QSet<QByteArray>&)
    {96, 1114, 584, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1917 Akonadi::Monitor::itemsFlagsChanged(const Akonadi::Item::List&, const QSet<QByteArray>&, const QSet<QByteArray>&)
    {96, 1101, 65, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1918 Akonadi::Monitor::itemMoved(const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 1120, 588, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1919 Akonadi::Monitor::itemsMoved(const Akonadi::Item::List&, const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 1088, 50, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1920 Akonadi::Monitor::itemAdded(const Akonadi::Item&, const Akonadi::Collection&)
    {96, 1104, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1921 Akonadi::Monitor::itemRemoved(const Akonadi::Item&)
    {96, 1124, 512, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1922 Akonadi::Monitor::itemsRemoved(const Akonadi::Item::List&)
    {96, 1097, 50, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1923 Akonadi::Monitor::itemLinked(const Akonadi::Item&, const Akonadi::Collection&)
    {96, 1116, 592, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//1924 Akonadi::Monitor::itemsLinked(const Akonadi::Item::List&, const Akonadi::Collection&)
    {96, 1111, 50, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//1925 Akonadi::Monitor::itemUnlinked(const Akonadi::Item&, const Akonadi::Collection&)
    {96, 1131, 592, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//1926 Akonadi::Monitor::itemsUnlinked(const Akonadi::Item::List&, const Akonadi::Collection&)
    {96, 776, 58, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//1927 Akonadi::Monitor::collectionAdded(const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 780, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//1928 Akonadi::Monitor::collectionChanged(const Akonadi::Collection&)
    {96, 780, 73, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//1929 Akonadi::Monitor::collectionChanged(const Akonadi::Collection&, const QSet<QByteArray>&)
    {96, 792, 69, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//1930 Akonadi::Monitor::collectionMoved(const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 796, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//1931 Akonadi::Monitor::collectionRemoved(const Akonadi::Collection&)
    {96, 800, 58, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1932 Akonadi::Monitor::collectionSubscribed(const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 806, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//1933 Akonadi::Monitor::collectionUnsubscribed(const Akonadi::Collection&)
    {96, 798, 595, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//1934 Akonadi::Monitor::collectionStatisticsChanged(Akonadi::Collection::Id, const Akonadi::CollectionStatistics&)
    {96, 790, 121, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//1935 Akonadi::Monitor::collectionMonitored(const Akonadi::Collection&, bool)
    {96, 1099, 576, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//1936 Akonadi::Monitor::itemMonitored(const Akonadi::Item&, bool)
    {96, 1256, 516, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//1937 Akonadi::Monitor::resourceMonitored(const QByteArray&, bool)
    {96, 1168, 579, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//1938 Akonadi::Monitor::mimeTypeMonitored(const QString&, bool)
    {96, 717, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//1939 Akonadi::Monitor::allMonitored(bool)
    {96, 397, 598, 2, Smoke::mf_ctor|Smoke::mf_protected, 151, 55},	//1940 Akonadi::Monitor::Monitor(Akonadi::MonitorPrivate*, QObject*)
    {96, 1681, 21, 1, Smoke::mf_static, 284, 56},	//1941 Akonadi::Monitor::tr(const char*)
    {96, 1685, 21, 1, Smoke::mf_static, 284, 57},	//1942 Akonadi::Monitor::trUtf8(const char*)
    {96, 397, 0, 0, Smoke::mf_ctor, 151, 58},	//1943 Akonadi::Monitor::Monitor()
    {96, 1359, 61, 1, 0, 0, 59},	//1944 Akonadi::Monitor::setCollectionMonitored(const Akonadi::Collection&)
    {96, 1489, 56, 1, 0, 0, 60},	//1945 Akonadi::Monitor::setItemMonitored(const Akonadi::Item&)
    {96, 1563, 6, 1, 0, 0, 61},	//1946 Akonadi::Monitor::setResourceMonitored(const QByteArray&)
    {96, 1515, 8, 1, 0, 0, 62},	//1947 Akonadi::Monitor::setMimeTypeMonitored(const QString&)
    {96, 1323, 0, 0, 0, 0, 63},	//1948 Akonadi::Monitor::setAllMonitored()
    {96, 397, 601, 1, Smoke::mf_ctor|Smoke::mf_protected, 151, 64},	//1949 Akonadi::Monitor::Monitor(Akonadi::MonitorPrivate*)
    {96, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 65},	//1950 Akonadi::Monitor::staticMetaObject() const
    {96, 1822, 0, 0, Smoke::mf_dtor, 0, 66 },	//1951 Akonadi::Monitor::~Monitor()
    {98, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1952 Akonadi::PartFetcher::metaObject() const
    {98, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1953 Akonadi::PartFetcher::qt_metacast(const char*)
    {98, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1954 Akonadi::PartFetcher::tr(const char*, const char*)
    {98, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1955 Akonadi::PartFetcher::trUtf8(const char*, const char*)
    {98, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1956 Akonadi::PartFetcher::tr(const char*, const char*, int)
    {98, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1957 Akonadi::PartFetcher::trUtf8(const char*, const char*, int)
    {98, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1958 Akonadi::PartFetcher::qt_metacall(QMetaObject::Call, int, void**)
    {98, 456, 603, 3, Smoke::mf_ctor, 153, 8},	//1959 Akonadi::PartFetcher::PartFetcher(const QModelIndex&, const QByteArray&, QObject*)
    {98, 1639, 0, 0, Smoke::mf_virtual, 0, 9},	//1960 Akonadi::PartFetcher::start()
    {98, 1025, 0, 0, Smoke::mf_const, 268, 10},	//1961 Akonadi::PartFetcher::index() const
    {98, 1210, 0, 0, Smoke::mf_const, 220, 11},	//1962 Akonadi::PartFetcher::partName() const
    {98, 1087, 0, 0, Smoke::mf_const, 115, 12},	//1963 Akonadi::PartFetcher::item() const
    {98, 1681, 21, 1, Smoke::mf_static, 284, 13},	//1964 Akonadi::PartFetcher::tr(const char*)
    {98, 1685, 21, 1, Smoke::mf_static, 284, 14},	//1965 Akonadi::PartFetcher::trUtf8(const char*)
    {98, 456, 607, 2, Smoke::mf_ctor, 153, 15},	//1966 Akonadi::PartFetcher::PartFetcher(const QModelIndex&, const QByteArray&)
    {98, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 16},	//1967 Akonadi::PartFetcher::staticMetaObject() const
    {98, 1825, 0, 0, Smoke::mf_dtor, 0, 17 },	//1968 Akonadi::PartFetcher::~PartFetcher()
    {99, 772, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 154, 1},	//1969 Akonadi::PayloadBase::clone() const [pure virtual]
    {99, 1693, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 456, 2},	//1970 Akonadi::PayloadBase::typeName() const [pure virtual]
    {99, 460, 0, 0, Smoke::mf_ctor, 154, 3},	//1971 Akonadi::PayloadBase::PayloadBase()
    {99, 460, 610, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 154, 4},	//1972 Akonadi::PayloadBase::PayloadBase(const Akonadi::PayloadBase&)
    {99, 1826, 0, 0, Smoke::mf_dtor, 0, 5 },	//1973 Akonadi::PayloadBase::~PayloadBase()
    {100, 462, 21, 1, Smoke::mf_ctor, 155, 1},	//1974 Akonadi::PayloadException::PayloadException(const char*)
    {100, 462, 6, 1, Smoke::mf_ctor, 155, 2},	//1975 Akonadi::PayloadException::PayloadException(const QByteArray&)
    {100, 462, 8, 1, Smoke::mf_ctor, 155, 3},	//1976 Akonadi::PayloadException::PayloadException(const QString&)
    {100, 1689, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 220, 4},	//1977 Akonadi::PayloadException::type() const
    {100, 462, 612, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 155, 5},	//1978 Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    {100, 1827, 0, 0, Smoke::mf_dtor, 0, 6 },	//1979 Akonadi::PayloadException::~PayloadException()
    {101, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//1980 Akonadi::PreprocessorBase::metaObject() const
    {101, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//1981 Akonadi::PreprocessorBase::qt_metacast(const char*)
    {101, 1681, 23, 2, Smoke::mf_static, 284, 3},	//1982 Akonadi::PreprocessorBase::tr(const char*, const char*)
    {101, 1685, 23, 2, Smoke::mf_static, 284, 4},	//1983 Akonadi::PreprocessorBase::trUtf8(const char*, const char*)
    {101, 1681, 26, 3, Smoke::mf_static, 284, 5},	//1984 Akonadi::PreprocessorBase::tr(const char*, const char*, int)
    {101, 1685, 26, 3, Smoke::mf_static, 284, 6},	//1985 Akonadi::PreprocessorBase::trUtf8(const char*, const char*, int)
    {101, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//1986 Akonadi::PreprocessorBase::qt_metacall(QMetaObject::Call, int, void**)
    {101, 1220, 56, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 157, 8},	//1987 Akonadi::PreprocessorBase::processItem(const Akonadi::Item&) [pure virtual]
    {101, 978, 614, 1, 0, 0, 9},	//1988 Akonadi::PreprocessorBase::finishProcessing(Akonadi::PreprocessorBase::ProcessingResult)
    {101, 1438, 510, 1, 0, 0, 10},	//1989 Akonadi::PreprocessorBase::setFetchScope(const Akonadi::ItemFetchScope&)
    {101, 973, 0, 0, 0, 125, 11},	//1990 Akonadi::PreprocessorBase::fetchScope()
    {101, 472, 8, 1, Smoke::mf_ctor|Smoke::mf_protected, 156, 12},	//1991 Akonadi::PreprocessorBase::PreprocessorBase(const QString&)
    {101, 1681, 21, 1, Smoke::mf_static, 284, 13},	//1992 Akonadi::PreprocessorBase::tr(const char*)
    {101, 1685, 21, 1, Smoke::mf_static, 284, 14},	//1993 Akonadi::PreprocessorBase::trUtf8(const char*)
    {101, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 15},	//1994 Akonadi::PreprocessorBase::staticMetaObject() const
    {101, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 16},	//1995 Akonadi::PreprocessorBase::ProcessingCompleted (enum)
    {101, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 17},	//1996 Akonadi::PreprocessorBase::ProcessingDelayed (enum)
    {101, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 18},	//1997 Akonadi::PreprocessorBase::ProcessingFailed (enum)
    {101, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 19},	//1998 Akonadi::PreprocessorBase::ProcessingRefused (enum)
    {101, 1828, 0, 0, Smoke::mf_dtor, 0, 20 },	//1999 Akonadi::PreprocessorBase::~PreprocessorBase()
    {102, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2000 Akonadi::ResourceBase::metaObject() const
    {102, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//2001 Akonadi::ResourceBase::qt_metacast(const char*)
    {102, 1681, 23, 2, Smoke::mf_static, 284, 3},	//2002 Akonadi::ResourceBase::tr(const char*, const char*)
    {102, 1685, 23, 2, Smoke::mf_static, 284, 4},	//2003 Akonadi::ResourceBase::trUtf8(const char*, const char*)
    {102, 1681, 26, 3, Smoke::mf_static, 284, 5},	//2004 Akonadi::ResourceBase::tr(const char*, const char*, int)
    {102, 1685, 26, 3, Smoke::mf_static, 284, 6},	//2005 Akonadi::ResourceBase::trUtf8(const char*, const char*, int)
    {102, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//2006 Akonadi::ResourceBase::qt_metacall(QMetaObject::Call, int, void**)
    {102, 1523, 8, 1, 0, 0, 8},	//2007 Akonadi::ResourceBase::setName(const QString&)
    {102, 1184, 0, 0, Smoke::mf_const, 284, 9},	//2008 Akonadi::ResourceBase::name() const
    {102, 1330, 45, 1, 0, 0, 10},	//2009 Akonadi::ResourceBase::setAutomaticProgressReporting(bool)
    {102, 1185, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//2010 Akonadi::ResourceBase::nameChanged(const QString&)
    {102, 1673, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//2011 Akonadi::ResourceBase::synchronized()
    {102, 726, 616, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//2012 Akonadi::ResourceBase::attributesSynchronized(qlonglong)
    {102, 805, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//2013 Akonadi::ResourceBase::collectionTreeSynchronized()
    {102, 1265, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 15},	//2014 Akonadi::ResourceBase::retrieveCollections() [pure virtual]
    {102, 1263, 61, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 16},	//2015 Akonadi::ResourceBase::retrieveCollectionAttributes(const Akonadi::Collection&)
    {102, 1268, 61, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 17},	//2016 Akonadi::ResourceBase::retrieveItems(const Akonadi::Collection&) [pure virtual]
    {102, 1266, 53, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 374, 18},	//2017 Akonadi::ResourceBase::retrieveItem(const Akonadi::Item&, const QSet<QByteArray>&) [pure virtual]
    {102, 664, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 19},	//2018 Akonadi::ResourceBase::abortActivity()
    {102, 921, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 284, 20},	//2019 Akonadi::ResourceBase::dumpResourceToString() const
    {102, 497, 8, 1, Smoke::mf_ctor|Smoke::mf_protected, 158, 21},	//2020 Akonadi::ResourceBase::ResourceBase(const QString&)
    {102, 1106, 56, 1, Smoke::mf_protected, 0, 22},	//2021 Akonadi::ResourceBase::itemRetrieved(const Akonadi::Item&)
    {102, 778, 61, 1, Smoke::mf_protected, 0, 23},	//2022 Akonadi::ResourceBase::collectionAttributesRetrieved(const Akonadi::Collection&)
    {102, 749, 56, 1, Smoke::mf_protected, 0, 24},	//2023 Akonadi::ResourceBase::changeCommitted(const Akonadi::Item&)
    {102, 755, 503, 1, Smoke::mf_protected, 0, 25},	//2024 Akonadi::ResourceBase::changesCommitted(const QList<Akonadi::Item>&)
    {102, 749, 61, 1, Smoke::mf_protected, 0, 26},	//2025 Akonadi::ResourceBase::changeCommitted(const Akonadi::Collection&)
    {102, 813, 206, 1, Smoke::mf_protected, 0, 27},	//2026 Akonadi::ResourceBase::collectionsRetrieved(const QList<Akonadi::Collection>&)
    {102, 815, 618, 2, Smoke::mf_protected, 0, 28},	//2027 Akonadi::ResourceBase::collectionsRetrievedIncremental(const QList<Akonadi::Collection>&, const QList<Akonadi::Collection>&)
    {102, 1368, 45, 1, Smoke::mf_protected, 0, 29},	//2028 Akonadi::ResourceBase::setCollectionStreamingEnabled(bool)
    {102, 812, 0, 0, Smoke::mf_protected, 0, 30},	//2029 Akonadi::ResourceBase::collectionsRetrievalDone()
    {102, 1127, 503, 1, Smoke::mf_protected, 0, 31},	//2030 Akonadi::ResourceBase::itemsRetrieved(const QList<Akonadi::Item>&)
    {102, 1597, 41, 1, Smoke::mf_protected, 0, 32},	//2031 Akonadi::ResourceBase::setTotalItems(int)
    {102, 1496, 45, 1, Smoke::mf_protected, 0, 33},	//2032 Akonadi::ResourceBase::setItemStreamingEnabled(bool)
    {102, 1500, 546, 1, Smoke::mf_protected, 0, 34},	//2033 Akonadi::ResourceBase::setItemTransactionMode(Akonadi::ItemSync::TransactionMode)
    {102, 1498, 510, 1, Smoke::mf_protected, 0, 35},	//2034 Akonadi::ResourceBase::setItemSynchronizationFetchScope(const Akonadi::ItemFetchScope&)
    {102, 1129, 543, 2, Smoke::mf_protected, 0, 36},	//2035 Akonadi::ResourceBase::itemsRetrievedIncremental(const QList<Akonadi::Item>&, const QList<Akonadi::Item>&)
    {102, 1126, 0, 0, Smoke::mf_protected, 0, 37},	//2036 Akonadi::ResourceBase::itemsRetrievalDone()
    {102, 763, 0, 0, Smoke::mf_protected, 0, 38},	//2037 Akonadi::ResourceBase::clearCache()
    {102, 1062, 61, 1, Smoke::mf_protected, 0, 39},	//2038 Akonadi::ResourceBase::invalidateCache(const Akonadi::Collection&)
    {102, 865, 0, 0, Smoke::mf_const|Smoke::mf_protected, 34, 40},	//2039 Akonadi::ResourceBase::currentCollection() const
    {102, 866, 0, 0, Smoke::mf_const|Smoke::mf_protected, 115, 41},	//2040 Akonadi::ResourceBase::currentItem() const
    {102, 1664, 0, 0, Smoke::mf_protected, 0, 42},	//2041 Akonadi::ResourceBase::synchronize()
    {102, 1665, 146, 1, Smoke::mf_protected, 0, 43},	//2042 Akonadi::ResourceBase::synchronizeCollection(long long)
    {102, 1665, 621, 2, Smoke::mf_protected, 0, 44},	//2043 Akonadi::ResourceBase::synchronizeCollection(long long, bool)
    {102, 1670, 146, 1, Smoke::mf_protected, 0, 45},	//2044 Akonadi::ResourceBase::synchronizeCollectionAttributes(long long)
    {102, 1672, 0, 0, Smoke::mf_protected, 0, 46},	//2045 Akonadi::ResourceBase::synchronizeCollectionTree()
    {102, 743, 0, 0, Smoke::mf_protected, 0, 47},	//2046 Akonadi::ResourceBase::cancelTask()
    {102, 743, 8, 1, Smoke::mf_protected, 0, 48},	//2047 Akonadi::ResourceBase::cancelTask(const QString&)
    {102, 878, 0, 0, Smoke::mf_protected, 0, 49},	//2048 Akonadi::ResourceBase::deferTask()
    {102, 899, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//2049 Akonadi::ResourceBase::doSetOnline(bool)
    {102, 1458, 45, 1, Smoke::mf_protected, 0, 51},	//2050 Akonadi::ResourceBase::setHierarchicalRemoteIdentifiersEnabled(bool)
    {102, 1287, 624, 4, Smoke::mf_protected, 0, 52},	//2051 Akonadi::ResourceBase::scheduleCustomTask(QObject*, const char*, const QVariant&, Akonadi::ResourceBase::SchedulePriority)
    {102, 1676, 0, 0, Smoke::mf_protected, 0, 53},	//2052 Akonadi::ResourceBase::taskDone()
    {102, 920, 0, 0, Smoke::mf_const|Smoke::mf_protected, 284, 54},	//2053 Akonadi::ResourceBase::dumpNotificationListToString() const
    {102, 918, 0, 0, Smoke::mf_const|Smoke::mf_protected, 0, 55},	//2054 Akonadi::ResourceBase::dumpMemoryInfo() const
    {102, 919, 0, 0, Smoke::mf_const|Smoke::mf_protected, 284, 56},	//2055 Akonadi::ResourceBase::dumpMemoryInfoToString() const
    {102, 922, 0, 0, Smoke::mf_const|Smoke::mf_protected, 284, 57},	//2056 Akonadi::ResourceBase::dumpSchedulerToString() const
    {102, 1681, 21, 1, Smoke::mf_static, 284, 58},	//2057 Akonadi::ResourceBase::tr(const char*)
    {102, 1685, 21, 1, Smoke::mf_static, 284, 59},	//2058 Akonadi::ResourceBase::trUtf8(const char*)
    {102, 1287, 629, 3, Smoke::mf_protected, 0, 60},	//2059 Akonadi::ResourceBase::scheduleCustomTask(QObject*, const char*, const QVariant&)
    {102, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 61},	//2060 Akonadi::ResourceBase::staticMetaObject() const
    {102, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 62},	//2061 Akonadi::ResourceBase::Prepend (enum)
    {102, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 63},	//2062 Akonadi::ResourceBase::AfterChangeReplay (enum)
    {102, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 64},	//2063 Akonadi::ResourceBase::Append (enum)
    {102, 1829, 0, 0, Smoke::mf_dtor, 0, 65 },	//2064 Akonadi::ResourceBase::~ResourceBase()
    {103, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2065 Akonadi::ResourceSynchronizationJob::metaObject() const
    {103, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//2066 Akonadi::ResourceSynchronizationJob::qt_metacast(const char*)
    {103, 1681, 23, 2, Smoke::mf_static, 284, 3},	//2067 Akonadi::ResourceSynchronizationJob::tr(const char*, const char*)
    {103, 1685, 23, 2, Smoke::mf_static, 284, 4},	//2068 Akonadi::ResourceSynchronizationJob::trUtf8(const char*, const char*)
    {103, 1681, 26, 3, Smoke::mf_static, 284, 5},	//2069 Akonadi::ResourceSynchronizationJob::tr(const char*, const char*, int)
    {103, 1685, 26, 3, Smoke::mf_static, 284, 6},	//2070 Akonadi::ResourceSynchronizationJob::trUtf8(const char*, const char*, int)
    {103, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//2071 Akonadi::ResourceSynchronizationJob::qt_metacall(QMetaObject::Call, int, void**)
    {103, 500, 633, 2, Smoke::mf_ctor, 160, 8},	//2072 Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob(const Akonadi::AgentInstance&, QObject*)
    {103, 804, 0, 0, Smoke::mf_const, 374, 9},	//2073 Akonadi::ResourceSynchronizationJob::collectionTreeOnly() const
    {103, 1370, 45, 1, 0, 0, 10},	//2074 Akonadi::ResourceSynchronizationJob::setCollectionTreeOnly(bool)
    {103, 1255, 0, 0, Smoke::mf_const, 11, 11},	//2075 Akonadi::ResourceSynchronizationJob::resource() const
    {103, 1639, 0, 0, Smoke::mf_virtual, 0, 12},	//2076 Akonadi::ResourceSynchronizationJob::start()
    {103, 1681, 21, 1, Smoke::mf_static, 284, 13},	//2077 Akonadi::ResourceSynchronizationJob::tr(const char*)
    {103, 1685, 21, 1, Smoke::mf_static, 284, 14},	//2078 Akonadi::ResourceSynchronizationJob::trUtf8(const char*)
    {103, 500, 83, 1, Smoke::mf_ctor, 160, 15},	//2079 Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob(const Akonadi::AgentInstance&)
    {103, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 16},	//2080 Akonadi::ResourceSynchronizationJob::staticMetaObject() const
    {103, 1830, 0, 0, Smoke::mf_dtor, 0, 17 },	//2081 Akonadi::ResourceSynchronizationJob::~ResourceSynchronizationJob()
    {104, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2082 Akonadi::SearchCreateJob::metaObject() const
    {104, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//2083 Akonadi::SearchCreateJob::qt_metacast(const char*)
    {104, 1681, 23, 2, Smoke::mf_static, 284, 3},	//2084 Akonadi::SearchCreateJob::tr(const char*, const char*)
    {104, 1685, 23, 2, Smoke::mf_static, 284, 4},	//2085 Akonadi::SearchCreateJob::trUtf8(const char*, const char*)
    {104, 1681, 26, 3, Smoke::mf_static, 284, 5},	//2086 Akonadi::SearchCreateJob::tr(const char*, const char*, int)
    {104, 1685, 26, 3, Smoke::mf_static, 284, 6},	//2087 Akonadi::SearchCreateJob::trUtf8(const char*, const char*, int)
    {104, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//2088 Akonadi::SearchCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {104, 508, 636, 3, Smoke::mf_ctor, 161, 8},	//2089 Akonadi::SearchCreateJob::SearchCreateJob(const QString&, const QString&, QObject*)
    {104, 1551, 8, 1, 0, 0, 9},	//2090 Akonadi::SearchCreateJob::setQueryLanguage(const QString&)
    {104, 859, 0, 0, Smoke::mf_const, 34, 10},	//2091 Akonadi::SearchCreateJob::createdCollection() const
    {104, 901, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//2092 Akonadi::SearchCreateJob::doStart()
    {104, 894, 168, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//2093 Akonadi::SearchCreateJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {104, 1681, 21, 1, Smoke::mf_static, 284, 13},	//2094 Akonadi::SearchCreateJob::tr(const char*)
    {104, 1685, 21, 1, Smoke::mf_static, 284, 14},	//2095 Akonadi::SearchCreateJob::trUtf8(const char*)
    {104, 508, 300, 2, Smoke::mf_ctor, 161, 15},	//2096 Akonadi::SearchCreateJob::SearchCreateJob(const QString&, const QString&)
    {104, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 16},	//2097 Akonadi::SearchCreateJob::staticMetaObject() const
    {104, 1831, 0, 0, Smoke::mf_dtor, 0, 17 },	//2098 Akonadi::SearchCreateJob::~SearchCreateJob()
    {105, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2099 Akonadi::SelectionProxyModel::metaObject() const
    {105, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//2100 Akonadi::SelectionProxyModel::qt_metacast(const char*)
    {105, 1681, 23, 2, Smoke::mf_static, 284, 3},	//2101 Akonadi::SelectionProxyModel::tr(const char*, const char*)
    {105, 1685, 23, 2, Smoke::mf_static, 284, 4},	//2102 Akonadi::SelectionProxyModel::trUtf8(const char*, const char*)
    {105, 1681, 26, 3, Smoke::mf_static, 284, 5},	//2103 Akonadi::SelectionProxyModel::tr(const char*, const char*, int)
    {105, 1685, 26, 3, Smoke::mf_static, 284, 6},	//2104 Akonadi::SelectionProxyModel::trUtf8(const char*, const char*, int)
    {105, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//2105 Akonadi::SelectionProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {105, 515, 640, 2, Smoke::mf_ctor, 162, 8},	//2106 Akonadi::SelectionProxyModel::SelectionProxyModel(QItemSelectionModel*, QObject*)
    {105, 1681, 21, 1, Smoke::mf_static, 284, 9},	//2107 Akonadi::SelectionProxyModel::tr(const char*)
    {105, 1685, 21, 1, Smoke::mf_static, 284, 10},	//2108 Akonadi::SelectionProxyModel::trUtf8(const char*)
    {105, 515, 643, 1, Smoke::mf_ctor, 162, 11},	//2109 Akonadi::SelectionProxyModel::SelectionProxyModel(QItemSelectionModel*)
    {105, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 12},	//2110 Akonadi::SelectionProxyModel::staticMetaObject() const
    {105, 1832, 0, 0, Smoke::mf_dtor, 0, 13 },	//2111 Akonadi::SelectionProxyModel::~SelectionProxyModel()
    {106, 1159, 0, 0, Smoke::mf_const, 440, 1},	//2112 Akonadi::ServerManager::metaObject() const
    {106, 1227, 21, 1, 0, 468, 2},	//2113 Akonadi::ServerManager::qt_metacast(const char*)
    {106, 1681, 23, 2, Smoke::mf_static, 284, 3},	//2114 Akonadi::ServerManager::tr(const char*, const char*)
    {106, 1685, 23, 2, Smoke::mf_static, 284, 4},	//2115 Akonadi::ServerManager::trUtf8(const char*, const char*)
    {106, 1681, 26, 3, Smoke::mf_static, 284, 5},	//2116 Akonadi::ServerManager::tr(const char*, const char*, int)
    {106, 1685, 26, 3, Smoke::mf_static, 284, 6},	//2117 Akonadi::ServerManager::trUtf8(const char*, const char*, int)
    {106, 1225, 30, 3, 0, 460, 7},	//2118 Akonadi::ServerManager::qt_metacall(QMetaObject::Call, int, void**)
    {106, 1639, 0, 0, Smoke::mf_static, 374, 8},	//2119 Akonadi::ServerManager::start()
    {106, 1653, 0, 0, Smoke::mf_static, 374, 9},	//2120 Akonadi::ServerManager::stop()
    {106, 1622, 85, 1, Smoke::mf_static, 0, 10},	//2121 Akonadi::ServerManager::showSelfTestDialog(QWidget*)
    {106, 1075, 0, 0, Smoke::mf_static, 374, 11},	//2122 Akonadi::ServerManager::isRunning()
    {106, 1644, 0, 0, Smoke::mf_static, 166, 12},	//2123 Akonadi::ServerManager::state()
    {106, 1044, 0, 0, Smoke::mf_static, 284, 13},	//2124 Akonadi::ServerManager::instanceIdentifier()
    {106, 1000, 0, 0, Smoke::mf_static, 374, 14},	//2125 Akonadi::ServerManager::hasInstanceIdentifier()
    {106, 1311, 645, 1, Smoke::mf_static, 284, 15},	//2126 Akonadi::ServerManager::serviceName(Akonadi::ServerManager::ServiceType)
    {106, 712, 647, 2, Smoke::mf_static, 284, 16},	//2127 Akonadi::ServerManager::agentServiceName(Akonadi::ServerManager::ServiceAgentType, const QString&)
    {106, 698, 8, 1, Smoke::mf_static, 284, 17},	//2128 Akonadi::ServerManager::addNamespace(const QString&)
    {106, 1301, 0, 0, Smoke::mf_static, 163, 18},	//2129 Akonadi::ServerManager::self()
    {106, 1643, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//2130 Akonadi::ServerManager::started()
    {106, 1655, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//2131 Akonadi::ServerManager::stopped()
    {106, 1645, 650, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//2132 Akonadi::ServerManager::stateChanged(Akonadi::ServerManager::State)
    {106, 1681, 21, 1, Smoke::mf_static, 284, 22},	//2133 Akonadi::ServerManager::tr(const char*)
    {106, 1685, 21, 1, Smoke::mf_static, 284, 23},	//2134 Akonadi::ServerManager::trUtf8(const char*)
    {106, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 24},	//2135 Akonadi::ServerManager::staticMetaObject() const
    {106, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 25},	//2136 Akonadi::ServerManager::NotRunning (enum)
    {106, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 26},	//2137 Akonadi::ServerManager::Starting (enum)
    {106, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 27},	//2138 Akonadi::ServerManager::Running (enum)
    {106, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 28},	//2139 Akonadi::ServerManager::Stopping (enum)
    {106, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 29},	//2140 Akonadi::ServerManager::Broken (enum)
    {106, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 30},	//2141 Akonadi::ServerManager::Upgrading (enum)
    {106, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 31},	//2142 Akonadi::ServerManager::Server (enum)
    {106, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 32},	//2143 Akonadi::ServerManager::Control (enum)
    {106, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 33},	//2144 Akonadi::ServerManager::ControlLock (enum)
    {106, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 34},	//2145 Akonadi::ServerManager::UpgradeIndicator (enum)
    {106, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 35},	//2146 Akonadi::ServerManager::Agent (enum)
    {106, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 36},	//2147 Akonadi::ServerManager::Resource (enum)
    {106, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 37},	//2148 Akonadi::ServerManager::Preprocessor (enum)
    {106, 1833, 0, 0, Smoke::mf_dtor, 0, 38 },	//2149 Akonadi::ServerManager::~ServerManager()
    {107, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2150 Akonadi::Session::metaObject() const
    {107, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//2151 Akonadi::Session::qt_metacast(const char*)
    {107, 1681, 23, 2, Smoke::mf_static, 284, 3},	//2152 Akonadi::Session::tr(const char*, const char*)
    {107, 1685, 23, 2, Smoke::mf_static, 284, 4},	//2153 Akonadi::Session::trUtf8(const char*, const char*)
    {107, 1681, 26, 3, Smoke::mf_static, 284, 5},	//2154 Akonadi::Session::tr(const char*, const char*, int)
    {107, 1685, 26, 3, Smoke::mf_static, 284, 6},	//2155 Akonadi::Session::trUtf8(const char*, const char*, int)
    {107, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//2156 Akonadi::Session::qt_metacall(QMetaObject::Call, int, void**)
    {107, 520, 652, 2, Smoke::mf_ctor, 167, 8},	//2157 Akonadi::Session::Session(const QByteArray&, QObject*)
    {107, 1314, 0, 0, Smoke::mf_const, 220, 9},	//2158 Akonadi::Session::sessionId() const
    {107, 877, 0, 0, Smoke::mf_static, 167, 10},	//2159 Akonadi::Session::defaultSession()
    {107, 760, 0, 0, 0, 0, 11},	//2160 Akonadi::Session::clear()
    {107, 1231, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//2161 Akonadi::Session::reconnected()
    {107, 520, 655, 3, Smoke::mf_ctor|Smoke::mf_protected, 167, 13},	//2162 Akonadi::Session::Session(Akonadi::SessionPrivate*, const QByteArray&, QObject*)
    {107, 1681, 21, 1, Smoke::mf_static, 284, 14},	//2163 Akonadi::Session::tr(const char*)
    {107, 1685, 21, 1, Smoke::mf_static, 284, 15},	//2164 Akonadi::Session::trUtf8(const char*)
    {107, 520, 0, 0, Smoke::mf_ctor, 167, 16},	//2165 Akonadi::Session::Session()
    {107, 520, 6, 1, Smoke::mf_ctor, 167, 17},	//2166 Akonadi::Session::Session(const QByteArray&)
    {107, 520, 659, 1, Smoke::mf_ctor|Smoke::mf_protected, 167, 18},	//2167 Akonadi::Session::Session(Akonadi::SessionPrivate*)
    {107, 520, 661, 2, Smoke::mf_ctor|Smoke::mf_protected, 167, 19},	//2168 Akonadi::Session::Session(Akonadi::SessionPrivate*, const QByteArray&)
    {107, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 20},	//2169 Akonadi::Session::staticMetaObject() const
    {107, 1834, 0, 0, Smoke::mf_dtor, 0, 21 },	//2170 Akonadi::Session::~Session()
    {109, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2171 Akonadi::StandardActionManager::metaObject() const
    {109, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//2172 Akonadi::StandardActionManager::qt_metacast(const char*)
    {109, 1681, 23, 2, Smoke::mf_static, 284, 3},	//2173 Akonadi::StandardActionManager::tr(const char*, const char*)
    {109, 1685, 23, 2, Smoke::mf_static, 284, 4},	//2174 Akonadi::StandardActionManager::trUtf8(const char*, const char*)
    {109, 1681, 26, 3, Smoke::mf_static, 284, 5},	//2175 Akonadi::StandardActionManager::tr(const char*, const char*, int)
    {109, 1685, 26, 3, Smoke::mf_static, 284, 6},	//2176 Akonadi::StandardActionManager::trUtf8(const char*, const char*, int)
    {109, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//2177 Akonadi::StandardActionManager::qt_metacall(QMetaObject::Call, int, void**)
    {109, 533, 664, 2, Smoke::mf_ctor, 169, 8},	//2178 Akonadi::StandardActionManager::StandardActionManager(KActionCollection*, QWidget*)
    {109, 1366, 643, 1, 0, 0, 9},	//2179 Akonadi::StandardActionManager::setCollectionSelectionModel(QItemSelectionModel*)
    {109, 1494, 643, 1, 0, 0, 10},	//2180 Akonadi::StandardActionManager::setItemSelectionModel(QItemSelectionModel*)
    {109, 1424, 667, 1, 0, 0, 11},	//2181 Akonadi::StandardActionManager::setFavoriteCollectionsModel(Akonadi::FavoriteCollectionsModel*)
    {109, 1428, 643, 1, 0, 0, 12},	//2182 Akonadi::StandardActionManager::setFavoriteSelectionModel(QItemSelectionModel*)
    {109, 847, 669, 1, 0, 196, 13},	//2183 Akonadi::StandardActionManager::createAction(Akonadi::StandardActionManager::Type)
    {109, 851, 0, 0, 0, 0, 14},	//2184 Akonadi::StandardActionManager::createAllActions()
    {109, 672, 669, 1, Smoke::mf_const, 196, 15},	//2185 Akonadi::StandardActionManager::action(Akonadi::StandardActionManager::Type) const
    {109, 1317, 671, 2, 0, 0, 16},	//2186 Akonadi::StandardActionManager::setActionText(Akonadi::StandardActionManager::Type, const KLocalizedString&)
    {109, 1058, 674, 2, 0, 0, 17},	//2187 Akonadi::StandardActionManager::interceptAction(Akonadi::StandardActionManager::Type, bool)
    {109, 1295, 0, 0, Smoke::mf_const, 257, 18},	//2188 Akonadi::StandardActionManager::selectedCollections() const
    {109, 1297, 0, 0, Smoke::mf_const, 259, 19},	//2189 Akonadi::StandardActionManager::selectedItems() const
    {109, 1395, 677, 3, 0, 0, 20},	//2190 Akonadi::StandardActionManager::setContextText(Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const QString&)
    {109, 1395, 681, 3, 0, 0, 21},	//2191 Akonadi::StandardActionManager::setContextText(Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const KLocalizedString&)
    {109, 1513, 10, 1, 0, 0, 22},	//2192 Akonadi::StandardActionManager::setMimeTypeFilter(const QStringList&)
    {109, 1344, 10, 1, 0, 0, 23},	//2193 Akonadi::StandardActionManager::setCapabilityFilter(const QStringList&)
    {109, 1364, 10, 1, 0, 0, 24},	//2194 Akonadi::StandardActionManager::setCollectionPropertiesPageNames(const QStringList&)
    {109, 849, 685, 2, 0, 0, 25},	//2195 Akonadi::StandardActionManager::createActionFolderMenu(QMenu*, Akonadi::StandardActionManager::Type)
    {109, 675, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2196 Akonadi::StandardActionManager::actionStateUpdated()
    {109, 1681, 21, 1, Smoke::mf_static, 284, 27},	//2197 Akonadi::StandardActionManager::tr(const char*)
    {109, 1685, 21, 1, Smoke::mf_static, 284, 28},	//2198 Akonadi::StandardActionManager::trUtf8(const char*)
    {109, 533, 688, 1, Smoke::mf_ctor, 169, 29},	//2199 Akonadi::StandardActionManager::StandardActionManager(KActionCollection*)
    {109, 1058, 669, 1, 0, 0, 30},	//2200 Akonadi::StandardActionManager::interceptAction(Akonadi::StandardActionManager::Type)
    {109, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 31},	//2201 Akonadi::StandardActionManager::staticMetaObject() const
    {109, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 32},	//2202 Akonadi::StandardActionManager::CreateCollection (enum)
    {109, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 33},	//2203 Akonadi::StandardActionManager::CopyCollections (enum)
    {109, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 34},	//2204 Akonadi::StandardActionManager::DeleteCollections (enum)
    {109, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 35},	//2205 Akonadi::StandardActionManager::SynchronizeCollections (enum)
    {109, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 36},	//2206 Akonadi::StandardActionManager::CollectionProperties (enum)
    {109, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 37},	//2207 Akonadi::StandardActionManager::CopyItems (enum)
    {109, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 38},	//2208 Akonadi::StandardActionManager::Paste (enum)
    {109, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 39},	//2209 Akonadi::StandardActionManager::DeleteItems (enum)
    {109, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 40},	//2210 Akonadi::StandardActionManager::ManageLocalSubscriptions (enum)
    {109, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 41},	//2211 Akonadi::StandardActionManager::AddToFavoriteCollections (enum)
    {109, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 42},	//2212 Akonadi::StandardActionManager::RemoveFromFavoriteCollections (enum)
    {109, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 43},	//2213 Akonadi::StandardActionManager::RenameFavoriteCollection (enum)
    {109, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 44},	//2214 Akonadi::StandardActionManager::CopyCollectionToMenu (enum)
    {109, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 45},	//2215 Akonadi::StandardActionManager::CopyItemToMenu (enum)
    {109, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 46},	//2216 Akonadi::StandardActionManager::MoveItemToMenu (enum)
    {109, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 47},	//2217 Akonadi::StandardActionManager::MoveCollectionToMenu (enum)
    {109, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 48},	//2218 Akonadi::StandardActionManager::CutItems (enum)
    {109, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 49},	//2219 Akonadi::StandardActionManager::CutCollections (enum)
    {109, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 50},	//2220 Akonadi::StandardActionManager::CreateResource (enum)
    {109, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 51},	//2221 Akonadi::StandardActionManager::DeleteResources (enum)
    {109, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 52},	//2222 Akonadi::StandardActionManager::ResourceProperties (enum)
    {109, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 53},	//2223 Akonadi::StandardActionManager::SynchronizeResources (enum)
    {109, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 54},	//2224 Akonadi::StandardActionManager::ToggleWorkOffline (enum)
    {109, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 55},	//2225 Akonadi::StandardActionManager::CopyCollectionToDialog (enum)
    {109, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 56},	//2226 Akonadi::StandardActionManager::MoveCollectionToDialog (enum)
    {109, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 57},	//2227 Akonadi::StandardActionManager::CopyItemToDialog (enum)
    {109, 406, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 58},	//2228 Akonadi::StandardActionManager::MoveItemToDialog (enum)
    {109, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 59},	//2229 Akonadi::StandardActionManager::SynchronizeCollectionsRecursive (enum)
    {109, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 60},	//2230 Akonadi::StandardActionManager::MoveCollectionsToTrash (enum)
    {109, 408, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 61},	//2231 Akonadi::StandardActionManager::MoveItemsToTrash (enum)
    {109, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 62},	//2232 Akonadi::StandardActionManager::RestoreCollectionsFromTrash (enum)
    {109, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 63},	//2233 Akonadi::StandardActionManager::RestoreItemsFromTrash (enum)
    {109, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 64},	//2234 Akonadi::StandardActionManager::MoveToTrashRestoreCollection (enum)
    {109, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 65},	//2235 Akonadi::StandardActionManager::MoveToTrashRestoreCollectionAlternative (enum)
    {109, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 66},	//2236 Akonadi::StandardActionManager::MoveToTrashRestoreItem (enum)
    {109, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 67},	//2237 Akonadi::StandardActionManager::MoveToTrashRestoreItemAlternative (enum)
    {109, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 68},	//2238 Akonadi::StandardActionManager::SynchronizeFavoriteCollections (enum)
    {109, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 69},	//2239 Akonadi::StandardActionManager::LastType (enum)
    {109, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 70},	//2240 Akonadi::StandardActionManager::DialogTitle (enum)
    {109, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 71},	//2241 Akonadi::StandardActionManager::DialogText (enum)
    {109, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 72},	//2242 Akonadi::StandardActionManager::MessageBoxTitle (enum)
    {109, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 73},	//2243 Akonadi::StandardActionManager::MessageBoxText (enum)
    {109, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 74},	//2244 Akonadi::StandardActionManager::MessageBoxAlternativeText (enum)
    {109, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 75},	//2245 Akonadi::StandardActionManager::ErrorMessageTitle (enum)
    {109, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 76},	//2246 Akonadi::StandardActionManager::ErrorMessageText (enum)
    {109, 1835, 0, 0, Smoke::mf_dtor, 0, 77 },	//2247 Akonadi::StandardActionManager::~StandardActionManager()
    {110, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2248 Akonadi::StatisticsProxyModel::metaObject() const
    {110, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//2249 Akonadi::StatisticsProxyModel::qt_metacast(const char*)
    {110, 1681, 23, 2, Smoke::mf_static, 284, 3},	//2250 Akonadi::StatisticsProxyModel::tr(const char*, const char*)
    {110, 1685, 23, 2, Smoke::mf_static, 284, 4},	//2251 Akonadi::StatisticsProxyModel::trUtf8(const char*, const char*)
    {110, 1681, 26, 3, Smoke::mf_static, 284, 5},	//2252 Akonadi::StatisticsProxyModel::tr(const char*, const char*, int)
    {110, 1685, 26, 3, Smoke::mf_static, 284, 6},	//2253 Akonadi::StatisticsProxyModel::trUtf8(const char*, const char*, int)
    {110, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//2254 Akonadi::StatisticsProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {110, 539, 78, 1, Smoke::mf_ctor, 172, 8},	//2255 Akonadi::StatisticsProxyModel::StatisticsProxyModel(QObject*)
    {110, 1595, 45, 1, 0, 0, 9},	//2256 Akonadi::StatisticsProxyModel::setToolTipEnabled(bool)
    {110, 1076, 0, 0, Smoke::mf_const, 374, 10},	//2257 Akonadi::StatisticsProxyModel::isToolTipEnabled() const
    {110, 1422, 45, 1, 0, 0, 11},	//2258 Akonadi::StatisticsProxyModel::setExtraColumnsEnabled(bool)
    {110, 1070, 0, 0, Smoke::mf_const, 374, 12},	//2259 Akonadi::StatisticsProxyModel::isExtraColumnsEnabled() const
    {110, 1025, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 268, 13},	//2260 Akonadi::StatisticsProxyModel::index(int, int, const QModelIndex&) const
    {110, 871, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 294, 14},	//2261 Akonadi::StatisticsProxyModel::data(const QModelIndex&, int) const
    {110, 1002, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 294, 15},	//2262 Akonadi::StatisticsProxyModel::headerData(int, Qt::Orientation, int) const
    {110, 981, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 239, 16},	//2263 Akonadi::StatisticsProxyModel::flags(const QModelIndex&) const
    {110, 817, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 460, 17},	//2264 Akonadi::StatisticsProxyModel::columnCount(const QModelIndex&) const
    {110, 1154, 398, 5, Smoke::mf_const|Smoke::mf_virtual, 262, 18},	//2265 Akonadi::StatisticsProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {110, 1583, 159, 1, Smoke::mf_virtual, 0, 19},	//2266 Akonadi::StatisticsProxyModel::setSourceModel(QAbstractItemModel*)
    {110, 828, 21, 1, Smoke::mf_virtual, 0, 20},	//2267 Akonadi::StatisticsProxyModel::connectNotify(const char*)
    {110, 1681, 21, 1, Smoke::mf_static, 284, 21},	//2268 Akonadi::StatisticsProxyModel::tr(const char*)
    {110, 1685, 21, 1, Smoke::mf_static, 284, 22},	//2269 Akonadi::StatisticsProxyModel::trUtf8(const char*)
    {110, 539, 0, 0, Smoke::mf_ctor, 172, 23},	//2270 Akonadi::StatisticsProxyModel::StatisticsProxyModel()
    {110, 1025, 115, 2, Smoke::mf_const, 268, 24},	//2271 Akonadi::StatisticsProxyModel::index(int, int) const
    {110, 871, 95, 1, Smoke::mf_const, 294, 25},	//2272 Akonadi::StatisticsProxyModel::data(const QModelIndex&) const
    {110, 1002, 112, 2, Smoke::mf_const, 294, 26},	//2273 Akonadi::StatisticsProxyModel::headerData(int, Qt::Orientation) const
    {110, 817, 0, 0, Smoke::mf_const, 460, 27},	//2274 Akonadi::StatisticsProxyModel::columnCount() const
    {110, 1154, 404, 3, Smoke::mf_const, 262, 28},	//2275 Akonadi::StatisticsProxyModel::match(const QModelIndex&, int, const QVariant&) const
    {110, 1154, 408, 4, Smoke::mf_const, 262, 29},	//2276 Akonadi::StatisticsProxyModel::match(const QModelIndex&, int, const QVariant&, int) const
    {110, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 30},	//2277 Akonadi::StatisticsProxyModel::staticMetaObject() const
    {110, 1836, 0, 0, Smoke::mf_dtor, 0, 31 },	//2278 Akonadi::StatisticsProxyModel::~StatisticsProxyModel()
    {111, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2279 Akonadi::TransactionBeginJob::metaObject() const
    {111, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//2280 Akonadi::TransactionBeginJob::qt_metacast(const char*)
    {111, 1681, 23, 2, Smoke::mf_static, 284, 3},	//2281 Akonadi::TransactionBeginJob::tr(const char*, const char*)
    {111, 1685, 23, 2, Smoke::mf_static, 284, 4},	//2282 Akonadi::TransactionBeginJob::trUtf8(const char*, const char*)
    {111, 1681, 26, 3, Smoke::mf_static, 284, 5},	//2283 Akonadi::TransactionBeginJob::tr(const char*, const char*, int)
    {111, 1685, 26, 3, Smoke::mf_static, 284, 6},	//2284 Akonadi::TransactionBeginJob::trUtf8(const char*, const char*, int)
    {111, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//2285 Akonadi::TransactionBeginJob::qt_metacall(QMetaObject::Call, int, void**)
    {111, 562, 78, 1, Smoke::mf_ctor, 173, 8},	//2286 Akonadi::TransactionBeginJob::TransactionBeginJob(QObject*)
    {111, 901, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2287 Akonadi::TransactionBeginJob::doStart()
    {111, 1681, 21, 1, Smoke::mf_static, 284, 10},	//2288 Akonadi::TransactionBeginJob::tr(const char*)
    {111, 1685, 21, 1, Smoke::mf_static, 284, 11},	//2289 Akonadi::TransactionBeginJob::trUtf8(const char*)
    {111, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 12},	//2290 Akonadi::TransactionBeginJob::staticMetaObject() const
    {111, 1837, 0, 0, Smoke::mf_dtor, 0, 13 },	//2291 Akonadi::TransactionBeginJob::~TransactionBeginJob()
    {112, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2292 Akonadi::TransactionCommitJob::metaObject() const
    {112, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//2293 Akonadi::TransactionCommitJob::qt_metacast(const char*)
    {112, 1681, 23, 2, Smoke::mf_static, 284, 3},	//2294 Akonadi::TransactionCommitJob::tr(const char*, const char*)
    {112, 1685, 23, 2, Smoke::mf_static, 284, 4},	//2295 Akonadi::TransactionCommitJob::trUtf8(const char*, const char*)
    {112, 1681, 26, 3, Smoke::mf_static, 284, 5},	//2296 Akonadi::TransactionCommitJob::tr(const char*, const char*, int)
    {112, 1685, 26, 3, Smoke::mf_static, 284, 6},	//2297 Akonadi::TransactionCommitJob::trUtf8(const char*, const char*, int)
    {112, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//2298 Akonadi::TransactionCommitJob::qt_metacall(QMetaObject::Call, int, void**)
    {112, 564, 78, 1, Smoke::mf_ctor, 174, 8},	//2299 Akonadi::TransactionCommitJob::TransactionCommitJob(QObject*)
    {112, 901, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2300 Akonadi::TransactionCommitJob::doStart()
    {112, 1681, 21, 1, Smoke::mf_static, 284, 10},	//2301 Akonadi::TransactionCommitJob::tr(const char*)
    {112, 1685, 21, 1, Smoke::mf_static, 284, 11},	//2302 Akonadi::TransactionCommitJob::trUtf8(const char*)
    {112, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 12},	//2303 Akonadi::TransactionCommitJob::staticMetaObject() const
    {112, 1838, 0, 0, Smoke::mf_dtor, 0, 13 },	//2304 Akonadi::TransactionCommitJob::~TransactionCommitJob()
    {113, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2305 Akonadi::TransactionRollbackJob::metaObject() const
    {113, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//2306 Akonadi::TransactionRollbackJob::qt_metacast(const char*)
    {113, 1681, 23, 2, Smoke::mf_static, 284, 3},	//2307 Akonadi::TransactionRollbackJob::tr(const char*, const char*)
    {113, 1685, 23, 2, Smoke::mf_static, 284, 4},	//2308 Akonadi::TransactionRollbackJob::trUtf8(const char*, const char*)
    {113, 1681, 26, 3, Smoke::mf_static, 284, 5},	//2309 Akonadi::TransactionRollbackJob::tr(const char*, const char*, int)
    {113, 1685, 26, 3, Smoke::mf_static, 284, 6},	//2310 Akonadi::TransactionRollbackJob::trUtf8(const char*, const char*, int)
    {113, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//2311 Akonadi::TransactionRollbackJob::qt_metacall(QMetaObject::Call, int, void**)
    {113, 566, 78, 1, Smoke::mf_ctor, 175, 8},	//2312 Akonadi::TransactionRollbackJob::TransactionRollbackJob(QObject*)
    {113, 901, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2313 Akonadi::TransactionRollbackJob::doStart()
    {113, 1681, 21, 1, Smoke::mf_static, 284, 10},	//2314 Akonadi::TransactionRollbackJob::tr(const char*)
    {113, 1685, 21, 1, Smoke::mf_static, 284, 11},	//2315 Akonadi::TransactionRollbackJob::trUtf8(const char*)
    {113, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 12},	//2316 Akonadi::TransactionRollbackJob::staticMetaObject() const
    {113, 1839, 0, 0, Smoke::mf_dtor, 0, 13 },	//2317 Akonadi::TransactionRollbackJob::~TransactionRollbackJob()
    {114, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2318 Akonadi::TransactionSequence::metaObject() const
    {114, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//2319 Akonadi::TransactionSequence::qt_metacast(const char*)
    {114, 1681, 23, 2, Smoke::mf_static, 284, 3},	//2320 Akonadi::TransactionSequence::tr(const char*, const char*)
    {114, 1685, 23, 2, Smoke::mf_static, 284, 4},	//2321 Akonadi::TransactionSequence::trUtf8(const char*, const char*)
    {114, 1681, 26, 3, Smoke::mf_static, 284, 5},	//2322 Akonadi::TransactionSequence::tr(const char*, const char*, int)
    {114, 1685, 26, 3, Smoke::mf_static, 284, 6},	//2323 Akonadi::TransactionSequence::trUtf8(const char*, const char*, int)
    {114, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//2324 Akonadi::TransactionSequence::qt_metacall(QMetaObject::Call, int, void**)
    {114, 568, 78, 1, Smoke::mf_ctor, 176, 8},	//2325 Akonadi::TransactionSequence::TransactionSequence(QObject*)
    {114, 819, 0, 0, 0, 0, 9},	//2326 Akonadi::TransactionSequence::commit()
    {114, 1273, 0, 0, 0, 0, 10},	//2327 Akonadi::TransactionSequence::rollback()
    {114, 1464, 201, 1, 0, 0, 11},	//2328 Akonadi::TransactionSequence::setIgnoreJobFailure(KJob*)
    {114, 1328, 45, 1, 0, 0, 12},	//2329 Akonadi::TransactionSequence::setAutomaticCommittingEnabled(bool)
    {114, 700, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 374, 13},	//2330 Akonadi::TransactionSequence::addSubjob(KJob*)
    {114, 901, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//2331 Akonadi::TransactionSequence::doStart()
    {114, 1633, 201, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//2332 Akonadi::TransactionSequence::slotResult(KJob*)
    {114, 1681, 21, 1, Smoke::mf_static, 284, 16},	//2333 Akonadi::TransactionSequence::tr(const char*)
    {114, 1685, 21, 1, Smoke::mf_static, 284, 17},	//2334 Akonadi::TransactionSequence::trUtf8(const char*)
    {114, 568, 0, 0, Smoke::mf_ctor, 176, 18},	//2335 Akonadi::TransactionSequence::TransactionSequence()
    {114, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 19},	//2336 Akonadi::TransactionSequence::staticMetaObject() const
    {114, 1840, 0, 0, Smoke::mf_dtor, 0, 20 },	//2337 Akonadi::TransactionSequence::~TransactionSequence()
    {115, 571, 0, 0, Smoke::mf_ctor, 177, 1},	//2338 Akonadi::TransportResourceBase::TransportResourceBase()
    {115, 1304, 56, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//2339 Akonadi::TransportResourceBase::sendItem(const Akonadi::Item&) [pure virtual]
    {115, 1108, 690, 3, 0, 0, 3},	//2340 Akonadi::TransportResourceBase::itemSent(const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult, const QString&)
    {115, 571, 694, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 177, 4},	//2341 Akonadi::TransportResourceBase::TransportResourceBase(const Akonadi::TransportResourceBase&)
    {115, 1108, 696, 2, 0, 0, 5},	//2342 Akonadi::TransportResourceBase::itemSent(const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult)
    {115, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 6},	//2343 Akonadi::TransportResourceBase::TransportSucceeded (enum)
    {115, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 7},	//2344 Akonadi::TransportResourceBase::TransportFailed (enum)
    {115, 1841, 0, 0, Smoke::mf_dtor, 0, 8 },	//2345 Akonadi::TransportResourceBase::~TransportResourceBase()
    {116, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 1},	//2346 Akonadi::UnlinkJob::metaObject() const
    {116, 1227, 21, 1, Smoke::mf_virtual, 468, 2},	//2347 Akonadi::UnlinkJob::qt_metacast(const char*)
    {116, 1681, 23, 2, Smoke::mf_static, 284, 3},	//2348 Akonadi::UnlinkJob::tr(const char*, const char*)
    {116, 1685, 23, 2, Smoke::mf_static, 284, 4},	//2349 Akonadi::UnlinkJob::trUtf8(const char*, const char*)
    {116, 1681, 26, 3, Smoke::mf_static, 284, 5},	//2350 Akonadi::UnlinkJob::tr(const char*, const char*, int)
    {116, 1685, 26, 3, Smoke::mf_static, 284, 6},	//2351 Akonadi::UnlinkJob::trUtf8(const char*, const char*, int)
    {116, 1225, 30, 3, Smoke::mf_virtual, 460, 7},	//2352 Akonadi::UnlinkJob::qt_metacall(QMetaObject::Call, int, void**)
    {116, 578, 556, 3, Smoke::mf_ctor, 179, 8},	//2353 Akonadi::UnlinkJob::UnlinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&, QObject*)
    {116, 901, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2354 Akonadi::UnlinkJob::doStart()
    {116, 1681, 21, 1, Smoke::mf_static, 284, 10},	//2355 Akonadi::UnlinkJob::tr(const char*)
    {116, 1685, 21, 1, Smoke::mf_static, 284, 11},	//2356 Akonadi::UnlinkJob::trUtf8(const char*)
    {116, 578, 560, 2, Smoke::mf_ctor, 179, 12},	//2357 Akonadi::UnlinkJob::UnlinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&)
    {116, 1647, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 439, 13},	//2358 Akonadi::UnlinkJob::staticMetaObject() const
    {116, 1842, 0, 0, Smoke::mf_dtor, 0, 14 },	//2359 Akonadi::UnlinkJob::~UnlinkJob()
    {130, 1327, 45, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 0},	//2360 KComboBox::setAutoCompletion(bool)
    {130, 1394, 45, 1, Smoke::mf_virtual, 0, 0},	//2361 KComboBox::setContextMenuEnabled(bool)
    {130, 945, 699, 2, Smoke::mf_virtual, 374, 0},	//2362 KComboBox::eventFilter(QObject*, QEvent*)
    {130, 1504, 702, 1, Smoke::mf_virtual, 0, 0},	//2363 KComboBox::setLineEdit(QLineEdit*)
    {130, 1375, 8, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2364 KComboBox::setCompletedText(const QString&)
    {130, 1374, 704, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2365 KComboBox::setCompletedItems(const QStringList&, bool)
    {130, 1147, 8, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2366 KComboBox::makeCompletion(const QString&)
    {130, 1375, 579, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2367 KComboBox::setCompletedText(const QString&, bool)
    {130, 846, 707, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2368 KComboBox::create(unsigned long, bool, bool)
    {130, 1729, 711, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2369 KComboBox::wheelEvent(QWheelEvent*)
    {130, 1172, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 283, 0},	//2370 KComboBox::minimumSizeHint() const
    {132, 1377, 713, 2, Smoke::mf_virtual, 0, 0},	//2371 KCompletionBase::setCompletionObject(KCompletion*, bool)
    {132, 1452, 45, 1, Smoke::mf_virtual, 0, 0},	//2372 KCompletionBase::setHandleSignals(bool)
    {132, 1376, 716, 1, Smoke::mf_virtual, 0, 0},	//2373 KCompletionBase::setCompletionMode(KGlobalSettings::Completion)
    {132, 1722, 718, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2374 KCompletionBase::virtual_hook(int, void*)
    {134, 1632, 721, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2375 KCompositeJob::slotInfoMessage(KJob*, const QString&, const QString&)
    {137, 1627, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 283, 0},	//2376 KDialog::sizeHint() const
    {137, 1172, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 283, 0},	//2377 KDialog::minimumSizeHint() const
    {137, 1346, 8, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2378 KDialog::setCaption(const QString&)
    {137, 1346, 579, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2379 KDialog::setCaption(const QString&, bool)
    {137, 1544, 8, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2380 KDialog::setPlainCaption(const QString&)
    {137, 1006, 725, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2381 KDialog::hideEvent(QHideEvent*)
    {137, 774, 727, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2382 KDialog::closeEvent(QCloseEvent*)
    {137, 1133, 729, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2383 KDialog::keyPressEvent(QKeyEvent*)
    {137, 1630, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2384 KDialog::slotButtonClicked(int)
    {138, 1627, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 283, 0},	//2385 KHBox::sizeHint() const
    {138, 1172, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 283, 0},	//2386 KHBox::minimumSizeHint() const
    {138, 758, 731, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2387 KHBox::childEvent(QChildEvent*)
    {140, 897, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 374, 0},	//2388 KJob::doKill()
    {140, 902, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 374, 0},	//2389 KJob::doSuspend()
    {140, 898, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 374, 0},	//2390 KJob::doResume()
    {140, 943, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 284, 0},	//2391 KJob::errorString() const
    {140, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 5},	//2392 KJob::NoError (enum)
    {140, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 6},	//2393 KJob::KilledJobError (enum)
    {140, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 7},	//2394 KJob::UserDefinedError (enum)
    {142, 1583, 159, 1, Smoke::mf_virtual, 0, 0},	//2395 KSelectionProxyModel::setSourceModel(QAbstractItemModel*)
    {142, 1148, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 268, 0},	//2396 KSelectionProxyModel::mapFromSource(const QModelIndex&) const
    {142, 1152, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 268, 0},	//2397 KSelectionProxyModel::mapToSource(const QModelIndex&) const
    {142, 1150, 733, 1, Smoke::mf_const|Smoke::mf_virtual, 248, 0},	//2398 KSelectionProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {142, 1151, 733, 1, Smoke::mf_const|Smoke::mf_virtual, 248, 0},	//2399 KSelectionProxyModel::mapSelectionToSource(const QItemSelection&) const
    {142, 981, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 239, 0},	//2400 KSelectionProxyModel::flags(const QModelIndex&) const
    {142, 871, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 294, 0},	//2401 KSelectionProxyModel::data(const QModelIndex&, int) const
    {142, 1276, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 460, 0},	//2402 KSelectionProxyModel::rowCount(const QModelIndex&) const
    {142, 1002, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 294, 0},	//2403 KSelectionProxyModel::headerData(int, Qt::Orientation, int) const
    {142, 1161, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 267, 0},	//2404 KSelectionProxyModel::mimeData(const QList<QModelIndex>&) const
    {142, 1170, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 285, 0},	//2405 KSelectionProxyModel::mimeTypes() const
    {142, 1662, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 238, 0},	//2406 KSelectionProxyModel::supportedDropActions() const
    {142, 916, 225, 5, Smoke::mf_virtual, 374, 0},	//2407 KSelectionProxyModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {142, 996, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 374, 0},	//2408 KSelectionProxyModel::hasChildren(const QModelIndex&) const
    {142, 1025, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 268, 0},	//2409 KSelectionProxyModel::index(int, int, const QModelIndex&) const
    {142, 1206, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 268, 0},	//2410 KSelectionProxyModel::parent(const QModelIndex&) const
    {142, 817, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 460, 0},	//2411 KSelectionProxyModel::columnCount(const QModelIndex&) const
    {142, 1154, 398, 5, Smoke::mf_const|Smoke::mf_virtual, 262, 0},	//2412 KSelectionProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {147, 996, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 374, 0},	//2413 QAbstractItemModel::hasChildren(const QModelIndex&) const
    {147, 1404, 108, 3, Smoke::mf_virtual, 374, 0},	//2414 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {147, 1002, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 294, 0},	//2415 QAbstractItemModel::headerData(int, Qt::Orientation, int) const
    {147, 1453, 218, 4, Smoke::mf_virtual, 374, 0},	//2416 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {147, 1093, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 264, 0},	//2417 QAbstractItemModel::itemData(const QModelIndex&) const
    {147, 1486, 735, 2, Smoke::mf_virtual, 374, 0},	//2418 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {147, 1170, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 285, 0},	//2419 QAbstractItemModel::mimeTypes() const
    {147, 1161, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 267, 0},	//2420 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {147, 916, 225, 5, Smoke::mf_virtual, 374, 0},	//2421 QAbstractItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {147, 1662, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 238, 0},	//2422 QAbstractItemModel::supportedDropActions() const
    {147, 1037, 104, 3, Smoke::mf_virtual, 374, 0},	//2423 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {147, 1036, 104, 3, Smoke::mf_virtual, 374, 0},	//2424 QAbstractItemModel::insertColumns(int, int, const QModelIndex&)
    {147, 1247, 104, 3, Smoke::mf_virtual, 374, 0},	//2425 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {147, 1244, 104, 3, Smoke::mf_virtual, 374, 0},	//2426 QAbstractItemModel::removeColumns(int, int, const QModelIndex&)
    {147, 967, 95, 1, Smoke::mf_virtual, 0, 0},	//2427 QAbstractItemModel::fetchMore(const QModelIndex&)
    {147, 739, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 374, 0},	//2428 QAbstractItemModel::canFetchMore(const QModelIndex&) const
    {147, 1637, 738, 2, Smoke::mf_virtual, 0, 0},	//2429 QAbstractItemModel::sort(int, Qt::SortOrder)
    {147, 734, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 268, 0},	//2430 QAbstractItemModel::buddy(const QModelIndex&) const
    {147, 1154, 398, 5, Smoke::mf_const|Smoke::mf_virtual, 262, 0},	//2431 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {147, 1638, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 283, 0},	//2432 QAbstractItemModel::span(const QModelIndex&) const
    {147, 1661, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 374, 0},	//2433 QAbstractItemModel::submit()
    {147, 1270, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2434 QAbstractItemModel::revert()
    {148, 1576, 643, 1, Smoke::mf_virtual, 0, 0},	//2435 QAbstractItemView::setSelectionModel(QItemSelectionModel*)
    {148, 1135, 8, 1, Smoke::mf_virtual, 0, 0},	//2436 QAbstractItemView::keyboardSearch(const QString&)
    {148, 1629, 41, 1, Smoke::mf_const|Smoke::mf_virtual, 460, 0},	//2437 QAbstractItemView::sizeHintForRow(int) const
    {148, 1628, 41, 1, Smoke::mf_const|Smoke::mf_virtual, 460, 0},	//2438 QAbstractItemView::sizeHintForColumn(int) const
    {148, 1035, 741, 1, Smoke::mf_const|Smoke::mf_virtual, 294, 0},	//2439 QAbstractItemView::inputMethodQuery(Qt::InputMethodQuery) const
    {148, 1292, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2440 QAbstractItemView::selectAll()
    {148, 1700, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2441 QAbstractItemView::updateEditorData()
    {148, 1701, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2442 QAbstractItemView::updateEditorGeometries()
    {148, 1715, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2443 QAbstractItemView::verticalScrollbarAction(int)
    {148, 1009, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2444 QAbstractItemView::horizontalScrollbarAction(int)
    {148, 1716, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2445 QAbstractItemView::verticalScrollbarValueChanged(int)
    {148, 1010, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2446 QAbstractItemView::horizontalScrollbarValueChanged(int)
    {148, 773, 743, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2447 QAbstractItemView::closeEditor(QWidget*, QAbstractItemDelegate::EndEditHint)
    {148, 820, 85, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2448 QAbstractItemView::commitData(QWidget*)
    {148, 925, 78, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2449 QAbstractItemView::editorDestroyed(QObject*)
    {148, 923, 746, 3, Smoke::mf_protected|Smoke::mf_virtual, 374, 0},	//2450 QAbstractItemView::edit(const QModelIndex&, QAbstractItemView::EditTrigger, QEvent*)
    {148, 1299, 750, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 237, 0},	//2451 QAbstractItemView::selectionCommand(const QModelIndex&, const QEvent*) const
    {148, 1641, 394, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2452 QAbstractItemView::startDrag(QFlags<Qt::DropAction>)
    {148, 1718, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 288, 0},	//2453 QAbstractItemView::viewOptions() const
    {148, 984, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 374, 0},	//2454 QAbstractItemView::focusNextPrevChild(bool)
    {148, 944, 753, 1, Smoke::mf_protected|Smoke::mf_virtual, 374, 0},	//2455 QAbstractItemView::event(QEvent*)
    {148, 1720, 753, 1, Smoke::mf_protected|Smoke::mf_virtual, 374, 0},	//2456 QAbstractItemView::viewportEvent(QEvent*)
    {148, 1180, 755, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2457 QAbstractItemView::mousePressEvent(QMouseEvent*)
    {148, 1178, 755, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2458 QAbstractItemView::mouseDoubleClickEvent(QMouseEvent*)
    {148, 907, 757, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2459 QAbstractItemView::dragEnterEvent(QDragEnterEvent*)
    {148, 908, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2460 QAbstractItemView::dragLeaveEvent(QDragLeaveEvent*)
    {148, 914, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2461 QAbstractItemView::dropEvent(QDropEvent*)
    {148, 983, 759, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2462 QAbstractItemView::focusInEvent(QFocusEvent*)
    {148, 985, 759, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2463 QAbstractItemView::focusOutEvent(QFocusEvent*)
    {148, 1133, 729, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2464 QAbstractItemView::keyPressEvent(QKeyEvent*)
    {148, 1254, 761, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2465 QAbstractItemView::resizeEvent(QResizeEvent*)
    {148, 1034, 763, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2466 QAbstractItemView::inputMethodEvent(QInputMethodEvent*)
    {148, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 33},	//2467 QAbstractItemView::NoSelection (enum)
    {148, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 34},	//2468 QAbstractItemView::SingleSelection (enum)
    {148, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 35},	//2469 QAbstractItemView::MultiSelection (enum)
    {148, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 36},	//2470 QAbstractItemView::ExtendedSelection (enum)
    {148, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 37},	//2471 QAbstractItemView::ContiguousSelection (enum)
    {148, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 38},	//2472 QAbstractItemView::EnsureVisible (enum)
    {148, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 39},	//2473 QAbstractItemView::PositionAtTop (enum)
    {148, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 40},	//2474 QAbstractItemView::PositionAtBottom (enum)
    {148, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 216, 41},	//2475 QAbstractItemView::PositionAtCenter (enum)
    {148, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 42},	//2476 QAbstractItemView::NoEditTriggers (enum)
    {148, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 43},	//2477 QAbstractItemView::CurrentChanged (enum)
    {148, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 44},	//2478 QAbstractItemView::DoubleClicked (enum)
    {148, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 45},	//2479 QAbstractItemView::SelectedClicked (enum)
    {148, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 46},	//2480 QAbstractItemView::EditKeyPressed (enum)
    {148, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 47},	//2481 QAbstractItemView::AnyKeyPressed (enum)
    {148, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 48},	//2482 QAbstractItemView::AllEditTriggers (enum)
    {148, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 49},	//2483 QAbstractItemView::MoveUp (enum)
    {148, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 50},	//2484 QAbstractItemView::MoveDown (enum)
    {148, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 51},	//2485 QAbstractItemView::MoveLeft (enum)
    {148, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 52},	//2486 QAbstractItemView::MoveRight (enum)
    {148, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 53},	//2487 QAbstractItemView::MoveHome (enum)
    {148, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 54},	//2488 QAbstractItemView::MoveEnd (enum)
    {148, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 55},	//2489 QAbstractItemView::MovePageUp (enum)
    {148, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 56},	//2490 QAbstractItemView::MovePageDown (enum)
    {148, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 57},	//2491 QAbstractItemView::MoveNext (enum)
    {148, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 58},	//2492 QAbstractItemView::MovePrevious (enum)
    {149, 1151, 733, 1, Smoke::mf_const|Smoke::mf_virtual, 248, 0},	//2493 QAbstractProxyModel::mapSelectionToSource(const QItemSelection&) const
    {149, 1150, 733, 1, Smoke::mf_const|Smoke::mf_virtual, 248, 0},	//2494 QAbstractProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {149, 1661, 0, 0, Smoke::mf_virtual, 374, 0},	//2495 QAbstractProxyModel::submit()
    {149, 1270, 0, 0, Smoke::mf_virtual, 0, 0},	//2496 QAbstractProxyModel::revert()
    {149, 871, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 294, 0},	//2497 QAbstractProxyModel::data(const QModelIndex&, int) const
    {149, 1002, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 294, 0},	//2498 QAbstractProxyModel::headerData(int, Qt::Orientation, int) const
    {149, 1093, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 264, 0},	//2499 QAbstractProxyModel::itemData(const QModelIndex&) const
    {149, 981, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 239, 0},	//2500 QAbstractProxyModel::flags(const QModelIndex&) const
    {149, 1404, 108, 3, Smoke::mf_virtual, 374, 0},	//2501 QAbstractProxyModel::setData(const QModelIndex&, const QVariant&, int)
    {149, 1486, 735, 2, Smoke::mf_virtual, 374, 0},	//2502 QAbstractProxyModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {149, 1453, 218, 4, Smoke::mf_virtual, 374, 0},	//2503 QAbstractProxyModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {149, 734, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 268, 0},	//2504 QAbstractProxyModel::buddy(const QModelIndex&) const
    {149, 739, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 374, 0},	//2505 QAbstractProxyModel::canFetchMore(const QModelIndex&) const
    {149, 967, 95, 1, Smoke::mf_virtual, 0, 0},	//2506 QAbstractProxyModel::fetchMore(const QModelIndex&)
    {149, 1637, 738, 2, Smoke::mf_virtual, 0, 0},	//2507 QAbstractProxyModel::sort(int, Qt::SortOrder)
    {149, 1638, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 283, 0},	//2508 QAbstractProxyModel::span(const QModelIndex&) const
    {149, 1662, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 238, 0},	//2509 QAbstractProxyModel::supportedDropActions() const
    {150, 1172, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 283, 0},	//2510 QAbstractScrollArea::minimumSizeHint() const
    {150, 1627, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 283, 0},	//2511 QAbstractScrollArea::sizeHint() const
    {150, 1729, 711, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2512 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {151, 1025, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 268, 0},	//2513 QAbstractTableModel::index(int, int, const QModelIndex&) const
    {158, 1627, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 283, 0},	//2514 QComboBox::sizeHint() const
    {158, 1621, 0, 0, Smoke::mf_virtual, 0, 0},	//2515 QComboBox::showPopup()
    {158, 1007, 0, 0, Smoke::mf_virtual, 0, 0},	//2516 QComboBox::hidePopup()
    {158, 944, 753, 1, Smoke::mf_virtual, 374, 0},	//2517 QComboBox::event(QEvent*)
    {158, 983, 759, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2518 QComboBox::focusInEvent(QFocusEvent*)
    {158, 985, 759, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2519 QComboBox::focusOutEvent(QFocusEvent*)
    {158, 751, 753, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2520 QComboBox::changeEvent(QEvent*)
    {158, 1254, 761, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2521 QComboBox::resizeEvent(QResizeEvent*)
    {158, 1204, 765, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2522 QComboBox::paintEvent(QPaintEvent*)
    {158, 1620, 767, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2523 QComboBox::showEvent(QShowEvent*)
    {158, 1006, 725, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2524 QComboBox::hideEvent(QHideEvent*)
    {158, 1180, 755, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2525 QComboBox::mousePressEvent(QMouseEvent*)
    {158, 1181, 755, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2526 QComboBox::mouseReleaseEvent(QMouseEvent*)
    {158, 1133, 729, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2527 QComboBox::keyPressEvent(QKeyEvent*)
    {158, 1134, 729, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2528 QComboBox::keyReleaseEvent(QKeyEvent*)
    {158, 843, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2529 QComboBox::contextMenuEvent(QContextMenuEvent*)
    {158, 1034, 763, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2530 QComboBox::inputMethodEvent(QInputMethodEvent*)
    {158, 1035, 741, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 294, 0},	//2531 QComboBox::inputMethodQuery(Qt::InputMethodQuery) const
    {163, 1611, 45, 1, Smoke::mf_virtual, 0, 0},	//2532 QDialog::setVisible(bool)
    {163, 903, 41, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2533 QDialog::done(int)
    {163, 670, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2534 QDialog::accept()
    {163, 1236, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2535 QDialog::reject()
    {163, 1620, 767, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2536 QDialog::showEvent(QShowEvent*)
    {163, 1254, 761, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2537 QDialog::resizeEvent(QResizeEvent*)
    {163, 843, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2538 QDialog::contextMenuEvent(QContextMenuEvent*)
    {163, 945, 699, 2, Smoke::mf_protected|Smoke::mf_virtual, 374, 0},	//2539 QDialog::eventFilter(QObject*, QEvent*)
    {171, 944, 753, 1, Smoke::mf_protected|Smoke::mf_virtual, 374, 0},	//2540 QFrame::event(QEvent*)
    {171, 1204, 765, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2541 QFrame::paintEvent(QPaintEvent*)
    {171, 751, 753, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2542 QFrame::changeEvent(QEvent*)
    {172, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 1},	//2543 QGlobalSpace::_CS_PATH (enum)
    {172, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 2},	//2544 QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS (enum)
    {172, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 3},	//2545 QGlobalSpace::_CS_GNU_LIBC_VERSION (enum)
    {172, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 4},	//2546 QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION (enum)
    {172, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 5},	//2547 QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS (enum)
    {172, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 6},	//2548 QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS (enum)
    {172, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 7},	//2549 QGlobalSpace::_CS_LFS_CFLAGS (enum)
    {172, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 8},	//2550 QGlobalSpace::_CS_LFS_LDFLAGS (enum)
    {172, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 9},	//2551 QGlobalSpace::_CS_LFS_LIBS (enum)
    {172, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 10},	//2552 QGlobalSpace::_CS_LFS_LINTFLAGS (enum)
    {172, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 11},	//2553 QGlobalSpace::_CS_LFS64_CFLAGS (enum)
    {172, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 12},	//2554 QGlobalSpace::_CS_LFS64_LDFLAGS (enum)
    {172, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 13},	//2555 QGlobalSpace::_CS_LFS64_LIBS (enum)
    {172, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 14},	//2556 QGlobalSpace::_CS_LFS64_LINTFLAGS (enum)
    {172, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 15},	//2557 QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS (enum)
    {172, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 16},	//2558 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS (enum)
    {172, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 17},	//2559 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS (enum)
    {172, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 18},	//2560 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS (enum)
    {172, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 19},	//2561 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS (enum)
    {172, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 20},	//2562 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS (enum)
    {172, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 21},	//2563 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS (enum)
    {172, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 22},	//2564 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS (enum)
    {172, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 23},	//2565 QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS (enum)
    {172, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 24},	//2566 QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS (enum)
    {172, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 25},	//2567 QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS (enum)
    {172, 659, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 26},	//2568 QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS (enum)
    {172, 660, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 27},	//2569 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS (enum)
    {172, 661, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 28},	//2570 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS (enum)
    {172, 662, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 29},	//2571 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS (enum)
    {172, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 30},	//2572 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS (enum)
    {172, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 31},	//2573 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS (enum)
    {172, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 32},	//2574 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS (enum)
    {172, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 33},	//2575 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS (enum)
    {172, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 34},	//2576 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS (enum)
    {172, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 35},	//2577 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS (enum)
    {172, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 36},	//2578 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS (enum)
    {172, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 37},	//2579 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS (enum)
    {172, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 38},	//2580 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS (enum)
    {172, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 39},	//2581 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS (enum)
    {172, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 40},	//2582 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS (enum)
    {172, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 41},	//2583 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS (enum)
    {172, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 42},	//2584 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS (enum)
    {172, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 43},	//2585 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS (enum)
    {172, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 44},	//2586 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS (enum)
    {172, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 45},	//2587 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS (enum)
    {172, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 46},	//2588 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS (enum)
    {172, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 47},	//2589 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS (enum)
    {172, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 48},	//2590 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS (enum)
    {172, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 49},	//2591 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS (enum)
    {172, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 50},	//2592 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS (enum)
    {172, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 51},	//2593 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS (enum)
    {172, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 52},	//2594 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS (enum)
    {172, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 53},	//2595 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS (enum)
    {172, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 54},	//2596 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS (enum)
    {172, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 55},	//2597 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS (enum)
    {172, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 56},	//2598 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS (enum)
    {172, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 57},	//2599 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS (enum)
    {172, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 58},	//2600 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS (enum)
    {172, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 59},	//2601 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS (enum)
    {172, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 60},	//2602 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS (enum)
    {172, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 61},	//2603 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS (enum)
    {172, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 62},	//2604 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS (enum)
    {172, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 63},	//2605 QGlobalSpace::_CS_V6_ENV (enum)
    {172, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 462, 64},	//2606 QGlobalSpace::_CS_V7_ENV (enum)
    {182, 1723, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2607 QListView::visualRect(const QModelIndex&) const
    {182, 1291, 769, 2, Smoke::mf_virtual, 0, 0},	//2608 QListView::scrollTo(const QModelIndex&, QAbstractItemView::ScrollHint)
    {182, 1028, 772, 1, Smoke::mf_const|Smoke::mf_virtual, 268, 0},	//2609 QListView::indexAt(const QPoint&) const
    {182, 896, 0, 0, Smoke::mf_virtual, 0, 0},	//2610 QListView::doItemsLayout()
    {182, 1253, 0, 0, Smoke::mf_virtual, 0, 0},	//2611 QListView::reset()
    {182, 1572, 95, 1, Smoke::mf_virtual, 0, 0},	//2612 QListView::setRootIndex(const QModelIndex&)
    {182, 944, 753, 1, Smoke::mf_protected|Smoke::mf_virtual, 374, 0},	//2613 QListView::event(QEvent*)
    {182, 1290, 115, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2614 QListView::scrollContentsBy(int, int)
    {182, 874, 289, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2615 QListView::dataChanged(const QModelIndex&, const QModelIndex&)
    {182, 1279, 774, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2616 QListView::rowsInserted(const QModelIndex&, int, int)
    {182, 1278, 774, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2617 QListView::rowsAboutToBeRemoved(const QModelIndex&, int, int)
    {182, 1179, 755, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2618 QListView::mouseMoveEvent(QMouseEvent*)
    {182, 1181, 755, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2619 QListView::mouseReleaseEvent(QMouseEvent*)
    {182, 1677, 462, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2620 QListView::timerEvent(QTimerEvent*)
    {182, 1254, 761, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2621 QListView::resizeEvent(QResizeEvent*)
    {182, 908, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2622 QListView::dragLeaveEvent(QDragLeaveEvent*)
    {182, 1718, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 288, 0},	//2623 QListView::viewOptions() const
    {182, 1204, 765, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2624 QListView::paintEvent(QPaintEvent*)
    {182, 1008, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 460, 0},	//2625 QListView::horizontalOffset() const
    {182, 1714, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 460, 0},	//2626 QListView::verticalOffset() const
    {182, 1182, 778, 2, Smoke::mf_protected|Smoke::mf_virtual, 268, 0},	//2627 QListView::moveCursor(QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>)
    {182, 1573, 781, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2628 QListView::setSelection(const QRect&, QFlags<QItemSelectionModel::SelectionFlag>)
    {182, 1724, 733, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 278, 0},	//2629 QListView::visualRegionForSelection(const QItemSelection&) const
    {182, 1296, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 262, 0},	//2630 QListView::selectedIndexes() const
    {182, 1703, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2631 QListView::updateGeometries()
    {182, 1071, 95, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 374, 0},	//2632 QListView::isIndexHidden(const QModelIndex&) const
    {182, 1298, 784, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2633 QListView::selectionChanged(const QItemSelection&, const QItemSelection&)
    {190, 944, 753, 1, Smoke::mf_virtual, 374, 0},	//2634 QObject::event(QEvent*)
    {190, 945, 699, 2, Smoke::mf_virtual, 374, 0},	//2635 QObject::eventFilter(QObject*, QEvent*)
    {190, 1677, 462, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2636 QObject::timerEvent(QTimerEvent*)
    {190, 758, 731, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2637 QObject::childEvent(QChildEvent*)
    {190, 868, 753, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2638 QObject::customEvent(QEvent*)
    {190, 828, 21, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2639 QObject::connectNotify(const char*)
    {190, 891, 21, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2640 QObject::disconnectNotify(const char*)
    {203, 1583, 159, 1, Smoke::mf_virtual, 0, 0},	//2641 QSortFilterProxyModel::setSourceModel(QAbstractItemModel*)
    {203, 1152, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 268, 0},	//2642 QSortFilterProxyModel::mapToSource(const QModelIndex&) const
    {203, 1148, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 268, 0},	//2643 QSortFilterProxyModel::mapFromSource(const QModelIndex&) const
    {203, 1151, 733, 1, Smoke::mf_const|Smoke::mf_virtual, 248, 0},	//2644 QSortFilterProxyModel::mapSelectionToSource(const QItemSelection&) const
    {203, 1150, 733, 1, Smoke::mf_const|Smoke::mf_virtual, 248, 0},	//2645 QSortFilterProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {203, 976, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 374, 0},	//2646 QSortFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {203, 974, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 374, 0},	//2647 QSortFilterProxyModel::filterAcceptsColumn(int, const QModelIndex&) const
    {203, 1138, 289, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 374, 0},	//2648 QSortFilterProxyModel::lessThan(const QModelIndex&, const QModelIndex&) const
    {203, 1025, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 268, 0},	//2649 QSortFilterProxyModel::index(int, int, const QModelIndex&) const
    {203, 1206, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 268, 0},	//2650 QSortFilterProxyModel::parent(const QModelIndex&) const
    {203, 1276, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 460, 0},	//2651 QSortFilterProxyModel::rowCount(const QModelIndex&) const
    {203, 817, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 460, 0},	//2652 QSortFilterProxyModel::columnCount(const QModelIndex&) const
    {203, 996, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 374, 0},	//2653 QSortFilterProxyModel::hasChildren(const QModelIndex&) const
    {203, 871, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 294, 0},	//2654 QSortFilterProxyModel::data(const QModelIndex&, int) const
    {203, 1404, 108, 3, Smoke::mf_virtual, 374, 0},	//2655 QSortFilterProxyModel::setData(const QModelIndex&, const QVariant&, int)
    {203, 1002, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 294, 0},	//2656 QSortFilterProxyModel::headerData(int, Qt::Orientation, int) const
    {203, 1453, 218, 4, Smoke::mf_virtual, 374, 0},	//2657 QSortFilterProxyModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {203, 1161, 223, 1, Smoke::mf_const|Smoke::mf_virtual, 267, 0},	//2658 QSortFilterProxyModel::mimeData(const QList<QModelIndex>&) const
    {203, 916, 225, 5, Smoke::mf_virtual, 374, 0},	//2659 QSortFilterProxyModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {203, 1037, 104, 3, Smoke::mf_virtual, 374, 0},	//2660 QSortFilterProxyModel::insertRows(int, int, const QModelIndex&)
    {203, 1036, 104, 3, Smoke::mf_virtual, 374, 0},	//2661 QSortFilterProxyModel::insertColumns(int, int, const QModelIndex&)
    {203, 1247, 104, 3, Smoke::mf_virtual, 374, 0},	//2662 QSortFilterProxyModel::removeRows(int, int, const QModelIndex&)
    {203, 1244, 104, 3, Smoke::mf_virtual, 374, 0},	//2663 QSortFilterProxyModel::removeColumns(int, int, const QModelIndex&)
    {203, 967, 95, 1, Smoke::mf_virtual, 0, 0},	//2664 QSortFilterProxyModel::fetchMore(const QModelIndex&)
    {203, 739, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 374, 0},	//2665 QSortFilterProxyModel::canFetchMore(const QModelIndex&) const
    {203, 981, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 239, 0},	//2666 QSortFilterProxyModel::flags(const QModelIndex&) const
    {203, 734, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 268, 0},	//2667 QSortFilterProxyModel::buddy(const QModelIndex&) const
    {203, 1154, 398, 5, Smoke::mf_const|Smoke::mf_virtual, 262, 0},	//2668 QSortFilterProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {203, 1638, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 283, 0},	//2669 QSortFilterProxyModel::span(const QModelIndex&) const
    {203, 1637, 738, 2, Smoke::mf_virtual, 0, 0},	//2670 QSortFilterProxyModel::sort(int, Qt::SortOrder)
    {203, 1170, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 285, 0},	//2671 QSortFilterProxyModel::mimeTypes() const
    {203, 1662, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 238, 0},	//2672 QSortFilterProxyModel::supportedDropActions() const
    {206, 1627, 787, 2, Smoke::mf_const|Smoke::mf_virtual, 283, 0},	//2673 QStyledItemDelegate::sizeHint(const QStyleOptionViewItem&, const QModelIndex&) const
    {206, 854, 790, 3, Smoke::mf_const|Smoke::mf_virtual, 299, 0},	//2674 QStyledItemDelegate::createEditor(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {206, 1419, 794, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//2675 QStyledItemDelegate::setEditorData(QWidget*, const QModelIndex&) const
    {206, 1520, 797, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//2676 QStyledItemDelegate::setModelData(QWidget*, QAbstractItemModel*, const QModelIndex&) const
    {206, 1702, 790, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//2677 QStyledItemDelegate::updateEditorGeometry(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {206, 893, 801, 2, Smoke::mf_const|Smoke::mf_virtual, 284, 0},	//2678 QStyledItemDelegate::displayText(const QVariant&, const QLocale&) const
    {206, 945, 699, 2, Smoke::mf_protected|Smoke::mf_virtual, 374, 0},	//2679 QStyledItemDelegate::eventFilter(QObject*, QEvent*)
    {206, 926, 804, 4, Smoke::mf_protected|Smoke::mf_virtual, 374, 0},	//2680 QStyledItemDelegate::editorEvent(QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&)
    {209, 1572, 95, 1, Smoke::mf_virtual, 0, 0},	//2681 QTreeView::setRootIndex(const QModelIndex&)
    {209, 1576, 643, 1, Smoke::mf_virtual, 0, 0},	//2682 QTreeView::setSelectionModel(QItemSelectionModel*)
    {209, 1135, 8, 1, Smoke::mf_virtual, 0, 0},	//2683 QTreeView::keyboardSearch(const QString&)
    {209, 1723, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 276, 0},	//2684 QTreeView::visualRect(const QModelIndex&) const
    {209, 1291, 769, 2, Smoke::mf_virtual, 0, 0},	//2685 QTreeView::scrollTo(const QModelIndex&, QAbstractItemView::ScrollHint)
    {209, 1028, 772, 1, Smoke::mf_const|Smoke::mf_virtual, 268, 0},	//2686 QTreeView::indexAt(const QPoint&) const
    {209, 896, 0, 0, Smoke::mf_virtual, 0, 0},	//2687 QTreeView::doItemsLayout()
    {209, 1253, 0, 0, Smoke::mf_virtual, 0, 0},	//2688 QTreeView::reset()
    {209, 874, 289, 2, Smoke::mf_virtual, 0, 0},	//2689 QTreeView::dataChanged(const QModelIndex&, const QModelIndex&)
    {209, 1292, 0, 0, Smoke::mf_virtual, 0, 0},	//2690 QTreeView::selectAll()
    {209, 1290, 115, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2691 QTreeView::scrollContentsBy(int, int)
    {209, 1279, 774, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2692 QTreeView::rowsInserted(const QModelIndex&, int, int)
    {209, 1278, 774, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2693 QTreeView::rowsAboutToBeRemoved(const QModelIndex&, int, int)
    {209, 1182, 778, 2, Smoke::mf_protected|Smoke::mf_virtual, 268, 0},	//2694 QTreeView::moveCursor(QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>)
    {209, 1008, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 460, 0},	//2695 QTreeView::horizontalOffset() const
    {209, 1714, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 460, 0},	//2696 QTreeView::verticalOffset() const
    {209, 1573, 781, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2697 QTreeView::setSelection(const QRect&, QFlags<QItemSelectionModel::SelectionFlag>)
    {209, 1724, 733, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 278, 0},	//2698 QTreeView::visualRegionForSelection(const QItemSelection&) const
    {209, 1296, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 262, 0},	//2699 QTreeView::selectedIndexes() const
    {209, 1677, 462, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2700 QTreeView::timerEvent(QTimerEvent*)
    {209, 1204, 765, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2701 QTreeView::paintEvent(QPaintEvent*)
    {209, 913, 272, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2702 QTreeView::drawRow(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {209, 912, 809, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2703 QTreeView::drawBranches(QPainter*, const QRect&, const QModelIndex&) const
    {209, 1180, 755, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2704 QTreeView::mousePressEvent(QMouseEvent*)
    {209, 1181, 755, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2705 QTreeView::mouseReleaseEvent(QMouseEvent*)
    {209, 1178, 755, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2706 QTreeView::mouseDoubleClickEvent(QMouseEvent*)
    {209, 1179, 755, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2707 QTreeView::mouseMoveEvent(QMouseEvent*)
    {209, 1133, 729, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2708 QTreeView::keyPressEvent(QKeyEvent*)
    {209, 910, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2709 QTreeView::dragMoveEvent(QDragMoveEvent*)
    {209, 1720, 753, 1, Smoke::mf_protected|Smoke::mf_virtual, 374, 0},	//2710 QTreeView::viewportEvent(QEvent*)
    {209, 1703, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2711 QTreeView::updateGeometries()
    {209, 1628, 41, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 460, 0},	//2712 QTreeView::sizeHintForColumn(int) const
    {209, 1009, 41, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2713 QTreeView::horizontalScrollbarAction(int)
    {209, 1071, 95, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 374, 0},	//2714 QTreeView::isIndexHidden(const QModelIndex&) const
    {209, 1298, 784, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2715 QTreeView::selectionChanged(const QItemSelection&, const QItemSelection&)
    {213, 1159, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 0},	//2716 QWidget::metaObject() const
    {213, 1227, 21, 1, Smoke::mf_virtual, 468, 0},	//2717 QWidget::qt_metacast(const char*)
    {213, 1225, 30, 3, Smoke::mf_virtual, 460, 0},	//2718 QWidget::qt_metacall(QMetaObject::Call, int, void**)
    {213, 886, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 460, 0},	//2719 QWidget::devType() const
    {213, 1611, 45, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2720 QWidget::setVisible(bool)
    {213, 1627, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 283, 0},	//2721 QWidget::sizeHint() const
    {213, 1172, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 283, 0},	//2722 QWidget::minimumSizeHint() const
    {213, 1005, 41, 1, Smoke::mf_const|Smoke::mf_virtual, 460, 0},	//2723 QWidget::heightForWidth(int) const
    {213, 1203, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 273, 0},	//2724 QWidget::paintEngine() const
    {213, 944, 753, 1, Smoke::mf_protected|Smoke::mf_virtual, 374, 0},	//2725 QWidget::event(QEvent*)
    {213, 1180, 755, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2726 QWidget::mousePressEvent(QMouseEvent*)
    {213, 1181, 755, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2727 QWidget::mouseReleaseEvent(QMouseEvent*)
    {213, 1178, 755, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2728 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {213, 1179, 755, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2729 QWidget::mouseMoveEvent(QMouseEvent*)
    {213, 1729, 711, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2730 QWidget::wheelEvent(QWheelEvent*)
    {213, 1133, 729, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2731 QWidget::keyPressEvent(QKeyEvent*)
    {213, 1134, 729, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2732 QWidget::keyReleaseEvent(QKeyEvent*)
    {213, 983, 759, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2733 QWidget::focusInEvent(QFocusEvent*)
    {213, 985, 759, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2734 QWidget::focusOutEvent(QFocusEvent*)
    {213, 931, 753, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2735 QWidget::enterEvent(QEvent*)
    {213, 1137, 753, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2736 QWidget::leaveEvent(QEvent*)
    {213, 1204, 765, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2737 QWidget::paintEvent(QPaintEvent*)
    {213, 1183, 813, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2738 QWidget::moveEvent(QMoveEvent*)
    {213, 1254, 761, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2739 QWidget::resizeEvent(QResizeEvent*)
    {213, 774, 727, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2740 QWidget::closeEvent(QCloseEvent*)
    {213, 843, 298, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2741 QWidget::contextMenuEvent(QContextMenuEvent*)
    {213, 1675, 815, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2742 QWidget::tabletEvent(QTabletEvent*)
    {213, 674, 817, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2743 QWidget::actionEvent(QActionEvent*)
    {213, 907, 757, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2744 QWidget::dragEnterEvent(QDragEnterEvent*)
    {213, 910, 292, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2745 QWidget::dragMoveEvent(QDragMoveEvent*)
    {213, 908, 294, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2746 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {213, 914, 296, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2747 QWidget::dropEvent(QDropEvent*)
    {213, 1620, 767, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2748 QWidget::showEvent(QShowEvent*)
    {213, 1006, 725, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2749 QWidget::hideEvent(QHideEvent*)
    {213, 1736, 819, 1, Smoke::mf_protected|Smoke::mf_virtual, 374, 0},	//2750 QWidget::x11Event(_XEvent*)
    {213, 751, 753, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2751 QWidget::changeEvent(QEvent*)
    {213, 1160, 821, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 460, 0},	//2752 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {213, 1034, 763, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2753 QWidget::inputMethodEvent(QInputMethodEvent*)
    {213, 1035, 741, 1, Smoke::mf_const|Smoke::mf_virtual, 294, 0},	//2754 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {213, 984, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 374, 0},	//2755 QWidget::focusNextPrevChild(bool)
    {213, 1659, 823, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2756 QWidget::styleChange(QStyle&)
    {213, 930, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2757 QWidget::enabledChange(bool)
    {213, 1205, 825, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2758 QWidget::paletteChange(const QPalette&)
    {213, 986, 827, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2759 QWidget::fontChange(const QFont&)
    {213, 1733, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2760 QWidget::windowActivationChange(bool)
    {213, 1136, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2761 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    2023,  // Akonadi::ResourceBase::changeCommitted(const Akonadi::Item&)
    2025,  // Akonadi::ResourceBase::changeCommitted(const Akonadi::Collection&)
    0,
    861,  // Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, QWidget*)
    876,  // Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*)
    0,
    1386,  // Akonadi::Exception::Exception(const QByteArray&)
    1388,  // Akonadi::Exception::Exception(const Akonadi::Exception&)
    0,
    1385,  // Akonadi::Exception::Exception(const char*)
    1387,  // Akonadi::Exception::Exception(const QString&)
    0,
    1422,  // Akonadi::Item::Item(long long)
    1423,  // Akonadi::Item::Item(const QString&)
    0,
    717,  // Akonadi::CollectionRequester::CollectionRequester(QWidget*)
    730,  // Akonadi::CollectionRequester::CollectionRequester(const Akonadi::Collection&)
    0,
    1235,  // Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, QObject*)
    1295,  // Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*)
    0,
    1278,  // Akonadi::EntityTreeModel::d_func()
    1279,  // Akonadi::EntityTreeModel::d_func() const
    0,
    1293,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int) const
    1294,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int) const
    0,
    1272,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int, int) const
    1273,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int, int) const
    0,
    1276,  // Akonadi::EntityTreeModel::entityMatch(const Akonadi::Item&, const QVariant&, QFlags<Qt::MatchFlag>) const
    1277,  // Akonadi::EntityTreeModel::entityMatch(const Akonadi::Collection&, const QVariant&, QFlags<Qt::MatchFlag>) const
    0,
    1975,  // Akonadi::PayloadException::PayloadException(const QByteArray&)
    1978,  // Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    0,
    1974,  // Akonadi::PayloadException::PayloadException(const char*)
    1976,  // Akonadi::PayloadException::PayloadException(const QString&)
    0,
    479,  // Akonadi::CollectionDialog::CollectionDialog(QWidget*)
    496,  // Akonadi::CollectionDialog::CollectionDialog(QAbstractItemModel*)
    0,
    529,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&)
    531,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&)
    0,
    530,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type)
    532,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type)
    0,
    513,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, Akonadi::CollectionFetchJob::Type, QObject*)
    514,  // Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection::Id>&, Akonadi::CollectionFetchJob::Type, QObject*)
    0,
    1893,  // Akonadi::Monitor::Monitor(QObject*)
    1949,  // Akonadi::Monitor::Monitor(Akonadi::MonitorPrivate*)
    0,
    411,  // Akonadi::CollectionComboBox::CollectionComboBox(QWidget*)
    425,  // Akonadi::CollectionComboBox::CollectionComboBox(QAbstractItemModel*)
    0,
    1533,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&)
    1534,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&)
    0,
    1518,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&, QObject*)
    1519,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&, QObject*)
    0,
    1535,  // Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item>&)
    1536,  // Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item::Id>&)
    0,
    1520,  // Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item>&, QObject*)
    1521,  // Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item::Id>&, QObject*)
    0,
    1524,  // Akonadi::ItemFetchJob::setFetchScope(Akonadi::ItemFetchScope&)
    1525,  // Akonadi::ItemFetchJob::setFetchScope(const Akonadi::ItemFetchScope&)
    0,
    750,  // Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QAbstractItemView*)
    751,  // Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QTreeView*)
    0,
    1134,  // Akonadi::Entity::Entity(const Akonadi::Entity&)
    1135,  // Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    0,
    1136,  // Akonadi::Entity::d_func()
    1137,  // Akonadi::Entity::d_func() const
    0,
    1125,  // Akonadi::Entity::parentCollection() const
    1126,  // Akonadi::Entity::parentCollection()
    0,
    815,  // Akonadi::CollectionView::CollectionView(QWidget*)
    831,  // Akonadi::CollectionView::CollectionView(KXmlGuiWindow*)
    832,  // Akonadi::CollectionView::CollectionView(KXMLGUIClient*)
    0,
    816,  // Akonadi::CollectionView::CollectionView(KXmlGuiWindow*, QWidget*)
    817,  // Akonadi::CollectionView::CollectionView(KXMLGUIClient*, QWidget*)
    0,
    588,  // Akonadi::CollectionModel::CollectionModel(QObject*)
    617,  // Akonadi::CollectionModel::CollectionModel(Akonadi::CollectionModelPrivate*)
    0,
    2166,  // Akonadi::Session::Session(const QByteArray&)
    2167,  // Akonadi::Session::Session(Akonadi::SessionPrivate*)
    0,
    2157,  // Akonadi::Session::Session(const QByteArray&, QObject*)
    2168,  // Akonadi::Session::Session(Akonadi::SessionPrivate*, const QByteArray&)
    0,
    346,  // Akonadi::ChangeRecorder::ChangeRecorder(QObject*)
    359,  // Akonadi::ChangeRecorder::ChangeRecorder(Akonadi::ChangeRecorderPrivate*)
    0,
    1506,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&)
    1508,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&)
    0,
    1499,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&, QObject*)
    1501,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&, QObject*)
    0,
    1343,  // Akonadi::EntityTreeView::EntityTreeView(QWidget*)
    1368,  // Akonadi::EntityTreeView::EntityTreeView(KXMLGUIClient*)
    0,
    1353,  // Akonadi::EntityTreeView::clicked(const Akonadi::Collection&)
    1354,  // Akonadi::EntityTreeView::clicked(const Akonadi::Item&)
    0,
    1357,  // Akonadi::EntityTreeView::currentChanged(const Akonadi::Collection&)
    1358,  // Akonadi::EntityTreeView::currentChanged(const Akonadi::Item&)
    0,
    1355,  // Akonadi::EntityTreeView::doubleClicked(const Akonadi::Collection&)
    1356,  // Akonadi::EntityTreeView::doubleClicked(const Akonadi::Item&)
    0,
    891,  // Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, QWidget*)
    903,  // Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*)
    0,
    1171,  // Akonadi::EntityListView::EntityListView(QWidget*)
    1192,  // Akonadi::EntityListView::EntityListView(KXMLGUIClient*)
    0,
    1178,  // Akonadi::EntityListView::clicked(const Akonadi::Collection&)
    1179,  // Akonadi::EntityListView::clicked(const Akonadi::Item&)
    0,
    1182,  // Akonadi::EntityListView::currentChanged(const Akonadi::Collection&)
    1183,  // Akonadi::EntityListView::currentChanged(const Akonadi::Item&)
    0,
    1180,  // Akonadi::EntityListView::doubleClicked(const Akonadi::Collection&)
    1181,  // Akonadi::EntityListView::doubleClicked(const Akonadi::Item&)
    0,
    1736,  // Akonadi::ItemView::ItemView(QWidget*)
    1751,  // Akonadi::ItemView::ItemView(KXmlGuiWindow*)
    1752,  // Akonadi::ItemView::ItemView(KXMLGUIClient*)
    0,
    1737,  // Akonadi::ItemView::ItemView(KXmlGuiWindow*, QWidget*)
    1738,  // Akonadi::ItemView::ItemView(KXMLGUIClient*, QWidget*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {4, 5, 15},	// Akonadi::AddressAttribute::AddressAttribute
    {4, 6, 14},	// Akonadi::AddressAttribute::AddressAttribute#
    {4, 7, 16},	// Akonadi::AddressAttribute::AddressAttribute$
    {4, 8, 17},	// Akonadi::AddressAttribute::AddressAttribute$?
    {4, 9, 18},	// Akonadi::AddressAttribute::AddressAttribute$??
    {4, 10, 1},	// Akonadi::AddressAttribute::AddressAttribute$???
    {4, 733, 12},	// Akonadi::AddressAttribute::bcc
    {4, 746, 10},	// Akonadi::AddressAttribute::cc
    {4, 772, 2},	// Akonadi::AddressAttribute::clone
    {4, 883, 5},	// Akonadi::AddressAttribute::deserialize#
    {4, 987, 6},	// Akonadi::AddressAttribute::from
    {4, 1310, 4},	// Akonadi::AddressAttribute::serialized
    {4, 1335, 13},	// Akonadi::AddressAttribute::setBcc?
    {4, 1348, 11},	// Akonadi::AddressAttribute::setCc?
    {4, 1445, 7},	// Akonadi::AddressAttribute::setFrom$
    {4, 1594, 9},	// Akonadi::AddressAttribute::setTo?
    {4, 1680, 8},	// Akonadi::AddressAttribute::to
    {4, 1689, 3},	// Akonadi::AddressAttribute::type
    {4, 1738, 19},	// Akonadi::AddressAttribute::~AddressAttribute
    {5, 19, 58},	// Akonadi::AgentBase::AgentBase#$
    {5, 20, 50},	// Akonadi::AgentBase::AgentBase$
    {5, 61, 66},	// Akonadi::AgentBase::Broken
    {5, 297, 64},	// Akonadi::AgentBase::Idle
    {5, 441, 67},	// Akonadi::AgentBase::NotConfigured
    {5, 505, 65},	// Akonadi::AgentBase::Running
    {5, 666, 45},	// Akonadi::AgentBase::abortRequested
    {5, 667, 51},	// Akonadi::AgentBase::aboutToQuit
    {5, 707, 44},	// Akonadi::AgentBase::advancedStatus?
    {5, 709, 37},	// Akonadi::AgentBase::agentName
    {5, 711, 39},	// Akonadi::AgentBase::agentNameChanged$
    {5, 752, 54},	// Akonadi::AgentBase::changeProcessed
    {5, 753, 52},	// Akonadi::AgentBase::changeRecorder
    {5, 759, 34},	// Akonadi::AgentBase::cleanup
    {5, 821, 38},	// Akonadi::AgentBase::componentData
    {5, 822, 53},	// Akonadi::AgentBase::config
    {5, 823, 48},	// Akonadi::AgentBase::configurationDialogAccepted
    {5, 824, 49},	// Akonadi::AgentBase::configurationDialogRejected
    {5, 827, 31},	// Akonadi::AgentBase::configure$
    {5, 900, 59},	// Akonadi::AgentBase::doSetOnline$
    {5, 942, 43},	// Akonadi::AgentBase::error$
    {5, 1014, 33},	// Akonadi::AgentBase::identifier
    {5, 1073, 55},	// Akonadi::AgentBase::isOnline
    {5, 1159, 20},	// Akonadi::AgentBase::metaObject
    {5, 1189, 47},	// Akonadi::AgentBase::onlineChanged$
    {5, 1216, 41},	// Akonadi::AgentBase::percent$
    {5, 1222, 29},	// Akonadi::AgentBase::progress
    {5, 1224, 30},	// Akonadi::AgentBase::progressMessage
    {5, 1226, 26},	// Akonadi::AgentBase::qt_metacall$$?
    {5, 1228, 21},	// Akonadi::AgentBase::qt_metacast$
    {5, 1233, 35},	// Akonadi::AgentBase::registerObserver#
    {5, 1237, 46},	// Akonadi::AgentBase::reloadConfiguration
    {5, 1322, 36},	// Akonadi::AgentBase::setAgentName$
    {5, 1526, 56},	// Akonadi::AgentBase::setNeedsNetwork$
    {5, 1528, 57},	// Akonadi::AgentBase::setOnline$
    {5, 1647, 63},	// Akonadi::AgentBase::staticMetaObject
    {5, 1649, 27},	// Akonadi::AgentBase::status
    {5, 1650, 62},	// Akonadi::AgentBase::status$
    {5, 1651, 40},	// Akonadi::AgentBase::status$$
    {5, 1652, 28},	// Akonadi::AgentBase::statusMessage
    {5, 1682, 60},	// Akonadi::AgentBase::tr$
    {5, 1683, 22},	// Akonadi::AgentBase::tr$$
    {5, 1684, 24},	// Akonadi::AgentBase::tr$$$
    {5, 1686, 61},	// Akonadi::AgentBase::trUtf8$
    {5, 1687, 23},	// Akonadi::AgentBase::trUtf8$$
    {5, 1688, 25},	// Akonadi::AgentBase::trUtf8$$$
    {5, 1727, 42},	// Akonadi::AgentBase::warning$
    {5, 1732, 32},	// Akonadi::AgentBase::winIdForDialogs
    {5, 1739, 68},	// Akonadi::AgentBase::~AgentBase
    {6, 443, 69},	// Akonadi::AgentBase::Observer::Observer
    {6, 444, 76},	// Akonadi::AgentBase::Observer::Observer#
    {6, 777, 73},	// Akonadi::AgentBase::Observer::collectionAdded##
    {6, 781, 74},	// Akonadi::AgentBase::Observer::collectionChanged#
    {6, 797, 75},	// Akonadi::AgentBase::Observer::collectionRemoved#
    {6, 1089, 70},	// Akonadi::AgentBase::Observer::itemAdded##
    {6, 1092, 71},	// Akonadi::AgentBase::Observer::itemChanged#?
    {6, 1105, 72},	// Akonadi::AgentBase::Observer::itemRemoved#
    {6, 1823, 77},	// Akonadi::AgentBase::Observer::~Observer
    {7, 445, 84},	// Akonadi::AgentBase::ObserverV2::ObserverV2
    {7, 446, 85},	// Akonadi::AgentBase::ObserverV2::ObserverV2#
    {7, 781, 78},	// Akonadi::AgentBase::ObserverV2::collectionChanged#
    {7, 782, 83},	// Akonadi::AgentBase::ObserverV2::collectionChanged#?
    {7, 793, 82},	// Akonadi::AgentBase::ObserverV2::collectionMoved###
    {7, 1098, 80},	// Akonadi::AgentBase::ObserverV2::itemLinked##
    {7, 1102, 79},	// Akonadi::AgentBase::ObserverV2::itemMoved###
    {7, 1112, 81},	// Akonadi::AgentBase::ObserverV2::itemUnlinked##
    {7, 1824, 86},	// Akonadi::AgentBase::ObserverV2::~ObserverV2
    {9, 21, 102},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel
    {9, 22, 94},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel#
    {9, 683, 96},	// Akonadi::AgentFilterProxyModel::addCapabilityFilter$
    {9, 691, 95},	// Akonadi::AgentFilterProxyModel::addMimeTypeFilter$
    {9, 764, 97},	// Akonadi::AgentFilterProxyModel::clearFilters
    {9, 947, 98},	// Akonadi::AgentFilterProxyModel::excludeCapabilities$
    {9, 977, 99},	// Akonadi::AgentFilterProxyModel::filterAcceptsRow$#
    {9, 1159, 87},	// Akonadi::AgentFilterProxyModel::metaObject
    {9, 1226, 93},	// Akonadi::AgentFilterProxyModel::qt_metacall$$?
    {9, 1228, 88},	// Akonadi::AgentFilterProxyModel::qt_metacast$
    {9, 1647, 103},	// Akonadi::AgentFilterProxyModel::staticMetaObject
    {9, 1682, 100},	// Akonadi::AgentFilterProxyModel::tr$
    {9, 1683, 89},	// Akonadi::AgentFilterProxyModel::tr$$
    {9, 1684, 91},	// Akonadi::AgentFilterProxyModel::tr$$$
    {9, 1686, 101},	// Akonadi::AgentFilterProxyModel::trUtf8$
    {9, 1687, 90},	// Akonadi::AgentFilterProxyModel::trUtf8$$
    {9, 1688, 92},	// Akonadi::AgentFilterProxyModel::trUtf8$$$
    {9, 1740, 104},	// Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel
    {10, 23, 105},	// Akonadi::AgentInstance::AgentInstance
    {10, 24, 106},	// Akonadi::AgentInstance::AgentInstance#
    {10, 61, 128},	// Akonadi::AgentInstance::Broken
    {10, 297, 126},	// Akonadi::AgentInstance::Idle
    {10, 441, 129},	// Akonadi::AgentInstance::NotConfigured
    {10, 505, 127},	// Akonadi::AgentInstance::Running
    {10, 665, 122},	// Akonadi::AgentInstance::abortCurrentTask
    {10, 825, 125},	// Akonadi::AgentInstance::configure
    {10, 826, 117},	// Akonadi::AgentInstance::configure#
    {10, 1014, 109},	// Akonadi::AgentInstance::identifier
    {10, 1073, 115},	// Akonadi::AgentInstance::isOnline
    {10, 1077, 107},	// Akonadi::AgentInstance::isValid
    {10, 1184, 110},	// Akonadi::AgentInstance::name
    {10, 1195, 120},	// Akonadi::AgentInstance::operator=#
    {10, 1197, 121},	// Akonadi::AgentInstance::operator==#
    {10, 1222, 114},	// Akonadi::AgentInstance::progress
    {10, 1230, 123},	// Akonadi::AgentInstance::reconfigure
    {10, 1259, 124},	// Akonadi::AgentInstance::restart
    {10, 1483, 116},	// Akonadi::AgentInstance::setIsOnline$
    {10, 1524, 111},	// Akonadi::AgentInstance::setName$
    {10, 1649, 112},	// Akonadi::AgentInstance::status
    {10, 1652, 113},	// Akonadi::AgentInstance::statusMessage
    {10, 1664, 118},	// Akonadi::AgentInstance::synchronize
    {10, 1672, 119},	// Akonadi::AgentInstance::synchronizeCollectionTree
    {10, 1689, 108},	// Akonadi::AgentInstance::type
    {10, 1741, 130},	// Akonadi::AgentInstance::~AgentInstance
    {11, 26, 145},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob#
    {11, 27, 138},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob##
    {11, 28, 146},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob$
    {11, 29, 139},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob$#
    {11, 825, 147},	// Akonadi::AgentInstanceCreateJob::configure
    {11, 826, 140},	// Akonadi::AgentInstanceCreateJob::configure#
    {11, 1038, 141},	// Akonadi::AgentInstanceCreateJob::instance
    {11, 1159, 131},	// Akonadi::AgentInstanceCreateJob::metaObject
    {11, 1226, 137},	// Akonadi::AgentInstanceCreateJob::qt_metacall$$?
    {11, 1228, 132},	// Akonadi::AgentInstanceCreateJob::qt_metacast$
    {11, 1639, 142},	// Akonadi::AgentInstanceCreateJob::start
    {11, 1647, 148},	// Akonadi::AgentInstanceCreateJob::staticMetaObject
    {11, 1682, 143},	// Akonadi::AgentInstanceCreateJob::tr$
    {11, 1683, 133},	// Akonadi::AgentInstanceCreateJob::tr$$
    {11, 1684, 135},	// Akonadi::AgentInstanceCreateJob::tr$$$
    {11, 1686, 144},	// Akonadi::AgentInstanceCreateJob::trUtf8$
    {11, 1687, 134},	// Akonadi::AgentInstanceCreateJob::trUtf8$$
    {11, 1688, 136},	// Akonadi::AgentInstanceCreateJob::trUtf8$$$
    {11, 1742, 149},	// Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob
    {12, 30, 168},	// Akonadi::AgentInstanceModel::AgentInstanceModel
    {12, 31, 157},	// Akonadi::AgentInstanceModel::AgentInstanceModel#
    {12, 75, 179},	// Akonadi::AgentInstanceModel::CapabilitiesRole
    {12, 223, 177},	// Akonadi::AgentInstanceModel::DescriptionRole
    {12, 307, 181},	// Akonadi::AgentInstanceModel::InstanceIdentifierRole
    {12, 308, 180},	// Akonadi::AgentInstanceModel::InstanceRole
    {12, 395, 178},	// Akonadi::AgentInstanceModel::MimeTypesRole
    {12, 452, 185},	// Akonadi::AgentInstanceModel::OnlineRole
    {12, 479, 184},	// Akonadi::AgentInstanceModel::ProgressRole
    {12, 542, 183},	// Akonadi::AgentInstanceModel::StatusMessageRole
    {12, 543, 182},	// Akonadi::AgentInstanceModel::StatusRole
    {12, 575, 176},	// Akonadi::AgentInstanceModel::TypeIdentifierRole
    {12, 576, 175},	// Akonadi::AgentInstanceModel::TypeRole
    {12, 595, 186},	// Akonadi::AgentInstanceModel::UserRole
    {12, 817, 169},	// Akonadi::AgentInstanceModel::columnCount
    {12, 818, 158},	// Akonadi::AgentInstanceModel::columnCount#
    {12, 872, 171},	// Akonadi::AgentInstanceModel::data#
    {12, 873, 160},	// Akonadi::AgentInstanceModel::data#$
    {12, 982, 164},	// Akonadi::AgentInstanceModel::flags#
    {12, 1003, 172},	// Akonadi::AgentInstanceModel::headerData$$
    {12, 1004, 161},	// Akonadi::AgentInstanceModel::headerData$$$
    {12, 1026, 173},	// Akonadi::AgentInstanceModel::index$$
    {12, 1027, 162},	// Akonadi::AgentInstanceModel::index$$#
    {12, 1159, 150},	// Akonadi::AgentInstanceModel::metaObject
    {12, 1207, 163},	// Akonadi::AgentInstanceModel::parent#
    {12, 1226, 156},	// Akonadi::AgentInstanceModel::qt_metacall$$?
    {12, 1228, 151},	// Akonadi::AgentInstanceModel::qt_metacast$
    {12, 1276, 170},	// Akonadi::AgentInstanceModel::rowCount
    {12, 1277, 159},	// Akonadi::AgentInstanceModel::rowCount#
    {12, 1406, 165},	// Akonadi::AgentInstanceModel::setData##$
    {12, 1647, 174},	// Akonadi::AgentInstanceModel::staticMetaObject
    {12, 1682, 166},	// Akonadi::AgentInstanceModel::tr$
    {12, 1683, 152},	// Akonadi::AgentInstanceModel::tr$$
    {12, 1684, 154},	// Akonadi::AgentInstanceModel::tr$$$
    {12, 1686, 167},	// Akonadi::AgentInstanceModel::trUtf8$
    {12, 1687, 153},	// Akonadi::AgentInstanceModel::trUtf8$$
    {12, 1688, 155},	// Akonadi::AgentInstanceModel::trUtf8$$$
    {12, 1743, 187},	// Akonadi::AgentInstanceModel::~AgentInstanceModel
    {13, 32, 205},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget
    {13, 33, 195},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget#
    {13, 708, 198},	// Akonadi::AgentInstanceWidget::agentFilterProxyModel
    {13, 771, 202},	// Akonadi::AgentInstanceWidget::clicked#
    {13, 860, 196},	// Akonadi::AgentInstanceWidget::currentAgentInstance
    {13, 864, 200},	// Akonadi::AgentInstanceWidget::currentChanged##
    {13, 906, 201},	// Akonadi::AgentInstanceWidget::doubleClicked#
    {13, 1159, 188},	// Akonadi::AgentInstanceWidget::metaObject
    {13, 1226, 194},	// Akonadi::AgentInstanceWidget::qt_metacall$$?
    {13, 1228, 189},	// Akonadi::AgentInstanceWidget::qt_metacast$
    {13, 1293, 197},	// Akonadi::AgentInstanceWidget::selectedAgentInstances
    {13, 1647, 206},	// Akonadi::AgentInstanceWidget::staticMetaObject
    {13, 1682, 203},	// Akonadi::AgentInstanceWidget::tr$
    {13, 1683, 190},	// Akonadi::AgentInstanceWidget::tr$$
    {13, 1684, 192},	// Akonadi::AgentInstanceWidget::tr$$$
    {13, 1686, 204},	// Akonadi::AgentInstanceWidget::trUtf8$
    {13, 1687, 191},	// Akonadi::AgentInstanceWidget::trUtf8$$
    {13, 1688, 193},	// Akonadi::AgentInstanceWidget::trUtf8$$$
    {13, 1717, 199},	// Akonadi::AgentInstanceWidget::view
    {13, 1744, 207},	// Akonadi::AgentInstanceWidget::~AgentInstanceWidget
    {14, 1039, 219},	// Akonadi::AgentManager::instance$
    {14, 1041, 225},	// Akonadi::AgentManager::instanceAdded#
    {14, 1043, 230},	// Akonadi::AgentManager::instanceError#$
    {14, 1046, 229},	// Akonadi::AgentManager::instanceNameChanged#
    {14, 1048, 232},	// Akonadi::AgentManager::instanceOnline#$
    {14, 1050, 228},	// Akonadi::AgentManager::instanceProgressChanged#
    {14, 1052, 226},	// Akonadi::AgentManager::instanceRemoved#
    {14, 1054, 227},	// Akonadi::AgentManager::instanceStatusChanged#
    {14, 1056, 231},	// Akonadi::AgentManager::instanceWarning#$
    {14, 1057, 218},	// Akonadi::AgentManager::instances
    {14, 1159, 208},	// Akonadi::AgentManager::metaObject
    {14, 1226, 214},	// Akonadi::AgentManager::qt_metacall$$?
    {14, 1228, 209},	// Akonadi::AgentManager::qt_metacast$
    {14, 1246, 220},	// Akonadi::AgentManager::removeInstance#
    {14, 1301, 215},	// Akonadi::AgentManager::self
    {14, 1647, 235},	// Akonadi::AgentManager::staticMetaObject
    {14, 1666, 221},	// Akonadi::AgentManager::synchronizeCollection#
    {14, 1667, 222},	// Akonadi::AgentManager::synchronizeCollection#$
    {14, 1682, 233},	// Akonadi::AgentManager::tr$
    {14, 1683, 210},	// Akonadi::AgentManager::tr$$
    {14, 1684, 212},	// Akonadi::AgentManager::tr$$$
    {14, 1686, 234},	// Akonadi::AgentManager::trUtf8$
    {14, 1687, 211},	// Akonadi::AgentManager::trUtf8$$
    {14, 1688, 213},	// Akonadi::AgentManager::trUtf8$$$
    {14, 1690, 217},	// Akonadi::AgentManager::type$
    {14, 1692, 223},	// Akonadi::AgentManager::typeAdded#
    {14, 1695, 224},	// Akonadi::AgentManager::typeRemoved#
    {14, 1696, 216},	// Akonadi::AgentManager::types
    {14, 1745, 236},	// Akonadi::AgentManager::~AgentManager
    {15, 34, 237},	// Akonadi::AgentType::AgentType
    {15, 35, 238},	// Akonadi::AgentType::AgentType#
    {15, 745, 246},	// Akonadi::AgentType::capabilities
    {15, 869, 247},	// Akonadi::AgentType::customProperties
    {15, 881, 242},	// Akonadi::AgentType::description
    {15, 1011, 244},	// Akonadi::AgentType::icon
    {15, 1012, 243},	// Akonadi::AgentType::iconName
    {15, 1014, 240},	// Akonadi::AgentType::identifier
    {15, 1077, 239},	// Akonadi::AgentType::isValid
    {15, 1170, 245},	// Akonadi::AgentType::mimeTypes
    {15, 1184, 241},	// Akonadi::AgentType::name
    {15, 1195, 248},	// Akonadi::AgentType::operator=#
    {15, 1197, 249},	// Akonadi::AgentType::operator==#
    {15, 1746, 250},	// Akonadi::AgentType::~AgentType
    {16, 36, 264},	// Akonadi::AgentTypeDialog::AgentTypeDialog
    {16, 37, 258},	// Akonadi::AgentTypeDialog::AgentTypeDialog#
    {16, 708, 260},	// Akonadi::AgentTypeDialog::agentFilterProxyModel
    {16, 714, 259},	// Akonadi::AgentTypeDialog::agentType
    {16, 904, 261},	// Akonadi::AgentTypeDialog::done$
    {16, 1159, 251},	// Akonadi::AgentTypeDialog::metaObject
    {16, 1226, 257},	// Akonadi::AgentTypeDialog::qt_metacall$$?
    {16, 1228, 252},	// Akonadi::AgentTypeDialog::qt_metacast$
    {16, 1647, 265},	// Akonadi::AgentTypeDialog::staticMetaObject
    {16, 1682, 262},	// Akonadi::AgentTypeDialog::tr$
    {16, 1683, 253},	// Akonadi::AgentTypeDialog::tr$$
    {16, 1684, 255},	// Akonadi::AgentTypeDialog::tr$$$
    {16, 1686, 263},	// Akonadi::AgentTypeDialog::trUtf8$
    {16, 1687, 254},	// Akonadi::AgentTypeDialog::trUtf8$$
    {16, 1688, 256},	// Akonadi::AgentTypeDialog::trUtf8$$$
    {16, 1747, 266},	// Akonadi::AgentTypeDialog::~AgentTypeDialog
    {17, 38, 283},	// Akonadi::AgentTypeModel::AgentTypeModel
    {17, 39, 274},	// Akonadi::AgentTypeModel::AgentTypeModel#
    {17, 75, 293},	// Akonadi::AgentTypeModel::CapabilitiesRole
    {17, 223, 291},	// Akonadi::AgentTypeModel::DescriptionRole
    {17, 296, 290},	// Akonadi::AgentTypeModel::IdentifierRole
    {17, 395, 292},	// Akonadi::AgentTypeModel::MimeTypesRole
    {17, 576, 289},	// Akonadi::AgentTypeModel::TypeRole
    {17, 595, 294},	// Akonadi::AgentTypeModel::UserRole
    {17, 817, 284},	// Akonadi::AgentTypeModel::columnCount
    {17, 818, 275},	// Akonadi::AgentTypeModel::columnCount#
    {17, 872, 286},	// Akonadi::AgentTypeModel::data#
    {17, 873, 277},	// Akonadi::AgentTypeModel::data#$
    {17, 982, 280},	// Akonadi::AgentTypeModel::flags#
    {17, 1026, 287},	// Akonadi::AgentTypeModel::index$$
    {17, 1027, 278},	// Akonadi::AgentTypeModel::index$$#
    {17, 1159, 267},	// Akonadi::AgentTypeModel::metaObject
    {17, 1207, 279},	// Akonadi::AgentTypeModel::parent#
    {17, 1226, 273},	// Akonadi::AgentTypeModel::qt_metacall$$?
    {17, 1228, 268},	// Akonadi::AgentTypeModel::qt_metacast$
    {17, 1276, 285},	// Akonadi::AgentTypeModel::rowCount
    {17, 1277, 276},	// Akonadi::AgentTypeModel::rowCount#
    {17, 1647, 288},	// Akonadi::AgentTypeModel::staticMetaObject
    {17, 1682, 281},	// Akonadi::AgentTypeModel::tr$
    {17, 1683, 269},	// Akonadi::AgentTypeModel::tr$$
    {17, 1684, 271},	// Akonadi::AgentTypeModel::tr$$$
    {17, 1686, 282},	// Akonadi::AgentTypeModel::trUtf8$
    {17, 1687, 270},	// Akonadi::AgentTypeModel::trUtf8$$
    {17, 1688, 272},	// Akonadi::AgentTypeModel::trUtf8$$$
    {17, 1748, 295},	// Akonadi::AgentTypeModel::~AgentTypeModel
    {18, 40, 310},	// Akonadi::AgentTypeWidget::AgentTypeWidget
    {18, 41, 303},	// Akonadi::AgentTypeWidget::AgentTypeWidget#
    {18, 676, 307},	// Akonadi::AgentTypeWidget::activated
    {18, 708, 305},	// Akonadi::AgentTypeWidget::agentFilterProxyModel
    {18, 861, 304},	// Akonadi::AgentTypeWidget::currentAgentType
    {18, 864, 306},	// Akonadi::AgentTypeWidget::currentChanged##
    {18, 1159, 296},	// Akonadi::AgentTypeWidget::metaObject
    {18, 1226, 302},	// Akonadi::AgentTypeWidget::qt_metacall$$?
    {18, 1228, 297},	// Akonadi::AgentTypeWidget::qt_metacast$
    {18, 1647, 311},	// Akonadi::AgentTypeWidget::staticMetaObject
    {18, 1682, 308},	// Akonadi::AgentTypeWidget::tr$
    {18, 1683, 298},	// Akonadi::AgentTypeWidget::tr$$
    {18, 1684, 300},	// Akonadi::AgentTypeWidget::tr$$$
    {18, 1686, 309},	// Akonadi::AgentTypeWidget::trUtf8$
    {18, 1687, 299},	// Akonadi::AgentTypeWidget::trUtf8$$
    {18, 1688, 301},	// Akonadi::AgentTypeWidget::trUtf8$$$
    {18, 1749, 312},	// Akonadi::AgentTypeWidget::~AgentTypeWidget
    {19, 52, 317},	// Akonadi::Attribute::Attribute
    {19, 53, 318},	// Akonadi::Attribute::Attribute#
    {19, 772, 314},	// Akonadi::Attribute::clone
    {19, 883, 316},	// Akonadi::Attribute::deserialize#
    {19, 1310, 315},	// Akonadi::Attribute::serialized
    {19, 1689, 313},	// Akonadi::Attribute::type
    {19, 1750, 319},	// Akonadi::Attribute::~Attribute
    {20, 54, 321},	// Akonadi::AttributeFactory::AttributeFactory
    {20, 55, 322},	// Akonadi::AttributeFactory::AttributeFactory#
    {20, 853, 320},	// Akonadi::AttributeFactory::createAttribute#
    {20, 1751, 323},	// Akonadi::AttributeFactory::~AttributeFactory
    {21, 64, 324},	// Akonadi::CachePolicy::CachePolicy
    {21, 65, 325},	// Akonadi::CachePolicy::CachePolicy#
    {21, 737, 330},	// Akonadi::CachePolicy::cacheTimeout
    {21, 1031, 326},	// Akonadi::CachePolicy::inheritFromParent
    {21, 1061, 332},	// Akonadi::CachePolicy::intervalCheckTime
    {21, 1146, 328},	// Akonadi::CachePolicy::localParts
    {21, 1195, 336},	// Akonadi::CachePolicy::operator=#
    {21, 1197, 337},	// Akonadi::CachePolicy::operator==#
    {21, 1341, 331},	// Akonadi::CachePolicy::setCacheTimeout$
    {21, 1479, 327},	// Akonadi::CachePolicy::setInheritFromParent$
    {21, 1481, 333},	// Akonadi::CachePolicy::setIntervalCheckTime$
    {21, 1506, 329},	// Akonadi::CachePolicy::setLocalParts?
    {21, 1592, 335},	// Akonadi::CachePolicy::setSyncOnDemand$
    {21, 1663, 334},	// Akonadi::CachePolicy::syncOnDemand
    {21, 1752, 338},	// Akonadi::CachePolicy::~CachePolicy
    {22, 76, 358},	// Akonadi::ChangeRecorder::ChangeRecorder
    {22, 77, -101},	// Akonadi::ChangeRecorder::ChangeRecorder#
    {22, 78, 355},	// Akonadi::ChangeRecorder::ChangeRecorder##
    {22, 752, 349},	// Akonadi::ChangeRecorder::changeProcessed
    {22, 754, 353},	// Akonadi::ChangeRecorder::changesAdded
    {22, 920, 351},	// Akonadi::ChangeRecorder::dumpNotificationListToString
    {22, 1069, 348},	// Akonadi::ChangeRecorder::isEmpty
    {22, 1159, 339},	// Akonadi::ChangeRecorder::metaObject
    {22, 1187, 354},	// Akonadi::ChangeRecorder::nothingToReplay
    {22, 1226, 345},	// Akonadi::ChangeRecorder::qt_metacall$$?
    {22, 1228, 340},	// Akonadi::ChangeRecorder::qt_metacast$
    {22, 1252, 352},	// Akonadi::ChangeRecorder::replayNext
    {22, 1350, 350},	// Akonadi::ChangeRecorder::setChangeRecordingEnabled$
    {22, 1379, 347},	// Akonadi::ChangeRecorder::setConfig#
    {22, 1647, 360},	// Akonadi::ChangeRecorder::staticMetaObject
    {22, 1682, 356},	// Akonadi::ChangeRecorder::tr$
    {22, 1683, 341},	// Akonadi::ChangeRecorder::tr$$
    {22, 1684, 343},	// Akonadi::ChangeRecorder::tr$$$
    {22, 1686, 357},	// Akonadi::ChangeRecorder::trUtf8$
    {22, 1687, 342},	// Akonadi::ChangeRecorder::trUtf8$$
    {22, 1688, 344},	// Akonadi::ChangeRecorder::trUtf8$$$
    {22, 1753, 361},	// Akonadi::ChangeRecorder::~ChangeRecorder
    {24, 44, 400},	// Akonadi::Collection::AllRights
    {24, 66, 395},	// Akonadi::Collection::CanChangeCollection
    {24, 67, 392},	// Akonadi::Collection::CanChangeItem
    {24, 68, 396},	// Akonadi::Collection::CanCreateCollection
    {24, 69, 393},	// Akonadi::Collection::CanCreateItem
    {24, 70, 397},	// Akonadi::Collection::CanDeleteCollection
    {24, 71, 394},	// Akonadi::Collection::CanDeleteItem
    {24, 72, 398},	// Akonadi::Collection::CanLinkItem
    {24, 73, 399},	// Akonadi::Collection::CanUnlinkItem
    {24, 82, 362},	// Akonadi::Collection::Collection
    {24, 83, 364},	// Akonadi::Collection::Collection#
    {24, 84, 363},	// Akonadi::Collection::Collection$
    {24, 483, 391},	// Akonadi::Collection::ReadOnly
    {24, 585, 401},	// Akonadi::Collection::UrlShort
    {24, 587, 402},	// Akonadi::Collection::UrlWithName
    {24, 736, 383},	// Akonadi::Collection::cachePolicy
    {24, 842, 371},	// Akonadi::Collection::contentMimeTypes
    {24, 892, 367},	// Akonadi::Collection::displayName
    {24, 989, 365},	// Akonadi::Collection::fromUrl#
    {24, 1078, 389},	// Akonadi::Collection::isVirtual
    {24, 1163, 379},	// Akonadi::Collection::mimeType
    {24, 1184, 366},	// Akonadi::Collection::name
    {24, 1206, 373},	// Akonadi::Collection::parent
    {24, 1209, 376},	// Akonadi::Collection::parentRemoteId
    {24, 1255, 381},	// Akonadi::Collection::resource
    {24, 1272, 369},	// Akonadi::Collection::rights
    {24, 1274, 378},	// Akonadi::Collection::root
    {24, 1339, 384},	// Akonadi::Collection::setCachePolicy#
    {24, 1393, 372},	// Akonadi::Collection::setContentMimeTypes?
    {24, 1524, 368},	// Akonadi::Collection::setName$
    {24, 1534, 375},	// Akonadi::Collection::setParent#
    {24, 1535, 374},	// Akonadi::Collection::setParent$
    {24, 1539, 377},	// Akonadi::Collection::setParentRemoteId$
    {24, 1562, 382},	// Akonadi::Collection::setResource$
    {24, 1569, 370},	// Akonadi::Collection::setRights$
    {24, 1586, 386},	// Akonadi::Collection::setStatistics#
    {24, 1610, 390},	// Akonadi::Collection::setVirtual$
    {24, 1648, 385},	// Akonadi::Collection::statistics
    {24, 1708, 387},	// Akonadi::Collection::url
    {24, 1709, 388},	// Akonadi::Collection::url$
    {24, 1721, 380},	// Akonadi::Collection::virtualMimeType
    {24, 1754, 403},	// Akonadi::Collection::~Collection
    {25, 86, 424},	// Akonadi::CollectionComboBox::CollectionComboBox
    {25, 87, -55},	// Akonadi::CollectionComboBox::CollectionComboBox#
    {25, 88, 412},	// Akonadi::CollectionComboBox::CollectionComboBox##
    {25, 671, 416},	// Akonadi::CollectionComboBox::accessRightsFilter
    {25, 863, 421},	// Akonadi::CollectionComboBox::currentChanged#
    {25, 865, 418},	// Akonadi::CollectionComboBox::currentCollection
    {25, 948, 420},	// Akonadi::CollectionComboBox::excludeVirtualCollections
    {25, 1159, 404},	// Akonadi::CollectionComboBox::metaObject
    {25, 1165, 414},	// Akonadi::CollectionComboBox::mimeTypeFilter
    {25, 1226, 410},	// Akonadi::CollectionComboBox::qt_metacall$$?
    {25, 1228, 405},	// Akonadi::CollectionComboBox::qt_metacast$
    {25, 1316, 415},	// Akonadi::CollectionComboBox::setAccessRightsFilter$
    {25, 1410, 417},	// Akonadi::CollectionComboBox::setDefaultCollection#
    {25, 1421, 419},	// Akonadi::CollectionComboBox::setExcludeVirtualCollections$
    {25, 1514, 413},	// Akonadi::CollectionComboBox::setMimeTypeFilter?
    {25, 1647, 426},	// Akonadi::CollectionComboBox::staticMetaObject
    {25, 1682, 422},	// Akonadi::CollectionComboBox::tr$
    {25, 1683, 406},	// Akonadi::CollectionComboBox::tr$$
    {25, 1684, 408},	// Akonadi::CollectionComboBox::tr$$$
    {25, 1686, 423},	// Akonadi::CollectionComboBox::trUtf8$
    {25, 1687, 407},	// Akonadi::CollectionComboBox::trUtf8$$
    {25, 1688, 409},	// Akonadi::CollectionComboBox::trUtf8$$$
    {25, 1755, 427},	// Akonadi::CollectionComboBox::~CollectionComboBox
    {26, 90, 439},	// Akonadi::CollectionCopyJob::CollectionCopyJob##
    {26, 91, 435},	// Akonadi::CollectionCopyJob::CollectionCopyJob###
    {26, 901, 436},	// Akonadi::CollectionCopyJob::doStart
    {26, 1159, 428},	// Akonadi::CollectionCopyJob::metaObject
    {26, 1226, 434},	// Akonadi::CollectionCopyJob::qt_metacall$$?
    {26, 1228, 429},	// Akonadi::CollectionCopyJob::qt_metacast$
    {26, 1647, 440},	// Akonadi::CollectionCopyJob::staticMetaObject
    {26, 1682, 437},	// Akonadi::CollectionCopyJob::tr$
    {26, 1683, 430},	// Akonadi::CollectionCopyJob::tr$$
    {26, 1684, 432},	// Akonadi::CollectionCopyJob::tr$$$
    {26, 1686, 438},	// Akonadi::CollectionCopyJob::trUtf8$
    {26, 1687, 431},	// Akonadi::CollectionCopyJob::trUtf8$$
    {26, 1688, 433},	// Akonadi::CollectionCopyJob::trUtf8$$$
    {26, 1756, 441},	// Akonadi::CollectionCopyJob::~CollectionCopyJob
    {27, 93, 455},	// Akonadi::CollectionCreateJob::CollectionCreateJob#
    {27, 94, 449},	// Akonadi::CollectionCreateJob::CollectionCreateJob##
    {27, 775, 450},	// Akonadi::CollectionCreateJob::collection
    {27, 895, 452},	// Akonadi::CollectionCreateJob::doHandleResponse##
    {27, 901, 451},	// Akonadi::CollectionCreateJob::doStart
    {27, 1159, 442},	// Akonadi::CollectionCreateJob::metaObject
    {27, 1226, 448},	// Akonadi::CollectionCreateJob::qt_metacall$$?
    {27, 1228, 443},	// Akonadi::CollectionCreateJob::qt_metacast$
    {27, 1647, 456},	// Akonadi::CollectionCreateJob::staticMetaObject
    {27, 1682, 453},	// Akonadi::CollectionCreateJob::tr$
    {27, 1683, 444},	// Akonadi::CollectionCreateJob::tr$$
    {27, 1684, 446},	// Akonadi::CollectionCreateJob::tr$$$
    {27, 1686, 454},	// Akonadi::CollectionCreateJob::trUtf8$
    {27, 1687, 445},	// Akonadi::CollectionCreateJob::trUtf8$$
    {27, 1688, 447},	// Akonadi::CollectionCreateJob::trUtf8$$$
    {27, 1757, 457},	// Akonadi::CollectionCreateJob::~CollectionCreateJob
    {28, 96, 469},	// Akonadi::CollectionDeleteJob::CollectionDeleteJob#
    {28, 97, 465},	// Akonadi::CollectionDeleteJob::CollectionDeleteJob##
    {28, 901, 466},	// Akonadi::CollectionDeleteJob::doStart
    {28, 1159, 458},	// Akonadi::CollectionDeleteJob::metaObject
    {28, 1226, 464},	// Akonadi::CollectionDeleteJob::qt_metacall$$?
    {28, 1228, 459},	// Akonadi::CollectionDeleteJob::qt_metacast$
    {28, 1647, 470},	// Akonadi::CollectionDeleteJob::staticMetaObject
    {28, 1682, 467},	// Akonadi::CollectionDeleteJob::tr$
    {28, 1683, 460},	// Akonadi::CollectionDeleteJob::tr$$
    {28, 1684, 462},	// Akonadi::CollectionDeleteJob::tr$$$
    {28, 1686, 468},	// Akonadi::CollectionDeleteJob::trUtf8$
    {28, 1687, 461},	// Akonadi::CollectionDeleteJob::trUtf8$$
    {28, 1688, 463},	// Akonadi::CollectionDeleteJob::trUtf8$$$
    {28, 1758, 471},	// Akonadi::CollectionDeleteJob::~CollectionDeleteJob
    {29, 45, 501},	// Akonadi::CollectionDialog::AllowToCreateNewChildCollection
    {29, 99, 495},	// Akonadi::CollectionDialog::CollectionDialog
    {29, 100, -40},	// Akonadi::CollectionDialog::CollectionDialog#
    {29, 101, 480},	// Akonadi::CollectionDialog::CollectionDialog##
    {29, 102, 497},	// Akonadi::CollectionDialog::CollectionDialog$
    {29, 103, 498},	// Akonadi::CollectionDialog::CollectionDialog$#
    {29, 104, 481},	// Akonadi::CollectionDialog::CollectionDialog$##
    {29, 368, 502},	// Akonadi::CollectionDialog::KeepTreeExpanded
    {29, 440, 500},	// Akonadi::CollectionDialog::None
    {29, 671, 485},	// Akonadi::CollectionDialog::accessRightsFilter
    {29, 748, 492},	// Akonadi::CollectionDialog::changeCollectionDialogOptions$
    {29, 1159, 472},	// Akonadi::CollectionDialog::metaObject
    {29, 1165, 483},	// Akonadi::CollectionDialog::mimeTypeFilter
    {29, 1226, 478},	// Akonadi::CollectionDialog::qt_metacall$$?
    {29, 1228, 473},	// Akonadi::CollectionDialog::qt_metacast$
    {29, 1294, 490},	// Akonadi::CollectionDialog::selectedCollection
    {29, 1295, 491},	// Akonadi::CollectionDialog::selectedCollections
    {29, 1300, 489},	// Akonadi::CollectionDialog::selectionMode
    {29, 1316, 484},	// Akonadi::CollectionDialog::setAccessRightsFilter$
    {29, 1410, 487},	// Akonadi::CollectionDialog::setDefaultCollection#
    {29, 1414, 486},	// Akonadi::CollectionDialog::setDescription$
    {29, 1514, 482},	// Akonadi::CollectionDialog::setMimeTypeFilter?
    {29, 1575, 488},	// Akonadi::CollectionDialog::setSelectionMode$
    {29, 1647, 499},	// Akonadi::CollectionDialog::staticMetaObject
    {29, 1682, 493},	// Akonadi::CollectionDialog::tr$
    {29, 1683, 474},	// Akonadi::CollectionDialog::tr$$
    {29, 1684, 476},	// Akonadi::CollectionDialog::tr$$$
    {29, 1686, 494},	// Akonadi::CollectionDialog::trUtf8$
    {29, 1687, 475},	// Akonadi::CollectionDialog::trUtf8$$
    {29, 1688, 477},	// Akonadi::CollectionDialog::trUtf8$$$
    {29, 1759, 503},	// Akonadi::CollectionDialog::~CollectionDialog
    {30, 57, 536},	// Akonadi::CollectionFetchJob::Base
    {30, 106, 527},	// Akonadi::CollectionFetchJob::CollectionFetchJob#
    {30, 107, 528},	// Akonadi::CollectionFetchJob::CollectionFetchJob#$
    {30, 108, 511},	// Akonadi::CollectionFetchJob::CollectionFetchJob#$#
    {30, 109, -43},	// Akonadi::CollectionFetchJob::CollectionFetchJob?
    {30, 110, 512},	// Akonadi::CollectionFetchJob::CollectionFetchJob?#
    {30, 111, -46},	// Akonadi::CollectionFetchJob::CollectionFetchJob?$
    {30, 112, -49},	// Akonadi::CollectionFetchJob::CollectionFetchJob?$#
    {30, 284, 537},	// Akonadi::CollectionFetchJob::FirstLevel
    {30, 439, 539},	// Akonadi::CollectionFetchJob::NonOverlappingRoots
    {30, 485, 538},	// Akonadi::CollectionFetchJob::Recursive
    {30, 808, 515},	// Akonadi::CollectionFetchJob::collections
    {30, 811, 521},	// Akonadi::CollectionFetchJob::collectionsReceived?
    {30, 895, 523},	// Akonadi::CollectionFetchJob::doHandleResponse##
    {30, 901, 522},	// Akonadi::CollectionFetchJob::doStart
    {30, 973, 520},	// Akonadi::CollectionFetchJob::fetchScope
    {30, 1020, 534},	// Akonadi::CollectionFetchJob::includeStatistics
    {30, 1021, 518},	// Akonadi::CollectionFetchJob::includeStatistics$
    {30, 1022, 533},	// Akonadi::CollectionFetchJob::includeUnsubscribed
    {30, 1023, 517},	// Akonadi::CollectionFetchJob::includeUnsubscribed$
    {30, 1159, 504},	// Akonadi::CollectionFetchJob::metaObject
    {30, 1226, 510},	// Akonadi::CollectionFetchJob::qt_metacall$$?
    {30, 1228, 505},	// Akonadi::CollectionFetchJob::qt_metacast$
    {30, 1439, 519},	// Akonadi::CollectionFetchJob::setFetchScope#
    {30, 1562, 516},	// Akonadi::CollectionFetchJob::setResource$
    {30, 1634, 524},	// Akonadi::CollectionFetchJob::slotResult#
    {30, 1647, 535},	// Akonadi::CollectionFetchJob::staticMetaObject
    {30, 1682, 525},	// Akonadi::CollectionFetchJob::tr$
    {30, 1683, 506},	// Akonadi::CollectionFetchJob::tr$$
    {30, 1684, 508},	// Akonadi::CollectionFetchJob::tr$$$
    {30, 1686, 526},	// Akonadi::CollectionFetchJob::trUtf8$
    {30, 1687, 507},	// Akonadi::CollectionFetchJob::trUtf8$$
    {30, 1688, 509},	// Akonadi::CollectionFetchJob::trUtf8$$$
    {30, 1760, 540},	// Akonadi::CollectionFetchJob::~CollectionFetchJob
    {31, 42, 558},	// Akonadi::CollectionFetchScope::All
    {31, 113, 541},	// Akonadi::CollectionFetchScope::CollectionFetchScope
    {31, 114, 542},	// Akonadi::CollectionFetchScope::CollectionFetchScope#
    {31, 440, 556},	// Akonadi::CollectionFetchScope::None
    {31, 454, 557},	// Akonadi::CollectionFetchScope::Parent
    {31, 719, 554},	// Akonadi::CollectionFetchScope::ancestorRetrieval
    {31, 842, 552},	// Akonadi::CollectionFetchScope::contentMimeTypes
    {31, 1020, 547},	// Akonadi::CollectionFetchScope::includeStatistics
    {31, 1022, 545},	// Akonadi::CollectionFetchScope::includeUnsubscribed
    {31, 1024, 544},	// Akonadi::CollectionFetchScope::includeUnubscribed
    {31, 1069, 555},	// Akonadi::CollectionFetchScope::isEmpty
    {31, 1195, 543},	// Akonadi::CollectionFetchScope::operator=#
    {31, 1255, 549},	// Akonadi::CollectionFetchScope::resource
    {31, 1326, 553},	// Akonadi::CollectionFetchScope::setAncestorRetrieval$
    {31, 1393, 551},	// Akonadi::CollectionFetchScope::setContentMimeTypes?
    {31, 1473, 548},	// Akonadi::CollectionFetchScope::setIncludeStatistics$
    {31, 1475, 546},	// Akonadi::CollectionFetchScope::setIncludeUnsubscribed$
    {31, 1562, 550},	// Akonadi::CollectionFetchScope::setResource$
    {31, 1761, 559},	// Akonadi::CollectionFetchScope::~CollectionFetchScope
    {32, 115, 578},	// Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel
    {32, 116, 567},	// Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel#
    {32, 691, 569},	// Akonadi::CollectionFilterProxyModel::addMimeTypeFilter$
    {32, 693, 568},	// Akonadi::CollectionFilterProxyModel::addMimeTypeFilters?
    {32, 764, 573},	// Akonadi::CollectionFilterProxyModel::clearFilters
    {32, 948, 572},	// Akonadi::CollectionFilterProxyModel::excludeVirtualCollections
    {32, 977, 575},	// Akonadi::CollectionFilterProxyModel::filterAcceptsRow$#
    {32, 982, 574},	// Akonadi::CollectionFilterProxyModel::flags#
    {32, 1159, 560},	// Akonadi::CollectionFilterProxyModel::metaObject
    {32, 1166, 570},	// Akonadi::CollectionFilterProxyModel::mimeTypeFilters
    {32, 1226, 566},	// Akonadi::CollectionFilterProxyModel::qt_metacall$$?
    {32, 1228, 561},	// Akonadi::CollectionFilterProxyModel::qt_metacast$
    {32, 1421, 571},	// Akonadi::CollectionFilterProxyModel::setExcludeVirtualCollections$
    {32, 1647, 579},	// Akonadi::CollectionFilterProxyModel::staticMetaObject
    {32, 1682, 576},	// Akonadi::CollectionFilterProxyModel::tr$
    {32, 1683, 562},	// Akonadi::CollectionFilterProxyModel::tr$$
    {32, 1684, 564},	// Akonadi::CollectionFilterProxyModel::tr$$$
    {32, 1686, 577},	// Akonadi::CollectionFilterProxyModel::trUtf8$
    {32, 1687, 563},	// Akonadi::CollectionFilterProxyModel::trUtf8$$
    {32, 1688, 565},	// Akonadi::CollectionFilterProxyModel::trUtf8$$$
    {32, 1762, 580},	// Akonadi::CollectionFilterProxyModel::~CollectionFilterProxyModel
    {33, 117, 621},	// Akonadi::CollectionModel::CollectionIdRole
    {33, 118, 608},	// Akonadi::CollectionModel::CollectionModel
    {33, 119, -92},	// Akonadi::CollectionModel::CollectionModel#
    {33, 120, 605},	// Akonadi::CollectionModel::CollectionModel##
    {33, 144, 622},	// Akonadi::CollectionModel::CollectionRole
    {33, 448, 619},	// Akonadi::CollectionModel::OldCollectionIdRole
    {33, 449, 620},	// Akonadi::CollectionModel::OldCollectionRole
    {33, 595, 623},	// Akonadi::CollectionModel::UserRole
    {33, 788, 604},	// Akonadi::CollectionModel::collectionForId?
    {33, 817, 610},	// Akonadi::CollectionModel::columnCount
    {33, 818, 591},	// Akonadi::CollectionModel::columnCount#
    {33, 872, 611},	// Akonadi::CollectionModel::data#
    {33, 873, 592},	// Akonadi::CollectionModel::data#$
    {33, 917, 602},	// Akonadi::CollectionModel::dropMimeData#$$$#
    {33, 962, 589},	// Akonadi::CollectionModel::fetchCollectionStatistics$
    {33, 982, 599},	// Akonadi::CollectionModel::flags#
    {33, 1003, 614},	// Akonadi::CollectionModel::headerData$$
    {33, 1004, 596},	// Akonadi::CollectionModel::headerData$$$
    {33, 1022, 609},	// Akonadi::CollectionModel::includeUnsubscribed
    {33, 1023, 590},	// Akonadi::CollectionModel::includeUnsubscribed$
    {33, 1026, 612},	// Akonadi::CollectionModel::index$$
    {33, 1027, 593},	// Akonadi::CollectionModel::index$$#
    {33, 1159, 581},	// Akonadi::CollectionModel::metaObject
    {33, 1162, 601},	// Akonadi::CollectionModel::mimeData?
    {33, 1170, 603},	// Akonadi::CollectionModel::mimeTypes
    {33, 1207, 594},	// Akonadi::CollectionModel::parent#
    {33, 1226, 587},	// Akonadi::CollectionModel::qt_metacall$$?
    {33, 1228, 582},	// Akonadi::CollectionModel::qt_metacast$
    {33, 1276, 613},	// Akonadi::CollectionModel::rowCount
    {33, 1277, 595},	// Akonadi::CollectionModel::rowCount#
    {33, 1405, 616},	// Akonadi::CollectionModel::setData##
    {33, 1406, 598},	// Akonadi::CollectionModel::setData##$
    {33, 1454, 615},	// Akonadi::CollectionModel::setHeaderData$$#
    {33, 1455, 597},	// Akonadi::CollectionModel::setHeaderData$$#$
    {33, 1647, 618},	// Akonadi::CollectionModel::staticMetaObject
    {33, 1662, 600},	// Akonadi::CollectionModel::supportedDropActions
    {33, 1682, 606},	// Akonadi::CollectionModel::tr$
    {33, 1683, 583},	// Akonadi::CollectionModel::tr$$
    {33, 1684, 585},	// Akonadi::CollectionModel::tr$$$
    {33, 1686, 607},	// Akonadi::CollectionModel::trUtf8$
    {33, 1687, 584},	// Akonadi::CollectionModel::trUtf8$$
    {33, 1688, 586},	// Akonadi::CollectionModel::trUtf8$$$
    {33, 1763, 624},	// Akonadi::CollectionModel::~CollectionModel
    {35, 122, 637},	// Akonadi::CollectionModifyJob::CollectionModifyJob#
    {35, 123, 632},	// Akonadi::CollectionModifyJob::CollectionModifyJob##
    {35, 775, 633},	// Akonadi::CollectionModifyJob::collection
    {35, 901, 634},	// Akonadi::CollectionModifyJob::doStart
    {35, 1159, 625},	// Akonadi::CollectionModifyJob::metaObject
    {35, 1226, 631},	// Akonadi::CollectionModifyJob::qt_metacall$$?
    {35, 1228, 626},	// Akonadi::CollectionModifyJob::qt_metacast$
    {35, 1647, 638},	// Akonadi::CollectionModifyJob::staticMetaObject
    {35, 1682, 635},	// Akonadi::CollectionModifyJob::tr$
    {35, 1683, 627},	// Akonadi::CollectionModifyJob::tr$$
    {35, 1684, 629},	// Akonadi::CollectionModifyJob::tr$$$
    {35, 1686, 636},	// Akonadi::CollectionModifyJob::trUtf8$
    {35, 1687, 628},	// Akonadi::CollectionModifyJob::trUtf8$$
    {35, 1688, 630},	// Akonadi::CollectionModifyJob::trUtf8$$$
    {35, 1764, 639},	// Akonadi::CollectionModifyJob::~CollectionModifyJob
    {36, 125, 651},	// Akonadi::CollectionMoveJob::CollectionMoveJob##
    {36, 126, 647},	// Akonadi::CollectionMoveJob::CollectionMoveJob###
    {36, 901, 648},	// Akonadi::CollectionMoveJob::doStart
    {36, 1159, 640},	// Akonadi::CollectionMoveJob::metaObject
    {36, 1226, 646},	// Akonadi::CollectionMoveJob::qt_metacall$$?
    {36, 1228, 641},	// Akonadi::CollectionMoveJob::qt_metacast$
    {36, 1647, 652},	// Akonadi::CollectionMoveJob::staticMetaObject
    {36, 1682, 649},	// Akonadi::CollectionMoveJob::tr$
    {36, 1683, 642},	// Akonadi::CollectionMoveJob::tr$$
    {36, 1684, 644},	// Akonadi::CollectionMoveJob::tr$$$
    {36, 1686, 650},	// Akonadi::CollectionMoveJob::trUtf8$
    {36, 1687, 643},	// Akonadi::CollectionMoveJob::trUtf8$$
    {36, 1688, 645},	// Akonadi::CollectionMoveJob::trUtf8$$$
    {36, 1765, 653},	// Akonadi::CollectionMoveJob::~CollectionMoveJob
    {37, 63, 673},	// Akonadi::CollectionPropertiesDialog::CachePage
    {37, 129, 669},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog#
    {37, 130, 661},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog##
    {37, 131, 670},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog#?
    {37, 132, 662},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog#?#
    {37, 289, 672},	// Akonadi::CollectionPropertiesDialog::GeneralPage
    {37, 876, 665},	// Akonadi::CollectionPropertiesDialog::defaultPageObjectName$
    {37, 1159, 654},	// Akonadi::CollectionPropertiesDialog::metaObject
    {37, 1226, 660},	// Akonadi::CollectionPropertiesDialog::qt_metacall$$?
    {37, 1228, 655},	// Akonadi::CollectionPropertiesDialog::qt_metacast$
    {37, 1235, 663},	// Akonadi::CollectionPropertiesDialog::registerPage#
    {37, 1401, 666},	// Akonadi::CollectionPropertiesDialog::setCurrentPage$
    {37, 1647, 671},	// Akonadi::CollectionPropertiesDialog::staticMetaObject
    {37, 1682, 667},	// Akonadi::CollectionPropertiesDialog::tr$
    {37, 1683, 656},	// Akonadi::CollectionPropertiesDialog::tr$$
    {37, 1684, 658},	// Akonadi::CollectionPropertiesDialog::tr$$$
    {37, 1686, 668},	// Akonadi::CollectionPropertiesDialog::trUtf8$
    {37, 1687, 657},	// Akonadi::CollectionPropertiesDialog::trUtf8$$
    {37, 1688, 659},	// Akonadi::CollectionPropertiesDialog::trUtf8$$$
    {37, 1713, 664},	// Akonadi::CollectionPropertiesDialog::useDefaultPage$
    {37, 1766, 674},	// Akonadi::CollectionPropertiesDialog::~CollectionPropertiesDialog
    {38, 133, 690},	// Akonadi::CollectionPropertiesPage::CollectionPropertiesPage
    {38, 134, 682},	// Akonadi::CollectionPropertiesPage::CollectionPropertiesPage#
    {38, 742, 685},	// Akonadi::CollectionPropertiesPage::canHandle#
    {38, 1140, 683},	// Akonadi::CollectionPropertiesPage::load#
    {38, 1159, 675},	// Akonadi::CollectionPropertiesPage::metaObject
    {38, 1200, 687},	// Akonadi::CollectionPropertiesPage::pageTitle
    {38, 1226, 681},	// Akonadi::CollectionPropertiesPage::qt_metacall$$?
    {38, 1228, 676},	// Akonadi::CollectionPropertiesPage::qt_metacast$
    {38, 1281, 684},	// Akonadi::CollectionPropertiesPage::save#
    {38, 1532, 686},	// Akonadi::CollectionPropertiesPage::setPageTitle$
    {38, 1647, 691},	// Akonadi::CollectionPropertiesPage::staticMetaObject
    {38, 1682, 688},	// Akonadi::CollectionPropertiesPage::tr$
    {38, 1683, 677},	// Akonadi::CollectionPropertiesPage::tr$$
    {38, 1684, 679},	// Akonadi::CollectionPropertiesPage::tr$$$
    {38, 1686, 689},	// Akonadi::CollectionPropertiesPage::trUtf8$
    {38, 1687, 678},	// Akonadi::CollectionPropertiesPage::trUtf8$$
    {38, 1688, 680},	// Akonadi::CollectionPropertiesPage::trUtf8$$$
    {38, 1767, 692},	// Akonadi::CollectionPropertiesPage::~CollectionPropertiesPage
    {39, 135, 694},	// Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory
    {39, 136, 695},	// Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory#
    {39, 857, 696},	// Akonadi::CollectionPropertiesPageFactory::createWidget
    {39, 858, 693},	// Akonadi::CollectionPropertiesPageFactory::createWidget#
    {39, 1768, 697},	// Akonadi::CollectionPropertiesPageFactory::~CollectionPropertiesPageFactory
    {40, 137, 698},	// Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute
    {40, 138, 708},	// Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute#
    {40, 139, 699},	// Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute$$
    {40, 772, 705},	// Akonadi::CollectionQuotaAttribute::clone
    {40, 867, 702},	// Akonadi::CollectionQuotaAttribute::currentValue
    {40, 883, 707},	// Akonadi::CollectionQuotaAttribute::deserialize#
    {40, 1158, 703},	// Akonadi::CollectionQuotaAttribute::maximumValue
    {40, 1310, 706},	// Akonadi::CollectionQuotaAttribute::serialized
    {40, 1403, 700},	// Akonadi::CollectionQuotaAttribute::setCurrentValue$
    {40, 1510, 701},	// Akonadi::CollectionQuotaAttribute::setMaximumValue$
    {40, 1689, 704},	// Akonadi::CollectionQuotaAttribute::type
    {40, 1769, 709},	// Akonadi::CollectionQuotaAttribute::~CollectionQuotaAttribute
    {41, 141, 729},	// Akonadi::CollectionRequester::CollectionRequester
    {41, 142, -16},	// Akonadi::CollectionRequester::CollectionRequester#
    {41, 143, 718},	// Akonadi::CollectionRequester::CollectionRequester##
    {41, 671, 723},	// Akonadi::CollectionRequester::accessRightsFilter
    {41, 748, 724},	// Akonadi::CollectionRequester::changeCollectionDialogOptions$
    {41, 775, 719},	// Akonadi::CollectionRequester::collection
    {41, 781, 726},	// Akonadi::CollectionRequester::collectionChanged#
    {41, 1159, 710},	// Akonadi::CollectionRequester::metaObject
    {41, 1165, 721},	// Akonadi::CollectionRequester::mimeTypeFilter
    {41, 1226, 716},	// Akonadi::CollectionRequester::qt_metacall$$?
    {41, 1228, 711},	// Akonadi::CollectionRequester::qt_metacast$
    {41, 1316, 722},	// Akonadi::CollectionRequester::setAccessRightsFilter$
    {41, 1354, 725},	// Akonadi::CollectionRequester::setCollection#
    {41, 1514, 720},	// Akonadi::CollectionRequester::setMimeTypeFilter?
    {41, 1647, 731},	// Akonadi::CollectionRequester::staticMetaObject
    {41, 1682, 727},	// Akonadi::CollectionRequester::tr$
    {41, 1683, 712},	// Akonadi::CollectionRequester::tr$$
    {41, 1684, 714},	// Akonadi::CollectionRequester::tr$$$
    {41, 1686, 728},	// Akonadi::CollectionRequester::trUtf8$
    {41, 1687, 713},	// Akonadi::CollectionRequester::trUtf8$$
    {41, 1688, 715},	// Akonadi::CollectionRequester::trUtf8$$$
    {41, 1770, 732},	// Akonadi::CollectionRequester::~CollectionRequester
    {42, 145, 733},	// Akonadi::CollectionStatistics::CollectionStatistics
    {42, 146, 734},	// Akonadi::CollectionStatistics::CollectionStatistics#
    {42, 845, 735},	// Akonadi::CollectionStatistics::count
    {42, 1195, 741},	// Akonadi::CollectionStatistics::operator=#
    {42, 1399, 736},	// Akonadi::CollectionStatistics::setCount$
    {42, 1582, 740},	// Akonadi::CollectionStatistics::setSize$
    {42, 1604, 738},	// Akonadi::CollectionStatistics::setUnreadCount$
    {42, 1626, 739},	// Akonadi::CollectionStatistics::size
    {42, 1698, 737},	// Akonadi::CollectionStatistics::unreadCount
    {42, 1771, 742},	// Akonadi::CollectionStatistics::~CollectionStatistics
    {43, 148, -73},	// Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate#
    {43, 1033, 758},	// Akonadi::CollectionStatisticsDelegate::initStyleOption##
    {43, 1159, 743},	// Akonadi::CollectionStatisticsDelegate::metaObject
    {43, 1202, 757},	// Akonadi::CollectionStatisticsDelegate::paint###
    {43, 1223, 756},	// Akonadi::CollectionStatisticsDelegate::progressAnimationEnabled
    {43, 1226, 749},	// Akonadi::CollectionStatisticsDelegate::qt_metacall$$?
    {43, 1228, 744},	// Akonadi::CollectionStatisticsDelegate::qt_metacast$
    {43, 1546, 755},	// Akonadi::CollectionStatisticsDelegate::setProgressAnimationEnabled$
    {43, 1606, 753},	// Akonadi::CollectionStatisticsDelegate::setUnreadCountShown$
    {43, 1647, 761},	// Akonadi::CollectionStatisticsDelegate::staticMetaObject
    {43, 1682, 759},	// Akonadi::CollectionStatisticsDelegate::tr$
    {43, 1683, 745},	// Akonadi::CollectionStatisticsDelegate::tr$$
    {43, 1684, 747},	// Akonadi::CollectionStatisticsDelegate::tr$$$
    {43, 1686, 760},	// Akonadi::CollectionStatisticsDelegate::trUtf8$
    {43, 1687, 746},	// Akonadi::CollectionStatisticsDelegate::trUtf8$$
    {43, 1688, 748},	// Akonadi::CollectionStatisticsDelegate::trUtf8$$$
    {43, 1699, 754},	// Akonadi::CollectionStatisticsDelegate::unreadCountShown
    {43, 1707, 752},	// Akonadi::CollectionStatisticsDelegate::updatePalette
    {43, 1772, 762},	// Akonadi::CollectionStatisticsDelegate::~CollectionStatisticsDelegate
    {44, 150, 777},	// Akonadi::CollectionStatisticsJob::CollectionStatisticsJob#
    {44, 151, 770},	// Akonadi::CollectionStatisticsJob::CollectionStatisticsJob##
    {44, 775, 772},	// Akonadi::CollectionStatisticsJob::collection
    {44, 895, 774},	// Akonadi::CollectionStatisticsJob::doHandleResponse##
    {44, 901, 773},	// Akonadi::CollectionStatisticsJob::doStart
    {44, 1159, 763},	// Akonadi::CollectionStatisticsJob::metaObject
    {44, 1226, 769},	// Akonadi::CollectionStatisticsJob::qt_metacall$$?
    {44, 1228, 764},	// Akonadi::CollectionStatisticsJob::qt_metacast$
    {44, 1647, 778},	// Akonadi::CollectionStatisticsJob::staticMetaObject
    {44, 1648, 771},	// Akonadi::CollectionStatisticsJob::statistics
    {44, 1682, 775},	// Akonadi::CollectionStatisticsJob::tr$
    {44, 1683, 765},	// Akonadi::CollectionStatisticsJob::tr$$
    {44, 1684, 767},	// Akonadi::CollectionStatisticsJob::tr$$$
    {44, 1686, 776},	// Akonadi::CollectionStatisticsJob::trUtf8$
    {44, 1687, 766},	// Akonadi::CollectionStatisticsJob::trUtf8$$
    {44, 1688, 768},	// Akonadi::CollectionStatisticsJob::trUtf8$$$
    {44, 1773, 779},	// Akonadi::CollectionStatisticsJob::~CollectionStatisticsJob
    {45, 152, 793},	// Akonadi::CollectionStatisticsModel::CollectionStatisticsModel
    {45, 153, 787},	// Akonadi::CollectionStatisticsModel::CollectionStatisticsModel#
    {45, 486, 805},	// Akonadi::CollectionStatisticsModel::RecursiveSizeRole
    {45, 487, 803},	// Akonadi::CollectionStatisticsModel::RecursiveStatisticsRole
    {45, 488, 802},	// Akonadi::CollectionStatisticsModel::RecursiveTotalRole
    {45, 489, 801},	// Akonadi::CollectionStatisticsModel::RecursiveUnreadRole
    {45, 531, 804},	// Akonadi::CollectionStatisticsModel::SizeRole
    {45, 541, 800},	// Akonadi::CollectionStatisticsModel::StatisticsRole
    {45, 561, 799},	// Akonadi::CollectionStatisticsModel::TotalRole
    {45, 582, 798},	// Akonadi::CollectionStatisticsModel::UnreadRole
    {45, 595, 806},	// Akonadi::CollectionStatisticsModel::UserRole
    {45, 817, 794},	// Akonadi::CollectionStatisticsModel::columnCount
    {45, 818, 788},	// Akonadi::CollectionStatisticsModel::columnCount#
    {45, 872, 795},	// Akonadi::CollectionStatisticsModel::data#
    {45, 873, 789},	// Akonadi::CollectionStatisticsModel::data#$
    {45, 1003, 796},	// Akonadi::CollectionStatisticsModel::headerData$$
    {45, 1004, 790},	// Akonadi::CollectionStatisticsModel::headerData$$$
    {45, 1159, 780},	// Akonadi::CollectionStatisticsModel::metaObject
    {45, 1226, 786},	// Akonadi::CollectionStatisticsModel::qt_metacall$$?
    {45, 1228, 781},	// Akonadi::CollectionStatisticsModel::qt_metacast$
    {45, 1647, 797},	// Akonadi::CollectionStatisticsModel::staticMetaObject
    {45, 1682, 791},	// Akonadi::CollectionStatisticsModel::tr$
    {45, 1683, 782},	// Akonadi::CollectionStatisticsModel::tr$$
    {45, 1684, 784},	// Akonadi::CollectionStatisticsModel::tr$$$
    {45, 1686, 792},	// Akonadi::CollectionStatisticsModel::trUtf8$
    {45, 1687, 783},	// Akonadi::CollectionStatisticsModel::trUtf8$$
    {45, 1688, 785},	// Akonadi::CollectionStatisticsModel::trUtf8$$$
    {45, 1774, 807},	// Akonadi::CollectionStatisticsModel::~CollectionStatisticsModel
    {46, 156, 830},	// Akonadi::CollectionView::CollectionView
    {46, 157, -85},	// Akonadi::CollectionView::CollectionView#
    {46, 158, -89},	// Akonadi::CollectionView::CollectionView##
    {46, 771, 821},	// Akonadi::CollectionView::clicked#
    {46, 844, 827},	// Akonadi::CollectionView::contextMenuEvent#
    {46, 863, 822},	// Akonadi::CollectionView::currentChanged#
    {46, 864, 823},	// Akonadi::CollectionView::currentChanged##
    {46, 909, 825},	// Akonadi::CollectionView::dragLeaveEvent#
    {46, 911, 824},	// Akonadi::CollectionView::dragMoveEvent#
    {46, 915, 826},	// Akonadi::CollectionView::dropEvent#
    {46, 1159, 808},	// Akonadi::CollectionView::metaObject
    {46, 1226, 814},	// Akonadi::CollectionView::qt_metacall$$?
    {46, 1228, 809},	// Akonadi::CollectionView::qt_metacast$
    {46, 1519, 820},	// Akonadi::CollectionView::setModel#
    {46, 1615, 819},	// Akonadi::CollectionView::setXmlGuiClient#
    {46, 1617, 818},	// Akonadi::CollectionView::setXmlGuiWindow#
    {46, 1647, 833},	// Akonadi::CollectionView::staticMetaObject
    {46, 1682, 828},	// Akonadi::CollectionView::tr$
    {46, 1683, 810},	// Akonadi::CollectionView::tr$$
    {46, 1684, 812},	// Akonadi::CollectionView::tr$$$
    {46, 1686, 829},	// Akonadi::CollectionView::trUtf8$
    {46, 1687, 811},	// Akonadi::CollectionView::trUtf8$$
    {46, 1688, 813},	// Akonadi::CollectionView::trUtf8$$$
    {46, 1775, 834},	// Akonadi::CollectionView::~CollectionView
    {47, 161, 851},	// Akonadi::ContactDefaultActions::ContactDefaultActions
    {47, 162, 842},	// Akonadi::ContactDefaultActions::ContactDefaultActions#
    {47, 831, 843},	// Akonadi::ContactDefaultActions::connectToView#
    {47, 888, 846},	// Akonadi::ContactDefaultActions::dialPhoneNumber#
    {47, 1159, 835},	// Akonadi::ContactDefaultActions::metaObject
    {47, 1226, 841},	// Akonadi::ContactDefaultActions::qt_metacall$$?
    {47, 1228, 836},	// Akonadi::ContactDefaultActions::qt_metacast$
    {47, 1303, 845},	// Akonadi::ContactDefaultActions::sendEmail$$
    {47, 1307, 847},	// Akonadi::ContactDefaultActions::sendSms#
    {47, 1619, 848},	// Akonadi::ContactDefaultActions::showAddress#
    {47, 1625, 844},	// Akonadi::ContactDefaultActions::showUrl#
    {47, 1647, 852},	// Akonadi::ContactDefaultActions::staticMetaObject
    {47, 1682, 849},	// Akonadi::ContactDefaultActions::tr$
    {47, 1683, 837},	// Akonadi::ContactDefaultActions::tr$$
    {47, 1684, 839},	// Akonadi::ContactDefaultActions::tr$$$
    {47, 1686, 850},	// Akonadi::ContactDefaultActions::trUtf8$
    {47, 1687, 838},	// Akonadi::ContactDefaultActions::trUtf8$$
    {47, 1688, 840},	// Akonadi::ContactDefaultActions::trUtf8$$$
    {47, 1776, 853},	// Akonadi::ContactDefaultActions::~ContactDefaultActions
    {48, 164, 875},	// Akonadi::ContactEditor::ContactEditor$
    {48, 165, -4},	// Akonadi::ContactEditor::ContactEditor$#
    {48, 166, 862},	// Akonadi::ContactEditor::ContactEditor$##
    {48, 167, 877},	// Akonadi::ContactEditor::ContactEditor$$
    {48, 168, 863},	// Akonadi::ContactEditor::ContactEditor$$#
    {48, 212, 879},	// Akonadi::ContactEditor::CreateMode
    {48, 237, 880},	// Akonadi::ContactEditor::EditMode
    {48, 287, 881},	// Akonadi::ContactEditor::FullMode
    {48, 596, 882},	// Akonadi::ContactEditor::VCardMode
    {48, 832, 866},	// Akonadi::ContactEditor::contact
    {48, 838, 870},	// Akonadi::ContactEditor::contactStored#
    {48, 942, 871},	// Akonadi::ContactEditor::error$
    {48, 980, 872},	// Akonadi::ContactEditor::finished
    {48, 1142, 867},	// Akonadi::ContactEditor::loadContact#
    {48, 1159, 854},	// Akonadi::ContactEditor::metaObject
    {48, 1226, 860},	// Akonadi::ContactEditor::qt_metacall$$?
    {48, 1228, 855},	// Akonadi::ContactEditor::qt_metacast$
    {48, 1282, 868},	// Akonadi::ContactEditor::saveContact
    {48, 1284, 869},	// Akonadi::ContactEditor::saveContactInAddressBook
    {48, 1391, 864},	// Akonadi::ContactEditor::setContactTemplate#
    {48, 1408, 865},	// Akonadi::ContactEditor::setDefaultAddressBook#
    {48, 1647, 878},	// Akonadi::ContactEditor::staticMetaObject
    {48, 1682, 873},	// Akonadi::ContactEditor::tr$
    {48, 1683, 856},	// Akonadi::ContactEditor::tr$$
    {48, 1684, 858},	// Akonadi::ContactEditor::tr$$$
    {48, 1686, 874},	// Akonadi::ContactEditor::trUtf8$
    {48, 1687, 857},	// Akonadi::ContactEditor::trUtf8$$
    {48, 1688, 859},	// Akonadi::ContactEditor::trUtf8$$$
    {48, 1777, 883},	// Akonadi::ContactEditor::~ContactEditor
    {49, 170, 902},	// Akonadi::ContactEditorDialog::ContactEditorDialog$
    {49, 171, -122},	// Akonadi::ContactEditorDialog::ContactEditorDialog$#
    {49, 172, 892},	// Akonadi::ContactEditorDialog::ContactEditorDialog$##
    {49, 173, 904},	// Akonadi::ContactEditorDialog::ContactEditorDialog$$
    {49, 174, 893},	// Akonadi::ContactEditorDialog::ContactEditorDialog$$#
    {49, 212, 906},	// Akonadi::ContactEditorDialog::CreateMode
    {49, 237, 907},	// Akonadi::ContactEditorDialog::EditMode
    {49, 287, 908},	// Akonadi::ContactEditorDialog::FullMode
    {49, 596, 909},	// Akonadi::ContactEditorDialog::VCardMode
    {49, 670, 899},	// Akonadi::ContactEditorDialog::accept
    {49, 838, 897},	// Akonadi::ContactEditorDialog::contactStored#
    {49, 924, 896},	// Akonadi::ContactEditorDialog::editor
    {49, 942, 898},	// Akonadi::ContactEditorDialog::error$
    {49, 1159, 884},	// Akonadi::ContactEditorDialog::metaObject
    {49, 1226, 890},	// Akonadi::ContactEditorDialog::qt_metacall$$?
    {49, 1228, 885},	// Akonadi::ContactEditorDialog::qt_metacast$
    {49, 1381, 894},	// Akonadi::ContactEditorDialog::setContact#
    {49, 1408, 895},	// Akonadi::ContactEditorDialog::setDefaultAddressBook#
    {49, 1647, 905},	// Akonadi::ContactEditorDialog::staticMetaObject
    {49, 1682, 900},	// Akonadi::ContactEditorDialog::tr$
    {49, 1683, 886},	// Akonadi::ContactEditorDialog::tr$$
    {49, 1684, 888},	// Akonadi::ContactEditorDialog::tr$$$
    {49, 1686, 901},	// Akonadi::ContactEditorDialog::trUtf8$
    {49, 1687, 887},	// Akonadi::ContactEditorDialog::trUtf8$$
    {49, 1688, 889},	// Akonadi::ContactEditorDialog::trUtf8$$$
    {49, 1778, 910},	// Akonadi::ContactEditorDialog::~ContactEditorDialog
    {50, 175, 915},	// Akonadi::ContactEditorPagePlugin::ContactEditorPagePlugin
    {50, 1142, 912},	// Akonadi::ContactEditorPagePlugin::loadContact#
    {50, 1556, 914},	// Akonadi::ContactEditorPagePlugin::setReadOnly$
    {50, 1658, 913},	// Akonadi::ContactEditorPagePlugin::storeContact#
    {50, 1679, 911},	// Akonadi::ContactEditorPagePlugin::title
    {50, 1779, 916},	// Akonadi::ContactEditorPagePlugin::~ContactEditorPagePlugin
    {51, 177, 934},	// Akonadi::ContactGroupEditor::ContactGroupEditor$
    {51, 178, 924},	// Akonadi::ContactGroupEditor::ContactGroupEditor$#
    {51, 212, 936},	// Akonadi::ContactGroupEditor::CreateMode
    {51, 237, 937},	// Akonadi::ContactGroupEditor::EditMode
    {51, 835, 930},	// Akonadi::ContactGroupEditor::contactGroupStored#
    {51, 942, 931},	// Akonadi::ContactGroupEditor::error$
    {51, 993, 927},	// Akonadi::ContactGroupEditor::groupNameIsValid$
    {51, 1144, 928},	// Akonadi::ContactGroupEditor::loadContactGroup#
    {51, 1159, 917},	// Akonadi::ContactGroupEditor::metaObject
    {51, 1226, 923},	// Akonadi::ContactGroupEditor::qt_metacall$$?
    {51, 1228, 918},	// Akonadi::ContactGroupEditor::qt_metacast$
    {51, 1283, 929},	// Akonadi::ContactGroupEditor::saveContactGroup
    {51, 1389, 925},	// Akonadi::ContactGroupEditor::setContactGroupTemplate#
    {51, 1408, 926},	// Akonadi::ContactGroupEditor::setDefaultAddressBook#
    {51, 1647, 935},	// Akonadi::ContactGroupEditor::staticMetaObject
    {51, 1682, 932},	// Akonadi::ContactGroupEditor::tr$
    {51, 1683, 919},	// Akonadi::ContactGroupEditor::tr$$
    {51, 1684, 921},	// Akonadi::ContactGroupEditor::tr$$$
    {51, 1686, 933},	// Akonadi::ContactGroupEditor::trUtf8$
    {51, 1687, 920},	// Akonadi::ContactGroupEditor::trUtf8$$
    {51, 1688, 922},	// Akonadi::ContactGroupEditor::trUtf8$$$
    {51, 1780, 938},	// Akonadi::ContactGroupEditor::~ContactGroupEditor
    {52, 180, 954},	// Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog$
    {52, 181, 946},	// Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog$#
    {52, 212, 956},	// Akonadi::ContactGroupEditorDialog::CreateMode
    {52, 237, 957},	// Akonadi::ContactGroupEditorDialog::EditMode
    {52, 835, 950},	// Akonadi::ContactGroupEditorDialog::contactGroupStored#
    {52, 924, 949},	// Akonadi::ContactGroupEditorDialog::editor
    {52, 1159, 939},	// Akonadi::ContactGroupEditorDialog::metaObject
    {52, 1226, 945},	// Akonadi::ContactGroupEditorDialog::qt_metacall$$?
    {52, 1228, 940},	// Akonadi::ContactGroupEditorDialog::qt_metacast$
    {52, 1385, 947},	// Akonadi::ContactGroupEditorDialog::setContactGroup#
    {52, 1408, 948},	// Akonadi::ContactGroupEditorDialog::setDefaultAddressBook#
    {52, 1631, 951},	// Akonadi::ContactGroupEditorDialog::slotButtonClicked$
    {52, 1647, 955},	// Akonadi::ContactGroupEditorDialog::staticMetaObject
    {52, 1682, 952},	// Akonadi::ContactGroupEditorDialog::tr$
    {52, 1683, 941},	// Akonadi::ContactGroupEditorDialog::tr$$
    {52, 1684, 943},	// Akonadi::ContactGroupEditorDialog::tr$$$
    {52, 1686, 953},	// Akonadi::ContactGroupEditorDialog::trUtf8$
    {52, 1687, 942},	// Akonadi::ContactGroupEditorDialog::trUtf8$$
    {52, 1688, 944},	// Akonadi::ContactGroupEditorDialog::trUtf8$$$
    {52, 1781, 958},	// Akonadi::ContactGroupEditorDialog::~ContactGroupEditorDialog
    {53, 183, 972},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob#
    {53, 184, 966},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob##
    {53, 185, 973},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob$
    {53, 186, 967},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob$#
    {53, 839, 968},	// Akonadi::ContactGroupExpandJob::contacts
    {53, 1159, 959},	// Akonadi::ContactGroupExpandJob::metaObject
    {53, 1226, 965},	// Akonadi::ContactGroupExpandJob::qt_metacall$$?
    {53, 1228, 960},	// Akonadi::ContactGroupExpandJob::qt_metacast$
    {53, 1639, 969},	// Akonadi::ContactGroupExpandJob::start
    {53, 1647, 974},	// Akonadi::ContactGroupExpandJob::staticMetaObject
    {53, 1682, 970},	// Akonadi::ContactGroupExpandJob::tr$
    {53, 1683, 961},	// Akonadi::ContactGroupExpandJob::tr$$
    {53, 1684, 963},	// Akonadi::ContactGroupExpandJob::tr$$$
    {53, 1686, 971},	// Akonadi::ContactGroupExpandJob::trUtf8$
    {53, 1687, 962},	// Akonadi::ContactGroupExpandJob::trUtf8$$
    {53, 1688, 964},	// Akonadi::ContactGroupExpandJob::trUtf8$$$
    {53, 1782, 975},	// Akonadi::ContactGroupExpandJob::~ContactGroupExpandJob
    {54, 187, 990},	// Akonadi::ContactGroupSearchJob::ContactGroupSearchJob
    {54, 188, 983},	// Akonadi::ContactGroupSearchJob::ContactGroupSearchJob#
    {54, 200, 995},	// Akonadi::ContactGroupSearchJob::ContainsMatch
    {54, 268, 993},	// Akonadi::ContactGroupSearchJob::ExactMatch
    {54, 422, 992},	// Akonadi::ContactGroupSearchJob::Name
    {54, 537, 994},	// Akonadi::ContactGroupSearchJob::StartsWithMatch
    {54, 836, 987},	// Akonadi::ContactGroupSearchJob::contactGroups
    {54, 1159, 976},	// Akonadi::ContactGroupSearchJob::metaObject
    {54, 1226, 982},	// Akonadi::ContactGroupSearchJob::qt_metacall$$?
    {54, 1228, 977},	// Akonadi::ContactGroupSearchJob::qt_metacast$
    {54, 1503, 986},	// Akonadi::ContactGroupSearchJob::setLimit$
    {54, 1549, 984},	// Akonadi::ContactGroupSearchJob::setQuery$$
    {54, 1550, 985},	// Akonadi::ContactGroupSearchJob::setQuery$$$
    {54, 1647, 991},	// Akonadi::ContactGroupSearchJob::staticMetaObject
    {54, 1682, 988},	// Akonadi::ContactGroupSearchJob::tr$
    {54, 1683, 978},	// Akonadi::ContactGroupSearchJob::tr$$
    {54, 1684, 980},	// Akonadi::ContactGroupSearchJob::tr$$$
    {54, 1686, 989},	// Akonadi::ContactGroupSearchJob::trUtf8$
    {54, 1687, 979},	// Akonadi::ContactGroupSearchJob::trUtf8$$
    {54, 1688, 981},	// Akonadi::ContactGroupSearchJob::trUtf8$$$
    {54, 1783, 996},	// Akonadi::ContactGroupSearchJob::~ContactGroupSearchJob
    {55, 189, 1011},	// Akonadi::ContactGroupViewer::ContactGroupViewer
    {55, 190, 1004},	// Akonadi::ContactGroupViewer::ContactGroupViewer#
    {55, 833, 1005},	// Akonadi::ContactGroupViewer::contactGroup
    {55, 928, 1008},	// Akonadi::ContactGroupViewer::emailClicked$$
    {55, 1159, 997},	// Akonadi::ContactGroupViewer::metaObject
    {55, 1226, 1003},	// Akonadi::ContactGroupViewer::qt_metacall$$?
    {55, 1228, 998},	// Akonadi::ContactGroupViewer::qt_metacast$
    {55, 1385, 1007},	// Akonadi::ContactGroupViewer::setContactGroup#
    {55, 1387, 1006},	// Akonadi::ContactGroupViewer::setContactGroupFormatter#
    {55, 1647, 1012},	// Akonadi::ContactGroupViewer::staticMetaObject
    {55, 1682, 1009},	// Akonadi::ContactGroupViewer::tr$
    {55, 1683, 999},	// Akonadi::ContactGroupViewer::tr$$
    {55, 1684, 1001},	// Akonadi::ContactGroupViewer::tr$$$
    {55, 1686, 1010},	// Akonadi::ContactGroupViewer::trUtf8$
    {55, 1687, 1000},	// Akonadi::ContactGroupViewer::trUtf8$$
    {55, 1688, 1002},	// Akonadi::ContactGroupViewer::trUtf8$$$
    {55, 1784, 1013},	// Akonadi::ContactGroupViewer::~ContactGroupViewer
    {56, 191, 1027},	// Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog
    {56, 192, 1021},	// Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog#
    {56, 833, 1022},	// Akonadi::ContactGroupViewerDialog::contactGroup
    {56, 1159, 1014},	// Akonadi::ContactGroupViewerDialog::metaObject
    {56, 1226, 1020},	// Akonadi::ContactGroupViewerDialog::qt_metacall$$?
    {56, 1228, 1015},	// Akonadi::ContactGroupViewerDialog::qt_metacast$
    {56, 1385, 1024},	// Akonadi::ContactGroupViewerDialog::setContactGroup#
    {56, 1647, 1028},	// Akonadi::ContactGroupViewerDialog::staticMetaObject
    {56, 1682, 1025},	// Akonadi::ContactGroupViewerDialog::tr$
    {56, 1683, 1016},	// Akonadi::ContactGroupViewerDialog::tr$$
    {56, 1684, 1018},	// Akonadi::ContactGroupViewerDialog::tr$$$
    {56, 1686, 1026},	// Akonadi::ContactGroupViewerDialog::trUtf8$
    {56, 1687, 1017},	// Akonadi::ContactGroupViewerDialog::trUtf8$$
    {56, 1688, 1019},	// Akonadi::ContactGroupViewerDialog::trUtf8$$$
    {56, 1719, 1023},	// Akonadi::ContactGroupViewerDialog::viewer
    {56, 1785, 1029},	// Akonadi::ContactGroupViewerDialog::~ContactGroupViewerDialog
    {57, 193, 1044},	// Akonadi::ContactSearchJob::ContactSearchJob
    {57, 194, 1037},	// Akonadi::ContactSearchJob::ContactSearchJob#
    {57, 195, 1050},	// Akonadi::ContactSearchJob::ContactUid
    {57, 200, 1053},	// Akonadi::ContactSearchJob::ContainsMatch
    {57, 201, 1054},	// Akonadi::ContactSearchJob::ContainsWordBoundaryMatch
    {57, 239, 1047},	// Akonadi::ContactSearchJob::Email
    {57, 268, 1051},	// Akonadi::ContactSearchJob::ExactMatch
    {57, 422, 1046},	// Akonadi::ContactSearchJob::Name
    {57, 423, 1049},	// Akonadi::ContactSearchJob::NameOrEmail
    {57, 425, 1048},	// Akonadi::ContactSearchJob::NickName
    {57, 537, 1052},	// Akonadi::ContactSearchJob::StartsWithMatch
    {57, 839, 1041},	// Akonadi::ContactSearchJob::contacts
    {57, 1159, 1030},	// Akonadi::ContactSearchJob::metaObject
    {57, 1226, 1036},	// Akonadi::ContactSearchJob::qt_metacall$$?
    {57, 1228, 1031},	// Akonadi::ContactSearchJob::qt_metacast$
    {57, 1503, 1040},	// Akonadi::ContactSearchJob::setLimit$
    {57, 1549, 1038},	// Akonadi::ContactSearchJob::setQuery$$
    {57, 1550, 1039},	// Akonadi::ContactSearchJob::setQuery$$$
    {57, 1647, 1045},	// Akonadi::ContactSearchJob::staticMetaObject
    {57, 1682, 1042},	// Akonadi::ContactSearchJob::tr$
    {57, 1683, 1032},	// Akonadi::ContactSearchJob::tr$$
    {57, 1684, 1034},	// Akonadi::ContactSearchJob::tr$$$
    {57, 1686, 1043},	// Akonadi::ContactSearchJob::trUtf8$
    {57, 1687, 1033},	// Akonadi::ContactSearchJob::trUtf8$$
    {57, 1688, 1035},	// Akonadi::ContactSearchJob::trUtf8$$$
    {57, 1786, 1055},	// Akonadi::ContactSearchJob::~ContactSearchJob
    {58, 196, 1076},	// Akonadi::ContactViewer::ContactViewer
    {58, 197, 1063},	// Akonadi::ContactViewer::ContactViewer#
    {58, 705, 1073},	// Akonadi::ContactViewer::addressClicked#
    {58, 832, 1064},	// Akonadi::ContactViewer::contact
    {58, 928, 1070},	// Akonadi::ContactViewer::emailClicked$$
    {58, 1159, 1056},	// Akonadi::ContactViewer::metaObject
    {58, 1219, 1071},	// Akonadi::ContactViewer::phoneNumberClicked#
    {58, 1226, 1062},	// Akonadi::ContactViewer::qt_metacall$$?
    {58, 1228, 1057},	// Akonadi::ContactViewer::qt_metacast$
    {58, 1229, 1065},	// Akonadi::ContactViewer::rawContact
    {58, 1381, 1067},	// Akonadi::ContactViewer::setContact#
    {58, 1383, 1066},	// Akonadi::ContactViewer::setContactFormatter#
    {58, 1554, 1068},	// Akonadi::ContactViewer::setRawContact#
    {58, 1636, 1072},	// Akonadi::ContactViewer::smsClicked#
    {58, 1647, 1077},	// Akonadi::ContactViewer::staticMetaObject
    {58, 1682, 1074},	// Akonadi::ContactViewer::tr$
    {58, 1683, 1058},	// Akonadi::ContactViewer::tr$$
    {58, 1684, 1060},	// Akonadi::ContactViewer::tr$$$
    {58, 1686, 1075},	// Akonadi::ContactViewer::trUtf8$
    {58, 1687, 1059},	// Akonadi::ContactViewer::trUtf8$$
    {58, 1688, 1061},	// Akonadi::ContactViewer::trUtf8$$$
    {58, 1711, 1069},	// Akonadi::ContactViewer::urlClicked#
    {58, 1787, 1078},	// Akonadi::ContactViewer::~ContactViewer
    {59, 198, 1092},	// Akonadi::ContactViewerDialog::ContactViewerDialog
    {59, 199, 1086},	// Akonadi::ContactViewerDialog::ContactViewerDialog#
    {59, 832, 1087},	// Akonadi::ContactViewerDialog::contact
    {59, 1159, 1079},	// Akonadi::ContactViewerDialog::metaObject
    {59, 1226, 1085},	// Akonadi::ContactViewerDialog::qt_metacall$$?
    {59, 1228, 1080},	// Akonadi::ContactViewerDialog::qt_metacast$
    {59, 1381, 1089},	// Akonadi::ContactViewerDialog::setContact#
    {59, 1647, 1093},	// Akonadi::ContactViewerDialog::staticMetaObject
    {59, 1682, 1090},	// Akonadi::ContactViewerDialog::tr$
    {59, 1683, 1081},	// Akonadi::ContactViewerDialog::tr$$
    {59, 1684, 1083},	// Akonadi::ContactViewerDialog::tr$$$
    {59, 1686, 1091},	// Akonadi::ContactViewerDialog::trUtf8$
    {59, 1687, 1082},	// Akonadi::ContactViewerDialog::trUtf8$$
    {59, 1688, 1084},	// Akonadi::ContactViewerDialog::trUtf8$$$
    {59, 1719, 1088},	// Akonadi::ContactViewerDialog::viewer
    {59, 1788, 1094},	// Akonadi::ContactViewerDialog::~ContactViewerDialog
    {60, 203, 1109},	// Akonadi::Control::Control
    {60, 1159, 1095},	// Akonadi::Control::metaObject
    {60, 1226, 1101},	// Akonadi::Control::qt_metacall$$?
    {60, 1228, 1096},	// Akonadi::Control::qt_metacast$
    {60, 1259, 1106},	// Akonadi::Control::restart
    {60, 1260, 1107},	// Akonadi::Control::restart#
    {60, 1639, 1102},	// Akonadi::Control::start
    {60, 1640, 1103},	// Akonadi::Control::start#
    {60, 1647, 1112},	// Akonadi::Control::staticMetaObject
    {60, 1653, 1104},	// Akonadi::Control::stop
    {60, 1654, 1105},	// Akonadi::Control::stop#
    {60, 1682, 1110},	// Akonadi::Control::tr$
    {60, 1683, 1097},	// Akonadi::Control::tr$$
    {60, 1684, 1099},	// Akonadi::Control::tr$$$
    {60, 1686, 1111},	// Akonadi::Control::trUtf8$
    {60, 1687, 1098},	// Akonadi::Control::trUtf8$$
    {60, 1688, 1100},	// Akonadi::Control::trUtf8$$$
    {60, 1731, 1108},	// Akonadi::Control::widgetNeedsAkonadi#
    {60, 1789, 1113},	// Akonadi::Control::~Control
    {61, 3, 1138},	// Akonadi::Entity::AddIfMissing
    {61, 245, -76},	// Akonadi::Entity::Entity#
    {61, 681, 1128},	// Akonadi::Entity::addAttribute#
    {61, 724, 1133},	// Akonadi::Entity::attribute#
    {61, 725, 1131},	// Akonadi::Entity::attributes
    {61, 762, 1132},	// Akonadi::Entity::clearAttributes
    {61, 870, -79},	// Akonadi::Entity::d_func
    {61, 995, 1130},	// Akonadi::Entity::hasAttribute#
    {61, 1013, 1115},	// Akonadi::Entity::id
    {61, 1077, 1120},	// Akonadi::Entity::isValid
    {61, 1191, 1122},	// Akonadi::Entity::operator!=#
    {61, 1193, 1124},	// Akonadi::Entity::operator<#
    {61, 1195, 1123},	// Akonadi::Entity::operator=#
    {61, 1197, 1121},	// Akonadi::Entity::operator==#
    {61, 1208, -82},	// Akonadi::Entity::parentCollection
    {61, 1238, 1117},	// Akonadi::Entity::remoteId
    {61, 1239, 1119},	// Akonadi::Entity::remoteRevision
    {61, 1241, 1129},	// Akonadi::Entity::removeAttribute#
    {61, 1463, 1114},	// Akonadi::Entity::setId$
    {61, 1537, 1127},	// Akonadi::Entity::setParentCollection#
    {61, 1558, 1116},	// Akonadi::Entity::setRemoteId$
    {61, 1560, 1118},	// Akonadi::Entity::setRemoteRevision$
    {61, 1790, 1139},	// Akonadi::Entity::~Entity
    {62, 246, 1140},	// Akonadi::EntityDisplayAttribute::EntityDisplayAttribute
    {62, 247, 1155},	// Akonadi::EntityDisplayAttribute::EntityDisplayAttribute#
    {62, 678, 1147},	// Akonadi::EntityDisplayAttribute::activeIcon
    {62, 679, 1148},	// Akonadi::EntityDisplayAttribute::activeIconName
    {62, 732, 1149},	// Akonadi::EntityDisplayAttribute::backgroundColor
    {62, 772, 1152},	// Akonadi::EntityDisplayAttribute::clone
    {62, 883, 1154},	// Akonadi::EntityDisplayAttribute::deserialize#
    {62, 892, 1142},	// Akonadi::EntityDisplayAttribute::displayName
    {62, 1011, 1144},	// Akonadi::EntityDisplayAttribute::icon
    {62, 1012, 1145},	// Akonadi::EntityDisplayAttribute::iconName
    {62, 1310, 1153},	// Akonadi::EntityDisplayAttribute::serialized
    {62, 1320, 1146},	// Akonadi::EntityDisplayAttribute::setActiveIconName$
    {62, 1333, 1150},	// Akonadi::EntityDisplayAttribute::setBackgroundColor#
    {62, 1416, 1141},	// Akonadi::EntityDisplayAttribute::setDisplayName$
    {62, 1461, 1143},	// Akonadi::EntityDisplayAttribute::setIconName$
    {62, 1689, 1151},	// Akonadi::EntityDisplayAttribute::type
    {62, 1791, 1156},	// Akonadi::EntityDisplayAttribute::~EntityDisplayAttribute
    {63, 248, 1157},	// Akonadi::EntityHiddenAttribute::EntityHiddenAttribute
    {63, 249, 1162},	// Akonadi::EntityHiddenAttribute::EntityHiddenAttribute#
    {63, 772, 1159},	// Akonadi::EntityHiddenAttribute::clone
    {63, 883, 1161},	// Akonadi::EntityHiddenAttribute::deserialize#
    {63, 1310, 1160},	// Akonadi::EntityHiddenAttribute::serialized
    {63, 1689, 1158},	// Akonadi::EntityHiddenAttribute::type
    {63, 1792, 1163},	// Akonadi::EntityHiddenAttribute::~EntityHiddenAttribute
    {64, 250, 1191},	// Akonadi::EntityListView::EntityListView
    {64, 251, -125},	// Akonadi::EntityListView::EntityListView#
    {64, 252, 1172},	// Akonadi::EntityListView::EntityListView##
    {64, 771, -128},	// Akonadi::EntityListView::clicked#
    {64, 844, 1188},	// Akonadi::EntityListView::contextMenuEvent#
    {64, 863, -131},	// Akonadi::EntityListView::currentChanged#
    {64, 864, 1184},	// Akonadi::EntityListView::currentChanged##
    {64, 906, -134},	// Akonadi::EntityListView::doubleClicked#
    {64, 911, 1187},	// Akonadi::EntityListView::dragMoveEvent#
    {64, 915, 1186},	// Akonadi::EntityListView::dropEvent#
    {64, 1068, 1177},	// Akonadi::EntityListView::isDropActionMenuEnabled
    {64, 1159, 1164},	// Akonadi::EntityListView::metaObject
    {64, 1226, 1170},	// Akonadi::EntityListView::qt_metacall$$?
    {64, 1228, 1165},	// Akonadi::EntityListView::qt_metacast$
    {64, 1418, 1176},	// Akonadi::EntityListView::setDropActionMenuEnabled$
    {64, 1519, 1175},	// Akonadi::EntityListView::setModel#
    {64, 1615, 1173},	// Akonadi::EntityListView::setXmlGuiClient#
    {64, 1642, 1185},	// Akonadi::EntityListView::startDrag$
    {64, 1647, 1193},	// Akonadi::EntityListView::staticMetaObject
    {64, 1682, 1189},	// Akonadi::EntityListView::tr$
    {64, 1683, 1166},	// Akonadi::EntityListView::tr$$
    {64, 1684, 1168},	// Akonadi::EntityListView::tr$$$
    {64, 1686, 1190},	// Akonadi::EntityListView::trUtf8$
    {64, 1687, 1167},	// Akonadi::EntityListView::trUtf8$$
    {64, 1688, 1169},	// Akonadi::EntityListView::trUtf8$$$
    {64, 1737, 1174},	// Akonadi::EntityListView::xmlGuiClient
    {64, 1793, 1194},	// Akonadi::EntityListView::~EntityListView
    {65, 253, 1220},	// Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel
    {65, 254, 1202},	// Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel#
    {65, 687, 1206},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilter$
    {65, 689, 1204},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilters?
    {65, 695, 1205},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilter$
    {65, 697, 1203},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilters?
    {65, 740, 1213},	// Akonadi::EntityMimeTypeFilterModel::canFetchMore#
    {65, 764, 1209},	// Akonadi::EntityMimeTypeFilterModel::clearFilters
    {65, 817, 1225},	// Akonadi::EntityMimeTypeFilterModel::columnCount
    {65, 818, 1215},	// Akonadi::EntityMimeTypeFilterModel::columnCount#
    {65, 975, 1217},	// Akonadi::EntityMimeTypeFilterModel::filterAcceptsColumn$#
    {65, 977, 1216},	// Akonadi::EntityMimeTypeFilterModel::filterAcceptsRow$#
    {65, 996, 1222},	// Akonadi::EntityMimeTypeFilterModel::hasChildren
    {65, 997, 1212},	// Akonadi::EntityMimeTypeFilterModel::hasChildren#
    {65, 1003, 1221},	// Akonadi::EntityMimeTypeFilterModel::headerData$$
    {65, 1004, 1211},	// Akonadi::EntityMimeTypeFilterModel::headerData$$$
    {65, 1155, 1223},	// Akonadi::EntityMimeTypeFilterModel::match#$#
    {65, 1156, 1224},	// Akonadi::EntityMimeTypeFilterModel::match#$#$
    {65, 1157, 1214},	// Akonadi::EntityMimeTypeFilterModel::match#$#$$
    {65, 1159, 1195},	// Akonadi::EntityMimeTypeFilterModel::metaObject
    {65, 1164, 1208},	// Akonadi::EntityMimeTypeFilterModel::mimeTypeExclusionFilters
    {65, 1167, 1207},	// Akonadi::EntityMimeTypeFilterModel::mimeTypeInclusionFilters
    {65, 1226, 1201},	// Akonadi::EntityMimeTypeFilterModel::qt_metacall$$?
    {65, 1228, 1196},	// Akonadi::EntityMimeTypeFilterModel::qt_metacast$
    {65, 1457, 1210},	// Akonadi::EntityMimeTypeFilterModel::setHeaderGroup$
    {65, 1647, 1226},	// Akonadi::EntityMimeTypeFilterModel::staticMetaObject
    {65, 1682, 1218},	// Akonadi::EntityMimeTypeFilterModel::tr$
    {65, 1683, 1197},	// Akonadi::EntityMimeTypeFilterModel::tr$$
    {65, 1684, 1199},	// Akonadi::EntityMimeTypeFilterModel::tr$$$
    {65, 1686, 1219},	// Akonadi::EntityMimeTypeFilterModel::trUtf8$
    {65, 1687, 1198},	// Akonadi::EntityMimeTypeFilterModel::trUtf8$$
    {65, 1688, 1200},	// Akonadi::EntityMimeTypeFilterModel::trUtf8$$$
    {65, 1794, 1227},	// Akonadi::EntityMimeTypeFilterModel::~EntityMimeTypeFilterModel
    {67, 46, 1304},	// Akonadi::EntityTreeModel::AmazingCompletionRole
    {67, 56, 1308},	// Akonadi::EntityTreeModel::AvailablePartsRole
    {67, 85, 1303},	// Akonadi::EntityTreeModel::CollectionChildOrderRole
    {67, 98, 1311},	// Akonadi::EntityTreeModel::CollectionDerefRole
    {67, 117, 1300},	// Akonadi::EntityTreeModel::CollectionIdRole
    {67, 140, 1310},	// Akonadi::EntityTreeModel::CollectionRefRole
    {67, 144, 1301},	// Akonadi::EntityTreeModel::CollectionRole
    {67, 154, 1316},	// Akonadi::EntityTreeModel::CollectionSyncProgressRole
    {67, 155, 1324},	// Akonadi::EntityTreeModel::CollectionTreeHeaders
    {67, 159, 1306},	// Akonadi::EntityTreeModel::ColumnCountRole
    {67, 241, 1327},	// Akonadi::EntityTreeModel::EndHeaderGroup
    {67, 242, 1320},	// Akonadi::EntityTreeModel::EndRole
    {67, 255, 1323},	// Akonadi::EntityTreeModel::EntityTreeHeaders
    {67, 257, 1283},	// Akonadi::EntityTreeModel::EntityTreeModel#
    {67, 258, -19},	// Akonadi::EntityTreeModel::EntityTreeModel##
    {67, 259, 1280},	// Akonadi::EntityTreeModel::EntityTreeModel###
    {67, 265, 1313},	// Akonadi::EntityTreeModel::EntityUrlRole
    {67, 278, 1333},	// Akonadi::EntityTreeModel::FetchCollectionsRecursive
    {67, 279, 1332},	// Akonadi::EntityTreeModel::FetchFirstLevelChildCollections
    {67, 280, 1331},	// Akonadi::EntityTreeModel::FetchNoCollections
    {67, 281, 1315},	// Akonadi::EntityTreeModel::FetchStateRole
    {67, 282, 1322},	// Akonadi::EntityTreeModel::FetchingState
    {67, 298, 1321},	// Akonadi::EntityTreeModel::IdleState
    {67, 300, 1329},	// Akonadi::EntityTreeModel::ImmediatePopulation
    {67, 311, 1334},	// Akonadi::EntityTreeModel::InvisibleCollectionFetch
    {67, 312, 1317},	// Akonadi::EntityTreeModel::IsPopulatedRole
    {67, 336, 1297},	// Akonadi::EntityTreeModel::ItemIdRole
    {67, 337, 1325},	// Akonadi::EntityTreeModel::ItemListHeaders
    {67, 351, 1298},	// Akonadi::EntityTreeModel::ItemRole
    {67, 372, 1330},	// Akonadi::EntityTreeModel::LazyPopulation
    {67, 378, 1307},	// Akonadi::EntityTreeModel::LoadedPartsRole
    {67, 394, 1299},	// Akonadi::EntityTreeModel::MimeTypeRole
    {67, 435, 1328},	// Akonadi::EntityTreeModel::NoItemPopulation
    {67, 455, 1305},	// Akonadi::EntityTreeModel::ParentCollectionRole
    {67, 465, 1312},	// Akonadi::EntityTreeModel::PendingCutRole
    {67, 492, 1302},	// Akonadi::EntityTreeModel::RemoteIdRole
    {67, 524, 1309},	// Akonadi::EntityTreeModel::SessionRole
    {67, 557, 1319},	// Akonadi::EntityTreeModel::TerminalUserRole
    {67, 581, 1314},	// Akonadi::EntityTreeModel::UnreadCountRole
    {67, 594, 1326},	// Akonadi::EntityTreeModel::UserHeaders
    {67, 595, 1318},	// Akonadi::EntityTreeModel::UserRole
    {67, 740, 1260},	// Akonadi::EntityTreeModel::canFetchMore#
    {67, 761, 1271},	// Akonadi::EntityTreeModel::clearAndReset
    {67, 784, 1247},	// Akonadi::EntityTreeModel::collectionFetchStrategy
    {67, 786, 1270},	// Akonadi::EntityTreeModel::collectionFetched$
    {67, 795, 1269},	// Akonadi::EntityTreeModel::collectionPopulated?
    {67, 803, 1268},	// Akonadi::EntityTreeModel::collectionTreeFetched?
    {67, 817, 1284},	// Akonadi::EntityTreeModel::columnCount
    {67, 818, 1248},	// Akonadi::EntityTreeModel::columnCount#
    {67, 870, -22},	// Akonadi::EntityTreeModel::d_func
    {67, 872, 1286},	// Akonadi::EntityTreeModel::data#
    {67, 873, 1250},	// Akonadi::EntityTreeModel::data#$
    {67, 917, 1256},	// Akonadi::EntityTreeModel::dropMimeData#$$$#
    {67, 933, 1275},	// Akonadi::EntityTreeModel::entityColumnCount$
    {67, 935, -25},	// Akonadi::EntityTreeModel::entityData#$
    {67, 936, -28},	// Akonadi::EntityTreeModel::entityData#$$
    {67, 938, 1274},	// Akonadi::EntityTreeModel::entityHeaderData$$$$
    {67, 940, -31},	// Akonadi::EntityTreeModel::entityMatch##$
    {67, 968, 1261},	// Akonadi::EntityTreeModel::fetchMore#
    {67, 982, 1252},	// Akonadi::EntityTreeModel::flags#
    {67, 996, 1290},	// Akonadi::EntityTreeModel::hasChildren
    {67, 997, 1262},	// Akonadi::EntityTreeModel::hasChildren#
    {67, 1003, 1287},	// Akonadi::EntityTreeModel::headerData$$
    {67, 1004, 1251},	// Akonadi::EntityTreeModel::headerData$$$
    {67, 1019, 1243},	// Akonadi::EntityTreeModel::includeRootCollection
    {67, 1022, 1238},	// Akonadi::EntityTreeModel::includeUnsubscribed
    {67, 1026, 1289},	// Akonadi::EntityTreeModel::index$$
    {67, 1027, 1258},	// Akonadi::EntityTreeModel::index$$#
    {67, 1066, 1264},	// Akonadi::EntityTreeModel::isCollectionPopulated?
    {67, 1067, 1263},	// Akonadi::EntityTreeModel::isCollectionTreeFetched
    {67, 1103, 1241},	// Akonadi::EntityTreeModel::itemPopulationStrategy
    {67, 1155, 1291},	// Akonadi::EntityTreeModel::match#$#
    {67, 1156, 1292},	// Akonadi::EntityTreeModel::match#$#$
    {67, 1157, 1265},	// Akonadi::EntityTreeModel::match#$#$$
    {67, 1159, 1228},	// Akonadi::EntityTreeModel::metaObject
    {67, 1162, 1255},	// Akonadi::EntityTreeModel::mimeData?
    {67, 1170, 1253},	// Akonadi::EntityTreeModel::mimeTypes
    {67, 1174, 1266},	// Akonadi::EntityTreeModel::modelIndexForCollection##
    {67, 1176, 1267},	// Akonadi::EntityTreeModel::modelIndexesForItem##
    {67, 1207, 1259},	// Akonadi::EntityTreeModel::parent#
    {67, 1226, 1234},	// Akonadi::EntityTreeModel::qt_metacall$$?
    {67, 1228, 1229},	// Akonadi::EntityTreeModel::qt_metacast$
    {67, 1275, 1245},	// Akonadi::EntityTreeModel::rootCollectionDisplayName
    {67, 1276, 1285},	// Akonadi::EntityTreeModel::rowCount
    {67, 1277, 1249},	// Akonadi::EntityTreeModel::rowCount#
    {67, 1358, 1246},	// Akonadi::EntityTreeModel::setCollectionFetchStrategy$
    {67, 1405, 1288},	// Akonadi::EntityTreeModel::setData##
    {67, 1406, 1257},	// Akonadi::EntityTreeModel::setData##$
    {67, 1471, 1242},	// Akonadi::EntityTreeModel::setIncludeRootCollection$
    {67, 1475, 1239},	// Akonadi::EntityTreeModel::setIncludeUnsubscribed$
    {67, 1493, 1240},	// Akonadi::EntityTreeModel::setItemPopulationStrategy$
    {67, 1571, 1244},	// Akonadi::EntityTreeModel::setRootCollectionDisplayName$
    {67, 1580, 1236},	// Akonadi::EntityTreeModel::setShowSystemEntities$
    {67, 1647, 1296},	// Akonadi::EntityTreeModel::staticMetaObject
    {67, 1662, 1254},	// Akonadi::EntityTreeModel::supportedDropActions
    {67, 1674, 1237},	// Akonadi::EntityTreeModel::systemEntitiesShown
    {67, 1682, 1281},	// Akonadi::EntityTreeModel::tr$
    {67, 1683, 1230},	// Akonadi::EntityTreeModel::tr$$
    {67, 1684, 1232},	// Akonadi::EntityTreeModel::tr$$$
    {67, 1686, 1282},	// Akonadi::EntityTreeModel::trUtf8$
    {67, 1687, 1231},	// Akonadi::EntityTreeModel::trUtf8$$
    {67, 1688, 1233},	// Akonadi::EntityTreeModel::trUtf8$$$
    {67, 1795, 1335},	// Akonadi::EntityTreeModel::~EntityTreeModel
    {69, 260, 1367},	// Akonadi::EntityTreeView::EntityTreeView
    {69, 261, -110},	// Akonadi::EntityTreeView::EntityTreeView#
    {69, 262, 1344},	// Akonadi::EntityTreeView::EntityTreeView##
    {69, 771, -113},	// Akonadi::EntityTreeView::clicked#
    {69, 844, 1364},	// Akonadi::EntityTreeView::contextMenuEvent#
    {69, 863, -116},	// Akonadi::EntityTreeView::currentChanged#
    {69, 864, 1359},	// Akonadi::EntityTreeView::currentChanged##
    {69, 906, -119},	// Akonadi::EntityTreeView::doubleClicked#
    {69, 911, 1361},	// Akonadi::EntityTreeView::dragMoveEvent#
    {69, 915, 1362},	// Akonadi::EntityTreeView::dropEvent#
    {69, 1068, 1349},	// Akonadi::EntityTreeView::isDropActionMenuEnabled
    {69, 1072, 1350},	// Akonadi::EntityTreeView::isManualSortingActive
    {69, 1159, 1336},	// Akonadi::EntityTreeView::metaObject
    {69, 1226, 1342},	// Akonadi::EntityTreeView::qt_metacall$$?
    {69, 1228, 1337},	// Akonadi::EntityTreeView::qt_metacast$
    {69, 1412, 1352},	// Akonadi::EntityTreeView::setDefaultPopupMenu$
    {69, 1418, 1348},	// Akonadi::EntityTreeView::setDropActionMenuEnabled$
    {69, 1508, 1351},	// Akonadi::EntityTreeView::setManualSortingActive$
    {69, 1519, 1347},	// Akonadi::EntityTreeView::setModel#
    {69, 1615, 1345},	// Akonadi::EntityTreeView::setXmlGuiClient#
    {69, 1642, 1360},	// Akonadi::EntityTreeView::startDrag$
    {69, 1647, 1369},	// Akonadi::EntityTreeView::staticMetaObject
    {69, 1678, 1363},	// Akonadi::EntityTreeView::timerEvent#
    {69, 1682, 1365},	// Akonadi::EntityTreeView::tr$
    {69, 1683, 1338},	// Akonadi::EntityTreeView::tr$$
    {69, 1684, 1340},	// Akonadi::EntityTreeView::tr$$$
    {69, 1686, 1366},	// Akonadi::EntityTreeView::trUtf8$
    {69, 1687, 1339},	// Akonadi::EntityTreeView::trUtf8$$
    {69, 1688, 1341},	// Akonadi::EntityTreeView::trUtf8$$$
    {69, 1737, 1346},	// Akonadi::EntityTreeView::xmlGuiClient
    {69, 1796, 1370},	// Akonadi::EntityTreeView::~EntityTreeView
    {70, 264, 1378},	// Akonadi::EntityTreeViewStateSaver::EntityTreeViewStateSaver#
    {70, 1159, 1371},	// Akonadi::EntityTreeViewStateSaver::metaObject
    {70, 1226, 1377},	// Akonadi::EntityTreeViewStateSaver::qt_metacall$$?
    {70, 1228, 1372},	// Akonadi::EntityTreeViewStateSaver::qt_metacast$
    {70, 1262, 1380},	// Akonadi::EntityTreeViewStateSaver::restoreState#
    {70, 1286, 1379},	// Akonadi::EntityTreeViewStateSaver::saveState#
    {70, 1647, 1383},	// Akonadi::EntityTreeViewStateSaver::staticMetaObject
    {70, 1682, 1381},	// Akonadi::EntityTreeViewStateSaver::tr$
    {70, 1683, 1373},	// Akonadi::EntityTreeViewStateSaver::tr$$
    {70, 1684, 1375},	// Akonadi::EntityTreeViewStateSaver::tr$$$
    {70, 1686, 1382},	// Akonadi::EntityTreeViewStateSaver::trUtf8$
    {70, 1687, 1374},	// Akonadi::EntityTreeViewStateSaver::trUtf8$$
    {70, 1688, 1376},	// Akonadi::EntityTreeViewStateSaver::trUtf8$$$
    {70, 1797, 1384},	// Akonadi::EntityTreeViewStateSaver::~EntityTreeViewStateSaver
    {71, 271, -7},	// Akonadi::Exception::Exception#
    {71, 272, -10},	// Akonadi::Exception::Exception$
    {71, 1689, 1390},	// Akonadi::Exception::type
    {71, 1728, 1389},	// Akonadi::Exception::what
    {71, 1798, 1391},	// Akonadi::Exception::~Exception
    {72, 276, 1415},	// Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel##
    {72, 277, 1399},	// Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel###
    {72, 685, 1410},	// Akonadi::FavoriteCollectionsModel::addCollection#
    {72, 789, 1401},	// Akonadi::FavoriteCollectionsModel::collectionIds
    {72, 808, 1400},	// Akonadi::FavoriteCollectionsModel::collections
    {72, 872, 1416},	// Akonadi::FavoriteCollectionsModel::data#
    {72, 873, 1403},	// Akonadi::FavoriteCollectionsModel::data#$
    {72, 917, 1406},	// Akonadi::FavoriteCollectionsModel::dropMimeData#$$$#
    {72, 950, 1402},	// Akonadi::FavoriteCollectionsModel::favoriteLabel#
    {72, 982, 1408},	// Akonadi::FavoriteCollectionsModel::flags#
    {72, 1003, 1418},	// Akonadi::FavoriteCollectionsModel::headerData$$
    {72, 1004, 1405},	// Akonadi::FavoriteCollectionsModel::headerData$$$
    {72, 1159, 1392},	// Akonadi::FavoriteCollectionsModel::metaObject
    {72, 1170, 1407},	// Akonadi::FavoriteCollectionsModel::mimeTypes
    {72, 1226, 1398},	// Akonadi::FavoriteCollectionsModel::qt_metacall$$?
    {72, 1228, 1393},	// Akonadi::FavoriteCollectionsModel::qt_metacast$
    {72, 1243, 1411},	// Akonadi::FavoriteCollectionsModel::removeCollection#
    {72, 1373, 1409},	// Akonadi::FavoriteCollectionsModel::setCollections?
    {72, 1405, 1417},	// Akonadi::FavoriteCollectionsModel::setData##
    {72, 1406, 1404},	// Akonadi::FavoriteCollectionsModel::setData##$
    {72, 1427, 1412},	// Akonadi::FavoriteCollectionsModel::setFavoriteLabel#$
    {72, 1647, 1419},	// Akonadi::FavoriteCollectionsModel::staticMetaObject
    {72, 1682, 1413},	// Akonadi::FavoriteCollectionsModel::tr$
    {72, 1683, 1394},	// Akonadi::FavoriteCollectionsModel::tr$$
    {72, 1684, 1396},	// Akonadi::FavoriteCollectionsModel::tr$$$
    {72, 1686, 1414},	// Akonadi::FavoriteCollectionsModel::trUtf8$
    {72, 1687, 1395},	// Akonadi::FavoriteCollectionsModel::trUtf8$$
    {72, 1688, 1397},	// Akonadi::FavoriteCollectionsModel::trUtf8$$$
    {72, 1799, 1420},	// Akonadi::FavoriteCollectionsModel::~FavoriteCollectionsModel
    {73, 288, 1455},	// Akonadi::Item::FullPayload
    {73, 313, 1421},	// Akonadi::Item::Item
    {73, 314, 1424},	// Akonadi::Item::Item#
    {73, 315, -13},	// Akonadi::Item::Item$
    {73, 585, 1457},	// Akonadi::Item::UrlShort
    {73, 586, 1458},	// Akonadi::Item::UrlWithMimeType
    {73, 721, 1452},	// Akonadi::Item::apply#
    {73, 730, 1447},	// Akonadi::Item::availablePayloadMetaTypeIds
    {73, 731, 1450},	// Akonadi::Item::availablePayloadParts
    {73, 738, 1451},	// Akonadi::Item::cachedPayloadParts
    {73, 766, 1431},	// Akonadi::Item::clearFlag#
    {73, 767, 1433},	// Akonadi::Item::clearFlags
    {73, 769, 1437},	// Akonadi::Item::clearPayload
    {73, 981, 1426},	// Akonadi::Item::flags
    {73, 989, 1425},	// Akonadi::Item::fromUrl#
    {73, 991, 1446},	// Akonadi::Item::gid
    {73, 999, 1429},	// Akonadi::Item::hasFlag#
    {73, 1001, 1448},	// Akonadi::Item::hasPayload
    {73, 1145, 1436},	// Akonadi::Item::loadedPayloadParts
    {73, 1163, 1444},	// Akonadi::Item::mimeType
    {73, 1177, 1427},	// Akonadi::Item::modificationTime
    {73, 1213, 1435},	// Akonadi::Item::payloadData
    {73, 1271, 1439},	// Akonadi::Item::revision
    {73, 1343, 1453},	// Akonadi::Item::setCachedPayloadParts?
    {73, 1441, 1430},	// Akonadi::Item::setFlag#
    {73, 1443, 1432},	// Akonadi::Item::setFlags?
    {73, 1447, 1456},	// Akonadi::Item::setFullPayload$
    {73, 1451, 1445},	// Akonadi::Item::setGid$
    {73, 1512, 1443},	// Akonadi::Item::setMimeType$
    {73, 1522, 1428},	// Akonadi::Item::setModificationTime#
    {73, 1541, 1434},	// Akonadi::Item::setPayloadFromData#
    {73, 1567, 1438},	// Akonadi::Item::setRevision$
    {73, 1582, 1441},	// Akonadi::Item::setSize$
    {73, 1626, 1442},	// Akonadi::Item::size
    {73, 1656, 1440},	// Akonadi::Item::storageCollectionId
    {73, 1708, 1454},	// Akonadi::Item::url
    {73, 1709, 1449},	// Akonadi::Item::url$
    {73, 1800, 1459},	// Akonadi::Item::~Item
    {74, 317, 1472},	// Akonadi::ItemCopyJob::ItemCopyJob##
    {74, 318, 1467},	// Akonadi::ItemCopyJob::ItemCopyJob###
    {74, 319, 1473},	// Akonadi::ItemCopyJob::ItemCopyJob?#
    {74, 320, 1468},	// Akonadi::ItemCopyJob::ItemCopyJob?##
    {74, 901, 1469},	// Akonadi::ItemCopyJob::doStart
    {74, 1159, 1460},	// Akonadi::ItemCopyJob::metaObject
    {74, 1226, 1466},	// Akonadi::ItemCopyJob::qt_metacall$$?
    {74, 1228, 1461},	// Akonadi::ItemCopyJob::qt_metacast$
    {74, 1647, 1474},	// Akonadi::ItemCopyJob::staticMetaObject
    {74, 1682, 1470},	// Akonadi::ItemCopyJob::tr$
    {74, 1683, 1462},	// Akonadi::ItemCopyJob::tr$$
    {74, 1684, 1464},	// Akonadi::ItemCopyJob::tr$$$
    {74, 1686, 1471},	// Akonadi::ItemCopyJob::trUtf8$
    {74, 1687, 1463},	// Akonadi::ItemCopyJob::trUtf8$$
    {74, 1688, 1465},	// Akonadi::ItemCopyJob::trUtf8$$$
    {74, 1801, 1475},	// Akonadi::ItemCopyJob::~ItemCopyJob
    {75, 322, 1489},	// Akonadi::ItemCreateJob::ItemCreateJob##
    {75, 323, 1483},	// Akonadi::ItemCreateJob::ItemCreateJob###
    {75, 895, 1486},	// Akonadi::ItemCreateJob::doHandleResponse##
    {75, 901, 1485},	// Akonadi::ItemCreateJob::doStart
    {75, 1087, 1484},	// Akonadi::ItemCreateJob::item
    {75, 1159, 1476},	// Akonadi::ItemCreateJob::metaObject
    {75, 1226, 1482},	// Akonadi::ItemCreateJob::qt_metacall$$?
    {75, 1228, 1477},	// Akonadi::ItemCreateJob::qt_metacast$
    {75, 1647, 1490},	// Akonadi::ItemCreateJob::staticMetaObject
    {75, 1682, 1487},	// Akonadi::ItemCreateJob::tr$
    {75, 1683, 1478},	// Akonadi::ItemCreateJob::tr$$
    {75, 1684, 1480},	// Akonadi::ItemCreateJob::tr$$$
    {75, 1686, 1488},	// Akonadi::ItemCreateJob::trUtf8$
    {75, 1687, 1479},	// Akonadi::ItemCreateJob::trUtf8$$
    {75, 1688, 1481},	// Akonadi::ItemCreateJob::trUtf8$$$
    {75, 1802, 1491},	// Akonadi::ItemCreateJob::~ItemCreateJob
    {76, 325, -104},	// Akonadi::ItemDeleteJob::ItemDeleteJob#
    {76, 326, -107},	// Akonadi::ItemDeleteJob::ItemDeleteJob##
    {76, 327, 1507},	// Akonadi::ItemDeleteJob::ItemDeleteJob?
    {76, 328, 1500},	// Akonadi::ItemDeleteJob::ItemDeleteJob?#
    {76, 879, 1502},	// Akonadi::ItemDeleteJob::deletedItems
    {76, 901, 1503},	// Akonadi::ItemDeleteJob::doStart
    {76, 1159, 1492},	// Akonadi::ItemDeleteJob::metaObject
    {76, 1226, 1498},	// Akonadi::ItemDeleteJob::qt_metacall$$?
    {76, 1228, 1493},	// Akonadi::ItemDeleteJob::qt_metacast$
    {76, 1647, 1509},	// Akonadi::ItemDeleteJob::staticMetaObject
    {76, 1682, 1504},	// Akonadi::ItemDeleteJob::tr$
    {76, 1683, 1494},	// Akonadi::ItemDeleteJob::tr$$
    {76, 1684, 1496},	// Akonadi::ItemDeleteJob::tr$$$
    {76, 1686, 1505},	// Akonadi::ItemDeleteJob::trUtf8$
    {76, 1687, 1495},	// Akonadi::ItemDeleteJob::trUtf8$$
    {76, 1688, 1497},	// Akonadi::ItemDeleteJob::trUtf8$$$
    {76, 1803, 1510},	// Akonadi::ItemDeleteJob::~ItemDeleteJob
    {77, 330, -58},	// Akonadi::ItemFetchJob::ItemFetchJob#
    {77, 331, -61},	// Akonadi::ItemFetchJob::ItemFetchJob##
    {77, 332, -64},	// Akonadi::ItemFetchJob::ItemFetchJob?
    {77, 333, -67},	// Akonadi::ItemFetchJob::ItemFetchJob?#
    {77, 768, 1523},	// Akonadi::ItemFetchJob::clearItems
    {77, 895, 1530},	// Akonadi::ItemFetchJob::doHandleResponse##
    {77, 901, 1529},	// Akonadi::ItemFetchJob::doStart
    {77, 973, 1526},	// Akonadi::ItemFetchJob::fetchScope
    {77, 1113, 1522},	// Akonadi::ItemFetchJob::items
    {77, 1123, 1528},	// Akonadi::ItemFetchJob::itemsReceived?
    {77, 1159, 1511},	// Akonadi::ItemFetchJob::metaObject
    {77, 1226, 1517},	// Akonadi::ItemFetchJob::qt_metacall$$?
    {77, 1228, 1512},	// Akonadi::ItemFetchJob::qt_metacast$
    {77, 1354, 1527},	// Akonadi::ItemFetchJob::setCollection#
    {77, 1439, -70},	// Akonadi::ItemFetchJob::setFetchScope#
    {77, 1647, 1537},	// Akonadi::ItemFetchJob::staticMetaObject
    {77, 1682, 1531},	// Akonadi::ItemFetchJob::tr$
    {77, 1683, 1513},	// Akonadi::ItemFetchJob::tr$$
    {77, 1684, 1515},	// Akonadi::ItemFetchJob::tr$$$
    {77, 1686, 1532},	// Akonadi::ItemFetchJob::trUtf8$
    {77, 1687, 1514},	// Akonadi::ItemFetchJob::trUtf8$$
    {77, 1688, 1516},	// Akonadi::ItemFetchJob::trUtf8$$$
    {77, 1804, 1538},	// Akonadi::ItemFetchJob::~ItemFetchJob
    {78, 42, 1574},	// Akonadi::ItemFetchScope::All
    {78, 334, 1539},	// Akonadi::ItemFetchScope::ItemFetchScope
    {78, 335, 1540},	// Akonadi::ItemFetchScope::ItemFetchScope#
    {78, 440, 1572},	// Akonadi::ItemFetchScope::None
    {78, 454, 1573},	// Akonadi::ItemFetchScope::Parent
    {78, 716, 1548},	// Akonadi::ItemFetchScope::allAttributes
    {78, 719, 1555},	// Akonadi::ItemFetchScope::ancestorRetrieval
    {78, 725, 1546},	// Akonadi::ItemFetchScope::attributes
    {78, 735, 1550},	// Akonadi::ItemFetchScope::cacheOnly
    {78, 757, 1553},	// Akonadi::ItemFetchScope::checkForCachedPayloadPartsOnly
    {78, 951, 1570},	// Akonadi::ItemFetchScope::fetchAllAttributes
    {78, 952, 1549},	// Akonadi::ItemFetchScope::fetchAllAttributes$
    {78, 954, 1569},	// Akonadi::ItemFetchScope::fetchAttribute#
    {78, 955, 1547},	// Akonadi::ItemFetchScope::fetchAttribute#$
    {78, 958, 1564},	// Akonadi::ItemFetchScope::fetchChangedSince
    {78, 963, 1568},	// Akonadi::ItemFetchScope::fetchFullPayload
    {78, 964, 1545},	// Akonadi::ItemFetchScope::fetchFullPayload$
    {78, 965, 1559},	// Akonadi::ItemFetchScope::fetchGid
    {78, 966, 1557},	// Akonadi::ItemFetchScope::fetchModificationTime
    {78, 970, 1567},	// Akonadi::ItemFetchScope::fetchPayloadPart#
    {78, 971, 1543},	// Akonadi::ItemFetchScope::fetchPayloadPart#$
    {78, 972, 1566},	// Akonadi::ItemFetchScope::fetchRemoteIdentification
    {78, 990, 1544},	// Akonadi::ItemFetchScope::fullPayload
    {78, 1016, 1561},	// Akonadi::ItemFetchScope::ignoreRetrievalErrors
    {78, 1069, 1562},	// Akonadi::ItemFetchScope::isEmpty
    {78, 1195, 1541},	// Akonadi::ItemFetchScope::operator=#
    {78, 1214, 1542},	// Akonadi::ItemFetchScope::payloadParts
    {78, 1326, 1554},	// Akonadi::ItemFetchScope::setAncestorRetrieval$
    {78, 1337, 1551},	// Akonadi::ItemFetchScope::setCacheOnly$
    {78, 1351, 1571},	// Akonadi::ItemFetchScope::setCheckForCachedPayloadPartsOnly
    {78, 1352, 1552},	// Akonadi::ItemFetchScope::setCheckForCachedPayloadPartsOnly$
    {78, 1431, 1563},	// Akonadi::ItemFetchScope::setFetchChangedSince#
    {78, 1433, 1558},	// Akonadi::ItemFetchScope::setFetchGid$
    {78, 1435, 1556},	// Akonadi::ItemFetchScope::setFetchModificationTime$
    {78, 1437, 1565},	// Akonadi::ItemFetchScope::setFetchRemoteIdentification$
    {78, 1469, 1560},	// Akonadi::ItemFetchScope::setIgnoreRetrievalErrors$
    {78, 1805, 1575},	// Akonadi::ItemFetchScope::~ItemFetchScope
    {79, 294, 1609},	// Akonadi::ItemModel::Id
    {79, 295, 1612},	// Akonadi::ItemModel::IdRole
    {79, 338, 1603},	// Akonadi::ItemModel::ItemModel
    {79, 339, 1583},	// Akonadi::ItemModel::ItemModel#
    {79, 351, 1613},	// Akonadi::ItemModel::ItemRole
    {79, 391, 1611},	// Akonadi::ItemModel::MimeType
    {79, 394, 1614},	// Akonadi::ItemModel::MimeTypeRole
    {79, 491, 1610},	// Akonadi::ItemModel::RemoteId
    {79, 595, 1615},	// Akonadi::ItemModel::UserRole
    {79, 775, 1597},	// Akonadi::ItemModel::collection
    {79, 781, 1599},	// Akonadi::ItemModel::collectionChanged#
    {79, 817, 1604},	// Akonadi::ItemModel::columnCount
    {79, 818, 1584},	// Akonadi::ItemModel::columnCount#
    {79, 872, 1605},	// Akonadi::ItemModel::data#
    {79, 873, 1585},	// Akonadi::ItemModel::data#$
    {79, 917, 1596},	// Akonadi::ItemModel::dropMimeData#$$$#
    {79, 973, 1593},	// Akonadi::ItemModel::fetchScope
    {79, 982, 1588},	// Akonadi::ItemModel::flags#
    {79, 1003, 1607},	// Akonadi::ItemModel::headerData$$
    {79, 1004, 1587},	// Akonadi::ItemModel::headerData$$$
    {79, 1030, 1595},	// Akonadi::ItemModel::indexForItem#$
    {79, 1096, 1594},	// Akonadi::ItemModel::itemForIndex#
    {79, 1159, 1576},	// Akonadi::ItemModel::metaObject
    {79, 1162, 1589},	// Akonadi::ItemModel::mimeData?
    {79, 1170, 1590},	// Akonadi::ItemModel::mimeTypes
    {79, 1226, 1582},	// Akonadi::ItemModel::qt_metacall$$?
    {79, 1228, 1577},	// Akonadi::ItemModel::qt_metacast$
    {79, 1276, 1606},	// Akonadi::ItemModel::rowCount
    {79, 1277, 1586},	// Akonadi::ItemModel::rowCount#
    {79, 1313, 1600},	// Akonadi::ItemModel::session
    {79, 1354, 1598},	// Akonadi::ItemModel::setCollection#
    {79, 1439, 1592},	// Akonadi::ItemModel::setFetchScope#
    {79, 1647, 1608},	// Akonadi::ItemModel::staticMetaObject
    {79, 1662, 1591},	// Akonadi::ItemModel::supportedDropActions
    {79, 1682, 1601},	// Akonadi::ItemModel::tr$
    {79, 1683, 1578},	// Akonadi::ItemModel::tr$$
    {79, 1684, 1580},	// Akonadi::ItemModel::tr$$$
    {79, 1686, 1602},	// Akonadi::ItemModel::trUtf8$
    {79, 1687, 1579},	// Akonadi::ItemModel::trUtf8$$
    {79, 1688, 1581},	// Akonadi::ItemModel::trUtf8$$$
    {79, 1806, 1616},	// Akonadi::ItemModel::~ItemModel
    {80, 341, 1638},	// Akonadi::ItemModifyJob::ItemModifyJob#
    {80, 342, 1624},	// Akonadi::ItemModifyJob::ItemModifyJob##
    {80, 343, 1639},	// Akonadi::ItemModifyJob::ItemModifyJob?
    {80, 344, 1625},	// Akonadi::ItemModifyJob::ItemModifyJob?#
    {80, 889, 1633},	// Akonadi::ItemModifyJob::disableAutomaticConflictHandling
    {80, 890, 1630},	// Akonadi::ItemModifyJob::disableRevisionCheck
    {80, 895, 1635},	// Akonadi::ItemModifyJob::doHandleResponse##
    {80, 901, 1634},	// Akonadi::ItemModifyJob::doStart
    {80, 1015, 1627},	// Akonadi::ItemModifyJob::ignorePayload
    {80, 1087, 1631},	// Akonadi::ItemModifyJob::item
    {80, 1113, 1632},	// Akonadi::ItemModifyJob::items
    {80, 1159, 1617},	// Akonadi::ItemModifyJob::metaObject
    {80, 1226, 1623},	// Akonadi::ItemModifyJob::qt_metacall$$?
    {80, 1228, 1618},	// Akonadi::ItemModifyJob::qt_metacast$
    {80, 1467, 1626},	// Akonadi::ItemModifyJob::setIgnorePayload$
    {80, 1608, 1628},	// Akonadi::ItemModifyJob::setUpdateGid$
    {80, 1647, 1640},	// Akonadi::ItemModifyJob::staticMetaObject
    {80, 1682, 1636},	// Akonadi::ItemModifyJob::tr$
    {80, 1683, 1619},	// Akonadi::ItemModifyJob::tr$$
    {80, 1684, 1621},	// Akonadi::ItemModifyJob::tr$$$
    {80, 1686, 1637},	// Akonadi::ItemModifyJob::trUtf8$
    {80, 1687, 1620},	// Akonadi::ItemModifyJob::trUtf8$$
    {80, 1688, 1622},	// Akonadi::ItemModifyJob::trUtf8$$$
    {80, 1704, 1629},	// Akonadi::ItemModifyJob::updateGid
    {80, 1807, 1641},	// Akonadi::ItemModifyJob::~ItemModifyJob
    {81, 345, 1642},	// Akonadi::ItemMonitor::ItemMonitor
    {81, 973, 1648},	// Akonadi::ItemMonitor::fetchScope
    {81, 1087, 1644},	// Akonadi::ItemMonitor::item
    {81, 1091, 1645},	// Akonadi::ItemMonitor::itemChanged#
    {81, 1104, 1646},	// Akonadi::ItemMonitor::itemRemoved
    {81, 1439, 1647},	// Akonadi::ItemMonitor::setFetchScope#
    {81, 1485, 1643},	// Akonadi::ItemMonitor::setItem#
    {81, 1808, 1649},	// Akonadi::ItemMonitor::~ItemMonitor
    {82, 347, 1664},	// Akonadi::ItemMoveJob::ItemMoveJob##
    {82, 348, 1657},	// Akonadi::ItemMoveJob::ItemMoveJob###
    {82, 349, 1665},	// Akonadi::ItemMoveJob::ItemMoveJob?#
    {82, 350, 1658},	// Akonadi::ItemMoveJob::ItemMoveJob?##
    {82, 885, 1659},	// Akonadi::ItemMoveJob::destinationCollection
    {82, 901, 1661},	// Akonadi::ItemMoveJob::doStart
    {82, 1113, 1660},	// Akonadi::ItemMoveJob::items
    {82, 1159, 1650},	// Akonadi::ItemMoveJob::metaObject
    {82, 1226, 1656},	// Akonadi::ItemMoveJob::qt_metacall$$?
    {82, 1228, 1651},	// Akonadi::ItemMoveJob::qt_metacast$
    {82, 1647, 1666},	// Akonadi::ItemMoveJob::staticMetaObject
    {82, 1682, 1662},	// Akonadi::ItemMoveJob::tr$
    {82, 1683, 1652},	// Akonadi::ItemMoveJob::tr$$
    {82, 1684, 1654},	// Akonadi::ItemMoveJob::tr$$$
    {82, 1686, 1663},	// Akonadi::ItemMoveJob::trUtf8$
    {82, 1687, 1653},	// Akonadi::ItemMoveJob::trUtf8$$
    {82, 1688, 1655},	// Akonadi::ItemMoveJob::trUtf8$$$
    {82, 1809, 1667},	// Akonadi::ItemMoveJob::~ItemMoveJob
    {83, 353, 1686},	// Akonadi::ItemSearchJob::ItemSearchJob$
    {83, 354, 1675},	// Akonadi::ItemSearchJob::ItemSearchJob$#
    {83, 715, 1680},	// Akonadi::ItemSearchJob::akonadiItemIdUri
    {83, 895, 1683},	// Akonadi::ItemSearchJob::doHandleResponse##
    {83, 901, 1682},	// Akonadi::ItemSearchJob::doStart
    {83, 973, 1678},	// Akonadi::ItemSearchJob::fetchScope
    {83, 1113, 1679},	// Akonadi::ItemSearchJob::items
    {83, 1123, 1681},	// Akonadi::ItemSearchJob::itemsReceived?
    {83, 1159, 1668},	// Akonadi::ItemSearchJob::metaObject
    {83, 1226, 1674},	// Akonadi::ItemSearchJob::qt_metacall$$?
    {83, 1228, 1669},	// Akonadi::ItemSearchJob::qt_metacast$
    {83, 1439, 1677},	// Akonadi::ItemSearchJob::setFetchScope#
    {83, 1548, 1676},	// Akonadi::ItemSearchJob::setQuery$
    {83, 1647, 1687},	// Akonadi::ItemSearchJob::staticMetaObject
    {83, 1682, 1684},	// Akonadi::ItemSearchJob::tr$
    {83, 1683, 1670},	// Akonadi::ItemSearchJob::tr$$
    {83, 1684, 1672},	// Akonadi::ItemSearchJob::tr$$$
    {83, 1686, 1685},	// Akonadi::ItemSearchJob::trUtf8$
    {83, 1687, 1671},	// Akonadi::ItemSearchJob::trUtf8$$
    {83, 1688, 1673},	// Akonadi::ItemSearchJob::trUtf8$$$
    {83, 1810, 1688},	// Akonadi::ItemSearchJob::~ItemSearchJob
    {84, 355, 1693},	// Akonadi::ItemSerializerPlugin::ItemSerializerPlugin
    {84, 356, 1694},	// Akonadi::ItemSerializerPlugin::ItemSerializerPlugin#
    {84, 884, 1689},	// Akonadi::ItemSerializerPlugin::deserialize###$
    {84, 1199, 1692},	// Akonadi::ItemSerializerPlugin::overridePluginLookup#
    {84, 1212, 1691},	// Akonadi::ItemSerializerPlugin::parts#
    {84, 1309, 1690},	// Akonadi::ItemSerializerPlugin::serialize###$
    {84, 1811, 1695},	// Akonadi::ItemSerializerPlugin::~ItemSerializerPlugin
    {85, 357, 1698},	// Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2
    {85, 358, 1699},	// Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2#
    {85, 722, 1696},	// Akonadi::ItemSerializerPluginV2::apply##
    {85, 729, 1697},	// Akonadi::ItemSerializerPluginV2::availableParts#
    {85, 1812, 1700},	// Akonadi::ItemSerializerPluginV2::~ItemSerializerPluginV2
    {86, 360, 1723},	// Akonadi::ItemSync::ItemSync#
    {86, 361, 1708},	// Akonadi::ItemSync::ItemSync##
    {86, 421, 1726},	// Akonadi::ItemSync::MultipleTransactions
    {86, 438, 1727},	// Akonadi::ItemSync::NoTransaction
    {86, 529, 1725},	// Akonadi::ItemSync::SingleTransaction
    {86, 880, 1712},	// Akonadi::ItemSync::deliveryDone
    {86, 901, 1718},	// Akonadi::ItemSync::doStart
    {86, 973, 1715},	// Akonadi::ItemSync::fetchScope
    {86, 1159, 1701},	// Akonadi::ItemSync::metaObject
    {86, 1226, 1707},	// Akonadi::ItemSync::qt_metacall$$?
    {86, 1228, 1702},	// Akonadi::ItemSync::qt_metacast$
    {86, 1273, 1716},	// Akonadi::ItemSync::rollback
    {86, 1439, 1714},	// Akonadi::ItemSync::setFetchScope#
    {86, 1449, 1709},	// Akonadi::ItemSync::setFullSyncItems?
    {86, 1477, 1713},	// Akonadi::ItemSync::setIncrementalSyncItems??
    {86, 1588, 1711},	// Akonadi::ItemSync::setStreamingEnabled$
    {86, 1598, 1710},	// Akonadi::ItemSync::setTotalItems$
    {86, 1600, 1717},	// Akonadi::ItemSync::setTransactionMode$
    {86, 1634, 1719},	// Akonadi::ItemSync::slotResult#
    {86, 1647, 1724},	// Akonadi::ItemSync::staticMetaObject
    {86, 1682, 1721},	// Akonadi::ItemSync::tr$
    {86, 1683, 1703},	// Akonadi::ItemSync::tr$$
    {86, 1684, 1705},	// Akonadi::ItemSync::tr$$$
    {86, 1686, 1722},	// Akonadi::ItemSync::trUtf8$
    {86, 1687, 1704},	// Akonadi::ItemSync::trUtf8$$
    {86, 1688, 1706},	// Akonadi::ItemSync::trUtf8$$$
    {86, 1706, 1720},	// Akonadi::ItemSync::updateItem##
    {86, 1813, 1728},	// Akonadi::ItemSync::~ItemSync
    {87, 362, 1750},	// Akonadi::ItemView::ItemView
    {87, 363, -137},	// Akonadi::ItemView::ItemView#
    {87, 364, -141},	// Akonadi::ItemView::ItemView##
    {87, 677, 1742},	// Akonadi::ItemView::activated#
    {87, 771, 1744},	// Akonadi::ItemView::clicked#
    {87, 844, 1747},	// Akonadi::ItemView::contextMenuEvent#
    {87, 863, 1743},	// Akonadi::ItemView::currentChanged#
    {87, 864, 1746},	// Akonadi::ItemView::currentChanged##
    {87, 906, 1745},	// Akonadi::ItemView::doubleClicked#
    {87, 1159, 1729},	// Akonadi::ItemView::metaObject
    {87, 1226, 1735},	// Akonadi::ItemView::qt_metacall$$?
    {87, 1228, 1730},	// Akonadi::ItemView::qt_metacast$
    {87, 1519, 1741},	// Akonadi::ItemView::setModel#
    {87, 1615, 1740},	// Akonadi::ItemView::setXmlGuiClient#
    {87, 1617, 1739},	// Akonadi::ItemView::setXmlGuiWindow#
    {87, 1647, 1753},	// Akonadi::ItemView::staticMetaObject
    {87, 1682, 1748},	// Akonadi::ItemView::tr$
    {87, 1683, 1731},	// Akonadi::ItemView::tr$$
    {87, 1684, 1733},	// Akonadi::ItemView::tr$$$
    {87, 1686, 1749},	// Akonadi::ItemView::trUtf8$
    {87, 1687, 1732},	// Akonadi::ItemView::trUtf8$$
    {87, 1688, 1734},	// Akonadi::ItemView::trUtf8$$$
    {87, 1814, 1754},	// Akonadi::ItemView::~ItemView
    {88, 160, 1779},	// Akonadi::Job::ConnectionFailed
    {88, 365, 1777},	// Akonadi::Job::Job
    {88, 366, 1762},	// Akonadi::Job::Job#
    {88, 367, 1774},	// Akonadi::Job::Job##
    {88, 480, 1780},	// Akonadi::Job::ProtocolVersionMismatch
    {88, 577, 1782},	// Akonadi::Job::Unknown
    {88, 591, 1781},	// Akonadi::Job::UserCanceled
    {88, 593, 1783},	// Akonadi::Job::UserError
    {88, 669, 1765},	// Akonadi::Job::aboutToStart#
    {88, 701, 1769},	// Akonadi::Job::addSubjob#
    {88, 895, 1768},	// Akonadi::Job::doHandleResponse##
    {88, 897, 1771},	// Akonadi::Job::doKill
    {88, 901, 1767},	// Akonadi::Job::doStart
    {88, 929, 1772},	// Akonadi::Job::emitWriteFinished
    {88, 943, 1764},	// Akonadi::Job::errorString
    {88, 1159, 1755},	// Akonadi::Job::metaObject
    {88, 1226, 1761},	// Akonadi::Job::qt_metacall$$?
    {88, 1228, 1756},	// Akonadi::Job::qt_metacast$
    {88, 1249, 1770},	// Akonadi::Job::removeSubjob#
    {88, 1634, 1773},	// Akonadi::Job::slotResult#
    {88, 1639, 1763},	// Akonadi::Job::start
    {88, 1647, 1778},	// Akonadi::Job::staticMetaObject
    {88, 1682, 1775},	// Akonadi::Job::tr$
    {88, 1683, 1757},	// Akonadi::Job::tr$$
    {88, 1684, 1759},	// Akonadi::Job::tr$$$
    {88, 1686, 1776},	// Akonadi::Job::trUtf8$
    {88, 1687, 1758},	// Akonadi::Job::trUtf8$$
    {88, 1688, 1760},	// Akonadi::Job::trUtf8$$$
    {88, 1735, 1766},	// Akonadi::Job::writeFinished#
    {88, 1815, 1784},	// Akonadi::Job::~Job
    {90, 375, 1796},	// Akonadi::LinkJob::LinkJob#?
    {90, 376, 1792},	// Akonadi::LinkJob::LinkJob#?#
    {90, 901, 1793},	// Akonadi::LinkJob::doStart
    {90, 1159, 1785},	// Akonadi::LinkJob::metaObject
    {90, 1226, 1791},	// Akonadi::LinkJob::qt_metacall$$?
    {90, 1228, 1786},	// Akonadi::LinkJob::qt_metacast$
    {90, 1647, 1797},	// Akonadi::LinkJob::staticMetaObject
    {90, 1682, 1794},	// Akonadi::LinkJob::tr$
    {90, 1683, 1787},	// Akonadi::LinkJob::tr$$
    {90, 1684, 1789},	// Akonadi::LinkJob::tr$$$
    {90, 1686, 1795},	// Akonadi::LinkJob::trUtf8$
    {90, 1687, 1788},	// Akonadi::LinkJob::trUtf8$$
    {90, 1688, 1790},	// Akonadi::LinkJob::trUtf8$$$
    {90, 1816, 1798},	// Akonadi::LinkJob::~LinkJob
    {91, 383, 1799},	// Akonadi::MessageFolderAttribute::MessageFolderAttribute
    {91, 384, 1800},	// Akonadi::MessageFolderAttribute::MessageFolderAttribute#
    {91, 772, 1804},	// Akonadi::MessageFolderAttribute::clone
    {91, 883, 1806},	// Akonadi::MessageFolderAttribute::deserialize#
    {91, 1074, 1801},	// Akonadi::MessageFolderAttribute::isOutboundFolder
    {91, 1310, 1805},	// Akonadi::MessageFolderAttribute::serialized
    {91, 1530, 1802},	// Akonadi::MessageFolderAttribute::setOutboundFolder$
    {91, 1689, 1803},	// Akonadi::MessageFolderAttribute::type
    {91, 1817, 1807},	// Akonadi::MessageFolderAttribute::~MessageFolderAttribute
    {92, 217, 1832},	// Akonadi::MessageModel::Date
    {92, 385, 1823},	// Akonadi::MessageModel::MessageModel
    {92, 386, 1815},	// Akonadi::MessageModel::MessageModel#
    {92, 484, 1831},	// Akonadi::MessageModel::Receiver
    {92, 518, 1830},	// Akonadi::MessageModel::Sender
    {92, 530, 1833},	// Akonadi::MessageModel::Size
    {92, 549, 1829},	// Akonadi::MessageModel::Subject
    {92, 817, 1825},	// Akonadi::MessageModel::columnCount
    {92, 818, 1817},	// Akonadi::MessageModel::columnCount#
    {92, 872, 1826},	// Akonadi::MessageModel::data#
    {92, 873, 1818},	// Akonadi::MessageModel::data#$
    {92, 1003, 1827},	// Akonadi::MessageModel::headerData$$
    {92, 1004, 1819},	// Akonadi::MessageModel::headerData$$$
    {92, 1159, 1808},	// Akonadi::MessageModel::metaObject
    {92, 1170, 1820},	// Akonadi::MessageModel::mimeTypes
    {92, 1226, 1814},	// Akonadi::MessageModel::qt_metacall$$?
    {92, 1228, 1809},	// Akonadi::MessageModel::qt_metacast$
    {92, 1276, 1824},	// Akonadi::MessageModel::rowCount
    {92, 1277, 1816},	// Akonadi::MessageModel::rowCount#
    {92, 1647, 1828},	// Akonadi::MessageModel::staticMetaObject
    {92, 1682, 1821},	// Akonadi::MessageModel::tr$
    {92, 1683, 1810},	// Akonadi::MessageModel::tr$$
    {92, 1684, 1812},	// Akonadi::MessageModel::tr$$$
    {92, 1686, 1822},	// Akonadi::MessageModel::trUtf8$
    {92, 1687, 1811},	// Akonadi::MessageModel::trUtf8$$
    {92, 1688, 1813},	// Akonadi::MessageModel::trUtf8$$$
    {92, 1818, 1834},	// Akonadi::MessageModel::~MessageModel
    {93, 387, 1856},	// Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel
    {93, 388, 1842},	// Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel#
    {93, 818, 1848},	// Akonadi::MessageThreaderProxyModel::columnCount#
    {93, 856, 1847},	// Akonadi::MessageThreaderProxyModel::createIndex$$$
    {93, 997, 1846},	// Akonadi::MessageThreaderProxyModel::hasChildren#
    {93, 1027, 1845},	// Akonadi::MessageThreaderProxyModel::index$$#
    {93, 1149, 1851},	// Akonadi::MessageThreaderProxyModel::mapFromSource#
    {93, 1153, 1852},	// Akonadi::MessageThreaderProxyModel::mapToSource#
    {93, 1159, 1835},	// Akonadi::MessageThreaderProxyModel::metaObject
    {93, 1162, 1850},	// Akonadi::MessageThreaderProxyModel::mimeData?
    {93, 1170, 1849},	// Akonadi::MessageThreaderProxyModel::mimeTypes
    {93, 1207, 1843},	// Akonadi::MessageThreaderProxyModel::parent#
    {93, 1226, 1841},	// Akonadi::MessageThreaderProxyModel::qt_metacall$$?
    {93, 1228, 1836},	// Akonadi::MessageThreaderProxyModel::qt_metacast$
    {93, 1277, 1844},	// Akonadi::MessageThreaderProxyModel::rowCount#
    {93, 1584, 1853},	// Akonadi::MessageThreaderProxyModel::setSourceModel#
    {93, 1647, 1857},	// Akonadi::MessageThreaderProxyModel::staticMetaObject
    {93, 1682, 1854},	// Akonadi::MessageThreaderProxyModel::tr$
    {93, 1683, 1837},	// Akonadi::MessageThreaderProxyModel::tr$$
    {93, 1684, 1839},	// Akonadi::MessageThreaderProxyModel::tr$$$
    {93, 1686, 1855},	// Akonadi::MessageThreaderProxyModel::trUtf8$
    {93, 1687, 1838},	// Akonadi::MessageThreaderProxyModel::trUtf8$$
    {93, 1688, 1840},	// Akonadi::MessageThreaderProxyModel::trUtf8$$$
    {93, 1819, 1858},	// Akonadi::MessageThreaderProxyModel::~MessageThreaderProxyModel
    {94, 389, 1859},	// Akonadi::MessageThreadingAttribute::MessageThreadingAttribute
    {94, 390, 1860},	// Akonadi::MessageThreadingAttribute::MessageThreadingAttribute#
    {94, 772, 1868},	// Akonadi::MessageThreadingAttribute::clone
    {94, 883, 1870},	// Akonadi::MessageThreadingAttribute::deserialize#
    {94, 1217, 1861},	// Akonadi::MessageThreadingAttribute::perfectParents
    {94, 1310, 1869},	// Akonadi::MessageThreadingAttribute::serialized
    {94, 1543, 1862},	// Akonadi::MessageThreadingAttribute::setPerfectParents?
    {94, 1590, 1866},	// Akonadi::MessageThreadingAttribute::setSubjectParents?
    {94, 1602, 1864},	// Akonadi::MessageThreadingAttribute::setUnperfectParents?
    {94, 1660, 1865},	// Akonadi::MessageThreadingAttribute::subjectParents
    {94, 1689, 1867},	// Akonadi::MessageThreadingAttribute::type
    {94, 1697, 1863},	// Akonadi::MessageThreadingAttribute::unperfectParents
    {94, 1820, 1871},	// Akonadi::MessageThreadingAttribute::~MessageThreadingAttribute
    {95, 392, 1872},	// Akonadi::MimeTypeChecker::MimeTypeChecker
    {95, 393, 1873},	// Akonadi::MimeTypeChecker::MimeTypeChecker#
    {95, 703, 1877},	// Akonadi::MimeTypeChecker::addWantedMimeType$
    {95, 841, 1882},	// Akonadi::MimeTypeChecker::containsWantedMimeType?
    {95, 1080, 1880},	// Akonadi::MimeTypeChecker::isWantedCollection#
    {95, 1081, 1884},	// Akonadi::MimeTypeChecker::isWantedCollection#$
    {95, 1083, 1879},	// Akonadi::MimeTypeChecker::isWantedItem#
    {95, 1084, 1883},	// Akonadi::MimeTypeChecker::isWantedItem#$
    {95, 1086, 1881},	// Akonadi::MimeTypeChecker::isWantedMimeType$
    {95, 1195, 1874},	// Akonadi::MimeTypeChecker::operator=#
    {95, 1251, 1878},	// Akonadi::MimeTypeChecker::removeWantedMimeType$
    {95, 1613, 1876},	// Akonadi::MimeTypeChecker::setWantedMimeTypes?
    {95, 1725, 1875},	// Akonadi::MimeTypeChecker::wantedMimeTypes
    {95, 1821, 1885},	// Akonadi::MimeTypeChecker::~MimeTypeChecker
    {96, 397, 1943},	// Akonadi::Monitor::Monitor
    {96, 398, -52},	// Akonadi::Monitor::Monitor#
    {96, 399, 1940},	// Akonadi::Monitor::Monitor##
    {96, 718, 1939},	// Akonadi::Monitor::allMonitored$
    {96, 777, 1927},	// Akonadi::Monitor::collectionAdded##
    {96, 781, 1928},	// Akonadi::Monitor::collectionChanged#
    {96, 782, 1929},	// Akonadi::Monitor::collectionChanged#?
    {96, 783, 1906},	// Akonadi::Monitor::collectionFetchScope
    {96, 791, 1935},	// Akonadi::Monitor::collectionMonitored#$
    {96, 793, 1930},	// Akonadi::Monitor::collectionMoved###
    {96, 797, 1931},	// Akonadi::Monitor::collectionRemoved#
    {96, 799, 1934},	// Akonadi::Monitor::collectionStatisticsChanged?#
    {96, 801, 1932},	// Akonadi::Monitor::collectionSubscribed##
    {96, 807, 1933},	// Akonadi::Monitor::collectionUnsubscribed#
    {96, 809, 1907},	// Akonadi::Monitor::collectionsMonitored
    {96, 957, 1903},	// Akonadi::Monitor::fetchChangedOnly$
    {96, 960, 1900},	// Akonadi::Monitor::fetchCollection$
    {96, 962, 1901},	// Akonadi::Monitor::fetchCollectionStatistics$
    {96, 1018, 1899},	// Akonadi::Monitor::ignoreSession#
    {96, 1064, 1912},	// Akonadi::Monitor::isAllMonitored
    {96, 1089, 1920},	// Akonadi::Monitor::itemAdded##
    {96, 1092, 1916},	// Akonadi::Monitor::itemChanged#?
    {96, 1094, 1904},	// Akonadi::Monitor::itemFetchScope
    {96, 1098, 1923},	// Akonadi::Monitor::itemLinked##
    {96, 1100, 1936},	// Akonadi::Monitor::itemMonitored#$
    {96, 1102, 1918},	// Akonadi::Monitor::itemMoved###
    {96, 1105, 1921},	// Akonadi::Monitor::itemRemoved#
    {96, 1112, 1925},	// Akonadi::Monitor::itemUnlinked##
    {96, 1115, 1917},	// Akonadi::Monitor::itemsFlagsChanged???
    {96, 1117, 1924},	// Akonadi::Monitor::itemsLinked?#
    {96, 1118, 1908},	// Akonadi::Monitor::itemsMonitored
    {96, 1119, 1909},	// Akonadi::Monitor::itemsMonitoredEx
    {96, 1121, 1919},	// Akonadi::Monitor::itemsMoved?##
    {96, 1125, 1922},	// Akonadi::Monitor::itemsRemoved?
    {96, 1132, 1926},	// Akonadi::Monitor::itemsUnlinked?#
    {96, 1159, 1886},	// Akonadi::Monitor::metaObject
    {96, 1169, 1938},	// Akonadi::Monitor::mimeTypeMonitored$$
    {96, 1171, 1910},	// Akonadi::Monitor::mimeTypesMonitored
    {96, 1226, 1892},	// Akonadi::Monitor::qt_metacall$$?
    {96, 1228, 1887},	// Akonadi::Monitor::qt_metacast$
    {96, 1257, 1937},	// Akonadi::Monitor::resourceMonitored#$
    {96, 1258, 1911},	// Akonadi::Monitor::resourcesMonitored
    {96, 1313, 1914},	// Akonadi::Monitor::session
    {96, 1323, 1948},	// Akonadi::Monitor::setAllMonitored
    {96, 1324, 1898},	// Akonadi::Monitor::setAllMonitored$
    {96, 1356, 1905},	// Akonadi::Monitor::setCollectionFetchScope#
    {96, 1360, 1944},	// Akonadi::Monitor::setCollectionMonitored#
    {96, 1361, 1894},	// Akonadi::Monitor::setCollectionMonitored#$
    {96, 1363, 1915},	// Akonadi::Monitor::setCollectionMoveTranslationEnabled$
    {96, 1488, 1902},	// Akonadi::Monitor::setItemFetchScope#
    {96, 1490, 1945},	// Akonadi::Monitor::setItemMonitored#
    {96, 1491, 1895},	// Akonadi::Monitor::setItemMonitored#$
    {96, 1516, 1947},	// Akonadi::Monitor::setMimeTypeMonitored$
    {96, 1517, 1897},	// Akonadi::Monitor::setMimeTypeMonitored$$
    {96, 1564, 1946},	// Akonadi::Monitor::setResourceMonitored#
    {96, 1565, 1896},	// Akonadi::Monitor::setResourceMonitored#$
    {96, 1578, 1913},	// Akonadi::Monitor::setSession#
    {96, 1647, 1950},	// Akonadi::Monitor::staticMetaObject
    {96, 1682, 1941},	// Akonadi::Monitor::tr$
    {96, 1683, 1888},	// Akonadi::Monitor::tr$$
    {96, 1684, 1890},	// Akonadi::Monitor::tr$$$
    {96, 1686, 1942},	// Akonadi::Monitor::trUtf8$
    {96, 1687, 1889},	// Akonadi::Monitor::trUtf8$$
    {96, 1688, 1891},	// Akonadi::Monitor::trUtf8$$$
    {96, 1822, 1951},	// Akonadi::Monitor::~Monitor
    {98, 457, 1966},	// Akonadi::PartFetcher::PartFetcher##
    {98, 458, 1959},	// Akonadi::PartFetcher::PartFetcher###
    {98, 1025, 1961},	// Akonadi::PartFetcher::index
    {98, 1087, 1963},	// Akonadi::PartFetcher::item
    {98, 1159, 1952},	// Akonadi::PartFetcher::metaObject
    {98, 1210, 1962},	// Akonadi::PartFetcher::partName
    {98, 1226, 1958},	// Akonadi::PartFetcher::qt_metacall$$?
    {98, 1228, 1953},	// Akonadi::PartFetcher::qt_metacast$
    {98, 1639, 1960},	// Akonadi::PartFetcher::start
    {98, 1647, 1967},	// Akonadi::PartFetcher::staticMetaObject
    {98, 1682, 1964},	// Akonadi::PartFetcher::tr$
    {98, 1683, 1954},	// Akonadi::PartFetcher::tr$$
    {98, 1684, 1956},	// Akonadi::PartFetcher::tr$$$
    {98, 1686, 1965},	// Akonadi::PartFetcher::trUtf8$
    {98, 1687, 1955},	// Akonadi::PartFetcher::trUtf8$$
    {98, 1688, 1957},	// Akonadi::PartFetcher::trUtf8$$$
    {98, 1825, 1968},	// Akonadi::PartFetcher::~PartFetcher
    {99, 460, 1971},	// Akonadi::PayloadBase::PayloadBase
    {99, 461, 1972},	// Akonadi::PayloadBase::PayloadBase#
    {99, 772, 1969},	// Akonadi::PayloadBase::clone
    {99, 1693, 1970},	// Akonadi::PayloadBase::typeName
    {99, 1826, 1973},	// Akonadi::PayloadBase::~PayloadBase
    {100, 463, -34},	// Akonadi::PayloadException::PayloadException#
    {100, 464, -37},	// Akonadi::PayloadException::PayloadException$
    {100, 1689, 1977},	// Akonadi::PayloadException::type
    {100, 1827, 1979},	// Akonadi::PayloadException::~PayloadException
    {101, 473, 1991},	// Akonadi::PreprocessorBase::PreprocessorBase$
    {101, 475, 1995},	// Akonadi::PreprocessorBase::ProcessingCompleted
    {101, 476, 1996},	// Akonadi::PreprocessorBase::ProcessingDelayed
    {101, 477, 1997},	// Akonadi::PreprocessorBase::ProcessingFailed
    {101, 478, 1998},	// Akonadi::PreprocessorBase::ProcessingRefused
    {101, 973, 1990},	// Akonadi::PreprocessorBase::fetchScope
    {101, 979, 1988},	// Akonadi::PreprocessorBase::finishProcessing$
    {101, 1159, 1980},	// Akonadi::PreprocessorBase::metaObject
    {101, 1221, 1987},	// Akonadi::PreprocessorBase::processItem#
    {101, 1226, 1986},	// Akonadi::PreprocessorBase::qt_metacall$$?
    {101, 1228, 1981},	// Akonadi::PreprocessorBase::qt_metacast$
    {101, 1439, 1989},	// Akonadi::PreprocessorBase::setFetchScope#
    {101, 1647, 1994},	// Akonadi::PreprocessorBase::staticMetaObject
    {101, 1682, 1992},	// Akonadi::PreprocessorBase::tr$
    {101, 1683, 1982},	// Akonadi::PreprocessorBase::tr$$
    {101, 1684, 1984},	// Akonadi::PreprocessorBase::tr$$$
    {101, 1686, 1993},	// Akonadi::PreprocessorBase::trUtf8$
    {101, 1687, 1983},	// Akonadi::PreprocessorBase::trUtf8$$
    {101, 1688, 1985},	// Akonadi::PreprocessorBase::trUtf8$$$
    {101, 1828, 1999},	// Akonadi::PreprocessorBase::~PreprocessorBase
    {102, 16, 2062},	// Akonadi::ResourceBase::AfterChangeReplay
    {102, 50, 2063},	// Akonadi::ResourceBase::Append
    {102, 470, 2061},	// Akonadi::ResourceBase::Prepend
    {102, 498, 2020},	// Akonadi::ResourceBase::ResourceBase$
    {102, 664, 2018},	// Akonadi::ResourceBase::abortActivity
    {102, 727, 2012},	// Akonadi::ResourceBase::attributesSynchronized$
    {102, 743, 2046},	// Akonadi::ResourceBase::cancelTask
    {102, 744, 2047},	// Akonadi::ResourceBase::cancelTask$
    {102, 750, -1},	// Akonadi::ResourceBase::changeCommitted#
    {102, 756, 2024},	// Akonadi::ResourceBase::changesCommitted?
    {102, 763, 2037},	// Akonadi::ResourceBase::clearCache
    {102, 779, 2022},	// Akonadi::ResourceBase::collectionAttributesRetrieved#
    {102, 805, 2013},	// Akonadi::ResourceBase::collectionTreeSynchronized
    {102, 812, 2029},	// Akonadi::ResourceBase::collectionsRetrievalDone
    {102, 814, 2026},	// Akonadi::ResourceBase::collectionsRetrieved?
    {102, 816, 2027},	// Akonadi::ResourceBase::collectionsRetrievedIncremental??
    {102, 865, 2039},	// Akonadi::ResourceBase::currentCollection
    {102, 866, 2040},	// Akonadi::ResourceBase::currentItem
    {102, 878, 2048},	// Akonadi::ResourceBase::deferTask
    {102, 900, 2049},	// Akonadi::ResourceBase::doSetOnline$
    {102, 918, 2054},	// Akonadi::ResourceBase::dumpMemoryInfo
    {102, 919, 2055},	// Akonadi::ResourceBase::dumpMemoryInfoToString
    {102, 920, 2053},	// Akonadi::ResourceBase::dumpNotificationListToString
    {102, 921, 2019},	// Akonadi::ResourceBase::dumpResourceToString
    {102, 922, 2056},	// Akonadi::ResourceBase::dumpSchedulerToString
    {102, 1063, 2038},	// Akonadi::ResourceBase::invalidateCache#
    {102, 1107, 2021},	// Akonadi::ResourceBase::itemRetrieved#
    {102, 1126, 2036},	// Akonadi::ResourceBase::itemsRetrievalDone
    {102, 1128, 2030},	// Akonadi::ResourceBase::itemsRetrieved?
    {102, 1130, 2035},	// Akonadi::ResourceBase::itemsRetrievedIncremental??
    {102, 1159, 2000},	// Akonadi::ResourceBase::metaObject
    {102, 1184, 2008},	// Akonadi::ResourceBase::name
    {102, 1186, 2010},	// Akonadi::ResourceBase::nameChanged$
    {102, 1226, 2006},	// Akonadi::ResourceBase::qt_metacall$$?
    {102, 1228, 2001},	// Akonadi::ResourceBase::qt_metacast$
    {102, 1264, 2015},	// Akonadi::ResourceBase::retrieveCollectionAttributes#
    {102, 1265, 2014},	// Akonadi::ResourceBase::retrieveCollections
    {102, 1267, 2017},	// Akonadi::ResourceBase::retrieveItem#?
    {102, 1269, 2016},	// Akonadi::ResourceBase::retrieveItems#
    {102, 1288, 2059},	// Akonadi::ResourceBase::scheduleCustomTask#$#
    {102, 1289, 2051},	// Akonadi::ResourceBase::scheduleCustomTask#$#$
    {102, 1331, 2009},	// Akonadi::ResourceBase::setAutomaticProgressReporting$
    {102, 1369, 2028},	// Akonadi::ResourceBase::setCollectionStreamingEnabled$
    {102, 1459, 2050},	// Akonadi::ResourceBase::setHierarchicalRemoteIdentifiersEnabled$
    {102, 1497, 2032},	// Akonadi::ResourceBase::setItemStreamingEnabled$
    {102, 1499, 2034},	// Akonadi::ResourceBase::setItemSynchronizationFetchScope#
    {102, 1501, 2033},	// Akonadi::ResourceBase::setItemTransactionMode$
    {102, 1524, 2007},	// Akonadi::ResourceBase::setName$
    {102, 1598, 2031},	// Akonadi::ResourceBase::setTotalItems$
    {102, 1647, 2060},	// Akonadi::ResourceBase::staticMetaObject
    {102, 1664, 2041},	// Akonadi::ResourceBase::synchronize
    {102, 1668, 2042},	// Akonadi::ResourceBase::synchronizeCollection$
    {102, 1669, 2043},	// Akonadi::ResourceBase::synchronizeCollection$$
    {102, 1671, 2044},	// Akonadi::ResourceBase::synchronizeCollectionAttributes$
    {102, 1672, 2045},	// Akonadi::ResourceBase::synchronizeCollectionTree
    {102, 1673, 2011},	// Akonadi::ResourceBase::synchronized
    {102, 1676, 2052},	// Akonadi::ResourceBase::taskDone
    {102, 1682, 2057},	// Akonadi::ResourceBase::tr$
    {102, 1683, 2002},	// Akonadi::ResourceBase::tr$$
    {102, 1684, 2004},	// Akonadi::ResourceBase::tr$$$
    {102, 1686, 2058},	// Akonadi::ResourceBase::trUtf8$
    {102, 1687, 2003},	// Akonadi::ResourceBase::trUtf8$$
    {102, 1688, 2005},	// Akonadi::ResourceBase::trUtf8$$$
    {102, 1829, 2064},	// Akonadi::ResourceBase::~ResourceBase
    {103, 501, 2079},	// Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob#
    {103, 502, 2072},	// Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob##
    {103, 804, 2073},	// Akonadi::ResourceSynchronizationJob::collectionTreeOnly
    {103, 1159, 2065},	// Akonadi::ResourceSynchronizationJob::metaObject
    {103, 1226, 2071},	// Akonadi::ResourceSynchronizationJob::qt_metacall$$?
    {103, 1228, 2066},	// Akonadi::ResourceSynchronizationJob::qt_metacast$
    {103, 1255, 2075},	// Akonadi::ResourceSynchronizationJob::resource
    {103, 1371, 2074},	// Akonadi::ResourceSynchronizationJob::setCollectionTreeOnly$
    {103, 1639, 2076},	// Akonadi::ResourceSynchronizationJob::start
    {103, 1647, 2080},	// Akonadi::ResourceSynchronizationJob::staticMetaObject
    {103, 1682, 2077},	// Akonadi::ResourceSynchronizationJob::tr$
    {103, 1683, 2067},	// Akonadi::ResourceSynchronizationJob::tr$$
    {103, 1684, 2069},	// Akonadi::ResourceSynchronizationJob::tr$$$
    {103, 1686, 2078},	// Akonadi::ResourceSynchronizationJob::trUtf8$
    {103, 1687, 2068},	// Akonadi::ResourceSynchronizationJob::trUtf8$$
    {103, 1688, 2070},	// Akonadi::ResourceSynchronizationJob::trUtf8$$$
    {103, 1830, 2081},	// Akonadi::ResourceSynchronizationJob::~ResourceSynchronizationJob
    {104, 509, 2096},	// Akonadi::SearchCreateJob::SearchCreateJob$$
    {104, 510, 2089},	// Akonadi::SearchCreateJob::SearchCreateJob$$#
    {104, 859, 2091},	// Akonadi::SearchCreateJob::createdCollection
    {104, 895, 2093},	// Akonadi::SearchCreateJob::doHandleResponse##
    {104, 901, 2092},	// Akonadi::SearchCreateJob::doStart
    {104, 1159, 2082},	// Akonadi::SearchCreateJob::metaObject
    {104, 1226, 2088},	// Akonadi::SearchCreateJob::qt_metacall$$?
    {104, 1228, 2083},	// Akonadi::SearchCreateJob::qt_metacast$
    {104, 1552, 2090},	// Akonadi::SearchCreateJob::setQueryLanguage$
    {104, 1647, 2097},	// Akonadi::SearchCreateJob::staticMetaObject
    {104, 1682, 2094},	// Akonadi::SearchCreateJob::tr$
    {104, 1683, 2084},	// Akonadi::SearchCreateJob::tr$$
    {104, 1684, 2086},	// Akonadi::SearchCreateJob::tr$$$
    {104, 1686, 2095},	// Akonadi::SearchCreateJob::trUtf8$
    {104, 1687, 2085},	// Akonadi::SearchCreateJob::trUtf8$$
    {104, 1688, 2087},	// Akonadi::SearchCreateJob::trUtf8$$$
    {104, 1831, 2098},	// Akonadi::SearchCreateJob::~SearchCreateJob
    {105, 516, 2109},	// Akonadi::SelectionProxyModel::SelectionProxyModel#
    {105, 517, 2106},	// Akonadi::SelectionProxyModel::SelectionProxyModel##
    {105, 1159, 2099},	// Akonadi::SelectionProxyModel::metaObject
    {105, 1226, 2105},	// Akonadi::SelectionProxyModel::qt_metacall$$?
    {105, 1228, 2100},	// Akonadi::SelectionProxyModel::qt_metacast$
    {105, 1647, 2110},	// Akonadi::SelectionProxyModel::staticMetaObject
    {105, 1682, 2107},	// Akonadi::SelectionProxyModel::tr$
    {105, 1683, 2101},	// Akonadi::SelectionProxyModel::tr$$
    {105, 1684, 2103},	// Akonadi::SelectionProxyModel::tr$$$
    {105, 1686, 2108},	// Akonadi::SelectionProxyModel::trUtf8$
    {105, 1687, 2102},	// Akonadi::SelectionProxyModel::trUtf8$$
    {105, 1688, 2104},	// Akonadi::SelectionProxyModel::trUtf8$$$
    {105, 1832, 2111},	// Akonadi::SelectionProxyModel::~SelectionProxyModel
    {106, 17, 2146},	// Akonadi::ServerManager::Agent
    {106, 61, 2140},	// Akonadi::ServerManager::Broken
    {106, 203, 2143},	// Akonadi::ServerManager::Control
    {106, 204, 2144},	// Akonadi::ServerManager::ControlLock
    {106, 442, 2136},	// Akonadi::ServerManager::NotRunning
    {106, 471, 2148},	// Akonadi::ServerManager::Preprocessor
    {106, 496, 2147},	// Akonadi::ServerManager::Resource
    {106, 505, 2138},	// Akonadi::ServerManager::Running
    {106, 519, 2142},	// Akonadi::ServerManager::Server
    {106, 536, 2137},	// Akonadi::ServerManager::Starting
    {106, 544, 2139},	// Akonadi::ServerManager::Stopping
    {106, 583, 2145},	// Akonadi::ServerManager::UpgradeIndicator
    {106, 584, 2141},	// Akonadi::ServerManager::Upgrading
    {106, 699, 2128},	// Akonadi::ServerManager::addNamespace$
    {106, 713, 2127},	// Akonadi::ServerManager::agentServiceName$$
    {106, 1000, 2125},	// Akonadi::ServerManager::hasInstanceIdentifier
    {106, 1044, 2124},	// Akonadi::ServerManager::instanceIdentifier
    {106, 1075, 2122},	// Akonadi::ServerManager::isRunning
    {106, 1159, 2112},	// Akonadi::ServerManager::metaObject
    {106, 1226, 2118},	// Akonadi::ServerManager::qt_metacall$$?
    {106, 1228, 2113},	// Akonadi::ServerManager::qt_metacast$
    {106, 1301, 2129},	// Akonadi::ServerManager::self
    {106, 1312, 2126},	// Akonadi::ServerManager::serviceName$
    {106, 1623, 2121},	// Akonadi::ServerManager::showSelfTestDialog#
    {106, 1639, 2119},	// Akonadi::ServerManager::start
    {106, 1643, 2130},	// Akonadi::ServerManager::started
    {106, 1644, 2123},	// Akonadi::ServerManager::state
    {106, 1646, 2132},	// Akonadi::ServerManager::stateChanged$
    {106, 1647, 2135},	// Akonadi::ServerManager::staticMetaObject
    {106, 1653, 2120},	// Akonadi::ServerManager::stop
    {106, 1655, 2131},	// Akonadi::ServerManager::stopped
    {106, 1682, 2133},	// Akonadi::ServerManager::tr$
    {106, 1683, 2114},	// Akonadi::ServerManager::tr$$
    {106, 1684, 2116},	// Akonadi::ServerManager::tr$$$
    {106, 1686, 2134},	// Akonadi::ServerManager::trUtf8$
    {106, 1687, 2115},	// Akonadi::ServerManager::trUtf8$$
    {106, 1688, 2117},	// Akonadi::ServerManager::trUtf8$$$
    {106, 1833, 2149},	// Akonadi::ServerManager::~ServerManager
    {107, 520, 2165},	// Akonadi::Session::Session
    {107, 521, -95},	// Akonadi::Session::Session#
    {107, 522, -98},	// Akonadi::Session::Session##
    {107, 523, 2162},	// Akonadi::Session::Session###
    {107, 760, 2160},	// Akonadi::Session::clear
    {107, 877, 2159},	// Akonadi::Session::defaultSession
    {107, 1159, 2150},	// Akonadi::Session::metaObject
    {107, 1226, 2156},	// Akonadi::Session::qt_metacall$$?
    {107, 1228, 2151},	// Akonadi::Session::qt_metacast$
    {107, 1231, 2161},	// Akonadi::Session::reconnected
    {107, 1314, 2158},	// Akonadi::Session::sessionId
    {107, 1647, 2169},	// Akonadi::Session::staticMetaObject
    {107, 1682, 2163},	// Akonadi::Session::tr$
    {107, 1683, 2152},	// Akonadi::Session::tr$$
    {107, 1684, 2154},	// Akonadi::Session::tr$$$
    {107, 1686, 2164},	// Akonadi::Session::trUtf8$
    {107, 1687, 2153},	// Akonadi::Session::trUtf8$$
    {107, 1688, 2155},	// Akonadi::Session::trUtf8$$$
    {107, 1834, 2170},	// Akonadi::Session::~Session
    {109, 4, 2211},	// Akonadi::StandardActionManager::AddToFavoriteCollections
    {109, 127, 2206},	// Akonadi::StandardActionManager::CollectionProperties
    {109, 205, 2225},	// Akonadi::StandardActionManager::CopyCollectionToDialog
    {109, 206, 2214},	// Akonadi::StandardActionManager::CopyCollectionToMenu
    {109, 207, 2203},	// Akonadi::StandardActionManager::CopyCollections
    {109, 208, 2227},	// Akonadi::StandardActionManager::CopyItemToDialog
    {109, 209, 2215},	// Akonadi::StandardActionManager::CopyItemToMenu
    {109, 210, 2207},	// Akonadi::StandardActionManager::CopyItems
    {109, 211, 2202},	// Akonadi::StandardActionManager::CreateCollection
    {109, 213, 2220},	// Akonadi::StandardActionManager::CreateResource
    {109, 215, 2219},	// Akonadi::StandardActionManager::CutCollections
    {109, 216, 2218},	// Akonadi::StandardActionManager::CutItems
    {109, 220, 2204},	// Akonadi::StandardActionManager::DeleteCollections
    {109, 221, 2209},	// Akonadi::StandardActionManager::DeleteItems
    {109, 222, 2221},	// Akonadi::StandardActionManager::DeleteResources
    {109, 225, 2241},	// Akonadi::StandardActionManager::DialogText
    {109, 226, 2240},	// Akonadi::StandardActionManager::DialogTitle
    {109, 266, 2246},	// Akonadi::StandardActionManager::ErrorMessageText
    {109, 267, 2245},	// Akonadi::StandardActionManager::ErrorMessageTitle
    {109, 371, 2239},	// Akonadi::StandardActionManager::LastType
    {109, 379, 2210},	// Akonadi::StandardActionManager::ManageLocalSubscriptions
    {109, 380, 2244},	// Akonadi::StandardActionManager::MessageBoxAlternativeText
    {109, 381, 2243},	// Akonadi::StandardActionManager::MessageBoxText
    {109, 382, 2242},	// Akonadi::StandardActionManager::MessageBoxTitle
    {109, 400, 2226},	// Akonadi::StandardActionManager::MoveCollectionToDialog
    {109, 401, 2217},	// Akonadi::StandardActionManager::MoveCollectionToMenu
    {109, 402, 2230},	// Akonadi::StandardActionManager::MoveCollectionsToTrash
    {109, 406, 2228},	// Akonadi::StandardActionManager::MoveItemToDialog
    {109, 407, 2216},	// Akonadi::StandardActionManager::MoveItemToMenu
    {109, 408, 2231},	// Akonadi::StandardActionManager::MoveItemsToTrash
    {109, 415, 2234},	// Akonadi::StandardActionManager::MoveToTrashRestoreCollection
    {109, 416, 2235},	// Akonadi::StandardActionManager::MoveToTrashRestoreCollectionAlternative
    {109, 417, 2236},	// Akonadi::StandardActionManager::MoveToTrashRestoreItem
    {109, 418, 2237},	// Akonadi::StandardActionManager::MoveToTrashRestoreItemAlternative
    {109, 459, 2208},	// Akonadi::StandardActionManager::Paste
    {109, 493, 2212},	// Akonadi::StandardActionManager::RemoveFromFavoriteCollections
    {109, 494, 2213},	// Akonadi::StandardActionManager::RenameFavoriteCollection
    {109, 499, 2222},	// Akonadi::StandardActionManager::ResourceProperties
    {109, 503, 2232},	// Akonadi::StandardActionManager::RestoreCollectionsFromTrash
    {109, 504, 2233},	// Akonadi::StandardActionManager::RestoreItemsFromTrash
    {109, 534, 2199},	// Akonadi::StandardActionManager::StandardActionManager#
    {109, 535, 2178},	// Akonadi::StandardActionManager::StandardActionManager##
    {109, 553, 2205},	// Akonadi::StandardActionManager::SynchronizeCollections
    {109, 554, 2229},	// Akonadi::StandardActionManager::SynchronizeCollectionsRecursive
    {109, 555, 2238},	// Akonadi::StandardActionManager::SynchronizeFavoriteCollections
    {109, 556, 2223},	// Akonadi::StandardActionManager::SynchronizeResources
    {109, 559, 2224},	// Akonadi::StandardActionManager::ToggleWorkOffline
    {109, 673, 2185},	// Akonadi::StandardActionManager::action$
    {109, 675, 2196},	// Akonadi::StandardActionManager::actionStateUpdated
    {109, 848, 2183},	// Akonadi::StandardActionManager::createAction$
    {109, 850, 2195},	// Akonadi::StandardActionManager::createActionFolderMenu#$
    {109, 851, 2184},	// Akonadi::StandardActionManager::createAllActions
    {109, 1059, 2200},	// Akonadi::StandardActionManager::interceptAction$
    {109, 1060, 2187},	// Akonadi::StandardActionManager::interceptAction$$
    {109, 1159, 2171},	// Akonadi::StandardActionManager::metaObject
    {109, 1226, 2177},	// Akonadi::StandardActionManager::qt_metacall$$?
    {109, 1228, 2172},	// Akonadi::StandardActionManager::qt_metacast$
    {109, 1295, 2188},	// Akonadi::StandardActionManager::selectedCollections
    {109, 1297, 2189},	// Akonadi::StandardActionManager::selectedItems
    {109, 1318, 2186},	// Akonadi::StandardActionManager::setActionText$#
    {109, 1345, 2193},	// Akonadi::StandardActionManager::setCapabilityFilter?
    {109, 1365, 2194},	// Akonadi::StandardActionManager::setCollectionPropertiesPageNames?
    {109, 1367, 2179},	// Akonadi::StandardActionManager::setCollectionSelectionModel#
    {109, 1396, 2191},	// Akonadi::StandardActionManager::setContextText$$#
    {109, 1397, 2190},	// Akonadi::StandardActionManager::setContextText$$$
    {109, 1425, 2181},	// Akonadi::StandardActionManager::setFavoriteCollectionsModel#
    {109, 1429, 2182},	// Akonadi::StandardActionManager::setFavoriteSelectionModel#
    {109, 1495, 2180},	// Akonadi::StandardActionManager::setItemSelectionModel#
    {109, 1514, 2192},	// Akonadi::StandardActionManager::setMimeTypeFilter?
    {109, 1647, 2201},	// Akonadi::StandardActionManager::staticMetaObject
    {109, 1682, 2197},	// Akonadi::StandardActionManager::tr$
    {109, 1683, 2173},	// Akonadi::StandardActionManager::tr$$
    {109, 1684, 2175},	// Akonadi::StandardActionManager::tr$$$
    {109, 1686, 2198},	// Akonadi::StandardActionManager::trUtf8$
    {109, 1687, 2174},	// Akonadi::StandardActionManager::trUtf8$$
    {109, 1688, 2176},	// Akonadi::StandardActionManager::trUtf8$$$
    {109, 1835, 2247},	// Akonadi::StandardActionManager::~StandardActionManager
    {110, 539, 2270},	// Akonadi::StatisticsProxyModel::StatisticsProxyModel
    {110, 540, 2255},	// Akonadi::StatisticsProxyModel::StatisticsProxyModel#
    {110, 817, 2274},	// Akonadi::StatisticsProxyModel::columnCount
    {110, 818, 2264},	// Akonadi::StatisticsProxyModel::columnCount#
    {110, 829, 2267},	// Akonadi::StatisticsProxyModel::connectNotify$
    {110, 872, 2272},	// Akonadi::StatisticsProxyModel::data#
    {110, 873, 2261},	// Akonadi::StatisticsProxyModel::data#$
    {110, 982, 2263},	// Akonadi::StatisticsProxyModel::flags#
    {110, 1003, 2273},	// Akonadi::StatisticsProxyModel::headerData$$
    {110, 1004, 2262},	// Akonadi::StatisticsProxyModel::headerData$$$
    {110, 1026, 2271},	// Akonadi::StatisticsProxyModel::index$$
    {110, 1027, 2260},	// Akonadi::StatisticsProxyModel::index$$#
    {110, 1070, 2259},	// Akonadi::StatisticsProxyModel::isExtraColumnsEnabled
    {110, 1076, 2257},	// Akonadi::StatisticsProxyModel::isToolTipEnabled
    {110, 1155, 2275},	// Akonadi::StatisticsProxyModel::match#$#
    {110, 1156, 2276},	// Akonadi::StatisticsProxyModel::match#$#$
    {110, 1157, 2265},	// Akonadi::StatisticsProxyModel::match#$#$$
    {110, 1159, 2248},	// Akonadi::StatisticsProxyModel::metaObject
    {110, 1226, 2254},	// Akonadi::StatisticsProxyModel::qt_metacall$$?
    {110, 1228, 2249},	// Akonadi::StatisticsProxyModel::qt_metacast$
    {110, 1423, 2258},	// Akonadi::StatisticsProxyModel::setExtraColumnsEnabled$
    {110, 1584, 2266},	// Akonadi::StatisticsProxyModel::setSourceModel#
    {110, 1596, 2256},	// Akonadi::StatisticsProxyModel::setToolTipEnabled$
    {110, 1647, 2277},	// Akonadi::StatisticsProxyModel::staticMetaObject
    {110, 1682, 2268},	// Akonadi::StatisticsProxyModel::tr$
    {110, 1683, 2250},	// Akonadi::StatisticsProxyModel::tr$$
    {110, 1684, 2252},	// Akonadi::StatisticsProxyModel::tr$$$
    {110, 1686, 2269},	// Akonadi::StatisticsProxyModel::trUtf8$
    {110, 1687, 2251},	// Akonadi::StatisticsProxyModel::trUtf8$$
    {110, 1688, 2253},	// Akonadi::StatisticsProxyModel::trUtf8$$$
    {110, 1836, 2278},	// Akonadi::StatisticsProxyModel::~StatisticsProxyModel
    {111, 563, 2286},	// Akonadi::TransactionBeginJob::TransactionBeginJob#
    {111, 901, 2287},	// Akonadi::TransactionBeginJob::doStart
    {111, 1159, 2279},	// Akonadi::TransactionBeginJob::metaObject
    {111, 1226, 2285},	// Akonadi::TransactionBeginJob::qt_metacall$$?
    {111, 1228, 2280},	// Akonadi::TransactionBeginJob::qt_metacast$
    {111, 1647, 2290},	// Akonadi::TransactionBeginJob::staticMetaObject
    {111, 1682, 2288},	// Akonadi::TransactionBeginJob::tr$
    {111, 1683, 2281},	// Akonadi::TransactionBeginJob::tr$$
    {111, 1684, 2283},	// Akonadi::TransactionBeginJob::tr$$$
    {111, 1686, 2289},	// Akonadi::TransactionBeginJob::trUtf8$
    {111, 1687, 2282},	// Akonadi::TransactionBeginJob::trUtf8$$
    {111, 1688, 2284},	// Akonadi::TransactionBeginJob::trUtf8$$$
    {111, 1837, 2291},	// Akonadi::TransactionBeginJob::~TransactionBeginJob
    {112, 565, 2299},	// Akonadi::TransactionCommitJob::TransactionCommitJob#
    {112, 901, 2300},	// Akonadi::TransactionCommitJob::doStart
    {112, 1159, 2292},	// Akonadi::TransactionCommitJob::metaObject
    {112, 1226, 2298},	// Akonadi::TransactionCommitJob::qt_metacall$$?
    {112, 1228, 2293},	// Akonadi::TransactionCommitJob::qt_metacast$
    {112, 1647, 2303},	// Akonadi::TransactionCommitJob::staticMetaObject
    {112, 1682, 2301},	// Akonadi::TransactionCommitJob::tr$
    {112, 1683, 2294},	// Akonadi::TransactionCommitJob::tr$$
    {112, 1684, 2296},	// Akonadi::TransactionCommitJob::tr$$$
    {112, 1686, 2302},	// Akonadi::TransactionCommitJob::trUtf8$
    {112, 1687, 2295},	// Akonadi::TransactionCommitJob::trUtf8$$
    {112, 1688, 2297},	// Akonadi::TransactionCommitJob::trUtf8$$$
    {112, 1838, 2304},	// Akonadi::TransactionCommitJob::~TransactionCommitJob
    {113, 567, 2312},	// Akonadi::TransactionRollbackJob::TransactionRollbackJob#
    {113, 901, 2313},	// Akonadi::TransactionRollbackJob::doStart
    {113, 1159, 2305},	// Akonadi::TransactionRollbackJob::metaObject
    {113, 1226, 2311},	// Akonadi::TransactionRollbackJob::qt_metacall$$?
    {113, 1228, 2306},	// Akonadi::TransactionRollbackJob::qt_metacast$
    {113, 1647, 2316},	// Akonadi::TransactionRollbackJob::staticMetaObject
    {113, 1682, 2314},	// Akonadi::TransactionRollbackJob::tr$
    {113, 1683, 2307},	// Akonadi::TransactionRollbackJob::tr$$
    {113, 1684, 2309},	// Akonadi::TransactionRollbackJob::tr$$$
    {113, 1686, 2315},	// Akonadi::TransactionRollbackJob::trUtf8$
    {113, 1687, 2308},	// Akonadi::TransactionRollbackJob::trUtf8$$
    {113, 1688, 2310},	// Akonadi::TransactionRollbackJob::trUtf8$$$
    {113, 1839, 2317},	// Akonadi::TransactionRollbackJob::~TransactionRollbackJob
    {114, 568, 2335},	// Akonadi::TransactionSequence::TransactionSequence
    {114, 569, 2325},	// Akonadi::TransactionSequence::TransactionSequence#
    {114, 701, 2330},	// Akonadi::TransactionSequence::addSubjob#
    {114, 819, 2326},	// Akonadi::TransactionSequence::commit
    {114, 901, 2331},	// Akonadi::TransactionSequence::doStart
    {114, 1159, 2318},	// Akonadi::TransactionSequence::metaObject
    {114, 1226, 2324},	// Akonadi::TransactionSequence::qt_metacall$$?
    {114, 1228, 2319},	// Akonadi::TransactionSequence::qt_metacast$
    {114, 1273, 2327},	// Akonadi::TransactionSequence::rollback
    {114, 1329, 2329},	// Akonadi::TransactionSequence::setAutomaticCommittingEnabled$
    {114, 1465, 2328},	// Akonadi::TransactionSequence::setIgnoreJobFailure#
    {114, 1634, 2332},	// Akonadi::TransactionSequence::slotResult#
    {114, 1647, 2336},	// Akonadi::TransactionSequence::staticMetaObject
    {114, 1682, 2333},	// Akonadi::TransactionSequence::tr$
    {114, 1683, 2320},	// Akonadi::TransactionSequence::tr$$
    {114, 1684, 2322},	// Akonadi::TransactionSequence::tr$$$
    {114, 1686, 2334},	// Akonadi::TransactionSequence::trUtf8$
    {114, 1687, 2321},	// Akonadi::TransactionSequence::trUtf8$$
    {114, 1688, 2323},	// Akonadi::TransactionSequence::trUtf8$$$
    {114, 1840, 2337},	// Akonadi::TransactionSequence::~TransactionSequence
    {115, 570, 2344},	// Akonadi::TransportResourceBase::TransportFailed
    {115, 571, 2338},	// Akonadi::TransportResourceBase::TransportResourceBase
    {115, 572, 2341},	// Akonadi::TransportResourceBase::TransportResourceBase#
    {115, 573, 2343},	// Akonadi::TransportResourceBase::TransportSucceeded
    {115, 1109, 2342},	// Akonadi::TransportResourceBase::itemSent#$
    {115, 1110, 2340},	// Akonadi::TransportResourceBase::itemSent#$$
    {115, 1305, 2339},	// Akonadi::TransportResourceBase::sendItem#
    {115, 1841, 2345},	// Akonadi::TransportResourceBase::~TransportResourceBase
    {116, 579, 2357},	// Akonadi::UnlinkJob::UnlinkJob#?
    {116, 580, 2353},	// Akonadi::UnlinkJob::UnlinkJob#?#
    {116, 901, 2354},	// Akonadi::UnlinkJob::doStart
    {116, 1159, 2346},	// Akonadi::UnlinkJob::metaObject
    {116, 1226, 2352},	// Akonadi::UnlinkJob::qt_metacall$$?
    {116, 1228, 2347},	// Akonadi::UnlinkJob::qt_metacast$
    {116, 1647, 2358},	// Akonadi::UnlinkJob::staticMetaObject
    {116, 1682, 2355},	// Akonadi::UnlinkJob::tr$
    {116, 1683, 2348},	// Akonadi::UnlinkJob::tr$$
    {116, 1684, 2350},	// Akonadi::UnlinkJob::tr$$$
    {116, 1686, 2356},	// Akonadi::UnlinkJob::trUtf8$
    {116, 1687, 2349},	// Akonadi::UnlinkJob::trUtf8$$
    {116, 1688, 2351},	// Akonadi::UnlinkJob::trUtf8$$$
    {116, 1842, 2359},	// Akonadi::UnlinkJob::~UnlinkJob
    {172, 600, 2545},	// QGlobalSpace::_CS_GNU_LIBC_VERSION
    {172, 601, 2546},	// QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION
    {172, 602, 2553},	// QGlobalSpace::_CS_LFS64_CFLAGS
    {172, 603, 2554},	// QGlobalSpace::_CS_LFS64_LDFLAGS
    {172, 604, 2555},	// QGlobalSpace::_CS_LFS64_LIBS
    {172, 605, 2556},	// QGlobalSpace::_CS_LFS64_LINTFLAGS
    {172, 606, 2549},	// QGlobalSpace::_CS_LFS_CFLAGS
    {172, 607, 2550},	// QGlobalSpace::_CS_LFS_LDFLAGS
    {172, 608, 2551},	// QGlobalSpace::_CS_LFS_LIBS
    {172, 609, 2552},	// QGlobalSpace::_CS_LFS_LINTFLAGS
    {172, 610, 2543},	// QGlobalSpace::_CS_PATH
    {172, 611, 2573},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS
    {172, 612, 2574},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS
    {172, 613, 2575},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS
    {172, 614, 2576},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS
    {172, 615, 2577},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS
    {172, 616, 2578},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS
    {172, 617, 2579},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS
    {172, 618, 2580},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS
    {172, 619, 2581},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS
    {172, 620, 2582},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS
    {172, 621, 2583},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS
    {172, 622, 2584},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS
    {172, 623, 2585},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS
    {172, 624, 2586},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS
    {172, 625, 2587},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS
    {172, 626, 2588},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS
    {172, 627, 2589},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS
    {172, 628, 2590},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS
    {172, 629, 2591},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS
    {172, 630, 2592},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS
    {172, 631, 2593},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS
    {172, 632, 2594},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS
    {172, 633, 2595},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS
    {172, 634, 2596},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS
    {172, 635, 2597},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS
    {172, 636, 2598},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS
    {172, 637, 2599},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS
    {172, 638, 2600},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS
    {172, 639, 2601},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS
    {172, 640, 2602},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS
    {172, 641, 2603},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS
    {172, 642, 2604},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS
    {172, 643, 2547},	// QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS
    {172, 644, 2605},	// QGlobalSpace::_CS_V6_ENV
    {172, 645, 2544},	// QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS
    {172, 646, 2606},	// QGlobalSpace::_CS_V7_ENV
    {172, 647, 2548},	// QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS
    {172, 648, 2557},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS
    {172, 649, 2558},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS
    {172, 650, 2559},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS
    {172, 651, 2560},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS
    {172, 652, 2561},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS
    {172, 653, 2562},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS
    {172, 654, 2563},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS
    {172, 655, 2564},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS
    {172, 656, 2565},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS
    {172, 657, 2566},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS
    {172, 658, 2567},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS
    {172, 659, 2568},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS
    {172, 660, 2569},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS
    {172, 661, 2570},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS
    {172, 662, 2571},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS
    {172, 663, 2572},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS
};

}

extern "C" {

SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *akonadi_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_akonadi_Smoke() {
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    akonadi_Smoke = new Smoke(
        "akonadi",
        __smokeakonadi::classes, 216,
        __smokeakonadi::methods, 2762,
        __smokeakonadi::methodMaps, 2375,
        __smokeakonadi::methodNames, 1842,
        __smokeakonadi::types, 470,
        __smokeakonadi::inheritanceList,
        __smokeakonadi::argumentList,
        __smokeakonadi::ambiguousMethodList,
        __smokeakonadi::cast );
    initialized = true;
}

void delete_akonadi_Smoke() { delete akonadi_Smoke; }

}
