#include <ktexteditor_includes.h>

#include <smoke.h>
#include <ktexteditor_smoke.h>

namespace __smokektexteditor {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAboutData
      switch(to) {
        case 1: return (void*)(KAboutData*)xptr;
        default: return xptr;
      }
    case 2:   //KAction
      switch(to) {
        case 2: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 3:   //KActionCollection
      switch(to) {
        case 3: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 4:   //KCharsets
      switch(to) {
        case 4: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 5:   //KCompletion
      switch(to) {
        case 5: return (void*)(KCompletion*)xptr;
        default: return xptr;
      }
    case 6:   //KComponentData
      switch(to) {
        case 6: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 7:   //KConfig
      switch(to) {
        case 7: return (void*)(KConfig*)xptr;
        default: return xptr;
      }
    case 8:   //KConfigGroup
      switch(to) {
        case 8: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 9:   //KIcon
      switch(to) {
        case 9: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 10:   //KLocale
      switch(to) {
        case 10: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 11:   //KParts::Factory
      switch(to) {
        case 20: return (void*)(KPluginFactory*)(KParts::Factory*)xptr;
        case 103: return (void*)(QObject*)(KParts::Factory*)xptr;
        case 11: return (void*)(KParts::Factory*)xptr;
        case 45: return (void*)(KTextEditor::Factory*)(KParts::Factory*)xptr;
        default: return xptr;
      }
    case 12:   //KParts::GUIActivateEvent
      switch(to) {
        case 12: return (void*)(KParts::GUIActivateEvent*)xptr;
        default: return xptr;
      }
    case 13:   //KParts::Part
      switch(to) {
        case 103: return (void*)(QObject*)(KParts::Part*)xptr;
        case 15: return (void*)(KParts::PartBase*)(KParts::Part*)xptr;
        case 72: return (void*)(KXMLGUIClient*)(KParts::Part*)xptr;
        case 13: return (void*)(KParts::Part*)xptr;
        case 42: return (void*)(KTextEditor::Document*)(KParts::Part*)xptr;
        default: return xptr;
      }
    case 14:   //KParts::PartActivateEvent
      switch(to) {
        case 14: return (void*)(KParts::PartActivateEvent*)xptr;
        default: return xptr;
      }
    case 15:   //KParts::PartBase
      switch(to) {
        case 72: return (void*)(KXMLGUIClient*)(KParts::PartBase*)xptr;
        case 15: return (void*)(KParts::PartBase*)xptr;
        case 42: return (void*)(KTextEditor::Document*)(KParts::PartBase*)xptr;
        default: return xptr;
      }
    case 16:   //KParts::PartManager
      switch(to) {
        case 16: return (void*)(KParts::PartManager*)xptr;
        default: return xptr;
      }
    case 17:   //KParts::PartSelectEvent
      switch(to) {
        case 17: return (void*)(KParts::PartSelectEvent*)xptr;
        default: return xptr;
      }
    case 18:   //KParts::ReadOnlyPart
      switch(to) {
        case 13: return (void*)(KParts::Part*)(KParts::ReadOnlyPart*)xptr;
        case 103: return (void*)(QObject*)(KParts::ReadOnlyPart*)xptr;
        case 15: return (void*)(KParts::PartBase*)(KParts::ReadOnlyPart*)xptr;
        case 72: return (void*)(KXMLGUIClient*)(KParts::ReadOnlyPart*)xptr;
        case 18: return (void*)(KParts::ReadOnlyPart*)xptr;
        case 42: return (void*)(KTextEditor::Document*)(KParts::ReadOnlyPart*)xptr;
        default: return xptr;
      }
    case 19:   //KParts::ReadWritePart
      switch(to) {
        case 18: return (void*)(KParts::ReadOnlyPart*)(KParts::ReadWritePart*)xptr;
        case 13: return (void*)(KParts::Part*)(KParts::ReadWritePart*)xptr;
        case 103: return (void*)(QObject*)(KParts::ReadWritePart*)xptr;
        case 15: return (void*)(KParts::PartBase*)(KParts::ReadWritePart*)xptr;
        case 72: return (void*)(KXMLGUIClient*)(KParts::ReadWritePart*)xptr;
        case 19: return (void*)(KParts::ReadWritePart*)xptr;
        case 42: return (void*)(KTextEditor::Document*)(KParts::ReadWritePart*)xptr;
        default: return xptr;
      }
    case 20:   //KPluginFactory
      switch(to) {
        case 103: return (void*)(QObject*)(KPluginFactory*)xptr;
        case 20: return (void*)(KPluginFactory*)xptr;
        case 45: return (void*)(KTextEditor::Factory*)(KPluginFactory*)xptr;
        default: return xptr;
      }
    case 21:   //KService
      switch(to) {
        case 111: return (void*)(QSharedData*)(KService*)xptr;
        case 21: return (void*)(KService*)xptr;
        default: return xptr;
      }
    case 22:   //KSharedConfig
      switch(to) {
        case 7: return (void*)(KConfig*)(KSharedConfig*)xptr;
        case 111: return (void*)(QSharedData*)(KSharedConfig*)xptr;
        case 22: return (void*)(KSharedConfig*)xptr;
        default: return xptr;
      }
    case 23:   //KStandardDirs
      switch(to) {
        case 23: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 25:   //KTextEditor::AnnotationInterface
      switch(to) {
        case 25: return (void*)(KTextEditor::AnnotationInterface*)xptr;
        case 27: return (void*)(KTextEditor::AnnotationViewInterface*)(KTextEditor::AnnotationInterface*)xptr;
        default: return xptr;
      }
    case 26:   //KTextEditor::AnnotationModel
      switch(to) {
        case 103: return (void*)(QObject*)(KTextEditor::AnnotationModel*)xptr;
        case 26: return (void*)(KTextEditor::AnnotationModel*)xptr;
        default: return xptr;
      }
    case 27:   //KTextEditor::AnnotationViewInterface
      switch(to) {
        case 25: return (void*)(KTextEditor::AnnotationInterface*)(KTextEditor::AnnotationViewInterface*)xptr;
        case 27: return (void*)(KTextEditor::AnnotationViewInterface*)xptr;
        default: return xptr;
      }
    case 28:   //KTextEditor::Attribute
      switch(to) {
        case 116: return (void*)(QTextCharFormat*)(KTextEditor::Attribute*)xptr;
        case 111: return (void*)(QSharedData*)(KTextEditor::Attribute*)xptr;
        case 28: return (void*)(KTextEditor::Attribute*)xptr;
        default: return xptr;
      }
    case 29:   //KTextEditor::CodeCompletionInterface
      switch(to) {
        case 29: return (void*)(KTextEditor::CodeCompletionInterface*)xptr;
        default: return xptr;
      }
    case 30:   //KTextEditor::CodeCompletionModel
      switch(to) {
        case 73: return (void*)(QAbstractItemModel*)(KTextEditor::CodeCompletionModel*)xptr;
        case 103: return (void*)(QObject*)(KTextEditor::CodeCompletionModel*)xptr;
        case 30: return (void*)(KTextEditor::CodeCompletionModel*)xptr;
        case 31: return (void*)(KTextEditor::CodeCompletionModel2*)(KTextEditor::CodeCompletionModel*)xptr;
        default: return xptr;
      }
    case 31:   //KTextEditor::CodeCompletionModel2
      switch(to) {
        case 30: return (void*)(KTextEditor::CodeCompletionModel*)(KTextEditor::CodeCompletionModel2*)xptr;
        case 73: return (void*)(QAbstractItemModel*)(KTextEditor::CodeCompletionModel2*)xptr;
        case 103: return (void*)(QObject*)(KTextEditor::CodeCompletionModel2*)xptr;
        case 31: return (void*)(KTextEditor::CodeCompletionModel2*)xptr;
        default: return xptr;
      }
    case 32:   //KTextEditor::CodeCompletionModelControllerInterface
      switch(to) {
        case 32: return (void*)(KTextEditor::CodeCompletionModelControllerInterface*)xptr;
        case 33: return (void*)(KTextEditor::CodeCompletionModelControllerInterface2*)(KTextEditor::CodeCompletionModelControllerInterface*)xptr;
        default: return xptr;
      }
    case 33:   //KTextEditor::CodeCompletionModelControllerInterface2
      switch(to) {
        case 32: return (void*)(KTextEditor::CodeCompletionModelControllerInterface*)(KTextEditor::CodeCompletionModelControllerInterface2*)xptr;
        case 33: return (void*)(KTextEditor::CodeCompletionModelControllerInterface2*)xptr;
        default: return xptr;
      }
    case 34:   //KTextEditor::Command
      switch(to) {
        case 34: return (void*)(KTextEditor::Command*)xptr;
        default: return xptr;
      }
    case 35:   //KTextEditor::CommandExtension
      switch(to) {
        case 35: return (void*)(KTextEditor::CommandExtension*)xptr;
        default: return xptr;
      }
    case 36:   //KTextEditor::CommandInterface
      switch(to) {
        case 36: return (void*)(KTextEditor::CommandInterface*)xptr;
        default: return xptr;
      }
    case 37:   //KTextEditor::ConfigInterface
      switch(to) {
        case 37: return (void*)(KTextEditor::ConfigInterface*)xptr;
        default: return xptr;
      }
    case 38:   //KTextEditor::ConfigPage
      switch(to) {
        case 120: return (void*)(QWidget*)(KTextEditor::ConfigPage*)xptr;
        case 103: return (void*)(QObject*)(KTextEditor::ConfigPage*)xptr;
        case 38: return (void*)(KTextEditor::ConfigPage*)xptr;
        default: return xptr;
      }
    case 39:   //KTextEditor::ContainerInterface
      switch(to) {
        case 39: return (void*)(KTextEditor::ContainerInterface*)xptr;
        default: return xptr;
      }
    case 40:   //KTextEditor::CoordinatesToCursorInterface
      switch(to) {
        case 40: return (void*)(KTextEditor::CoordinatesToCursorInterface*)xptr;
        default: return xptr;
      }
    case 41:   //KTextEditor::Cursor
      switch(to) {
        case 41: return (void*)(KTextEditor::Cursor*)xptr;
        case 59: return (void*)(KTextEditor::SmartCursor*)(KTextEditor::Cursor*)xptr;
        default: return xptr;
      }
    case 42:   //KTextEditor::Document
      switch(to) {
        case 19: return (void*)(KParts::ReadWritePart*)(KTextEditor::Document*)xptr;
        case 18: return (void*)(KParts::ReadOnlyPart*)(KTextEditor::Document*)xptr;
        case 13: return (void*)(KParts::Part*)(KTextEditor::Document*)xptr;
        case 103: return (void*)(QObject*)(KTextEditor::Document*)xptr;
        case 15: return (void*)(KParts::PartBase*)(KTextEditor::Document*)xptr;
        case 72: return (void*)(KXMLGUIClient*)(KTextEditor::Document*)xptr;
        case 42: return (void*)(KTextEditor::Document*)xptr;
        default: return xptr;
      }
    case 43:   //KTextEditor::Editor
      switch(to) {
        case 103: return (void*)(QObject*)(KTextEditor::Editor*)xptr;
        case 43: return (void*)(KTextEditor::Editor*)xptr;
        default: return xptr;
      }
    case 44:   //KTextEditor::EditorChooser
      switch(to) {
        case 120: return (void*)(QWidget*)(KTextEditor::EditorChooser*)xptr;
        case 103: return (void*)(QObject*)(KTextEditor::EditorChooser*)xptr;
        case 44: return (void*)(KTextEditor::EditorChooser*)xptr;
        default: return xptr;
      }
    case 45:   //KTextEditor::Factory
      switch(to) {
        case 11: return (void*)(KParts::Factory*)(KTextEditor::Factory*)xptr;
        case 20: return (void*)(KPluginFactory*)(KTextEditor::Factory*)xptr;
        case 103: return (void*)(QObject*)(KTextEditor::Factory*)xptr;
        case 45: return (void*)(KTextEditor::Factory*)xptr;
        default: return xptr;
      }
    case 46:   //KTextEditor::HighlightInterface
      switch(to) {
        case 46: return (void*)(KTextEditor::HighlightInterface*)xptr;
        default: return xptr;
      }
    case 47:   //KTextEditor::HighlightInterface::AttributeBlock
      switch(to) {
        case 47: return (void*)(KTextEditor::HighlightInterface::AttributeBlock*)xptr;
        default: return xptr;
      }
    case 48:   //KTextEditor::LoadSaveFilterCheckPlugin
      switch(to) {
        case 103: return (void*)(QObject*)(KTextEditor::LoadSaveFilterCheckPlugin*)xptr;
        case 48: return (void*)(KTextEditor::LoadSaveFilterCheckPlugin*)xptr;
        default: return xptr;
      }
    case 49:   //KTextEditor::Mark
      switch(to) {
        case 49: return (void*)(KTextEditor::Mark*)xptr;
        default: return xptr;
      }
    case 50:   //KTextEditor::MarkInterface
      switch(to) {
        case 50: return (void*)(KTextEditor::MarkInterface*)xptr;
        default: return xptr;
      }
    case 51:   //KTextEditor::MdiContainer
      switch(to) {
        case 51: return (void*)(KTextEditor::MdiContainer*)xptr;
        default: return xptr;
      }
    case 52:   //KTextEditor::ModificationInterface
      switch(to) {
        case 52: return (void*)(KTextEditor::ModificationInterface*)xptr;
        default: return xptr;
      }
    case 53:   //KTextEditor::ParameterizedSessionConfigInterface
      switch(to) {
        case 53: return (void*)(KTextEditor::ParameterizedSessionConfigInterface*)xptr;
        default: return xptr;
      }
    case 54:   //KTextEditor::Plugin
      switch(to) {
        case 103: return (void*)(QObject*)(KTextEditor::Plugin*)xptr;
        case 54: return (void*)(KTextEditor::Plugin*)xptr;
        default: return xptr;
      }
    case 55:   //KTextEditor::Range
      switch(to) {
        case 55: return (void*)(KTextEditor::Range*)xptr;
        case 63: return (void*)(KTextEditor::SmartRange*)(KTextEditor::Range*)xptr;
        default: return xptr;
      }
    case 56:   //KTextEditor::RangeCommand
      switch(to) {
        case 56: return (void*)(KTextEditor::RangeCommand*)xptr;
        default: return xptr;
      }
    case 57:   //KTextEditor::SearchInterface
      switch(to) {
        case 57: return (void*)(KTextEditor::SearchInterface*)xptr;
        default: return xptr;
      }
    case 58:   //KTextEditor::SessionConfigInterface
      switch(to) {
        case 58: return (void*)(KTextEditor::SessionConfigInterface*)xptr;
        default: return xptr;
      }
    case 59:   //KTextEditor::SmartCursor
      switch(to) {
        case 41: return (void*)(KTextEditor::Cursor*)(KTextEditor::SmartCursor*)xptr;
        case 59: return (void*)(KTextEditor::SmartCursor*)xptr;
        default: return xptr;
      }
    case 60:   //KTextEditor::SmartCursorNotifier
      switch(to) {
        case 103: return (void*)(QObject*)(KTextEditor::SmartCursorNotifier*)xptr;
        case 60: return (void*)(KTextEditor::SmartCursorNotifier*)xptr;
        default: return xptr;
      }
    case 61:   //KTextEditor::SmartCursorWatcher
      switch(to) {
        case 61: return (void*)(KTextEditor::SmartCursorWatcher*)xptr;
        default: return xptr;
      }
    case 62:   //KTextEditor::SmartInterface
      switch(to) {
        case 62: return (void*)(KTextEditor::SmartInterface*)xptr;
        default: return xptr;
      }
    case 63:   //KTextEditor::SmartRange
      switch(to) {
        case 55: return (void*)(KTextEditor::Range*)(KTextEditor::SmartRange*)xptr;
        case 63: return (void*)(KTextEditor::SmartRange*)xptr;
        default: return xptr;
      }
    case 64:   //KTextEditor::SmartRangeNotifier
      switch(to) {
        case 103: return (void*)(QObject*)(KTextEditor::SmartRangeNotifier*)xptr;
        case 64: return (void*)(KTextEditor::SmartRangeNotifier*)xptr;
        default: return xptr;
      }
    case 65:   //KTextEditor::SmartRangeWatcher
      switch(to) {
        case 65: return (void*)(KTextEditor::SmartRangeWatcher*)xptr;
        default: return xptr;
      }
    case 66:   //KTextEditor::TemplateInterface
      switch(to) {
        case 66: return (void*)(KTextEditor::TemplateInterface*)xptr;
        default: return xptr;
      }
    case 67:   //KTextEditor::TextHintInterface
      switch(to) {
        case 67: return (void*)(KTextEditor::TextHintInterface*)xptr;
        default: return xptr;
      }
    case 68:   //KTextEditor::VariableInterface
      switch(to) {
        case 68: return (void*)(KTextEditor::VariableInterface*)xptr;
        default: return xptr;
      }
    case 69:   //KTextEditor::View
      switch(to) {
        case 120: return (void*)(QWidget*)(KTextEditor::View*)xptr;
        case 103: return (void*)(QObject*)(KTextEditor::View*)xptr;
        case 72: return (void*)(KXMLGUIClient*)(KTextEditor::View*)xptr;
        case 69: return (void*)(KTextEditor::View*)xptr;
        default: return xptr;
      }
    case 70:   //KTextEditor::ViewBarContainer
      switch(to) {
        case 70: return (void*)(KTextEditor::ViewBarContainer*)xptr;
        default: return xptr;
      }
    case 71:   //KUrl
      switch(to) {
        case 71: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 72:   //KXMLGUIClient
      switch(to) {
        case 72: return (void*)(KXMLGUIClient*)xptr;
        case 42: return (void*)dynamic_cast<KTextEditor::Document*>((KXMLGUIClient*)xptr);
        case 69: return (void*)(KTextEditor::View*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 73:   //QAbstractItemModel
      switch(to) {
        case 103: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 73: return (void*)(QAbstractItemModel*)xptr;
        case 31: return (void*)(KTextEditor::CodeCompletionModel2*)(QAbstractItemModel*)xptr;
        case 30: return (void*)(KTextEditor::CodeCompletionModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 74:   //QAction
      switch(to) {
        case 74: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 75:   //QActionEvent
      switch(to) {
        case 75: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 76:   //QBool
      switch(to) {
        case 76: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 77:   //QBrush
      switch(to) {
        case 77: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 78:   //QChar
      switch(to) {
        case 78: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 79:   //QChildEvent
      switch(to) {
        case 88: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 79: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 80:   //QCloseEvent
      switch(to) {
        case 80: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 81:   //QContextMenuEvent
      switch(to) {
        case 81: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 82:   //QDomDocument
      switch(to) {
        case 82: return (void*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 83:   //QDomElement
      switch(to) {
        case 83: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 84:   //QDragEnterEvent
      switch(to) {
        case 84: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 85:   //QDragLeaveEvent
      switch(to) {
        case 85: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 86:   //QDragMoveEvent
      switch(to) {
        case 86: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 87:   //QDropEvent
      switch(to) {
        case 87: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 88:   //QEvent
      switch(to) {
        case 88: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 89:   //QFocusEvent
      switch(to) {
        case 89: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 90:   //QFont
      switch(to) {
        case 90: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 92:   //QHideEvent
      switch(to) {
        case 92: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 93:   //QIncompatibleFlag
      switch(to) {
        case 93: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 94:   //QInputMethodEvent
      switch(to) {
        case 94: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 95:   //QKeyEvent
      switch(to) {
        case 95: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 96:   //QMenu
      switch(to) {
        case 96: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 97:   //QMetaObject
      switch(to) {
        case 97: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 98:   //QMimeData
      switch(to) {
        case 98: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 99:   //QModelIndex
      switch(to) {
        case 99: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 100:   //QMouseEvent
      switch(to) {
        case 100: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 101:   //QMoveEvent
      switch(to) {
        case 101: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 102:   //QMutex
      switch(to) {
        case 102: return (void*)(QMutex*)xptr;
        default: return xptr;
      }
    case 103:   //QObject
      switch(to) {
        case 103: return (void*)(QObject*)xptr;
        case 26: return (void*)(KTextEditor::AnnotationModel*)(QObject*)xptr;
        case 48: return (void*)(KTextEditor::LoadSaveFilterCheckPlugin*)(QObject*)xptr;
        case 45: return (void*)(KTextEditor::Factory*)(QObject*)xptr;
        case 54: return (void*)(KTextEditor::Plugin*)(QObject*)xptr;
        case 43: return (void*)(KTextEditor::Editor*)(QObject*)xptr;
        case 60: return (void*)(KTextEditor::SmartCursorNotifier*)(QObject*)xptr;
        case 31: return (void*)(KTextEditor::CodeCompletionModel2*)(QObject*)xptr;
        case 42: return (void*)(KTextEditor::Document*)(QObject*)xptr;
        case 30: return (void*)(KTextEditor::CodeCompletionModel*)(QObject*)xptr;
        case 44: return (void*)(KTextEditor::EditorChooser*)(QObject*)xptr;
        case 69: return (void*)(KTextEditor::View*)(QObject*)xptr;
        case 38: return (void*)(KTextEditor::ConfigPage*)(QObject*)xptr;
        case 64: return (void*)(KTextEditor::SmartRangeNotifier*)(QObject*)xptr;
        default: return xptr;
      }
    case 104:   //QPaintEngine
      switch(to) {
        case 104: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 105:   //QPaintEvent
      switch(to) {
        case 105: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 106:   //QPalette
      switch(to) {
        case 106: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 107:   //QPixmap
      switch(to) {
        case 107: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 108:   //QPoint
      switch(to) {
        case 108: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 109:   //QRegExp
      switch(to) {
        case 109: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 110:   //QResizeEvent
      switch(to) {
        case 110: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 111:   //QSharedData
      switch(to) {
        case 111: return (void*)(QSharedData*)xptr;
        case 28: return (void*)(KTextEditor::Attribute*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 112:   //QShowEvent
      switch(to) {
        case 112: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 113:   //QSize
      switch(to) {
        case 113: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 114:   //QStyle
      switch(to) {
        case 114: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 115:   //QTabletEvent
      switch(to) {
        case 115: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 116:   //QTextCharFormat
      switch(to) {
        case 116: return (void*)(QTextCharFormat*)xptr;
        case 28: return (void*)(KTextEditor::Attribute*)(QTextCharFormat*)xptr;
        default: return xptr;
      }
    case 117:   //QTimerEvent
      switch(to) {
        case 88: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 117: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 118:   //QVariant
      switch(to) {
        case 118: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 119:   //QWheelEvent
      switch(to) {
        case 119: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 120:   //QWidget
      switch(to) {
        case 103: return (void*)(QObject*)(QWidget*)xptr;
        case 120: return (void*)(QWidget*)xptr;
        case 44: return (void*)(KTextEditor::EditorChooser*)(QWidget*)xptr;
        case 69: return (void*)(KTextEditor::View*)(QWidget*)xptr;
        case 38: return (void*)(KTextEditor::ConfigPage*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    103, 0,	// 1: QObject
    25, 0,	// 3: KTextEditor::AnnotationInterface
    116, 111, 0,	// 5: QTextCharFormat, QSharedData
    73, 0,	// 8: QAbstractItemModel
    30, 0,	// 10: KTextEditor::CodeCompletionModel
    32, 0,	// 12: KTextEditor::CodeCompletionModelControllerInterface
    120, 0,	// 14: QWidget
    19, 0,	// 16: KParts::ReadWritePart
    11, 0,	// 18: KParts::Factory
    41, 0,	// 20: KTextEditor::Cursor
    55, 0,	// 22: KTextEditor::Range
    120, 72, 0,	// 24: QWidget, KXMLGUIClient
};

// These are the xenum functions for manipulating enum pointers
void xenum_KTextEditor__MarkInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__CodeCompletionModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__ModificationInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__SmartCursor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__HighlightInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__Attribute(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__ViewBarContainer(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__SmartRange(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__View(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__ParameterizedSessionConfigInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__CodeCompletionModelControllerInterface2(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KTextEditor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__AnnotationInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__AnnotationModel(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__AnnotationViewInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Attribute(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionModel(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionModel2(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionModelControllerInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionModelControllerInterface2(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Command(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CommandExtension(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CommandInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ConfigPage(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ContainerInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CoordinatesToCursorInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Cursor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Document(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Editor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__EditorChooser(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Factory(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__HighlightInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__HighlightInterface__AttributeBlock(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__LoadSaveFilterCheckPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Mark(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__MarkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__MdiContainer(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ModificationInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ParameterizedSessionConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Range(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__RangeCommand(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SearchInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SessionConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartCursor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartCursorNotifier(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartCursorWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartRange(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartRangeNotifier(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartRangeWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__TemplateInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__TextHintInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__VariableInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__View(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ViewBarContainer(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAboutData", true, 0, 0, 0, 0, 0 },	//1
    { "KAction", true, 0, 0, 0, 0, 0 },	//2
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//3
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//4
    { "KCompletion", true, 0, 0, 0, 0, 0 },	//5
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//6
    { "KConfig", true, 0, 0, 0, 0, 0 },	//7
    { "KConfigGroup", true, 0, 0, 0, 0, 0 },	//8
    { "KIcon", true, 0, 0, 0, 0, 0 },	//9
    { "KLocale", true, 0, 0, 0, 0, 0 },	//10
    { "KParts::Factory", true, 0, 0, 0, 0, 0 },	//11
    { "KParts::GUIActivateEvent", true, 0, 0, 0, 0, 0 },	//12
    { "KParts::Part", true, 0, 0, 0, 0, 0 },	//13
    { "KParts::PartActivateEvent", true, 0, 0, 0, 0, 0 },	//14
    { "KParts::PartBase", true, 0, 0, 0, 0, 0 },	//15
    { "KParts::PartManager", true, 0, 0, 0, 0, 0 },	//16
    { "KParts::PartSelectEvent", true, 0, 0, 0, 0, 0 },	//17
    { "KParts::ReadOnlyPart", true, 0, 0, 0, 0, 0 },	//18
    { "KParts::ReadWritePart", true, 0, 0, 0, 0, 0 },	//19
    { "KPluginFactory", true, 0, 0, 0, 0, 0 },	//20
    { "KService", true, 0, 0, 0, 0, 0 },	//21
    { "KSharedConfig", true, 0, 0, 0, 0, 0 },	//22
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//23
    { "KTextEditor", false, 0, xcall_KTextEditor, 0, Smoke::cf_namespace, 0 },	//24
    { "KTextEditor::AnnotationInterface", false, 0, xcall_KTextEditor__AnnotationInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::AnnotationInterface) },	//25
    { "KTextEditor::AnnotationModel", false, 1, xcall_KTextEditor__AnnotationModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::AnnotationModel) },	//26
    { "KTextEditor::AnnotationViewInterface", false, 3, xcall_KTextEditor__AnnotationViewInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::AnnotationViewInterface) },	//27
    { "KTextEditor::Attribute", false, 5, xcall_KTextEditor__Attribute, xenum_KTextEditor__Attribute, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::Attribute) },	//28
    { "KTextEditor::CodeCompletionInterface", false, 0, xcall_KTextEditor__CodeCompletionInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CodeCompletionInterface) },	//29
    { "KTextEditor::CodeCompletionModel", false, 8, xcall_KTextEditor__CodeCompletionModel, xenum_KTextEditor__CodeCompletionModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::CodeCompletionModel) },	//30
    { "KTextEditor::CodeCompletionModel2", false, 10, xcall_KTextEditor__CodeCompletionModel2, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::CodeCompletionModel2) },	//31
    { "KTextEditor::CodeCompletionModelControllerInterface", false, 0, xcall_KTextEditor__CodeCompletionModelControllerInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CodeCompletionModelControllerInterface) },	//32
    { "KTextEditor::CodeCompletionModelControllerInterface2", false, 12, xcall_KTextEditor__CodeCompletionModelControllerInterface2, xenum_KTextEditor__CodeCompletionModelControllerInterface2, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CodeCompletionModelControllerInterface2) },	//33
    { "KTextEditor::Command", false, 0, xcall_KTextEditor__Command, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::Command) },	//34
    { "KTextEditor::CommandExtension", false, 0, xcall_KTextEditor__CommandExtension, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CommandExtension) },	//35
    { "KTextEditor::CommandInterface", false, 0, xcall_KTextEditor__CommandInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CommandInterface) },	//36
    { "KTextEditor::ConfigInterface", false, 0, xcall_KTextEditor__ConfigInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::ConfigInterface) },	//37
    { "KTextEditor::ConfigPage", false, 14, xcall_KTextEditor__ConfigPage, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::ConfigPage) },	//38
    { "KTextEditor::ContainerInterface", false, 0, xcall_KTextEditor__ContainerInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::ContainerInterface) },	//39
    { "KTextEditor::CoordinatesToCursorInterface", false, 0, xcall_KTextEditor__CoordinatesToCursorInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CoordinatesToCursorInterface) },	//40
    { "KTextEditor::Cursor", false, 0, xcall_KTextEditor__Cursor, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::Cursor) },	//41
    { "KTextEditor::Document", false, 16, xcall_KTextEditor__Document, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::Document) },	//42
    { "KTextEditor::Editor", false, 1, xcall_KTextEditor__Editor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::Editor) },	//43
    { "KTextEditor::EditorChooser", false, 14, xcall_KTextEditor__EditorChooser, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::EditorChooser) },	//44
    { "KTextEditor::Factory", false, 18, xcall_KTextEditor__Factory, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::Factory) },	//45
    { "KTextEditor::HighlightInterface", false, 0, xcall_KTextEditor__HighlightInterface, xenum_KTextEditor__HighlightInterface, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::HighlightInterface) },	//46
    { "KTextEditor::HighlightInterface::AttributeBlock", false, 0, xcall_KTextEditor__HighlightInterface__AttributeBlock, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTextEditor::HighlightInterface::AttributeBlock) },	//47
    { "KTextEditor::LoadSaveFilterCheckPlugin", false, 1, xcall_KTextEditor__LoadSaveFilterCheckPlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::LoadSaveFilterCheckPlugin) },	//48
    { "KTextEditor::Mark", false, 0, xcall_KTextEditor__Mark, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTextEditor::Mark) },	//49
    { "KTextEditor::MarkInterface", false, 0, xcall_KTextEditor__MarkInterface, xenum_KTextEditor__MarkInterface, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::MarkInterface) },	//50
    { "KTextEditor::MdiContainer", false, 0, xcall_KTextEditor__MdiContainer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::MdiContainer) },	//51
    { "KTextEditor::ModificationInterface", false, 0, xcall_KTextEditor__ModificationInterface, xenum_KTextEditor__ModificationInterface, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::ModificationInterface) },	//52
    { "KTextEditor::ParameterizedSessionConfigInterface", false, 0, xcall_KTextEditor__ParameterizedSessionConfigInterface, xenum_KTextEditor__ParameterizedSessionConfigInterface, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::ParameterizedSessionConfigInterface) },	//53
    { "KTextEditor::Plugin", false, 1, xcall_KTextEditor__Plugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::Plugin) },	//54
    { "KTextEditor::Range", false, 0, xcall_KTextEditor__Range, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::Range) },	//55
    { "KTextEditor::RangeCommand", false, 0, xcall_KTextEditor__RangeCommand, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::RangeCommand) },	//56
    { "KTextEditor::SearchInterface", false, 0, xcall_KTextEditor__SearchInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SearchInterface) },	//57
    { "KTextEditor::SessionConfigInterface", false, 0, xcall_KTextEditor__SessionConfigInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SessionConfigInterface) },	//58
    { "KTextEditor::SmartCursor", false, 20, xcall_KTextEditor__SmartCursor, xenum_KTextEditor__SmartCursor, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::SmartCursor) },	//59
    { "KTextEditor::SmartCursorNotifier", false, 1, xcall_KTextEditor__SmartCursorNotifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::SmartCursorNotifier) },	//60
    { "KTextEditor::SmartCursorWatcher", false, 0, xcall_KTextEditor__SmartCursorWatcher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SmartCursorWatcher) },	//61
    { "KTextEditor::SmartInterface", false, 0, xcall_KTextEditor__SmartInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SmartInterface) },	//62
    { "KTextEditor::SmartRange", false, 22, xcall_KTextEditor__SmartRange, xenum_KTextEditor__SmartRange, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::SmartRange) },	//63
    { "KTextEditor::SmartRangeNotifier", false, 1, xcall_KTextEditor__SmartRangeNotifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::SmartRangeNotifier) },	//64
    { "KTextEditor::SmartRangeWatcher", false, 0, xcall_KTextEditor__SmartRangeWatcher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SmartRangeWatcher) },	//65
    { "KTextEditor::TemplateInterface", false, 0, xcall_KTextEditor__TemplateInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::TemplateInterface) },	//66
    { "KTextEditor::TextHintInterface", false, 0, xcall_KTextEditor__TextHintInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::TextHintInterface) },	//67
    { "KTextEditor::VariableInterface", false, 0, xcall_KTextEditor__VariableInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::VariableInterface) },	//68
    { "KTextEditor::View", false, 24, xcall_KTextEditor__View, xenum_KTextEditor__View, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::View) },	//69
    { "KTextEditor::ViewBarContainer", false, 0, xcall_KTextEditor__ViewBarContainer, xenum_KTextEditor__ViewBarContainer, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::ViewBarContainer) },	//70
    { "KUrl", true, 0, 0, 0, 0, 0 },	//71
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//72
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//73
    { "QAction", true, 0, 0, 0, 0, 0 },	//74
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//75
    { "QBool", true, 0, 0, 0, 0, 0 },	//76
    { "QBrush", true, 0, 0, 0, 0, 0 },	//77
    { "QChar", true, 0, 0, 0, 0, 0 },	//78
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//79
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//80
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//81
    { "QDomDocument", true, 0, 0, 0, 0, 0 },	//82
    { "QDomElement", true, 0, 0, 0, 0, 0 },	//83
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//84
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//85
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//86
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//87
    { "QEvent", true, 0, 0, 0, 0, 0 },	//88
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//89
    { "QFont", true, 0, 0, 0, 0, 0 },	//90
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//91
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//92
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//93
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//94
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//95
    { "QMenu", true, 0, 0, 0, 0, 0 },	//96
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//97
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//98
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//99
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//100
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//101
    { "QMutex", true, 0, 0, 0, 0, 0 },	//102
    { "QObject", true, 0, 0, 0, 0, 0 },	//103
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//104
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//105
    { "QPalette", true, 0, 0, 0, 0, 0 },	//106
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//107
    { "QPoint", true, 0, 0, 0, 0, 0 },	//108
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//109
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//110
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//111
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//112
    { "QSize", true, 0, 0, 0, 0, 0 },	//113
    { "QStyle", true, 0, 0, 0, 0, 0 },	//114
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//115
    { "QTextCharFormat", true, 0, 0, 0, 0, 0 },	//116
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//117
    { "QVariant", true, 0, 0, 0, 0, 0 },	//118
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//119
    { "QWidget", true, 0, 0, 0, 0, 0 },	//120
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KAction*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KActionCollection*", 3, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KCharsets*", 4, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KCompletion*", 5, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KComponentData", 6, Smoke::t_class|Smoke::tf_stack },	//5
    { "KConfig*", 7, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KConfigGroup&", 8, Smoke::t_class|Smoke::tf_ref },	//7
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//8
    { "KIcon", 9, Smoke::t_class|Smoke::tf_stack },	//9
    { "KLocale*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "KParts::GUIActivateEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//11
    { "KParts::Part*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "KParts::PartActivateEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//13
    { "KParts::PartManager*", 16, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KParts::PartSelectEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//15
    { "KService", 21, Smoke::t_class|Smoke::tf_stack },	//16
    { "KSharedConfig", 22, Smoke::t_class|Smoke::tf_stack },	//17
    { "KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack },	//18
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//19
    { "KSharedPtr<KTextEditor::Attribute>", 0, Smoke::t_voidp|Smoke::tf_stack },	//20
    { "KSharedPtr<KTextEditor::Attribute>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//21
    { "KStandardDirs*", 23, Smoke::t_class|Smoke::tf_ptr },	//22
    { "KSycocaFactoryId", 91, Smoke::t_enum|Smoke::tf_stack },	//23
    { "KSycocaType", 91, Smoke::t_enum|Smoke::tf_stack },	//24
    { "KTextEditor::AnnotationInterface*", 25, Smoke::t_class|Smoke::tf_ptr },	//25
    { "KTextEditor::AnnotationModel*", 26, Smoke::t_class|Smoke::tf_ptr },	//26
    { "KTextEditor::AnnotationViewInterface*", 27, Smoke::t_class|Smoke::tf_ptr },	//27
    { "KTextEditor::Attribute", 28, Smoke::t_class|Smoke::tf_stack },	//28
    { "KTextEditor::Attribute&", 28, Smoke::t_class|Smoke::tf_ref },	//29
    { "KTextEditor::Attribute*", 28, Smoke::t_class|Smoke::tf_ptr },	//30
    { "KTextEditor::Attribute::ActivationType", 28, Smoke::t_enum|Smoke::tf_stack },	//31
    { "KTextEditor::Attribute::CustomProperties", 28, Smoke::t_enum|Smoke::tf_stack },	//32
    { "KTextEditor::Attribute::Effect", 28, Smoke::t_enum|Smoke::tf_stack },	//33
    { "KTextEditor::Attribute::Effects::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//34
    { "KTextEditor::Attribute::Ptr", 0, Smoke::t_voidp|Smoke::tf_stack },	//35
    { "KTextEditor::CodeCompletionInterface*", 29, Smoke::t_class|Smoke::tf_ptr },	//36
    { "KTextEditor::CodeCompletionModel*", 30, Smoke::t_class|Smoke::tf_ptr },	//37
    { "KTextEditor::CodeCompletionModel2*", 31, Smoke::t_class|Smoke::tf_ptr },	//38
    { "KTextEditor::CodeCompletionModel::Columns", 30, Smoke::t_enum|Smoke::tf_stack },	//39
    { "KTextEditor::CodeCompletionModel::CompletionProperties::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//40
    { "KTextEditor::CodeCompletionModel::CompletionProperty", 30, Smoke::t_enum|Smoke::tf_stack },	//41
    { "KTextEditor::CodeCompletionModel::ExtraItemDataRoles", 30, Smoke::t_enum|Smoke::tf_stack },	//42
    { "KTextEditor::CodeCompletionModel::HighlightMethod", 30, Smoke::t_enum|Smoke::tf_stack },	//43
    { "KTextEditor::CodeCompletionModel::HighlightMethods::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//44
    { "KTextEditor::CodeCompletionModel::InvocationType", 30, Smoke::t_enum|Smoke::tf_stack },	//45
    { "KTextEditor::CodeCompletionModelControllerInterface*", 32, Smoke::t_class|Smoke::tf_ptr },	//46
    { "KTextEditor::CodeCompletionModelControllerInterface2*", 33, Smoke::t_class|Smoke::tf_ptr },	//47
    { "KTextEditor::CodeCompletionModelControllerInterface2::MatchReaction", 33, Smoke::t_enum|Smoke::tf_stack },	//48
    { "KTextEditor::Command*", 34, Smoke::t_class|Smoke::tf_ptr },	//49
    { "KTextEditor::CommandExtension*", 35, Smoke::t_class|Smoke::tf_ptr },	//50
    { "KTextEditor::CommandInterface*", 36, Smoke::t_class|Smoke::tf_ptr },	//51
    { "KTextEditor::ConfigInterface*", 37, Smoke::t_class|Smoke::tf_ptr },	//52
    { "KTextEditor::ConfigPage*", 38, Smoke::t_class|Smoke::tf_ptr },	//53
    { "KTextEditor::ContainerInterface*", 39, Smoke::t_class|Smoke::tf_ptr },	//54
    { "KTextEditor::CoordinatesToCursorInterface*", 40, Smoke::t_class|Smoke::tf_ptr },	//55
    { "KTextEditor::Cursor", 41, Smoke::t_class|Smoke::tf_stack },	//56
    { "KTextEditor::Cursor&", 41, Smoke::t_class|Smoke::tf_ref },	//57
    { "KTextEditor::Cursor*", 41, Smoke::t_class|Smoke::tf_ptr },	//58
    { "KTextEditor::Document*", 42, Smoke::t_class|Smoke::tf_ptr },	//59
    { "KTextEditor::Editor*", 43, Smoke::t_class|Smoke::tf_ptr },	//60
    { "KTextEditor::EditorChooser*", 44, Smoke::t_class|Smoke::tf_ptr },	//61
    { "KTextEditor::Factory*", 45, Smoke::t_class|Smoke::tf_ptr },	//62
    { "KTextEditor::HighlightInterface*", 46, Smoke::t_class|Smoke::tf_ptr },	//63
    { "KTextEditor::HighlightInterface::AttributeBlock", 47, Smoke::t_class|Smoke::tf_stack },	//64
    { "KTextEditor::HighlightInterface::AttributeBlock*", 47, Smoke::t_class|Smoke::tf_ptr },	//65
    { "KTextEditor::HighlightInterface::DefaultStyle", 46, Smoke::t_enum|Smoke::tf_stack },	//66
    { "KTextEditor::LoadSaveFilterCheckPlugin*", 48, Smoke::t_class|Smoke::tf_ptr },	//67
    { "KTextEditor::Mark", 49, Smoke::t_class|Smoke::tf_stack },	//68
    { "KTextEditor::Mark*", 49, Smoke::t_class|Smoke::tf_ptr },	//69
    { "KTextEditor::MarkInterface*", 50, Smoke::t_class|Smoke::tf_ptr },	//70
    { "KTextEditor::MarkInterface::MarkChangeAction", 50, Smoke::t_enum|Smoke::tf_stack },	//71
    { "KTextEditor::MarkInterface::MarkTypes", 50, Smoke::t_enum|Smoke::tf_stack },	//72
    { "KTextEditor::MdiContainer*", 51, Smoke::t_class|Smoke::tf_ptr },	//73
    { "KTextEditor::ModificationInterface*", 52, Smoke::t_class|Smoke::tf_ptr },	//74
    { "KTextEditor::ModificationInterface::ModifiedOnDiskReason", 52, Smoke::t_enum|Smoke::tf_stack },	//75
    { "KTextEditor::ParameterizedSessionConfigInterface*", 53, Smoke::t_class|Smoke::tf_ptr },	//76
    { "KTextEditor::ParameterizedSessionConfigInterface::SessionConfigParameter", 53, Smoke::t_enum|Smoke::tf_stack },	//77
    { "KTextEditor::Plugin*", 54, Smoke::t_class|Smoke::tf_ptr },	//78
    { "KTextEditor::Range", 55, Smoke::t_class|Smoke::tf_stack },	//79
    { "KTextEditor::Range&", 55, Smoke::t_class|Smoke::tf_ref },	//80
    { "KTextEditor::Range*", 55, Smoke::t_class|Smoke::tf_ptr },	//81
    { "KTextEditor::RangeCommand*", 56, Smoke::t_class|Smoke::tf_ptr },	//82
    { "KTextEditor::Search::SearchOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//83
    { "KTextEditor::Search::SearchOptionsEnum", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "KTextEditor::SearchInterface*", 57, Smoke::t_class|Smoke::tf_ptr },	//85
    { "KTextEditor::SessionConfigInterface*", 58, Smoke::t_class|Smoke::tf_ptr },	//86
    { "KTextEditor::SmartCursor&", 59, Smoke::t_class|Smoke::tf_ref },	//87
    { "KTextEditor::SmartCursor*", 59, Smoke::t_class|Smoke::tf_ptr },	//88
    { "KTextEditor::SmartCursor::AdvanceMode", 59, Smoke::t_enum|Smoke::tf_stack },	//89
    { "KTextEditor::SmartCursor::InsertBehavior", 59, Smoke::t_enum|Smoke::tf_stack },	//90
    { "KTextEditor::SmartCursorNotifier*", 60, Smoke::t_class|Smoke::tf_ptr },	//91
    { "KTextEditor::SmartCursorWatcher*", 61, Smoke::t_class|Smoke::tf_ptr },	//92
    { "KTextEditor::SmartInterface*", 62, Smoke::t_class|Smoke::tf_ptr },	//93
    { "KTextEditor::SmartRange&", 63, Smoke::t_class|Smoke::tf_ref },	//94
    { "KTextEditor::SmartRange*", 63, Smoke::t_class|Smoke::tf_ptr },	//95
    { "KTextEditor::SmartRange::InsertBehavior", 63, Smoke::t_enum|Smoke::tf_stack },	//96
    { "KTextEditor::SmartRange::InsertBehaviors::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//97
    { "KTextEditor::SmartRangeNotifier*", 64, Smoke::t_class|Smoke::tf_ptr },	//98
    { "KTextEditor::SmartRangeWatcher*", 65, Smoke::t_class|Smoke::tf_ptr },	//99
    { "KTextEditor::TemplateInterface*", 66, Smoke::t_class|Smoke::tf_ptr },	//100
    { "KTextEditor::TextHintInterface*", 67, Smoke::t_class|Smoke::tf_ptr },	//101
    { "KTextEditor::VariableInterface*", 68, Smoke::t_class|Smoke::tf_ptr },	//102
    { "KTextEditor::View*", 69, Smoke::t_class|Smoke::tf_ptr },	//103
    { "KTextEditor::View::EditMode", 69, Smoke::t_enum|Smoke::tf_stack },	//104
    { "KTextEditor::ViewBarContainer*", 70, Smoke::t_class|Smoke::tf_ptr },	//105
    { "KTextEditor::ViewBarContainer::Position", 70, Smoke::t_enum|Smoke::tf_stack },	//106
    { "KUrl", 71, Smoke::t_class|Smoke::tf_stack },	//107
    { "KXMLGUIClient::ReverseStateChange", 72, Smoke::t_enum|Smoke::tf_stack },	//108
    { "QAction*", 74, Smoke::t_class|Smoke::tf_ptr },	//109
    { "QActionEvent*", 75, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QBool", 76, Smoke::t_class|Smoke::tf_stack },	//111
    { "QBrush", 77, Smoke::t_class|Smoke::tf_stack },	//112
    { "QChar", 78, Smoke::t_class|Smoke::tf_stack },	//113
    { "QChildEvent*", 79, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QCloseEvent*", 80, Smoke::t_class|Smoke::tf_ptr },	//115
    { "QContextMenuEvent*", 81, Smoke::t_class|Smoke::tf_ptr },	//116
    { "QDomDocument", 82, Smoke::t_class|Smoke::tf_stack },	//117
    { "QDragEnterEvent*", 84, Smoke::t_class|Smoke::tf_ptr },	//118
    { "QDragLeaveEvent*", 85, Smoke::t_class|Smoke::tf_ptr },	//119
    { "QDragMoveEvent*", 86, Smoke::t_class|Smoke::tf_ptr },	//120
    { "QDropEvent*", 87, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QEvent*", 88, Smoke::t_class|Smoke::tf_ptr },	//122
    { "QFlags<KTextEditor::Attribute::Effect>", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "QFlags<KTextEditor::Attribute::Effects::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//124
    { "QFlags<KTextEditor::CodeCompletionModel::CompletionProperties::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//125
    { "QFlags<KTextEditor::CodeCompletionModel::HighlightMethods::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//126
    { "QFlags<KTextEditor::Search::SearchOptions::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//127
    { "QFlags<KTextEditor::Search::SearchOptionsEnum>", 0, Smoke::t_uint|Smoke::tf_stack },	//128
    { "QFlags<KTextEditor::SmartRange::InsertBehavior>", 0, Smoke::t_uint|Smoke::tf_stack },	//129
    { "QFlags<KTextEditor::SmartRange::InsertBehaviors::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//130
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//131
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//132
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//133
    { "QFocusEvent*", 89, Smoke::t_class|Smoke::tf_ptr },	//134
    { "QHideEvent*", 92, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QIncompatibleFlag", 93, Smoke::t_class|Smoke::tf_stack },	//136
    { "QInputMethodEvent*", 94, Smoke::t_class|Smoke::tf_ptr },	//137
    { "QKeyEvent*", 95, Smoke::t_class|Smoke::tf_ptr },	//138
    { "QList<KTextEditor::Command*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//139
    { "QList<KTextEditor::HighlightInterface::AttributeBlock>", 0, Smoke::t_voidp|Smoke::tf_stack },	//140
    { "QList<KTextEditor::SmartRange*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//141
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//142
    { "QMap<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//143
    { "QMap<QString,QString>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//144
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//145
    { "QMenu*", 96, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QMetaObject::Call", 97, Smoke::t_enum|Smoke::tf_stack },	//147
    { "QMimeData*", 98, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QModelIndex", 99, Smoke::t_class|Smoke::tf_stack },	//149
    { "QMouseEvent*", 100, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QMoveEvent*", 101, Smoke::t_class|Smoke::tf_ptr },	//151
    { "QMutex*", 102, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QObject*", 103, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "QPaintEngine*", 104, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QPaintEvent*", 105, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QPixmap", 107, Smoke::t_class|Smoke::tf_stack },	//157
    { "QPoint", 108, Smoke::t_class|Smoke::tf_stack },	//158
    { "QRegExp&", 109, Smoke::t_class|Smoke::tf_ref },	//159
    { "QResizeEvent*", 110, Smoke::t_class|Smoke::tf_ptr },	//160
    { "QShowEvent*", 112, Smoke::t_class|Smoke::tf_ptr },	//161
    { "QSize", 113, Smoke::t_class|Smoke::tf_stack },	//162
    { "QStack<KTextEditor::SmartRange*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//163
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//164
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//165
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//166
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//167
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//168
    { "QStyle&", 114, Smoke::t_class|Smoke::tf_ref },	//169
    { "QTabletEvent*", 115, Smoke::t_class|Smoke::tf_ptr },	//170
    { "QTimerEvent*", 117, Smoke::t_class|Smoke::tf_ptr },	//171
    { "QVariant", 118, Smoke::t_class|Smoke::tf_stack },	//172
    { "QVector<KTextEditor::Range>", 0, Smoke::t_voidp|Smoke::tf_stack },	//173
    { "QWheelEvent*", 119, Smoke::t_class|Smoke::tf_ptr },	//174
    { "QWidget*", 120, Smoke::t_class|Smoke::tf_ptr },	//175
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//237
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "QtMsgType", 91, Smoke::t_enum|Smoke::tf_stack },	//248
    { "QtValidLicenseForActiveQtModule", 91, Smoke::t_enum|Smoke::tf_stack },	//249
    { "QtValidLicenseForCoreModule", 91, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QtValidLicenseForDBusModule", 91, Smoke::t_enum|Smoke::tf_stack },	//251
    { "QtValidLicenseForDeclarativeModule", 91, Smoke::t_enum|Smoke::tf_stack },	//252
    { "QtValidLicenseForGuiModule", 91, Smoke::t_enum|Smoke::tf_stack },	//253
    { "QtValidLicenseForHelpModule", 91, Smoke::t_enum|Smoke::tf_stack },	//254
    { "QtValidLicenseForMultimediaModule", 91, Smoke::t_enum|Smoke::tf_stack },	//255
    { "QtValidLicenseForNetworkModule", 91, Smoke::t_enum|Smoke::tf_stack },	//256
    { "QtValidLicenseForOpenGLModule", 91, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QtValidLicenseForOpenVGModule", 91, Smoke::t_enum|Smoke::tf_stack },	//258
    { "QtValidLicenseForQt3SupportLightModule", 91, Smoke::t_enum|Smoke::tf_stack },	//259
    { "QtValidLicenseForQt3SupportModule", 91, Smoke::t_enum|Smoke::tf_stack },	//260
    { "QtValidLicenseForScriptModule", 91, Smoke::t_enum|Smoke::tf_stack },	//261
    { "QtValidLicenseForScriptToolsModule", 91, Smoke::t_enum|Smoke::tf_stack },	//262
    { "QtValidLicenseForSqlModule", 91, Smoke::t_enum|Smoke::tf_stack },	//263
    { "QtValidLicenseForSvgModule", 91, Smoke::t_enum|Smoke::tf_stack },	//264
    { "QtValidLicenseForTestModule", 91, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QtValidLicenseForXmlModule", 91, Smoke::t_enum|Smoke::tf_stack },	//266
    { "QtValidLicenseForXmlPatternsModule", 91, Smoke::t_enum|Smoke::tf_stack },	//267
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//268
    { "__codecvt_result", 91, Smoke::t_enum|Smoke::tf_stack },	//269
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//270
    { "const KAboutData*", 1, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//271
    { "const KComponentData&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const KConfigGroup&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const KSharedPtr<KTextEditor::Attribute>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const KTextEditor::AnnotationInterface&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const KTextEditor::AnnotationViewInterface&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const KTextEditor::Attribute&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const KTextEditor::CodeCompletionInterface&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const KTextEditor::CodeCompletionModelControllerInterface&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const KTextEditor::CodeCompletionModelControllerInterface2&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const KTextEditor::Command&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const KTextEditor::CommandExtension&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const KTextEditor::CommandInterface&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const KTextEditor::ConfigInterface&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const KTextEditor::ContainerInterface&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const KTextEditor::CoordinatesToCursorInterface&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const KTextEditor::Cursor&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const KTextEditor::HighlightInterface&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const KTextEditor::HighlightInterface::AttributeBlock&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const KTextEditor::HighlightInterface::DefaultStyle", 46, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//290
    { "const KTextEditor::Mark&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const KTextEditor::MarkInterface&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const KTextEditor::MdiContainer&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const KTextEditor::ModificationInterface&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const KTextEditor::ParameterizedSessionConfigInterface&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const KTextEditor::Range&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const KTextEditor::RangeCommand&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//297
    { "const KTextEditor::SearchInterface&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const KTextEditor::SessionConfigInterface&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//299
    { "const KTextEditor::SmartCursor&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//300
    { "const KTextEditor::SmartCursorWatcher&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const KTextEditor::SmartInterface&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const KTextEditor::SmartRange&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//303
    { "const KTextEditor::SmartRange*", 63, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//304
    { "const KTextEditor::SmartRangeWatcher&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//305
    { "const KTextEditor::TemplateInterface&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//306
    { "const KTextEditor::TextHintInterface&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const KTextEditor::VariableInterface&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//308
    { "const KTextEditor::ViewBarContainer&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//309
    { "const KUrl&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//310
    { "const QBrush&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//311
    { "const QDomDocument&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//312
    { "const QDomElement&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//313
    { "const QFlags<KTextEditor::Search::SearchOptionsEnum>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//314
    { "const QFont&", 90, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//315
    { "const QHash<int,KTextEditor::Mark*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//316
    { "const QList<KAction*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//317
    { "const QList<KTextEditor::Document*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//318
    { "const QList<KTextEditor::SmartRange*>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//319
    { "const QList<KTextEditor::SmartRange*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//320
    { "const QList<KTextEditor::SmartRangeNotifier*>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//321
    { "const QList<KTextEditor::SmartRangeWatcher*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const QList<KTextEditor::View*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//323
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//324
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//325
    { "const QMap<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const QMetaObject&", 97, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//328
    { "const QMetaObject*", 97, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//329
    { "const QMimeData*", 98, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//330
    { "const QModelIndex&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//331
    { "const QObject*", 103, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//332
    { "const QPalette&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//333
    { "const QPixmap&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//334
    { "const QPoint&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//335
    { "const QRegExp&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//336
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//337
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//338
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//339
    { "const QVariant&", 118, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//340
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//341
    { "const int", 0, Smoke::t_int|Smoke::tf_stack|Smoke::tf_const },	//342
    { "const unsigned int", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//343
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//344
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//345
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//346
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//347
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//348
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//349
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//350
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//351
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//352
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    175, 153, 341, 338, 0,	//1  QWidget*, QObject*, const char*, const QStringList&
    153, 341, 338, 0,	//6  QObject*, const char*, const QStringList&
    175, 0,	//10  QWidget*
    14, 0,	//12  KParts::PartManager*
    175, 335, 0,	//14  QWidget*, const QPoint&
    270, 0,	//17  bool
    122, 0,	//19  QEvent*
    13, 0,	//21  KParts::PartActivateEvent*
    15, 0,	//23  KParts::PartSelectEvent*
    272, 0,	//25  const KComponentData&
    272, 270, 0,	//27  const KComponentData&, bool
    310, 0,	//30  const KUrl&
    11, 0,	//32  KParts::GUIActivateEvent*
    341, 175, 153, 325, 337, 0,	//34  const char*, QWidget*, QObject*, const QList<QVariant>&, const QString&
    44, 126, 0,	//40  KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, QFlags<KTextEditor::CodeCompletionModel::HighlightMethods::enum_type>
    97, 97, 0,	//43  KTextEditor::SmartRange::InsertBehaviors::enum_type, KTextEditor::SmartRange::InsertBehaviors::enum_type
    44, 345, 0,	//46  KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, int
    34, 34, 0,	//49  KTextEditor::Attribute::Effects::enum_type, KTextEditor::Attribute::Effects::enum_type
    40, 125, 0,	//52  KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, QFlags<KTextEditor::CodeCompletionModel::CompletionProperties::enum_type>
    97, 345, 0,	//55  KTextEditor::SmartRange::InsertBehaviors::enum_type, int
    97, 130, 0,	//58  KTextEditor::SmartRange::InsertBehaviors::enum_type, QFlags<KTextEditor::SmartRange::InsertBehaviors::enum_type>
    34, 124, 0,	//61  KTextEditor::Attribute::Effects::enum_type, QFlags<KTextEditor::Attribute::Effects::enum_type>
    40, 40, 0,	//64  KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, KTextEditor::CodeCompletionModel::CompletionProperties::enum_type
    34, 345, 0,	//67  KTextEditor::Attribute::Effects::enum_type, int
    341, 0,	//70  const char*
    18, 153, 0,	//72  KSharedPtr<KService>, QObject*
    40, 345, 0,	//75  KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, int
    44, 44, 0,	//78  KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, KTextEditor::CodeCompletionModel::HighlightMethods::enum_type
    26, 0,	//81  KTextEditor::AnnotationModel*
    275, 0,	//83  const KTextEditor::AnnotationInterface&
    341, 341, 0,	//85  const char*, const char*
    341, 341, 345, 0,	//88  const char*, const char*, int
    147, 345, 351, 0,	//92  QMetaObject::Call, int, void**
    345, 211, 0,	//96  int, Qt::ItemDataRole
    345, 0,	//99  int
    103, 146, 345, 0,	//101  KTextEditor::View*, QMenu*, int
    103, 345, 0,	//105  KTextEditor::View*, int
    103, 270, 0,	//108  KTextEditor::View*, bool
    276, 0,	//111  const KTextEditor::AnnotationViewInterface&
    277, 0,	//113  const KTextEditor::Attribute&
    311, 0,	//115  const QBrush&
    31, 0,	//117  KTextEditor::Attribute::ActivationType
    31, 20, 0,	//119  KTextEditor::Attribute::ActivationType, KSharedPtr<KTextEditor::Attribute>
    123, 0,	//122  QFlags<KTextEditor::Attribute::Effect>
    296, 37, 0,	//124  const KTextEditor::Range&, KTextEditor::CodeCompletionModel*
    37, 0,	//127  KTextEditor::CodeCompletionModel*
    278, 0,	//129  const KTextEditor::CodeCompletionInterface&
    153, 0,	//131  QObject*
    103, 296, 45, 0,	//133  KTextEditor::View*, const KTextEditor::Range&, KTextEditor::CodeCompletionModel::InvocationType
    59, 296, 345, 0,	//137  KTextEditor::Document*, const KTextEditor::Range&, int
    331, 0,	//141  const QModelIndex&
    345, 345, 331, 0,	//143  int, int, const QModelIndex&
    37, 270, 0,	//147  KTextEditor::CodeCompletionModel*, bool
    345, 345, 0,	//150  int, int
    59, 296, 331, 0,	//153  KTextEditor::Document*, const KTextEditor::Range&, const QModelIndex&
    103, 337, 270, 287, 0,	//157  KTextEditor::View*, const QString&, bool, const KTextEditor::Cursor&
    103, 287, 0,	//162  KTextEditor::View*, const KTextEditor::Cursor&
    103, 94, 0,	//165  KTextEditor::View*, KTextEditor::SmartRange&
    103, 303, 287, 0,	//168  KTextEditor::View*, const KTextEditor::SmartRange&, const KTextEditor::Cursor&
    103, 303, 337, 0,	//172  KTextEditor::View*, const KTextEditor::SmartRange&, const QString&
    331, 113, 0,	//176  const QModelIndex&, QChar
    103, 0,	//179  KTextEditor::View*
    279, 0,	//181  const KTextEditor::CodeCompletionModelControllerInterface&
    280, 0,	//183  const KTextEditor::CodeCompletionModelControllerInterface2&
    103, 337, 165, 0,	//185  KTextEditor::View*, const QString&, QString&
    281, 0,	//189  const KTextEditor::Command&
    167, 0,	//191  QStringList&
    103, 337, 0,	//193  KTextEditor::View*, const QString&
    337, 0,	//196  const QString&
    282, 0,	//198  const KTextEditor::CommandExtension&
    49, 0,	//200  KTextEditor::Command*
    283, 0,	//202  const KTextEditor::CommandInterface&
    337, 340, 0,	//204  const QString&, const QVariant&
    284, 0,	//207  const KTextEditor::ConfigInterface&
    285, 0,	//209  const KTextEditor::ContainerInterface&
    335, 0,	//211  const QPoint&
    286, 0,	//213  const KTextEditor::CoordinatesToCursorInterface&
    287, 0,	//215  const KTextEditor::Cursor&
    346, 346, 0,	//217  int&, int&
    81, 0,	//220  KTextEditor::Range*
    59, 103, 0,	//222  KTextEditor::Document*, KTextEditor::View*
    59, 0,	//225  KTextEditor::Document*
    59, 270, 0,	//227  KTextEditor::Document*, bool
    296, 270, 0,	//230  const KTextEditor::Range&, bool
    338, 0,	//233  const QStringList&
    287, 337, 270, 0,	//235  const KTextEditor::Cursor&, const QString&, bool
    287, 338, 270, 0,	//239  const KTextEditor::Cursor&, const QStringList&, bool
    296, 337, 270, 0,	//243  const KTextEditor::Range&, const QString&, bool
    296, 338, 270, 0,	//247  const KTextEditor::Range&, const QStringList&, bool
    345, 337, 0,	//251  int, const QString&
    345, 338, 0,	//254  int, const QStringList&
    59, 296, 0,	//257  KTextEditor::Document*, const KTextEditor::Range&
    59, 296, 337, 0,	//260  KTextEditor::Document*, const KTextEditor::Range&, const QString&
    59, 296, 296, 0,	//264  KTextEditor::Document*, const KTextEditor::Range&, const KTextEditor::Range&
    59, 296, 337, 296, 0,	//268  KTextEditor::Document*, const KTextEditor::Range&, const QString&, const KTextEditor::Range&
    296, 0,	//273  const KTextEditor::Range&
    287, 337, 0,	//275  const KTextEditor::Cursor&, const QString&
    287, 338, 0,	//278  const KTextEditor::Cursor&, const QStringList&
    296, 337, 0,	//281  const KTextEditor::Range&, const QString&
    296, 338, 0,	//284  const KTextEditor::Range&, const QStringList&
    6, 0,	//287  KConfig*
    345, 175, 0,	//289  int, QWidget*
    60, 59, 0,	//292  KTextEditor::Editor*, KTextEditor::Document*
    337, 270, 0,	//295  const QString&, bool
    290, 0,	//298  const KTextEditor::HighlightInterface::DefaultStyle
    343, 0,	//300  const unsigned int
    288, 0,	//302  const KTextEditor::HighlightInterface&
    342, 342, 274, 0,	//304  const int, const int, const KSharedPtr<KTextEditor::Attribute>&
    289, 0,	//308  const KTextEditor::HighlightInterface::AttributeBlock&
    274, 0,	//310  const KSharedPtr<KTextEditor::Attribute>&
    291, 0,	//312  const KTextEditor::Mark&
    348, 0,	//314  unsigned int
    345, 348, 0,	//316  int, unsigned int
    72, 334, 0,	//319  KTextEditor::MarkInterface::MarkTypes, const QPixmap&
    72, 0,	//322  KTextEditor::MarkInterface::MarkTypes
    72, 337, 0,	//324  KTextEditor::MarkInterface::MarkTypes, const QString&
    59, 68, 71, 0,	//327  KTextEditor::Document*, KTextEditor::Mark, KTextEditor::MarkInterface::MarkChangeAction
    292, 0,	//331  const KTextEditor::MarkInterface&
    293, 0,	//333  const KTextEditor::MdiContainer&
    75, 0,	//335  KTextEditor::ModificationInterface::ModifiedOnDiskReason
    59, 270, 75, 0,	//337  KTextEditor::Document*, bool, KTextEditor::ModificationInterface::ModifiedOnDiskReason
    294, 0,	//341  const KTextEditor::ModificationInterface&
    273, 349, 0,	//343  const KConfigGroup&, unsigned long
    7, 349, 0,	//346  KConfigGroup&, unsigned long
    295, 0,	//349  const KTextEditor::ParameterizedSessionConfigInterface&
    287, 287, 0,	//351  const KTextEditor::Cursor&, const KTextEditor::Cursor&
    287, 345, 0,	//354  const KTextEditor::Cursor&, int
    287, 345, 345, 0,	//357  const KTextEditor::Cursor&, int, int
    345, 345, 345, 345, 0,	//361  int, int, int, int
    58, 58, 0,	//366  KTextEditor::Cursor*, KTextEditor::Cursor*
    58, 296, 0,	//369  KTextEditor::Cursor*, const KTextEditor::Range&
    58, 0,	//372  KTextEditor::Cursor*
    103, 337, 165, 296, 0,	//374  KTextEditor::View*, const QString&, QString&, const KTextEditor::Range&
    297, 0,	//379  const KTextEditor::RangeCommand&
    296, 337, 314, 0,	//381  const KTextEditor::Range&, const QString&, const QFlags<KTextEditor::Search::SearchOptionsEnum>
    298, 0,	//385  const KTextEditor::SearchInterface&
    273, 0,	//387  const KConfigGroup&
    7, 0,	//389  KConfigGroup&
    299, 0,	//391  const KTextEditor::SessionConfigInterface&
    338, 270, 0,	//393  const QStringList&, bool
    345, 89, 0,	//396  int, KTextEditor::SmartCursor::AdvanceMode
    90, 0,	//399  KTextEditor::SmartCursor::InsertBehavior
    92, 0,	//401  KTextEditor::SmartCursorWatcher*
    300, 0,	//403  const KTextEditor::SmartCursor&
    287, 59, 90, 0,	//405  const KTextEditor::Cursor&, KTextEditor::Document*, KTextEditor::SmartCursor::InsertBehavior
    88, 0,	//409  KTextEditor::SmartCursor*
    88, 270, 0,	//411  KTextEditor::SmartCursor*, bool
    301, 0,	//414  const KTextEditor::SmartCursorWatcher&
    287, 90, 0,	//416  const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior
    296, 129, 0,	//419  const KTextEditor::Range&, QFlags<KTextEditor::SmartRange::InsertBehavior>
    345, 345, 90, 0,	//422  int, int, KTextEditor::SmartCursor::InsertBehavior
    296, 95, 129, 0,	//426  const KTextEditor::Range&, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>
    287, 287, 95, 129, 0,	//430  const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>
    345, 345, 345, 345, 95, 129, 0,	//435  int, int, int, int, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>
    88, 88, 95, 129, 0,	//442  KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>
    95, 0,	//447  KTextEditor::SmartRange*
    95, 270, 0,	//449  KTextEditor::SmartRange*, bool
    103, 95, 270, 0,	//452  KTextEditor::View*, KTextEditor::SmartRange*, bool
    103, 95, 0,	//456  KTextEditor::View*, KTextEditor::SmartRange*
    20, 0,	//459  KSharedPtr<KTextEditor::Attribute>
    302, 0,	//461  const KTextEditor::SmartInterface&
    296, 95, 0,	//463  const KTextEditor::Range&, KTextEditor::SmartRange*
    287, 287, 95, 0,	//466  const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*
    345, 345, 345, 345, 95, 0,	//470  int, int, int, int, KTextEditor::SmartRange*
    88, 88, 0,	//476  KTextEditor::SmartCursor*, KTextEditor::SmartCursor*
    88, 88, 95, 0,	//479  KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*
    129, 0,	//483  QFlags<KTextEditor::SmartRange::InsertBehavior>
    304, 0,	//485  const KTextEditor::SmartRange*
    287, 163, 163, 0,	//487  const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*, QStack<KTextEditor::SmartRange*>*
    1, 0,	//491  KAction*
    98, 0,	//493  KTextEditor::SmartRangeNotifier*
    99, 0,	//495  KTextEditor::SmartRangeWatcher*
    303, 0,	//497  const KTextEditor::SmartRange&
    287, 163, 0,	//499  const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*
    95, 95, 0,	//502  KTextEditor::SmartRange*, KTextEditor::SmartRange*
    95, 103, 0,	//505  KTextEditor::SmartRange*, KTextEditor::View*
    95, 95, 95, 0,	//508  KTextEditor::SmartRange*, KTextEditor::SmartRange*, KTextEditor::SmartRange*
    95, 35, 35, 0,	//512  KTextEditor::SmartRange*, KTextEditor::Attribute::Ptr, KTextEditor::Attribute::Ptr
    95, 20, 20, 0,	//516  KTextEditor::SmartRange*, KSharedPtr<KTextEditor::Attribute>, KSharedPtr<KTextEditor::Attribute>
    305, 0,	//520  const KTextEditor::SmartRangeWatcher&
    143, 175, 0,	//522  QMap<QString,QString>&, QWidget*
    287, 337, 326, 0,	//525  const KTextEditor::Cursor&, const QString&, const QMap<QString,QString>&
    337, 144, 0,	//529  const QString&, QMap<QString,QString>*
    306, 0,	//532  const KTextEditor::TemplateInterface&
    287, 165, 0,	//534  const KTextEditor::Cursor&, QString&
    307, 0,	//537  const KTextEditor::TextHintInterface&
    59, 337, 337, 0,	//539  KTextEditor::Document*, const QString&, const QString&
    308, 0,	//543  const KTextEditor::VariableInterface&
    103, 104, 0,	//545  KTextEditor::View*, KTextEditor::View::EditMode
    103, 287, 337, 0,	//548  KTextEditor::View*, const KTextEditor::Cursor&, const QString&
    146, 0,	//552  QMenu*
    103, 146, 0,	//554  KTextEditor::View*, QMenu*
    56, 0,	//557  KTextEditor::Cursor
    287, 345, 270, 0,	//559  const KTextEditor::Cursor&, int, bool
    103, 106, 0,	//563  KTextEditor::View*, KTextEditor::ViewBarContainer::Position
    103, 175, 106, 0,	//566  KTextEditor::View*, QWidget*, KTextEditor::ViewBarContainer::Position
    309, 0,	//570  const KTextEditor::ViewBarContainer&
    313, 0,	//572  const QDomElement&
    337, 270, 270, 0,	//574  const QString&, bool, bool
    312, 270, 0,	//578  const QDomDocument&, bool
    337, 108, 0,	//581  const QString&, KXMLGUIClient::ReverseStateChange
    345, 350, 0,	//584  int, void*
    331, 345, 0,	//587  const QModelIndex&, int
    331, 340, 345, 0,	//590  const QModelIndex&, const QVariant&, int
    345, 222, 345, 0,	//594  int, Qt::Orientation, int
    345, 222, 340, 345, 0,	//598  int, Qt::Orientation, const QVariant&, int
    331, 327, 0,	//603  const QModelIndex&, const QMap<int,QVariant>&
    324, 0,	//606  const QList<QModelIndex>&
    330, 198, 345, 345, 331, 0,	//608  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    345, 230, 0,	//614  int, Qt::SortOrder
    331, 345, 340, 345, 133, 0,	//617  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    153, 122, 0,	//623  QObject*, QEvent*
    171, 0,	//626  QTimerEvent*
    114, 0,	//628  QChildEvent*
    150, 0,	//630  QMouseEvent*
    174, 0,	//632  QWheelEvent*
    138, 0,	//634  QKeyEvent*
    134, 0,	//636  QFocusEvent*
    156, 0,	//638  QPaintEvent*
    151, 0,	//640  QMoveEvent*
    160, 0,	//642  QResizeEvent*
    115, 0,	//644  QCloseEvent*
    116, 0,	//646  QContextMenuEvent*
    170, 0,	//648  QTabletEvent*
    110, 0,	//650  QActionEvent*
    118, 0,	//652  QDragEnterEvent*
    120, 0,	//654  QDragMoveEvent*
    119, 0,	//656  QDragLeaveEvent*
    121, 0,	//658  QDropEvent*
    161, 0,	//660  QShowEvent*
    135, 0,	//662  QHideEvent*
    268, 0,	//664  _XEvent*
    154, 0,	//666  QPaintDevice::PaintDeviceMetric
    137, 0,	//668  QInputMethodEvent*
    210, 0,	//670  Qt::InputMethodQuery
    169, 0,	//672  QStyle&
    333, 0,	//674  const QPalette&
    315, 0,	//676  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccessibilityAccept",	//1
    "AccessibilityNext",	//2
    "AccessibilityPrevious",	//3
    "ActivateCaretIn",	//4
    "ActivateMouseIn",	//5
    "AnnotationInterface",	//6
    "AnnotationInterface#",	//7
    "AnnotationModel",	//8
    "AnnotationViewInterface",	//9
    "AnnotationViewInterface#",	//10
    "ArgumentHintDepth",	//11
    "Arguments",	//12
    "Attribute",	//13
    "Attribute#",	//14
    "AttributeBlock",	//15
    "AttributeBlock#",	//16
    "AttributeBlock$$?",	//17
    "AttributeDynamicEffect",	//18
    "AttributeInternalProperty",	//19
    "AttributeUserProperty",	//20
    "AutomaticInvocation",	//21
    "BackgroundFillWhitespace",	//22
    "BestMatchesCount",	//23
    "Bookmark",	//24
    "BottomBar",	//25
    "BreakpointActive",	//26
    "BreakpointDisabled",	//27
    "BreakpointReached",	//28
    "ByCharacter",	//29
    "ByCursorPosition",	//30
    "Class",	//31
    "CodeCompletionInterface",	//32
    "CodeCompletionInterface#",	//33
    "CodeCompletionModel",	//34
    "CodeCompletionModel#",	//35
    "CodeCompletionModel2",	//36
    "CodeCompletionModel2#",	//37
    "CodeCompletionModelControllerInterface",	//38
    "CodeCompletionModelControllerInterface#",	//39
    "CodeCompletionModelControllerInterface2",	//40
    "CodeCompletionModelControllerInterface2#",	//41
    "ColumnCount",	//42
    "Command",	//43
    "Command#",	//44
    "CommandExtension",	//45
    "CommandExtension#",	//46
    "CommandInterface",	//47
    "CommandInterface#",	//48
    "CompletionRole",	//49
    "ConfigInterface",	//50
    "ConfigInterface#",	//51
    "ConfigPage",	//52
    "ConfigPage#",	//53
    "Const",	//54
    "ContainerInterface",	//55
    "ContainerInterface#",	//56
    "CoordinatesToCursorInterface",	//57
    "CoordinatesToCursorInterface#",	//58
    "Cursor",	//59
    "Cursor#",	//60
    "Cursor$$",	//61
    "CustomHighlight",	//62
    "CustomHighlighting",	//63
    "DoNotExpand",	//64
    "DoNotLoadPlugins",	//65
    "Document",	//66
    "Document#",	//67
    "DrawChildren",	//68
    "DrawWindowBackground",	//69
    "EditInsert",	//70
    "EditOverwrite",	//71
    "EditViMode",	//72
    "Editor",	//73
    "Editor#",	//74
    "EditorChooser",	//75
    "EditorChooser#",	//76
    "EffectCycleGradient",	//77
    "EffectFadeIn",	//78
    "EffectFadeOut",	//79
    "EffectNone",	//80
    "EffectPulse",	//81
    "Enum",	//82
    "Error",	//83
    "Execution",	//84
    "ExpandLeft",	//85
    "ExpandRight",	//86
    "ExpandingWidget",	//87
    "Factory",	//88
    "Factory#",	//89
    "FirstProperty",	//90
    "Friend",	//91
    "Function",	//92
    "GlobalScope",	//93
    "GroupRole",	//94
    "HideListIfAutomaticInvocation",	//95
    "HighlightInterface",	//96
    "HighlightInterface#",	//97
    "HighlightingMethod",	//98
    "Icon",	//99
    "IgnoreMask",	//100
    "InheritanceDepth",	//101
    "Inline",	//102
    "InternalHighlighting",	//103
    "IsExpandable",	//104
    "ItemSelected",	//105
    "KST_CTimeInfo",	//106
    "KST_KCustom",	//107
    "KST_KDEDesktopMimeType",	//108
    "KST_KFolderMimeType",	//109
    "KST_KImageIO",	//110
    "KST_KImageIOFormat",	//111
    "KST_KMimeType",	//112
    "KST_KMimeTypeEntry",	//113
    "KST_KMimeTypeFactory",	//114
    "KST_KProtocolInfo",	//115
    "KST_KProtocolInfoFactory",	//116
    "KST_KService",	//117
    "KST_KServiceFactory",	//118
    "KST_KServiceGroup",	//119
    "KST_KServiceGroupFactory",	//120
    "KST_KServiceSeparator",	//121
    "KST_KServiceType",	//122
    "KST_KServiceTypeFactory",	//123
    "KST_KSycocaEntry",	//124
    "KTE_INTERNAL_setupIntialValues",	//125
    "KTE_INTERNAL_setupIntialValues$?",	//126
    "LastExtraItemDataRole",	//127
    "LastItemDataRole",	//128
    "LastProperty",	//129
    "LeftBar",	//130
    "LicensedActiveQt",	//131
    "LicensedCore",	//132
    "LicensedDBus",	//133
    "LicensedDeclarative",	//134
    "LicensedGui",	//135
    "LicensedHelp",	//136
    "LicensedMultimedia",	//137
    "LicensedNetwork",	//138
    "LicensedOpenGL",	//139
    "LicensedOpenVG",	//140
    "LicensedQt3Support",	//141
    "LicensedQt3SupportLight",	//142
    "LicensedScript",	//143
    "LicensedScriptTools",	//144
    "LicensedSql",	//145
    "LicensedSvg",	//146
    "LicensedTest",	//147
    "LicensedXml",	//148
    "LicensedXmlPatterns",	//149
    "LoadPlugins",	//150
    "LoadPluginsIfEnabled",	//151
    "LoadSaveFilterCheckPlugin",	//152
    "LoadSaveFilterCheckPlugin#",	//153
    "LocalScope",	//154
    "ManualInvocation",	//155
    "Mark",	//156
    "Mark#",	//157
    "MarkAdded",	//158
    "MarkInterface",	//159
    "MarkInterface#",	//160
    "MarkRemoved",	//161
    "MatchQuality",	//162
    "MdiContainer",	//163
    "MdiContainer#",	//164
    "ModificationInterface",	//165
    "ModificationInterface#",	//166
    "MoveOnInsert",	//167
    "Name",	//168
    "Namespace",	//169
    "NamespaceScope",	//170
    "NoHighlighting",	//171
    "NoProperty",	//172
    "None",	//173
    "OnDiskCreated",	//174
    "OnDiskDeleted",	//175
    "OnDiskModified",	//176
    "OnDiskUnmodified",	//177
    "Outline",	//178
    "Override",	//179
    "ParameterizedSessionConfigInterface",	//180
    "ParameterizedSessionConfigInterface#",	//181
    "Plugin",	//182
    "Plugin#",	//183
    "Postfix",	//184
    "Prefix",	//185
    "Private",	//186
    "Protected",	//187
    "Public",	//188
    "Q_COMPLEX_TYPE",	//189
    "Q_DUMMY_TYPE",	//190
    "Q_MOVABLE_TYPE",	//191
    "Q_PRIMITIVE_TYPE",	//192
    "Q_STATIC_TYPE",	//193
    "QtCriticalMsg",	//194
    "QtDebugMsg",	//195
    "QtFatalMsg",	//196
    "QtSystemMsg",	//197
    "QtWarningMsg",	//198
    "Range",	//199
    "Range#",	//200
    "Range##",	//201
    "Range#$",	//202
    "Range#$$",	//203
    "Range$$$$",	//204
    "RangeCommand",	//205
    "RangeCommand#",	//206
    "RightBar",	//207
    "Scope",	//208
    "ScopeIndex",	//209
    "SearchInterface",	//210
    "SearchInterface#",	//211
    "SelectedBackground",	//212
    "SelectedForeground",	//213
    "SessionConfigInterface",	//214
    "SessionConfigInterface#",	//215
    "SetMatchContext",	//216
    "Signal",	//217
    "SkipEncoding",	//218
    "SkipFolding",	//219
    "SkipHighlighting",	//220
    "SkipMode",	//221
    "SkipNone",	//222
    "SkipUrl",	//223
    "Slot",	//224
    "SmartCursor",	//225
    "SmartCursor##$",	//226
    "SmartCursorNotifier",	//227
    "SmartCursorWatcher",	//228
    "SmartCursorWatcher#",	//229
    "SmartInterface",	//230
    "SmartInterface#",	//231
    "SmartRange",	//232
    "SmartRange##",	//233
    "SmartRange###",	//234
    "SmartRange###$",	//235
    "SmartRangeNotifier",	//236
    "SmartRangeWatcher",	//237
    "SmartRangeWatcher#",	//238
    "StateNoReverse",	//239
    "StateReverse",	//240
    "Static",	//241
    "StayOnInsert",	//242
    "Struct",	//243
    "Template",	//244
    "TemplateInterface",	//245
    "TemplateInterface#",	//246
    "TextHintInterface",	//247
    "TextHintInterface#",	//248
    "TopBar",	//249
    "TypeAlias",	//250
    "UnimportantItemRole",	//251
    "Union",	//252
    "UserInvocation",	//253
    "Variable",	//254
    "VariableInterface",	//255
    "VariableInterface#",	//256
    "View",	//257
    "View#",	//258
    "ViewBarContainer",	//259
    "ViewBarContainer#",	//260
    "Virtual",	//261
    "Warning",	//262
    "__codecvt_error",	//263
    "__codecvt_noconv",	//264
    "__codecvt_ok",	//265
    "__codecvt_partial",	//266
    "abortCompletion",	//267
    "aborted",	//268
    "aborted#",	//269
    "aboutData",	//270
    "aboutToClose",	//271
    "aboutToClose#",	//272
    "aboutToReload",	//273
    "aboutToReload#",	//274
    "action",	//275
    "actionCollection",	//276
    "actionEvent",	//277
    "activeView",	//278
    "addActionsToDocument",	//279
    "addActionsToDocument#",	//280
    "addActionsToView",	//281
    "addActionsToView##",	//282
    "addDocument",	//283
    "addDocument#",	//284
    "addHighlightToDocument",	//285
    "addHighlightToDocument#",	//286
    "addHighlightToDocument#$",	//287
    "addHighlightToView",	//288
    "addHighlightToView##",	//289
    "addHighlightToView##$",	//290
    "addMark",	//291
    "addMark$$",	//292
    "addNotifier",	//293
    "addNotifier#",	//294
    "addView",	//295
    "addView#",	//296
    "addViewBarToLayout",	//297
    "addViewBarToLayout##$",	//298
    "addWatcher",	//299
    "addWatcher#",	//300
    "advance",	//301
    "advance$",	//302
    "advance$$",	//303
    "annotationActivated",	//304
    "annotationActivated#$",	//305
    "annotationBorderVisibilityChanged",	//306
    "annotationBorderVisibilityChanged#$",	//307
    "annotationContextMenuAboutToShow",	//308
    "annotationContextMenuAboutToShow##$",	//309
    "annotationModel",	//310
    "apply",	//311
    "associateAction",	//312
    "associateAction#",	//313
    "associatedActions",	//314
    "atEndOfDocument",	//315
    "atEndOfLine",	//316
    "atStartOfDocument",	//317
    "atStartOfLine",	//318
    "attribute",	//319
    "attributeDynamic",	//320
    "attributeDynamic?",	//321
    "attributeNotDynamic",	//322
    "attributeNotDynamic?",	//323
    "backgroundFillWhitespace",	//324
    "blockSelection",	//325
    "boundaryAtCursor",	//326
    "boundaryAtCursor#",	//327
    "boundaryOnLine",	//328
    "boundaryOnLine$",	//329
    "buddy",	//330
    "canFetchMore",	//331
    "caretEnteredRange",	//332
    "caretEnteredRange##",	//333
    "caretExitedRange",	//334
    "caretExitedRange##",	//335
    "changeEvent",	//336
    "changed",	//337
    "character",	//338
    "character#",	//339
    "characterDeleted",	//340
    "characterDeleted#$",	//341
    "characterInserted",	//342
    "characterInserted#$",	//343
    "checkFeedback",	//344
    "childAfter",	//345
    "childAfter#",	//346
    "childBefore",	//347
    "childBefore#",	//348
    "childEvent",	//349
    "childRangeInserted",	//350
    "childRangeInserted##",	//351
    "childRangeRemoved",	//352
    "childRangeRemoved##",	//353
    "childRanges",	//354
    "clear",	//355
    "clearAndDeleteChildRanges",	//356
    "clearAssociatedActions",	//357
    "clearChildRanges",	//358
    "clearDocumentActions",	//359
    "clearDocumentHighlights",	//360
    "clearMark",	//361
    "clearMark$",	//362
    "clearMarks",	//363
    "clearOnDocumentReload",	//364
    "clearRevision",	//365
    "clearSmartInterface",	//366
    "clearViewActions",	//367
    "clearViewActions#",	//368
    "clearViewHighlights",	//369
    "clearViewHighlights#",	//370
    "closeDocument",	//371
    "closeDocument#",	//372
    "closeEvent",	//373
    "closeUrl",	//374
    "closeView",	//375
    "closeView#",	//376
    "cmds",	//377
    "column",	//378
    "columnCount",	//379
    "columnCount#",	//380
    "columnWidth",	//381
    "commandList",	//382
    "commands",	//383
    "completionInvoked",	//384
    "completionInvoked##$",	//385
    "completionObject",	//386
    "completionObject#$",	//387
    "completionRange",	//388
    "completionRange##",	//389
    "componentData",	//390
    "configDialog",	//391
    "configDialog#",	//392
    "configDialogSupported",	//393
    "configKeys",	//394
    "configPage",	//395
    "configPage$#",	//396
    "configPageFullName",	//397
    "configPageFullName$",	//398
    "configPageIcon",	//399
    "configPageIcon$",	//400
    "configPageName",	//401
    "configPageName$",	//402
    "configPages",	//403
    "configValue",	//404
    "configValue$",	//405
    "confineToRange",	//406
    "confineToRange#",	//407
    "connectNotify",	//408
    "container",	//409
    "contains",	//410
    "contains#",	//411
    "containsColumn",	//412
    "containsColumn$",	//413
    "containsLine",	//414
    "containsLine$",	//415
    "contextMenu",	//416
    "contextMenuAboutToShow",	//417
    "contextMenuAboutToShow##",	//418
    "contextMenuEvent",	//419
    "coordinatesToCursor",	//420
    "coordinatesToCursor#",	//421
    "create",	//422
    "createDocument",	//423
    "createDocument#",	//424
    "createNotifier",	//425
    "createObject",	//426
    "createPartObject",	//427
    "createPlugin",	//428
    "createPlugin?#",	//429
    "createView",	//430
    "createView#",	//431
    "currentRevision",	//432
    "cursorChangedDirectly",	//433
    "cursorChangedDirectly#",	//434
    "cursorInText",	//435
    "cursorInText#",	//436
    "cursorPosition",	//437
    "cursorPositionChanged",	//438
    "cursorPositionChanged##",	//439
    "cursorPositionCoordinates",	//440
    "cursorPositionVirtual",	//441
    "cursorToCoordinate",	//442
    "cursorToCoordinate#",	//443
    "customEvent",	//444
    "data",	//445
    "data$$",	//446
    "deepestRangeContaining",	//447
    "deepestRangeContaining#",	//448
    "deepestRangeContaining#?",	//449
    "deepestRangeContaining#??",	//450
    "deepestRangesContaining",	//451
    "deepestRangesContaining#",	//452
    "defaultContextMenu",	//453
    "defaultContextMenu#",	//454
    "defaultEncoding",	//455
    "defaultStyle",	//456
    "defaultStyle$",	//457
    "defaults",	//458
    "deleteChildRanges",	//459
    "deleteCursors",	//460
    "deleteNotifier",	//461
    "deletePrimaryNotifier",	//462
    "deleteRanges",	//463
    "deleteViewBarForView",	//464
    "deleteViewBarForView#$",	//465
    "deleted",	//466
    "deleted#",	//467
    "depth",	//468
    "devType",	//469
    "disableTextHints",	//470
    "disconnectNotify",	//471
    "dissociateAction",	//472
    "dissociateAction#",	//473
    "document",	//474
    "documentActions",	//475
    "documentCreated",	//476
    "documentCreated##",	//477
    "documentEnd",	//478
    "documentHighlights",	//479
    "documentName",	//480
    "documentNameChanged",	//481
    "documentNameChanged#",	//482
    "documentRange",	//483
    "documentReload",	//484
    "documentSave",	//485
    "documentSaveAs",	//486
    "documentSavedOrUploaded",	//487
    "documentSavedOrUploaded#$",	//488
    "documentUrlChanged",	//489
    "documentUrlChanged#",	//490
    "documents",	//491
    "domDocument",	//492
    "dragEnterEvent",	//493
    "dragLeaveEvent",	//494
    "dragMoveEvent",	//495
    "dropEvent",	//496
    "dropMimeData",	//497
    "dsAlert",	//498
    "dsBaseN",	//499
    "dsChar",	//500
    "dsComment",	//501
    "dsDataType",	//502
    "dsDecVal",	//503
    "dsError",	//504
    "dsFloat",	//505
    "dsFunction",	//506
    "dsKeyword",	//507
    "dsNormal",	//508
    "dsOthers",	//509
    "dsRegionMarker",	//510
    "dsString",	//511
    "dynamicAttribute",	//512
    "dynamicAttribute$",	//513
    "editableMarks",	//514
    "editor",	//515
    "editor$",	//516
    "editor$$",	//517
    "effects",	//518
    "embed",	//519
    "embeddedHighlightingModes",	//520
    "enableTextHints",	//521
    "enableTextHints$",	//522
    "enabledChange",	//523
    "encoding",	//524
    "encompass",	//525
    "encompass#",	//526
    "end",	//527
    "endEditing",	//528
    "endOfLine",	//529
    "endOfLine$",	//530
    "enterEvent",	//531
    "event",	//532
    "eventFilter",	//533
    "exclusiveEditEnd",	//534
    "exclusiveEditEnd#",	//535
    "exclusiveEditStart",	//536
    "exclusiveEditStart#",	//537
    "exec",	//538
    "exec#$$",	//539
    "exec#$$#",	//540
    "executeCompletionItem",	//541
    "executeCompletionItem##$",	//542
    "executeCompletionItem2",	//543
    "executeCompletionItem2###",	//544
    "expandMacros",	//545
    "expandMacros?#",	//546
    "expandToRange",	//547
    "expandToRange#",	//548
    "fetchMore",	//549
    "filterString",	//550
    "filterString###",	//551
    "firstRangeContaining",	//552
    "firstRangeContaining#",	//553
    "flagCompletions",	//554
    "flagCompletions?",	//555
    "flags",	//556
    "focusIn",	//557
    "focusIn#",	//558
    "focusInEvent",	//559
    "focusNextPrevChild",	//560
    "focusOut",	//561
    "focusOut#",	//562
    "focusOutEvent",	//563
    "fontBold",	//564
    "fontChange",	//565
    "forceCompletion",	//566
    "getViewBarParent",	//567
    "getViewBarParent#$",	//568
    "guiActivateEvent",	//569
    "hasAnyProperty",	//570
    "hasChildren",	//571
    "hasGroups",	//572
    "hasGroupsChanged",	//573
    "hasGroupsChanged#$",	//574
    "hasNotifier",	//575
    "hasParent",	//576
    "hasParent#",	//577
    "headerData",	//578
    "heightForWidth",	//579
    "help",	//580
    "help#$$",	//581
    "hideEvent",	//582
    "hideViewBarForView",	//583
    "hideViewBarForView#$",	//584
    "highlightingMode",	//585
    "highlightingModeAt",	//586
    "highlightingModeAt#",	//587
    "highlightingModeChanged",	//588
    "highlightingModeChanged#",	//589
    "highlightingModeSection",	//590
    "highlightingModeSection$",	//591
    "highlightingModes",	//592
    "hitTest",	//593
    "horizontalScrollPositionChanged",	//594
    "horizontalScrollPositionChanged#",	//595
    "index",	//596
    "index$$",	//597
    "index$$#",	//598
    "informationMessage",	//599
    "informationMessage#$",	//600
    "inputMethodEvent",	//601
    "inputMethodQuery",	//602
    "insertBehavior",	//603
    "insertColumns",	//604
    "insertLine",	//605
    "insertLine$$",	//606
    "insertLines",	//607
    "insertLines$?",	//608
    "insertRows",	//609
    "insertTemplateText",	//610
    "insertTemplateText#$?",	//611
    "insertTemplateTextImplementation",	//612
    "insertTemplateTextImplementation#$?",	//613
    "insertText",	//614
    "insertText#$",	//615
    "insertText#$$",	//616
    "insertText#?",	//617
    "insertText#?$",	//618
    "insertText$",	//619
    "insertText?",	//620
    "insertText?$",	//621
    "intersect",	//622
    "intersect#",	//623
    "invalid",	//624
    "isActiveView",	//625
    "isAnnotationBorderVisible",	//626
    "isAutomaticInvocationEnabled",	//627
    "isCompletionActive",	//628
    "isEmpty",	//629
    "isOrphaned",	//630
    "isSmartCursor",	//631
    "isSmartRange",	//632
    "isValid",	//633
    "itemData",	//634
    "itemData#",	//635
    "keyPressEvent",	//636
    "keyReleaseEvent",	//637
    "languageChange",	//638
    "leaveEvent",	//639
    "length",	//640
    "line",	//641
    "line$",	//642
    "lineAttributes",	//643
    "lineAttributes$",	//644
    "lineChanged",	//645
    "lineChanged$",	//646
    "lineLength",	//647
    "lineLength$",	//648
    "lines",	//649
    "localXMLFile",	//650
    "m_column",	//651
    "m_end",	//652
    "m_line",	//653
    "m_range",	//654
    "m_start",	//655
    "mark",	//656
    "mark$",	//657
    "markChanged",	//658
    "markChanged##$",	//659
    "markDescription",	//660
    "markDescription$",	//661
    "markPixmap",	//662
    "markPixmap$",	//663
    "markType01",	//664
    "markType02",	//665
    "markType03",	//666
    "markType04",	//667
    "markType05",	//668
    "markType06",	//669
    "markType07",	//670
    "markType08",	//671
    "markType09",	//672
    "markType10",	//673
    "markType11",	//674
    "markType12",	//675
    "markType13",	//676
    "markType14",	//677
    "markType15",	//678
    "markType16",	//679
    "markType17",	//680
    "markType18",	//681
    "markType19",	//682
    "markType20",	//683
    "markType21",	//684
    "markType22",	//685
    "markType23",	//686
    "markType24",	//687
    "markType25",	//688
    "markType26",	//689
    "markType27",	//690
    "markType28",	//691
    "markType29",	//692
    "markType30",	//693
    "markType31",	//694
    "markType32",	//695
    "marks",	//696
    "marksChanged",	//697
    "marksChanged#",	//698
    "match",	//699
    "matchingItem",	//700
    "matchingItem#",	//701
    "metaObject",	//702
    "metric",	//703
    "mimeData",	//704
    "mimeType",	//705
    "mimeTypes",	//706
    "minimumSizeHint",	//707
    "mode",	//708
    "modeChanged",	//709
    "modeChanged#",	//710
    "modeSection",	//711
    "modeSection$",	//712
    "modes",	//713
    "modifiedChanged",	//714
    "modifiedChanged#",	//715
    "modifiedOnDisk",	//716
    "modifiedOnDisk#$$",	//717
    "mostSpecificRange",	//718
    "mostSpecificRange#",	//719
    "mouseDoubleClickEvent",	//720
    "mouseEnteredRange",	//721
    "mouseEnteredRange##",	//722
    "mouseExitedRange",	//723
    "mouseExitedRange##",	//724
    "mouseMoveEvent",	//725
    "mousePositionChanged",	//726
    "mousePositionChanged##",	//727
    "mousePressEvent",	//728
    "mouseReleaseEvent",	//729
    "mouseTrackingEnabled",	//730
    "moveEvent",	//731
    "needTextHint",	//732
    "needTextHint#$",	//733
    "newSmartCursor",	//734
    "newSmartCursor#",	//735
    "newSmartCursor#$",	//736
    "newSmartCursor$$",	//737
    "newSmartCursor$$$",	//738
    "newSmartRange",	//739
    "newSmartRange#",	//740
    "newSmartRange##",	//741
    "newSmartRange###",	//742
    "newSmartRange###$",	//743
    "newSmartRange##$",	//744
    "newSmartRange$$$$",	//745
    "newSmartRange$$$$#",	//746
    "newSmartRange$$$$#$",	//747
    "notifier",	//748
    "notifiers",	//749
    "numberOfLines",	//750
    "onSingleLine",	//751
    "openFile",	//752
    "openUrl",	//753
    "openingError",	//754
    "openingErrorMessage",	//755
    "operator+=",	//756
    "operator+=#",	//757
    "operator=",	//758
    "operator=#",	//759
    "operator|",	//760
    "operator|?$",	//761
    "operator|??",	//762
    "outline",	//763
    "overlapCount",	//764
    "overlaps",	//765
    "overlaps#",	//766
    "overlapsColumn",	//767
    "overlapsColumn$",	//768
    "overlapsLine",	//769
    "overlapsLine$",	//770
    "paintEngine",	//771
    "paintEvent",	//772
    "paletteChange",	//773
    "parent",	//774
    "parent#",	//775
    "parentRange",	//776
    "parentRangeChanged",	//777
    "parentRangeChanged###",	//778
    "partActivateEvent",	//779
    "partComponentData",	//780
    "partSelectEvent",	//781
    "position",	//782
    "position$$",	//783
    "positionChanged",	//784
    "positionChanged#",	//785
    "positionDeleted",	//786
    "positionDeleted#",	//787
    "positionRelativeToCursor",	//788
    "positionRelativeToCursor#",	//789
    "positionRelativeToLine",	//790
    "positionRelativeToLine$",	//791
    "postLoadFilter",	//792
    "postLoadFilter#",	//793
    "postSaveFilterCheck",	//794
    "postSaveFilterCheck#$",	//795
    "preSavePostDialogFilterCheck",	//796
    "preSavePostDialogFilterCheck#",	//797
    "primaryNotifier",	//798
    "processText",	//799
    "processText#$",	//800
    "qt_metacall",	//801
    "qt_metacall$$?",	//802
    "qt_metacast",	//803
    "qt_metacast$",	//804
    "queryClose",	//805
    "queryCommand",	//806
    "queryCommand$",	//807
    "range",	//808
    "rangeAttributeChanged",	//809
    "rangeAttributeChanged#??",	//810
    "rangeChanged",	//811
    "rangeChanged##",	//812
    "rangeContentsChanged",	//813
    "rangeContentsChanged#",	//814
    "rangeContentsChanged##",	//815
    "rangeDeleted",	//816
    "rangeDeleted#",	//817
    "rangeEliminated",	//818
    "rangeEliminated#",	//819
    "rangePositionChanged",	//820
    "rangePositionChanged#",	//821
    "readAppSetting",	//822
    "readAppSetting$",	//823
    "readConfig",	//824
    "readConfig#",	//825
    "readParameterizedSessionConfig",	//826
    "readParameterizedSessionConfig#$",	//827
    "readSessionConfig",	//828
    "readSessionConfig#",	//829
    "rebuildChildStructure",	//830
    "registerCommand",	//831
    "registerCommand#",	//832
    "registerCompletionModel",	//833
    "registerCompletionModel#",	//834
    "releaseRevision",	//835
    "releaseRevision$",	//836
    "reloaded",	//837
    "reloaded#",	//838
    "removeActionsFromDocument",	//839
    "removeActionsFromDocument#",	//840
    "removeActionsFromView",	//841
    "removeActionsFromView##",	//842
    "removeColumns",	//843
    "removeDocument",	//844
    "removeDocument#",	//845
    "removeHighlightFromDocument",	//846
    "removeHighlightFromDocument#",	//847
    "removeHighlightFromView",	//848
    "removeHighlightFromView##",	//849
    "removeLine",	//850
    "removeLine$",	//851
    "removeMark",	//852
    "removeMark$$",	//853
    "removeNotifier",	//854
    "removeNotifier#",	//855
    "removeRows",	//856
    "removeSelection",	//857
    "removeSelectionText",	//858
    "removeText",	//859
    "removeText#",	//860
    "removeText#$",	//861
    "removeText$",	//862
    "removeView",	//863
    "removeView#",	//864
    "removeWatcher",	//865
    "removeWatcher#",	//866
    "replaceText",	//867
    "replaceText#$",	//868
    "replaceText#$$",	//869
    "replaceText#?",	//870
    "replaceText#?$",	//871
    "replaceText?",	//872
    "replaceText?$",	//873
    "reservedMarkersCount",	//874
    "reset",	//875
    "resizeEvent",	//876
    "revert",	//877
    "rowCount",	//878
    "rowCount#",	//879
    "save",	//880
    "saveAs",	//881
    "saveFile",	//882
    "saveToUrl",	//883
    "searchText",	//884
    "searchText#$",	//885
    "searchText#$$",	//886
    "selectedBackground",	//887
    "selectedForeground",	//888
    "selection",	//889
    "selectionChanged",	//890
    "selectionChanged#",	//891
    "selectionRange",	//892
    "selectionText",	//893
    "setActiveView",	//894
    "setActiveView#",	//895
    "setAnnotationBorderVisible",	//896
    "setAnnotationBorderVisible$",	//897
    "setAnnotationModel",	//898
    "setAnnotationModel#",	//899
    "setAttribute",	//900
    "setAttribute?",	//901
    "setAutomaticInvocationEnabled",	//902
    "setAutomaticInvocationEnabled$",	//903
    "setBackgroundFillWhitespace",	//904
    "setBackgroundFillWhitespace$",	//905
    "setBlockSelection",	//906
    "setBlockSelection$",	//907
    "setBothColumns",	//908
    "setBothColumns$",	//909
    "setBothLines",	//910
    "setBothLines$",	//911
    "setClearOnDocumentReload",	//912
    "setClearOnDocumentReload$",	//913
    "setColumn",	//914
    "setColumn$",	//915
    "setComponentData",	//916
    "setConfigValue",	//917
    "setConfigValue$#",	//918
    "setContainer",	//919
    "setContainer#",	//920
    "setContextMenu",	//921
    "setContextMenu#",	//922
    "setCursorPosition",	//923
    "setCursorPosition#",	//924
    "setDOMDocument",	//925
    "setData",	//926
    "setDefaultEncoding",	//927
    "setDefaultEncoding$",	//928
    "setDynamicAttribute",	//929
    "setDynamicAttribute$?",	//930
    "setEditableMarks",	//931
    "setEditableMarks$",	//932
    "setEffects",	//933
    "setEffects$",	//934
    "setEncoding",	//935
    "setEncoding$",	//936
    "setFontBold",	//937
    "setFontBold$",	//938
    "setHasGroups",	//939
    "setHasGroups$",	//940
    "setHeaderData",	//941
    "setHighlightingMode",	//942
    "setHighlightingMode$",	//943
    "setInsertBehavior",	//944
    "setInsertBehavior$",	//945
    "setItemData",	//946
    "setLength",	//947
    "setLength$",	//948
    "setLine",	//949
    "setLine$",	//950
    "setLocalXMLFile",	//951
    "setM_column",	//952
    "setM_column$",	//953
    "setM_end",	//954
    "setM_end#",	//955
    "setM_line",	//956
    "setM_line$",	//957
    "setM_range",	//958
    "setM_range#",	//959
    "setM_start",	//960
    "setM_start#",	//961
    "setManager",	//962
    "setMark",	//963
    "setMark$$",	//964
    "setMarkDescription",	//965
    "setMarkDescription$$",	//966
    "setMarkPixmap",	//967
    "setMarkPixmap$#",	//968
    "setMode",	//969
    "setMode$",	//970
    "setModified",	//971
    "setModifiedOnDisk",	//972
    "setModifiedOnDisk$",	//973
    "setModifiedOnDiskWarning",	//974
    "setModifiedOnDiskWarning$",	//975
    "setMouseTrackingEnabled",	//976
    "setMouseTrackingEnabled$",	//977
    "setOpeningError",	//978
    "setOpeningError$",	//979
    "setOpeningErrorMessage",	//980
    "setOpeningErrorMessage$",	//981
    "setOrphaned",	//982
    "setOrphaned$",	//983
    "setOutline",	//984
    "setOutline#",	//985
    "setParentRange",	//986
    "setParentRange#",	//987
    "setPosition",	//988
    "setPosition#",	//989
    "setPosition$$",	//990
    "setRange",	//991
    "setRange#",	//992
    "setRange##",	//993
    "setReadWrite",	//994
    "setRowCount",	//995
    "setRowCount$",	//996
    "setSelectable",	//997
    "setSelectedBackground",	//998
    "setSelectedBackground#",	//999
    "setSelectedForeground",	//1000
    "setSelectedForeground#",	//1001
    "setSelection",	//1002
    "setSelection#",	//1003
    "setSelection#$",	//1004
    "setSelection#$$",	//1005
    "setSimpleMode",	//1006
    "setSimpleMode$",	//1007
    "setStart",	//1008
    "setStart$",	//1009
    "setSuppressOpeningErrorDialogs",	//1010
    "setSuppressOpeningErrorDialogs$",	//1011
    "setText",	//1012
    "setText$",	//1013
    "setText?",	//1014
    "setType",	//1015
    "setType$",	//1016
    "setVisible",	//1017
    "setWantsDirectChanges",	//1018
    "setWantsDirectChanges$",	//1019
    "setWatcher",	//1020
    "setWatcher#",	//1021
    "setWidget",	//1022
    "setXML",	//1023
    "setXMLFile",	//1024
    "setupTranslations",	//1025
    "shouldAbortCompletion",	//1026
    "shouldAbortCompletion##$",	//1027
    "shouldExecute",	//1028
    "shouldExecute##",	//1029
    "shouldStartCompletion",	//1030
    "shouldStartCompletion#$$#",	//1031
    "showEvent",	//1032
    "showViewBarForView",	//1033
    "showViewBarForView#$",	//1034
    "simpleMode",	//1035
    "sizeHint",	//1036
    "slotModifiedOnDisk",	//1037
    "slotModifiedOnDisk#",	//1038
    "smartEnd",	//1039
    "smartMutex",	//1040
    "smartRange",	//1041
    "smartStart",	//1042
    "sort",	//1043
    "span",	//1044
    "start",	//1045
    "startCompletion",	//1046
    "startCompletion##",	//1047
    "startEditing",	//1048
    "stateChanged",	//1049
    "staticMetaObject",	//1050
    "styleChange",	//1051
    "submit",	//1052
    "supportedDropActions",	//1053
    "supportedSearchOptions",	//1054
    "supportsRange",	//1055
    "supportsRange$",	//1056
    "suppressOpeningErrorDialogs",	//1057
    "tabletEvent",	//1058
    "text",	//1059
    "text#",	//1060
    "text#$",	//1061
    "text$",	//1062
    "textChanged",	//1063
    "textChanged#",	//1064
    "textChanged###",	//1065
    "textChanged##$#",	//1066
    "textInserted",	//1067
    "textInserted##",	//1068
    "textInserted##$",	//1069
    "textLines",	//1070
    "textLines#",	//1071
    "textLines#$",	//1072
    "textRemoved",	//1073
    "textRemoved##",	//1074
    "textRemoved##$",	//1075
    "timerEvent",	//1076
    "toSmartCursor",	//1077
    "toSmartRange",	//1078
    "topParentRange",	//1079
    "totalCharacters",	//1080
    "tr",	//1081
    "tr$",	//1082
    "tr$$",	//1083
    "tr$$$",	//1084
    "trUtf8",	//1085
    "trUtf8$",	//1086
    "trUtf8$$",	//1087
    "trUtf8$$$",	//1088
    "translateFromRevision",	//1089
    "translateFromRevision#",	//1090
    "translateFromRevision#$",	//1091
    "type",	//1092
    "unbindSmartRange",	//1093
    "unbindSmartRange#",	//1094
    "unregisterCommand",	//1095
    "unregisterCommand#",	//1096
    "unregisterCompletionModel",	//1097
    "unregisterCompletionModel#",	//1098
    "updateCompletionRange",	//1099
    "updateCompletionRange##",	//1100
    "useRevision",	//1101
    "useRevision$",	//1102
    "variable",	//1103
    "variable$",	//1104
    "variableChanged",	//1105
    "variableChanged#$$",	//1106
    "verticalScrollPositionChanged",	//1107
    "verticalScrollPositionChanged##",	//1108
    "viewActions",	//1109
    "viewActions#",	//1110
    "viewCreated",	//1111
    "viewCreated##",	//1112
    "viewEditMode",	//1113
    "viewEditModeChanged",	//1114
    "viewEditModeChanged#$",	//1115
    "viewHighlights",	//1116
    "viewHighlights#",	//1117
    "viewMode",	//1118
    "viewModeChanged",	//1119
    "viewModeChanged#",	//1120
    "views",	//1121
    "virtual_hook",	//1122
    "waitForReset",	//1123
    "wantsDirectChanges",	//1124
    "wantsToProcessText",	//1125
    "wantsToProcessText$",	//1126
    "watcher",	//1127
    "watchers",	//1128
    "wheelEvent",	//1129
    "widget",	//1130
    "windowActivationChange",	//1131
    "writeAppSetting",	//1132
    "writeAppSetting$",	//1133
    "writeConfig",	//1134
    "writeConfig#",	//1135
    "writeParameterizedSessionConfig",	//1136
    "writeParameterizedSessionConfig#$",	//1137
    "writeSessionConfig",	//1138
    "writeSessionConfig#",	//1139
    "x11Event",	//1140
    "xmlFile",	//1141
    "~AnnotationInterface",	//1142
    "~AnnotationModel",	//1143
    "~AnnotationViewInterface",	//1144
    "~Attribute",	//1145
    "~AttributeBlock",	//1146
    "~CodeCompletionInterface",	//1147
    "~CodeCompletionModel",	//1148
    "~CodeCompletionModel2",	//1149
    "~CodeCompletionModelControllerInterface",	//1150
    "~CodeCompletionModelControllerInterface2",	//1151
    "~Command",	//1152
    "~CommandExtension",	//1153
    "~CommandInterface",	//1154
    "~ConfigInterface",	//1155
    "~ConfigPage",	//1156
    "~ContainerInterface",	//1157
    "~CoordinatesToCursorInterface",	//1158
    "~Cursor",	//1159
    "~Document",	//1160
    "~Editor",	//1161
    "~EditorChooser",	//1162
    "~Factory",	//1163
    "~HighlightInterface",	//1164
    "~LoadSaveFilterCheckPlugin",	//1165
    "~Mark",	//1166
    "~MarkInterface",	//1167
    "~MdiContainer",	//1168
    "~ModificationInterface",	//1169
    "~ParameterizedSessionConfigInterface",	//1170
    "~Plugin",	//1171
    "~Range",	//1172
    "~RangeCommand",	//1173
    "~SearchInterface",	//1174
    "~SessionConfigInterface",	//1175
    "~SmartCursor",	//1176
    "~SmartCursorNotifier",	//1177
    "~SmartCursorWatcher",	//1178
    "~SmartInterface",	//1179
    "~SmartRange",	//1180
    "~SmartRangeNotifier",	//1181
    "~SmartRangeWatcher",	//1182
    "~TemplateInterface",	//1183
    "~TextHintInterface",	//1184
    "~VariableInterface",	//1185
    "~View",	//1186
    "~ViewBarContainer",	//1187
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {11, 780, 0, 0, Smoke::mf_virtual, 5, 0},	//1 KParts::Factory::partComponentData()
    {11, 427, 1, 4, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 12, 0},	//2 KParts::Factory::createPartObject(QWidget*, QObject*, const char*, const QStringList&) [pure virtual]
    {11, 426, 6, 3, Smoke::mf_protected|Smoke::mf_virtual, 153, 0},	//3 KParts::Factory::createObject(QObject*, const char*, const QStringList&)
    {13, 519, 10, 1, Smoke::mf_virtual, 0, 0},	//4 KParts::Part::embed(QWidget*)
    {13, 1130, 0, 0, Smoke::mf_virtual, 175, 0},	//5 KParts::Part::widget()
    {13, 962, 12, 1, Smoke::mf_virtual, 0, 0},	//6 KParts::Part::setManager(KParts::PartManager*)
    {13, 593, 14, 2, Smoke::mf_virtual, 12, 0},	//7 KParts::Part::hitTest(QWidget*, const QPoint&)
    {13, 997, 17, 1, Smoke::mf_virtual, 0, 0},	//8 KParts::Part::setSelectable(bool)
    {13, 1022, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KParts::Part::setWidget(QWidget*)
    {13, 444, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KParts::Part::customEvent(QEvent*)
    {13, 779, 21, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 KParts::Part::partActivateEvent(KParts::PartActivateEvent*)
    {13, 781, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 KParts::Part::partSelectEvent(KParts::PartSelectEvent*)
    {15, 916, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 KParts::PartBase::setComponentData(const KComponentData&)
    {15, 916, 27, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//14 KParts::PartBase::setComponentData(const KComponentData&, bool)
    {18, 753, 30, 1, Smoke::mf_virtual|Smoke::mf_slot, 270, 0},	//15 KParts::ReadOnlyPart::openUrl(const KUrl&)
    {18, 752, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 270, 0},	//16 KParts::ReadOnlyPart::openFile()
    {18, 569, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//17 KParts::ReadOnlyPart::guiActivateEvent(KParts::GUIActivateEvent*)
    {19, 994, 17, 1, Smoke::mf_virtual, 0, 0},	//18 KParts::ReadWritePart::setReadWrite(bool)
    {19, 805, 0, 0, Smoke::mf_virtual, 270, 0},	//19 KParts::ReadWritePart::queryClose()
    {19, 374, 0, 0, Smoke::mf_virtual, 270, 0},	//20 KParts::ReadWritePart::closeUrl()
    {19, 374, 17, 1, Smoke::mf_virtual, 270, 0},	//21 KParts::ReadWritePart::closeUrl(bool)
    {19, 881, 30, 1, Smoke::mf_virtual, 270, 0},	//22 KParts::ReadWritePart::saveAs(const KUrl&)
    {19, 971, 17, 1, Smoke::mf_virtual, 0, 0},	//23 KParts::ReadWritePart::setModified(bool)
    {19, 880, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 270, 0},	//24 KParts::ReadWritePart::save()
    {19, 882, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 0},	//25 KParts::ReadWritePart::saveFile() [pure virtual]
    {19, 883, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 270, 0},	//26 KParts::ReadWritePart::saveToUrl()
    {20, 1025, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//27 KPluginFactory::setupTranslations()
    {20, 422, 34, 5, Smoke::mf_protected|Smoke::mf_virtual, 153, 0},	//28 KPluginFactory::create(const char*, QWidget*, QObject*, const QList<QVariant>&, const QString&)
    {24, 760, 40, 2, Smoke::mf_static, 126, 1},	//29 KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, QFlags<KTextEditor::CodeCompletionModel::HighlightMethods::enum_type>)
    {24, 760, 43, 2, Smoke::mf_static, 130, 2},	//30 KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, KTextEditor::SmartRange::InsertBehaviors::enum_type)
    {24, 760, 46, 2, Smoke::mf_static, 136, 3},	//31 KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, int)
    {24, 760, 49, 2, Smoke::mf_static, 124, 4},	//32 KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, KTextEditor::Attribute::Effects::enum_type)
    {24, 760, 52, 2, Smoke::mf_static, 125, 5},	//33 KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, QFlags<KTextEditor::CodeCompletionModel::CompletionProperties::enum_type>)
    {24, 760, 55, 2, Smoke::mf_static, 136, 6},	//34 KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, int)
    {24, 760, 58, 2, Smoke::mf_static, 130, 7},	//35 KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, QFlags<KTextEditor::SmartRange::InsertBehaviors::enum_type>)
    {24, 760, 61, 2, Smoke::mf_static, 124, 8},	//36 KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, QFlags<KTextEditor::Attribute::Effects::enum_type>)
    {24, 760, 64, 2, Smoke::mf_static, 125, 9},	//37 KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, KTextEditor::CodeCompletionModel::CompletionProperties::enum_type)
    {24, 760, 67, 2, Smoke::mf_static, 136, 10},	//38 KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, int)
    {24, 515, 70, 1, Smoke::mf_static, 60, 11},	//39 KTextEditor::editor(const char*)
    {24, 428, 72, 2, Smoke::mf_static, 78, 12},	//40 KTextEditor::createPlugin(KSharedPtr<KService>, QObject*)
    {24, 760, 75, 2, Smoke::mf_static, 136, 13},	//41 KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, int)
    {24, 760, 78, 2, Smoke::mf_static, 126, 14},	//42 KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, KTextEditor::CodeCompletionModel::HighlightMethods::enum_type)
    {25, 898, 81, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//43 KTextEditor::AnnotationInterface::setAnnotationModel(KTextEditor::AnnotationModel*) [pure virtual]
    {25, 310, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 26, 2},	//44 KTextEditor::AnnotationInterface::annotationModel() const [pure virtual]
    {25, 6, 0, 0, Smoke::mf_ctor, 25, 3},	//45 KTextEditor::AnnotationInterface::AnnotationInterface()
    {25, 6, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 4},	//46 KTextEditor::AnnotationInterface::AnnotationInterface(const KTextEditor::AnnotationInterface&)
    {25, 1142, 0, 0, Smoke::mf_dtor, 0, 5 },	//47 KTextEditor::AnnotationInterface::~AnnotationInterface()
    {26, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 329, 1},	//48 KTextEditor::AnnotationModel::metaObject() const
    {26, 803, 70, 1, Smoke::mf_virtual, 350, 2},	//49 KTextEditor::AnnotationModel::qt_metacast(const char*)
    {26, 1081, 85, 2, Smoke::mf_static, 164, 3},	//50 KTextEditor::AnnotationModel::tr(const char*, const char*)
    {26, 1085, 85, 2, Smoke::mf_static, 164, 4},	//51 KTextEditor::AnnotationModel::trUtf8(const char*, const char*)
    {26, 1081, 88, 3, Smoke::mf_static, 164, 5},	//52 KTextEditor::AnnotationModel::tr(const char*, const char*, int)
    {26, 1085, 88, 3, Smoke::mf_static, 164, 6},	//53 KTextEditor::AnnotationModel::trUtf8(const char*, const char*, int)
    {26, 801, 92, 3, Smoke::mf_virtual, 345, 7},	//54 KTextEditor::AnnotationModel::qt_metacall(QMetaObject::Call, int, void**)
    {26, 445, 96, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 172, 8},	//55 KTextEditor::AnnotationModel::data(int, Qt::ItemDataRole) const [pure virtual]
    {26, 875, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 9},	//56 KTextEditor::AnnotationModel::reset()
    {26, 645, 99, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//57 KTextEditor::AnnotationModel::lineChanged(int)
    {26, 8, 0, 0, Smoke::mf_ctor, 26, 11},	//58 KTextEditor::AnnotationModel::AnnotationModel()
    {26, 1081, 70, 1, Smoke::mf_static, 164, 12},	//59 KTextEditor::AnnotationModel::tr(const char*)
    {26, 1085, 70, 1, Smoke::mf_static, 164, 13},	//60 KTextEditor::AnnotationModel::trUtf8(const char*)
    {26, 1050, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 328, 14},	//61 KTextEditor::AnnotationModel::staticMetaObject() const
    {26, 1143, 0, 0, Smoke::mf_dtor, 0, 15 },	//62 KTextEditor::AnnotationModel::~AnnotationModel()
    {27, 896, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//63 KTextEditor::AnnotationViewInterface::setAnnotationBorderVisible(bool) [pure virtual]
    {27, 626, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 2},	//64 KTextEditor::AnnotationViewInterface::isAnnotationBorderVisible() const [pure virtual]
    {27, 308, 101, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//65 KTextEditor::AnnotationViewInterface::annotationContextMenuAboutToShow(KTextEditor::View*, QMenu*, int) [pure virtual]
    {27, 304, 105, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//66 KTextEditor::AnnotationViewInterface::annotationActivated(KTextEditor::View*, int) [pure virtual]
    {27, 306, 108, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//67 KTextEditor::AnnotationViewInterface::annotationBorderVisibilityChanged(KTextEditor::View*, bool) [pure virtual]
    {27, 9, 0, 0, Smoke::mf_ctor, 27, 6},	//68 KTextEditor::AnnotationViewInterface::AnnotationViewInterface()
    {27, 9, 111, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 27, 7},	//69 KTextEditor::AnnotationViewInterface::AnnotationViewInterface(const KTextEditor::AnnotationViewInterface&)
    {27, 1144, 0, 0, Smoke::mf_dtor, 0, 8 },	//70 KTextEditor::AnnotationViewInterface::~AnnotationViewInterface()
    {28, 13, 0, 0, Smoke::mf_ctor, 30, 1},	//71 KTextEditor::Attribute::Attribute()
    {28, 13, 113, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 30, 2},	//72 KTextEditor::Attribute::Attribute(const KTextEditor::Attribute&)
    {28, 564, 0, 0, Smoke::mf_const, 270, 3},	//73 KTextEditor::Attribute::fontBold() const
    {28, 937, 17, 1, 0, 0, 4},	//74 KTextEditor::Attribute::setFontBold(bool)
    {28, 763, 0, 0, Smoke::mf_const, 112, 5},	//75 KTextEditor::Attribute::outline() const
    {28, 984, 115, 1, 0, 0, 6},	//76 KTextEditor::Attribute::setOutline(const QBrush&)
    {28, 888, 0, 0, Smoke::mf_const, 112, 7},	//77 KTextEditor::Attribute::selectedForeground() const
    {28, 1000, 115, 1, 0, 0, 8},	//78 KTextEditor::Attribute::setSelectedForeground(const QBrush&)
    {28, 887, 0, 0, Smoke::mf_const, 112, 9},	//79 KTextEditor::Attribute::selectedBackground() const
    {28, 998, 115, 1, 0, 0, 10},	//80 KTextEditor::Attribute::setSelectedBackground(const QBrush&)
    {28, 324, 0, 0, Smoke::mf_const, 270, 11},	//81 KTextEditor::Attribute::backgroundFillWhitespace() const
    {28, 904, 17, 1, 0, 0, 12},	//82 KTextEditor::Attribute::setBackgroundFillWhitespace(bool)
    {28, 355, 0, 0, 0, 0, 13},	//83 KTextEditor::Attribute::clear()
    {28, 570, 0, 0, Smoke::mf_const, 270, 14},	//84 KTextEditor::Attribute::hasAnyProperty() const
    {28, 314, 0, 0, Smoke::mf_const, 317, 15},	//85 KTextEditor::Attribute::associatedActions() const
    {28, 357, 0, 0, 0, 0, 16},	//86 KTextEditor::Attribute::clearAssociatedActions()
    {28, 512, 117, 1, Smoke::mf_const, 20, 17},	//87 KTextEditor::Attribute::dynamicAttribute(KTextEditor::Attribute::ActivationType) const
    {28, 929, 119, 2, 0, 0, 18},	//88 KTextEditor::Attribute::setDynamicAttribute(KTextEditor::Attribute::ActivationType, KSharedPtr<KTextEditor::Attribute>)
    {28, 518, 0, 0, Smoke::mf_const, 123, 19},	//89 KTextEditor::Attribute::effects() const
    {28, 933, 122, 1, 0, 0, 20},	//90 KTextEditor::Attribute::setEffects(QFlags<KTextEditor::Attribute::Effect>)
    {28, 756, 113, 1, 0, 29, 21},	//91 KTextEditor::Attribute::operator+=(const KTextEditor::Attribute&)
    {28, 758, 113, 1, 0, 29, 22},	//92 KTextEditor::Attribute::operator=(const KTextEditor::Attribute&)
    {28, 937, 0, 0, 0, 0, 23},	//93 KTextEditor::Attribute::setFontBold()
    {28, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 24},	//94 KTextEditor::Attribute::Outline (enum)
    {28, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 25},	//95 KTextEditor::Attribute::SelectedForeground (enum)
    {28, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 26},	//96 KTextEditor::Attribute::SelectedBackground (enum)
    {28, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 27},	//97 KTextEditor::Attribute::BackgroundFillWhitespace (enum)
    {28, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 28},	//98 KTextEditor::Attribute::AttributeDynamicEffect (enum)
    {28, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 29},	//99 KTextEditor::Attribute::AttributeInternalProperty (enum)
    {28, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 30},	//100 KTextEditor::Attribute::AttributeUserProperty (enum)
    {28, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 31},	//101 KTextEditor::Attribute::ActivateMouseIn (enum)
    {28, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 32},	//102 KTextEditor::Attribute::ActivateCaretIn (enum)
    {28, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 33},	//103 KTextEditor::Attribute::EffectNone (enum)
    {28, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 34},	//104 KTextEditor::Attribute::EffectFadeIn (enum)
    {28, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 35},	//105 KTextEditor::Attribute::EffectFadeOut (enum)
    {28, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 36},	//106 KTextEditor::Attribute::EffectPulse (enum)
    {28, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 37},	//107 KTextEditor::Attribute::EffectCycleGradient (enum)
    {28, 1145, 0, 0, Smoke::mf_dtor, 0, 38 },	//108 KTextEditor::Attribute::~Attribute()
    {29, 628, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 1},	//109 KTextEditor::CodeCompletionInterface::isCompletionActive() const [pure virtual]
    {29, 1046, 124, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//110 KTextEditor::CodeCompletionInterface::startCompletion(const KTextEditor::Range&, KTextEditor::CodeCompletionModel*) [pure virtual]
    {29, 267, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//111 KTextEditor::CodeCompletionInterface::abortCompletion() [pure virtual]
    {29, 566, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//112 KTextEditor::CodeCompletionInterface::forceCompletion() [pure virtual]
    {29, 833, 127, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//113 KTextEditor::CodeCompletionInterface::registerCompletionModel(KTextEditor::CodeCompletionModel*) [pure virtual]
    {29, 1097, 127, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 6},	//114 KTextEditor::CodeCompletionInterface::unregisterCompletionModel(KTextEditor::CodeCompletionModel*) [pure virtual]
    {29, 627, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 7},	//115 KTextEditor::CodeCompletionInterface::isAutomaticInvocationEnabled() const [pure virtual]
    {29, 902, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//116 KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled(bool) [pure virtual]
    {29, 32, 0, 0, Smoke::mf_ctor, 36, 9},	//117 KTextEditor::CodeCompletionInterface::CodeCompletionInterface()
    {29, 32, 129, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 10},	//118 KTextEditor::CodeCompletionInterface::CodeCompletionInterface(const KTextEditor::CodeCompletionInterface&)
    {29, 902, 0, 0, 0, 0, 11},	//119 KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled()
    {29, 1147, 0, 0, Smoke::mf_dtor, 0, 12 },	//120 KTextEditor::CodeCompletionInterface::~CodeCompletionInterface()
    {30, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 329, 1},	//121 KTextEditor::CodeCompletionModel::metaObject() const
    {30, 803, 70, 1, Smoke::mf_virtual, 350, 2},	//122 KTextEditor::CodeCompletionModel::qt_metacast(const char*)
    {30, 1081, 85, 2, Smoke::mf_static, 164, 3},	//123 KTextEditor::CodeCompletionModel::tr(const char*, const char*)
    {30, 1085, 85, 2, Smoke::mf_static, 164, 4},	//124 KTextEditor::CodeCompletionModel::trUtf8(const char*, const char*)
    {30, 1081, 88, 3, Smoke::mf_static, 164, 5},	//125 KTextEditor::CodeCompletionModel::tr(const char*, const char*, int)
    {30, 1085, 88, 3, Smoke::mf_static, 164, 6},	//126 KTextEditor::CodeCompletionModel::trUtf8(const char*, const char*, int)
    {30, 801, 92, 3, Smoke::mf_virtual, 345, 7},	//127 KTextEditor::CodeCompletionModel::qt_metacall(QMetaObject::Call, int, void**)
    {30, 34, 131, 1, Smoke::mf_ctor, 37, 8},	//128 KTextEditor::CodeCompletionModel::CodeCompletionModel(QObject*)
    {30, 995, 99, 1, 0, 0, 9},	//129 KTextEditor::CodeCompletionModel::setRowCount(int)
    {30, 384, 133, 3, Smoke::mf_virtual, 0, 10},	//130 KTextEditor::CodeCompletionModel::completionInvoked(KTextEditor::View*, const KTextEditor::Range&, KTextEditor::CodeCompletionModel::InvocationType)
    {30, 541, 137, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 11},	//131 KTextEditor::CodeCompletionModel::executeCompletionItem(KTextEditor::Document*, const KTextEditor::Range&, int) const
    {30, 379, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 345, 12},	//132 KTextEditor::CodeCompletionModel::columnCount(const QModelIndex&) const
    {30, 596, 143, 3, Smoke::mf_const|Smoke::mf_virtual, 149, 13},	//133 KTextEditor::CodeCompletionModel::index(int, int, const QModelIndex&) const
    {30, 634, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 145, 14},	//134 KTextEditor::CodeCompletionModel::itemData(const QModelIndex&) const
    {30, 774, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 149, 15},	//135 KTextEditor::CodeCompletionModel::parent(const QModelIndex&) const
    {30, 878, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 345, 16},	//136 KTextEditor::CodeCompletionModel::rowCount(const QModelIndex&) const
    {30, 572, 0, 0, Smoke::mf_const, 270, 17},	//137 KTextEditor::CodeCompletionModel::hasGroups() const
    {30, 1123, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//138 KTextEditor::CodeCompletionModel::waitForReset()
    {30, 573, 147, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//139 KTextEditor::CodeCompletionModel::hasGroupsChanged(KTextEditor::CodeCompletionModel*, bool)
    {30, 939, 17, 1, Smoke::mf_protected, 0, 20},	//140 KTextEditor::CodeCompletionModel::setHasGroups(bool)
    {30, 1081, 70, 1, Smoke::mf_static, 164, 21},	//141 KTextEditor::CodeCompletionModel::tr(const char*)
    {30, 1085, 70, 1, Smoke::mf_static, 164, 22},	//142 KTextEditor::CodeCompletionModel::trUtf8(const char*)
    {30, 379, 0, 0, Smoke::mf_const, 345, 23},	//143 KTextEditor::CodeCompletionModel::columnCount() const
    {30, 596, 150, 2, Smoke::mf_const, 149, 24},	//144 KTextEditor::CodeCompletionModel::index(int, int) const
    {30, 878, 0, 0, Smoke::mf_const, 345, 25},	//145 KTextEditor::CodeCompletionModel::rowCount() const
    {30, 1050, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 328, 26},	//146 KTextEditor::CodeCompletionModel::staticMetaObject() const
    {30, 42, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 342, 27},	//147 KTextEditor::CodeCompletionModel::ColumnCount() const
    {30, 128, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 342, 28},	//148 KTextEditor::CodeCompletionModel::LastItemDataRole() const
    {30, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 29},	//149 KTextEditor::CodeCompletionModel::Prefix (enum)
    {30, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 30},	//150 KTextEditor::CodeCompletionModel::Icon (enum)
    {30, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 31},	//151 KTextEditor::CodeCompletionModel::Scope (enum)
    {30, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 32},	//152 KTextEditor::CodeCompletionModel::Name (enum)
    {30, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 33},	//153 KTextEditor::CodeCompletionModel::Arguments (enum)
    {30, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 34},	//154 KTextEditor::CodeCompletionModel::Postfix (enum)
    {30, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 35},	//155 KTextEditor::CodeCompletionModel::NoProperty (enum)
    {30, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 36},	//156 KTextEditor::CodeCompletionModel::FirstProperty (enum)
    {30, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 37},	//157 KTextEditor::CodeCompletionModel::Public (enum)
    {30, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 38},	//158 KTextEditor::CodeCompletionModel::Protected (enum)
    {30, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 39},	//159 KTextEditor::CodeCompletionModel::Private (enum)
    {30, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 40},	//160 KTextEditor::CodeCompletionModel::Static (enum)
    {30, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 41},	//161 KTextEditor::CodeCompletionModel::Const (enum)
    {30, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 42},	//162 KTextEditor::CodeCompletionModel::Namespace (enum)
    {30, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 43},	//163 KTextEditor::CodeCompletionModel::Class (enum)
    {30, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 44},	//164 KTextEditor::CodeCompletionModel::Struct (enum)
    {30, 252, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 45},	//165 KTextEditor::CodeCompletionModel::Union (enum)
    {30, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 46},	//166 KTextEditor::CodeCompletionModel::Function (enum)
    {30, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 47},	//167 KTextEditor::CodeCompletionModel::Variable (enum)
    {30, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 48},	//168 KTextEditor::CodeCompletionModel::Enum (enum)
    {30, 244, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 49},	//169 KTextEditor::CodeCompletionModel::Template (enum)
    {30, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 50},	//170 KTextEditor::CodeCompletionModel::TypeAlias (enum)
    {30, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 51},	//171 KTextEditor::CodeCompletionModel::Virtual (enum)
    {30, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 52},	//172 KTextEditor::CodeCompletionModel::Override (enum)
    {30, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 53},	//173 KTextEditor::CodeCompletionModel::Inline (enum)
    {30, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 54},	//174 KTextEditor::CodeCompletionModel::Friend (enum)
    {30, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 55},	//175 KTextEditor::CodeCompletionModel::Signal (enum)
    {30, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 56},	//176 KTextEditor::CodeCompletionModel::Slot (enum)
    {30, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 57},	//177 KTextEditor::CodeCompletionModel::LocalScope (enum)
    {30, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 58},	//178 KTextEditor::CodeCompletionModel::NamespaceScope (enum)
    {30, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 59},	//179 KTextEditor::CodeCompletionModel::GlobalScope (enum)
    {30, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 60},	//180 KTextEditor::CodeCompletionModel::LastProperty (enum)
    {30, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 61},	//181 KTextEditor::CodeCompletionModel::NoHighlighting (enum)
    {30, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 62},	//182 KTextEditor::CodeCompletionModel::InternalHighlighting (enum)
    {30, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 63},	//183 KTextEditor::CodeCompletionModel::CustomHighlighting (enum)
    {30, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 64},	//184 KTextEditor::CodeCompletionModel::CompletionRole (enum)
    {30, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 65},	//185 KTextEditor::CodeCompletionModel::ScopeIndex (enum)
    {30, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 66},	//186 KTextEditor::CodeCompletionModel::MatchQuality (enum)
    {30, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 67},	//187 KTextEditor::CodeCompletionModel::SetMatchContext (enum)
    {30, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 68},	//188 KTextEditor::CodeCompletionModel::HighlightingMethod (enum)
    {30, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 69},	//189 KTextEditor::CodeCompletionModel::CustomHighlight (enum)
    {30, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 70},	//190 KTextEditor::CodeCompletionModel::InheritanceDepth (enum)
    {30, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 71},	//191 KTextEditor::CodeCompletionModel::IsExpandable (enum)
    {30, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 72},	//192 KTextEditor::CodeCompletionModel::ExpandingWidget (enum)
    {30, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 73},	//193 KTextEditor::CodeCompletionModel::ItemSelected (enum)
    {30, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 74},	//194 KTextEditor::CodeCompletionModel::ArgumentHintDepth (enum)
    {30, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 75},	//195 KTextEditor::CodeCompletionModel::BestMatchesCount (enum)
    {30, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 76},	//196 KTextEditor::CodeCompletionModel::AccessibilityNext (enum)
    {30, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 77},	//197 KTextEditor::CodeCompletionModel::AccessibilityPrevious (enum)
    {30, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 78},	//198 KTextEditor::CodeCompletionModel::AccessibilityAccept (enum)
    {30, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 79},	//199 KTextEditor::CodeCompletionModel::GroupRole (enum)
    {30, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 80},	//200 KTextEditor::CodeCompletionModel::UnimportantItemRole (enum)
    {30, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 81},	//201 KTextEditor::CodeCompletionModel::LastExtraItemDataRole (enum)
    {30, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 82},	//202 KTextEditor::CodeCompletionModel::AutomaticInvocation (enum)
    {30, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 83},	//203 KTextEditor::CodeCompletionModel::UserInvocation (enum)
    {30, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 84},	//204 KTextEditor::CodeCompletionModel::ManualInvocation (enum)
    {30, 1148, 0, 0, Smoke::mf_dtor, 0, 85 },	//205 KTextEditor::CodeCompletionModel::~CodeCompletionModel()
    {31, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 329, 1},	//206 KTextEditor::CodeCompletionModel2::metaObject() const
    {31, 803, 70, 1, Smoke::mf_virtual, 350, 2},	//207 KTextEditor::CodeCompletionModel2::qt_metacast(const char*)
    {31, 1081, 85, 2, Smoke::mf_static, 164, 3},	//208 KTextEditor::CodeCompletionModel2::tr(const char*, const char*)
    {31, 1085, 85, 2, Smoke::mf_static, 164, 4},	//209 KTextEditor::CodeCompletionModel2::trUtf8(const char*, const char*)
    {31, 1081, 88, 3, Smoke::mf_static, 164, 5},	//210 KTextEditor::CodeCompletionModel2::tr(const char*, const char*, int)
    {31, 1085, 88, 3, Smoke::mf_static, 164, 6},	//211 KTextEditor::CodeCompletionModel2::trUtf8(const char*, const char*, int)
    {31, 801, 92, 3, Smoke::mf_virtual, 345, 7},	//212 KTextEditor::CodeCompletionModel2::qt_metacall(QMetaObject::Call, int, void**)
    {31, 36, 131, 1, Smoke::mf_ctor, 38, 8},	//213 KTextEditor::CodeCompletionModel2::CodeCompletionModel2(QObject*)
    {31, 543, 153, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 9},	//214 KTextEditor::CodeCompletionModel2::executeCompletionItem2(KTextEditor::Document*, const KTextEditor::Range&, const QModelIndex&) const
    {31, 1081, 70, 1, Smoke::mf_static, 164, 10},	//215 KTextEditor::CodeCompletionModel2::tr(const char*)
    {31, 1085, 70, 1, Smoke::mf_static, 164, 11},	//216 KTextEditor::CodeCompletionModel2::trUtf8(const char*)
    {31, 1050, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 328, 12},	//217 KTextEditor::CodeCompletionModel2::staticMetaObject() const
    {31, 1149, 0, 0, Smoke::mf_dtor, 0, 13 },	//218 KTextEditor::CodeCompletionModel2::~CodeCompletionModel2()
    {32, 38, 0, 0, Smoke::mf_ctor, 46, 1},	//219 KTextEditor::CodeCompletionModelControllerInterface::CodeCompletionModelControllerInterface()
    {32, 1030, 157, 4, Smoke::mf_virtual, 270, 2},	//220 KTextEditor::CodeCompletionModelControllerInterface::shouldStartCompletion(KTextEditor::View*, const QString&, bool, const KTextEditor::Cursor&)
    {32, 388, 162, 2, Smoke::mf_virtual, 79, 3},	//221 KTextEditor::CodeCompletionModelControllerInterface::completionRange(KTextEditor::View*, const KTextEditor::Cursor&)
    {32, 1099, 165, 2, Smoke::mf_virtual, 0, 4},	//222 KTextEditor::CodeCompletionModelControllerInterface::updateCompletionRange(KTextEditor::View*, KTextEditor::SmartRange&)
    {32, 550, 168, 3, Smoke::mf_virtual, 164, 5},	//223 KTextEditor::CodeCompletionModelControllerInterface::filterString(KTextEditor::View*, const KTextEditor::SmartRange&, const KTextEditor::Cursor&)
    {32, 1026, 172, 3, Smoke::mf_virtual, 270, 6},	//224 KTextEditor::CodeCompletionModelControllerInterface::shouldAbortCompletion(KTextEditor::View*, const KTextEditor::SmartRange&, const QString&)
    {32, 1028, 176, 2, Smoke::mf_virtual, 270, 7},	//225 KTextEditor::CodeCompletionModelControllerInterface::shouldExecute(const QModelIndex&, QChar)
    {32, 268, 179, 1, Smoke::mf_virtual, 0, 8},	//226 KTextEditor::CodeCompletionModelControllerInterface::aborted(KTextEditor::View*)
    {32, 38, 181, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 46, 9},	//227 KTextEditor::CodeCompletionModelControllerInterface::CodeCompletionModelControllerInterface(const KTextEditor::CodeCompletionModelControllerInterface&)
    {32, 1150, 0, 0, Smoke::mf_dtor, 0, 10 },	//228 KTextEditor::CodeCompletionModelControllerInterface::~CodeCompletionModelControllerInterface()
    {33, 700, 141, 1, Smoke::mf_virtual, 48, 1},	//229 KTextEditor::CodeCompletionModelControllerInterface2::matchingItem(const QModelIndex&)
    {33, 40, 0, 0, Smoke::mf_ctor, 47, 2},	//230 KTextEditor::CodeCompletionModelControllerInterface2::CodeCompletionModelControllerInterface2()
    {33, 40, 183, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 47, 3},	//231 KTextEditor::CodeCompletionModelControllerInterface2::CodeCompletionModelControllerInterface2(const KTextEditor::CodeCompletionModelControllerInterface2&)
    {33, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 4},	//232 KTextEditor::CodeCompletionModelControllerInterface2::None (enum)
    {33, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 5},	//233 KTextEditor::CodeCompletionModelControllerInterface2::HideListIfAutomaticInvocation (enum)
    {33, 1151, 0, 0, Smoke::mf_dtor, 0, 6 },	//234 KTextEditor::CodeCompletionModelControllerInterface2::~CodeCompletionModelControllerInterface2()
    {34, 377, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 338, 1},	//235 KTextEditor::Command::cmds() [pure virtual]
    {34, 538, 185, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 2},	//236 KTextEditor::Command::exec(KTextEditor::View*, const QString&, QString&) [pure virtual]
    {34, 580, 185, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 3},	//237 KTextEditor::Command::help(KTextEditor::View*, const QString&, QString&) [pure virtual]
    {34, 43, 0, 0, Smoke::mf_ctor, 49, 4},	//238 KTextEditor::Command::Command()
    {34, 43, 189, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 5},	//239 KTextEditor::Command::Command(const KTextEditor::Command&)
    {34, 1152, 0, 0, Smoke::mf_dtor, 0, 6 },	//240 KTextEditor::Command::~Command()
    {35, 554, 191, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//241 KTextEditor::CommandExtension::flagCompletions(QStringList&) [pure virtual]
    {35, 386, 193, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 4, 2},	//242 KTextEditor::CommandExtension::completionObject(KTextEditor::View*, const QString&) [pure virtual]
    {35, 1125, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 3},	//243 KTextEditor::CommandExtension::wantsToProcessText(const QString&) [pure virtual]
    {35, 799, 193, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//244 KTextEditor::CommandExtension::processText(KTextEditor::View*, const QString&) [pure virtual]
    {35, 45, 0, 0, Smoke::mf_ctor, 50, 5},	//245 KTextEditor::CommandExtension::CommandExtension()
    {35, 45, 198, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 50, 6},	//246 KTextEditor::CommandExtension::CommandExtension(const KTextEditor::CommandExtension&)
    {35, 1153, 0, 0, Smoke::mf_dtor, 0, 7 },	//247 KTextEditor::CommandExtension::~CommandExtension()
    {36, 831, 200, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 1},	//248 KTextEditor::CommandInterface::registerCommand(KTextEditor::Command*) [pure virtual]
    {36, 1095, 200, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 2},	//249 KTextEditor::CommandInterface::unregisterCommand(KTextEditor::Command*) [pure virtual]
    {36, 806, 196, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 49, 3},	//250 KTextEditor::CommandInterface::queryCommand(const QString&) const [pure virtual]
    {36, 383, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 139, 4},	//251 KTextEditor::CommandInterface::commands() const [pure virtual]
    {36, 382, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 166, 5},	//252 KTextEditor::CommandInterface::commandList() const [pure virtual]
    {36, 47, 0, 0, Smoke::mf_ctor, 51, 6},	//253 KTextEditor::CommandInterface::CommandInterface()
    {36, 47, 202, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 51, 7},	//254 KTextEditor::CommandInterface::CommandInterface(const KTextEditor::CommandInterface&)
    {36, 1154, 0, 0, Smoke::mf_dtor, 0, 8 },	//255 KTextEditor::CommandInterface::~CommandInterface()
    {37, 50, 0, 0, Smoke::mf_ctor, 52, 1},	//256 KTextEditor::ConfigInterface::ConfigInterface()
    {37, 394, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 166, 2},	//257 KTextEditor::ConfigInterface::configKeys() const [pure virtual]
    {37, 404, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 172, 3},	//258 KTextEditor::ConfigInterface::configValue(const QString&) [pure virtual]
    {37, 917, 204, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//259 KTextEditor::ConfigInterface::setConfigValue(const QString&, const QVariant&) [pure virtual]
    {37, 50, 207, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 52, 5},	//260 KTextEditor::ConfigInterface::ConfigInterface(const KTextEditor::ConfigInterface&)
    {37, 1155, 0, 0, Smoke::mf_dtor, 0, 6 },	//261 KTextEditor::ConfigInterface::~ConfigInterface()
    {38, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 329, 1},	//262 KTextEditor::ConfigPage::metaObject() const
    {38, 803, 70, 1, Smoke::mf_virtual, 350, 2},	//263 KTextEditor::ConfigPage::qt_metacast(const char*)
    {38, 1081, 85, 2, Smoke::mf_static, 164, 3},	//264 KTextEditor::ConfigPage::tr(const char*, const char*)
    {38, 1085, 85, 2, Smoke::mf_static, 164, 4},	//265 KTextEditor::ConfigPage::trUtf8(const char*, const char*)
    {38, 1081, 88, 3, Smoke::mf_static, 164, 5},	//266 KTextEditor::ConfigPage::tr(const char*, const char*, int)
    {38, 1085, 88, 3, Smoke::mf_static, 164, 6},	//267 KTextEditor::ConfigPage::trUtf8(const char*, const char*, int)
    {38, 801, 92, 3, Smoke::mf_virtual, 345, 7},	//268 KTextEditor::ConfigPage::qt_metacall(QMetaObject::Call, int, void**)
    {38, 52, 10, 1, Smoke::mf_ctor, 53, 8},	//269 KTextEditor::ConfigPage::ConfigPage(QWidget*)
    {38, 311, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 9},	//270 KTextEditor::ConfigPage::apply() [pure virtual]
    {38, 875, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 10},	//271 KTextEditor::ConfigPage::reset() [pure virtual]
    {38, 458, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 11},	//272 KTextEditor::ConfigPage::defaults() [pure virtual]
    {38, 337, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//273 KTextEditor::ConfigPage::changed()
    {38, 1081, 70, 1, Smoke::mf_static, 164, 13},	//274 KTextEditor::ConfigPage::tr(const char*)
    {38, 1085, 70, 1, Smoke::mf_static, 164, 14},	//275 KTextEditor::ConfigPage::trUtf8(const char*)
    {38, 1050, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 328, 15},	//276 KTextEditor::ConfigPage::staticMetaObject() const
    {38, 1156, 0, 0, Smoke::mf_dtor, 0, 16 },	//277 KTextEditor::ConfigPage::~ConfigPage()
    {39, 55, 0, 0, Smoke::mf_ctor, 54, 1},	//278 KTextEditor::ContainerInterface::ContainerInterface()
    {39, 919, 131, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//279 KTextEditor::ContainerInterface::setContainer(QObject*) [pure virtual]
    {39, 409, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 153, 3},	//280 KTextEditor::ContainerInterface::container() [pure virtual]
    {39, 55, 209, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 54, 4},	//281 KTextEditor::ContainerInterface::ContainerInterface(const KTextEditor::ContainerInterface&)
    {39, 1157, 0, 0, Smoke::mf_dtor, 0, 5 },	//282 KTextEditor::ContainerInterface::~ContainerInterface()
    {40, 420, 211, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 56, 1},	//283 KTextEditor::CoordinatesToCursorInterface::coordinatesToCursor(const QPoint&) const [pure virtual]
    {40, 57, 0, 0, Smoke::mf_ctor, 55, 2},	//284 KTextEditor::CoordinatesToCursorInterface::CoordinatesToCursorInterface()
    {40, 57, 213, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 55, 3},	//285 KTextEditor::CoordinatesToCursorInterface::CoordinatesToCursorInterface(const KTextEditor::CoordinatesToCursorInterface&)
    {40, 1158, 0, 0, Smoke::mf_dtor, 0, 4 },	//286 KTextEditor::CoordinatesToCursorInterface::~CoordinatesToCursorInterface()
    {41, 59, 0, 0, Smoke::mf_ctor, 58, 1},	//287 KTextEditor::Cursor::Cursor()
    {41, 59, 150, 2, Smoke::mf_ctor, 58, 2},	//288 KTextEditor::Cursor::Cursor(int, int)
    {41, 59, 215, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 58, 3},	//289 KTextEditor::Cursor::Cursor(const KTextEditor::Cursor&)
    {41, 633, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 270, 4},	//290 KTextEditor::Cursor::isValid() const
    {41, 631, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 270, 5},	//291 KTextEditor::Cursor::isSmartCursor() const
    {41, 1077, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 88, 6},	//292 KTextEditor::Cursor::toSmartCursor() const
    {41, 624, 0, 0, Smoke::mf_static, 56, 7},	//293 KTextEditor::Cursor::invalid()
    {41, 1045, 0, 0, Smoke::mf_static, 56, 8},	//294 KTextEditor::Cursor::start()
    {41, 988, 215, 1, Smoke::mf_virtual, 0, 9},	//295 KTextEditor::Cursor::setPosition(const KTextEditor::Cursor&)
    {41, 988, 150, 2, 0, 0, 10},	//296 KTextEditor::Cursor::setPosition(int, int)
    {41, 641, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 345, 11},	//297 KTextEditor::Cursor::line() const
    {41, 949, 99, 1, Smoke::mf_virtual, 0, 12},	//298 KTextEditor::Cursor::setLine(int)
    {41, 378, 0, 0, Smoke::mf_const, 345, 13},	//299 KTextEditor::Cursor::column() const
    {41, 914, 99, 1, Smoke::mf_virtual, 0, 14},	//300 KTextEditor::Cursor::setColumn(int)
    {41, 318, 0, 0, Smoke::mf_const, 270, 15},	//301 KTextEditor::Cursor::atStartOfLine() const
    {41, 317, 0, 0, Smoke::mf_const, 270, 16},	//302 KTextEditor::Cursor::atStartOfDocument() const
    {41, 782, 217, 2, Smoke::mf_const, 0, 17},	//303 KTextEditor::Cursor::position(int&, int&) const
    {41, 808, 0, 0, Smoke::mf_const, 81, 18},	//304 KTextEditor::Cursor::range() const
    {41, 758, 215, 1, 0, 57, 19},	//305 KTextEditor::Cursor::operator=(const KTextEditor::Cursor&)
    {41, 991, 220, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//306 KTextEditor::Cursor::setRange(KTextEditor::Range*)
    {41, 433, 215, 1, Smoke::mf_protected, 0, 21},	//307 KTextEditor::Cursor::cursorChangedDirectly(const KTextEditor::Cursor&)
    {41, 653, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 345, 22},	//308 KTextEditor::Cursor::m_line() const
    {41, 956, 99, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 23},	//309 KTextEditor::Cursor::setM_line(int)
    {41, 651, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 345, 24},	//310 KTextEditor::Cursor::m_column() const
    {41, 952, 99, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 25},	//311 KTextEditor::Cursor::setM_column(int)
    {41, 654, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 81, 26},	//312 KTextEditor::Cursor::m_range() const
    {41, 958, 220, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 27},	//313 KTextEditor::Cursor::setM_range(KTextEditor::Range*)
    {41, 1159, 0, 0, Smoke::mf_dtor, 0, 28 },	//314 KTextEditor::Cursor::~Cursor()
    {42, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 329, 1},	//315 KTextEditor::Document::metaObject() const
    {42, 803, 70, 1, Smoke::mf_virtual, 350, 2},	//316 KTextEditor::Document::qt_metacast(const char*)
    {42, 1081, 85, 2, Smoke::mf_static, 164, 3},	//317 KTextEditor::Document::tr(const char*, const char*)
    {42, 1085, 85, 2, Smoke::mf_static, 164, 4},	//318 KTextEditor::Document::trUtf8(const char*, const char*)
    {42, 1081, 88, 3, Smoke::mf_static, 164, 5},	//319 KTextEditor::Document::tr(const char*, const char*, int)
    {42, 1085, 88, 3, Smoke::mf_static, 164, 6},	//320 KTextEditor::Document::trUtf8(const char*, const char*, int)
    {42, 801, 92, 3, Smoke::mf_virtual, 345, 7},	//321 KTextEditor::Document::qt_metacall(QMetaObject::Call, int, void**)
    {42, 66, 131, 1, Smoke::mf_ctor, 59, 8},	//322 KTextEditor::Document::Document(QObject*)
    {42, 515, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 60, 9},	//323 KTextEditor::Document::editor() [pure virtual]
    {42, 430, 10, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 103, 10},	//324 KTextEditor::Document::createView(QWidget*) [pure virtual]
    {42, 278, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 103, 11},	//325 KTextEditor::Document::activeView() const [pure virtual]
    {42, 1121, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 323, 12},	//326 KTextEditor::Document::views() const [pure virtual]
    {42, 1111, 222, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//327 KTextEditor::Document::viewCreated(KTextEditor::Document*, KTextEditor::View*)
    {42, 480, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 337, 14},	//328 KTextEditor::Document::documentName() const [pure virtual]
    {42, 705, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 164, 15},	//329 KTextEditor::Document::mimeType() [pure virtual]
    {42, 481, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//330 KTextEditor::Document::documentNameChanged(KTextEditor::Document*)
    {42, 489, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//331 KTextEditor::Document::documentUrlChanged(KTextEditor::Document*)
    {42, 714, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//332 KTextEditor::Document::modifiedChanged(KTextEditor::Document*)
    {42, 935, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 19},	//333 KTextEditor::Document::setEncoding(const QString&) [pure virtual]
    {42, 524, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 337, 20},	//334 KTextEditor::Document::encoding() const [pure virtual]
    {42, 484, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 21},	//335 KTextEditor::Document::documentReload() [pure virtual]
    {42, 485, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 22},	//336 KTextEditor::Document::documentSave() [pure virtual]
    {42, 486, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 23},	//337 KTextEditor::Document::documentSaveAs() [pure virtual]
    {42, 487, 227, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//338 KTextEditor::Document::documentSavedOrUploaded(KTextEditor::Document*, bool)
    {42, 1048, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 25},	//339 KTextEditor::Document::startEditing() [pure virtual]
    {42, 528, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 26},	//340 KTextEditor::Document::endEditing() [pure virtual]
    {42, 1059, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 164, 27},	//341 KTextEditor::Document::text() const [pure virtual]
    {42, 1059, 230, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 164, 28},	//342 KTextEditor::Document::text(const KTextEditor::Range&, bool) const [pure virtual]
    {42, 338, 215, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 113, 29},	//343 KTextEditor::Document::character(const KTextEditor::Cursor&) const [pure virtual]
    {42, 1070, 230, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 166, 30},	//344 KTextEditor::Document::textLines(const KTextEditor::Range&, bool) const [pure virtual]
    {42, 641, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 164, 31},	//345 KTextEditor::Document::line(int) const [pure virtual]
    {42, 649, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 345, 32},	//346 KTextEditor::Document::lines() const [pure virtual]
    {42, 478, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 56, 33},	//347 KTextEditor::Document::documentEnd() const [pure virtual]
    {42, 483, 0, 0, Smoke::mf_const, 79, 34},	//348 KTextEditor::Document::documentRange() const
    {42, 1080, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 345, 35},	//349 KTextEditor::Document::totalCharacters() const [pure virtual]
    {42, 629, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 270, 36},	//350 KTextEditor::Document::isEmpty() const
    {42, 647, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 345, 37},	//351 KTextEditor::Document::lineLength(int) const [pure virtual]
    {42, 529, 99, 1, Smoke::mf_const, 56, 38},	//352 KTextEditor::Document::endOfLine(int) const
    {42, 1012, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 39},	//353 KTextEditor::Document::setText(const QString&) [pure virtual]
    {42, 1012, 233, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 40},	//354 KTextEditor::Document::setText(const QStringList&) [pure virtual]
    {42, 355, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 41},	//355 KTextEditor::Document::clear() [pure virtual]
    {42, 614, 235, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 42},	//356 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QString&, bool) [pure virtual]
    {42, 614, 239, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 43},	//357 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QStringList&, bool) [pure virtual]
    {42, 867, 243, 3, Smoke::mf_virtual, 270, 44},	//358 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QString&, bool)
    {42, 867, 247, 3, Smoke::mf_virtual, 270, 45},	//359 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QStringList&, bool)
    {42, 859, 230, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 46},	//360 KTextEditor::Document::removeText(const KTextEditor::Range&, bool) [pure virtual]
    {42, 435, 215, 1, Smoke::mf_virtual, 270, 47},	//361 KTextEditor::Document::cursorInText(const KTextEditor::Cursor&)
    {42, 605, 251, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 48},	//362 KTextEditor::Document::insertLine(int, const QString&) [pure virtual]
    {42, 607, 254, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 49},	//363 KTextEditor::Document::insertLines(int, const QStringList&) [pure virtual]
    {42, 850, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 50},	//364 KTextEditor::Document::removeLine(int) [pure virtual]
    {42, 1063, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//365 KTextEditor::Document::textChanged(KTextEditor::Document*)
    {42, 1067, 257, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//366 KTextEditor::Document::textInserted(KTextEditor::Document*, const KTextEditor::Range&)
    {42, 1073, 257, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//367 KTextEditor::Document::textRemoved(KTextEditor::Document*, const KTextEditor::Range&)
    {42, 1073, 260, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//368 KTextEditor::Document::textRemoved(KTextEditor::Document*, const KTextEditor::Range&, const QString&)
    {42, 1063, 264, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//369 KTextEditor::Document::textChanged(KTextEditor::Document*, const KTextEditor::Range&, const KTextEditor::Range&)
    {42, 1063, 268, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//370 KTextEditor::Document::textChanged(KTextEditor::Document*, const KTextEditor::Range&, const QString&, const KTextEditor::Range&)
    {42, 271, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//371 KTextEditor::Document::aboutToClose(KTextEditor::Document*)
    {42, 273, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//372 KTextEditor::Document::aboutToReload(KTextEditor::Document*)
    {42, 837, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//373 KTextEditor::Document::reloaded(KTextEditor::Document*)
    {42, 536, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//374 KTextEditor::Document::exclusiveEditStart(KTextEditor::Document*)
    {42, 534, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//375 KTextEditor::Document::exclusiveEditEnd(KTextEditor::Document*)
    {42, 708, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 164, 62},	//376 KTextEditor::Document::mode() const [pure virtual]
    {42, 585, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 164, 63},	//377 KTextEditor::Document::highlightingMode() const [pure virtual]
    {42, 713, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 166, 64},	//378 KTextEditor::Document::modes() const [pure virtual]
    {42, 592, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 166, 65},	//379 KTextEditor::Document::highlightingModes() const [pure virtual]
    {42, 969, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 66},	//380 KTextEditor::Document::setMode(const QString&) [pure virtual]
    {42, 942, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 67},	//381 KTextEditor::Document::setHighlightingMode(const QString&) [pure virtual]
    {42, 590, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 164, 68},	//382 KTextEditor::Document::highlightingModeSection(int) const [pure virtual]
    {42, 711, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 164, 69},	//383 KTextEditor::Document::modeSection(int) const [pure virtual]
    {42, 709, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 70},	//384 KTextEditor::Document::modeChanged(KTextEditor::Document*)
    {42, 588, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//385 KTextEditor::Document::highlightingModeChanged(KTextEditor::Document*)
    {42, 1010, 17, 1, 0, 0, 72},	//386 KTextEditor::Document::setSuppressOpeningErrorDialogs(bool)
    {42, 1057, 0, 0, Smoke::mf_const, 270, 73},	//387 KTextEditor::Document::suppressOpeningErrorDialogs() const
    {42, 754, 0, 0, Smoke::mf_const, 270, 74},	//388 KTextEditor::Document::openingError() const
    {42, 755, 0, 0, Smoke::mf_const, 164, 75},	//389 KTextEditor::Document::openingErrorMessage() const
    {42, 630, 0, 0, Smoke::mf_const, 270, 76},	//390 KTextEditor::Document::isOrphaned() const
    {42, 982, 17, 1, 0, 0, 77},	//391 KTextEditor::Document::setOrphaned(bool)
    {42, 978, 17, 1, Smoke::mf_protected, 0, 78},	//392 KTextEditor::Document::setOpeningError(bool)
    {42, 980, 196, 1, Smoke::mf_protected, 0, 79},	//393 KTextEditor::Document::setOpeningErrorMessage(const QString&)
    {42, 1081, 70, 1, Smoke::mf_static, 164, 80},	//394 KTextEditor::Document::tr(const char*)
    {42, 1085, 70, 1, Smoke::mf_static, 164, 81},	//395 KTextEditor::Document::trUtf8(const char*)
    {42, 66, 0, 0, Smoke::mf_ctor, 59, 82},	//396 KTextEditor::Document::Document()
    {42, 1059, 273, 1, Smoke::mf_const, 164, 83},	//397 KTextEditor::Document::text(const KTextEditor::Range&) const
    {42, 1070, 273, 1, Smoke::mf_const, 166, 84},	//398 KTextEditor::Document::textLines(const KTextEditor::Range&) const
    {42, 614, 275, 2, 0, 270, 85},	//399 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QString&)
    {42, 614, 278, 2, 0, 270, 86},	//400 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QStringList&)
    {42, 867, 281, 2, 0, 270, 87},	//401 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QString&)
    {42, 867, 284, 2, 0, 270, 88},	//402 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QStringList&)
    {42, 859, 273, 1, 0, 270, 89},	//403 KTextEditor::Document::removeText(const KTextEditor::Range&)
    {42, 1050, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 328, 90},	//404 KTextEditor::Document::staticMetaObject() const
    {42, 1160, 0, 0, Smoke::mf_dtor, 0, 91 },	//405 KTextEditor::Document::~Document()
    {43, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 329, 1},	//406 KTextEditor::Editor::metaObject() const
    {43, 803, 70, 1, Smoke::mf_virtual, 350, 2},	//407 KTextEditor::Editor::qt_metacast(const char*)
    {43, 1081, 85, 2, Smoke::mf_static, 164, 3},	//408 KTextEditor::Editor::tr(const char*, const char*)
    {43, 1085, 85, 2, Smoke::mf_static, 164, 4},	//409 KTextEditor::Editor::trUtf8(const char*, const char*)
    {43, 1081, 88, 3, Smoke::mf_static, 164, 5},	//410 KTextEditor::Editor::tr(const char*, const char*, int)
    {43, 1085, 88, 3, Smoke::mf_static, 164, 6},	//411 KTextEditor::Editor::trUtf8(const char*, const char*, int)
    {43, 801, 92, 3, Smoke::mf_virtual, 345, 7},	//412 KTextEditor::Editor::qt_metacall(QMetaObject::Call, int, void**)
    {43, 73, 131, 1, Smoke::mf_ctor, 60, 8},	//413 KTextEditor::Editor::Editor(QObject*)
    {43, 1006, 17, 1, 0, 0, 9},	//414 KTextEditor::Editor::setSimpleMode(bool)
    {43, 1035, 0, 0, Smoke::mf_const, 270, 10},	//415 KTextEditor::Editor::simpleMode() const
    {43, 423, 131, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 59, 11},	//416 KTextEditor::Editor::createDocument(QObject*) [pure virtual]
    {43, 491, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 318, 12},	//417 KTextEditor::Editor::documents() [pure virtual]
    {43, 270, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 271, 13},	//418 KTextEditor::Editor::aboutData() const [pure virtual]
    {43, 455, 0, 0, Smoke::mf_const, 337, 14},	//419 KTextEditor::Editor::defaultEncoding() const
    {43, 927, 196, 1, Smoke::mf_protected, 0, 15},	//420 KTextEditor::Editor::setDefaultEncoding(const QString&)
    {43, 824, 287, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 16},	//421 KTextEditor::Editor::readConfig(KConfig*) [pure virtual]
    {43, 1134, 287, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//422 KTextEditor::Editor::writeConfig(KConfig*) [pure virtual]
    {43, 393, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 18},	//423 KTextEditor::Editor::configDialogSupported() const [pure virtual]
    {43, 391, 10, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 19},	//424 KTextEditor::Editor::configDialog(QWidget*) [pure virtual]
    {43, 403, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 345, 20},	//425 KTextEditor::Editor::configPages() const [pure virtual]
    {43, 395, 289, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 53, 21},	//426 KTextEditor::Editor::configPage(int, QWidget*) [pure virtual]
    {43, 401, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 164, 22},	//427 KTextEditor::Editor::configPageName(int) const [pure virtual]
    {43, 397, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 164, 23},	//428 KTextEditor::Editor::configPageFullName(int) const [pure virtual]
    {43, 399, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 9, 24},	//429 KTextEditor::Editor::configPageIcon(int) const [pure virtual]
    {43, 476, 292, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//430 KTextEditor::Editor::documentCreated(KTextEditor::Editor*, KTextEditor::Document*)
    {43, 1081, 70, 1, Smoke::mf_static, 164, 26},	//431 KTextEditor::Editor::tr(const char*)
    {43, 1085, 70, 1, Smoke::mf_static, 164, 27},	//432 KTextEditor::Editor::trUtf8(const char*)
    {43, 824, 0, 0, 0, 0, 28},	//433 KTextEditor::Editor::readConfig()
    {43, 1134, 0, 0, 0, 0, 29},	//434 KTextEditor::Editor::writeConfig()
    {43, 1050, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 328, 30},	//435 KTextEditor::Editor::staticMetaObject() const
    {43, 1161, 0, 0, Smoke::mf_dtor, 0, 31 },	//436 KTextEditor::Editor::~Editor()
    {44, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 329, 1},	//437 KTextEditor::EditorChooser::metaObject() const
    {44, 803, 70, 1, Smoke::mf_virtual, 350, 2},	//438 KTextEditor::EditorChooser::qt_metacast(const char*)
    {44, 1081, 85, 2, Smoke::mf_static, 164, 3},	//439 KTextEditor::EditorChooser::tr(const char*, const char*)
    {44, 1085, 85, 2, Smoke::mf_static, 164, 4},	//440 KTextEditor::EditorChooser::trUtf8(const char*, const char*)
    {44, 1081, 88, 3, Smoke::mf_static, 164, 5},	//441 KTextEditor::EditorChooser::tr(const char*, const char*, int)
    {44, 1085, 88, 3, Smoke::mf_static, 164, 6},	//442 KTextEditor::EditorChooser::trUtf8(const char*, const char*, int)
    {44, 801, 92, 3, Smoke::mf_virtual, 345, 7},	//443 KTextEditor::EditorChooser::qt_metacall(QMetaObject::Call, int, void**)
    {44, 75, 10, 1, Smoke::mf_ctor, 61, 8},	//444 KTextEditor::EditorChooser::EditorChooser(QWidget*)
    {44, 822, 196, 1, 0, 0, 9},	//445 KTextEditor::EditorChooser::readAppSetting(const QString&)
    {44, 1132, 196, 1, 0, 0, 10},	//446 KTextEditor::EditorChooser::writeAppSetting(const QString&)
    {44, 515, 295, 2, Smoke::mf_static, 60, 11},	//447 KTextEditor::EditorChooser::editor(const QString&, bool)
    {44, 337, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//448 KTextEditor::EditorChooser::changed()
    {44, 1081, 70, 1, Smoke::mf_static, 164, 13},	//449 KTextEditor::EditorChooser::tr(const char*)
    {44, 1085, 70, 1, Smoke::mf_static, 164, 14},	//450 KTextEditor::EditorChooser::trUtf8(const char*)
    {44, 75, 0, 0, Smoke::mf_ctor, 61, 15},	//451 KTextEditor::EditorChooser::EditorChooser()
    {44, 822, 0, 0, 0, 0, 16},	//452 KTextEditor::EditorChooser::readAppSetting()
    {44, 1132, 0, 0, 0, 0, 17},	//453 KTextEditor::EditorChooser::writeAppSetting()
    {44, 515, 0, 0, Smoke::mf_static, 60, 18},	//454 KTextEditor::EditorChooser::editor()
    {44, 515, 196, 1, Smoke::mf_static, 60, 19},	//455 KTextEditor::EditorChooser::editor(const QString&)
    {44, 1050, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 328, 20},	//456 KTextEditor::EditorChooser::staticMetaObject() const
    {44, 1162, 0, 0, Smoke::mf_dtor, 0, 21 },	//457 KTextEditor::EditorChooser::~EditorChooser()
    {45, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 329, 1},	//458 KTextEditor::Factory::metaObject() const
    {45, 803, 70, 1, Smoke::mf_virtual, 350, 2},	//459 KTextEditor::Factory::qt_metacast(const char*)
    {45, 1081, 85, 2, Smoke::mf_static, 164, 3},	//460 KTextEditor::Factory::tr(const char*, const char*)
    {45, 1085, 85, 2, Smoke::mf_static, 164, 4},	//461 KTextEditor::Factory::trUtf8(const char*, const char*)
    {45, 1081, 88, 3, Smoke::mf_static, 164, 5},	//462 KTextEditor::Factory::tr(const char*, const char*, int)
    {45, 1085, 88, 3, Smoke::mf_static, 164, 6},	//463 KTextEditor::Factory::trUtf8(const char*, const char*, int)
    {45, 801, 92, 3, Smoke::mf_virtual, 345, 7},	//464 KTextEditor::Factory::qt_metacall(QMetaObject::Call, int, void**)
    {45, 88, 131, 1, Smoke::mf_ctor, 62, 8},	//465 KTextEditor::Factory::Factory(QObject*)
    {45, 515, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 60, 9},	//466 KTextEditor::Factory::editor() [pure virtual]
    {45, 1081, 70, 1, Smoke::mf_static, 164, 10},	//467 KTextEditor::Factory::tr(const char*)
    {45, 1085, 70, 1, Smoke::mf_static, 164, 11},	//468 KTextEditor::Factory::trUtf8(const char*)
    {45, 1050, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 328, 12},	//469 KTextEditor::Factory::staticMetaObject() const
    {45, 1163, 0, 0, Smoke::mf_dtor, 0, 13 },	//470 KTextEditor::Factory::~Factory()
    {46, 96, 0, 0, Smoke::mf_ctor, 63, 1},	//471 KTextEditor::HighlightInterface::HighlightInterface()
    {46, 456, 298, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 20, 2},	//472 KTextEditor::HighlightInterface::defaultStyle(const KTextEditor::HighlightInterface::DefaultStyle) const [pure virtual]
    {46, 643, 300, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 140, 3},	//473 KTextEditor::HighlightInterface::lineAttributes(const unsigned int) [pure virtual]
    {46, 520, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 166, 4},	//474 KTextEditor::HighlightInterface::embeddedHighlightingModes() const [pure virtual]
    {46, 586, 215, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 164, 5},	//475 KTextEditor::HighlightInterface::highlightingModeAt(const KTextEditor::Cursor&) [pure virtual]
    {46, 96, 302, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 63, 6},	//476 KTextEditor::HighlightInterface::HighlightInterface(const KTextEditor::HighlightInterface&)
    {46, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 7},	//477 KTextEditor::HighlightInterface::dsNormal (enum)
    {46, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 8},	//478 KTextEditor::HighlightInterface::dsKeyword (enum)
    {46, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 9},	//479 KTextEditor::HighlightInterface::dsDataType (enum)
    {46, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 10},	//480 KTextEditor::HighlightInterface::dsDecVal (enum)
    {46, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 11},	//481 KTextEditor::HighlightInterface::dsBaseN (enum)
    {46, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 12},	//482 KTextEditor::HighlightInterface::dsFloat (enum)
    {46, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 13},	//483 KTextEditor::HighlightInterface::dsChar (enum)
    {46, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 14},	//484 KTextEditor::HighlightInterface::dsString (enum)
    {46, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 15},	//485 KTextEditor::HighlightInterface::dsComment (enum)
    {46, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 16},	//486 KTextEditor::HighlightInterface::dsOthers (enum)
    {46, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 17},	//487 KTextEditor::HighlightInterface::dsAlert (enum)
    {46, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 18},	//488 KTextEditor::HighlightInterface::dsFunction (enum)
    {46, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 19},	//489 KTextEditor::HighlightInterface::dsRegionMarker (enum)
    {46, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 20},	//490 KTextEditor::HighlightInterface::dsError (enum)
    {46, 1164, 0, 0, Smoke::mf_dtor, 0, 21 },	//491 KTextEditor::HighlightInterface::~HighlightInterface()
    {47, 15, 304, 3, Smoke::mf_ctor, 65, 1},	//492 KTextEditor::HighlightInterface::AttributeBlock::AttributeBlock(const int, const int, const KSharedPtr<KTextEditor::Attribute>&)
    {47, 15, 308, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 65, 2},	//493 KTextEditor::HighlightInterface::AttributeBlock::AttributeBlock(const KTextEditor::HighlightInterface::AttributeBlock&)
    {47, 1045, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 345, 3},	//494 KTextEditor::HighlightInterface::AttributeBlock::start() const
    {47, 1008, 99, 1, Smoke::mf_attribute, 0, 4},	//495 KTextEditor::HighlightInterface::AttributeBlock::setStart(int)
    {47, 640, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 345, 5},	//496 KTextEditor::HighlightInterface::AttributeBlock::length() const
    {47, 947, 99, 1, Smoke::mf_attribute, 0, 6},	//497 KTextEditor::HighlightInterface::AttributeBlock::setLength(int)
    {47, 319, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 21, 7},	//498 KTextEditor::HighlightInterface::AttributeBlock::attribute() const
    {47, 900, 310, 1, Smoke::mf_attribute, 0, 8},	//499 KTextEditor::HighlightInterface::AttributeBlock::setAttribute(const KSharedPtr<KTextEditor::Attribute>&)
    {47, 1146, 0, 0, Smoke::mf_dtor, 0, 9 },	//500 KTextEditor::HighlightInterface::AttributeBlock::~AttributeBlock()
    {48, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 329, 1},	//501 KTextEditor::LoadSaveFilterCheckPlugin::metaObject() const
    {48, 803, 70, 1, Smoke::mf_virtual, 350, 2},	//502 KTextEditor::LoadSaveFilterCheckPlugin::qt_metacast(const char*)
    {48, 1081, 85, 2, Smoke::mf_static, 164, 3},	//503 KTextEditor::LoadSaveFilterCheckPlugin::tr(const char*, const char*)
    {48, 1085, 85, 2, Smoke::mf_static, 164, 4},	//504 KTextEditor::LoadSaveFilterCheckPlugin::trUtf8(const char*, const char*)
    {48, 1081, 88, 3, Smoke::mf_static, 164, 5},	//505 KTextEditor::LoadSaveFilterCheckPlugin::tr(const char*, const char*, int)
    {48, 1085, 88, 3, Smoke::mf_static, 164, 6},	//506 KTextEditor::LoadSaveFilterCheckPlugin::trUtf8(const char*, const char*, int)
    {48, 801, 92, 3, Smoke::mf_virtual, 345, 7},	//507 KTextEditor::LoadSaveFilterCheckPlugin::qt_metacall(QMetaObject::Call, int, void**)
    {48, 152, 131, 1, Smoke::mf_ctor, 67, 8},	//508 KTextEditor::LoadSaveFilterCheckPlugin::LoadSaveFilterCheckPlugin(QObject*)
    {48, 796, 225, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 9},	//509 KTextEditor::LoadSaveFilterCheckPlugin::preSavePostDialogFilterCheck(KTextEditor::Document*) [pure virtual]
    {48, 794, 227, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 10},	//510 KTextEditor::LoadSaveFilterCheckPlugin::postSaveFilterCheck(KTextEditor::Document*, bool) [pure virtual]
    {48, 792, 225, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//511 KTextEditor::LoadSaveFilterCheckPlugin::postLoadFilter(KTextEditor::Document*) [pure virtual]
    {48, 1081, 70, 1, Smoke::mf_static, 164, 12},	//512 KTextEditor::LoadSaveFilterCheckPlugin::tr(const char*)
    {48, 1085, 70, 1, Smoke::mf_static, 164, 13},	//513 KTextEditor::LoadSaveFilterCheckPlugin::trUtf8(const char*)
    {48, 1050, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 328, 14},	//514 KTextEditor::LoadSaveFilterCheckPlugin::staticMetaObject() const
    {48, 1165, 0, 0, Smoke::mf_dtor, 0, 15 },	//515 KTextEditor::LoadSaveFilterCheckPlugin::~LoadSaveFilterCheckPlugin()
    {49, 156, 0, 0, Smoke::mf_ctor, 69, 1},	//516 KTextEditor::Mark::Mark()
    {49, 156, 312, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 69, 2},	//517 KTextEditor::Mark::Mark(const KTextEditor::Mark&)
    {49, 641, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 345, 3},	//518 KTextEditor::Mark::line() const
    {49, 949, 99, 1, Smoke::mf_attribute, 0, 4},	//519 KTextEditor::Mark::setLine(int)
    {49, 1092, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 348, 5},	//520 KTextEditor::Mark::type() const
    {49, 1015, 314, 1, Smoke::mf_attribute, 0, 6},	//521 KTextEditor::Mark::setType(unsigned int)
    {49, 1166, 0, 0, Smoke::mf_dtor, 0, 7 },	//522 KTextEditor::Mark::~Mark()
    {50, 159, 0, 0, Smoke::mf_ctor, 70, 1},	//523 KTextEditor::MarkInterface::MarkInterface()
    {50, 656, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 348, 2},	//524 KTextEditor::MarkInterface::mark(int) [pure virtual]
    {50, 963, 316, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//525 KTextEditor::MarkInterface::setMark(int, unsigned int) [pure virtual]
    {50, 361, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//526 KTextEditor::MarkInterface::clearMark(int) [pure virtual]
    {50, 291, 316, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//527 KTextEditor::MarkInterface::addMark(int, unsigned int) [pure virtual]
    {50, 852, 316, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 6},	//528 KTextEditor::MarkInterface::removeMark(int, unsigned int) [pure virtual]
    {50, 696, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 316, 7},	//529 KTextEditor::MarkInterface::marks() [pure virtual]
    {50, 363, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//530 KTextEditor::MarkInterface::clearMarks() [pure virtual]
    {50, 874, 0, 0, Smoke::mf_static, 345, 9},	//531 KTextEditor::MarkInterface::reservedMarkersCount()
    {50, 697, 225, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//532 KTextEditor::MarkInterface::marksChanged(KTextEditor::Document*) [pure virtual]
    {50, 967, 319, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//533 KTextEditor::MarkInterface::setMarkPixmap(KTextEditor::MarkInterface::MarkTypes, const QPixmap&) [pure virtual]
    {50, 662, 322, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 157, 12},	//534 KTextEditor::MarkInterface::markPixmap(KTextEditor::MarkInterface::MarkTypes) const [pure virtual]
    {50, 965, 324, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//535 KTextEditor::MarkInterface::setMarkDescription(KTextEditor::MarkInterface::MarkTypes, const QString&) [pure virtual]
    {50, 660, 322, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 164, 14},	//536 KTextEditor::MarkInterface::markDescription(KTextEditor::MarkInterface::MarkTypes) const [pure virtual]
    {50, 931, 314, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//537 KTextEditor::MarkInterface::setEditableMarks(unsigned int) [pure virtual]
    {50, 514, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 348, 16},	//538 KTextEditor::MarkInterface::editableMarks() const [pure virtual]
    {50, 658, 327, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//539 KTextEditor::MarkInterface::markChanged(KTextEditor::Document*, KTextEditor::Mark, KTextEditor::MarkInterface::MarkChangeAction) [pure virtual]
    {50, 159, 331, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 70, 18},	//540 KTextEditor::MarkInterface::MarkInterface(const KTextEditor::MarkInterface&)
    {50, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 19},	//541 KTextEditor::MarkInterface::markType01 (enum)
    {50, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 20},	//542 KTextEditor::MarkInterface::markType02 (enum)
    {50, 666, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 21},	//543 KTextEditor::MarkInterface::markType03 (enum)
    {50, 667, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 22},	//544 KTextEditor::MarkInterface::markType04 (enum)
    {50, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 23},	//545 KTextEditor::MarkInterface::markType05 (enum)
    {50, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 24},	//546 KTextEditor::MarkInterface::markType06 (enum)
    {50, 670, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 25},	//547 KTextEditor::MarkInterface::markType07 (enum)
    {50, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 26},	//548 KTextEditor::MarkInterface::markType08 (enum)
    {50, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 27},	//549 KTextEditor::MarkInterface::markType09 (enum)
    {50, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 28},	//550 KTextEditor::MarkInterface::markType10 (enum)
    {50, 674, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 29},	//551 KTextEditor::MarkInterface::markType11 (enum)
    {50, 675, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 30},	//552 KTextEditor::MarkInterface::markType12 (enum)
    {50, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 31},	//553 KTextEditor::MarkInterface::markType13 (enum)
    {50, 677, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 32},	//554 KTextEditor::MarkInterface::markType14 (enum)
    {50, 678, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 33},	//555 KTextEditor::MarkInterface::markType15 (enum)
    {50, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 34},	//556 KTextEditor::MarkInterface::markType16 (enum)
    {50, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 35},	//557 KTextEditor::MarkInterface::markType17 (enum)
    {50, 681, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 36},	//558 KTextEditor::MarkInterface::markType18 (enum)
    {50, 682, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 37},	//559 KTextEditor::MarkInterface::markType19 (enum)
    {50, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 38},	//560 KTextEditor::MarkInterface::markType20 (enum)
    {50, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 39},	//561 KTextEditor::MarkInterface::markType21 (enum)
    {50, 685, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 40},	//562 KTextEditor::MarkInterface::markType22 (enum)
    {50, 686, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 41},	//563 KTextEditor::MarkInterface::markType23 (enum)
    {50, 687, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 42},	//564 KTextEditor::MarkInterface::markType24 (enum)
    {50, 688, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 43},	//565 KTextEditor::MarkInterface::markType25 (enum)
    {50, 689, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 44},	//566 KTextEditor::MarkInterface::markType26 (enum)
    {50, 690, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 45},	//567 KTextEditor::MarkInterface::markType27 (enum)
    {50, 691, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 46},	//568 KTextEditor::MarkInterface::markType28 (enum)
    {50, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 47},	//569 KTextEditor::MarkInterface::markType29 (enum)
    {50, 693, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 48},	//570 KTextEditor::MarkInterface::markType30 (enum)
    {50, 694, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 49},	//571 KTextEditor::MarkInterface::markType31 (enum)
    {50, 695, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 50},	//572 KTextEditor::MarkInterface::markType32 (enum)
    {50, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 51},	//573 KTextEditor::MarkInterface::Bookmark (enum)
    {50, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 52},	//574 KTextEditor::MarkInterface::BreakpointActive (enum)
    {50, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 53},	//575 KTextEditor::MarkInterface::BreakpointReached (enum)
    {50, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 54},	//576 KTextEditor::MarkInterface::BreakpointDisabled (enum)
    {50, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 55},	//577 KTextEditor::MarkInterface::Execution (enum)
    {50, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 56},	//578 KTextEditor::MarkInterface::Warning (enum)
    {50, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 72, 57},	//579 KTextEditor::MarkInterface::Error (enum)
    {50, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 58},	//580 KTextEditor::MarkInterface::MarkAdded (enum)
    {50, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 59},	//581 KTextEditor::MarkInterface::MarkRemoved (enum)
    {50, 1167, 0, 0, Smoke::mf_dtor, 0, 60 },	//582 KTextEditor::MarkInterface::~MarkInterface()
    {51, 163, 0, 0, Smoke::mf_ctor, 73, 1},	//583 KTextEditor::MdiContainer::MdiContainer()
    {51, 894, 179, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//584 KTextEditor::MdiContainer::setActiveView(KTextEditor::View*) [pure virtual]
    {51, 278, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 103, 3},	//585 KTextEditor::MdiContainer::activeView() [pure virtual]
    {51, 423, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 59, 4},	//586 KTextEditor::MdiContainer::createDocument() [pure virtual]
    {51, 371, 225, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 5},	//587 KTextEditor::MdiContainer::closeDocument(KTextEditor::Document*) [pure virtual]
    {51, 430, 225, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 103, 6},	//588 KTextEditor::MdiContainer::createView(KTextEditor::Document*) [pure virtual]
    {51, 375, 179, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 7},	//589 KTextEditor::MdiContainer::closeView(KTextEditor::View*) [pure virtual]
    {51, 163, 333, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 73, 8},	//590 KTextEditor::MdiContainer::MdiContainer(const KTextEditor::MdiContainer&)
    {51, 1168, 0, 0, Smoke::mf_dtor, 0, 9 },	//591 KTextEditor::MdiContainer::~MdiContainer()
    {52, 165, 0, 0, Smoke::mf_ctor, 74, 1},	//592 KTextEditor::ModificationInterface::ModificationInterface()
    {52, 972, 335, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//593 KTextEditor::ModificationInterface::setModifiedOnDisk(KTextEditor::ModificationInterface::ModifiedOnDiskReason) [pure virtual]
    {52, 974, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//594 KTextEditor::ModificationInterface::setModifiedOnDiskWarning(bool) [pure virtual]
    {52, 1037, 179, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//595 KTextEditor::ModificationInterface::slotModifiedOnDisk(KTextEditor::View*) [pure virtual]
    {52, 716, 337, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//596 KTextEditor::ModificationInterface::modifiedOnDisk(KTextEditor::Document*, bool, KTextEditor::ModificationInterface::ModifiedOnDiskReason) [pure virtual]
    {52, 165, 341, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 74, 6},	//597 KTextEditor::ModificationInterface::ModificationInterface(const KTextEditor::ModificationInterface&)
    {52, 1037, 0, 0, 0, 0, 7},	//598 KTextEditor::ModificationInterface::slotModifiedOnDisk()
    {52, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 8},	//599 KTextEditor::ModificationInterface::OnDiskUnmodified (enum)
    {52, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 9},	//600 KTextEditor::ModificationInterface::OnDiskModified (enum)
    {52, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 10},	//601 KTextEditor::ModificationInterface::OnDiskCreated (enum)
    {52, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 11},	//602 KTextEditor::ModificationInterface::OnDiskDeleted (enum)
    {52, 1169, 0, 0, Smoke::mf_dtor, 0, 12 },	//603 KTextEditor::ModificationInterface::~ModificationInterface()
    {53, 180, 0, 0, Smoke::mf_ctor, 76, 1},	//604 KTextEditor::ParameterizedSessionConfigInterface::ParameterizedSessionConfigInterface()
    {53, 826, 343, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//605 KTextEditor::ParameterizedSessionConfigInterface::readParameterizedSessionConfig(const KConfigGroup&, unsigned long) [pure virtual]
    {53, 1136, 346, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//606 KTextEditor::ParameterizedSessionConfigInterface::writeParameterizedSessionConfig(KConfigGroup&, unsigned long) [pure virtual]
    {53, 180, 349, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 76, 4},	//607 KTextEditor::ParameterizedSessionConfigInterface::ParameterizedSessionConfigInterface(const KTextEditor::ParameterizedSessionConfigInterface&)
    {53, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 5},	//608 KTextEditor::ParameterizedSessionConfigInterface::SkipNone (enum)
    {53, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 6},	//609 KTextEditor::ParameterizedSessionConfigInterface::SkipUrl (enum)
    {53, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 7},	//610 KTextEditor::ParameterizedSessionConfigInterface::SkipMode (enum)
    {53, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 8},	//611 KTextEditor::ParameterizedSessionConfigInterface::SkipHighlighting (enum)
    {53, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 9},	//612 KTextEditor::ParameterizedSessionConfigInterface::SkipEncoding (enum)
    {53, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 10},	//613 KTextEditor::ParameterizedSessionConfigInterface::SkipFolding (enum)
    {53, 1170, 0, 0, Smoke::mf_dtor, 0, 11 },	//614 KTextEditor::ParameterizedSessionConfigInterface::~ParameterizedSessionConfigInterface()
    {54, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 329, 1},	//615 KTextEditor::Plugin::metaObject() const
    {54, 803, 70, 1, Smoke::mf_virtual, 350, 2},	//616 KTextEditor::Plugin::qt_metacast(const char*)
    {54, 1081, 85, 2, Smoke::mf_static, 164, 3},	//617 KTextEditor::Plugin::tr(const char*, const char*)
    {54, 1085, 85, 2, Smoke::mf_static, 164, 4},	//618 KTextEditor::Plugin::trUtf8(const char*, const char*)
    {54, 1081, 88, 3, Smoke::mf_static, 164, 5},	//619 KTextEditor::Plugin::tr(const char*, const char*, int)
    {54, 1085, 88, 3, Smoke::mf_static, 164, 6},	//620 KTextEditor::Plugin::trUtf8(const char*, const char*, int)
    {54, 801, 92, 3, Smoke::mf_virtual, 345, 7},	//621 KTextEditor::Plugin::qt_metacall(QMetaObject::Call, int, void**)
    {54, 182, 131, 1, Smoke::mf_ctor, 78, 8},	//622 KTextEditor::Plugin::Plugin(QObject*)
    {54, 283, 225, 1, Smoke::mf_virtual, 0, 9},	//623 KTextEditor::Plugin::addDocument(KTextEditor::Document*)
    {54, 844, 225, 1, Smoke::mf_virtual, 0, 10},	//624 KTextEditor::Plugin::removeDocument(KTextEditor::Document*)
    {54, 295, 179, 1, Smoke::mf_virtual, 0, 11},	//625 KTextEditor::Plugin::addView(KTextEditor::View*)
    {54, 863, 179, 1, Smoke::mf_virtual, 0, 12},	//626 KTextEditor::Plugin::removeView(KTextEditor::View*)
    {54, 1081, 70, 1, Smoke::mf_static, 164, 13},	//627 KTextEditor::Plugin::tr(const char*)
    {54, 1085, 70, 1, Smoke::mf_static, 164, 14},	//628 KTextEditor::Plugin::trUtf8(const char*)
    {54, 1050, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 328, 15},	//629 KTextEditor::Plugin::staticMetaObject() const
    {54, 1171, 0, 0, Smoke::mf_dtor, 0, 16 },	//630 KTextEditor::Plugin::~Plugin()
    {55, 199, 0, 0, Smoke::mf_ctor, 81, 1},	//631 KTextEditor::Range::Range()
    {55, 199, 351, 2, Smoke::mf_ctor, 81, 2},	//632 KTextEditor::Range::Range(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    {55, 199, 354, 2, Smoke::mf_ctor, 81, 3},	//633 KTextEditor::Range::Range(const KTextEditor::Cursor&, int)
    {55, 199, 357, 3, Smoke::mf_ctor, 81, 4},	//634 KTextEditor::Range::Range(const KTextEditor::Cursor&, int, int)
    {55, 199, 361, 4, Smoke::mf_ctor, 81, 5},	//635 KTextEditor::Range::Range(int, int, int, int)
    {55, 199, 273, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 81, 6},	//636 KTextEditor::Range::Range(const KTextEditor::Range&)
    {55, 633, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 270, 7},	//637 KTextEditor::Range::isValid() const
    {55, 624, 0, 0, Smoke::mf_static, 79, 8},	//638 KTextEditor::Range::invalid()
    {55, 632, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 270, 9},	//639 KTextEditor::Range::isSmartRange() const
    {55, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 95, 10},	//640 KTextEditor::Range::toSmartRange() const
    {55, 1045, 0, 0, 0, 57, 11},	//641 KTextEditor::Range::start()
    {55, 1045, 0, 0, Smoke::mf_const, 287, 12},	//642 KTextEditor::Range::start() const
    {55, 527, 0, 0, 0, 57, 13},	//643 KTextEditor::Range::end()
    {55, 527, 0, 0, Smoke::mf_const, 287, 14},	//644 KTextEditor::Range::end() const
    {55, 910, 99, 1, 0, 0, 15},	//645 KTextEditor::Range::setBothLines(int)
    {55, 908, 99, 1, 0, 0, 16},	//646 KTextEditor::Range::setBothColumns(int)
    {55, 991, 273, 1, Smoke::mf_virtual, 0, 17},	//647 KTextEditor::Range::setRange(const KTextEditor::Range&)
    {55, 991, 351, 2, 0, 0, 18},	//648 KTextEditor::Range::setRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    {55, 547, 273, 1, Smoke::mf_virtual, 270, 19},	//649 KTextEditor::Range::expandToRange(const KTextEditor::Range&)
    {55, 406, 273, 1, Smoke::mf_virtual, 270, 20},	//650 KTextEditor::Range::confineToRange(const KTextEditor::Range&)
    {55, 751, 0, 0, Smoke::mf_const, 270, 21},	//651 KTextEditor::Range::onSingleLine() const
    {55, 750, 0, 0, Smoke::mf_const, 345, 22},	//652 KTextEditor::Range::numberOfLines() const
    {55, 381, 0, 0, Smoke::mf_const, 345, 23},	//653 KTextEditor::Range::columnWidth() const
    {55, 629, 0, 0, Smoke::mf_const, 270, 24},	//654 KTextEditor::Range::isEmpty() const
    {55, 410, 273, 1, Smoke::mf_const, 270, 25},	//655 KTextEditor::Range::contains(const KTextEditor::Range&) const
    {55, 410, 215, 1, Smoke::mf_const, 270, 26},	//656 KTextEditor::Range::contains(const KTextEditor::Cursor&) const
    {55, 414, 99, 1, Smoke::mf_const, 270, 27},	//657 KTextEditor::Range::containsLine(int) const
    {55, 412, 99, 1, Smoke::mf_const, 270, 28},	//658 KTextEditor::Range::containsColumn(int) const
    {55, 765, 273, 1, Smoke::mf_const, 270, 29},	//659 KTextEditor::Range::overlaps(const KTextEditor::Range&) const
    {55, 769, 99, 1, Smoke::mf_const, 270, 30},	//660 KTextEditor::Range::overlapsLine(int) const
    {55, 767, 99, 1, Smoke::mf_const, 270, 31},	//661 KTextEditor::Range::overlapsColumn(int) const
    {55, 788, 215, 1, Smoke::mf_const, 345, 32},	//662 KTextEditor::Range::positionRelativeToCursor(const KTextEditor::Cursor&) const
    {55, 790, 99, 1, Smoke::mf_const, 345, 33},	//663 KTextEditor::Range::positionRelativeToLine(int) const
    {55, 326, 215, 1, Smoke::mf_const, 270, 34},	//664 KTextEditor::Range::boundaryAtCursor(const KTextEditor::Cursor&) const
    {55, 328, 99, 1, Smoke::mf_const, 270, 35},	//665 KTextEditor::Range::boundaryOnLine(int) const
    {55, 622, 273, 1, Smoke::mf_const, 79, 36},	//666 KTextEditor::Range::intersect(const KTextEditor::Range&) const
    {55, 525, 273, 1, Smoke::mf_const, 79, 37},	//667 KTextEditor::Range::encompass(const KTextEditor::Range&) const
    {55, 758, 273, 1, 0, 80, 38},	//668 KTextEditor::Range::operator=(const KTextEditor::Range&)
    {55, 199, 366, 2, Smoke::mf_ctor|Smoke::mf_protected, 81, 39},	//669 KTextEditor::Range::Range(KTextEditor::Cursor*, KTextEditor::Cursor*)
    {55, 811, 369, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//670 KTextEditor::Range::rangeChanged(KTextEditor::Cursor*, const KTextEditor::Range&)
    {55, 655, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 58, 41},	//671 KTextEditor::Range::m_start() const
    {55, 960, 372, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 42},	//672 KTextEditor::Range::setM_start(KTextEditor::Cursor*)
    {55, 652, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 58, 43},	//673 KTextEditor::Range::m_end() const
    {55, 954, 372, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 44},	//674 KTextEditor::Range::setM_end(KTextEditor::Cursor*)
    {55, 1172, 0, 0, Smoke::mf_dtor, 0, 45 },	//675 KTextEditor::Range::~Range()
    {56, 538, 374, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 1},	//676 KTextEditor::RangeCommand::exec(KTextEditor::View*, const QString&, QString&, const KTextEditor::Range&) [pure virtual]
    {56, 1055, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 2},	//677 KTextEditor::RangeCommand::supportsRange(const QString&) [pure virtual]
    {56, 205, 0, 0, Smoke::mf_ctor, 82, 3},	//678 KTextEditor::RangeCommand::RangeCommand()
    {56, 205, 379, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 82, 4},	//679 KTextEditor::RangeCommand::RangeCommand(const KTextEditor::RangeCommand&)
    {56, 1173, 0, 0, Smoke::mf_dtor, 0, 5 },	//680 KTextEditor::RangeCommand::~RangeCommand()
    {57, 210, 0, 0, Smoke::mf_ctor, 85, 1},	//681 KTextEditor::SearchInterface::SearchInterface()
    {57, 884, 381, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 173, 2},	//682 KTextEditor::SearchInterface::searchText(const KTextEditor::Range&, const QString&, const QFlags<KTextEditor::Search::SearchOptionsEnum>) [pure virtual]
    {57, 1054, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 128, 3},	//683 KTextEditor::SearchInterface::supportedSearchOptions() const [pure virtual]
    {57, 210, 385, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 85, 4},	//684 KTextEditor::SearchInterface::SearchInterface(const KTextEditor::SearchInterface&)
    {57, 884, 281, 2, 0, 173, 5},	//685 KTextEditor::SearchInterface::searchText(const KTextEditor::Range&, const QString&)
    {57, 1174, 0, 0, Smoke::mf_dtor, 0, 6 },	//686 KTextEditor::SearchInterface::~SearchInterface()
    {58, 214, 0, 0, Smoke::mf_ctor, 86, 1},	//687 KTextEditor::SessionConfigInterface::SessionConfigInterface()
    {58, 828, 387, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//688 KTextEditor::SessionConfigInterface::readSessionConfig(const KConfigGroup&) [pure virtual]
    {58, 1138, 389, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//689 KTextEditor::SessionConfigInterface::writeSessionConfig(KConfigGroup&) [pure virtual]
    {58, 214, 391, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 86, 4},	//690 KTextEditor::SessionConfigInterface::SessionConfigInterface(const KTextEditor::SessionConfigInterface&)
    {58, 1175, 0, 0, Smoke::mf_dtor, 0, 5 },	//691 KTextEditor::SessionConfigInterface::~SessionConfigInterface()
    {59, 631, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 270, 1},	//692 KTextEditor::SmartCursor::isSmartCursor() const
    {59, 1077, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 88, 2},	//693 KTextEditor::SmartCursor::toSmartCursor() const
    {59, 1041, 0, 0, Smoke::mf_const, 95, 3},	//694 KTextEditor::SmartCursor::smartRange() const
    {59, 474, 0, 0, Smoke::mf_const, 59, 4},	//695 KTextEditor::SmartCursor::document() const
    {59, 316, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 270, 5},	//696 KTextEditor::SmartCursor::atEndOfLine() const
    {59, 315, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 270, 6},	//697 KTextEditor::SmartCursor::atEndOfDocument() const
    {59, 633, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 270, 7},	//698 KTextEditor::SmartCursor::isValid() const
    {59, 338, 0, 0, Smoke::mf_const, 113, 8},	//699 KTextEditor::SmartCursor::character() const
    {59, 614, 393, 2, Smoke::mf_virtual, 270, 9},	//700 KTextEditor::SmartCursor::insertText(const QStringList&, bool)
    {59, 301, 396, 2, Smoke::mf_virtual, 270, 10},	//701 KTextEditor::SmartCursor::advance(int, KTextEditor::SmartCursor::AdvanceMode)
    {59, 603, 0, 0, Smoke::mf_const, 90, 11},	//702 KTextEditor::SmartCursor::insertBehavior() const
    {59, 944, 399, 1, 0, 0, 12},	//703 KTextEditor::SmartCursor::setInsertBehavior(KTextEditor::SmartCursor::InsertBehavior)
    {59, 575, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 13},	//704 KTextEditor::SmartCursor::hasNotifier() const [pure virtual]
    {59, 748, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 91, 14},	//705 KTextEditor::SmartCursor::notifier() [pure virtual]
    {59, 461, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//706 KTextEditor::SmartCursor::deleteNotifier() [pure virtual]
    {59, 1127, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 92, 16},	//707 KTextEditor::SmartCursor::watcher() const [pure virtual]
    {59, 1020, 401, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//708 KTextEditor::SmartCursor::setWatcher(KTextEditor::SmartCursorWatcher*) [pure virtual]
    {59, 758, 403, 1, 0, 87, 18},	//709 KTextEditor::SmartCursor::operator=(const KTextEditor::SmartCursor&)
    {59, 225, 405, 3, Smoke::mf_ctor|Smoke::mf_protected, 88, 19},	//710 KTextEditor::SmartCursor::SmartCursor(const KTextEditor::Cursor&, KTextEditor::Document*, KTextEditor::SmartCursor::InsertBehavior)
    {59, 614, 233, 1, 0, 270, 20},	//711 KTextEditor::SmartCursor::insertText(const QStringList&)
    {59, 301, 99, 1, 0, 270, 21},	//712 KTextEditor::SmartCursor::advance(int)
    {59, 1020, 0, 0, 0, 0, 22},	//713 KTextEditor::SmartCursor::setWatcher()
    {59, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 23},	//714 KTextEditor::SmartCursor::ByCharacter (enum)
    {59, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 24},	//715 KTextEditor::SmartCursor::ByCursorPosition (enum)
    {59, 242, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 25},	//716 KTextEditor::SmartCursor::StayOnInsert (enum)
    {59, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 26},	//717 KTextEditor::SmartCursor::MoveOnInsert (enum)
    {59, 1176, 0, 0, Smoke::mf_dtor, 0, 27 },	//718 KTextEditor::SmartCursor::~SmartCursor()
    {60, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 329, 1},	//719 KTextEditor::SmartCursorNotifier::metaObject() const
    {60, 803, 70, 1, Smoke::mf_virtual, 350, 2},	//720 KTextEditor::SmartCursorNotifier::qt_metacast(const char*)
    {60, 1081, 85, 2, Smoke::mf_static, 164, 3},	//721 KTextEditor::SmartCursorNotifier::tr(const char*, const char*)
    {60, 1085, 85, 2, Smoke::mf_static, 164, 4},	//722 KTextEditor::SmartCursorNotifier::trUtf8(const char*, const char*)
    {60, 1081, 88, 3, Smoke::mf_static, 164, 5},	//723 KTextEditor::SmartCursorNotifier::tr(const char*, const char*, int)
    {60, 1085, 88, 3, Smoke::mf_static, 164, 6},	//724 KTextEditor::SmartCursorNotifier::trUtf8(const char*, const char*, int)
    {60, 801, 92, 3, Smoke::mf_virtual, 345, 7},	//725 KTextEditor::SmartCursorNotifier::qt_metacall(QMetaObject::Call, int, void**)
    {60, 227, 0, 0, Smoke::mf_ctor, 91, 8},	//726 KTextEditor::SmartCursorNotifier::SmartCursorNotifier()
    {60, 1124, 0, 0, Smoke::mf_const, 270, 9},	//727 KTextEditor::SmartCursorNotifier::wantsDirectChanges() const
    {60, 1018, 17, 1, 0, 0, 10},	//728 KTextEditor::SmartCursorNotifier::setWantsDirectChanges(bool)
    {60, 784, 409, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//729 KTextEditor::SmartCursorNotifier::positionChanged(KTextEditor::SmartCursor*)
    {60, 786, 409, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//730 KTextEditor::SmartCursorNotifier::positionDeleted(KTextEditor::SmartCursor*)
    {60, 340, 411, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//731 KTextEditor::SmartCursorNotifier::characterDeleted(KTextEditor::SmartCursor*, bool)
    {60, 342, 411, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//732 KTextEditor::SmartCursorNotifier::characterInserted(KTextEditor::SmartCursor*, bool)
    {60, 466, 409, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//733 KTextEditor::SmartCursorNotifier::deleted(KTextEditor::SmartCursor*)
    {60, 1081, 70, 1, Smoke::mf_static, 164, 16},	//734 KTextEditor::SmartCursorNotifier::tr(const char*)
    {60, 1085, 70, 1, Smoke::mf_static, 164, 17},	//735 KTextEditor::SmartCursorNotifier::trUtf8(const char*)
    {60, 1050, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 328, 18},	//736 KTextEditor::SmartCursorNotifier::staticMetaObject() const
    {60, 1177, 0, 0, Smoke::mf_dtor, 0, 19 },	//737 KTextEditor::SmartCursorNotifier::~SmartCursorNotifier()
    {61, 228, 0, 0, Smoke::mf_ctor, 92, 1},	//738 KTextEditor::SmartCursorWatcher::SmartCursorWatcher()
    {61, 1124, 0, 0, Smoke::mf_const, 270, 2},	//739 KTextEditor::SmartCursorWatcher::wantsDirectChanges() const
    {61, 1018, 17, 1, 0, 0, 3},	//740 KTextEditor::SmartCursorWatcher::setWantsDirectChanges(bool)
    {61, 784, 409, 1, Smoke::mf_virtual, 0, 4},	//741 KTextEditor::SmartCursorWatcher::positionChanged(KTextEditor::SmartCursor*)
    {61, 786, 409, 1, Smoke::mf_virtual, 0, 5},	//742 KTextEditor::SmartCursorWatcher::positionDeleted(KTextEditor::SmartCursor*)
    {61, 340, 411, 2, Smoke::mf_virtual, 0, 6},	//743 KTextEditor::SmartCursorWatcher::characterDeleted(KTextEditor::SmartCursor*, bool)
    {61, 342, 411, 2, Smoke::mf_virtual, 0, 7},	//744 KTextEditor::SmartCursorWatcher::characterInserted(KTextEditor::SmartCursor*, bool)
    {61, 466, 409, 1, Smoke::mf_virtual, 0, 8},	//745 KTextEditor::SmartCursorWatcher::deleted(KTextEditor::SmartCursor*)
    {61, 228, 414, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 92, 9},	//746 KTextEditor::SmartCursorWatcher::SmartCursorWatcher(const KTextEditor::SmartCursorWatcher&)
    {61, 1178, 0, 0, Smoke::mf_dtor, 0, 10 },	//747 KTextEditor::SmartCursorWatcher::~SmartCursorWatcher()
    {62, 230, 0, 0, Smoke::mf_ctor, 93, 1},	//748 KTextEditor::SmartInterface::SmartInterface()
    {62, 1040, 0, 0, Smoke::mf_const, 152, 2},	//749 KTextEditor::SmartInterface::smartMutex() const
    {62, 366, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//750 KTextEditor::SmartInterface::clearSmartInterface() [pure virtual]
    {62, 364, 0, 0, Smoke::mf_const, 270, 4},	//751 KTextEditor::SmartInterface::clearOnDocumentReload() const
    {62, 912, 17, 1, 0, 0, 5},	//752 KTextEditor::SmartInterface::setClearOnDocumentReload(bool)
    {62, 432, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 345, 6},	//753 KTextEditor::SmartInterface::currentRevision() const [pure virtual]
    {62, 835, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 7},	//754 KTextEditor::SmartInterface::releaseRevision(int) const [pure virtual]
    {62, 1101, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//755 KTextEditor::SmartInterface::useRevision(int) [pure virtual]
    {62, 365, 0, 0, 0, 0, 9},	//756 KTextEditor::SmartInterface::clearRevision()
    {62, 1089, 416, 2, Smoke::mf_const|Smoke::mf_virtual, 56, 10},	//757 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior) const
    {62, 1089, 419, 2, Smoke::mf_const|Smoke::mf_virtual, 79, 11},	//758 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&, QFlags<KTextEditor::SmartRange::InsertBehavior>) const
    {62, 734, 416, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 88, 12},	//759 KTextEditor::SmartInterface::newSmartCursor(const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior) [pure virtual]
    {62, 734, 422, 3, 0, 88, 13},	//760 KTextEditor::SmartInterface::newSmartCursor(int, int, KTextEditor::SmartCursor::InsertBehavior)
    {62, 460, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//761 KTextEditor::SmartInterface::deleteCursors() [pure virtual]
    {62, 739, 426, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 95, 15},	//762 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>) [pure virtual]
    {62, 739, 430, 4, 0, 95, 16},	//763 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>)
    {62, 739, 435, 6, 0, 95, 17},	//764 KTextEditor::SmartInterface::newSmartRange(int, int, int, int, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>)
    {62, 739, 442, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 95, 18},	//765 KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>) [pure virtual]
    {62, 1093, 447, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 19},	//766 KTextEditor::SmartInterface::unbindSmartRange(KTextEditor::SmartRange*) [pure virtual]
    {62, 463, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 20},	//767 KTextEditor::SmartInterface::deleteRanges() [pure virtual]
    {62, 285, 449, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 21},	//768 KTextEditor::SmartInterface::addHighlightToDocument(KTextEditor::SmartRange*, bool) [pure virtual]
    {62, 846, 447, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 22},	//769 KTextEditor::SmartInterface::removeHighlightFromDocument(KTextEditor::SmartRange*) [pure virtual]
    {62, 479, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 319, 23},	//770 KTextEditor::SmartInterface::documentHighlights() const [pure virtual]
    {62, 360, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 24},	//771 KTextEditor::SmartInterface::clearDocumentHighlights() [pure virtual]
    {62, 288, 452, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 25},	//772 KTextEditor::SmartInterface::addHighlightToView(KTextEditor::View*, KTextEditor::SmartRange*, bool) [pure virtual]
    {62, 848, 456, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 26},	//773 KTextEditor::SmartInterface::removeHighlightFromView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
    {62, 1116, 179, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 319, 27},	//774 KTextEditor::SmartInterface::viewHighlights(KTextEditor::View*) const [pure virtual]
    {62, 369, 179, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 28},	//775 KTextEditor::SmartInterface::clearViewHighlights(KTextEditor::View*) [pure virtual]
    {62, 279, 447, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 29},	//776 KTextEditor::SmartInterface::addActionsToDocument(KTextEditor::SmartRange*) [pure virtual]
    {62, 839, 447, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 30},	//777 KTextEditor::SmartInterface::removeActionsFromDocument(KTextEditor::SmartRange*) [pure virtual]
    {62, 475, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 319, 31},	//778 KTextEditor::SmartInterface::documentActions() const [pure virtual]
    {62, 359, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 32},	//779 KTextEditor::SmartInterface::clearDocumentActions() [pure virtual]
    {62, 281, 456, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 33},	//780 KTextEditor::SmartInterface::addActionsToView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
    {62, 841, 456, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 34},	//781 KTextEditor::SmartInterface::removeActionsFromView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
    {62, 1109, 179, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 319, 35},	//782 KTextEditor::SmartInterface::viewActions(KTextEditor::View*) const [pure virtual]
    {62, 367, 179, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 36},	//783 KTextEditor::SmartInterface::clearViewActions(KTextEditor::View*) [pure virtual]
    {62, 320, 459, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 37},	//784 KTextEditor::SmartInterface::attributeDynamic(KSharedPtr<KTextEditor::Attribute>) [pure virtual]
    {62, 322, 459, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 38},	//785 KTextEditor::SmartInterface::attributeNotDynamic(KSharedPtr<KTextEditor::Attribute>) [pure virtual]
    {62, 230, 461, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 93, 39},	//786 KTextEditor::SmartInterface::SmartInterface(const KTextEditor::SmartInterface&)
    {62, 1089, 215, 1, Smoke::mf_const, 56, 40},	//787 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&) const
    {62, 1089, 273, 1, Smoke::mf_const, 79, 41},	//788 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&) const
    {62, 734, 0, 0, 0, 88, 42},	//789 KTextEditor::SmartInterface::newSmartCursor()
    {62, 734, 215, 1, 0, 88, 43},	//790 KTextEditor::SmartInterface::newSmartCursor(const KTextEditor::Cursor&)
    {62, 734, 150, 2, 0, 88, 44},	//791 KTextEditor::SmartInterface::newSmartCursor(int, int)
    {62, 739, 0, 0, 0, 95, 45},	//792 KTextEditor::SmartInterface::newSmartRange()
    {62, 739, 273, 1, 0, 95, 46},	//793 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&)
    {62, 739, 463, 2, 0, 95, 47},	//794 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&, KTextEditor::SmartRange*)
    {62, 739, 351, 2, 0, 95, 48},	//795 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    {62, 739, 466, 3, 0, 95, 49},	//796 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*)
    {62, 739, 361, 4, 0, 95, 50},	//797 KTextEditor::SmartInterface::newSmartRange(int, int, int, int)
    {62, 739, 470, 5, 0, 95, 51},	//798 KTextEditor::SmartInterface::newSmartRange(int, int, int, int, KTextEditor::SmartRange*)
    {62, 739, 476, 2, 0, 95, 52},	//799 KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*)
    {62, 739, 479, 3, 0, 95, 53},	//800 KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*)
    {62, 285, 447, 1, 0, 0, 54},	//801 KTextEditor::SmartInterface::addHighlightToDocument(KTextEditor::SmartRange*)
    {62, 288, 456, 2, 0, 0, 55},	//802 KTextEditor::SmartInterface::addHighlightToView(KTextEditor::View*, KTextEditor::SmartRange*)
    {62, 1179, 0, 0, Smoke::mf_dtor, 0, 56 },	//803 KTextEditor::SmartInterface::~SmartInterface()
    {63, 632, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 270, 1},	//804 KTextEditor::SmartRange::isSmartRange() const
    {63, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 95, 2},	//805 KTextEditor::SmartRange::toSmartRange() const
    {63, 991, 273, 1, Smoke::mf_virtual, 0, 3},	//806 KTextEditor::SmartRange::setRange(const KTextEditor::Range&)
    {63, 1042, 0, 0, 0, 87, 4},	//807 KTextEditor::SmartRange::smartStart()
    {63, 1042, 0, 0, Smoke::mf_const, 300, 5},	//808 KTextEditor::SmartRange::smartStart() const
    {63, 1039, 0, 0, 0, 87, 6},	//809 KTextEditor::SmartRange::smartEnd()
    {63, 1039, 0, 0, Smoke::mf_const, 300, 7},	//810 KTextEditor::SmartRange::smartEnd() const
    {63, 406, 273, 1, Smoke::mf_virtual, 270, 8},	//811 KTextEditor::SmartRange::confineToRange(const KTextEditor::Range&)
    {63, 547, 273, 1, Smoke::mf_virtual, 270, 9},	//812 KTextEditor::SmartRange::expandToRange(const KTextEditor::Range&)
    {63, 474, 0, 0, Smoke::mf_const, 59, 10},	//813 KTextEditor::SmartRange::document() const
    {63, 1059, 17, 1, Smoke::mf_const|Smoke::mf_virtual, 166, 11},	//814 KTextEditor::SmartRange::text(bool) const
    {63, 867, 393, 2, Smoke::mf_virtual, 270, 12},	//815 KTextEditor::SmartRange::replaceText(const QStringList&, bool)
    {63, 859, 17, 1, Smoke::mf_virtual, 270, 13},	//816 KTextEditor::SmartRange::removeText(bool)
    {63, 603, 0, 0, Smoke::mf_const, 129, 14},	//817 KTextEditor::SmartRange::insertBehavior() const
    {63, 944, 483, 1, 0, 0, 15},	//818 KTextEditor::SmartRange::setInsertBehavior(QFlags<KTextEditor::SmartRange::InsertBehavior>)
    {63, 776, 0, 0, Smoke::mf_const, 95, 16},	//819 KTextEditor::SmartRange::parentRange() const
    {63, 986, 447, 1, Smoke::mf_virtual, 0, 17},	//820 KTextEditor::SmartRange::setParentRange(KTextEditor::SmartRange*)
    {63, 576, 447, 1, Smoke::mf_const, 270, 18},	//821 KTextEditor::SmartRange::hasParent(KTextEditor::SmartRange*) const
    {63, 468, 0, 0, Smoke::mf_const, 345, 19},	//822 KTextEditor::SmartRange::depth() const
    {63, 1079, 0, 0, Smoke::mf_const, 95, 20},	//823 KTextEditor::SmartRange::topParentRange() const
    {63, 354, 0, 0, Smoke::mf_const, 320, 21},	//824 KTextEditor::SmartRange::childRanges() const
    {63, 358, 0, 0, 0, 0, 22},	//825 KTextEditor::SmartRange::clearChildRanges()
    {63, 459, 0, 0, 0, 0, 23},	//826 KTextEditor::SmartRange::deleteChildRanges()
    {63, 356, 0, 0, 0, 0, 24},	//827 KTextEditor::SmartRange::clearAndDeleteChildRanges()
    {63, 347, 485, 1, Smoke::mf_const, 95, 25},	//828 KTextEditor::SmartRange::childBefore(const KTextEditor::SmartRange*) const
    {63, 345, 485, 1, Smoke::mf_const, 95, 26},	//829 KTextEditor::SmartRange::childAfter(const KTextEditor::SmartRange*) const
    {63, 718, 273, 1, Smoke::mf_const, 95, 27},	//830 KTextEditor::SmartRange::mostSpecificRange(const KTextEditor::Range&) const
    {63, 552, 215, 1, Smoke::mf_const, 95, 28},	//831 KTextEditor::SmartRange::firstRangeContaining(const KTextEditor::Cursor&) const
    {63, 447, 487, 3, Smoke::mf_const, 95, 29},	//832 KTextEditor::SmartRange::deepestRangeContaining(const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*, QStack<KTextEditor::SmartRange*>*) const
    {63, 451, 215, 1, Smoke::mf_const, 141, 30},	//833 KTextEditor::SmartRange::deepestRangesContaining(const KTextEditor::Cursor&) const
    {63, 764, 0, 0, Smoke::mf_const, 345, 31},	//834 KTextEditor::SmartRange::overlapCount() const
    {63, 319, 0, 0, Smoke::mf_const, 20, 32},	//835 KTextEditor::SmartRange::attribute() const
    {63, 900, 459, 1, 0, 0, 33},	//836 KTextEditor::SmartRange::setAttribute(KSharedPtr<KTextEditor::Attribute>)
    {63, 312, 491, 1, 0, 0, 34},	//837 KTextEditor::SmartRange::associateAction(KAction*)
    {63, 472, 491, 1, 0, 0, 35},	//838 KTextEditor::SmartRange::dissociateAction(KAction*)
    {63, 314, 0, 0, Smoke::mf_const, 317, 36},	//839 KTextEditor::SmartRange::associatedActions() const
    {63, 357, 0, 0, 0, 0, 37},	//840 KTextEditor::SmartRange::clearAssociatedActions()
    {63, 798, 0, 0, 0, 98, 38},	//841 KTextEditor::SmartRange::primaryNotifier()
    {63, 749, 0, 0, Smoke::mf_const, 321, 39},	//842 KTextEditor::SmartRange::notifiers() const
    {63, 293, 493, 1, 0, 0, 40},	//843 KTextEditor::SmartRange::addNotifier(KTextEditor::SmartRangeNotifier*)
    {63, 854, 493, 1, 0, 0, 41},	//844 KTextEditor::SmartRange::removeNotifier(KTextEditor::SmartRangeNotifier*)
    {63, 462, 0, 0, 0, 0, 42},	//845 KTextEditor::SmartRange::deletePrimaryNotifier()
    {63, 1128, 0, 0, Smoke::mf_const, 322, 43},	//846 KTextEditor::SmartRange::watchers() const
    {63, 299, 495, 1, 0, 0, 44},	//847 KTextEditor::SmartRange::addWatcher(KTextEditor::SmartRangeWatcher*)
    {63, 865, 495, 1, 0, 0, 45},	//848 KTextEditor::SmartRange::removeWatcher(KTextEditor::SmartRangeWatcher*)
    {63, 758, 497, 1, 0, 94, 46},	//849 KTextEditor::SmartRange::operator=(const KTextEditor::SmartRange&)
    {63, 758, 273, 1, 0, 94, 47},	//850 KTextEditor::SmartRange::operator=(const KTextEditor::Range&)
    {63, 232, 442, 4, Smoke::mf_ctor|Smoke::mf_protected, 95, 48},	//851 KTextEditor::SmartRange::SmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>)
    {63, 811, 369, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//852 KTextEditor::SmartRange::rangeChanged(KTextEditor::Cursor*, const KTextEditor::Range&)
    {63, 344, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//853 KTextEditor::SmartRange::checkFeedback()
    {63, 425, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 98, 51},	//854 KTextEditor::SmartRange::createNotifier() [pure virtual]
    {63, 830, 0, 0, Smoke::mf_protected, 0, 52},	//855 KTextEditor::SmartRange::rebuildChildStructure()
    {63, 1059, 0, 0, Smoke::mf_const, 166, 53},	//856 KTextEditor::SmartRange::text() const
    {63, 867, 233, 1, 0, 270, 54},	//857 KTextEditor::SmartRange::replaceText(const QStringList&)
    {63, 859, 0, 0, 0, 270, 55},	//858 KTextEditor::SmartRange::removeText()
    {63, 447, 215, 1, Smoke::mf_const, 95, 56},	//859 KTextEditor::SmartRange::deepestRangeContaining(const KTextEditor::Cursor&) const
    {63, 447, 499, 2, Smoke::mf_const, 95, 57},	//860 KTextEditor::SmartRange::deepestRangeContaining(const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*) const
    {63, 232, 476, 2, Smoke::mf_ctor|Smoke::mf_protected, 95, 58},	//861 KTextEditor::SmartRange::SmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*)
    {63, 232, 479, 3, Smoke::mf_ctor|Smoke::mf_protected, 95, 59},	//862 KTextEditor::SmartRange::SmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*)
    {63, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 60},	//863 KTextEditor::SmartRange::DoNotExpand (enum)
    {63, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 61},	//864 KTextEditor::SmartRange::ExpandLeft (enum)
    {63, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 62},	//865 KTextEditor::SmartRange::ExpandRight (enum)
    {63, 1180, 0, 0, Smoke::mf_dtor, 0, 63 },	//866 KTextEditor::SmartRange::~SmartRange()
    {64, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 329, 1},	//867 KTextEditor::SmartRangeNotifier::metaObject() const
    {64, 803, 70, 1, Smoke::mf_virtual, 350, 2},	//868 KTextEditor::SmartRangeNotifier::qt_metacast(const char*)
    {64, 1081, 85, 2, Smoke::mf_static, 164, 3},	//869 KTextEditor::SmartRangeNotifier::tr(const char*, const char*)
    {64, 1085, 85, 2, Smoke::mf_static, 164, 4},	//870 KTextEditor::SmartRangeNotifier::trUtf8(const char*, const char*)
    {64, 1081, 88, 3, Smoke::mf_static, 164, 5},	//871 KTextEditor::SmartRangeNotifier::tr(const char*, const char*, int)
    {64, 1085, 88, 3, Smoke::mf_static, 164, 6},	//872 KTextEditor::SmartRangeNotifier::trUtf8(const char*, const char*, int)
    {64, 801, 92, 3, Smoke::mf_virtual, 345, 7},	//873 KTextEditor::SmartRangeNotifier::qt_metacall(QMetaObject::Call, int, void**)
    {64, 236, 0, 0, Smoke::mf_ctor, 98, 8},	//874 KTextEditor::SmartRangeNotifier::SmartRangeNotifier()
    {64, 1124, 0, 0, Smoke::mf_const, 270, 9},	//875 KTextEditor::SmartRangeNotifier::wantsDirectChanges() const
    {64, 1018, 17, 1, 0, 0, 10},	//876 KTextEditor::SmartRangeNotifier::setWantsDirectChanges(bool)
    {64, 820, 447, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//877 KTextEditor::SmartRangeNotifier::rangePositionChanged(KTextEditor::SmartRange*)
    {64, 813, 447, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//878 KTextEditor::SmartRangeNotifier::rangeContentsChanged(KTextEditor::SmartRange*)
    {64, 813, 502, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//879 KTextEditor::SmartRangeNotifier::rangeContentsChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {64, 721, 505, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//880 KTextEditor::SmartRangeNotifier::mouseEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {64, 723, 505, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//881 KTextEditor::SmartRangeNotifier::mouseExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {64, 332, 505, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//882 KTextEditor::SmartRangeNotifier::caretEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {64, 334, 505, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//883 KTextEditor::SmartRangeNotifier::caretExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {64, 818, 447, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//884 KTextEditor::SmartRangeNotifier::rangeEliminated(KTextEditor::SmartRange*)
    {64, 816, 447, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//885 KTextEditor::SmartRangeNotifier::rangeDeleted(KTextEditor::SmartRange*)
    {64, 777, 508, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//886 KTextEditor::SmartRangeNotifier::parentRangeChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {64, 350, 502, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//887 KTextEditor::SmartRangeNotifier::childRangeInserted(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {64, 352, 502, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//888 KTextEditor::SmartRangeNotifier::childRangeRemoved(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {64, 809, 512, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//889 KTextEditor::SmartRangeNotifier::rangeAttributeChanged(KTextEditor::SmartRange*, KTextEditor::Attribute::Ptr, KTextEditor::Attribute::Ptr)
    {64, 1081, 70, 1, Smoke::mf_static, 164, 24},	//890 KTextEditor::SmartRangeNotifier::tr(const char*)
    {64, 1085, 70, 1, Smoke::mf_static, 164, 25},	//891 KTextEditor::SmartRangeNotifier::trUtf8(const char*)
    {64, 1050, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 328, 26},	//892 KTextEditor::SmartRangeNotifier::staticMetaObject() const
    {64, 1181, 0, 0, Smoke::mf_dtor, 0, 27 },	//893 KTextEditor::SmartRangeNotifier::~SmartRangeNotifier()
    {65, 237, 0, 0, Smoke::mf_ctor, 99, 1},	//894 KTextEditor::SmartRangeWatcher::SmartRangeWatcher()
    {65, 1124, 0, 0, Smoke::mf_const, 270, 2},	//895 KTextEditor::SmartRangeWatcher::wantsDirectChanges() const
    {65, 1018, 17, 1, 0, 0, 3},	//896 KTextEditor::SmartRangeWatcher::setWantsDirectChanges(bool)
    {65, 820, 447, 1, Smoke::mf_virtual, 0, 4},	//897 KTextEditor::SmartRangeWatcher::rangePositionChanged(KTextEditor::SmartRange*)
    {65, 813, 447, 1, Smoke::mf_virtual, 0, 5},	//898 KTextEditor::SmartRangeWatcher::rangeContentsChanged(KTextEditor::SmartRange*)
    {65, 813, 502, 2, Smoke::mf_virtual, 0, 6},	//899 KTextEditor::SmartRangeWatcher::rangeContentsChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {65, 721, 505, 2, Smoke::mf_virtual, 0, 7},	//900 KTextEditor::SmartRangeWatcher::mouseEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {65, 723, 505, 2, Smoke::mf_virtual, 0, 8},	//901 KTextEditor::SmartRangeWatcher::mouseExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {65, 332, 505, 2, Smoke::mf_virtual, 0, 9},	//902 KTextEditor::SmartRangeWatcher::caretEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {65, 334, 505, 2, Smoke::mf_virtual, 0, 10},	//903 KTextEditor::SmartRangeWatcher::caretExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {65, 818, 447, 1, Smoke::mf_virtual, 0, 11},	//904 KTextEditor::SmartRangeWatcher::rangeEliminated(KTextEditor::SmartRange*)
    {65, 816, 447, 1, Smoke::mf_virtual, 0, 12},	//905 KTextEditor::SmartRangeWatcher::rangeDeleted(KTextEditor::SmartRange*)
    {65, 777, 508, 3, Smoke::mf_virtual, 0, 13},	//906 KTextEditor::SmartRangeWatcher::parentRangeChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {65, 350, 502, 2, Smoke::mf_virtual, 0, 14},	//907 KTextEditor::SmartRangeWatcher::childRangeInserted(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {65, 352, 502, 2, Smoke::mf_virtual, 0, 15},	//908 KTextEditor::SmartRangeWatcher::childRangeRemoved(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {65, 809, 516, 3, Smoke::mf_virtual, 0, 16},	//909 KTextEditor::SmartRangeWatcher::rangeAttributeChanged(KTextEditor::SmartRange*, KSharedPtr<KTextEditor::Attribute>, KSharedPtr<KTextEditor::Attribute>)
    {65, 237, 520, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 99, 17},	//910 KTextEditor::SmartRangeWatcher::SmartRangeWatcher(const KTextEditor::SmartRangeWatcher&)
    {65, 1182, 0, 0, Smoke::mf_dtor, 0, 18 },	//911 KTextEditor::SmartRangeWatcher::~SmartRangeWatcher()
    {66, 245, 0, 0, Smoke::mf_ctor, 100, 1},	//912 KTextEditor::TemplateInterface::TemplateInterface()
    {66, 545, 522, 2, Smoke::mf_static, 270, 2},	//913 KTextEditor::TemplateInterface::expandMacros(QMap<QString,QString>&, QWidget*)
    {66, 610, 525, 3, 0, 270, 3},	//914 KTextEditor::TemplateInterface::insertTemplateText(const KTextEditor::Cursor&, const QString&, const QMap<QString,QString>&)
    {66, 612, 525, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 4},	//915 KTextEditor::TemplateInterface::insertTemplateTextImplementation(const KTextEditor::Cursor&, const QString&, const QMap<QString,QString>&) [pure virtual]
    {66, 125, 529, 2, Smoke::mf_protected, 270, 5},	//916 KTextEditor::TemplateInterface::KTE_INTERNAL_setupIntialValues(const QString&, QMap<QString,QString>*)
    {66, 245, 532, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 100, 6},	//917 KTextEditor::TemplateInterface::TemplateInterface(const KTextEditor::TemplateInterface&)
    {66, 1183, 0, 0, Smoke::mf_dtor, 0, 7 },	//918 KTextEditor::TemplateInterface::~TemplateInterface()
    {67, 247, 0, 0, Smoke::mf_ctor, 101, 1},	//919 KTextEditor::TextHintInterface::TextHintInterface()
    {67, 521, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//920 KTextEditor::TextHintInterface::enableTextHints(int) [pure virtual]
    {67, 470, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//921 KTextEditor::TextHintInterface::disableTextHints() [pure virtual]
    {67, 732, 534, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//922 KTextEditor::TextHintInterface::needTextHint(const KTextEditor::Cursor&, QString&) [pure virtual]
    {67, 247, 537, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 101, 5},	//923 KTextEditor::TextHintInterface::TextHintInterface(const KTextEditor::TextHintInterface&)
    {67, 1184, 0, 0, Smoke::mf_dtor, 0, 6 },	//924 KTextEditor::TextHintInterface::~TextHintInterface()
    {68, 255, 0, 0, Smoke::mf_ctor, 102, 1},	//925 KTextEditor::VariableInterface::VariableInterface()
    {68, 1103, 196, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 164, 2},	//926 KTextEditor::VariableInterface::variable(const QString&) const [pure virtual]
    {68, 1105, 539, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//927 KTextEditor::VariableInterface::variableChanged(KTextEditor::Document*, const QString&, const QString&) [pure virtual]
    {68, 255, 543, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 102, 4},	//928 KTextEditor::VariableInterface::VariableInterface(const KTextEditor::VariableInterface&)
    {68, 1185, 0, 0, Smoke::mf_dtor, 0, 5 },	//929 KTextEditor::VariableInterface::~VariableInterface()
    {69, 702, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 329, 1},	//930 KTextEditor::View::metaObject() const
    {69, 803, 70, 1, Smoke::mf_virtual, 350, 2},	//931 KTextEditor::View::qt_metacast(const char*)
    {69, 1081, 85, 2, Smoke::mf_static, 164, 3},	//932 KTextEditor::View::tr(const char*, const char*)
    {69, 1085, 85, 2, Smoke::mf_static, 164, 4},	//933 KTextEditor::View::trUtf8(const char*, const char*)
    {69, 1081, 88, 3, Smoke::mf_static, 164, 5},	//934 KTextEditor::View::tr(const char*, const char*, int)
    {69, 1085, 88, 3, Smoke::mf_static, 164, 6},	//935 KTextEditor::View::trUtf8(const char*, const char*, int)
    {69, 801, 92, 3, Smoke::mf_virtual, 345, 7},	//936 KTextEditor::View::qt_metacall(QMetaObject::Call, int, void**)
    {69, 257, 10, 1, Smoke::mf_ctor, 103, 8},	//937 KTextEditor::View::View(QWidget*)
    {69, 474, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 59, 9},	//938 KTextEditor::View::document() const [pure virtual]
    {69, 625, 0, 0, Smoke::mf_const, 270, 10},	//939 KTextEditor::View::isActiveView() const
    {69, 1118, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 164, 11},	//940 KTextEditor::View::viewMode() const [pure virtual]
    {69, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 104, 12},	//941 KTextEditor::View::viewEditMode() const [pure virtual]
    {69, 557, 179, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//942 KTextEditor::View::focusIn(KTextEditor::View*)
    {69, 561, 179, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//943 KTextEditor::View::focusOut(KTextEditor::View*)
    {69, 1119, 179, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//944 KTextEditor::View::viewModeChanged(KTextEditor::View*)
    {69, 1114, 545, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//945 KTextEditor::View::viewEditModeChanged(KTextEditor::View*, KTextEditor::View::EditMode)
    {69, 599, 193, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//946 KTextEditor::View::informationMessage(KTextEditor::View*, const QString&)
    {69, 1067, 548, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//947 KTextEditor::View::textInserted(KTextEditor::View*, const KTextEditor::Cursor&, const QString&)
    {69, 921, 552, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 19},	//948 KTextEditor::View::setContextMenu(QMenu*) [pure virtual]
    {69, 416, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 146, 20},	//949 KTextEditor::View::contextMenu() const [pure virtual]
    {69, 453, 552, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 146, 21},	//950 KTextEditor::View::defaultContextMenu(QMenu*) const [pure virtual]
    {69, 417, 554, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//951 KTextEditor::View::contextMenuAboutToShow(KTextEditor::View*, QMenu*)
    {69, 923, 557, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 23},	//952 KTextEditor::View::setCursorPosition(KTextEditor::Cursor) [pure virtual]
    {69, 437, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 56, 24},	//953 KTextEditor::View::cursorPosition() const [pure virtual]
    {69, 441, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 56, 25},	//954 KTextEditor::View::cursorPositionVirtual() const [pure virtual]
    {69, 442, 215, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 158, 26},	//955 KTextEditor::View::cursorToCoordinate(const KTextEditor::Cursor&) const [pure virtual]
    {69, 440, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 158, 27},	//956 KTextEditor::View::cursorPositionCoordinates() const [pure virtual]
    {69, 438, 162, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//957 KTextEditor::View::cursorPositionChanged(KTextEditor::View*, const KTextEditor::Cursor&)
    {69, 1107, 162, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//958 KTextEditor::View::verticalScrollPositionChanged(KTextEditor::View*, const KTextEditor::Cursor&)
    {69, 594, 179, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//959 KTextEditor::View::horizontalScrollPositionChanged(KTextEditor::View*)
    {69, 730, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 31},	//960 KTextEditor::View::mouseTrackingEnabled() const [pure virtual]
    {69, 976, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 32},	//961 KTextEditor::View::setMouseTrackingEnabled(bool) [pure virtual]
    {69, 726, 162, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//962 KTextEditor::View::mousePositionChanged(KTextEditor::View*, const KTextEditor::Cursor&)
    {69, 1002, 273, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 34},	//963 KTextEditor::View::setSelection(const KTextEditor::Range&) [pure virtual]
    {69, 1002, 559, 3, Smoke::mf_virtual, 270, 35},	//964 KTextEditor::View::setSelection(const KTextEditor::Cursor&, int, bool)
    {69, 889, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 36},	//965 KTextEditor::View::selection() const [pure virtual]
    {69, 892, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 296, 37},	//966 KTextEditor::View::selectionRange() const [pure virtual]
    {69, 893, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 164, 38},	//967 KTextEditor::View::selectionText() const [pure virtual]
    {69, 857, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 39},	//968 KTextEditor::View::removeSelection() [pure virtual]
    {69, 858, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 40},	//969 KTextEditor::View::removeSelectionText() [pure virtual]
    {69, 906, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 41},	//970 KTextEditor::View::setBlockSelection(bool) [pure virtual]
    {69, 325, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 42},	//971 KTextEditor::View::blockSelection() const [pure virtual]
    {69, 890, 179, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//972 KTextEditor::View::selectionChanged(KTextEditor::View*)
    {69, 614, 196, 1, Smoke::mf_virtual, 270, 44},	//973 KTextEditor::View::insertText(const QString&)
    {69, 1081, 70, 1, Smoke::mf_static, 164, 45},	//974 KTextEditor::View::tr(const char*)
    {69, 1085, 70, 1, Smoke::mf_static, 164, 46},	//975 KTextEditor::View::trUtf8(const char*)
    {69, 453, 0, 0, Smoke::mf_const, 146, 47},	//976 KTextEditor::View::defaultContextMenu() const
    {69, 1002, 354, 2, 0, 270, 48},	//977 KTextEditor::View::setSelection(const KTextEditor::Cursor&, int)
    {69, 1050, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 328, 49},	//978 KTextEditor::View::staticMetaObject() const
    {69, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 50},	//979 KTextEditor::View::EditInsert (enum)
    {69, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 51},	//980 KTextEditor::View::EditOverwrite (enum)
    {69, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 52},	//981 KTextEditor::View::EditViMode (enum)
    {69, 1186, 0, 0, Smoke::mf_dtor, 0, 53 },	//982 KTextEditor::View::~View()
    {70, 259, 0, 0, Smoke::mf_ctor, 105, 1},	//983 KTextEditor::ViewBarContainer::ViewBarContainer()
    {70, 567, 563, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 175, 2},	//984 KTextEditor::ViewBarContainer::getViewBarParent(KTextEditor::View*, KTextEditor::ViewBarContainer::Position) [pure virtual]
    {70, 297, 566, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//985 KTextEditor::ViewBarContainer::addViewBarToLayout(KTextEditor::View*, QWidget*, KTextEditor::ViewBarContainer::Position) [pure virtual]
    {70, 1033, 563, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//986 KTextEditor::ViewBarContainer::showViewBarForView(KTextEditor::View*, KTextEditor::ViewBarContainer::Position) [pure virtual]
    {70, 583, 563, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//987 KTextEditor::ViewBarContainer::hideViewBarForView(KTextEditor::View*, KTextEditor::ViewBarContainer::Position) [pure virtual]
    {70, 464, 563, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 6},	//988 KTextEditor::ViewBarContainer::deleteViewBarForView(KTextEditor::View*, KTextEditor::ViewBarContainer::Position) [pure virtual]
    {70, 259, 570, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 105, 7},	//989 KTextEditor::ViewBarContainer::ViewBarContainer(const KTextEditor::ViewBarContainer&)
    {70, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 8},	//990 KTextEditor::ViewBarContainer::LeftBar (enum)
    {70, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 9},	//991 KTextEditor::ViewBarContainer::TopBar (enum)
    {70, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 10},	//992 KTextEditor::ViewBarContainer::RightBar (enum)
    {70, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 11},	//993 KTextEditor::ViewBarContainer::BottomBar (enum)
    {70, 1187, 0, 0, Smoke::mf_dtor, 0, 12 },	//994 KTextEditor::ViewBarContainer::~ViewBarContainer()
    {72, 275, 572, 1, Smoke::mf_const|Smoke::mf_virtual, 109, 0},	//995 KXMLGUIClient::action(const QDomElement&) const
    {72, 276, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 2, 0},	//996 KXMLGUIClient::actionCollection() const
    {72, 390, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 5, 0},	//997 KXMLGUIClient::componentData() const
    {72, 492, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 117, 0},	//998 KXMLGUIClient::domDocument() const
    {72, 1141, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 164, 0},	//999 KXMLGUIClient::xmlFile() const
    {72, 650, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 164, 0},	//1000 KXMLGUIClient::localXMLFile() const
    {72, 916, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1001 KXMLGUIClient::setComponentData(const KComponentData&)
    {72, 1024, 574, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1002 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
    {72, 951, 196, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1003 KXMLGUIClient::setLocalXMLFile(const QString&)
    {72, 1023, 295, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1004 KXMLGUIClient::setXML(const QString&, bool)
    {72, 925, 578, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1005 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
    {72, 1049, 581, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1006 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
    {72, 1122, 584, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1007 KXMLGUIClient::virtual_hook(int, void*)
    {72, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 14},	//1008 KXMLGUIClient::StateNoReverse (enum)
    {72, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 15},	//1009 KXMLGUIClient::StateReverse (enum)
    {73, 571, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 270, 0},	//1010 QAbstractItemModel::hasChildren(const QModelIndex&) const
    {73, 445, 587, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 172, 0},	//1011 QAbstractItemModel::data(const QModelIndex&, int) const [pure virtual]
    {73, 926, 590, 3, Smoke::mf_virtual, 270, 0},	//1012 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {73, 578, 594, 3, Smoke::mf_const|Smoke::mf_virtual, 172, 0},	//1013 QAbstractItemModel::headerData(int, Qt::Orientation, int) const
    {73, 941, 598, 4, Smoke::mf_virtual, 270, 0},	//1014 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {73, 946, 603, 2, Smoke::mf_virtual, 270, 0},	//1015 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {73, 706, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 166, 0},	//1016 QAbstractItemModel::mimeTypes() const
    {73, 704, 606, 1, Smoke::mf_const|Smoke::mf_virtual, 148, 0},	//1017 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {73, 497, 608, 5, Smoke::mf_virtual, 270, 0},	//1018 QAbstractItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {73, 1053, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 131, 0},	//1019 QAbstractItemModel::supportedDropActions() const
    {73, 609, 143, 3, Smoke::mf_virtual, 270, 0},	//1020 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {73, 604, 143, 3, Smoke::mf_virtual, 270, 0},	//1021 QAbstractItemModel::insertColumns(int, int, const QModelIndex&)
    {73, 856, 143, 3, Smoke::mf_virtual, 270, 0},	//1022 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {73, 843, 143, 3, Smoke::mf_virtual, 270, 0},	//1023 QAbstractItemModel::removeColumns(int, int, const QModelIndex&)
    {73, 549, 141, 1, Smoke::mf_virtual, 0, 0},	//1024 QAbstractItemModel::fetchMore(const QModelIndex&)
    {73, 331, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 270, 0},	//1025 QAbstractItemModel::canFetchMore(const QModelIndex&) const
    {73, 556, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 132, 0},	//1026 QAbstractItemModel::flags(const QModelIndex&) const
    {73, 1043, 614, 2, Smoke::mf_virtual, 0, 0},	//1027 QAbstractItemModel::sort(int, Qt::SortOrder)
    {73, 330, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 149, 0},	//1028 QAbstractItemModel::buddy(const QModelIndex&) const
    {73, 699, 617, 5, Smoke::mf_const|Smoke::mf_virtual, 142, 0},	//1029 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {73, 1044, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 162, 0},	//1030 QAbstractItemModel::span(const QModelIndex&) const
    {73, 1052, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 270, 0},	//1031 QAbstractItemModel::submit()
    {73, 877, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1032 QAbstractItemModel::revert()
    {91, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 347, 1},	//1033 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {91, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 347, 2},	//1034 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {91, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 347, 3},	//1035 QGlobalSpace::Q_STATIC_TYPE (enum)
    {91, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 347, 4},	//1036 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {91, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 347, 5},	//1037 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {91, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 253, 6},	//1038 QGlobalSpace::LicensedGui (enum)
    {91, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 266, 7},	//1039 QGlobalSpace::LicensedXml (enum)
    {91, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 259, 8},	//1040 QGlobalSpace::LicensedQt3SupportLight (enum)
    {91, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 9},	//1041 QGlobalSpace::KST_KSycocaEntry (enum)
    {91, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 10},	//1042 QGlobalSpace::KST_KService (enum)
    {91, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 11},	//1043 QGlobalSpace::KST_KServiceType (enum)
    {91, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 12},	//1044 QGlobalSpace::KST_KMimeType (enum)
    {91, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 13},	//1045 QGlobalSpace::KST_KFolderMimeType (enum)
    {91, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 14},	//1046 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {91, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 15},	//1047 QGlobalSpace::KST_KMimeTypeEntry (enum)
    {91, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 16},	//1048 QGlobalSpace::KST_KServiceGroup (enum)
    {91, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 17},	//1049 QGlobalSpace::KST_KImageIOFormat (enum)
    {91, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 18},	//1050 QGlobalSpace::KST_KProtocolInfo (enum)
    {91, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 19},	//1051 QGlobalSpace::KST_KServiceSeparator (enum)
    {91, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 20},	//1052 QGlobalSpace::KST_KCustom (enum)
    {91, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 261, 21},	//1053 QGlobalSpace::LicensedScript (enum)
    {91, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 22},	//1054 QGlobalSpace::LicensedOpenVG (enum)
    {91, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 251, 23},	//1055 QGlobalSpace::LicensedDBus (enum)
    {91, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 265, 24},	//1056 QGlobalSpace::LicensedTest (enum)
    {91, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 249, 25},	//1057 QGlobalSpace::LicensedActiveQt (enum)
    {91, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 26},	//1058 QGlobalSpace::LicensedScriptTools (enum)
    {91, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 27},	//1059 QGlobalSpace::LicensedSvg (enum)
    {91, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 252, 28},	//1060 QGlobalSpace::LicensedDeclarative (enum)
    {91, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 29},	//1061 QGlobalSpace::LicensedSql (enum)
    {91, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 257, 30},	//1062 QGlobalSpace::LicensedOpenGL (enum)
    {91, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 31},	//1063 QGlobalSpace::LicensedCore (enum)
    {91, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 248, 32},	//1064 QGlobalSpace::QtDebugMsg (enum)
    {91, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 248, 33},	//1065 QGlobalSpace::QtWarningMsg (enum)
    {91, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 248, 34},	//1066 QGlobalSpace::QtCriticalMsg (enum)
    {91, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 248, 35},	//1067 QGlobalSpace::QtFatalMsg (enum)
    {91, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 248, 36},	//1068 QGlobalSpace::QtSystemMsg (enum)
    {91, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 37},	//1069 QGlobalSpace::LicensedHelp (enum)
    {91, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 38},	//1070 QGlobalSpace::LicensedMultimedia (enum)
    {91, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 260, 39},	//1071 QGlobalSpace::LicensedQt3Support (enum)
    {91, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 40},	//1072 QGlobalSpace::KST_KServiceFactory (enum)
    {91, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 41},	//1073 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {91, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 42},	//1074 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {91, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 43},	//1075 QGlobalSpace::KST_KImageIO (enum)
    {91, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 44},	//1076 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {91, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 45},	//1077 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {91, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 46},	//1078 QGlobalSpace::KST_CTimeInfo (enum)
    {91, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 267, 47},	//1079 QGlobalSpace::LicensedXmlPatterns (enum)
    {91, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 48},	//1080 QGlobalSpace::LicensedNetwork (enum)
    {91, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 269, 49},	//1081 QGlobalSpace::__codecvt_ok (enum)
    {91, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 269, 50},	//1082 QGlobalSpace::__codecvt_partial (enum)
    {91, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 269, 51},	//1083 QGlobalSpace::__codecvt_error (enum)
    {91, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 269, 52},	//1084 QGlobalSpace::__codecvt_noconv (enum)
    {103, 532, 19, 1, Smoke::mf_virtual, 270, 0},	//1085 QObject::event(QEvent*)
    {103, 533, 623, 2, Smoke::mf_virtual, 270, 0},	//1086 QObject::eventFilter(QObject*, QEvent*)
    {103, 1076, 626, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1087 QObject::timerEvent(QTimerEvent*)
    {103, 349, 628, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1088 QObject::childEvent(QChildEvent*)
    {103, 444, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1089 QObject::customEvent(QEvent*)
    {103, 408, 70, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1090 QObject::connectNotify(const char*)
    {103, 471, 70, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1091 QObject::disconnectNotify(const char*)
    {120, 469, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 345, 0},	//1092 QWidget::devType() const
    {120, 1017, 17, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1093 QWidget::setVisible(bool)
    {120, 1036, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 162, 0},	//1094 QWidget::sizeHint() const
    {120, 707, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 162, 0},	//1095 QWidget::minimumSizeHint() const
    {120, 579, 99, 1, Smoke::mf_const|Smoke::mf_virtual, 345, 0},	//1096 QWidget::heightForWidth(int) const
    {120, 771, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 155, 0},	//1097 QWidget::paintEngine() const
    {120, 532, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 270, 0},	//1098 QWidget::event(QEvent*)
    {120, 728, 630, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1099 QWidget::mousePressEvent(QMouseEvent*)
    {120, 729, 630, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1100 QWidget::mouseReleaseEvent(QMouseEvent*)
    {120, 720, 630, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1101 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {120, 725, 630, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1102 QWidget::mouseMoveEvent(QMouseEvent*)
    {120, 1129, 632, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1103 QWidget::wheelEvent(QWheelEvent*)
    {120, 636, 634, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1104 QWidget::keyPressEvent(QKeyEvent*)
    {120, 637, 634, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1105 QWidget::keyReleaseEvent(QKeyEvent*)
    {120, 559, 636, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1106 QWidget::focusInEvent(QFocusEvent*)
    {120, 563, 636, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1107 QWidget::focusOutEvent(QFocusEvent*)
    {120, 531, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1108 QWidget::enterEvent(QEvent*)
    {120, 639, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1109 QWidget::leaveEvent(QEvent*)
    {120, 772, 638, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1110 QWidget::paintEvent(QPaintEvent*)
    {120, 731, 640, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1111 QWidget::moveEvent(QMoveEvent*)
    {120, 876, 642, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1112 QWidget::resizeEvent(QResizeEvent*)
    {120, 373, 644, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1113 QWidget::closeEvent(QCloseEvent*)
    {120, 419, 646, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1114 QWidget::contextMenuEvent(QContextMenuEvent*)
    {120, 1058, 648, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1115 QWidget::tabletEvent(QTabletEvent*)
    {120, 277, 650, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1116 QWidget::actionEvent(QActionEvent*)
    {120, 493, 652, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1117 QWidget::dragEnterEvent(QDragEnterEvent*)
    {120, 495, 654, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1118 QWidget::dragMoveEvent(QDragMoveEvent*)
    {120, 494, 656, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1119 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {120, 496, 658, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1120 QWidget::dropEvent(QDropEvent*)
    {120, 1032, 660, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1121 QWidget::showEvent(QShowEvent*)
    {120, 582, 662, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1122 QWidget::hideEvent(QHideEvent*)
    {120, 1140, 664, 1, Smoke::mf_protected|Smoke::mf_virtual, 270, 0},	//1123 QWidget::x11Event(_XEvent*)
    {120, 336, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1124 QWidget::changeEvent(QEvent*)
    {120, 703, 666, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 345, 0},	//1125 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {120, 601, 668, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1126 QWidget::inputMethodEvent(QInputMethodEvent*)
    {120, 602, 670, 1, Smoke::mf_const|Smoke::mf_virtual, 172, 0},	//1127 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {120, 560, 17, 1, Smoke::mf_protected|Smoke::mf_virtual, 270, 0},	//1128 QWidget::focusNextPrevChild(bool)
    {120, 1051, 672, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1129 QWidget::styleChange(QStyle&)
    {120, 523, 17, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1130 QWidget::enabledChange(bool)
    {120, 773, 674, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1131 QWidget::paletteChange(const QPalette&)
    {120, 565, 676, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1132 QWidget::fontChange(const QFont&)
    {120, 1131, 17, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1133 QWidget::windowActivationChange(bool)
    {120, 638, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1134 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    632,  // KTextEditor::Range::Range(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    669,  // KTextEditor::Range::Range(KTextEditor::Cursor*, KTextEditor::Cursor*)
    0,
    655,  // KTextEditor::Range::contains(const KTextEditor::Range&) const
    656,  // KTextEditor::Range::contains(const KTextEditor::Cursor&) const
    0,
    643,  // KTextEditor::Range::end()
    644,  // KTextEditor::Range::end() const
    0,
    641,  // KTextEditor::Range::start()
    642,  // KTextEditor::Range::start() const
    0,
    29,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, QFlags<KTextEditor::CodeCompletionModel::HighlightMethods::enum_type>)
    31,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, int)
    33,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, QFlags<KTextEditor::CodeCompletionModel::CompletionProperties::enum_type>)
    34,  // KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, int)
    35,  // KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, QFlags<KTextEditor::SmartRange::InsertBehaviors::enum_type>)
    36,  // KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, QFlags<KTextEditor::Attribute::Effects::enum_type>)
    38,  // KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, int)
    41,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, int)
    0,
    30,  // KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, KTextEditor::SmartRange::InsertBehaviors::enum_type)
    32,  // KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, KTextEditor::Attribute::Effects::enum_type)
    37,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, KTextEditor::CodeCompletionModel::CompletionProperties::enum_type)
    42,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, KTextEditor::CodeCompletionModel::HighlightMethods::enum_type)
    0,
    794,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&, KTextEditor::SmartRange*)
    795,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    799,  // KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*)
    0,
    796,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*)
    800,  // KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*)
    0,
    763,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>)
    765,  // KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>)
    0,
    787,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&) const
    788,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&) const
    0,
    757,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior) const
    758,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&, QFlags<KTextEditor::SmartRange::InsertBehavior>) const
    0,
    849,  // KTextEditor::SmartRange::operator=(const KTextEditor::SmartRange&)
    850,  // KTextEditor::SmartRange::operator=(const KTextEditor::Range&)
    0,
    809,  // KTextEditor::SmartRange::smartEnd()
    810,  // KTextEditor::SmartRange::smartEnd() const
    0,
    807,  // KTextEditor::SmartRange::smartStart()
    808,  // KTextEditor::SmartRange::smartStart() const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {24, 429, 40},	// KTextEditor::createPlugin?#
    {24, 516, 39},	// KTextEditor::editor$
    {24, 761, -13},	// KTextEditor::operator|?$
    {24, 762, -22},	// KTextEditor::operator|??
    {25, 6, 45},	// KTextEditor::AnnotationInterface::AnnotationInterface
    {25, 7, 46},	// KTextEditor::AnnotationInterface::AnnotationInterface#
    {25, 310, 44},	// KTextEditor::AnnotationInterface::annotationModel
    {25, 899, 43},	// KTextEditor::AnnotationInterface::setAnnotationModel#
    {25, 1142, 47},	// KTextEditor::AnnotationInterface::~AnnotationInterface
    {26, 8, 58},	// KTextEditor::AnnotationModel::AnnotationModel
    {26, 446, 55},	// KTextEditor::AnnotationModel::data$$
    {26, 646, 57},	// KTextEditor::AnnotationModel::lineChanged$
    {26, 702, 48},	// KTextEditor::AnnotationModel::metaObject
    {26, 802, 54},	// KTextEditor::AnnotationModel::qt_metacall$$?
    {26, 804, 49},	// KTextEditor::AnnotationModel::qt_metacast$
    {26, 875, 56},	// KTextEditor::AnnotationModel::reset
    {26, 1050, 61},	// KTextEditor::AnnotationModel::staticMetaObject
    {26, 1082, 59},	// KTextEditor::AnnotationModel::tr$
    {26, 1083, 50},	// KTextEditor::AnnotationModel::tr$$
    {26, 1084, 52},	// KTextEditor::AnnotationModel::tr$$$
    {26, 1086, 60},	// KTextEditor::AnnotationModel::trUtf8$
    {26, 1087, 51},	// KTextEditor::AnnotationModel::trUtf8$$
    {26, 1088, 53},	// KTextEditor::AnnotationModel::trUtf8$$$
    {26, 1143, 62},	// KTextEditor::AnnotationModel::~AnnotationModel
    {27, 9, 68},	// KTextEditor::AnnotationViewInterface::AnnotationViewInterface
    {27, 10, 69},	// KTextEditor::AnnotationViewInterface::AnnotationViewInterface#
    {27, 305, 66},	// KTextEditor::AnnotationViewInterface::annotationActivated#$
    {27, 307, 67},	// KTextEditor::AnnotationViewInterface::annotationBorderVisibilityChanged#$
    {27, 309, 65},	// KTextEditor::AnnotationViewInterface::annotationContextMenuAboutToShow##$
    {27, 626, 64},	// KTextEditor::AnnotationViewInterface::isAnnotationBorderVisible
    {27, 897, 63},	// KTextEditor::AnnotationViewInterface::setAnnotationBorderVisible$
    {27, 1144, 70},	// KTextEditor::AnnotationViewInterface::~AnnotationViewInterface
    {28, 4, 102},	// KTextEditor::Attribute::ActivateCaretIn
    {28, 5, 101},	// KTextEditor::Attribute::ActivateMouseIn
    {28, 13, 71},	// KTextEditor::Attribute::Attribute
    {28, 14, 72},	// KTextEditor::Attribute::Attribute#
    {28, 18, 98},	// KTextEditor::Attribute::AttributeDynamicEffect
    {28, 19, 99},	// KTextEditor::Attribute::AttributeInternalProperty
    {28, 20, 100},	// KTextEditor::Attribute::AttributeUserProperty
    {28, 22, 97},	// KTextEditor::Attribute::BackgroundFillWhitespace
    {28, 77, 107},	// KTextEditor::Attribute::EffectCycleGradient
    {28, 78, 104},	// KTextEditor::Attribute::EffectFadeIn
    {28, 79, 105},	// KTextEditor::Attribute::EffectFadeOut
    {28, 80, 103},	// KTextEditor::Attribute::EffectNone
    {28, 81, 106},	// KTextEditor::Attribute::EffectPulse
    {28, 178, 94},	// KTextEditor::Attribute::Outline
    {28, 212, 96},	// KTextEditor::Attribute::SelectedBackground
    {28, 213, 95},	// KTextEditor::Attribute::SelectedForeground
    {28, 314, 85},	// KTextEditor::Attribute::associatedActions
    {28, 324, 81},	// KTextEditor::Attribute::backgroundFillWhitespace
    {28, 355, 83},	// KTextEditor::Attribute::clear
    {28, 357, 86},	// KTextEditor::Attribute::clearAssociatedActions
    {28, 513, 87},	// KTextEditor::Attribute::dynamicAttribute$
    {28, 518, 89},	// KTextEditor::Attribute::effects
    {28, 564, 73},	// KTextEditor::Attribute::fontBold
    {28, 570, 84},	// KTextEditor::Attribute::hasAnyProperty
    {28, 757, 91},	// KTextEditor::Attribute::operator+=#
    {28, 759, 92},	// KTextEditor::Attribute::operator=#
    {28, 763, 75},	// KTextEditor::Attribute::outline
    {28, 887, 79},	// KTextEditor::Attribute::selectedBackground
    {28, 888, 77},	// KTextEditor::Attribute::selectedForeground
    {28, 905, 82},	// KTextEditor::Attribute::setBackgroundFillWhitespace$
    {28, 930, 88},	// KTextEditor::Attribute::setDynamicAttribute$?
    {28, 934, 90},	// KTextEditor::Attribute::setEffects$
    {28, 937, 93},	// KTextEditor::Attribute::setFontBold
    {28, 938, 74},	// KTextEditor::Attribute::setFontBold$
    {28, 985, 76},	// KTextEditor::Attribute::setOutline#
    {28, 999, 80},	// KTextEditor::Attribute::setSelectedBackground#
    {28, 1001, 78},	// KTextEditor::Attribute::setSelectedForeground#
    {28, 1145, 108},	// KTextEditor::Attribute::~Attribute
    {29, 32, 117},	// KTextEditor::CodeCompletionInterface::CodeCompletionInterface
    {29, 33, 118},	// KTextEditor::CodeCompletionInterface::CodeCompletionInterface#
    {29, 267, 111},	// KTextEditor::CodeCompletionInterface::abortCompletion
    {29, 566, 112},	// KTextEditor::CodeCompletionInterface::forceCompletion
    {29, 627, 115},	// KTextEditor::CodeCompletionInterface::isAutomaticInvocationEnabled
    {29, 628, 109},	// KTextEditor::CodeCompletionInterface::isCompletionActive
    {29, 834, 113},	// KTextEditor::CodeCompletionInterface::registerCompletionModel#
    {29, 902, 119},	// KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled
    {29, 903, 116},	// KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled$
    {29, 1047, 110},	// KTextEditor::CodeCompletionInterface::startCompletion##
    {29, 1098, 114},	// KTextEditor::CodeCompletionInterface::unregisterCompletionModel#
    {29, 1147, 120},	// KTextEditor::CodeCompletionInterface::~CodeCompletionInterface
    {30, 1, 198},	// KTextEditor::CodeCompletionModel::AccessibilityAccept
    {30, 2, 196},	// KTextEditor::CodeCompletionModel::AccessibilityNext
    {30, 3, 197},	// KTextEditor::CodeCompletionModel::AccessibilityPrevious
    {30, 11, 194},	// KTextEditor::CodeCompletionModel::ArgumentHintDepth
    {30, 12, 153},	// KTextEditor::CodeCompletionModel::Arguments
    {30, 21, 202},	// KTextEditor::CodeCompletionModel::AutomaticInvocation
    {30, 23, 195},	// KTextEditor::CodeCompletionModel::BestMatchesCount
    {30, 31, 163},	// KTextEditor::CodeCompletionModel::Class
    {30, 35, 128},	// KTextEditor::CodeCompletionModel::CodeCompletionModel#
    {30, 42, 147},	// KTextEditor::CodeCompletionModel::ColumnCount
    {30, 49, 184},	// KTextEditor::CodeCompletionModel::CompletionRole
    {30, 54, 161},	// KTextEditor::CodeCompletionModel::Const
    {30, 62, 189},	// KTextEditor::CodeCompletionModel::CustomHighlight
    {30, 63, 183},	// KTextEditor::CodeCompletionModel::CustomHighlighting
    {30, 82, 168},	// KTextEditor::CodeCompletionModel::Enum
    {30, 87, 192},	// KTextEditor::CodeCompletionModel::ExpandingWidget
    {30, 90, 156},	// KTextEditor::CodeCompletionModel::FirstProperty
    {30, 91, 174},	// KTextEditor::CodeCompletionModel::Friend
    {30, 92, 166},	// KTextEditor::CodeCompletionModel::Function
    {30, 93, 179},	// KTextEditor::CodeCompletionModel::GlobalScope
    {30, 94, 199},	// KTextEditor::CodeCompletionModel::GroupRole
    {30, 98, 188},	// KTextEditor::CodeCompletionModel::HighlightingMethod
    {30, 99, 150},	// KTextEditor::CodeCompletionModel::Icon
    {30, 101, 190},	// KTextEditor::CodeCompletionModel::InheritanceDepth
    {30, 102, 173},	// KTextEditor::CodeCompletionModel::Inline
    {30, 103, 182},	// KTextEditor::CodeCompletionModel::InternalHighlighting
    {30, 104, 191},	// KTextEditor::CodeCompletionModel::IsExpandable
    {30, 105, 193},	// KTextEditor::CodeCompletionModel::ItemSelected
    {30, 127, 201},	// KTextEditor::CodeCompletionModel::LastExtraItemDataRole
    {30, 128, 148},	// KTextEditor::CodeCompletionModel::LastItemDataRole
    {30, 129, 180},	// KTextEditor::CodeCompletionModel::LastProperty
    {30, 154, 177},	// KTextEditor::CodeCompletionModel::LocalScope
    {30, 155, 204},	// KTextEditor::CodeCompletionModel::ManualInvocation
    {30, 162, 186},	// KTextEditor::CodeCompletionModel::MatchQuality
    {30, 168, 152},	// KTextEditor::CodeCompletionModel::Name
    {30, 169, 162},	// KTextEditor::CodeCompletionModel::Namespace
    {30, 170, 178},	// KTextEditor::CodeCompletionModel::NamespaceScope
    {30, 171, 181},	// KTextEditor::CodeCompletionModel::NoHighlighting
    {30, 172, 155},	// KTextEditor::CodeCompletionModel::NoProperty
    {30, 179, 172},	// KTextEditor::CodeCompletionModel::Override
    {30, 184, 154},	// KTextEditor::CodeCompletionModel::Postfix
    {30, 185, 149},	// KTextEditor::CodeCompletionModel::Prefix
    {30, 186, 159},	// KTextEditor::CodeCompletionModel::Private
    {30, 187, 158},	// KTextEditor::CodeCompletionModel::Protected
    {30, 188, 157},	// KTextEditor::CodeCompletionModel::Public
    {30, 208, 151},	// KTextEditor::CodeCompletionModel::Scope
    {30, 209, 185},	// KTextEditor::CodeCompletionModel::ScopeIndex
    {30, 216, 187},	// KTextEditor::CodeCompletionModel::SetMatchContext
    {30, 217, 175},	// KTextEditor::CodeCompletionModel::Signal
    {30, 224, 176},	// KTextEditor::CodeCompletionModel::Slot
    {30, 241, 160},	// KTextEditor::CodeCompletionModel::Static
    {30, 243, 164},	// KTextEditor::CodeCompletionModel::Struct
    {30, 244, 169},	// KTextEditor::CodeCompletionModel::Template
    {30, 250, 170},	// KTextEditor::CodeCompletionModel::TypeAlias
    {30, 251, 200},	// KTextEditor::CodeCompletionModel::UnimportantItemRole
    {30, 252, 165},	// KTextEditor::CodeCompletionModel::Union
    {30, 253, 203},	// KTextEditor::CodeCompletionModel::UserInvocation
    {30, 254, 167},	// KTextEditor::CodeCompletionModel::Variable
    {30, 261, 171},	// KTextEditor::CodeCompletionModel::Virtual
    {30, 379, 143},	// KTextEditor::CodeCompletionModel::columnCount
    {30, 380, 132},	// KTextEditor::CodeCompletionModel::columnCount#
    {30, 385, 130},	// KTextEditor::CodeCompletionModel::completionInvoked##$
    {30, 542, 131},	// KTextEditor::CodeCompletionModel::executeCompletionItem##$
    {30, 572, 137},	// KTextEditor::CodeCompletionModel::hasGroups
    {30, 574, 139},	// KTextEditor::CodeCompletionModel::hasGroupsChanged#$
    {30, 597, 144},	// KTextEditor::CodeCompletionModel::index$$
    {30, 598, 133},	// KTextEditor::CodeCompletionModel::index$$#
    {30, 635, 134},	// KTextEditor::CodeCompletionModel::itemData#
    {30, 702, 121},	// KTextEditor::CodeCompletionModel::metaObject
    {30, 775, 135},	// KTextEditor::CodeCompletionModel::parent#
    {30, 802, 127},	// KTextEditor::CodeCompletionModel::qt_metacall$$?
    {30, 804, 122},	// KTextEditor::CodeCompletionModel::qt_metacast$
    {30, 878, 145},	// KTextEditor::CodeCompletionModel::rowCount
    {30, 879, 136},	// KTextEditor::CodeCompletionModel::rowCount#
    {30, 940, 140},	// KTextEditor::CodeCompletionModel::setHasGroups$
    {30, 996, 129},	// KTextEditor::CodeCompletionModel::setRowCount$
    {30, 1050, 146},	// KTextEditor::CodeCompletionModel::staticMetaObject
    {30, 1082, 141},	// KTextEditor::CodeCompletionModel::tr$
    {30, 1083, 123},	// KTextEditor::CodeCompletionModel::tr$$
    {30, 1084, 125},	// KTextEditor::CodeCompletionModel::tr$$$
    {30, 1086, 142},	// KTextEditor::CodeCompletionModel::trUtf8$
    {30, 1087, 124},	// KTextEditor::CodeCompletionModel::trUtf8$$
    {30, 1088, 126},	// KTextEditor::CodeCompletionModel::trUtf8$$$
    {30, 1123, 138},	// KTextEditor::CodeCompletionModel::waitForReset
    {30, 1148, 205},	// KTextEditor::CodeCompletionModel::~CodeCompletionModel
    {31, 37, 213},	// KTextEditor::CodeCompletionModel2::CodeCompletionModel2#
    {31, 544, 214},	// KTextEditor::CodeCompletionModel2::executeCompletionItem2###
    {31, 702, 206},	// KTextEditor::CodeCompletionModel2::metaObject
    {31, 802, 212},	// KTextEditor::CodeCompletionModel2::qt_metacall$$?
    {31, 804, 207},	// KTextEditor::CodeCompletionModel2::qt_metacast$
    {31, 1050, 217},	// KTextEditor::CodeCompletionModel2::staticMetaObject
    {31, 1082, 215},	// KTextEditor::CodeCompletionModel2::tr$
    {31, 1083, 208},	// KTextEditor::CodeCompletionModel2::tr$$
    {31, 1084, 210},	// KTextEditor::CodeCompletionModel2::tr$$$
    {31, 1086, 216},	// KTextEditor::CodeCompletionModel2::trUtf8$
    {31, 1087, 209},	// KTextEditor::CodeCompletionModel2::trUtf8$$
    {31, 1088, 211},	// KTextEditor::CodeCompletionModel2::trUtf8$$$
    {31, 1149, 218},	// KTextEditor::CodeCompletionModel2::~CodeCompletionModel2
    {32, 38, 219},	// KTextEditor::CodeCompletionModelControllerInterface::CodeCompletionModelControllerInterface
    {32, 39, 227},	// KTextEditor::CodeCompletionModelControllerInterface::CodeCompletionModelControllerInterface#
    {32, 269, 226},	// KTextEditor::CodeCompletionModelControllerInterface::aborted#
    {32, 389, 221},	// KTextEditor::CodeCompletionModelControllerInterface::completionRange##
    {32, 551, 223},	// KTextEditor::CodeCompletionModelControllerInterface::filterString###
    {32, 1027, 224},	// KTextEditor::CodeCompletionModelControllerInterface::shouldAbortCompletion##$
    {32, 1029, 225},	// KTextEditor::CodeCompletionModelControllerInterface::shouldExecute##
    {32, 1031, 220},	// KTextEditor::CodeCompletionModelControllerInterface::shouldStartCompletion#$$#
    {32, 1100, 222},	// KTextEditor::CodeCompletionModelControllerInterface::updateCompletionRange##
    {32, 1150, 228},	// KTextEditor::CodeCompletionModelControllerInterface::~CodeCompletionModelControllerInterface
    {33, 40, 230},	// KTextEditor::CodeCompletionModelControllerInterface2::CodeCompletionModelControllerInterface2
    {33, 41, 231},	// KTextEditor::CodeCompletionModelControllerInterface2::CodeCompletionModelControllerInterface2#
    {33, 95, 233},	// KTextEditor::CodeCompletionModelControllerInterface2::HideListIfAutomaticInvocation
    {33, 173, 232},	// KTextEditor::CodeCompletionModelControllerInterface2::None
    {33, 701, 229},	// KTextEditor::CodeCompletionModelControllerInterface2::matchingItem#
    {33, 1151, 234},	// KTextEditor::CodeCompletionModelControllerInterface2::~CodeCompletionModelControllerInterface2
    {34, 43, 238},	// KTextEditor::Command::Command
    {34, 44, 239},	// KTextEditor::Command::Command#
    {34, 377, 235},	// KTextEditor::Command::cmds
    {34, 539, 236},	// KTextEditor::Command::exec#$$
    {34, 581, 237},	// KTextEditor::Command::help#$$
    {34, 1152, 240},	// KTextEditor::Command::~Command
    {35, 45, 245},	// KTextEditor::CommandExtension::CommandExtension
    {35, 46, 246},	// KTextEditor::CommandExtension::CommandExtension#
    {35, 387, 242},	// KTextEditor::CommandExtension::completionObject#$
    {35, 555, 241},	// KTextEditor::CommandExtension::flagCompletions?
    {35, 800, 244},	// KTextEditor::CommandExtension::processText#$
    {35, 1126, 243},	// KTextEditor::CommandExtension::wantsToProcessText$
    {35, 1153, 247},	// KTextEditor::CommandExtension::~CommandExtension
    {36, 47, 253},	// KTextEditor::CommandInterface::CommandInterface
    {36, 48, 254},	// KTextEditor::CommandInterface::CommandInterface#
    {36, 382, 252},	// KTextEditor::CommandInterface::commandList
    {36, 383, 251},	// KTextEditor::CommandInterface::commands
    {36, 807, 250},	// KTextEditor::CommandInterface::queryCommand$
    {36, 832, 248},	// KTextEditor::CommandInterface::registerCommand#
    {36, 1096, 249},	// KTextEditor::CommandInterface::unregisterCommand#
    {36, 1154, 255},	// KTextEditor::CommandInterface::~CommandInterface
    {37, 50, 256},	// KTextEditor::ConfigInterface::ConfigInterface
    {37, 51, 260},	// KTextEditor::ConfigInterface::ConfigInterface#
    {37, 394, 257},	// KTextEditor::ConfigInterface::configKeys
    {37, 405, 258},	// KTextEditor::ConfigInterface::configValue$
    {37, 918, 259},	// KTextEditor::ConfigInterface::setConfigValue$#
    {37, 1155, 261},	// KTextEditor::ConfigInterface::~ConfigInterface
    {38, 53, 269},	// KTextEditor::ConfigPage::ConfigPage#
    {38, 311, 270},	// KTextEditor::ConfigPage::apply
    {38, 337, 273},	// KTextEditor::ConfigPage::changed
    {38, 458, 272},	// KTextEditor::ConfigPage::defaults
    {38, 702, 262},	// KTextEditor::ConfigPage::metaObject
    {38, 802, 268},	// KTextEditor::ConfigPage::qt_metacall$$?
    {38, 804, 263},	// KTextEditor::ConfigPage::qt_metacast$
    {38, 875, 271},	// KTextEditor::ConfigPage::reset
    {38, 1050, 276},	// KTextEditor::ConfigPage::staticMetaObject
    {38, 1082, 274},	// KTextEditor::ConfigPage::tr$
    {38, 1083, 264},	// KTextEditor::ConfigPage::tr$$
    {38, 1084, 266},	// KTextEditor::ConfigPage::tr$$$
    {38, 1086, 275},	// KTextEditor::ConfigPage::trUtf8$
    {38, 1087, 265},	// KTextEditor::ConfigPage::trUtf8$$
    {38, 1088, 267},	// KTextEditor::ConfigPage::trUtf8$$$
    {38, 1156, 277},	// KTextEditor::ConfigPage::~ConfigPage
    {39, 55, 278},	// KTextEditor::ContainerInterface::ContainerInterface
    {39, 56, 281},	// KTextEditor::ContainerInterface::ContainerInterface#
    {39, 409, 280},	// KTextEditor::ContainerInterface::container
    {39, 920, 279},	// KTextEditor::ContainerInterface::setContainer#
    {39, 1157, 282},	// KTextEditor::ContainerInterface::~ContainerInterface
    {40, 57, 284},	// KTextEditor::CoordinatesToCursorInterface::CoordinatesToCursorInterface
    {40, 58, 285},	// KTextEditor::CoordinatesToCursorInterface::CoordinatesToCursorInterface#
    {40, 421, 283},	// KTextEditor::CoordinatesToCursorInterface::coordinatesToCursor#
    {40, 1158, 286},	// KTextEditor::CoordinatesToCursorInterface::~CoordinatesToCursorInterface
    {41, 59, 287},	// KTextEditor::Cursor::Cursor
    {41, 60, 289},	// KTextEditor::Cursor::Cursor#
    {41, 61, 288},	// KTextEditor::Cursor::Cursor$$
    {41, 317, 302},	// KTextEditor::Cursor::atStartOfDocument
    {41, 318, 301},	// KTextEditor::Cursor::atStartOfLine
    {41, 378, 299},	// KTextEditor::Cursor::column
    {41, 434, 307},	// KTextEditor::Cursor::cursorChangedDirectly#
    {41, 624, 293},	// KTextEditor::Cursor::invalid
    {41, 631, 291},	// KTextEditor::Cursor::isSmartCursor
    {41, 633, 290},	// KTextEditor::Cursor::isValid
    {41, 641, 297},	// KTextEditor::Cursor::line
    {41, 651, 310},	// KTextEditor::Cursor::m_column
    {41, 653, 308},	// KTextEditor::Cursor::m_line
    {41, 654, 312},	// KTextEditor::Cursor::m_range
    {41, 759, 305},	// KTextEditor::Cursor::operator=#
    {41, 783, 303},	// KTextEditor::Cursor::position$$
    {41, 808, 304},	// KTextEditor::Cursor::range
    {41, 915, 300},	// KTextEditor::Cursor::setColumn$
    {41, 950, 298},	// KTextEditor::Cursor::setLine$
    {41, 953, 311},	// KTextEditor::Cursor::setM_column$
    {41, 957, 309},	// KTextEditor::Cursor::setM_line$
    {41, 959, 313},	// KTextEditor::Cursor::setM_range#
    {41, 989, 295},	// KTextEditor::Cursor::setPosition#
    {41, 990, 296},	// KTextEditor::Cursor::setPosition$$
    {41, 992, 306},	// KTextEditor::Cursor::setRange#
    {41, 1045, 294},	// KTextEditor::Cursor::start
    {41, 1077, 292},	// KTextEditor::Cursor::toSmartCursor
    {41, 1159, 314},	// KTextEditor::Cursor::~Cursor
    {42, 66, 396},	// KTextEditor::Document::Document
    {42, 67, 322},	// KTextEditor::Document::Document#
    {42, 272, 371},	// KTextEditor::Document::aboutToClose#
    {42, 274, 372},	// KTextEditor::Document::aboutToReload#
    {42, 278, 325},	// KTextEditor::Document::activeView
    {42, 339, 343},	// KTextEditor::Document::character#
    {42, 355, 355},	// KTextEditor::Document::clear
    {42, 431, 324},	// KTextEditor::Document::createView#
    {42, 436, 361},	// KTextEditor::Document::cursorInText#
    {42, 478, 347},	// KTextEditor::Document::documentEnd
    {42, 480, 328},	// KTextEditor::Document::documentName
    {42, 482, 330},	// KTextEditor::Document::documentNameChanged#
    {42, 483, 348},	// KTextEditor::Document::documentRange
    {42, 484, 335},	// KTextEditor::Document::documentReload
    {42, 485, 336},	// KTextEditor::Document::documentSave
    {42, 486, 337},	// KTextEditor::Document::documentSaveAs
    {42, 488, 338},	// KTextEditor::Document::documentSavedOrUploaded#$
    {42, 490, 331},	// KTextEditor::Document::documentUrlChanged#
    {42, 515, 323},	// KTextEditor::Document::editor
    {42, 524, 334},	// KTextEditor::Document::encoding
    {42, 528, 340},	// KTextEditor::Document::endEditing
    {42, 530, 352},	// KTextEditor::Document::endOfLine$
    {42, 535, 375},	// KTextEditor::Document::exclusiveEditEnd#
    {42, 537, 374},	// KTextEditor::Document::exclusiveEditStart#
    {42, 585, 377},	// KTextEditor::Document::highlightingMode
    {42, 589, 385},	// KTextEditor::Document::highlightingModeChanged#
    {42, 591, 382},	// KTextEditor::Document::highlightingModeSection$
    {42, 592, 379},	// KTextEditor::Document::highlightingModes
    {42, 606, 362},	// KTextEditor::Document::insertLine$$
    {42, 608, 363},	// KTextEditor::Document::insertLines$?
    {42, 615, 399},	// KTextEditor::Document::insertText#$
    {42, 616, 356},	// KTextEditor::Document::insertText#$$
    {42, 617, 400},	// KTextEditor::Document::insertText#?
    {42, 618, 357},	// KTextEditor::Document::insertText#?$
    {42, 629, 350},	// KTextEditor::Document::isEmpty
    {42, 630, 390},	// KTextEditor::Document::isOrphaned
    {42, 642, 345},	// KTextEditor::Document::line$
    {42, 648, 351},	// KTextEditor::Document::lineLength$
    {42, 649, 346},	// KTextEditor::Document::lines
    {42, 702, 315},	// KTextEditor::Document::metaObject
    {42, 705, 329},	// KTextEditor::Document::mimeType
    {42, 708, 376},	// KTextEditor::Document::mode
    {42, 710, 384},	// KTextEditor::Document::modeChanged#
    {42, 712, 383},	// KTextEditor::Document::modeSection$
    {42, 713, 378},	// KTextEditor::Document::modes
    {42, 715, 332},	// KTextEditor::Document::modifiedChanged#
    {42, 754, 388},	// KTextEditor::Document::openingError
    {42, 755, 389},	// KTextEditor::Document::openingErrorMessage
    {42, 802, 321},	// KTextEditor::Document::qt_metacall$$?
    {42, 804, 316},	// KTextEditor::Document::qt_metacast$
    {42, 838, 373},	// KTextEditor::Document::reloaded#
    {42, 851, 364},	// KTextEditor::Document::removeLine$
    {42, 860, 403},	// KTextEditor::Document::removeText#
    {42, 861, 360},	// KTextEditor::Document::removeText#$
    {42, 868, 401},	// KTextEditor::Document::replaceText#$
    {42, 869, 358},	// KTextEditor::Document::replaceText#$$
    {42, 870, 402},	// KTextEditor::Document::replaceText#?
    {42, 871, 359},	// KTextEditor::Document::replaceText#?$
    {42, 936, 333},	// KTextEditor::Document::setEncoding$
    {42, 943, 381},	// KTextEditor::Document::setHighlightingMode$
    {42, 970, 380},	// KTextEditor::Document::setMode$
    {42, 979, 392},	// KTextEditor::Document::setOpeningError$
    {42, 981, 393},	// KTextEditor::Document::setOpeningErrorMessage$
    {42, 983, 391},	// KTextEditor::Document::setOrphaned$
    {42, 1011, 386},	// KTextEditor::Document::setSuppressOpeningErrorDialogs$
    {42, 1013, 353},	// KTextEditor::Document::setText$
    {42, 1014, 354},	// KTextEditor::Document::setText?
    {42, 1048, 339},	// KTextEditor::Document::startEditing
    {42, 1050, 404},	// KTextEditor::Document::staticMetaObject
    {42, 1057, 387},	// KTextEditor::Document::suppressOpeningErrorDialogs
    {42, 1059, 341},	// KTextEditor::Document::text
    {42, 1060, 397},	// KTextEditor::Document::text#
    {42, 1061, 342},	// KTextEditor::Document::text#$
    {42, 1064, 365},	// KTextEditor::Document::textChanged#
    {42, 1065, 369},	// KTextEditor::Document::textChanged###
    {42, 1066, 370},	// KTextEditor::Document::textChanged##$#
    {42, 1068, 366},	// KTextEditor::Document::textInserted##
    {42, 1071, 398},	// KTextEditor::Document::textLines#
    {42, 1072, 344},	// KTextEditor::Document::textLines#$
    {42, 1074, 367},	// KTextEditor::Document::textRemoved##
    {42, 1075, 368},	// KTextEditor::Document::textRemoved##$
    {42, 1080, 349},	// KTextEditor::Document::totalCharacters
    {42, 1082, 394},	// KTextEditor::Document::tr$
    {42, 1083, 317},	// KTextEditor::Document::tr$$
    {42, 1084, 319},	// KTextEditor::Document::tr$$$
    {42, 1086, 395},	// KTextEditor::Document::trUtf8$
    {42, 1087, 318},	// KTextEditor::Document::trUtf8$$
    {42, 1088, 320},	// KTextEditor::Document::trUtf8$$$
    {42, 1112, 327},	// KTextEditor::Document::viewCreated##
    {42, 1121, 326},	// KTextEditor::Document::views
    {42, 1160, 405},	// KTextEditor::Document::~Document
    {43, 74, 413},	// KTextEditor::Editor::Editor#
    {43, 270, 418},	// KTextEditor::Editor::aboutData
    {43, 392, 424},	// KTextEditor::Editor::configDialog#
    {43, 393, 423},	// KTextEditor::Editor::configDialogSupported
    {43, 396, 426},	// KTextEditor::Editor::configPage$#
    {43, 398, 428},	// KTextEditor::Editor::configPageFullName$
    {43, 400, 429},	// KTextEditor::Editor::configPageIcon$
    {43, 402, 427},	// KTextEditor::Editor::configPageName$
    {43, 403, 425},	// KTextEditor::Editor::configPages
    {43, 424, 416},	// KTextEditor::Editor::createDocument#
    {43, 455, 419},	// KTextEditor::Editor::defaultEncoding
    {43, 477, 430},	// KTextEditor::Editor::documentCreated##
    {43, 491, 417},	// KTextEditor::Editor::documents
    {43, 702, 406},	// KTextEditor::Editor::metaObject
    {43, 802, 412},	// KTextEditor::Editor::qt_metacall$$?
    {43, 804, 407},	// KTextEditor::Editor::qt_metacast$
    {43, 824, 433},	// KTextEditor::Editor::readConfig
    {43, 825, 421},	// KTextEditor::Editor::readConfig#
    {43, 928, 420},	// KTextEditor::Editor::setDefaultEncoding$
    {43, 1007, 414},	// KTextEditor::Editor::setSimpleMode$
    {43, 1035, 415},	// KTextEditor::Editor::simpleMode
    {43, 1050, 435},	// KTextEditor::Editor::staticMetaObject
    {43, 1082, 431},	// KTextEditor::Editor::tr$
    {43, 1083, 408},	// KTextEditor::Editor::tr$$
    {43, 1084, 410},	// KTextEditor::Editor::tr$$$
    {43, 1086, 432},	// KTextEditor::Editor::trUtf8$
    {43, 1087, 409},	// KTextEditor::Editor::trUtf8$$
    {43, 1088, 411},	// KTextEditor::Editor::trUtf8$$$
    {43, 1134, 434},	// KTextEditor::Editor::writeConfig
    {43, 1135, 422},	// KTextEditor::Editor::writeConfig#
    {43, 1161, 436},	// KTextEditor::Editor::~Editor
    {44, 75, 451},	// KTextEditor::EditorChooser::EditorChooser
    {44, 76, 444},	// KTextEditor::EditorChooser::EditorChooser#
    {44, 337, 448},	// KTextEditor::EditorChooser::changed
    {44, 515, 454},	// KTextEditor::EditorChooser::editor
    {44, 516, 455},	// KTextEditor::EditorChooser::editor$
    {44, 517, 447},	// KTextEditor::EditorChooser::editor$$
    {44, 702, 437},	// KTextEditor::EditorChooser::metaObject
    {44, 802, 443},	// KTextEditor::EditorChooser::qt_metacall$$?
    {44, 804, 438},	// KTextEditor::EditorChooser::qt_metacast$
    {44, 822, 452},	// KTextEditor::EditorChooser::readAppSetting
    {44, 823, 445},	// KTextEditor::EditorChooser::readAppSetting$
    {44, 1050, 456},	// KTextEditor::EditorChooser::staticMetaObject
    {44, 1082, 449},	// KTextEditor::EditorChooser::tr$
    {44, 1083, 439},	// KTextEditor::EditorChooser::tr$$
    {44, 1084, 441},	// KTextEditor::EditorChooser::tr$$$
    {44, 1086, 450},	// KTextEditor::EditorChooser::trUtf8$
    {44, 1087, 440},	// KTextEditor::EditorChooser::trUtf8$$
    {44, 1088, 442},	// KTextEditor::EditorChooser::trUtf8$$$
    {44, 1132, 453},	// KTextEditor::EditorChooser::writeAppSetting
    {44, 1133, 446},	// KTextEditor::EditorChooser::writeAppSetting$
    {44, 1162, 457},	// KTextEditor::EditorChooser::~EditorChooser
    {45, 89, 465},	// KTextEditor::Factory::Factory#
    {45, 515, 466},	// KTextEditor::Factory::editor
    {45, 702, 458},	// KTextEditor::Factory::metaObject
    {45, 802, 464},	// KTextEditor::Factory::qt_metacall$$?
    {45, 804, 459},	// KTextEditor::Factory::qt_metacast$
    {45, 1050, 469},	// KTextEditor::Factory::staticMetaObject
    {45, 1082, 467},	// KTextEditor::Factory::tr$
    {45, 1083, 460},	// KTextEditor::Factory::tr$$
    {45, 1084, 462},	// KTextEditor::Factory::tr$$$
    {45, 1086, 468},	// KTextEditor::Factory::trUtf8$
    {45, 1087, 461},	// KTextEditor::Factory::trUtf8$$
    {45, 1088, 463},	// KTextEditor::Factory::trUtf8$$$
    {45, 1163, 470},	// KTextEditor::Factory::~Factory
    {46, 96, 471},	// KTextEditor::HighlightInterface::HighlightInterface
    {46, 97, 476},	// KTextEditor::HighlightInterface::HighlightInterface#
    {46, 457, 472},	// KTextEditor::HighlightInterface::defaultStyle$
    {46, 498, 487},	// KTextEditor::HighlightInterface::dsAlert
    {46, 499, 481},	// KTextEditor::HighlightInterface::dsBaseN
    {46, 500, 483},	// KTextEditor::HighlightInterface::dsChar
    {46, 501, 485},	// KTextEditor::HighlightInterface::dsComment
    {46, 502, 479},	// KTextEditor::HighlightInterface::dsDataType
    {46, 503, 480},	// KTextEditor::HighlightInterface::dsDecVal
    {46, 504, 490},	// KTextEditor::HighlightInterface::dsError
    {46, 505, 482},	// KTextEditor::HighlightInterface::dsFloat
    {46, 506, 488},	// KTextEditor::HighlightInterface::dsFunction
    {46, 507, 478},	// KTextEditor::HighlightInterface::dsKeyword
    {46, 508, 477},	// KTextEditor::HighlightInterface::dsNormal
    {46, 509, 486},	// KTextEditor::HighlightInterface::dsOthers
    {46, 510, 489},	// KTextEditor::HighlightInterface::dsRegionMarker
    {46, 511, 484},	// KTextEditor::HighlightInterface::dsString
    {46, 520, 474},	// KTextEditor::HighlightInterface::embeddedHighlightingModes
    {46, 587, 475},	// KTextEditor::HighlightInterface::highlightingModeAt#
    {46, 644, 473},	// KTextEditor::HighlightInterface::lineAttributes$
    {46, 1164, 491},	// KTextEditor::HighlightInterface::~HighlightInterface
    {47, 16, 493},	// KTextEditor::HighlightInterface::AttributeBlock::AttributeBlock#
    {47, 17, 492},	// KTextEditor::HighlightInterface::AttributeBlock::AttributeBlock$$?
    {47, 319, 498},	// KTextEditor::HighlightInterface::AttributeBlock::attribute
    {47, 640, 496},	// KTextEditor::HighlightInterface::AttributeBlock::length
    {47, 901, 499},	// KTextEditor::HighlightInterface::AttributeBlock::setAttribute?
    {47, 948, 497},	// KTextEditor::HighlightInterface::AttributeBlock::setLength$
    {47, 1009, 495},	// KTextEditor::HighlightInterface::AttributeBlock::setStart$
    {47, 1045, 494},	// KTextEditor::HighlightInterface::AttributeBlock::start
    {47, 1146, 500},	// KTextEditor::HighlightInterface::AttributeBlock::~AttributeBlock
    {48, 153, 508},	// KTextEditor::LoadSaveFilterCheckPlugin::LoadSaveFilterCheckPlugin#
    {48, 702, 501},	// KTextEditor::LoadSaveFilterCheckPlugin::metaObject
    {48, 793, 511},	// KTextEditor::LoadSaveFilterCheckPlugin::postLoadFilter#
    {48, 795, 510},	// KTextEditor::LoadSaveFilterCheckPlugin::postSaveFilterCheck#$
    {48, 797, 509},	// KTextEditor::LoadSaveFilterCheckPlugin::preSavePostDialogFilterCheck#
    {48, 802, 507},	// KTextEditor::LoadSaveFilterCheckPlugin::qt_metacall$$?
    {48, 804, 502},	// KTextEditor::LoadSaveFilterCheckPlugin::qt_metacast$
    {48, 1050, 514},	// KTextEditor::LoadSaveFilterCheckPlugin::staticMetaObject
    {48, 1082, 512},	// KTextEditor::LoadSaveFilterCheckPlugin::tr$
    {48, 1083, 503},	// KTextEditor::LoadSaveFilterCheckPlugin::tr$$
    {48, 1084, 505},	// KTextEditor::LoadSaveFilterCheckPlugin::tr$$$
    {48, 1086, 513},	// KTextEditor::LoadSaveFilterCheckPlugin::trUtf8$
    {48, 1087, 504},	// KTextEditor::LoadSaveFilterCheckPlugin::trUtf8$$
    {48, 1088, 506},	// KTextEditor::LoadSaveFilterCheckPlugin::trUtf8$$$
    {48, 1165, 515},	// KTextEditor::LoadSaveFilterCheckPlugin::~LoadSaveFilterCheckPlugin
    {49, 156, 516},	// KTextEditor::Mark::Mark
    {49, 157, 517},	// KTextEditor::Mark::Mark#
    {49, 641, 518},	// KTextEditor::Mark::line
    {49, 950, 519},	// KTextEditor::Mark::setLine$
    {49, 1016, 521},	// KTextEditor::Mark::setType$
    {49, 1092, 520},	// KTextEditor::Mark::type
    {49, 1166, 522},	// KTextEditor::Mark::~Mark
    {50, 24, 573},	// KTextEditor::MarkInterface::Bookmark
    {50, 26, 574},	// KTextEditor::MarkInterface::BreakpointActive
    {50, 27, 576},	// KTextEditor::MarkInterface::BreakpointDisabled
    {50, 28, 575},	// KTextEditor::MarkInterface::BreakpointReached
    {50, 83, 579},	// KTextEditor::MarkInterface::Error
    {50, 84, 577},	// KTextEditor::MarkInterface::Execution
    {50, 158, 580},	// KTextEditor::MarkInterface::MarkAdded
    {50, 159, 523},	// KTextEditor::MarkInterface::MarkInterface
    {50, 160, 540},	// KTextEditor::MarkInterface::MarkInterface#
    {50, 161, 581},	// KTextEditor::MarkInterface::MarkRemoved
    {50, 262, 578},	// KTextEditor::MarkInterface::Warning
    {50, 292, 527},	// KTextEditor::MarkInterface::addMark$$
    {50, 362, 526},	// KTextEditor::MarkInterface::clearMark$
    {50, 363, 530},	// KTextEditor::MarkInterface::clearMarks
    {50, 514, 538},	// KTextEditor::MarkInterface::editableMarks
    {50, 657, 524},	// KTextEditor::MarkInterface::mark$
    {50, 659, 539},	// KTextEditor::MarkInterface::markChanged##$
    {50, 661, 536},	// KTextEditor::MarkInterface::markDescription$
    {50, 663, 534},	// KTextEditor::MarkInterface::markPixmap$
    {50, 664, 541},	// KTextEditor::MarkInterface::markType01
    {50, 665, 542},	// KTextEditor::MarkInterface::markType02
    {50, 666, 543},	// KTextEditor::MarkInterface::markType03
    {50, 667, 544},	// KTextEditor::MarkInterface::markType04
    {50, 668, 545},	// KTextEditor::MarkInterface::markType05
    {50, 669, 546},	// KTextEditor::MarkInterface::markType06
    {50, 670, 547},	// KTextEditor::MarkInterface::markType07
    {50, 671, 548},	// KTextEditor::MarkInterface::markType08
    {50, 672, 549},	// KTextEditor::MarkInterface::markType09
    {50, 673, 550},	// KTextEditor::MarkInterface::markType10
    {50, 674, 551},	// KTextEditor::MarkInterface::markType11
    {50, 675, 552},	// KTextEditor::MarkInterface::markType12
    {50, 676, 553},	// KTextEditor::MarkInterface::markType13
    {50, 677, 554},	// KTextEditor::MarkInterface::markType14
    {50, 678, 555},	// KTextEditor::MarkInterface::markType15
    {50, 679, 556},	// KTextEditor::MarkInterface::markType16
    {50, 680, 557},	// KTextEditor::MarkInterface::markType17
    {50, 681, 558},	// KTextEditor::MarkInterface::markType18
    {50, 682, 559},	// KTextEditor::MarkInterface::markType19
    {50, 683, 560},	// KTextEditor::MarkInterface::markType20
    {50, 684, 561},	// KTextEditor::MarkInterface::markType21
    {50, 685, 562},	// KTextEditor::MarkInterface::markType22
    {50, 686, 563},	// KTextEditor::MarkInterface::markType23
    {50, 687, 564},	// KTextEditor::MarkInterface::markType24
    {50, 688, 565},	// KTextEditor::MarkInterface::markType25
    {50, 689, 566},	// KTextEditor::MarkInterface::markType26
    {50, 690, 567},	// KTextEditor::MarkInterface::markType27
    {50, 691, 568},	// KTextEditor::MarkInterface::markType28
    {50, 692, 569},	// KTextEditor::MarkInterface::markType29
    {50, 693, 570},	// KTextEditor::MarkInterface::markType30
    {50, 694, 571},	// KTextEditor::MarkInterface::markType31
    {50, 695, 572},	// KTextEditor::MarkInterface::markType32
    {50, 696, 529},	// KTextEditor::MarkInterface::marks
    {50, 698, 532},	// KTextEditor::MarkInterface::marksChanged#
    {50, 853, 528},	// KTextEditor::MarkInterface::removeMark$$
    {50, 874, 531},	// KTextEditor::MarkInterface::reservedMarkersCount
    {50, 932, 537},	// KTextEditor::MarkInterface::setEditableMarks$
    {50, 964, 525},	// KTextEditor::MarkInterface::setMark$$
    {50, 966, 535},	// KTextEditor::MarkInterface::setMarkDescription$$
    {50, 968, 533},	// KTextEditor::MarkInterface::setMarkPixmap$#
    {50, 1167, 582},	// KTextEditor::MarkInterface::~MarkInterface
    {51, 163, 583},	// KTextEditor::MdiContainer::MdiContainer
    {51, 164, 590},	// KTextEditor::MdiContainer::MdiContainer#
    {51, 278, 585},	// KTextEditor::MdiContainer::activeView
    {51, 372, 587},	// KTextEditor::MdiContainer::closeDocument#
    {51, 376, 589},	// KTextEditor::MdiContainer::closeView#
    {51, 423, 586},	// KTextEditor::MdiContainer::createDocument
    {51, 431, 588},	// KTextEditor::MdiContainer::createView#
    {51, 895, 584},	// KTextEditor::MdiContainer::setActiveView#
    {51, 1168, 591},	// KTextEditor::MdiContainer::~MdiContainer
    {52, 165, 592},	// KTextEditor::ModificationInterface::ModificationInterface
    {52, 166, 597},	// KTextEditor::ModificationInterface::ModificationInterface#
    {52, 174, 601},	// KTextEditor::ModificationInterface::OnDiskCreated
    {52, 175, 602},	// KTextEditor::ModificationInterface::OnDiskDeleted
    {52, 176, 600},	// KTextEditor::ModificationInterface::OnDiskModified
    {52, 177, 599},	// KTextEditor::ModificationInterface::OnDiskUnmodified
    {52, 717, 596},	// KTextEditor::ModificationInterface::modifiedOnDisk#$$
    {52, 973, 593},	// KTextEditor::ModificationInterface::setModifiedOnDisk$
    {52, 975, 594},	// KTextEditor::ModificationInterface::setModifiedOnDiskWarning$
    {52, 1037, 598},	// KTextEditor::ModificationInterface::slotModifiedOnDisk
    {52, 1038, 595},	// KTextEditor::ModificationInterface::slotModifiedOnDisk#
    {52, 1169, 603},	// KTextEditor::ModificationInterface::~ModificationInterface
    {53, 180, 604},	// KTextEditor::ParameterizedSessionConfigInterface::ParameterizedSessionConfigInterface
    {53, 181, 607},	// KTextEditor::ParameterizedSessionConfigInterface::ParameterizedSessionConfigInterface#
    {53, 218, 612},	// KTextEditor::ParameterizedSessionConfigInterface::SkipEncoding
    {53, 219, 613},	// KTextEditor::ParameterizedSessionConfigInterface::SkipFolding
    {53, 220, 611},	// KTextEditor::ParameterizedSessionConfigInterface::SkipHighlighting
    {53, 221, 610},	// KTextEditor::ParameterizedSessionConfigInterface::SkipMode
    {53, 222, 608},	// KTextEditor::ParameterizedSessionConfigInterface::SkipNone
    {53, 223, 609},	// KTextEditor::ParameterizedSessionConfigInterface::SkipUrl
    {53, 827, 605},	// KTextEditor::ParameterizedSessionConfigInterface::readParameterizedSessionConfig#$
    {53, 1137, 606},	// KTextEditor::ParameterizedSessionConfigInterface::writeParameterizedSessionConfig#$
    {53, 1170, 614},	// KTextEditor::ParameterizedSessionConfigInterface::~ParameterizedSessionConfigInterface
    {54, 183, 622},	// KTextEditor::Plugin::Plugin#
    {54, 284, 623},	// KTextEditor::Plugin::addDocument#
    {54, 296, 625},	// KTextEditor::Plugin::addView#
    {54, 702, 615},	// KTextEditor::Plugin::metaObject
    {54, 802, 621},	// KTextEditor::Plugin::qt_metacall$$?
    {54, 804, 616},	// KTextEditor::Plugin::qt_metacast$
    {54, 845, 624},	// KTextEditor::Plugin::removeDocument#
    {54, 864, 626},	// KTextEditor::Plugin::removeView#
    {54, 1050, 629},	// KTextEditor::Plugin::staticMetaObject
    {54, 1082, 627},	// KTextEditor::Plugin::tr$
    {54, 1083, 617},	// KTextEditor::Plugin::tr$$
    {54, 1084, 619},	// KTextEditor::Plugin::tr$$$
    {54, 1086, 628},	// KTextEditor::Plugin::trUtf8$
    {54, 1087, 618},	// KTextEditor::Plugin::trUtf8$$
    {54, 1088, 620},	// KTextEditor::Plugin::trUtf8$$$
    {54, 1171, 630},	// KTextEditor::Plugin::~Plugin
    {55, 199, 631},	// KTextEditor::Range::Range
    {55, 200, 636},	// KTextEditor::Range::Range#
    {55, 201, -1},	// KTextEditor::Range::Range##
    {55, 202, 633},	// KTextEditor::Range::Range#$
    {55, 203, 634},	// KTextEditor::Range::Range#$$
    {55, 204, 635},	// KTextEditor::Range::Range$$$$
    {55, 327, 664},	// KTextEditor::Range::boundaryAtCursor#
    {55, 329, 665},	// KTextEditor::Range::boundaryOnLine$
    {55, 381, 653},	// KTextEditor::Range::columnWidth
    {55, 407, 650},	// KTextEditor::Range::confineToRange#
    {55, 411, -4},	// KTextEditor::Range::contains#
    {55, 413, 658},	// KTextEditor::Range::containsColumn$
    {55, 415, 657},	// KTextEditor::Range::containsLine$
    {55, 526, 667},	// KTextEditor::Range::encompass#
    {55, 527, -7},	// KTextEditor::Range::end
    {55, 548, 649},	// KTextEditor::Range::expandToRange#
    {55, 623, 666},	// KTextEditor::Range::intersect#
    {55, 624, 638},	// KTextEditor::Range::invalid
    {55, 629, 654},	// KTextEditor::Range::isEmpty
    {55, 632, 639},	// KTextEditor::Range::isSmartRange
    {55, 633, 637},	// KTextEditor::Range::isValid
    {55, 652, 673},	// KTextEditor::Range::m_end
    {55, 655, 671},	// KTextEditor::Range::m_start
    {55, 750, 652},	// KTextEditor::Range::numberOfLines
    {55, 751, 651},	// KTextEditor::Range::onSingleLine
    {55, 759, 668},	// KTextEditor::Range::operator=#
    {55, 766, 659},	// KTextEditor::Range::overlaps#
    {55, 768, 661},	// KTextEditor::Range::overlapsColumn$
    {55, 770, 660},	// KTextEditor::Range::overlapsLine$
    {55, 789, 662},	// KTextEditor::Range::positionRelativeToCursor#
    {55, 791, 663},	// KTextEditor::Range::positionRelativeToLine$
    {55, 812, 670},	// KTextEditor::Range::rangeChanged##
    {55, 909, 646},	// KTextEditor::Range::setBothColumns$
    {55, 911, 645},	// KTextEditor::Range::setBothLines$
    {55, 955, 674},	// KTextEditor::Range::setM_end#
    {55, 961, 672},	// KTextEditor::Range::setM_start#
    {55, 992, 647},	// KTextEditor::Range::setRange#
    {55, 993, 648},	// KTextEditor::Range::setRange##
    {55, 1045, -10},	// KTextEditor::Range::start
    {55, 1078, 640},	// KTextEditor::Range::toSmartRange
    {55, 1172, 675},	// KTextEditor::Range::~Range
    {56, 205, 678},	// KTextEditor::RangeCommand::RangeCommand
    {56, 206, 679},	// KTextEditor::RangeCommand::RangeCommand#
    {56, 540, 676},	// KTextEditor::RangeCommand::exec#$$#
    {56, 1056, 677},	// KTextEditor::RangeCommand::supportsRange$
    {56, 1173, 680},	// KTextEditor::RangeCommand::~RangeCommand
    {57, 210, 681},	// KTextEditor::SearchInterface::SearchInterface
    {57, 211, 684},	// KTextEditor::SearchInterface::SearchInterface#
    {57, 885, 685},	// KTextEditor::SearchInterface::searchText#$
    {57, 886, 682},	// KTextEditor::SearchInterface::searchText#$$
    {57, 1054, 683},	// KTextEditor::SearchInterface::supportedSearchOptions
    {57, 1174, 686},	// KTextEditor::SearchInterface::~SearchInterface
    {58, 214, 687},	// KTextEditor::SessionConfigInterface::SessionConfigInterface
    {58, 215, 690},	// KTextEditor::SessionConfigInterface::SessionConfigInterface#
    {58, 829, 688},	// KTextEditor::SessionConfigInterface::readSessionConfig#
    {58, 1139, 689},	// KTextEditor::SessionConfigInterface::writeSessionConfig#
    {58, 1175, 691},	// KTextEditor::SessionConfigInterface::~SessionConfigInterface
    {59, 29, 714},	// KTextEditor::SmartCursor::ByCharacter
    {59, 30, 715},	// KTextEditor::SmartCursor::ByCursorPosition
    {59, 167, 717},	// KTextEditor::SmartCursor::MoveOnInsert
    {59, 226, 710},	// KTextEditor::SmartCursor::SmartCursor##$
    {59, 242, 716},	// KTextEditor::SmartCursor::StayOnInsert
    {59, 302, 712},	// KTextEditor::SmartCursor::advance$
    {59, 303, 701},	// KTextEditor::SmartCursor::advance$$
    {59, 315, 697},	// KTextEditor::SmartCursor::atEndOfDocument
    {59, 316, 696},	// KTextEditor::SmartCursor::atEndOfLine
    {59, 338, 699},	// KTextEditor::SmartCursor::character
    {59, 461, 706},	// KTextEditor::SmartCursor::deleteNotifier
    {59, 474, 695},	// KTextEditor::SmartCursor::document
    {59, 575, 704},	// KTextEditor::SmartCursor::hasNotifier
    {59, 603, 702},	// KTextEditor::SmartCursor::insertBehavior
    {59, 620, 711},	// KTextEditor::SmartCursor::insertText?
    {59, 621, 700},	// KTextEditor::SmartCursor::insertText?$
    {59, 631, 692},	// KTextEditor::SmartCursor::isSmartCursor
    {59, 633, 698},	// KTextEditor::SmartCursor::isValid
    {59, 748, 705},	// KTextEditor::SmartCursor::notifier
    {59, 759, 709},	// KTextEditor::SmartCursor::operator=#
    {59, 945, 703},	// KTextEditor::SmartCursor::setInsertBehavior$
    {59, 1020, 713},	// KTextEditor::SmartCursor::setWatcher
    {59, 1021, 708},	// KTextEditor::SmartCursor::setWatcher#
    {59, 1041, 694},	// KTextEditor::SmartCursor::smartRange
    {59, 1077, 693},	// KTextEditor::SmartCursor::toSmartCursor
    {59, 1127, 707},	// KTextEditor::SmartCursor::watcher
    {59, 1176, 718},	// KTextEditor::SmartCursor::~SmartCursor
    {60, 227, 726},	// KTextEditor::SmartCursorNotifier::SmartCursorNotifier
    {60, 341, 731},	// KTextEditor::SmartCursorNotifier::characterDeleted#$
    {60, 343, 732},	// KTextEditor::SmartCursorNotifier::characterInserted#$
    {60, 467, 733},	// KTextEditor::SmartCursorNotifier::deleted#
    {60, 702, 719},	// KTextEditor::SmartCursorNotifier::metaObject
    {60, 785, 729},	// KTextEditor::SmartCursorNotifier::positionChanged#
    {60, 787, 730},	// KTextEditor::SmartCursorNotifier::positionDeleted#
    {60, 802, 725},	// KTextEditor::SmartCursorNotifier::qt_metacall$$?
    {60, 804, 720},	// KTextEditor::SmartCursorNotifier::qt_metacast$
    {60, 1019, 728},	// KTextEditor::SmartCursorNotifier::setWantsDirectChanges$
    {60, 1050, 736},	// KTextEditor::SmartCursorNotifier::staticMetaObject
    {60, 1082, 734},	// KTextEditor::SmartCursorNotifier::tr$
    {60, 1083, 721},	// KTextEditor::SmartCursorNotifier::tr$$
    {60, 1084, 723},	// KTextEditor::SmartCursorNotifier::tr$$$
    {60, 1086, 735},	// KTextEditor::SmartCursorNotifier::trUtf8$
    {60, 1087, 722},	// KTextEditor::SmartCursorNotifier::trUtf8$$
    {60, 1088, 724},	// KTextEditor::SmartCursorNotifier::trUtf8$$$
    {60, 1124, 727},	// KTextEditor::SmartCursorNotifier::wantsDirectChanges
    {60, 1177, 737},	// KTextEditor::SmartCursorNotifier::~SmartCursorNotifier
    {61, 228, 738},	// KTextEditor::SmartCursorWatcher::SmartCursorWatcher
    {61, 229, 746},	// KTextEditor::SmartCursorWatcher::SmartCursorWatcher#
    {61, 341, 743},	// KTextEditor::SmartCursorWatcher::characterDeleted#$
    {61, 343, 744},	// KTextEditor::SmartCursorWatcher::characterInserted#$
    {61, 467, 745},	// KTextEditor::SmartCursorWatcher::deleted#
    {61, 785, 741},	// KTextEditor::SmartCursorWatcher::positionChanged#
    {61, 787, 742},	// KTextEditor::SmartCursorWatcher::positionDeleted#
    {61, 1019, 740},	// KTextEditor::SmartCursorWatcher::setWantsDirectChanges$
    {61, 1124, 739},	// KTextEditor::SmartCursorWatcher::wantsDirectChanges
    {61, 1178, 747},	// KTextEditor::SmartCursorWatcher::~SmartCursorWatcher
    {62, 230, 748},	// KTextEditor::SmartInterface::SmartInterface
    {62, 231, 786},	// KTextEditor::SmartInterface::SmartInterface#
    {62, 280, 776},	// KTextEditor::SmartInterface::addActionsToDocument#
    {62, 282, 780},	// KTextEditor::SmartInterface::addActionsToView##
    {62, 286, 801},	// KTextEditor::SmartInterface::addHighlightToDocument#
    {62, 287, 768},	// KTextEditor::SmartInterface::addHighlightToDocument#$
    {62, 289, 802},	// KTextEditor::SmartInterface::addHighlightToView##
    {62, 290, 772},	// KTextEditor::SmartInterface::addHighlightToView##$
    {62, 321, 784},	// KTextEditor::SmartInterface::attributeDynamic?
    {62, 323, 785},	// KTextEditor::SmartInterface::attributeNotDynamic?
    {62, 359, 779},	// KTextEditor::SmartInterface::clearDocumentActions
    {62, 360, 771},	// KTextEditor::SmartInterface::clearDocumentHighlights
    {62, 364, 751},	// KTextEditor::SmartInterface::clearOnDocumentReload
    {62, 365, 756},	// KTextEditor::SmartInterface::clearRevision
    {62, 366, 750},	// KTextEditor::SmartInterface::clearSmartInterface
    {62, 368, 783},	// KTextEditor::SmartInterface::clearViewActions#
    {62, 370, 775},	// KTextEditor::SmartInterface::clearViewHighlights#
    {62, 432, 753},	// KTextEditor::SmartInterface::currentRevision
    {62, 460, 761},	// KTextEditor::SmartInterface::deleteCursors
    {62, 463, 767},	// KTextEditor::SmartInterface::deleteRanges
    {62, 475, 778},	// KTextEditor::SmartInterface::documentActions
    {62, 479, 770},	// KTextEditor::SmartInterface::documentHighlights
    {62, 734, 789},	// KTextEditor::SmartInterface::newSmartCursor
    {62, 735, 790},	// KTextEditor::SmartInterface::newSmartCursor#
    {62, 736, 759},	// KTextEditor::SmartInterface::newSmartCursor#$
    {62, 737, 791},	// KTextEditor::SmartInterface::newSmartCursor$$
    {62, 738, 760},	// KTextEditor::SmartInterface::newSmartCursor$$$
    {62, 739, 792},	// KTextEditor::SmartInterface::newSmartRange
    {62, 740, 793},	// KTextEditor::SmartInterface::newSmartRange#
    {62, 741, -27},	// KTextEditor::SmartInterface::newSmartRange##
    {62, 742, -31},	// KTextEditor::SmartInterface::newSmartRange###
    {62, 743, -34},	// KTextEditor::SmartInterface::newSmartRange###$
    {62, 744, 762},	// KTextEditor::SmartInterface::newSmartRange##$
    {62, 745, 797},	// KTextEditor::SmartInterface::newSmartRange$$$$
    {62, 746, 798},	// KTextEditor::SmartInterface::newSmartRange$$$$#
    {62, 747, 764},	// KTextEditor::SmartInterface::newSmartRange$$$$#$
    {62, 836, 754},	// KTextEditor::SmartInterface::releaseRevision$
    {62, 840, 777},	// KTextEditor::SmartInterface::removeActionsFromDocument#
    {62, 842, 781},	// KTextEditor::SmartInterface::removeActionsFromView##
    {62, 847, 769},	// KTextEditor::SmartInterface::removeHighlightFromDocument#
    {62, 849, 773},	// KTextEditor::SmartInterface::removeHighlightFromView##
    {62, 913, 752},	// KTextEditor::SmartInterface::setClearOnDocumentReload$
    {62, 1040, 749},	// KTextEditor::SmartInterface::smartMutex
    {62, 1090, -37},	// KTextEditor::SmartInterface::translateFromRevision#
    {62, 1091, -40},	// KTextEditor::SmartInterface::translateFromRevision#$
    {62, 1094, 766},	// KTextEditor::SmartInterface::unbindSmartRange#
    {62, 1102, 755},	// KTextEditor::SmartInterface::useRevision$
    {62, 1110, 782},	// KTextEditor::SmartInterface::viewActions#
    {62, 1117, 774},	// KTextEditor::SmartInterface::viewHighlights#
    {62, 1179, 803},	// KTextEditor::SmartInterface::~SmartInterface
    {63, 64, 863},	// KTextEditor::SmartRange::DoNotExpand
    {63, 85, 864},	// KTextEditor::SmartRange::ExpandLeft
    {63, 86, 865},	// KTextEditor::SmartRange::ExpandRight
    {63, 233, 861},	// KTextEditor::SmartRange::SmartRange##
    {63, 234, 862},	// KTextEditor::SmartRange::SmartRange###
    {63, 235, 851},	// KTextEditor::SmartRange::SmartRange###$
    {63, 294, 843},	// KTextEditor::SmartRange::addNotifier#
    {63, 300, 847},	// KTextEditor::SmartRange::addWatcher#
    {63, 313, 837},	// KTextEditor::SmartRange::associateAction#
    {63, 314, 839},	// KTextEditor::SmartRange::associatedActions
    {63, 319, 835},	// KTextEditor::SmartRange::attribute
    {63, 344, 853},	// KTextEditor::SmartRange::checkFeedback
    {63, 346, 829},	// KTextEditor::SmartRange::childAfter#
    {63, 348, 828},	// KTextEditor::SmartRange::childBefore#
    {63, 354, 824},	// KTextEditor::SmartRange::childRanges
    {63, 356, 827},	// KTextEditor::SmartRange::clearAndDeleteChildRanges
    {63, 357, 840},	// KTextEditor::SmartRange::clearAssociatedActions
    {63, 358, 825},	// KTextEditor::SmartRange::clearChildRanges
    {63, 407, 811},	// KTextEditor::SmartRange::confineToRange#
    {63, 425, 854},	// KTextEditor::SmartRange::createNotifier
    {63, 448, 859},	// KTextEditor::SmartRange::deepestRangeContaining#
    {63, 449, 860},	// KTextEditor::SmartRange::deepestRangeContaining#?
    {63, 450, 832},	// KTextEditor::SmartRange::deepestRangeContaining#??
    {63, 452, 833},	// KTextEditor::SmartRange::deepestRangesContaining#
    {63, 459, 826},	// KTextEditor::SmartRange::deleteChildRanges
    {63, 462, 845},	// KTextEditor::SmartRange::deletePrimaryNotifier
    {63, 468, 822},	// KTextEditor::SmartRange::depth
    {63, 473, 838},	// KTextEditor::SmartRange::dissociateAction#
    {63, 474, 813},	// KTextEditor::SmartRange::document
    {63, 548, 812},	// KTextEditor::SmartRange::expandToRange#
    {63, 553, 831},	// KTextEditor::SmartRange::firstRangeContaining#
    {63, 577, 821},	// KTextEditor::SmartRange::hasParent#
    {63, 603, 817},	// KTextEditor::SmartRange::insertBehavior
    {63, 632, 804},	// KTextEditor::SmartRange::isSmartRange
    {63, 719, 830},	// KTextEditor::SmartRange::mostSpecificRange#
    {63, 749, 842},	// KTextEditor::SmartRange::notifiers
    {63, 759, -43},	// KTextEditor::SmartRange::operator=#
    {63, 764, 834},	// KTextEditor::SmartRange::overlapCount
    {63, 776, 819},	// KTextEditor::SmartRange::parentRange
    {63, 798, 841},	// KTextEditor::SmartRange::primaryNotifier
    {63, 812, 852},	// KTextEditor::SmartRange::rangeChanged##
    {63, 830, 855},	// KTextEditor::SmartRange::rebuildChildStructure
    {63, 855, 844},	// KTextEditor::SmartRange::removeNotifier#
    {63, 859, 858},	// KTextEditor::SmartRange::removeText
    {63, 862, 816},	// KTextEditor::SmartRange::removeText$
    {63, 866, 848},	// KTextEditor::SmartRange::removeWatcher#
    {63, 872, 857},	// KTextEditor::SmartRange::replaceText?
    {63, 873, 815},	// KTextEditor::SmartRange::replaceText?$
    {63, 901, 836},	// KTextEditor::SmartRange::setAttribute?
    {63, 945, 818},	// KTextEditor::SmartRange::setInsertBehavior$
    {63, 987, 820},	// KTextEditor::SmartRange::setParentRange#
    {63, 992, 806},	// KTextEditor::SmartRange::setRange#
    {63, 1039, -46},	// KTextEditor::SmartRange::smartEnd
    {63, 1042, -49},	// KTextEditor::SmartRange::smartStart
    {63, 1059, 856},	// KTextEditor::SmartRange::text
    {63, 1062, 814},	// KTextEditor::SmartRange::text$
    {63, 1078, 805},	// KTextEditor::SmartRange::toSmartRange
    {63, 1079, 823},	// KTextEditor::SmartRange::topParentRange
    {63, 1128, 846},	// KTextEditor::SmartRange::watchers
    {63, 1180, 866},	// KTextEditor::SmartRange::~SmartRange
    {64, 236, 874},	// KTextEditor::SmartRangeNotifier::SmartRangeNotifier
    {64, 333, 882},	// KTextEditor::SmartRangeNotifier::caretEnteredRange##
    {64, 335, 883},	// KTextEditor::SmartRangeNotifier::caretExitedRange##
    {64, 351, 887},	// KTextEditor::SmartRangeNotifier::childRangeInserted##
    {64, 353, 888},	// KTextEditor::SmartRangeNotifier::childRangeRemoved##
    {64, 702, 867},	// KTextEditor::SmartRangeNotifier::metaObject
    {64, 722, 880},	// KTextEditor::SmartRangeNotifier::mouseEnteredRange##
    {64, 724, 881},	// KTextEditor::SmartRangeNotifier::mouseExitedRange##
    {64, 778, 886},	// KTextEditor::SmartRangeNotifier::parentRangeChanged###
    {64, 802, 873},	// KTextEditor::SmartRangeNotifier::qt_metacall$$?
    {64, 804, 868},	// KTextEditor::SmartRangeNotifier::qt_metacast$
    {64, 810, 889},	// KTextEditor::SmartRangeNotifier::rangeAttributeChanged#??
    {64, 814, 878},	// KTextEditor::SmartRangeNotifier::rangeContentsChanged#
    {64, 815, 879},	// KTextEditor::SmartRangeNotifier::rangeContentsChanged##
    {64, 817, 885},	// KTextEditor::SmartRangeNotifier::rangeDeleted#
    {64, 819, 884},	// KTextEditor::SmartRangeNotifier::rangeEliminated#
    {64, 821, 877},	// KTextEditor::SmartRangeNotifier::rangePositionChanged#
    {64, 1019, 876},	// KTextEditor::SmartRangeNotifier::setWantsDirectChanges$
    {64, 1050, 892},	// KTextEditor::SmartRangeNotifier::staticMetaObject
    {64, 1082, 890},	// KTextEditor::SmartRangeNotifier::tr$
    {64, 1083, 869},	// KTextEditor::SmartRangeNotifier::tr$$
    {64, 1084, 871},	// KTextEditor::SmartRangeNotifier::tr$$$
    {64, 1086, 891},	// KTextEditor::SmartRangeNotifier::trUtf8$
    {64, 1087, 870},	// KTextEditor::SmartRangeNotifier::trUtf8$$
    {64, 1088, 872},	// KTextEditor::SmartRangeNotifier::trUtf8$$$
    {64, 1124, 875},	// KTextEditor::SmartRangeNotifier::wantsDirectChanges
    {64, 1181, 893},	// KTextEditor::SmartRangeNotifier::~SmartRangeNotifier
    {65, 237, 894},	// KTextEditor::SmartRangeWatcher::SmartRangeWatcher
    {65, 238, 910},	// KTextEditor::SmartRangeWatcher::SmartRangeWatcher#
    {65, 333, 902},	// KTextEditor::SmartRangeWatcher::caretEnteredRange##
    {65, 335, 903},	// KTextEditor::SmartRangeWatcher::caretExitedRange##
    {65, 351, 907},	// KTextEditor::SmartRangeWatcher::childRangeInserted##
    {65, 353, 908},	// KTextEditor::SmartRangeWatcher::childRangeRemoved##
    {65, 722, 900},	// KTextEditor::SmartRangeWatcher::mouseEnteredRange##
    {65, 724, 901},	// KTextEditor::SmartRangeWatcher::mouseExitedRange##
    {65, 778, 906},	// KTextEditor::SmartRangeWatcher::parentRangeChanged###
    {65, 810, 909},	// KTextEditor::SmartRangeWatcher::rangeAttributeChanged#??
    {65, 814, 898},	// KTextEditor::SmartRangeWatcher::rangeContentsChanged#
    {65, 815, 899},	// KTextEditor::SmartRangeWatcher::rangeContentsChanged##
    {65, 817, 905},	// KTextEditor::SmartRangeWatcher::rangeDeleted#
    {65, 819, 904},	// KTextEditor::SmartRangeWatcher::rangeEliminated#
    {65, 821, 897},	// KTextEditor::SmartRangeWatcher::rangePositionChanged#
    {65, 1019, 896},	// KTextEditor::SmartRangeWatcher::setWantsDirectChanges$
    {65, 1124, 895},	// KTextEditor::SmartRangeWatcher::wantsDirectChanges
    {65, 1182, 911},	// KTextEditor::SmartRangeWatcher::~SmartRangeWatcher
    {66, 126, 916},	// KTextEditor::TemplateInterface::KTE_INTERNAL_setupIntialValues$?
    {66, 245, 912},	// KTextEditor::TemplateInterface::TemplateInterface
    {66, 246, 917},	// KTextEditor::TemplateInterface::TemplateInterface#
    {66, 546, 913},	// KTextEditor::TemplateInterface::expandMacros?#
    {66, 611, 914},	// KTextEditor::TemplateInterface::insertTemplateText#$?
    {66, 613, 915},	// KTextEditor::TemplateInterface::insertTemplateTextImplementation#$?
    {66, 1183, 918},	// KTextEditor::TemplateInterface::~TemplateInterface
    {67, 247, 919},	// KTextEditor::TextHintInterface::TextHintInterface
    {67, 248, 923},	// KTextEditor::TextHintInterface::TextHintInterface#
    {67, 470, 921},	// KTextEditor::TextHintInterface::disableTextHints
    {67, 522, 920},	// KTextEditor::TextHintInterface::enableTextHints$
    {67, 733, 922},	// KTextEditor::TextHintInterface::needTextHint#$
    {67, 1184, 924},	// KTextEditor::TextHintInterface::~TextHintInterface
    {68, 255, 925},	// KTextEditor::VariableInterface::VariableInterface
    {68, 256, 928},	// KTextEditor::VariableInterface::VariableInterface#
    {68, 1104, 926},	// KTextEditor::VariableInterface::variable$
    {68, 1106, 927},	// KTextEditor::VariableInterface::variableChanged#$$
    {68, 1185, 929},	// KTextEditor::VariableInterface::~VariableInterface
    {69, 70, 979},	// KTextEditor::View::EditInsert
    {69, 71, 980},	// KTextEditor::View::EditOverwrite
    {69, 72, 981},	// KTextEditor::View::EditViMode
    {69, 258, 937},	// KTextEditor::View::View#
    {69, 325, 971},	// KTextEditor::View::blockSelection
    {69, 416, 949},	// KTextEditor::View::contextMenu
    {69, 418, 951},	// KTextEditor::View::contextMenuAboutToShow##
    {69, 437, 953},	// KTextEditor::View::cursorPosition
    {69, 439, 957},	// KTextEditor::View::cursorPositionChanged##
    {69, 440, 956},	// KTextEditor::View::cursorPositionCoordinates
    {69, 441, 954},	// KTextEditor::View::cursorPositionVirtual
    {69, 443, 955},	// KTextEditor::View::cursorToCoordinate#
    {69, 453, 976},	// KTextEditor::View::defaultContextMenu
    {69, 454, 950},	// KTextEditor::View::defaultContextMenu#
    {69, 474, 938},	// KTextEditor::View::document
    {69, 558, 942},	// KTextEditor::View::focusIn#
    {69, 562, 943},	// KTextEditor::View::focusOut#
    {69, 595, 959},	// KTextEditor::View::horizontalScrollPositionChanged#
    {69, 600, 946},	// KTextEditor::View::informationMessage#$
    {69, 619, 973},	// KTextEditor::View::insertText$
    {69, 625, 939},	// KTextEditor::View::isActiveView
    {69, 702, 930},	// KTextEditor::View::metaObject
    {69, 727, 962},	// KTextEditor::View::mousePositionChanged##
    {69, 730, 960},	// KTextEditor::View::mouseTrackingEnabled
    {69, 802, 936},	// KTextEditor::View::qt_metacall$$?
    {69, 804, 931},	// KTextEditor::View::qt_metacast$
    {69, 857, 968},	// KTextEditor::View::removeSelection
    {69, 858, 969},	// KTextEditor::View::removeSelectionText
    {69, 889, 965},	// KTextEditor::View::selection
    {69, 891, 972},	// KTextEditor::View::selectionChanged#
    {69, 892, 966},	// KTextEditor::View::selectionRange
    {69, 893, 967},	// KTextEditor::View::selectionText
    {69, 907, 970},	// KTextEditor::View::setBlockSelection$
    {69, 922, 948},	// KTextEditor::View::setContextMenu#
    {69, 924, 952},	// KTextEditor::View::setCursorPosition#
    {69, 977, 961},	// KTextEditor::View::setMouseTrackingEnabled$
    {69, 1003, 963},	// KTextEditor::View::setSelection#
    {69, 1004, 977},	// KTextEditor::View::setSelection#$
    {69, 1005, 964},	// KTextEditor::View::setSelection#$$
    {69, 1050, 978},	// KTextEditor::View::staticMetaObject
    {69, 1069, 947},	// KTextEditor::View::textInserted##$
    {69, 1082, 974},	// KTextEditor::View::tr$
    {69, 1083, 932},	// KTextEditor::View::tr$$
    {69, 1084, 934},	// KTextEditor::View::tr$$$
    {69, 1086, 975},	// KTextEditor::View::trUtf8$
    {69, 1087, 933},	// KTextEditor::View::trUtf8$$
    {69, 1088, 935},	// KTextEditor::View::trUtf8$$$
    {69, 1108, 958},	// KTextEditor::View::verticalScrollPositionChanged##
    {69, 1113, 941},	// KTextEditor::View::viewEditMode
    {69, 1115, 945},	// KTextEditor::View::viewEditModeChanged#$
    {69, 1118, 940},	// KTextEditor::View::viewMode
    {69, 1120, 944},	// KTextEditor::View::viewModeChanged#
    {69, 1186, 982},	// KTextEditor::View::~View
    {70, 25, 993},	// KTextEditor::ViewBarContainer::BottomBar
    {70, 130, 990},	// KTextEditor::ViewBarContainer::LeftBar
    {70, 207, 992},	// KTextEditor::ViewBarContainer::RightBar
    {70, 249, 991},	// KTextEditor::ViewBarContainer::TopBar
    {70, 259, 983},	// KTextEditor::ViewBarContainer::ViewBarContainer
    {70, 260, 989},	// KTextEditor::ViewBarContainer::ViewBarContainer#
    {70, 298, 985},	// KTextEditor::ViewBarContainer::addViewBarToLayout##$
    {70, 465, 988},	// KTextEditor::ViewBarContainer::deleteViewBarForView#$
    {70, 568, 984},	// KTextEditor::ViewBarContainer::getViewBarParent#$
    {70, 584, 987},	// KTextEditor::ViewBarContainer::hideViewBarForView#$
    {70, 1034, 986},	// KTextEditor::ViewBarContainer::showViewBarForView#$
    {70, 1187, 994},	// KTextEditor::ViewBarContainer::~ViewBarContainer
    {91, 106, 1078},	// QGlobalSpace::KST_CTimeInfo
    {91, 107, 1052},	// QGlobalSpace::KST_KCustom
    {91, 108, 1046},	// QGlobalSpace::KST_KDEDesktopMimeType
    {91, 109, 1045},	// QGlobalSpace::KST_KFolderMimeType
    {91, 110, 1075},	// QGlobalSpace::KST_KImageIO
    {91, 111, 1049},	// QGlobalSpace::KST_KImageIOFormat
    {91, 112, 1044},	// QGlobalSpace::KST_KMimeType
    {91, 113, 1047},	// QGlobalSpace::KST_KMimeTypeEntry
    {91, 114, 1077},	// QGlobalSpace::KST_KMimeTypeFactory
    {91, 115, 1050},	// QGlobalSpace::KST_KProtocolInfo
    {91, 116, 1076},	// QGlobalSpace::KST_KProtocolInfoFactory
    {91, 117, 1042},	// QGlobalSpace::KST_KService
    {91, 118, 1072},	// QGlobalSpace::KST_KServiceFactory
    {91, 119, 1048},	// QGlobalSpace::KST_KServiceGroup
    {91, 120, 1074},	// QGlobalSpace::KST_KServiceGroupFactory
    {91, 121, 1051},	// QGlobalSpace::KST_KServiceSeparator
    {91, 122, 1043},	// QGlobalSpace::KST_KServiceType
    {91, 123, 1073},	// QGlobalSpace::KST_KServiceTypeFactory
    {91, 124, 1041},	// QGlobalSpace::KST_KSycocaEntry
    {91, 131, 1057},	// QGlobalSpace::LicensedActiveQt
    {91, 132, 1063},	// QGlobalSpace::LicensedCore
    {91, 133, 1055},	// QGlobalSpace::LicensedDBus
    {91, 134, 1060},	// QGlobalSpace::LicensedDeclarative
    {91, 135, 1038},	// QGlobalSpace::LicensedGui
    {91, 136, 1069},	// QGlobalSpace::LicensedHelp
    {91, 137, 1070},	// QGlobalSpace::LicensedMultimedia
    {91, 138, 1080},	// QGlobalSpace::LicensedNetwork
    {91, 139, 1062},	// QGlobalSpace::LicensedOpenGL
    {91, 140, 1054},	// QGlobalSpace::LicensedOpenVG
    {91, 141, 1071},	// QGlobalSpace::LicensedQt3Support
    {91, 142, 1040},	// QGlobalSpace::LicensedQt3SupportLight
    {91, 143, 1053},	// QGlobalSpace::LicensedScript
    {91, 144, 1058},	// QGlobalSpace::LicensedScriptTools
    {91, 145, 1061},	// QGlobalSpace::LicensedSql
    {91, 146, 1059},	// QGlobalSpace::LicensedSvg
    {91, 147, 1056},	// QGlobalSpace::LicensedTest
    {91, 148, 1039},	// QGlobalSpace::LicensedXml
    {91, 149, 1079},	// QGlobalSpace::LicensedXmlPatterns
    {91, 189, 1033},	// QGlobalSpace::Q_COMPLEX_TYPE
    {91, 190, 1037},	// QGlobalSpace::Q_DUMMY_TYPE
    {91, 191, 1036},	// QGlobalSpace::Q_MOVABLE_TYPE
    {91, 192, 1034},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {91, 193, 1035},	// QGlobalSpace::Q_STATIC_TYPE
    {91, 194, 1066},	// QGlobalSpace::QtCriticalMsg
    {91, 195, 1064},	// QGlobalSpace::QtDebugMsg
    {91, 196, 1067},	// QGlobalSpace::QtFatalMsg
    {91, 197, 1068},	// QGlobalSpace::QtSystemMsg
    {91, 198, 1065},	// QGlobalSpace::QtWarningMsg
    {91, 263, 1083},	// QGlobalSpace::__codecvt_error
    {91, 264, 1084},	// QGlobalSpace::__codecvt_noconv
    {91, 265, 1081},	// QGlobalSpace::__codecvt_ok
    {91, 266, 1082},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_kparts_Smoke();

static bool initialized = false;
Smoke *ktexteditor_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_ktexteditor_Smoke() {
    init_kparts_Smoke();
    if (initialized) return;
    ktexteditor_Smoke = new Smoke(
        "ktexteditor",
        __smokektexteditor::classes, 120,
        __smokektexteditor::methods, 1135,
        __smokektexteditor::methodMaps, 996,
        __smokektexteditor::methodNames, 1187,
        __smokektexteditor::types, 352,
        __smokektexteditor::inheritanceList,
        __smokektexteditor::argumentList,
        __smokektexteditor::ambiguousMethodList,
        __smokektexteditor::cast );
    initialized = true;
}

void delete_ktexteditor_Smoke() { delete ktexteditor_Smoke; }

}
